Splash Screen

  • WHAT IS FL STUDIO?
  • What's new in FL Studio 9?
  • Setup Wizard
  • Using FL Studio - overview

  • FL website - Support, User groups, etc
  • Purchasing Information, FL Studio & Plugins
  • FL Studio Express, Fruity, Producer & Signature Bundle compared

Copyright © Image Line Software 1998-2009. All rights reserved.


Splash Screen

What is FL Studio?

FL Studio is a full-featured music production environment capable of multi-track audio recording, sequencing and mixing for the creation of professional quality music tracks. With VST/DX hosting, 32-Bit internal mixing, advanced MIDI, DX and ReWire support no musical style will be beyond your reach. Songs or loops can be exported to .wav, .mp3, .ogg or .mid format.

For an introduction to making music with FL Studio follow this link.

Main Features

  • Pristine audio, professional sound quality (32-Bit floating point internal processing).
  • Sophisticated interpolation algorithms (hermite, sinc) separate settings for real-time playback & rendering audio to disk.
  • Supports DirectSound and ASIO for low latency audio output and audio input recording.
  • Open architecture allowing third-party instruments (enhanced proprietary FL instruments standard, VSTi , DXi2 & Buzz ) and effects (enhanced proprietary FL effects standard, VST, VST2, DirectX & Buzz).
  • Ability to function as a VSTi, DXi and a ReWire client.
  • Ability to host ReWire clients itself.
  • Advanced sequencing methods allowing quick creation of realistic drum loops (step sequencing grid) and composing complex instrumentals (advanced Piano roll, arpeggiator, keyboard tracking, real-time gate).
  • Unique note properties morphing ability (pitch, cutoff, resonance, panning).
  • Most powerful and flexible Piano roll of any sequencer.
  • Live multi-track recording of audio, control movements & integrated automation events editor.
  • Multi-segment automation clips with unlimited complexity and integrated LFO unit.
  • Automated control over parameters by using special controller plugins.
  • Advanced mixer: 104 mixer tracks (99 Insert, 4 Send & 1 Master) supporting up to 8 plugin FX per track.
  • Send any mixer track to any other track and create mixer chains of virtually unlimited complexity.
  • Multi-track recording with ASIO input support (record MIDI, vocals, etc).
  • Integrated parametric equalizer, volume and panning for each mixer track.
  • Sidechain facilities where supported by effects.
  • Many high-quality integrated instruments: Autogun (exploratory additive synth), WaveTraveller (audio bending synth), Sampler, Simsynth live (subtractive synthesis), TS404 (the popular bassline engine), 3xOSC (subsynth), Drumsynth Live (drum synthesis), Plucked! (plucked strings), MIDI Out, DX10 (FM synth), Scratcher (turntable emulator), Wasp (& Wasp XT) and more...
  • A full set of high-precision mastering and special effects filters: 2 reverbs, 3 compressors, 2 parametric equalizers, 2 graphic equalizers, distortion, phaser, flanger, bass boost, delay line and more. Sidechain support where applicable.
  • Advanced Playlist & full-featured audio tracks.
  • Click removal & volume ramping to avoid pops.
  • Imports *.wav, *.ogg, *.mp3, *.mid, *.rex, *.syn (SimSynth 1 & 2), *.ds (DrumSynth), etc. as sample formats.
  • Exports audio to 16-Bit, 24-Bit or 32-Bit *.wav file, *.mp3 & *.ogg.
  • MIDI remote controlling of most parameters (VST plugins also supported).
  • Import MIDI sequences and controller events.
  • Export MIDI notes & controller events to a standard MIDI file.
  • One of the best and most comprehensive in-line manuals of any program. We know no-one likes to read the manual, so we make it a useful place to be.
  • Context sensitive help by pressing the F1 key, while running FL Studio, the help will open at the correct page for the currently focused item.
  • Internal hot-linking of all program features related to the current topic. If you are asked to 'see page X' it will be hot-linked. Fast, efficient and easy.
  • Searchable text, with key-word and key-topic searches based on common language questions asked by real program users on the Image-Line forums and Technical Support lines.


Product Info

  • SAMPLES AND LOOPS
  • TOOLS AND APPLICATIONS
FL STUDIO EDITIONS

FL Studio is available in 4 versions, priced according features. The most featured version is FL Studio Signature Bundle. If you are interested in other Image-Line products click the tabs above above to switch between the different categories.

To buy FL Studio click the button at the bottom of this page, this links to the on-line store. Please take some time to confirm the features & or plugins you require are included in the FL Studio edition you plan to buy.

FL STUDIO EDITIONS

Download version: 299 USD

Boxed version: 399 USD

Includes:

  • All Producer Edition features plus...
  • FL SoundFont player.
  • FL Video player.
  • DirectWave full sampler.
  • Sytrus synthesizer.
  • Maximus multiband maximizer.
  • Hardcore guitar effects suite.
  • Lifetime free updates to FL Studio Producer Edition & all plugins originally included as part of the 'Signature Bundle' by download.

Note: The Signature Bundle is a bundle of FL Studio Producer Edition and additional plugins as shown above.

Download version: 199 USD

Boxed version: 269 USD

Includes:

  • All Fruity Edition features plus...
  • Audio recording.
  • Audio tracks with waveform view & support for cue points.
  • Automation clips with editable envelopes and LFO mode.
  • Direct-to-disk recording & offline rendering of Mixer tracks.
  • FL Edison audio editor/recorder.
  • FL Slicex - loop slicer & re-arranger.
  • FL Vocodex - advanced vocoder.
  • FL Synthmaker.
  • Lifetime free updates to Producer Edition by download.

Download version:99 USD

Boxed version: 139 USD

Includes:

  • All Express Edition features plus...
  • Piano roll allowing chords & slides.
  • Full automation of all enabled parameters.
  • ASIO support (for low latency).
  • Internal controllers.
  • Can be used as VSTi instrument in another host e.g. Cubase, Sonar, Logic, etc.
  • FL Simsynth Live.
  • FL Drumsynth Live.
  • FL DX10.
  • FL Wasp & Wasp XT.
  • Lifetime free updates to Fruity Edition by download.
  • No audio recording.

Download version: 49 USD

Boxed version: not available

Includes:

  • Mixer (104 tracks, track rerouting, integrated EQ and more).
  • External MIDI control.
  • Unlimited number of instrument Channels.
  • 4 to 64 notes in the Step Sequencer.
  • FL Direct Wave (player).
  • Autogun synthesizer.
  • FL integrated TS404 & 3OSC synths.
  • Supports VST/2 & DX.
  • Import/Export WAV, MP3, OGG & MIDI.
  • Playlist arranging.
  • Piano typing keyboard.
  • Lifetime free updates to Express Edition by download.
  • No audio recording.
  • No Piano roll.

Notices: 1. You can upgrade from one FL Studio version to another, check the shop for upgrade pricing details. 2. FL preceding a plugin instrument or effect denotes 'native' FL Studio version (VST/i versions that can be used outside FL Studio are sold separately). 3. Image-Line reserves the right to change the plugins included with any FL Studio Edition or Bundle (XXL, Signature, etc,). Changes will not apply retrospectively, plugins originally licensed to you will remain unaffected.

Click here to see FL_Studio editions compared full detail

When you become a download customer, you will receive:

  • FREE lifetime updates (to the edition you purchase via download).
  • Access to video and other tutorials.
  • Technical support.
  • Participation in the online user community.
  • Free downloads, content and samples.
  • By officially endorsing FL Studio you support us, so that FL Studio & the community continues to grow.
  • Download the latest demo version to experience the full features of FL Studio.

For more information or to purchase any of these products click the button below:

This page was created with [image] EZGenerator Copyright© 2003-2009, Image-Line Software


Registering Image-Line Products

PURCHASING, UPGRADING & REGISTRATION

How to buy, register and unlock Image-Line products

DEMO ONLY? Either FL Studio or plugins that it contains may appear as a demo. This means projects saved that contain demo plugins, won't reopen with the demo plugins in place until they are purchased and registered. Once demo plugins are registered, the project will open correctly, as originally saved. To unlock FL Studio or plugins you need to purchase a personalised registry key and install it on your PC. The full purchase and registration procedure are as follows.

  1. Use the DEMO - The FL Studio Demo version and Demo plugins allow you to use all program/plugin features so that you can ensure anything you are interested in buying works 'as advertised' prior to purchase. Demos are unlocked with a single registration key (see step 4), your key will unlock only those features and plugins associated with the FL Studio version (Express, Fruity, Producer or Signature Bundle) & plugins you have purchased. Features & plugins included with each version of FL Studio are compared here, on the FL Studio website [image].
  2. Purchase - Go to the Image-Line Store [image] and follow the instructions.
  3. Wait for your email - After ordering the plugin you will be sent an email with a login and password to your customised user page on the Image-Line site. Please keep an eye on your spam filter so that it doesn't redirect the registration email to a spam folder.
  4. Download your registration key - A single reg-key is required, it will be set to activate your FL Studio version and/or plugins. Go to the link provided, log onto your personal page [image] and find the link that says 'Click here to unlock this product'. Click on the link and save the RegKey to your computer.
  5. Unlock the purchased item/s - Run the RegKey file (Regkey.Reg) by double clicking on it. The installation will be treated with some caution by Windows, this is normal, accept all warnings and allow the key to be written into your registry. NOTE: You can save this RegKey and use it with any PC you own, all that we ask is that you are the only user of FL Studio.
  6. Use the plugin/software - Next time you open FL Studio you should find that the purchased item is now unlocked and working without any limitations, no additional downloads are required.

If you are having difficulties or questions please try contacting our Live Support [image] through the Image-Line store (the link is located in the top right corner), or contact Technical Support [image] where you can create a traceable support-ticket.

We accept -


Setup wizard

I'M NEW HERE

Getting started

This section will help you to set up FL Studio and explains how to search the manual for keywords and topics.

  • Start the Setup Wizard - make FL Studio fly.
  • Using the FL Studio Manual - Help me to help myself.


SETUP WIZARD

Setup Wizard

You can click on the images above to jump between sections, although the normal navigation controls are at the bottom of each page.

Your FL Studio experience will be smoother if you take some time to optimize the Audio, MIDI and File settings for your PC. This wizard will guide you through the setup basics so that you can start making music as soon as possible. Stop complaining, even games have setup options!

This wizard will take you through -

  1. Audio input/output properties. Select the soundcard and driver.
  2. Controller/MIDI input/output settings. Select controllers to be used with FL Studio.
  3. File settings. Select directories to be shown in the FL Studio Browser menu.
It's important to perform the steps as described, otherwise FL Studio may not function correctly. Don't worry, you can't break anything, but you could get choppy sound, no sound or your FL Studio won't respond to your keyboards/controllers.

Click NEXT to proceed with the Setup Wizard.

Back Next >


SETUP WIZARD

Audio Setup

Select a soundcard driver and optimize the settings

What is a soundcard and driver?

The term 'soundcard' [image] is used rather loosely, you may have a soundcard in your PC, a chip on your motherboard or it may be an external device connected by USB/FireWire/Bluetooth, etc. The soundcard is the device that makes the sound you hear from your PC speakers. The soundcard driver [image] is the software interface between the Windows operating system and the soundcard. The driver tells Windows, and so FL Studio, what inputs, outputs and what sample rates the soundcard can support. Two drivers mentioned frequently in this manual are DirectSound (the Windows default) and ASIO4ALL (a generic ASIO driver that runs most soundcards).

Soundcard driver selection & settings

  1. Start FL Studio and press the F10 key on your keyboard to open the System Settings. Alternatively choose Audio settings from the Options Menu.
  2. Click the Audio tab (shown below) in the System Settings window.
  3. In the Input / output section there is a drop-down menu with a list of audio drivers installed on your system. If you have more than one soundcard then you can use the Input / output menu to swap between them, only one soundcard driver can be used at a time (see the ASIO4ALL section for a work-around). ASIO and DirectSound drivers are supported, drivers are sorted by type with sub-menu headings in the drop-down list. We recommend you select:

    4. An ASIO driver: If you have a soundcard with a custom supplied ASIO driver then use that, if not, we recommended you use ASIO4ALL. If you don't see ASIO4ALL in the list download it from www.asio4all.com [image]. ASIO drivers give better performance and are a pre-requisite for audio recording.

    OR

    Direct Sound: If ASIO4ALL does not work then select the Windows 'Primary Sound Driver' as shown below.

  4. Mixer - If possible, set the sample rate to 44100 Hz (alternatively use 48000 Hz, click OK to any warnings) and Interpolation to Linear. Leave the switches in the default positions for now.
  5. CPU - If you have a multi-core CPU make sure 'Multithreaded generator processing' & 'Multithreaded mixer processing' are selected. 'Smart disable' should be selected for all CPU types. These options should help you squeeze the most performance out of your CPU.

NOTE: Select ASIO drivers if available for your sound card.

Your 'Output' options may be different, they depend on your brand of soundcard and installed drivers. Not all cards have ASIO driver options.

System Settings (F10) System Settings (F10)

< Back
I selected an ASIO driver
I selected a DirectSound driver


SETUP WIZARD

ASIO Soundcard Driver Setup

Adjust the buffer settings

  1. Click the Show ASIO panel button to open the soundcard driver 'buffer length' (latency) settings. You should see a buffer length drop-down menu or slider. As this window is owned by the author of the soundcard driver, we can't show you exactly what you will see. If you are using the ASIO4ALL driver this section describes the driver settings in detail (only necessary if you have problems with ASIO4ALL).

  2. Buffer length setting - On the pop-up ASIO panel you will see a 'Buffer length' setting. The buffer is a 'breathing space' in which FL Studio can generate sound before sending it to the soundcard. Shorter settings make FL Studio more responsive to live inputs (e.g. mouse or hardware controllers) at the expense of a higher CPU load, and possibly underruns.
  3. Set the Buffer length - Somewhere around 882 samples (20 ms) is a good place to start. Your ability to set this or lower Buffer lengths without buffer underruns depends on your CPU speed, sound card ASIO drivers and the project complexity. The minimum recommended Buffer length is around 441 samples (10 ms), below this setting very few people report any further improvement in 'responsiveness' and the CPU load climbs rapidly. It's not a competition!

    NOTES:

    • Converting ms to samples - Divide the Buffer length, in samples, by 44.1 samples (@ 44100 Hz) or 48 (@ 48000 Hz).
    • No ASIO4ALL sound? - If you are having difficulties with the ASIO4ALL driver, see the ASIO4ALL Troubleshooting section.


SETUP WIZARD

DirectSound Driver Setup

Adjust the buffer settings

The Direct sound properties contain information about the buffer length (latency) and some other settings used by the soundcard driver. The buffer is a 'breathing space' in which FL Studio can generate sound before sending it to the soundcard. Shorter settings make FL Studio more responsive to live inputs (e.g. mouse or hardware controllers) at the expense of a higher CPU load, and possibly underruns.

  1. Set the buffer length: Use the slider to change the buffer length. Longer buffer settings mean lighter CPU load and more stable performance without underruns (clicks and pops in the audio). A setting of around 20-40 ms is a good starting point, most users do not notice improved responsiveness below 10 ms, however DirectSound drivers usually struggle to deliver latencies this low without underruns.
  2. Experiment with the 'Use polling' and 'Use hardware buffer' switches (2 switches x 2 positions = 4 combinations) to see if you can minimize underruns should they occur. For more information on the rest of the settings in this section go to the Audio Settings page.

    NOTE:The ability to reduce the buffer size without underruns depends on your CPU speed, sound card and project complexity. Converting ms to samples? 1 ms = 44 samples at 44100 Hz or 48 samples at a 48000 Hz sample rate.


SETUP WIZARD

MIDI Setup

Select controllers

Click the MIDI tab in the System Settings window. This section contains a list of software and hardware MIDI devices on or connected to your system that can be used for MIDI Input/Output. For example, hardware and software synthesizers, controller keyboards and 'loopback' devices. The most common controllers used by PC based musicians today connect to your PC with a USB cable (rather than MIDI cable) and provide a piano-keyboard, pad or mixer-style interface.

I don't have any controllers or outboard MIDI devices to connect

1. Connect and install your keyboard/controller/synth in Windows

MIDI is not an audio connection - The connections discussed on this page do not transfer audio, MIDI connections transfer note data, knob movements and program changes so that your controller can play software instruments and/or FL Studio can play connected MIDI hardware. To use sounds from an external synthesizer (while it is played by FL Studio) you will need to make MIDI connections (discussed here) AND audio connections to your soundcard inputs so that FL Studio can record the sound/s that it triggers from the external MIDI hardware using a MIDI Out plugin.

Cable types - You will either have a USB based keyboard/controller or hardware with 5-pin DIN MIDI connectors. Click here to see these connector types compared.

  • USB connected controller - If your controller has a USB port, then it will connect directly to your PC with a standard USB cable.
    • 1. Install any USB drivers that came with your controller. Many controllers use the standard Windows 'USB Audio Device (generic controller)', see the Input list.
    • 2. Connect the controller to your PC, turn it on and follow the Windows installation procedure. The standard USB 'connected ' [image] process should happen.
    • 3. Start FL Studio AFTER the controller driver has been installed and proceed as described in the 'Setting input and output MIDI devices' section below.
  • MIDI cable connected controller - If you have a device with 5-Pin DIN connectors you will probably need to purchase a USB cable to MIDI cable adapter as shown. Most external audio interfaces have MIDI connector plugs on them, use those if present.
    • 1. Connect the MIDI cables to the MIDI IN and OUT ports on your MIDI interface hardware and turn it on. Make sure the MIDI OUT on the interface is connected to the MIDI IN on your MIDI device and or the MIDI IN on the device is connected to the MIDI OUT on the MIDI interface. How many MIDI cables do I need? You need two MIDI cables if you want FL Studio to play your MIDI device and to use your MIDI device to control FL Studio. If you plan one-way communication, then you only need one MIDI cable.
    • 2. Install any USB drivers that came with your MIDI to USB adapter.
    • 3. Plug the MIDI adapter into your PC, turn it on and follow the Windows installation procedure. The standard USB 'connected ' [image] process should happen.
    • 4. Start FL Studio AFTER the adapter driver has been installed and proceed as described in the 'Setting input and output MIDI devices' section below.

2. Set input and output MIDI devices

You may want to select an Input (a controller that plays FL Studio instruments) or Output device (something that connects to your PC and receives note data from FL Studio).

Output - Port Mapping

These options select a MIDI output interface so FL Studio can send MIDI signals to outboard gear (Synthesizer, Drum Machine, Sampler, etc). See the MIDI Settings page for more details.

Input - Connecting External Controller/s

If you have a USB/MIDI keyboard or controller that you would like to control using FL Studio, you will need to change some settings in the Input section. This contains a list of controller devices that have been detected by Windows (see section 1).

To activate a controller in FL Studio -

  1. Open FL Studio and make sure the 'Enable MIDI remote control' option is selected in the Options menu, MIDI input is disabled otherwise.
  2. Click on the device in the Input list, so that it is highlighted. If your device is listed in the Controller type drop-down menu, select it there also. If your controller does not appear by name this means it does not have custom drivers. If so, use the 'USB Audio Device (generic controller)'. If you do not see any options, you will need to re/install the appropriate drivers for your controller.
  3. With the controller highlighted select the Enable switch below the Input list. Each device selected in the Input list must be selected/deselected separately.
  4. If successful the MIDI activity light on the Main Panel will blink each time you play notes or move knobs on your controller. NOTE: If the 'Debug log' is open any MIDI data received by FL Studio is displayed and logged, useful for learning the MIDI CC numbers of controls or troubleshooting connections.

NOTE: For more detailed information on the rest of the settings in this section and further details on supported controllers go to the MIDI Settings page.

Troubleshooting

  • Nothing appears in the Input box? - Did you connect/start your controller AFTER opening FL Studio? It is necessary that your operating system has detected your controller BEFORE opening FL Studio. Close FL Studio, turn your controller off and on (unplug and reconnect the USB cable if it does not have a switch), wait for it to be detected by the PC (Windows makes a 'bing' sound when it successfully detects a USB device), then start FL Studio.
  • Items appear but don't respond - Click the Rescan MIDI devices button and then enable the device. If that does not work, close FL Studio, turn your controller off and on (unplug and reconnect the USB cable if it does not have a switch), wait for it to be detected by the PC (Windows makes a 'connected' sound when it successfully detects a USB device), then start FL Studio.


SETUP WIZARD

File Settings Setup

Add external file directories to FL Studio

Click the File tab in the System Settings window. Here are three reasons why this is important:

  • Save locations - FL Studio will, by default, save your projects to its installation directory (..\Program Files\Image-Line\FL Studio\Data\Projects). We strongly recommend that you add some extra search folder locations (your own directories) and save your projects there. This will make backups simpler and will keep your files separate from the FL Studio installation.
  • External file locations - Additionally, if you have samples and sounds that you want to use with FL Studio, the File Settings page is used to add their directories to the Browser's list.
  • External VST locations - At the bottom of the File Settings interface is also an option to search for VST/VSTi plugins. You can ignore this step if you don't have your own VSTs to add to FL Studio.
I don't have any external directories or VST instruments to add to the Browser

NOTE: At any time you can open a standard Windows Browser (right click on the Windows 'Start' button and select 'Explore') and then drag compatible files from the Windows Browser into FL Studio (FL Studio will behave in the same way as noted in step 1 below).

Add Directories to the Browser

Browser extra search folders

What do they do? The folders set here will appear in the FL Studio Browser in a green font so that they are easily identified. Here are four good reasons to use them:

  1. Drag sounds, samples or patches from the Browser onto the desired location in FL Studio and they will be loaded (channel sampler, slicer, projects [drag onto the desktop], etc).
  2. External folders keep your data independent from the FL Studio installation.
  3. The extra search folders are included in automatic search and load operations.

  4. Perform manual searches of your sound library.

How to set a Browser extra search folder:

  1. Left-click on the folder icon at the start of a row as indicated above and browse to the folder location and then click 'OK'. Alternatively, double-click the text fields to enter paths manually.
  2. Optionally, left-click in the Name column and enter a custom name, this sets the name shown in the Browser. If the name field is left blank then the name of the target folder will be shown in the Browser.

VST plugins extra search directory:

What does it do? This directory is a custom search location where you can put your 3rd party VST plugins. FL Studio will add any plugins to the pop-up lists that appear when you add a VST instrument to a Channel or effect to the Mixer. NOTE: The directory set here does not appear in the Browser. See the section on installing VST plugins for more details.

How to set:

  1. Click the browse folder-button on the left side of the panel and browse to the directory you plan to use as your 3rd party VST location. Install VST instruments to this directory in future and they will be found by FL Studio.


SETUP WIZARD

Setup complete!

Nothing burst into flames, all is well

You have completed the basic setup of FL Studio

Press the F10 function key on your keyboard to open the System Settings at any time to change the Audio, MIDI or File settings. More detailed information on these settings is covered in other sections of this manual, see System Settings or Project Settings.

Need more help?

Try searching our on-line Knowledge Base [image]. If that doesn't solve your problem try the Tech Support [image] forums (open to registered users only).

Next steps

If you are a new to FL Studio we suggest reading:

  • The introductory chapter to FL Studio
  • The online forums [image] - Meet your fellow FL Studio users in 'Looptalk'.

Using the FL Studio manual (Press F1 in FL Studio)

The manual is context sensitive, if you press F1 key on your PC keyboard while a particular window or plugin is focused (click on a window or plugin to focus it), the help will usually open at the correct page for that item.

The manual is also a great resource, and has answers to most questions you may have about using FL Studio. While the online forums [image] may beckon you to ask questions like "How do I record my microphone?", "How do I stop that hissing sound?" or "How can I load my beats into FL Studio", the grumpy authors of the manual lurk there waiting to pounce on users who ask these questions that are easily answered by following the steps outlined below:

There are two ways to search the manual after entering key words in the 'Text entry box':

  1. Index - Search the index for topics/key-words based on user questions and feedback. This is a good place to start a search.
  2. Search - Perform a low-level search of all pages in the manual for the key word/s. The search term will be highlighted on each page shown in the Results window.

Why not start right now, let's try today's secret word - Theodolite.

After the search is complete double-click on the topic in the 'Results window' to display it.

Give a man a fish and he will eat for a day. Teach a man to fish and he will eat for the rest of his life.

Chinese Proverb

Give an FL Studio user a fish and he will eat sushi. Teach a FL Studio user to fish and he will sit in the boat, pouting that no-one gave him another fish!

Image-Line observation


Whats New

FL STUDIO BASICS

Introducing FL Studio

This section is the place to start if you are new to FL Studio or just started using a new version.

  • What's New? - See a list of the key new features in this edition of FL Studio.
  • The user interface - This section explains how to use the FL Studio Graphical User Interface (GUI).
  • Making music - Explains how everything comes together to make a complete song.
  • Hardware controllers - Covers some hardware options that will make your FL Studio experience better.
  • Keyboard & Mouse shortcuts - A list of the most useful keyboard shortcuts.
  • Useful web-links - Some of our favorite websites, naturally starting with our own.


What's new?

FL STUDIO BASICS

New Features in FL Studio 9

This is a list of prominent new features in FL Studio 9. For the complete, much longer, list of new features (and bug fixes) please check the 'WhatsNew.doc' in the FL Studio installation folder: '..\Program Files\Image-Line\FL Studio\WhatsNew.doc'.

FL Engine / Interface

  • Sidechaining - The FL Studio Mixer 'Track Send' switches now have an additional 'Sidechain' function.
  • Multi-Core CPU (Hyperthreading) - Improved multithreaded generator & added multithreaded effects processing.
  • Global 'Smart disable' checkbox, both effects and plugins. Reduces CPU load by disabling inactive plugins.
  • Can now drop effect presets onto mixer tracks & channels, mixer track presets onto effect slots and channels, channel & generator presets onto mixer tracks & effect slots.
  • Bigger hints - New (optional) large floating Extended Hint Panel, shows hints & progress more clearly.
  • Loop recording - Recorded Audio clips in loop recording mode are now muted, instead of the associated channel.
  • Icons - Channel Buttons and Clip Tracks can now be embellished with icons.
  • Audio editing - Dropping an audio file onto the 'Open audio editor' shortcut button now opens it in a new audio editor.
  • Audio analysis envelopes - Can now drop audio files onto most envelope editors, the volume envelope will be approximated.
  • Multiple controllers - Can now control multiple independent instrument channels, assigned by MIDI number.

New Plugins

  • Autogun - Sonic adventure (free).
  • Gross Beat - Real-time, audio-stream playback, pitch, position and volume manipulation effect (demo).
  • Ogun - Additive metal simulation synthesizer (demo).
  • Stereo Shaper - Mid / Side stereo processing (free).
  • Vocodex - The last word in vocoders (free with Producer Edition).

Revised Plugins

  • Fruity Reeverb 2 - Added Mid vs Side input signal processing.
  • Fruity Wrapper - Now supports multiple inputs/outputs (free).
  • Wavecandy - Visualization & analysis tools (free).
    • New Vectorscope stereo analysis visualization.
    • Additional metering modes.
    • Added rounded corners size selector.
    • Improved Vista blur appearance.
  • Maximus - Multiband Compressor / Limiter (demo).
    • Improved Maximus CPU usage, now significantly faster.
  • Fruity Limiter - Compressor section now has sidechaining (free).
  • Envelope Controller - Controller plugin (free).
    • New scrollbar for zooming Fruity Envelope Controller in Key & Vel mapping modes.
  • Edison & Slicex - Wave editor & slice-player plugins (Producer edition).
    • New 'Export regions->For sampler use...' that exports with marker middle notes, and improved export.
  • Edison - Wave editor & recorder plugin (Producer edition).
    • New Noise Removal tool.
    • Edison can now be maximized (double-click Titlebar or press enter).

Piano roll

  • Riff machine automatic sequence generator tool.
  • New Note Grouping switch (works on selecting, moving, resizing, deletion, muting, shifting using mouse-wheel).

Playlist

  • Playlist track naming & icon tools for better song organization.
  • Playlist track mute controls.
  • New Clip Grouping switch (works on selecting, moving, resizing, deletion, muting, shifting using mouse-wheel).
  • Edit->Insert / Delete space - Now cuts through Playlist clips spanning the insert point.
  • Mouse - 4th mouse button opens clip source selection popup.

Mixer

  • More tracks - Now has 99 Insert tracks (up from 64).
  • Multi-core CPU support - Added 'multithreaded mixer' tracks processing for improved multi-core performance.

Browser

  • File-name helper - Placing the mouse cursor over file names, obscured by the right edge of the Browser, will show a pop-out filename view.
  • Presets - Drop effect presets onto mixer tracks & channels, mixer track presets onto effect slots and channels, channel & generator presets onto mixer tracks & effect slots.
  • Plugin database, thumbnail array now shows plugins by category.
  • Shift+F8 now opens the plugin database. Can now double-click on effects in the database to load them into the selected Mixer track.
  • New access to Windows file shell menu from Browser (right-click) item menu.
  • New Browser folder icons & new 'Recent files' Browser folder.
  • Sort by Group - The 'Sort by -> Group' option will sort important folders & files based on XYZ.nfo file information in the FL Studio installation directory ..\Program Files\Image-Line\FL Studio #\Data\Patches\XYZ.nfo. Where XYZ = any folder or file name to be Group sorted. Inside the .nfo file put the command SortGroup=1 to N. 1 will appear at the top while N is the last file to be sorted toward the top of the Browser. Unsorted files will appear below these as usual.
  • Quick zoom - Shift+mouse-wheel on Browser scroll-bar for quick zoom.
  • Folders - Automation and Humanizing presets folders relocated to the Scores folder.

MIDI

  • Improved native support for controllers.
  • MIDI input messages are now logged, when the Debug log window is open.

Changes and Additions

  • Project save folder - New optional project data folder setting (F10 > Project > General).
  • New volatile linking feature.
  • Auto scrolling state is now saved & restored (yay!).
  • Added Janko layout [image] to typing-to-piano keyboard option.
  • Moved multithread CPU settings to the audio panel.
  • New debug log in settings window to help techsupport resolve issues.
  • Wrapper - Aligned tick lengths checkbox for greater plugin compatibility.
  • Browser - Automation and Humanizing presets folders relocated to the Scores folder.
  • Time Log - New starting date & (approximate) working time log in (F10) project info window.

The Manual

  • Many screenshots (of more complex plugins and areas) now have pop-up hints and live links to the appropriate section of the manual, e.g. Try mousing around the Playlist screenshot.


FL Studio User Interface (GUI)

FL STUDIO BASICS

FL Studio User Interfaces

This section covers the main control interfaces in FL Studio. A [image] video tutorial is also available on the FL Studio website.

Controls & Interfaces

This section contains notes about the interface controls of FL Studio. Hold the mouse pointer over everything and look at the Hint Bar while you do. Different icons will explain what actions are possible with that icon.

Hint bar

The Hint Bar shows help tips for items as you move the mouse cursor over them. In the screen shot above 'Mix level' shows the object the mouse pointer is currently over, and the icons to the right what actions are possible. There is an optional, larger, floating Hint panel revealed by the View > Toolbars > Hint bar setting. There is no better way to discover features in FL Studio.

Knobs & sliders

  • Common Features - All knobs (wheels) and sliders in FL Studio behave similarly. To change the value of a knob or slider left-click the image and drag up/down (left/right for horizontal sliders).
  • Fine Adjustments - To fine-tune the value of a control, hold the CTRL key while dragging OR hold down both mouse buttons and drag on the control.
  • Snapping - Some controls (knobs and sliders) may pause at default and other useful places while you tweak them. If you want to avoid that behavior, hold down the SHIFT key while using a control.
  • Quick Reset - Holding ALT and left-clicking a control resets it to its default value OR if you have a three button mouse (the scroll-wheel is often a button, press it and see if it clicks...'clicks', not cracks!), you can quickly reset any knob or slider to the default value by clicking on the middle mouse button as opposed to the standard right-mouse click and selecting 'reset' from the menu.
  • Automation - Most knobs and sliders can be linked to external controllers OR internal controllers. Right-click the knob or control you want to automate and move a knob on your physical controller or select a link option from the menu.

LCDs

The value of the LCD control is normally set by dragging on the screen with your left mouse button up and down (just like a wheel). You can also increment or decrement the LCD value one step at a time: place your mouse pointer at the top edge of the LCD (to increment) or bottom edge (to decrement) the control - the pointer will change to show the increment or decrement cursor respectively ( [image]). Cick to increment/decrement the LCD value.

Window menus

There are menu icons located in the top left corner of the Playlist, Channel Settings, Piano roll, Mixer and others. Left-clicking these will access the associated menu.

Menu items

Where you see the save drag icon [ [image]] associated with a Save item, you can click on the icon and drag the file to a compatable location in FL Studio (e.g. another Piano roll, the Browser, etc).

Scrollbars

Some Scrollbars (Playlist and Piano roll) have 'two dimensional scrolling' - drag them with your right mouse button (instead of the left, as usual) to move the view simultaneously in the horizontal and vertical directions.

Zoom

The Playlist and Piano roll have zoomable areas. Where zooming is possible you will notice a rectangular box. Click on this with your mouse and move up/down to change the zoom level.

    1. Horizontal zoom - The box shows the state of zoom. Max: , Min:

    2. Vertical zoom - Max: , Min:

Zoom resolution depends on the 'Timebase' (PPQ) settings in the General Project Options (F11). The higher the PPQ, the greater the resolution, although you will find the default setting of 96 PPQ to be adequate for most situations.

Presets

Right click on the double arrows ( [image]) in the top right corner of Instrument or FX wrappers to bring up the preset menu. Select a preset from the list to load it. Left click on the right arrow to step forward and left arrow to step back through the preset list sequentially.

Wave displays

If you see a sample displayed in FL Studio, it can probably be left-clicked and dragged to another location such as a sampler channel or a another plugin that uses .wav files.

Multimedia Keyboards

If you have a multimedia keyboard you can use the Play/Pause button to Start/Pause FL Studio, the Stop button will stop FL Studio and return the song position marker to the beginning of the Playlist. The FF/RW buttons will jump between Playlist Time Markers if present.

Favorite folders

All open/import and save/export dialogs in FL Studio have a Favorites function to quickly jump to frequently used folders.

  1. Favorites Combo Box - Contains a list with shortcuts to all favorite folders you have set.
  2. Set As Favorite - Adds the current folder to the favorites.
  3. Remove From Favorites - Removes the currently displayed folder in the combo box from the favorites list.


How to use FL Studio

FL STUDIO BASICS

How to use FL Studio - Making music

This section covers the FL Studio desktop and basic workflow. In short, FL Studio allows you to load instruments and samples, play these live or manually enter the note data, record external sounds (from a microphone for example) and play the whole mix back through the 99 channel mixer (adding effects). The completed project can be saved in .flp or .zip formats and/or exported to .wav, .mp3 or .ogg audio.

Main Screen

The FL Studio desktop is based on a number of windows, most of these are movable (with overlap), resizable, zoomable and switchable so if a window isn't visible open it using the Shortcut toolbar (or the function keys as noted in brackets). The three main windows involved in FL Studio music creation are - Channels ( [image] F6), Mixer ( [image] F9) and Playlist ( [image] F5). The Browser ( [image] F8) is used to access audio files & presets from within FL Studio (see the File setting options for adding directories on your PC to the Browser).

Workflow

Once you have mastered the FL Studio interface, the next step is to learn the procedure for creating music - the FL Studio 'workflow'. The five main activities involved are outlined below:

1. Instruments

  • Instruments - Instruments make the sounds used in a song and are loaded in the Channel Window. In the screen-shot below, the instrument interfaces are minimized and are accessed by clicking on the Channel buttons, down the left side of the window. Instruments generally fall into two types, software synthesizers that create audio using an internal 'synthesis engine' or sample players that play back 'audio recordings' such as drum loops, percussion samples or instrument samples.
    • There are several ways to load a new instrument:
      • Add a new instrument channel - Use the Channels Menu > Add One > menu.
      • Replace an existing instrument channel - Right-click on a Channel button and select 'Replace >' from the pop-up context menu.
      • Drag items from the Browser - Drag a plugin preset or samples/loops from the Browser to the Channel window OR a Mixer track and the Channel will be loaded and routed to that Mixer track.
      • Use the plugin picker - Open the Plugin Picker database (Ctrl + F8) and double-click an instrument OR drag it to the Channel Window OR Mixer track and the Channel will be loaded and routed to that Mixer track.
    • In the case of samples & loops you can also drag these from the Browser to the Playlist (see below). When you drag a sample to the Playlist an Audio Clip instrument is automatically added to the Channel window. Alternatively you can right-click the sample in the Browser and 'send' it to one of the instruments in the pop-up list.
    • Add your own directories to the Browser with the F10 > File settings dialog.
    • To open an instrument interface left-click on the Channel button.
    • Think of the Channel window as a rack of synthesizer/sampler modules that can be routed to any one of the 99 Mixer Tracks using the Channel settings FX (Mixer Track Selector).

2. Composing & sequencing

  • Composing - Musical notes can be played live via a controller keyboard or entered manually in the Piano roll (right-click the Channel buttons to open the Piano roll) or the Step Sequencer.
    • When editing patterns, make sure you are in Pattern Mode so that when you press play the currently selected pattern is played.
    • To the right of each instrument button in the Channel window is either a step-sequencer display (rows of squares) or a mini-preview of a Piano roll (green lines).
    • Step Sequencers and Piano rolls are interchangeable for each Channel.
    • New instruments start with an empty Step Sequencer pattern by default. Step Sequencers and Piano rolls hold the note data only for the instrument they are associated with.
    • Step-sequencer 'steps' are activated by by left-clicking the squares to turn them on, or right-clicking to turn them off (great for percussion programming).
    • To open an existing Piano roll, left-click directly on the mini-preview window.

    • Changing patterns - Left-click hold and slide up/down on the Pattern Selector (shown above) to change the pattern number and work on a new pattern.

    • Up to 999 unique patterns can be created. The complete stack of channel instruments and their Step sequence/Piano roll data is a single pattern. In the example above, Pattern '1' consists of a Sytrus channel being played by a Piano roll and two Step Sequence patterns playing the Kick and Hat channels. In the example below Pattern 2 consists only of step-sequence data playing the Clap & Hat channels.
    • As you step through the patterns with the Pattern Selector, the appearance of the channel window will change to reflect the note data associated with each pattern.
    • The length of each pattern can vary and is determined by the number of bars spanned by the longest data in any one of the channels.
    • Piano rolls may be of any length. The 'LCD' window showing '--' in the top left corner of the Channel window changes the number of Steps in the pattern (4 to 64 are possible).

3. Arranging & editing

  • Arranging - The Playlist can hold three types of data, use the Clip source selector (shown below) to select:
      • Pattern Clips (notes) - Patterns generally hold note data for sequencing Plugin instruments, although they can also contain Automation Event data.
      • Audio Clips (audio/loops/samples) - If an Audio Clip already exists, it can be selected from the 'Clip source selector', otherwise you can drag sample/loop/audio files from the Browser directly into the Playlist. Add your own directories to the Browser with the F10 > File settings dialog.
      • Automation Clips (control movements) - Automation Clips move knobs and controls on the FL Studio interface and plugins. To create an Automation Clip right-click on an interface control and select 'Create automation clip'.
    • An alternative Clip selection method is to right-click a tab of the Playlist Clip Focus selector to show Clips of the desired category.
    • Once a Clip is selected, select Draw (Pencil) or Paint (Brush) mode left-click on a blank area of the Playlist. Dragging in Brush mode will repeat the Clip as you drag horizontally.
    • Once placed, Pattern Clips can be clicked + dragged around (horizontally or vertically) by the name-bar that runs along the top of the clip. The way the clip moves will depend on the Playlist snap settings and zoom level.
    • The Playlist window is divided into an upper (Clip Track) and lower (Block Track) areas. Both areas hold the same data (Patterns), they are just different methods of displaying and working with Patterns.
    • The upper Clip Tracks can be named, colored, moved up/down or muted. These functions are accessed by right-clicking on the Name area at the start of each track.
    • You can place any Pattern Clip in any Clip Track, or any number of different clips in the same track. Clip tracks are just universal holding lanes for any and all data types.
    • Each Block Track, on the other hand, will only hold the Pattern that it is named after. As you create and rename patterns, the Block Tracks will change their names to suit.
    • The divider separating the upper and lower areas can be left-clicked and dragged up/down or right-clicked to change the relative areas. The right-click option stores a second position and clicking this way will swap between the original and last user-dragged position.
    • Playback - Make sure you are in Song Mode so that the patterns are played from the Playlist. Otherwise, you will play only the selected pattern. There are Play buttons on the top of the Channel window and Playlist, so you can also initiate a Pattern or Playlist play-back that way.
    • FL Studio is not limited to pattern-based sequencing, you can also enter an unused pattern block or clip into the Playlist and play song-length data (patterns). Thus, FL Studio has the flexibility of being either a 'track-based' sequencer, a 'pattern-based' sequencer, or a combination of the two.

4. Mixing

  • Mixing - Sound from the instrument channels is routed (using the Channel settings FX send, see the Note below) through the Mixer, where levels are set and Effects (FX) such as reverberation (reverb), chorus and delay are added.
    • Almost all aspects of mixing are automatable, so fader movements and knob changes become part of the overall performance.
    • The Mixer is also the place where external audio from a microphone, guitar or synthesizer can be recorded along with the internal instruments.
    • The recorded sound is displayed in the upper part of the Playlist as an Audio Clip.
  • NOTE: Routing Instrument Channels to Mixer tracks - The most efficient way to route one or more Channels to Mixer tracks is to:
    • 1. Left or Right-click the Channel Selector LED's to the right side of each Instrument Channel you want to route (right-clicking allows multiple selections).
    • 2. Right-click the target Mixer track and select 'Link selected channels > to this track' from the pop-up menu. OR use 'Link selected channels > starting from this track' to assign multiple Channels to multiple Mixer tracks.

5. Exporting audio

  • Exporting/Rendering - The final mix is exported from FL Studio to a .wav, .mp3 or .ogg file format by selecting the export option from the file menu in a non-real time process called rendering.
    • CD? If you want to make an Audio CD you need to render 16-Bit, 44.1 kHz .wav files. FL Studio does not burn audio CDs - you will to use a 3rd party application.

That's it, go make some organized noise!


Hardware Controllers

FL STUDIO BASICS

Controller Hardware

While the FL Studio based musician generally has little or no need for extra hardware, it's definitely worth considering a controller. Controllers are devices that send control signals to FL Studio to move the knobs, switches or play a plugin instrument like a synthesizer. For setting up a controller see the MIDI Settings Wizard or MIDI Settings page.

NOTES:

  1. To link the FL Studio interface to an external controller, right-click the target knob/slider and select 'Link controller' from the menu and then move the physical knob on the external controller interface.
  2. FL Studio stores all note activity from external controllers from the past 3 minutes. This can be dumped to the Piano roll at any time using the 'Dump score log to selected pattern' command. Never lose that perfect improvisation again!.

Types of External Controllers

Depending on your background, experience and workflow there is a controller right for you.

Typing keyboard

When the Recording panel 'Typing keyboard to piano keyboard' option is selected, your Typing keyboard will function as a note keyboard. Right-click the selector to change the octave range (up/down).

Keyboard Controllers

The Photon X25 (above left) is a nice example of a combined musical keyboard, knob controller & audio-interface. It provides 2 octaves of notes, 10 assignable knobs that can be linked to knobs and sliders in FL and is connected to your PC over USB. If you are serious keyboardist then the sky is the limit, the PCR-800 (above right) has more control action than you are ever likely to need.

Knob and Slider Controllers

If the idea of a piano keyboard isn't your style then the BCF 2000 and Control Universal are nice examples of 'knob and slider' based controllers. All those knobs and sliders makes for a lot of control. Connected to your PC by USB it can be linked to almost any knob or slider in FL Studio. Too easy!

Percussion / Pad

If you are percussion or MPC oriented then you may want a controller that you can tap, bash and hit (Performance Pad and MPD16 shown).

MIDI Hardware

Similarly if you already have other MIDI hardware then that can be used as a controller too. See the MIDI setup wizard for details on connecting MIDI hardware to your PC, a USB to MIDI 5-Pin DIN adapter may be required.


Keyboard & Mouse Shortcuts

This page lists some of the keyboard shortcuts to useful commands in FL Studio. Please examine the menus/context menus for more shortcuts.

 | File Operations
Ctrl+O | Open file
Ctrl+S | Save file
Ctrl+N | Save new version
Ctrl+Shift+S | Save As...
Ctrl+R | Export wave file
Ctrl+Shift+R | Export mp3 file
Ctrl+Shift+M | Export MIDI file
Alt+0,1..9 | Open recent files 0..9
Ctrl+Shift+H | (Re)arrange windows

 | Pattern Selector (Numpad)
1..9 | Select patterns 1..9
+ | Next pattern
- | Previous pattern
Right arrow | Next pattern
Left Arrow | Previous pattern
F4 | Next empty pattern

 | Channel Window & Step Sequencer
1...9, 0 | Mute/Umute first 10 channels
Ctrl+1..9,0 | Solo/UnSolo first 10 channels
Up Arrow | Select previous channel
Down Arrow | Next channel
Ctrl+Del | Delete selected channel/s
Alt+G | Group selected channels
Alt+Z | Zip selected channel/s
Alt+U | Unzip selected channel/s
Alt+Up Arrow | Move selected channel/s Up
Alt+Down Arrow | Move selected channel/s Down
Page Up | Next channel Group
Page Down | Previous channel Group
Ctrl+X | Cut channel Steps/Score
Ctrl+C | Copy channel Steps/Score
Ctrl+V | Paste channel Steps/Score
Ctrl+Shift+C | Clone channel/s
Shift+Left arrow | Shift Steps Left
Shift+Right Arrow | Shift Steps Right
Alt+R | Randomize
Alt+P | Send to Piano roll
K | Show Keyboard Editor
G | Show Graph Editor
Alt+C | Color selected channel
Ctrl+Alt+C | Gradient Color selected channels

 | Record / Playback / Transport
Backspace | Toggle Line/None Snap
Space | Start/Stop Playback
Ctrl+Space | Start/Pause Playback
L | Switch Pattern/Song mode
R | Switch On/Off recording (This also works during playback)
0 (NumPad) | Fast forward
/ (NumPad) | Previous bar (Song mode)
* (NumPad) | Next bar (Song mode)
Ctrl+E | Toggle Step Edit mode
Ctrl+H | Stop sound (panic)
Ctrl+T | Toggle typing keypad to piano keypad
Ctrl+B | Toggle blend notes
Ctrl+Shift+M | Toggle metronome
Ctrl+P | Toggle recording metronome precount
Ctrl+I | Toggle wait for input to start recording

 | Window Navigation
Tab | Cycle nested windows
Ctrl+F8 | Open Plugin Picker
Enter | Toggle Max/Min Playlist
Esc | Closes a window
F1 | This Help
F5 | Toggle Playlist
F6 | Toggle Step Sequencer
F7 | Toggle Piano roll
F8 | Show/hide Sample Browser
F9 | Show/hide Mixer
F10 | Show/hide MIDI settings
F11 | Show/hide song info window
F12 | Close all windows
Ctrl+Shift+H | Arrange windows

 | Mixer
Alt+Left-Arrow / Right-Arrow | Move selected mixer track Left/Right
Alt+L | Select the channels Linked to the selected mixer track
Ctrl+L | Link selected channels to selected mixer track
Shift+Ctrl+L | Link selected channels STARTING From selected mixer track
F2 | Rename selected mixer track
S | Solo Current track
Alt+S | Alt Solo - Activate Current track and all tracks Routed TO/FROM It
Alt+R | Render Armed tracks to .wav

 | Playlist
NOTE: | Some keyboard modifiers apply only to Draw mode ( [image] ).
Alt | Bypass snap (very useful when combined with other modifiers)
Alt+Up Arrow | Move selected pattern Up
Alt+Down Arrow | Move selected pattern Down
Alt+G | Grid Color
Alt+C | Color selected clip/pattern
Alt+P | Open the 'Current project' folder in the Browser
Alt+Q | Quick quantize
Alt+/* and Ctrl+Alt+/* | Jump to Next/Previous song marker (if present)
Ctrl+A | Select All
Ctrl+Left-click | Select
Ctrl+Shift+Left-click | Add to selection
Ctrl+Right-click | Zoom on selection / Drag to make zoom selection (zoom on release)
Double Left-click on clip/pattern | Open clip/pattern properties (e.g. Piano roll, Channel settings)
Left-shift+Left-click (on Playlist) | Add and resize clip/pattern (move mouse L/R after click and hold to resize)
Left-shift+Right-click | Pan view
Middle mouse button | Pan view (hold and drag left/right)
Right-click | Delete selected clip/pattern
Right-shift+Left-click | Slice clip/pattern (click above/below clip/pattern and drag vertical)
Right-shift+Right-click | Slice clip/pattern & delete smallest part (click above/below clip/pattern and drag vertical)
Shift+Ctrl+Del | Delete selected clip/pattern source data
Shift+Left-click (on clip/pattern) | Clone (drag while holding clip/pattern)
Shift+Left-click (on clip/pattern) | Clone (drag while holding clip/pattern)
0 (zero) | Center playback to playing position
PgUp / PgDown | Zoom in / Zoom out

 | Piano roll
NOTE: | Some keyboard modifiers apply only to Draw mode ( [image] ).
Alt | Bypass snap (very useful when combined with other modifiers)
Alt+A | Arpeggiator
Alt+Q | Quantize
Alt+B | View note helpers
Alt+V | Switch ghost channels ON/OFF
Alt+C | Change color of selected note/s (to selected color group)
Ctrl+Q | Quick quantize
Ctrl+M | Import MIDI file
Ctrl+A | Select All
Ctrl+Left-click | Select
Ctrl+Shift+Left-click | Add to selection
Ctrl+Right-click | Zoom on selection/Drag to make zoom selection (zoom on release)
Double Left-click on note | Open note properties
Left-shift+Left-click (on Piano roll) | Add and resize notes (move mouse L/R after click and hold to resize)
Left-shift+Right-click | Pan view
Middle mouse button | Pan view (hold and drag left/right)
Right-click | Delete Selected Note/s
Right-shift+Left-click | Slice notes (click above/below note and drag vertical)
Right-shift+Right-click | Slice notes & delete smallest part (click above/below note and drag vertical)
Shift+Left-click (on note) | Clone (drag while holding note)
Shift(any)+Left-click (on note) | Clone (drag while holding note)


Useful External Websites

FL STUDIO WEB SITES

Useful Links

This page contains a list of useful links.

Image-Line Links

  • FL website [image] - The FL Studio Home Page.
  • Knowledge Base [image] - Search for solutions to problems.
  • FL Studio Help [image] - This help file on-line. Read the manual anywhere, anytime.
  • Merchandise [image] - Caps, shirts, bears, underwear, mugs, bags, robots!
  • Image-Line Forums* [image] - All the forums you have access to.
  • Shop [image] - Buy FL Studio and other plugins.
  • Loop Talk* [image] - Forum for user open discussion on all things relating to FL Studio.
  • Tech Support* [image] - Forum where you can leave a technical question to be answered by FL Staff. This is not available to Demo users as tens of thousands of people download the demo each month.
  • Song Exchange* [image] - Share FL Studio projects/songs with other users.
  • Introductory Video Tutorials* [image] - Introductory tutorials (Interface, Step Sequencer, Playlist, Piano roll, Effects, Mixer, MIDI controllers, FPC & MPD16, Recording audio, etc).
  • Advanced Video Tutorials* [image] - Advanced tutorials (Loop recording, Automation clips, Layers, Advanced Piano roll, Sytrus, Time stretching, Vocoding, Rewire, FL as plugin, Wave editor, etc).
  • Sample Fusion* [image] - Download a huge library of free samples, FPC kits (Misc downloads) and FL Keys libraries. Since FL Studio is mainly sold via download we can't include all the samples we would like, so get them here. FPC and Direct Wave can access Sample Fusion directly from the Download Manager
  • Sytrus Presets* [image] - Forum dedicated to sharing Sytrus patches and patch creation.

* Site is open to registered users only.

Third-Party Links

Image-line is not responsible for the content on these sites or the consequences of downloading and running any software you may find on them.

  • KVR [image] - This site is a one-stop resource for plugin reviews, news and links to free/commercial plugins.
  • ASIO4ALL [image] - 3rd party ASIO drivers that *may* help you to work around problems with soundcards that don't ship with factory ASIO drivers. ASIO is required to record audio into FL Studio.
  • The freesound project [image] - is the worlds largest database of Creative Commons [image] licensed sounds.
  • LibriVox [image] - All LibriVox recordings are in the public domain, this means people can do anything they like with them. A useful source of Vocodex modulator audio.


MENU BAR & PANELS

Menu Bar & Panels

Menu Bar

Click on the menu item to jump to the help for that menu OR the gray surround to see the help for the surrounding controls.
File options Edit options Channel options View options Options menu Tools menu Help menu Main menu & hint-bar

Panels

FL Studio panels are located at the top of the screen in the Tool Bar area, and provide quick access to many commands and options. Many of these commands are also available in FL Studio menus and windows. Click on the panel of interest to see the help for that panel.
Main menu & hint-bar Transport controls Output monitor CPU load & polyphony monitor Shortcut buttons Recording options Time News & Content manager Panel Dock


MENU BAR

Menu Bar

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

Menu Options

The Menu bar is located in the Main panel and provides access to the main menus of FL Studio:

  • File

  • Edit

  • Channels

  • View

  • Options

  • Tools

  • Help


File Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The File menu ( [image] F3) contains commands for managing files:

Commands

  • New - Starts a new, empty project using the last selected drum kit template as a start point. You will be prompted to save any changes made to the current project.
  • New from template - Contains a submenu with a selection of different templates - Genre, Minimal, Other and Utility. To change the default template when FL Studio opens -
    • Select File > New from template >, etc. - where, etc. is the template you want to use.
    • Close FL Studio - without making any changes to the project.
    • Open FL Studio - The template you selected will now be the default on opening.

    Template projects are saved in the FL Studio installation folder: ..\Program Files\Image-Line\FL Studio\Data\Projects\Templates. You can save a customized project there and perform the above steps to set it as your default project.

  • Open ( [image] Ctrl+O) - Opens an existing project. The Open File dialog is enhanced with a Favorites section.
  • Save ( [image] Ctrl+S) - Updates your current project by overwriting the last saved copy on disk. For a list of available save formats, see the File Formats page. If the current project has not been saved previously, this command will work like Save as.
  • Save as ( [image] Shift+Ctrl+S) - Saves the current as a different name and/or format. For a list of available save formats, see the File Formats page. The Save File dialog is enhanced with a Favorites section.
  • Save new version ( [image] Ctrl+N)- Saves the current project as a file with a unique name. For example, if you have a project called MyProj, this command saves a file named MyProj_2. Next time it will be called MyProj_3, etc. This feature is useful for saving versions of the project without overwriting the original file.
  • Import - Loads files that are not FL Studio native projects. For a complete list of file types you can import, see the Open/Import File Formats page. The Import File dialog is enhanced with a Favorites section.
  • Export - Converts the current project to various file formats. For a complete list of file types you can export to, see the File Formats page.
    • Zipped loop package - This saves both the .flp (project data) and samples associated with the project in a standard ZIP [image] file format. This is a great way to archive your important projects so that you don't lose the sounds associated with it.
    • Wave file ( [image] Ctrl+R) - The Wave [image] format is a widely used uncompressed audio format used in distributing production quality audio. If you plan to burn a standard Audio CD then you will need export 44.1 kHz 16-Bit Wave (.wav) files. NOTE: FL Studio does not burn CDs.
    • mp3 file ( [image] Shift+Ctrl+R) - mp3 [image] (Mpeg Audio Layer 3) is a compressed audio format useful for sharing music over the internet and compatible mp3 players. While .mp3 audio quality can be excellent (@ rates of 224 kbps and above) it is not recommended for archiving production quality audio.
    • ogg file - ( [image] Shift+Ctrl+R) - ogg [image] (Ogg Vorbis) is an open-source compressed audio format useful for sharing music over the internet and compatible Ogg players. While Ogg audio quality can be excellent (@ rates of 224 kbps and above) it is not recommended for archiving production quality audio.
    • MIDI file ( [image] Shift+Ctrl+M) - MIDI [image] (Musical Instrument Digital Interface) format saves musical note (score) and control data associated with projects. NOTE: MIDI does not contain nor save audio. Your PC may make sound when you run a MIDI file as many soundcards can interpret and play MIDI data.
    • Project bones - Use this command as a shortcut to export all generator/effects settings as presets (*.fst files) and score/automation data as score files (*.fsc files) used in the current project. This is useful for merging components from one project into another. Also, a *.nfo file will be created in the folder you selected to store the preset/score data, that is used by the Browser.
    • Project data files - Saves copies of all samples, TS404 shapes and SimSynth/DrumSynth presets and other plugin data used in the current project into a single folder of your choice.
  • Recent projects ( [image] Alt+ 1 to 0 (10)) - Appears as a list of the 10 most recently opened projects at the bottom of the File menu, with the most recent one at the top.
  • Exit - Closes FL Studio, prompting you to save any changes to your current project.


Edit Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The Edit menu contains commands for selecting and editing channels and notes (the contents of the menu will depend on what window in FL Studio is selected).

Commands

  • Undo/Redo ( [image] Ctrl+Alt+Z/Ctrl+Z) - These two commands allow you to step through the edit history of FL Studio (to see a list of the actions currently stored in the history, open the Project Browser / History folder). Ctrl+Alt+Z steps back through the history. Ctrl+Z steps forward through the history, unless you are at the latest step (in this case, Ctrl+Z works as the standard one step undo/redo shortcut).
  • Cut ( [image] Ctrl+X) - Cuts the notes from all selected channels in the Step Sequencer to clipboard. Automation events cannot be cut using this command.
  • Copy ( [image] Ctrl+C)- Copies the notes from all selected channels in the Step Sequencer to clipboard. Automation events cannot be copied using this command.
  • Paste ( [image] Ctrl+V ) - Pastes notes from clipboard, starting with the uppermost selected channel in the Step Sequencer.
  • Shift left ( [image] Shift+Left) - Shifts the notes from all selected channels in the Step Sequencer one step left. First notes become last notes.
  • Shift right ( [image] Shift+Right) - Shifts the notes from all selected channels in the Step Sequencer one step right. Last notes become first notes.
  • Randomize ( [image] Alt+R/Alt+H) - Opens the Randomizer dialog, allowing you to create random notes and to randomize the note properties for all selected channels in the Step Sequencer.
  • Send to Piano roll - Moves the notes from all selected channels in the Step Sequencer to the Piano roll of each channel. Shuffle is preserved (see the Step Sequencer).


Channel Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The Channels menu contains commands for managing channels.

Commands

  • Add one - Contains a list of all Instruments selected as favorites. Choosing a instrument from this menu will add a single instance of it at the bottom of the Step Sequencer window. Click More... to open the Select plugin window, that contains a list of all instruments present in FL Studio (including VSTi and DXi).
    • To open a channel containing a plugin - Double-click the instrument name.
    • To mark a instrument as a 'favorite' - Click the check box preceding the instrument name (all plugins preceded by a check mark will appear in the favorites list).
    • To see newly installed plugins - Click Refresh in the bottom of the 'Select plugin' window and select Fast Scan rather than 'Scan & Verify', because it takes a long time to scan since every plugin is opened and verified (which can crash FL Studio if there are buggy plugins). Scan & Verify does, however, sort instruments and FX. VSTis (instruments) are put into a VSTi folder (Channels > Add one > More) and VSTs (FX) in the VST folder (found in the mixer when choosing the VST effect).

    NOTE: See the Browser 'Using Browser content' section for alternative (faster) ways to load plugins.

  • Clone selected ( [image] Shift+Ctrl+C) - Inserts a clone of each selected channel in the Step Sequencer right after it. The clone retains the instrument type of the original, as well as all of its settings, but does not contain its notes and events.
  • Delete selected ( [image] Ctrl+Del)- Removes all selected channels in the Step Sequencer.
  • Move selected up ( [image] Alt+Up) - Moves all selected channels one step up in the Step Sequencer.
  • Move selected down ( [image] Alt+Down) - Moves all selected channels one step down in the Step Sequencer.
  • Group selected ( [image] Alt+G) - Adds all selected channels to a group (a popup window displays to enter the name of the group). If a group with the name you specified doesn't exist, it will be automatically created. For more information on channel grouping see the Channel Filtering section in the Step Sequencer page.
  • Color selected - Provides several options for colouring channel buttons. Useful for grouping instrument types/sections.
    • Gradient ( [image] Alt+C) - Opens a dialog for selecting start and end colors. All selected channels will be colored in sequence from the start to end points in the color space selected.
    • Random ( [image] Ctrl+Alt+C) - Colors channels randomly. This function contains some rules on coloring so it won't look as bad as you might expect.
  • Zip selected ( [image] Alt+Z) - Turns all selected channels in the Step Sequencer into compact view mode. Right-click the button of a zipped channel to unzip it.

  • Unzip all ( [image] Alt+U) - Unzips all channels in the Step Sequencer.
  • Restretch all - Active only when tempo automation is used. When the tempo is automated the auto-restretch feature is disabled as it is not a real-time process. This feature allows you to adjust the tempo manually and force a restretch.


View Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The View menu contains commands for showing/hiding and arranging FL Studio windows.

Windows

  • Playlist ( [image] F5) - Shows/hides the Playlist window.
  • Step Sequencer ( [image] F6) - Shows/hides the Step Sequencer window.
  • Piano roll ( [image] F7) - Shows/hides the Piano roll window.
  • Browser ( [image] F8) - Shows/hides the Browser window.
  • Mixer ( [image] F9) - Shows/hides the Mixer window.
  • Channel settings - Shows/hides the Channel Settings window.
  • Plugin picker ( [image] Ctrl+F8) - Displays an array of plugins (effects left, instruments right). To use the Plugin picker, click, hold and drag the icon associated with the plugin you want to use and the picker list will close. Drop the plugin on the target location inside FL Studio. See the Browser section of the manual for details on customizing the Plugin picker.
  • Toolbars -
    • Select / Deselect Transport, Output monitor, CPU, Shortcut, Extra shortcut, Recording, Time, Online, Hint Bar panels. The Hint bar option displays an additional floating Hint Bar panel in the lower-left corner of the FL Studio interface.
    • Lock - Locks the position of the Panels in the upper docking bar.

Layout

  • Close all windows - ( [image] F12) - Closes all windows in FL Studio.
  • Close all unfocussed windows - ( [image] Ctrl + F12) - Closes all unselected (unfocussed) windows .
  • Arrange windows
    • Default - ( [image] Shift+Ctrl+H) - Restores the default layout.
    • Alternate - Simply an alternate layout. Try it, you may like it :)
    • Outside bottom taskbar - Extends the FL studio desktop so that it is under the Windows taskbar.
    • Save current arrangement - Saves the current layout, to be used next time FL Studio is restarted.
  • Background - Allows you to choose wallpaper for FL Studio main window.
    • Set bitmap wallpaper - Allows you to use an image for the main window background.
    • Set HTML document - Lets you choose an HTML document for the main window background.

Browser

  • Undo history - Expands the history section in the Project Browser.
  • Automation - Expands the history section in the Project Browser.
  • Generators in use - Expands the instruments section in the Project Browser.
  • Effects in use - Expands the effects section in the Project Browser.
  • Remote control - Expands the remote control section in the Project Browser.
  • Plugin database - Opens the Plugin Database ( [image] Shift+F8).


Options Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The Options menu contains commands that set options in FL Studio.

System

  • MIDI settings ( [image] F10) - Shows/hides the MIDI Settings window.
  • Audio settings - Shows/hides the Audio Settings window.
  • General settings - Shows/hides the General Settings window.
  • File settings - Shows/hides the File Settings window.

Project

  • Project info ( [image] F11) - Shows/hides the Project Info window.
  • Project general settings - Shows/hides the Project Settings window.

MIDI

  • Enable MIDI remote control - If unchecked, you will not be able to use MIDI remote control in FL Studio, but the device you use for remote control will be released for use in other applications you run simultaneously with FL Studio.
  • Enable MIDI output - If unchecked, you will not be able to use MIDI output in FL Studio, but the device you use for output will be released for use in other applications you run simultaneously with FL Studio.
  • Enable MIDI master sync - If checked, FL Studio will sync (as a master) with an external MIDI device or a sequencer. You can choose a device to sync with in the MIDI Settings window.

Switches

  • Typing keyboard to piano ( [image] Ctrl+T) - When enabled, you can use your typing keyboard to record notes as you would do with a real MIDI keyboard.
  • Metronome ( [image] Ctrl+M) - When enabled, you will hear a short "metronome" sound at the beginning of each beat and an accent at the beginning of each bar. This is especially useful if you need to keep yourself synced with the song tempo when recording a melody from a MIDI keyboard. NOTE: For the metronome options (including Mixer track routing & changing the click-sound) see the Recording Panel page.
  • Recording precount ( [image] Ctrl+P) - When enabled, you will hear a series of countdown metronome ticks before the start of a recording session.
  • Start on input ( [image] Ctrl+I) - When enabled, pressing the play button will set FL Studio to waiting mode and actual playing/recording will begin when input data is received (e.g. when a key on the MIDI keyboard is pressed ).
  • Blend recorded notes ( [image] Ctrl+B) - When swtiched on, the notes you record will blend with any already existing ones, otherwise recorded notes will overwrite the old ones.
  • Step edit ( [image] Ctrl+E) - Switches step recording on/off.
  • Loop record - Loop record continuously repeats the selection marked in the Playlist (Shift + Left-click and drag in the bar-marker region) to allow you to layer MIDI or audio data. For audio to be placed automatically in the Playlist on each loop, turn on 'Auto create audio clip' in the Mixer menu > 'Disk recording' options.
  • Auto scrolling - Turns on/off the auto-scrolling feature in the Playlist and Piano roll.
  • Enable groups - Enables Piano roll note and Playlist pattern grouping. Use the Piano roll & Playlist 'Group' menu option to group/ungroup selected notes/patterns.
  • Multi-link to controllers ( [image] Ctrl+J) - For more detail see the section on Using External Hardware Controllers. To link multiple controls in one session, use the Multi-link option on the recording panel. Select the switch, tweak all the target controls, then tweak the same number of knobs on your hardware controller and turn off the switch (most people can remember about 7 links, how good is your memory?).


Tools Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The Tools menu contains useful tools for working with channels, patterns, effects and provides the ability to use external applications as tools inside FL Studio.

Commands

  • Browser smart find ( [image] Ctrl+F) - Searches the directories in the Browser for any text entered here.
  • One-click audio recording:
    • I want to record audio...
      • Into Edison audio editor/recorder - Loads Edison into the Master Mixer track and prompts for an audio input. See the Audio Recording section for advanced training (highly recommended).
      • Into Playlist as an Audio Clip - Records audio from the Master Mixer track and prompts for an audio input. See the Audio Recording section for advanced training (highly recommended).
  • Macros
    • Patterns:
      • Rename current pattern ( [image] F2) - Launches the pattern rename dialog.
      • Jump to next empty pattern ( [image] F4) - Switches to the next pattern that does not contain any note events (either in the Step Sequencer or the Piano roll) in any channel.
    • Panic:
      • Stop sound ( [image] Ctrl+H) - Stops all notes playing.
      • Cancel recording - Cancels the current recording and purges the .wav file.
    • Misc:
      • Switch smart disable for all plugins - Turns on Smart Disable for all plugins (instruments & effects), this turns off plugins when they are idle and can reduce CPU load significantly. There is also a global Smart disable on the F10 Audio settings panel. Alternatively plugin wrapper menus have individual smart disable options.
      • Prepare for MIDI export - Replaces all channels with auto-configured MIDI-out channels. Use this before rendering to MIDI. If you want the file to play on any soundcard using the inbuilt general MIDI (GM) sounds then you will need to assign GM patches to each channel:
        • 1. Load a Fruity LSD plugin into a Mixer track.
        • 2. Set the various MIDI Out channels to the same port number as the LSD plugin.
        • 3. From the MIDI Out Patch control, select general MIDI sounds that match as closely as possible your original channels.
        • 4. Render to MIDI and the MIDI file will play on any soundcard with the correct GM sounds. NOTE: if you are making GM files from scratch you should build your song this way from the start.
      • Select unused channels - Selects all channels that do not contain any notes (neither in the Step Sequencer or the Piano roll) in any pattern.
      • Purge unused audio clips - Removes any Audio Clips that do not have associated note data or appear in the Playlist (i.e. are not being used in the current project.
  • Riff machine - Opens the Riff machine, an automated score generation wizard. Opening the Riff Machine from the Tools menu, rather than from the Piano roll Menu will auto-create a channel, with a randomly chosen preset, from an Image-Line approved list of sounds. After all, you are in a creative slump and need all the help you can get!

Clipboard

These options are greyed out if no data is available.

  • Save audio clipboard to browser - Creates a .wav file of the current Audio Clip-board and saves it in \Data\Patches\Clipboard files of the FLStudio installation directory.
  • Save MIDI clipboard to browser - Creates a .mid file of the current MIDI clip-board data and saves it in \Data\Patches\Clipboard files of the FLStudio installation directory.

Score logger

  • Dump score log to selected pattern - Saves the contents of the score logger into the Piano roll of the selected pattern and channel. The score logger is always on and buffers all note activity from external controllers or typing keyboard to piano activity from the last 3 minutes. A copy of the current log can be dumped to the Piano roll at any time. Never lose that perfect improvisation again!

Last tweaked parameters

  • Last tweaked - Several options that apply to the last tweaked parameter on any part of the GUI including plugin GUI's. NOTE: The last tweaked parameter name will be displayed at the top of the menu.
    • Edit events - Opens the Event Editor for the last tweaked control. This data will be saved in the currently selected pattern. There are also sub-options to edit events in a 'new window' or in the integrated 'Piano roll' editor.
    • Edit events in new window - If an Event Editor window is already open, this option will become available to allow you to edit a last tweaked parameter in a new event editor window.
    • Edit events in piano roll - If a Piano roll is already open, this option will become available to allow you to edit a last tweaked parameter in a new Piano roll.
    • Init song with this position - Defines the starting position for the control/knob when the song starts to play. You will need to press STOP, then PLAY, for this to take effect.
    • Create automation clip - Creates an automation clip linked to the last moved knob.
    • Link to controller - Opens the Remote control settings dialog that allows an external controller to be linked to the tweaked control.
    • Copy value/Paste value - Allows you to copy and paste the values of knobs and other controls.
    • Override volatile link - Creates a 'Generic floating-link' between the last tweaked user interface parameter and the controller knob that was moved when the 'volatile link' was initiated. Endless knobs or a jog-wheels make good volatile target controllers. See the section on linking hardware controllers for more details.
  • Before last tweaked - Several options that apply to the second last tweaked parameter on any part of the user interface including plugin user interface's. NOTE: The second last tweaked parameter name will be displayed at the top of the menu.
    • See Last tweaked options.

External

  • External tools... - Opens the External Tools dialog that allows you set external applications (wave editors, sample browsers, etc.) as tools in FL Studio.


Help Menu

File options Edit options Channel options View options Options menu Tools menu Help menu Panel Dock

The Help menu contains commands for access to this reference system and other help documents.

Help

  • Contents ( [image] F1)- Opens this help system.

Registration

  • Product information - Click here to find out more about Image-Line [image] products.
  • Register your trial version - Click here to register a demo version of FL Studio.
  • Paste registration key - For 'Boxed' customers. If you have not yet registered FL Studio via the internet, this will allow you to paste in your registration key that shipped with your Boxed version of FL Studio.
  • Register access to website - Takes you to the 'My FL Studio' section of the Image-Line website.

Internet links

  • Create your own (music) website - A link to the homepage of EZ Generator [image], Image-Line's web development program. And you thought we only make music software? :)
  • Deckadance DJ Mixer homepage - Takes you to the home page of Deckadance [image], Image-Line's DJ software package.
  • DrumSynth homepage - A link to the homepage of DrumSynth. FL Studio can render DrumSynth presets directly.
  • FL Studio diagnostic tool - A link to a Diagnostic Tool [image] to help tech-support understand any problems you may be having. The tool also has some FLP recovery features to help you recover corrupted projects.
  • FL Studio homepage - FL Studio [image] website
  • FL Studio tutorials - Links to the tutorials section [image] (videos, etc.) on the FL Studio website.
  • Image-Line - Global Image-Line [image] website, the mothership!
  • LAME .mp3 encoder homepage - Take you to the homepage of LAME .mp3 Encoder [image]. LAME .mp3 Encoder is integrated in FL Studio and can be used to export .mp3 files. Despite the name, this is arguably the best quality encoder available.
  • SoftVoice Text-to-Speech homepage - A link to the Softvoice Inc. website, the speech synth as used in FL Studio.
  • Sytrus synthesizer homepage - Takes you to the homepage of Sytrus [image], the flagship Synthesizer plugin used in FL Studio.

About

  • About... - Opens the 'About' box to display version number, credits, etc.


External Tools Dialog

The External Tools dialog lets you set up external applications (wave editors, sample browsers, etc.) for use as tools in FL Studio.

Options

  1. Tools List - Displays a list of all configured tools. Before setting up a new tool click an empty field in the list, otherwise the new tool will overwrite the older one. You can also drag the entries up and down to change the order.
  2. Tool Properties - Displays the program icon of the application and enables setting of the displayed name of the tool in the Tools menu.
  3. File Location - Enter the full path to the external application to be used as a tool. Alternatively, click the button on the right to browse for an application.
  4. Tool Type - Sets the launching option for the tool:
    • Launch with sample - Suitable for wave editors. Enabled with the Default Editor, this external tool replaces the internal Wave Editor (Edison) inside FL Studio.
    • Launch with sample path - Useful for batch audio processing applications and external sample browsers.
    • Launch at startup - Launches the program at FL Studio startup, such as a software synthesizer or MIDI loop-back device.


Menu Favorites

MENU BAR

Favorites Section

All open/import and save/export dialogs in FL Studio have a Favorites function to quickly jump to frequently used folders.

    1. Favorites Combo Box - Contains a list with shortcuts to all favorite folders you have set.
    2. Set As Favorite - Adds the current folder to the favorites.
    3. Remove From Favorites - Removes the currently displayed folder in the combo box from the favorites list.


Control Panels

PANELS

Panels

FL Studio panels are located at the top of the screen in the Tool Bar area, and provide quick access to many commands and options. Many of these commands are also available in FL Studio menus and windows.
Main menu & hint-bar Transport controls Output monitor CPU load & polyphony monitor Shortcut buttons Recording options Time News & Content manager Panel Dock

Controls

  • Moving panels - The panels behave much like standard Windows toolbar controls - they can be reordered in any way, undocked and docked to the top or bottom of the screen by dragging the handle located in the left side of each panel. NOTE: If panels are Locked they will not be movable, right-click on the panel dock OR use the Menu > View > Toolbars and de-select 'Lock' if this is the case.
    Drag me!
  • Display / Hide panels -To hide or show toolbar panels, right-click on the background rail/dock strip and select from the pop-up menu OR use the Menu > View > Toolbars options. Panels that are visible are preceded by a check mark. Checking 'Lock' will lock the panels into position so that you can not move them by accident.

  • Panel list -
    • Main Panel

    • Transport Panel

    • Output Monitor Panel

    • CPU Panel

    • Shortcut & Extra Shortcut Panels

    • Recording Panel

    • Time Panel

    • Online Panel

    • Extended Hint Panel


Main Panel

The Main panel contains some essential controls for each application including the title bar, main menu bar, hint panel and the minimize/maximize/restore and close buttons. It also contains the global volume and pitch controls.

Panel Main
  1. Menu Bar - Provides access to the main menus in FL Studio. For more information, see the Menu Bar.
  2. Hint Bar - If you place your cursor over any control a short description of it will appear here. The hint bar will also display the value of a wheel or slider during adjustment. There is an additional Extended Hint Panel, that displays the same information in a larger format. To select it, use the View Menu > Toolbars > Hint bar option.
  3. Title Bar - Shows the name of the song currently open in FL Studio.
  4. Minimize - Hides the main window.
  5. Maximize/Restore - Maximizes/restores FL Studio main window. Multi-monitor mode - After opening FL Studio, click this button then click on the right-most edge of the FL Studio desktop and drag across the screens you want to occupy. Alternatively, a number of FL Studio windows can be detatched from the desktop and moved to a different monitor. See the menus associated with the main FL Studio windows (e.g. Playlist, Piano roll, Mixer, etc.) and look for the 'Detached' option.
  6. Close ( [image] Alt+F4) - Closes FL Studio.
  7. Sync LED - Blinks at the beginning of each beat and turns blue at the beginning of each bar. Note: The Sync LED works only when the Enable MIDI Output option in Options menu is checked.
  8. MIDI Activity LED - Blinks when MIDI data is received from the MIDI input device (see Linking Controllers).
  9. Main Volume - Sets the main volume in FL Studio; the last level passed by the audio before it leaves the program. The main volume control provides quick level adjustments while listening to projects. However, when rendering projects, the main volume should be set at the default level (right-click and select 'reset' to restore to the default value). See the help section on Levels and Mixing to learn how to set mixing levels in FL Studio.
  10. Main Pitch - Sets the main pitch of instruments in FL Studio.

Hint Bar

The Hint Bar is particularly useful. Position your cursor over any control and a short description will appear. If you click on a control, the value will be displayed (right-click and copy any value from a control if desired). Similarly 'hovering' your cursor over most peak meters will show the value at the pointer position. On the right you will find different icons explaining what the hovered item is capable of:

From left to right -

  • Control name ('Play / Pause' in this case) - The actual text depends on what part of the user interface the mouse pointer is over. Keyboard shortcuts (if available) also display on the right side of the Hint Bar near any icons.
  • Icon display - On the right-side of the Hint Bar (no not all at once, that's just to show you the possibilities). From left to right:
    • MIDI plug - The parameter can be linked to anything (a MIDI control, an internal controller etc)
    • Recording - The parameter can be automated, recorded, respond to an envelope controller.
    • Happy face - Shown when things went fine (such as a search in the Browser).
    • Right mouse button - Whenever you see this, it means that you can right-click the control in order to access a popup or other feature. However, the lack of this icon doesn't necessarily mean that there is no right-click feature. Always try clicking a control with every mouse button.
    • Sad face - Shown when things went wrong. Rarely seen.
    • Arrow to the left - To be honest we can't remember where we used this one, or if it was *ever* used. Tell us if you see it, and what you were doing, we want to know
    • Fast forward - Shown when holding a fast-forward key (Playlist, Edison)
    • Attention/warning - Shown when the hint is important and you shouldn't miss it.
    • Hourglass - Shown for lengthy operations. Rarely used, as the hourglass mouse cursor is used instead.
    • Backward - Shown when holding a backward keyboard key (Playlist, Edison etc)
    • Links - Shown for 2 events that are linked (grouped) together.

There is an optional, larger, floating Hint panel revealed by the View > Toolbars > Hint bar setting.


Transport Panel

The Transport Panel contains controls for playing, recording and setting song position and tempo.

  1. Pattern/Song mode ( [image] L) - Switch between pattern and song mode. In pattern mode, only the current pattern is played, while in song mode the whole sequence in the Playlist is played. Right-clicking this control toggles the Playlist window.
  2. Play/Pause ( [image] Ctrl + Space) - Press the button once to play, again to pause. To Play/Stop use ( [image] Space). When the record button is armed pressing Play starts starts the recording process. NOTE: There are also play buttons on the top bar of the Piano roll, Channel window / Step Sequencer and Playlist to aid workflow.
  3. Stop ( [image] Space) - Stops playback or recording. To pause playback use ( [image] Ctrl + Space).
  4. Record ( [image] R) - Switches between record and play mode. Right-click the record button to show the Recording Filter options (all items with a tick will be recorded, left-click to select items):

    • Automation - Select to record movements of knobs, sliders and switches by the mouse or from controllers. Turn this off if you want to adjust mixer track volumes, generator settings, etc. while recording external audio and you don't want those movements recorded.
    • Score - Select to record note data from keyboards, etc. Turn this off if you want to accompany a vocalist, for example, but don't want to record your keyboard performance.
    • Audio - Select to record audio.
  5. Song tempo (larger digits) - Shows/sets song tempo. Right-click the LCD screen for some tempo presets & commands:
    • Tap - You can now tap the tempo in FL Studio. Click the tap command and you'll see the tempo tap window appear (you can have the song playing before you launch the tap tool). Click the tap icon repeatedly with the desired tempo in mind. You will see the tempo adjust to new levels after some taps. For best results, tap at least 10-16 times until the tempo is stabilized. Click the OK button to accept the new tempo.
    • 80bpm-160bpm - Some commonly used tempo presets.
    • Half speed - Play the song at half the current BPM setting. The value displayed in the Tempo LCD does not change when 'Half speed' it set. This is a temporary state to make it easier to record difficult note/event performances, making it easier to remember what the original tempo was after you are done.
    • Tempo fine tune (smaller digits) - This control lets you fine tune the tempo of the current project in measure of 1/1000 bpm. The value set here will be added to the base tempo. Note that it's not recommended to use that setting when starting a new song (it is better to use a whole number for your tempo). However, it can be used to match the exact speed of another song to be mixed in a FL Studio project (for making using existing sampled loops, "cover songs" , etc).
  6. Pattern selector ( [image] + /for next pattern/; [image] - /for previous pattern/) - Shows/sets the current pattern. Right-click to show a pop-up menu of all patterns in the project. A maximum of 999 individual patterns can be created.
  7. Song position slider - Shows/sets the current song position. Click and drag to move.


Output Monitor Panel

The Output Monitor panel contains controls for monitoring the audio output of FL Studio.

  1. Oscilloscope - Oscilloscope view displays the wave output of FL Studio. Right-click the Oscilloscope area to set the following options:
      • Stereo - Stereo or Single line display.
      • Long - Stationary or scrolling oscilloscope.
      • Ghost - Ghost image on/off.
  2. Peak Meter - Monitors the final output of FL Studio (place your mouse over the peak meter to read the values in the Hint Bar). If the bars turn red your project is clipping, not good. To learn more about clipping and setting levels in FL Studio see the section on Levels and Mixing.
  3. Monitor Switches - Monitor type switches. The three symbols to the left of the word MONITOR below the peak-meters select, from left to right: Off, Oscilloscope, Spectrum.


CPU Panel

The CPU panel displays the polyphony and CPU usage of the project.

  1. CPU Bar Graph - The CPU Meter shows the approximate percentage of CPU capacity used by the audio generation/mixing processes while playing the current project. This meter does not take into account any Graphical User Interface overhead from either FL Studio or plugins. For a more complete estimate of processor load, use the Windows Task Manager (press Ctrl+Alt+Del and select the Performance tab). To increase the refresh rate, right-click the view to open an options menu. For tips on reducing CPU usage see the Troubleshooting section.
  2. RAM Usage Meter - The RAM meter shows how much of the 2GB/3GB (2000/3000) address space [image] allocated to FL Studio remains unused or used (right-click the panel to change mode between 'Show available' & 'Show used'). If you run out of address space you will experience memory errors such as access violations or buffer overflows [image].

    So what if this doesn't this match the amount of RAM you have installed? For the moment, forget how much physical RAM [image] your PC has. All 32-bit [image] programs can access a maximum of 2GB or 3GB (see the note below), working memory. This 'virtual RAM' [image] address space is independent of the physical RAM installed on your computer. Each program is given its own 2GB/3GB of address space to use. So if there are 4 programs running, there may be 12 GB of working memory allocated between them. The Windows Operating System (OS) then makes up for any physical RAM shortfall by using the hard-drive and shares the physical RAM among these virtual RAM allocations (in the OS equivalent of a 'lottery'). In this way, the virtual address space of any single program may point to physical RAM (winner!), the hard-drive Page File [image] (looser) or a combination of the two. So why all the fuss about installing lots of physical RAM? The more physical RAM you have, the more likely it is that a program will win the RAM allocation lottery and have all its working data stored there. As physical RAM is much faster than the hard-drive, programs run faster. In the case of FL Studio, having lots of physical RAM also means you are less likely to experience buffer underruns, HOWEVER, it does nothing to break the 3GB per-program limit, and that is what this meter shows.

    NOTE: There is a 3GB 'FL (extended memory).exe' in the FL Studio installation directory. For 32 bit Windows Operating Systems, this must be used with the /3GB Switch [image] in the Boot.ini [image] file. If you do edit it, save a copy to Boot.ini.old first, so you can recover the original at any time. Boot.ini files do not apply to Windows Vista memory management [image], BCDEdit [image] is used with the /set IncreaseUserVa 3072 command. Image-Line takes no responsibility for issues caused by editing your Boot.ini file OR BCDEdit manipulation, you do these at your own risk.

  3. CPU Meter Graph - Shows the CPU usage as a running graph, so that you can track changes and observe spikes.
  4. Polyphony - Shows number of voices (independent sounds) being mixed at the same time. NOTE: that TS404 channels are not counted when displaying the polyphony.


Shortcut Panels

GLOBAL

Shortcut Panel & Extra Shortcut Panel

The Shortcut panels provide quick access to some frequently used commands. Turn them on and off by right-clicking on the toolbar rail on which the panels are attached and select the tick box next to the 'Shortut panel' and 'Extra shortcut panel' respectively.

  1. Playlist ( [image] F5) - Shows/hides the Playlist window. Right-click to maximize Playlist.
  2. Channel Window / Step Sequencer ( [image] F6) - Shows/hides the Channel Window / Step Sequencer window.
  3. Piano roll ( [image] F7) - Shows/hides the Piano roll window. Right-click to maximize Piano roll.
  4. View Browser ( [image] F8) - Shows/hides the Browser window. Right-click to open the Plugin Picker.
  5. Mixer Window ( [image] F9) - Shows/hides the Mixer window.
  6. Undo / History ( [image] Ctrl+Z) - Undo the last command. Right-click the button to open the History in the Browser.
  7. Save As ( [image] Ctrl+Shift+S) - Shortcut for the Save As command in File menu. Flashing? The button flashes as a 'save remider' after 5 minutes, then at 10min and every 30sec after 10min, be afraid, very afraid!...or just save more often. Using the keyboard shortcut ( [image] Ctrl+N) will save a 'new' version of your project, even better.
  8. Render as Audio File ( [image] Ctrl+R) - Opens the dialog to render the project to an audio file (wav or MP3).
  9. Open Audio Editor - Left click to open Edison, Right-click to open a new instance of Edison. Draging and dropping an audio file (from the Browser onto this button will open the file in a new instance of Edison.
  10. One-click Recording - Opens the external audio recording 'wizard' to help you record audio from your soundcard inputs.
  11. View Project Info ( [image] F11) - Open the Project Info, where you can enter details about the name, author, etc.
  12. Help ( [image] F1) - Opens the Help (you are reading it right now). Right-click to see FL Studio electronic credits.


Recording Panel

The Recording panel sets some recording related options and contains the global snap selector.

  1. Typing keyboard to Piano keyboard ( [image] Ctrl+T) - When selected, your typing keyboard will function as a musical (MIDI) keyboard. Right-click options:
    • Octave - Base octave for mapping the keyboard keys.
    • Keyboard layout - Piano or Janko [image]. The image below shows the standard 'Piano' layout.
  2. Recording Countdown ( [image] Ctrl+P) - When turned on, you will hear countdown metronome ticks before the start of a recording session. Right-click the LED to select the number of bars to countdown.
  3. Blend Recorded Notes ( [image] Ctrl+B) - When selected, the notes you record will blend with any already existing ones, otherwise recorded notes will overwrite the old ones.
  4. Loop Record / Overdub - Enable this option to loop the recorded pattern indefinitely until the stop button is clicked. If a time selection has been made in the Piano roll, that selection will be looped instead. This feature allows you to "overdub" content on each loop (e.g. recording the score individually for a channel on each repetition).
  5. Note / Clip Grouping - Enables / Disables Piano roll note and Playlist pattern grouping. Use the Piano roll & Playlist 'Group' menu option to group/ungroup selected notes/patterns.
  6. Global Snap Selector - Selects the Snap value applied to the Piano roll, Playlist and Event Editor when the local Snap (found on each of these windows) is set to 'Main'. Right-click the selector to select the default note length from the popup menu. Input quantizing - The settings on the Global snap determine MIDI input quantizing. That is notes played on a controller keyboard will snap to the value selected here during a MIDI recording. Note that the options (none), Line & Cell are not input quantized.
  7. Metronome ( [image] Ctrl+M) - When selected, a short 'metronome' sound will play at the beginning of each beat, accented at the beginning of each bar. This feature is especially useful when you need to keep performers 'synced' with the song tempo. Change sound: Right-click the LED and select from the menu. Set Metronome Mixer channel: The metronome is routed to the 'Preview mixer track', set in the Audio Settings. This can be useful to send a separate click-track to performers via a Mixer track external mixer output (requires ASIO).
  8. Start on Input ( [image] Ctrl+I) - When turned on, pressing the play button will set FL Studio in waiting mode. Playing/recording begins at the moment input data is received (e.g. when a key is pressed on a MIDI keyboard). Right-click the LED to select whether you want this option active when playing or recording only.
  9. Step Recording ( [image] Ctrl+E) - Switches step recording on and off.
  10. Auto Scroll - Switches on the 'auto scroll' function for the Event Editor, Piano roll, Playlist and Step Sequencer when the play position marker moves outside the visible window. The Auto Scroll switch is linked to the ( [image] Scroll Lock [image] ) key on your keyboard and will reset to the 'on' condition each time FL Studio starts (unless the keyboard Scroll Lock is on).
  11. Multi-link controllers - Multilinking: Select this switch to start the multi-link process. Tweak some software controlls, tweak the same number of hardware knobs and they will link in the same order the software controls were tweaked. Turn off the 'Multi-link controllers' switch when you are done. Controller movements can then be recorded
    12. if desired.
    • Permanent links - Multi-links can be permanently remembered by FL Studio using the 'Override generic links' option (see below).
    • Browser linking - When 'Multilink' is checked, selecting plugin parameters in the Current project browser adds them to the multilink.
    • The right-click menu provides the following multi-target options:
      • Edit events - Opens an Event Editor for each interface control tweaked. Turn on the switch, tweak controls then select this option.
      • Init song with these positions - When play is pressed each tweaked control will adopt the value it was set to. Turn on the switch, tweak controls, then select this option.
      • Create automation clips - Creates Automation Clips for each tweaked controller. Turn on the switch, tweak controls, then select this option.
      • Link to controllers - Starts the linking process.
      • Override generic links - Creates permanent global links between your controller, FL Studio and plugins. Established links will become active only when the window or plugin hosting the software control is focused (click anywhere on the window / plugin to focus the interface).

        NOTES:

          1. Formulas & smoothing: Generic links do not support mapping formulas & smoothing.
          2. Temporary links have higher priority and will replace the generic links for the current session/project.
          3. Controller type: Links made with the multilink function will only work as expected from a controller of the same type. Selecting a new controller may result in unexpected links between the controller, FL Studio & plugins.
          4. MIDI channels: Up to 16 separate MIDI controllers can be used simultaneously. To link multiple controllers select unique MIDI channels for each controller prior to initiating the multilink process (don't forget to enable each controller in the MIDI settings). The multilink process remembers both the MIDI CC and MIDI channel of the link.
      • Randomize - Randomizes the values of any tweaked controls. Turn on the switch, tweak controls, then select this option.
      • Humanize - Adds a small random variation to any tweaked controls. Turn on the switch, tweak controls, then select this option.
      • Cancel - Stop the linking process and forget all links.


Time Panel

The Time panel displays the song time in various formats (bars, minutes).

  1. Step/Beat switch (S/B) - This switch selects whether the time is displayed in steps (S) or beats (B). This option applies to bar display mode only, see the next option.
  2. Bar/Minute Mode switch - This switch selects whether the time is displayed in BARS:BEATS/STEPS:TICKS format (B) or MINUTE:SECOND:1/100 SECOND format (M).
  3. Time Display - Shows the song time in format according to the settings.


Online Panel

The Online panel has two functions:

  1. Contains the News window (1) that will display news and announcements from Image-Line but will not activate until it is clicked for the first time (1). Windows may warn you that a program is trying to access the internet. This is normal as the News Panel works by displaying an Image-Line managed rss (internet) feed [image] inside FL Studio. Keep an eye on the News Panel for updates and new content. The News Panel will not communicate with the rss feed when the panel is hidden or disabled (see below). Of course, you need an active internet connection to use this function.

    To open the panel - left-click the panel to display the drop-down menu (1) of news and announcements from Image-Line. The newest item is displayed at the top of the list and is visible in the panel when the menu is closed.

    Two types of information are shown -

      • News items (opened in a web browser when clicked).
      • Downloadable content (opens the download selector when clicked).
    • To select an item - left-click it.

    • To activate/deactivate the panel - click the 'Enable online news' option at the bottom of the list (3).

  2. Download Manager launcher (2). Launch the Download Manager by cliking the button (2). For more information see the dedicated Download Manager help.
  3. Enable online news - You must click here the first time you use FL Studio to activate the news panel.


Extended Hint Panel

The extended Hint Panel appears in the lower-left corner of the FL Studio desktop. It relays the same information shown in the Main Hint Bar including knob/slider values as the targets are manupulated and help-hints for objects when the mouse cursor is placed over them. The extended Hint Panel is transparent to mouse clicks so that objects beneath it can be manipulated.

Panel Dock

Controls

  • Information - If you place your cursor over any control, a short description will appear in hint area. When a control is moved its value will be displayed.
  • To open /close the Hint bar, select the View Menu > Toolbars> Hint bar option.


The Browser

BROWSER

Browser

The (File) Browser provides quick access to sample collections, presets and projects from within FL Studio.

  • Load / Open item - Most items can be dragged from the Browser onto a compatible location in FL Studio (FL desktop, Plugin, Channel, Mixer, Edison, etc). Alternatively, right-click an item to 'send' it to a particular location. See the section 'Using Browser content' below for more details.
  • Docking - The Browser can be docked to either the left or right side of the main window, by dragging it to either side of the screen.
  • Can't see the Browser? Turn it on using the Shortcut panel or press ( [image] F8).

  • Add directories - use the File Settings 'Browser extra search folders' list to add your own directories to the list.
  • Important project folder - The Current project folder will show all data associated with the currently loaded project. Useful for finding unwanted automation or initialized controls.

Controls

  1. Browser Menu - Options menu including search functions. The options here are discussed in more detail in the 'Browser Menu' section below.
  2. Collapse Structure - Collapses all expanded folders in the Browser window.
  3. Reread Structure - Rereads the contents of all folders in the Browser. Click this button to see any new files and folders that were created after FL Studio was started.
  4. Browser Snapshot - Remembers Browser state for quick recall. To save a Browser state click on the down-arrow (4), select a slot to hold the configuration, open the Browser to state you want.
    • Snap 1 to 4 - Slots dynamically remember the last Browser state open while they were selected.
    • Auto - Automatically opens the Browser based on the function/plugin/focus in FL Studio. Focusing the plugin opens its presets, focusing the mixer opens mixer presets, focusing the Playlist/Piano roll/Event Editor & switching patterns opens the project patterns, undoing/redoing opens the project history and linking a knob to a controller opens the project remote control folder.
    • Rename - Renames the Snap 1 to 4 state slots.
    • Frozen - Freezes the currently selected slot and protects it from change. The slot will display a tick mark when frozen.
  5. Close - Closes the Browser, as does ( [image] F8).
  6. Divider - Left click to drag the divider to change the width of the Browser. The divider can snap to a second position, move the divider to the desired location then Right-click to swap between the new and original location. Pop-out file-name view - File names obscured by the right edge of the Browser can be read by placing the mouse cursor over the item.
  7. Scroll bar - Click & drag or click to focus and scroll mouse-wheel. Quick Zoom - Hold Shift + Scroll -wheel.

Using Browser content

  • Loading - There are a number of ways to load content from the browser:
    • Drag and drop - Most items may be dragged from the Browser (left-click, hold & drag) to the desired target in FL Studio and they will be loaded automatically. For example;
      • Instrument presets from folders or Instruments from the Plugin Picker can be dragged to Channels OR better, Mixer tracks to automatically set a routing to that track.
      • Effects to Mixer tracks or FX slots.
      • Samples to the Playlist to create Audio Clips or to Instruments that support samples (see note below).
      • Projects onto the FL Studio desktop to open them.
    • Send to selected Channel - Two good options are:
      • Right-click menu - Right-click the item in the Browser and select 'Send to selected channel' to load samples or instruments in the selected Channel.
      • Middle mouse button (often the mouse scroll-wheel is clickable) - Loads compatible content on the selected Channel.
    • Step through items in a folder - The ( [image] F6 / F5) keys will step forward and backward through the items in the folder and send them to the selected channel. This is particularly useful for trying out various samples in the Channel Sampler, more so if you have content sorted into folders of a particular type, e.g. Kicks, Snares etc. Swap samples while the Project is playing.
  • Preview - Many items (.mp3, .ogg, .wav files) can be previewed in the Browser by left-clicking on them. The Mixer audio-preview track is set in the F10 > Audio Settings > Mixer preview track field (see note below).

NOTE: Wav files may contain tempo and tempo-sync meta-data. This will be read by FL Studio if the General settings > 'Read sample tempo information' option is selected. If this information is used the preview will be time-stretched to match the tempo of the project and the sample may be similarly stretched when loaded into the Playlist. This can cause unexpected behavior if the tempo data saved in the sample is wrong. You can load any samples into Edison and open the File properties dialog to change the value of any incorrectly tagged samples.

Browser Menu

The Browser menu contains the following options -

  • Search - Searches for files and folders using non-case sensitive searching. To cancel a search, press Esc.
    • Find ( [image] Alt+F) - Type in a search string after selecting this option. The exact phrase will be searched.
    • Smart find ( [image] Ctrl+F) - Allows the use of advanced search functions. Wildcards: 'sytr*' will find 'sytrus', 'syt?us' will find 'sytrus' or 'sytlus'. TIPS: Use extensions ('searchword.flp' to search for flp's, etc), include the project Browser by adding the string 'project' to your search as the project directory is not searched by default.
    • Find previous ( [image] F2) - Jumps to the previous item of the same search type.
    • Find next ( [image] F3) - Jumps to the next item of the same search type.
  • View
    • Size - Changes the size of the font and spacing according to Compact, Normal, Large and Huge options.
    • Show folder icons - Displays an icon for each folder in the Browser tree.
    • Show only one folder content - Only one directory will be open at a time.
    • Show file extensions - Shows file extensions such as .wav, .mp3, etc.
    • Show unknown file types - Displays files not natively supported by FL Studio.
    • Sort by - Name, Type, Date or Group.
      • Sort by Group - This option sorts folders or files according to the order specified by XYZ.nfo files in the ..\Program Files\Image-Line\FL Studio\Data\Patches\ directory, where XYZ = any folder or file name. Inside the .nfo file put the command SortGroup=1 to N. 1 will appear at the top while N is the last file to be sorted toward the top of the Browser. Unsorted files will appear below these as usual.
    • Structure
      • Collapse structure ( [image] Ctrl+Up) - Collapses all expanded folders in the Browser window.
      • Reread structure ( [image] Ctrl+R) - Rereads the contents of all folders in the Browser. Click this button to see any new files and folders that were created after FL Studio was started.
      • Configure extra folders - Opens the 'Extra search directories' dialog from the Options menu (F10). Use this to specify directories outside the FL Studio Installation path that hold your plugins, samples, projects, etc.
      • Current snapshot - Repeats Snap options (shown at 4 above).

Browser Folders

  • Preview samples - If you left click on .wav, .mp3 or .ogg files they will be played. After clicking in a folder you can use the up/down arrow keys on your keyboard to step through the sounds in that directory.
  • Locate a known file - Dropping a file onto the Browser will open the folder where that file is located. This can be useful when you have a sample channel loaded and would like to try the others from the same folder.

  • Left-click a folder to expand/collapse it.
  • Right-click and select Windows shell menu to open the standard Windows file menu (right-click) options.
  • Hover the mouse over the name of a folder for a short description in the hint-bar. The folders seen by default in the Browser window include:

    • Channel presets - Contains a collection of instrument/effects presets, scores, etc.
    • Projects - Contains a collection of sample projects (.flp files).

Adding your own directories

To make your own directories visible in the Browser, use the File Settings 'Browser extra search folders' list to add (up to 10 of) your own directories. These directories appear in the Browser in green font.

NOTE: The 'extra search folders' and their sub-directories are searched for samples & sounds when loading projects, so it's generally not advised to set the root of any drive as a search folder since this can make load-times for projects very long (while the whole drive is searched).

Current project (dynamic folder)

The Browser contains a special folder named Current project. The contents of this folder change dynamically to match the currently loaded project, when expanded it shows: A list of patterns that contain automation events for any automated controls in the project. For more information, see the Project Browser page.

You can also add custom folders to be seen in the Browser from the File Settings window.

Plugin Picker

The Plugin Picker database contains a collection of plugin presets ready to be dragged and dropped on the FL Studio interface. This list is also accessible from the Plugin Picker ( [image] Ctrl+F8) pop-up window. The Plugin Picker displays the plugins in the database as an array (generators left, effects right, as shown below). To use the Plugin Picker, click, hold & drag the icon of the plugin you want to use. The picker interface will close leaving you holding the plugin ready to drop on the desired location inside FL Studio. Alternatively double-clicking a plugin will load it into a new channel or double-clicking an effect will load it into the currently selected mixer track.

Adding plugins to the Plugin database:
  1. Open the Plugin database ( [image] Shift+F8) at the location where you want to save the plugin. NOTE: Plugins may be saved to more than one location in the database, just repeat the method with a new location open.
  2. Open the plugin to be added to the database, using the usual methods.
  3. Save the plugin to the database by selecting the Plugin menu option 'Add to plugin database'.
  4. Click OK to the popup and a thumbnail screenshot will be saved to the database.

    NOTE: Advanced users can manually re-arrange the plugin database, located in the FL Studio installation directory at "..\Data\Patches\Plugin database". If you have extensively customized the list you may want to make an external backup copy of this directory as a precaution against loss of data during future FL Studio installations.

Browser Icons

Each file in the Browser has a special icon located next to its name, indicating file type:

FL Studio project files

  • FL Studio project file (*.flp) - Right-click and select 'Open' (or click the mouse-wheel) to load the project in FL Studio. A loop file is the native project format of FL Studio. Each file contains the data that belongs to your project, including patches and settings for all instruments, FX and channels, but does NOT include sample data or DrumSynth/SimSynth presets. If you open a loop file that doesn't have the required samples or presets, FL Studio performs a search of the folder from which the file was loaded, followed by the sample folder and all custom folders added to the Browser (see Directories). If you want to skip this search process, press and hold ESC when you see the loading icon in the Hint bar.
  • Zipped loop file (*.zip) - Left-click & drag onto the FL Studio desk-top or hint-bar to load the project. A zipped loop file is a save format that includes all the data of the .flp file, plus all associated samples and SoundFont files. It is a standard .zip file containing an .flp. When opening a .zip file, FL Studio uncompresses it and searches/opens the .flp file. Any samples included in the .flp are loaded automatically. A zipped file also allows you to archive an important project and share it with collaborators, even if the project uses non-FL Studio samples.

Samples and Patches

Left-click the icon to preview sample and some presets (excluding SoundFonts). Right-click to send to the currently selected channel or new Sampler, Granulizer or Fruity Slicer channel.
  • Direct Wave sampler preset (*.dwp)
  • DrumSynth preset (*.ds)
  • FastTracker extended instrument (*.xi)
  • Mpeg Layer 3 (*.mp3)
  • SimSynth preset (*.syn)
  • SoundFont (*.sf2).
  • Speech preset (*.speech)
  • Wave sample (*.wav). ALSO Audio Interchange File Format (.aiff, including Apple Loops).

Other

Left-click to preview (applies to Sampler presets only). Right-click to send to the current or new channel (applies to channel presets only):
  • Generator/Effect preset (*.fst)

Right-click to apply the score to the current channel:

  • FL Studio Score file (*.fsc) or MIDI file (*.mid)

Right-click to apply the humanize preset to the current channel:

  • Humanize preset (*.fpr)

Right-click to apply the score to the current channel:

  • Piano roll score.

Most Browser items can be applied with a drag and drop action. For example to apply a channel preset to a channel, just drag and drop the preset on the appropriate channel settings button (see Step Sequencer) or drop it directly on the Channel Settings window. You can drop the channel preset or sample below the last channel to create new one.


Browser - Current project

The FL Studio Browser contains a special folder named Current project, that holds information and data associated with the current project, such as a list of patterns, automated controls, instruments and an undo history list. This page explains the folders in the 'Current project' section and the information they contain.

Current project folders

The following sub-folders are associated with the Current project folder.

History

The folder contains a set of undo steps ('history'). The last action you performed is at the bottom of the list. You can go to any available step in the history by left-clicking on the desired history step. You can also browse through the history by using the available Undo and Redo commands in the Edit menu. Undo/Redo ( [image] Ctrl+Alt+Z/Ctrl+Z) - These two keyboard shortcuts allow you to step through the edit history of FL Studio. Ctrl+Alt+Z steps back through the history. Ctrl+Z steps forward, unless you are at the latest step (in this case, Ctrl+Z works as the standard one step undo/redo shortcut).

The maximum number of history steps depends on your General Settings.

Automation

The folder contains a list of initialized & automated controls:

Initialized Controls

The Initialized Controls folder contains a list of controls which have been initialized, that is, have a manually-set value for the start of the song (to initialize a control - right-click and select 'init song with this position'). To remove an initialization - right-click the Browser entry and select Delete Event.

Patterns List

All patterns which contain one or more automated controls are listed in the Automation folder as folders. The folders contain the automated controls themselves.

  • Left-clicking an entry for a control opens the Event Editor.
  • Right-clicking displays a menu that allows you to open an Event Editor in a new window and to link the control to a MIDI controller for remote control.

NOTE: The Automation folder can also list patterns containing Piano roll data & the individual scores in each pattern. Right-click the Automation folder and deselect Show Automation Only (on by default). You will also see a list of patterns which contain Piano roll sequence/s as well.

Generators / Effects

The Generators and Effects folders list all instruments and efects used in the project. It does not include integrated instruments such as Sampler, TS404, Layer.

Each instrument/effect is listed as a folder containing all automatable controls for the plugin:

  • Left-clicking an entry for a control opens the Event Editor.
  • Right-clicking displays a menu to open an Event Editor in a new window and to link the control to a MIDI controller for remote control.
  • Make editor thumbnail - To create a thumbnail image of the plugins used in your project use the Wrapper > Plugin menu to select 'Make editor thumbnail' for each plugin. The thumbnail will appear in the Generators sub-directory. NOTE: The Browser view must be larger than 'Compact' for the thumbnail image to display.

Remote Control

Contains a list of controls that were linked to MIDI or Internal controllers. Right-click an item in this folder to see the automation menu for the selected control.


CHANNEL WINDOW & STEP SEQUENCER

Channel Window & Step Sequencer

The Channel Window is an important part of the FL Studio composition process, it holds Instruments and music data in the form of Step sequences and Piano roll scores. Instruments are loaded into Channels (each button is a 'Channel' and represents an instrument). The audio from each Channel instrument is then sent to one of the Mixer Tracks for further effects processing and level mixing. When Instrument Channels are added or removed from the project the height of the Channel window will change dynamically. The Channel buttons also access Instrument Channel Settings (where a Mixer track is set) or the associated Piano roll. The Step Sequencer, ( [image] Video Here) is a pattern-based grid sequencer ideal for creating drum loops and simple melodies.

The note and automation data contained in the Channel window is known as a 'pattern'. Patterns can include both Piano roll and Step Sequencer data. Switch between patterns using the Transport Panel 'PAT' selector OR the Pattern selector on the Channel window (3). As the pattern number is changed, note how the pattern data visible in the Channel window also changes, reflecting the selected pattern. Patterns can be arranged in the Playlist as either Pattern Clips or Blocks to create a song.

Overview

Each row of controls in the Channel window belongs to a single Channel instrument. From left to right are: Pan, Volume, Channel button (click this to open the instrument interface) and Stepsequencer buttons or Piano roll preview (top row below), depending on how the Channel has been configured.

  1. Pattern Length (Number of Beats) - Sets the number of beats for the current pattern. If this is left undefined: '--', the pattern is set to the global value of the project. You can change the global value and the beat length in the Project General Settings window. Note: There is a maximum of 64 steps in the Step Sequencer.
  2. Repeat Step Sequencer - When selected, causes the Step Sequencer to repeat throughout any Piano roll sequences or automation data that extend beyond the basic step sequence length (1). For example: a 4 bar percussion step sequence will repeat while an 16 bar Piano roll sequence plays. If this setting is off then the percussion would stop after 4 bars and the Piano roll sequence would continue unaccompanied.
  3. Pattern selector - Select and name patterns from this drop-down menu.
  4. Swing - Slide to the right to add 'swing' to within the Step Sequencer.
  5. Graph Editor ( [image] G) - Shows/hides the Graph Editor.
  6. Keyboard Editor ( [image] K) - Shows/hides the Keyboard Editor.
  7. Channels Area - Contains the Channels and pattern grid.
  8. Channel Display Filter ( [image] Page Down for next group; Page Up for previous group) - Allows you to set the group of Channels to show in the Step Sequencer (see the Channel Filter Groups section below for more information)
  9. Playing Step LEDs - These LEDs indicate the step in the pattern that is currently playing.
  10. Channel Panning - Use to set the Channel panning.
  11. Channel Volume - Use to adjust the Channel volume. Levels: Samples loaded into the Channel Sampler will be set to -5dB (79%) of their original level to allow headroom for the pattern sequencer to avoid clipping, set volume to 100% to restore the original level. Audio clips will play at 100% their original level. NOTE: The Circular panning law, selected by default, will also lower the output of a sample panned to center by -3 dB.
  12. Channel Settings Button - Displays the Channel name (usually the name of the instrument) and when clicked opens / closes the Channel Settings window, from which you can access Channel settings and, if applicable, opens the instrument interface. Left and right-clicking provides some useful functions:
    • Left-click, Channel Settings - Opens the Channel Settings window, including the plugin interface (if applicable).
    • Right-click, Channel Operations Menu - Displays the following options:
      • Rename - Rename or re-color the Channel. Click on the Channel name and type to rename, or Left-click on the color square (shown below) to open the re-color dialog or Right-click to randomly assign a color from a pallet pre-approved by the Image-Line Aesthetics Committee:

      • Set icon - Choose from a number of preset icons to display on the Channel button.
      • Piano roll/Send to piano roll - Can be used to open a Piano roll for a Channel, or if step sequence data is present, send it to a Piano roll.
      • Load Sample - If the Channel accepts samples this will allow you to load from a file Browser menu.
      • Cut itself - Cuts the sound of previous notes in the Channel when new one starts.
      • Edit - Allows you to cut/copy/paste/randomize any note data present.
      • Fill each (2,4,8) steps - Fills step sequence steps according to the setting.
      • Insert - Insert a new Channel before the selected one.
      • Replace - Replaces the current generator with a new one from the list that appears.
      • Clone - Makes a copy of the current Channel including settings and generator type.
      • Delete - Deletes the selected Channel.
  13. Channel Selector - When this LED is turned on, the Channel is considered selected (used in cut, copy, etc. operations - see Edit menu).
    • Left-click - Select/deselect target Channel. If multiple Channels are selected this will solo and mute the target Channel.
    • Right-click - Select multiple Channels. Right-click (hold) and drag down the Channel Selectors to make multiple selections.
    • Move / reorder instrument channels up and down the stack by selecting one or more Channels then holding the Alt key and pressing the up/down arrows on your keyboard. This does not affect mixer routing.
  14. Piano roll Preview- If you don't have active steps in the current pattern but you do have notes in the Piano roll, the steps will be replaced by a preview of the Piano roll. With the preview available you will see how your pattern looks without opening the Piano roll view. However, you cannot edit notes in that preview. Click it once to show/hide the real Piano roll window. The lighter and darker blocks in the preview indicate the number of bars contained in the Piano roll sequence (each block is a bar).
  15. Mute ( [image] 0-9 to mute/unmute; Ctrl+0-9 to solo/unmute all) - Turning this LED off will mute the Channel. Clicking it again will unmute it. You can also quickly solo a Channel by right-clicking the LED and, from the popup menu, select Solo. Repeat this action to unsolo the Channel (unmute all). NOTE: Live MIDI input to the Channel will continue to play regardless of the switch mode as mute/solo applies only to Step Sequencer and Piano roll playback.
  16. Sequence Steps - Each step represents a 16th note in the pattern. Turn the steps on or off to create the desired loop.

Red channel buttons

If you open a project and some, or all, Channel buttons are red, this means the samples or instruments nominated for those Channels can't be found. The likely causes are -

  1. The samples or directories have been renamed, moved to another location or deleted.
  2. The format of the sample has been changed (FL Studio only loads .wav, .mp3 and .ogg files).
  3. The Browser extra search folders have been deleted from the search list.
  4. The VST plugins extra search directory has been deleted from the search list or the plugin directory moved.

FL Studio searches its own installation directory for samples and the extra search folders as described above. If you have no idea where the samples are, one method is to put your root drive (usually C:) as one of the extra search directories, then reload the project. FL Studio will now search you entire hard-drive. Once you locate the samples it's a good idea to remove the root from the extra search folders as is can make future searches very slow. See the section on missing VST's or files for more information.

External Controllers and Instrument Channels

If you have a keyboard or other controller this can be used to play or control the Instrument Channel. FL Studio listens in 'Omni' mode (all MIDI channels) so any controller will play the selected Instrument Channel. If you have more than one controller you can use these to simultaneously play separate instrument Channels. Selected instrument Channels are assigned by ascending MIDI channel number each controller is set to transmit on (i.e. lowest MIDI channel = top selected Instrument Channel, highest MIDI channel = bottom selected Instrument Channel). For more information see the Controller type section of the MIDI Settings page.

Step Sequencer Functions

The step-sequencer represents a series of steps in a sequence, the steps are scanned from left to right as the pattern/song plays. When an activated step is reached, the related Channel instrument will play that note.

Using The Step Sequencer

  • Each line in the Channel window belongs to a single Channel and the associated sequence data will only play the Channel instrument on the same line. From left to right you will see, the Pan, Volume, Channel button (opens the instrument interface) and Stepsequencer buttons or Piano roll preview, depending on how the Channel has been configured.
  • Each button (step) in the grid represents a 16th note.
  • Default beats per bar and bars - The default is 4 beats x 4 bars = 16 steps. Change the default number of bars and steps from the Project General Settings window.
  • Number of steps for the selected pattern - Each Pattern can have a unique number of Steps, set using the Pattern Length selector (1)
  • Activating steps - Left-clicking a step button activates that step; right-clicking turns it off. Note that if you have turned off the Use Both Mouse Keys option in the General Settings page, left-clicking will turn the buttons both on and off.

  • Pitch - To set a the pitch of a step use the Keyboard Editor view. Click on (6). Each note has some additional properties (panning, volume, etc.) that may be set using the Graph Editor tool (5).

  • Copy, Cut & Paste - This will work between Channels or Patterns. Select the source Channel, click on the Channel selector (13), and press ( [image] Ctrl+C) to copy or ( [image] Ctrl+X) to Cut the steps. Next, select the destination Channel and press ( [image] Ctrl+V), paste. NOTE: You can access the same functions from the Edit Menu

  • Stopping or cutting notes - Step Sequencer steps do not have a 'note off' feature. You can stop a note either by activating a step after the offending note with zero velocity or, preferably, by using the Piano roll. The Piano roll is ideal for working on more complex melodies.
  • Turn steps into a Piano roll - Right-click the Channel Button and select 'Send to piano roll. NOTE: Apart from 'undo', there is no way to turn a Piano roll score into a Stepsequence.
  • Advanced features - Right-clicking the Channel Button (11) opens a menu of commands for managing Channels (see Channel Menu). This menu also provides access to the Piano roll.

  • NOTE: The main Edit menu also contains commands for working with Step Sequencer.

Channel Filter Groups

As projects grow in size and the number of channels increases, finding the right channel can become a tedious process. To optimize workflow, combine several channels in a group and set the Step Sequencer to display only that specific group of channels (for example percussion group or lead synth group). Use the Channel Display Filter control (7) to choose which channels should be visible. Left-click to open the channel filter menu. Selecting 'All' will show all channels at once, regardless of whether they are part of a group or are unassigned. Selecting 'Unsorted' displays only the unassigned channels. If you have made any channel groups, you can select them for display from this menu.

Other channel filter group actions include:

  • Add an empty group - Right-click Channel Display Filter (7) and select Add Filter Group.
  • Rename/Delete group - Select a group and right-click Channel Display Filter (7) to display commands for renaming and deleting groups (NOTE: Deleting a group sets included channels as unassigned and does not delete the channels).
  • Add selected channels to a new group - Use the Group Selected command from the Channels menu.
  • Add a single channel to an existing group - Select the desired group and add a new channel to the channel window. All new channels will be inserted into the currently selected group.

  • Move a channel to a different group - Select the channel/s and use the Group Selected command from the Channels Menu, and enter the name of an existing group.


Step Sequencer - Keyboard Editor

STEP SEQUENCER

Keyboard Editor

The Keyboard Editor view lets you set the pitch of notes in the Step Sequencer. It is a set of piano keyboards (rotated 90 degrees counter clockwise) - one for each dot in the Step Sequencer. Note that actions you do in the Keyboard Editor have effect on ALL selected channels.

Piano roll
  1. Keyboard Editor button ( [image] K) - Shows/hides the Keyboard Editor.
  2. Slide/Portamento Line - Used to apply a slide/portamento effect to the notes in the Step Sequencer. Note that although this line appears for all instruments, some of them might not support the portamento feature (the VSTi and DXi instruments and some Fruity Plugin instruments do NOT support portamento). Left-click to set slide/portamento on, right-click to set it off.
  3. Active Note - This orange button shows that the dot it belongs to is active, and also shows its pitch. Left-click to set another pitch for the dot (also if it was turned off, this makes the dot active).
  4. Inactive Note - This light orange button shows that the step it belongs to is inactive. Right-click to set another pitch for the dot (also if it was turned on, this makes the dot inactive). Inactive notes are not used by the instruments, they are just notification for the default note pitch used when activating the step.

You can also drag all notes at once - hold Ctrl and then drag a note, the rest will follow.

NOTE: There is a maximum of 64 steps in the Step Sequencer. This is controlled by the Pattern Length control.


Step Sequencer - Graph Editor

STEP SEQUENCER

Graph Editor

Use the Graph Editor to set the properties of notes in the Step Sequencer. The Graph Editor can be used to control note panning (Pan), note volume (Velocity), note release velocity (Release), cutoff (Filter cut), resonance (Filter res), pitch (Pitch) and shifting (Shift). These properties are particularly useful for adding motion to scores, such as filter sweeps or accents to rhythms.

Piano roll
  1. Graph Editor button ( [image] G) - Shows/hides the Graph Editor view.
  2. Property Selector slider - Slide this bar to select the note property to edit. All instruments will respond to panning, velocity, filter cutoff (Mod X) , resonance (Mod Y), pitch and position shifting. However, some external instruments may not support all those properties (for instance, a mono instrument may ignore the panning property).

    3. The options are - Pan (note panning), Velocity (note volume), Release, Mod X (Filter cutoff), Mod Y (Filter resonance), Pitch (note pitch) and Shift (Note start time offset). Shifting delays the playback of the note with 100% equal to one 16th note. Pitch - while the pitch property changes the note's pitch it is intended for use with drum samples and effects; If you want to enter a melody, use the Keyboard Editor.

    To edit bars - Left-click a column and drag up/down to adjust the property. You can change all values simultaneously - hold Ctrl and adjust one, the others will follow. You can also create value 'ramps' - right-click a value and drag to another, FL Studio will automatically interpolate the values inbetween the first and last step selected.

NOTES: The Graph Editor properties will only affect active steps. The maximum number of steps in the Step Sequencer is 64, controlled by the Pattern Length control.


Channel / Step Sequencer - Menu

STEP SEQUENCER

Channel Menu

Right-click on a channel button: A pop-up menu provides some commands for editing channels.

Options

  • Piano roll - Shows/hides the Piano Roll view. Appears only when there aren't any active steps in the Step Sequencer.
  • Send to Piano roll - Converts any active steps to Piano roll notes and opens the Piano roll view. Appears only when there are active dots for the channel.
  • Rename - Renames the channel and enables color changes.
  • Load Sample - Appears in Sampler channels only. This command opens a dialog where you can select a sample to fill the sample bank of a Sampler.
  • Cut Itself - Checking this option makes each active note cut the previous one. What actually happens is FL Studio assigns a unique value in both Cut and Cut By fields in the Miscellaneous Channel Settings.
  • Edit - Contains a submenu that wraps some commands from the main Edit menu.
  • Fill Each 2 Notes - Turns on 1st, 3th, 5th , etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Fill Each 4 Notes - Turns on 1st, 5th, 9th , etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Fill Each 8 Notes - Turns on 1st, 9th, 17th , etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Insert Channel - Contains a list of all instruments selected as favorites. Choosing a instrument from this menu will add a single instance of it below the current one. Click More... to open the Select plugin window, which contains a list of all instruments present in FL Studio (including VSTi and DXi). Double-click a instrument name to add an instance of it in the Step Sequencer. Click the check box preceding each name to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list). TS404 and Sampler are internal for FL Studio, so they always appear in the Favorites list (and not in the Select plugin list).
  • Replace Channel - Choosing a instrument from this menu will replace the selected instrument/generator with the one you have chosen from the list. Click more... to open the Select plugin window, which contains a list of all instruments present in FL Studio (including VSTi and DXi). Double-click a instrument name to add an instance of it in the Step Sequencer. Click the check box preceding each name to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list).
  • Clone Channel - Inserts a clone of the channel after it. The clone retains the instrument type of the original, as well as all of its settings, but does not contain the events and the notes.
  • Delete Channel - Removes the channel.


CHANNEL SETTINGS

Channel Settings

The Channel Settings window opens alongside plugin instruments (VSTs, DX and native plugins like Sytrus, as shown below) and contains a number of global options including Mixer track routing [FX], channel pitch (tuning) and inbuilt arpeggiator functions. A few native plugins (e.g. Channel Sampler, TS404 and 3xOSC) are hosted inside the Channel Settings window.
Channel Settings Window Channel Window & Step Sequencer Plugin Window

  • To open - Click the Channel button in the Channel Window for the instrument & channel settings of interest. This action will open both the Channel Settings window and Instrument interface (if present). The Channel Settings Window can be closed independently of the Instrument interface. NOTE: Doing this before opening a second instrument will keep the first instrument interface open.

  • Routing Instrument Channels to Mixer tracks - The most efficient way to route one or more Channels to Mixer tracks is to:
    • 1. Left or Right-click the Channel Selector LED's to the right side of each Instrument Channel you want to route (right-clicking allows multiple selections).
    • 2. Right-click the target Mixer track and select 'Link selected channels > to this track' from the pop-up menu. OR use 'Link selected channels > starting from this track' to assign multiple Channels to multiple Mixer tracks.

Settings Window & Controls

The tab-buttons that display in the Channel Settings window (PLUGIN, SMP, INS, MISC, FUNC) will depend on the instrument loaded in the channel. Not all Channel settings and controls will work with all instrument types.

Links to Channel Settings functions:

Main Channel Settings

Plugin Settings (PLUGIN)

Sampler Settings (SMP)

Instrument Settings (INS)

Miscellaneous Settings (MISC)

Function Settings (FUNC)

Automation Clip Settings

Layer Settings

Plugin Wrapper

Channel Button Operations

  • Change the name of a channel - Right-click the title bar of the Channel Settings window (where it says 'Creatures.wav', above). Write a new name and press enter.

  • Change the button color of a channel - Right-click the title bar of the window, and click the color sample on the right side of the name edit field. Select a new color and press Enter. This color setting will affect the Channel Window buttons, and clip/pattern data displays in the Playlist.

Channel Settings Menu Commands

Click the down-arrow button at the top left corner of the Channel Settings window (as shown in the picture below).

Options

  • Save channel state as - Allows you to save the current channel settings as a preset file. Preset is saved as a FST file. It is recommended that you save your presets in the default location FL Studio chooses, so they can be properly detected and shown in the list of available presets for the instrument.
  • Assign free mixer track ( [image] Ctrl+L) - Links the channel to the first empty (without effects) FX track available. This is reflected in the FX selector in the Main Channel Settings. This command will not appear in channels that hold MIDI instrument or other instruments that do not output wave data (only wave output can be processed by effects). For more information on FX tracks, see Mixer window.
  • Rename... ( [image] F2)- Select this command to rename a channel (the same can be done by right-clicking the title bar of the window).
  • Sample - This item is only available when the loaded instrument uses samples visible to FL Studio.
    • Reload - Use this command to reload samples when they were altered in external applications (wave editors, etc.), after FL Studio was started. This command appears only in channels that hold Sampler instrument.
    • Save as... - Allows you to save the currently loaded sample with all precalc effects applied to it (see Sampler Channels Settings). This command appears only in channels that hold Sampler instrument.
    • Edit... ( [image] E) - Opens the integrated Wave Editor with the current sample, or the custom wave editor you have selected in the Tools window.
    • Detect tempo - Opens the Tempo Detection Wizard which asks you to select one of several tempo ranges the sample might be in. Select a range and the Time property of the channel will be automatically adjusted (see Sampler ). Note that the accuracy of the auto detection depends on the source material and might not always match the real sample tempo. The best practice in this case is to know in advance the real loop tempo and embed that information in the sample by using a wave editor.
    • Get properties - Opens the windows properties dialog for the sample file.
    • Spectrum view - Displays all waveform previews for the sample in spectrum mode, includes the Playlist. NOTE: If this is selected the Multichannel waveform view option (below) is ignored.
    • Multichannel waveform view - Displays all waveform previews for the sample in stereo mode (upper left, lower right), includes the Playlist. NOTE: Spectrum view overrides this setting.


CHANNEL SETTINGS

Main Controls

To open the channel settings - click on the Channel name button in the Channel Window. The Main Channel Settings are located at the top of each Channel Settings window that opens alongside plugin instruments (or hosts channel based instruments). The Channel settings window accompanies every instrument channel, whether or not the instrument has its own interface. The channel settings window is most commonly used to set the Mixer Track to receive the Instrument Channel's audio. Double-click the title of the Channel Settings window to shrink it, so only the Main Channels Settings remain visible. Double-click again to expand.

Controls

  1. PAN - Sets the channel panning (left/right positioning of the sound in the stereo space). NOTE: This control is the same shown next to the Channel Button.
  2. VOL - Sets the channel volume. NOTE: This control is the same shown next to the Channel Button.
  3. PITCH - Adds/subtracts cents from the pitch of a channel. Use the pitch bend range LCD to set the range in semitones. (100 cents = 1 semitone). NOTE: Automate this knob to create slides and pitch bends for VST instruments.

    4. NOTE: If a Channel Sampler does not respond to pitch (plays one note), right-click the Sampler Channel Settings > Sample Tab Time stretching (Time) knob and select (none).

  4. FX (Mixer Track Selector) - Selects which Mixer track (of the 99 available) the current channel will be assigned to. By default, all new instrument Channels are routed to the Master Mixer track (the LCD displays "--"). Left-click and drag up/down to set a Mixer Track number. This control will not appear in channels that hold MIDI instruments or other instruments that do not output audio. Double-click the FX Selector to open the Mixer window.

    NOTE: The most efficient way to route one or more Channels to Mixer tracks is to:

      • 1. Left or Right-click the Channel Selector LED's to the right side of each Channel you want to route (right-clicking allows multiple selections).
      • 2. Right-click the target Mixer track and select 'Link selected channels > to this track' from the pop-up menu. OR use 'Link selected channels > starting from this track' to assign multiple Channels to multiple Mixer tracks.


Sampler Channel

CHANNEL SETTINGS

Sampler Channel Settings (SMP)

The Sampler Channel Settings menu relates specifically to the Sampler instrument or to plugin instruments that support custom shapes for their oscillators. Only when a sample is loaded will the waveform be visible in this tab.

Load samples Wave options Loop options Declicking options Stretching options Effects Sample view Simynth preset options Drumsynth preset options Legacy effects

NOTE: Disabled options - You may notice that some of the options in your Sampler Channels are disabled (grayed out), however you can still toggle the switches on/off. This improves workflow when trying out different samples in the same Sampler Channel, so that if a selected option becomes possible it will become activated automatically.

1. Sample Folder

The sample bank contains the wave that Sampler uses for synthesis. Left-click the button on the left side to browse a sample or SimSynth/DrumSynth preset for the sample bank. The Open dialog has been enhanced with Favorites section. The combo box on the right side displays the name of the currently selected sample. If you left-click it, a history list with recently opened samples shows.

2. Wave

Contains general wave handling options:

  • Keep on Disk - Sample data is streamed from disk rather than being fully preloaded into RAM. Turn this option on to reduce loading times.

    NOTES:

    • FL Studio still needs to pre-allocate the total RAM occupied by the streamed audio files, so 'Keep on disk' does not reduce the total RAM required by the project.
    • Streaming too many samples from the disk may overwhelm the transfer capacity of your drive and cause buffer underruns (clicks and stutters), so keep in mind the total number of samples you are streaming.
    • Samples must be in 16 or 32-Bit .wav format, not compressed such as .ogg or .mp3 (otherwise the option will be grayed out).
    • 'Keep on disk' precludes the use of precalculated effects (4), that work in memory.
    • The Sample View window (6) and Audio Clip Playlist displays will be blank if 'Keep on disk' is selected.
  • Resample - If your sample is not a 44100 kHz, 16-bit stereo format, you can use the resample option to improve output quality. However, it is not recommended to use this option on looped samples, as all loop points are sample-aligned, and resampling may cause "clicks". NOTE: - While this option improves the real-time playback, it also requires additional CPU and memory, since resampled waves are larger. Alternatively, if you use hermite curve interpolation or better in your audio or export settings, the quality of any non-resampled waves won't be adversely affected.
  • Load regions - When selected, loads the regions/slices markers available in some wave samples and ZGR/REX loop files. If the loaded sample contains regions/slices data, this option will be available (i.e. the label will not be grayed out). Regions/slices are used during time-stretching and for more accurate sample processing (see below).
  • Load ACID markers - When selected, loads ACID beat markers for the sample, if available.

3. Loop

Contains options for sample looping:

  • Use Loop Points - If the sample contains loop points (see the Sample view, below), you can check this option to make the sample loop. It will play from the beginning, and when it reaches the loop end point, "jump" back to the first loop point, thus creating sound with unlimited length. Useful for instruments such as strings, organs, etc.
  • Ping Pong Loop - The looped region is copied, reversed and pasted onto the end of the original loop point to create the a "ping-pong" effect between the start and end loop points.

4. Declicking

These options are provided to remove 'clicks' at the start (in) or end (out) of samples caused by sample offsets from the zero-crossing. That is, where the sample starts or ends with a high value, the sudden jump in from silence to this value or the jump out from this value to silence causes a 'click'. The default setting is 'Out only' (10 ms fade), this will not cause audible artifacts. Set by listening.

  • Out only (no bleeding) - No in-declicking, declicking-out is a 10ms (cosine S-shaped) fade out.
  • Transient (no bleeding) - Useful for drum samples as the attack transient is fully preserved (only the first few samples are processed to avoid starting on an 'offset'). The declick-out uses a no-bleeding, short (10ms), filtering fade.
  • Transient (bleeding) - Same attack processing as above, with a declick-out based on a 20 ms (cosine S-shaped) fade out.
  • Generic (bleeding) - A 20ms cosine S-shaped fade-in and fade-out.
  • Smooth (bleeding) - A 100ms cosine S-shaped fade-in and fade-out.
  • Crossfade - A 200 ms attack/release that is designed to crossfade contiguous (touching) Audio clips. This is not a true crossfade, where clips overlap, this fades start and end of the clip in a way that is designed to work well with another clip with the same settings butted up against it). NOTE: Both Audio Clips need this setting for the behavior described.

5. Time stretching / Pitch shifting

The Time stretching / Pitch shifting engine can synchronize pitch and/or tempo with your project, since pitch and playback speed may be adjusted independently. These are the same algorithms used by the Edison Time Stretch / Pitch Shift tool. When samples & Audio Clips are synced to the project tempo you will be prompted to process all samples for the new tempo when it is changed.

Options

  • Pitch Shift (PITCH) - Allows you to shift the sample pitch while preserving its length. Since this kind of processing is not possible if the stretching method selected is "resample", the method is automatically changed to "auto" after tweaking this knob.
  • Time Multiplier (MUL) - Use this knob to modify the sample length. For example, you can quickly stretch the sample to twice its original length without needing to modify the Time setting.
  • Time Stretch (TIME) - This parameter sets the sample length (sample "time") using tempo-based measures (bars, steps, etc.), so that you can link the sample with the base project tempo. While adjusting the knob you can see the assigned time value in the hint bar, as well as the computed "actual" tempo FL Studio gets for the sample tempo according to the set length. If the tempo is too high or too low, you'll see a note "unrealistic tempo" shown instead.

    Right-click the Time knob - to open a menu with some useful presets and the autodetect command which makes an attempt to autodetect the tempo of the sample (results may vary depending on the source material).

    • (none) - Default (no stretching), the sample is transposed according to Channel pitch as normal. NOTE: If a Sampler Channel is not responding to pitch then select '(none)'. See the F10 > Settings > General > Read sample tempo information section for more details on global changes that can avoid this problem in future.
    • Autodetect - The sample's tempo (BPM) is autodetected and the Channel stretched accordingly. Audio Clips will also adjust the Time property accordingly when stretched in the Playlist.
    • Beat/Bar # - Use these options when you know the exact number of Beats/Bars the sample covers.
  • Stretch Method (drop-down menu) - Selects a sample Time Stretch/Pitch Shift method. Please note that the Sampler Channel implements a simplified version of the 'ZPlane Elastique Pro' algorithms used by the Time Stretch/Pitch Shift Tool. We recommend using Edison if you require maximum control over the Time Stretch/Pitch Shift process. Options in the Sampler Channel include:
    • Resample - Standard pitch shifting that varies sample length to change pitch.
    • Pro default - The 'Default' mode is designed to work with a wide range of input signals, try the other modes only if 'Default' fails to give the result you need.
    • Pro transient - For certain sounds, transients are crucial to the overall result (percussion, for example). This mode attempts to preserve the transients in the input signal.
    • Transient - A lower CPU usage transient-preserving stretch method which corresponds to the Elastique time-stretching default mode. It is provided as an alternative to the 'Pro Transient' mode.
    • Tonal - Provides higher quality for input signals with a focus on tonal (pitched) elements.
    • Monophonic - Specialized for monophonic input signals (such as vocals or solo instruments) and should give the best results for these type of signals. The tonal quality is achieved through formant preservation.
    • Speech - Optimized for speech. (For singing, use the 'Monophonic' mode).

Working with the stretch/pitch functions

Dynamic tempo changes during the song (tempo automation) are not possible because the stretch algorithm does not work in real-time, simple re-sampling is used to keep the time-stretched samples in sync (in other words pitch will change with tempo). Following are three common actions you may need to use when working with stretched samples:

  • Disable time stretching for a sample, turn the Time knob maximum left (set to 0). This is the default mode when samples are dropped on the Playlist.

  • Manually lock a sample to the project tempo: If your samples are not being automatically stretched when you make a change to the project tempo, the procedure for syncing the sample to the project is as follows:
    • 1. Insert your sample as an Audio Clip in the project.
    • 2. Make sure Stretch is selected on the Audio Clip Focus tab.
    • 3. Double-click the Audio Clip wave display in the Playlist to open the channel settings.
    • 4. At the sample options tab, select your preferred time-stretching method from the Stretch Method menu (see below). Use anything but the default 'Resample', 'Pro default' is usually good.
    • 5. Set the Playlist 'snap' setting to line, note where the clip finishes in the Playlist and stretch the end of the clip by one snap unit. Wait for the stretch to complete.
    • 6. Drag the end of the clip back to the original position and wait for the stretch to complete. The sample is now at it's original length and pitch.
    • 7. The clip is now synced (or locked) to the project tempo. Further tempo changes will automatically stretch the clip so that it stays in time and with the original pitch. At any stage you can change the stretch method to one that sounds best and/or alter the pitch using the sample options tab.

    The above procedure assumes that the sample is already beat-matched to the Master tempo, that is plays at the correct speed (if not, see below).

  • Automatically beat-match/stretch samples dropped on the Playlist, FL Studio needs to know the sample's original tempo and receive a command to auto-stretch the sample. This information is contained in the sample's 'meta-data', only saved in .wav files:
    • 1. Open the Sample Properties with Edison.
    • 2. Make sure the original sample tempo (Tempo (BPM)) is set correctly, you may need to use the 'Autodetect tempo' feature.
    • 3. Turn Tempo-sync ON.
    • 4. Save the sample with these settings (only .wav files can contain this meta-data, it will be discarded if you convert to mp3 for example).
    • 5. Make sure the F10 General Settings, 'Read sample tempo information' option is ON.

6. Precomputed effects

This is a set of effects and processing routines for the sample loaded in the sample bank. None of these effects requires additional CPU to play your song, because they are all applied as pre-computed effects. FL Studio processes the sample and then loads it in the memory with all effects already applied. However, this makes the automation of those effects impossible (see Automation). Also, applying them to streamed samples (when the Keep on Disk option is turned on) causes the entire sample to be loaded in RAM, which is not desirable for longer samples).

  • Remove DC offset - Removes any DC offset from the loaded sample.
  • Reverse polarity - "Flips" the waveform vertically.
  • Normalize - Maximizes the sample volume without clipping.
  • Fade stereo - Creates a stereo fade from the left to the right channel of the sample.
  • Reverse - Reverses the sample.
  • Swap stereo - Switches the left and right channels of the loaded sample.
  • Fade in (IN) - Applies a quick fade-in to the sample (turn maximum left to disable).
  • Fade out (OUT) - Applies a quick fade-out to the sample (turn maximum left to disable).
  • Pitch bend (POGO) - Applies pitch bend to the sample. Useful for drum samples.
  • Crossfade loop (CRF) - Allows you to crossfade the sample to create smooth loop sections (turn maximum left to disable).
  • Trim threshold (TRIM) - FL Studio trims any silence at the end of a sample to free up RAM without altering the resulting sound. The TRIM option allows you to raise the volume threshold at which FL Studio detects "silence". Using this control you can allow FL Studio to filter very quite noise in your sample or, by setting the threshold to zero, filter only pure "mathematical" silence.

7. Sample View

The sample view displays the loaded sample (with all pre-computed effects applied). Icons in the lower right section indicate bit-depth ( [image]: e.g. 16-Bit, 32-Bit) and stereo configuration ( [image]: e.g. mono, stereo), respectively.

The display also shows loop points and region location if these are present within the sample data (loop points and regions can be set using Edison).

Left-click - the sample view to preview the sound (if time stretching is enabled, the preview is tempo-synchronized).

Right-click - to open a menu with additional commands:

  • Reload - Use this command to reload samples when they were altered in external applications (wave editors, etc.), after FL Studio was started. This command appears only in channels that hold Sampler instrument.
  • Save as... - Allows you to save the sample with all precalculated effects applied to it (see Sampler Channels Settings).
  • Edit... ( [image] E) - Opens the integrated Wave Editor with the current sample, or the custom wave editor you have selected in the Tools window.
  • Detect tempo - Opens the Tempo Detection Wizard which asks you to select one of several tempo ranges the sample might be in. Select a range and the Time property of the channel will be automatically adjusted (see Sampler ). Note that the accuracy of the auto detection depends on the source material and might not always match the real sample tempo. The best practice in this case is to know in advance the real loop tempo and embed that information in the sample by using a wave editor.
  • Get properties - Opens the Windows properties dialog for the sample file.
  • Spectrum view - Displays all waveform previews for the sample in spectrum mode, includes the Playlist. NOTE: If this is selected the Multichannel waveform view option (below) is ignored.
  • Multichannel waveform view - Displays all waveform previews for the sample in stereo mode (upper left, lower right), includes the Playlist. NOTE: Spectrum view overrides this setting.
  • Tools - Will show any other Tools set in FL Studio.

Drag and Drop - You can also left-click on the sample view and drag it to other compatible locations in FL Studio such as the Playlist (to open a new Audio Clip instance), Fruity Slicer, Direct Wave, Edison, etc.

8. SimSynth Preset

This panel appears only when a SimSynth preset is used to fill the sample bank.

Enable the Use Riff option if you want to generate the whole riff in the preset (this option is disabled if the preset you used does not contain riff data). The Tempo knob sets the tempo of the generated riff.

9. DrumSynth Preset

This panel appears only when a DrumSynth preset is used to fill the sample bank. Parameters here define the sound that is generated and are identical to the options in the DrumSynth standalone.

  • Tone (TONE) - Sets the loudness of the sine oscillator in DrumSynth.
  • Overtone (OVER) - Sets the loudness of the second oscillator in DrumSynth.
  • Noise (NOISE) - Sets the amount of white noise added to the sample.
  • Noise Band (BAND) - Sets the loudness of the noise band generator in DrumSynth.
  • Time (TIME) - Sets the length of the generated sample.

10. Legacy Precomputed Effects

This panel contains deprecated precalculation effects provided for backward compatibility with early versions of FL Studio. It is visible only if you select Show Legacy Precomputed Effects in the General Settings. We advise not to use these effects in new projects they are known to contribute to Global Warming.

  • Amplify (AMP) - Use to distort your sample, or to amplify low volume samples.
  • Boost (FX1) - Useful for boosting and overdriving your sample.
  • Sine FX - Applies a sine modulation to the sample. The first knob controls the amount of modulation; the second controls the sine frequency.
  • Cutoff & resonance (CUT & RES) - Applies a low pass cutoff and resonance filter (for a real-time automated cutoff and resonance filter, see Instrument Channel Settings).
  • Reverb - Use to add "smooth" echoes to your sample. Two different modes of reverb are available - A & B. The knob controls the amount of reverb applied to the sound. This effect may extend your sample at the end to fit the whole reverb (it is recommended that you use the real-time reverb effect included with FL Studio - Fruity Reeverb, see Effects).
  • Stereo delay (S.DEL) - Applies a short delay between the left and the right sides of the sample, creating a pseudo-stereo effect. Turning the knob right slides the left channel forward, while turning it left slides the right channel forward. Note that it is recommended not to use this effect on looped samples, as all loop points are sample-aligned and sliding either channel may cause clicks.


CHANNEL SETTINGS

Instrument Channel Settings (INS)

The Instrument Channel Settings page contains options for additional changes to sample playback. This tab is active in Sampler instruments and Sampler plugins (these plugins replace the function of the wave sample in the Sampler).

1. Envelope & LFO Section

Contains envelopes and LFOs for pan, volume, cutoff, resonance and pitch values in the Sampler. The tab buttons bar at the top of the Instruments Channel Settings lets you choose which envelope/LFO to edit. There are four envelopes (pan does not support an envelope) and five LFOs for each setting on the tab bar. An envelope is applied only when it is turned on from the orange LED at the top-left corner of the envelope section.

Envelope Section

Envelopes in this section behave much like standard ADSR envelopes, but they have been enhanced with a few additional properties (delay, hold and amount). You can control the envelope properties using the knobs, or by dragging (up/down) the elements within the envelope preview.

  • Time/Tension mode (TIME/TNS) - These buttons switch between Time and Tension (TNS) editing for the envelope. In Time edit mode, the knobs set the length of the attack, decay, sustain and release segments of the envelope. In Tension edit mode, you can set the shape of the elements instead (logarithmic, linear or exponential).
  • Delay (DEL) - Delay can be used to add a "gap" between the start of a note and the envelope attack state.
  • Attack (ATT) - Controls the attack length of the envelope (attack shape in tension edit mode).
  • Hold (HOLD)- "Holds" the attack at its maximum level for a period before the decay starts.
  • Decay (DEC) - Controls the decay length of the envelope (decay shape in tension edit mode).
  • Sustain (SUS) - Determines the sustain level of the envelope.
  • Release (REL) - Determines the release length of the envelope (release shape in tension edit mode).
  • Amount (AMT) - Controls how the envelope is applied to the property it modulates. Volume does not contain such a knob, because the envelope is applied "straight" to note volume - the lowest point is zero volume, the highest is maximum volume (relative to the channel volume). However, the channel cutoff, resonance and pitch values are already set in the Sampler (see the Filter section below). Thus their envelopes act as an offset of the actual values. If the Amount knob is centered, the envelope will NOT be applied to the values. The further it is turned right, the more the envelope adds to the value it is modulating. The further it is turned left, the more the envelope subtracts from the value it is modulating.
  • Tempo Based (TB) - Turning this option on makes lengths of attack, hold, decay, etc. tempo based, so they change whenever the tempo is changed. With this option checked, you can right-click all knobs in an envelope section (except Amount and Sustain, which don't set a time period) and open the Set submenu that contains some pre-defined tempo-based lengths. Select any of these to apply them. If you select a pre-defined tempo-based length from this menu and the Tempo Based option is not checked, it will turn itself on automatically.
  • Log Attack - If turned on, the attack of the envelope will have a logarithmic shape (this shape will not be reflected in the envelope display).
  • Log Decay - If turned on, the decay of the envelope will have a logarithmic shape (this shape will not be reflected in the envelope display).

LFO Section

This section applies LFO modulation to pan, volume, cutoff, resonance and pitch settings. You can choose from three LFO shapes - sine, triangle and square. The shape selector is located in the top-left corner of the LFO section.

  • Delay (DEL) - May be used to add a "gap" between the start of a note and the application of the LFO.
  • Attack (ATT) - Sets the attack length in the LFO modulation.
  • Amount (AMT) - Controls how the LFO is applied to the property it modulates (LFO is applied as an offset of the original value of a property). If the Amount knob is centered, the LFO will NOT be applied to the values. Turning the knob to the right causes the values above center in the LFO to be added, and those below center to be subtracted. Turning the knob left will do the opposite.
  • Speed (SPD) - Controls the frequency (speed) of the LFO.
  • Tempo Based (TB) - Turning this option on makes lengths of delay, attack and speed tempo-based, so they change whenever the tempo is changed. With this option checked, you can right-click all knobs that control those values in a LFO section and open the Set sub-menu that contains some pre-defined tempo-based lengths. Select any of these to apply them to the knob. If you select a pre-defined tempo-based length from this menu, and the Tempo Based option is not checked, it will turn itself on automatically.
  • Global - Turning this option on applies the current LFO setting globally, so that it does not restart in the beginning of each note. If unchecked, the LFO is applied to each note locally.

2. Filter Section

This section controls the cut/res filter type and its values. Cutoff (CUT) controls the cutoff threshold. Resonance (RES) controls the resonance level (ringing of frequencies at the cutoff). The drop-down menu selects the filter type, left-click to choose from:

  • Fast LP - Light CPU load, Low Pass filter (frequencies above the 'Cutoff' band are cut).
  • LP - Low Pass filter.
  • BP - Band Pass filter (frequencies either side of the 'Cutoff' band are cut).
  • BS - Band Stop filter (frequencies at the 'Cutoff' band are cut).
  • LPx2 - Low Pass filter steep cutoff.
  • SVF LP - State Variable Filter [image] Low Pass.
  • SVF LPx2 - State Variable Filter [image] Low Pass, steep cutoff.


CHANNEL SETTINGS

Miscellaneous Channel Settings (MISC)

The Miscellaneous Channel Settings page contains various generator settings. These settings appear in all instruments (including third party ones).

1. Levels Adjustment

This section contains four knobs that control the:

  • Panning (PAN) - Channel panning (Left to Right)
  • Volume (VOL) - Channel volume.
  • Modulation (MODX/MODY) - Assignable modulation parameters.

Essentially, these duplicate the functionality of the other controls found in the Channel Settings window, but are useful for two main reasons:

Easier automation - You can, for example, create a fade in/out effect for a channel using the volume adjustment knob instead of the channel volume control. This allows you to independently set the overall volume level using the channel volume knob, without needing to recreate the automation data. Similarly, you can set the pan adjustment knob to create panning LFO without automating the channel pan knob, i.e. adjust the overall panning without recreating automation data.

Wider range - The volume adjustment knob has a range of 0% to 200% compared with the channel volume knob (0%-100%). Thus, you can preamp the volume up to twice as loud as the original level without needing additional effects.

2. Cut / Cut By

Cut groups are arbitrary numbers used to identify Instrument Channels as belonging to a Cut or Cut by group. Cut groups are used so that an instrument channel can either silence other instrument channels when it plays (Cut) or be silenced by other instrument channels (be 'Cut by').

  • Cut - The current channel will silence (cut) any activity in channels that have their Cut by set to this number.
  • Cut by - The current channel will be silenced (cut by) any activity that appears in channels with their Cut value set to this number.

Example: Of two channels, one has a open hi-hat sample and another a closed hi-hat sample. You want the closed hi-hat sound to stop (cut) the open sound, so that it sounds as if the hi-hat has slammed shut (open to closed hat sound).

  1. Set the closed hi-hat Cut group (LCD on the left) to 1 (for example) and leave the Cut By group (LCD on the right) at the default "--" .
  2. Set the open hi-hat sound Cut by group to "1" and leave the Cut group to the default "--".

The open hi-hat is then listening for any activity on cut group 1 and if the open hi-hat channel hears activity on Cut group 1, it will stop playing. Alternatively activity on the open hi-hat channel won't affect the closed hi-hat channel since its Cut by value is set to none "--".

Cut itself: This button causes a channel to cut itself by setting the Cut/Cut By values to the same number. FL Studio will do this automatically if you check the Cut Itself button (this can also be accessed by right-clicking the channel button and selecting 'Cut itself' from the pop-up menu).

The importance of the release envelope: The Cut function works with the note data sent to the plugin (it is not an audio function like turning down a channel volume). 'Cut' sends an all-notes 'release' command to the plugin on the channel so all playing notes jump to the release phase of their envelopes. If your instrument has long release envelopes, you will still hear the notes fading out after they have been cut. Finally, Cut and Cut-by does not appear in the TS404 instrument, because it uses a different approach for generating sound.

3. Polyphony

  • MAX - Drag up/down in the Max Polyphony LCD (MAX) to reduce the maximum number of voices the channel will play simultaneously. Setting this property to a lower number reduces the amount of CPU used to play the song. If the LCD displays dashes, it indicates that polyphony is unrestricted.

  • Mono - Turning on the Mono button sets the instrument to monophonic mode (maximum one note played at a time). In this mode, when two notes overlap (the overlap amount does not matter) they will "slide" one to another (including their properties - cutoff, resonance and panning). You can set the transition length with the Portamento Time (SLIDE) knob (see below).

  • Porta - Turning on the Porta button enables the portamento feature for this channel (sliding the pitch from note to note). In FL Studio the portamento transition also includes all other properties of the note (cutoff, resonance and panning).

  • SLIDE - Portamento Time (SLIDE) is used to set the slide length when portamento is turned on. Also used for overlapping notes in monophonic mode. The more the knob is turned right, the longer the slide.

NOTES: Portamento and sliding of overlapping notes is not supported by DXi and VSTi instruments. It may also not be supported by some Fruity Plugin instruments (those that do not support pitch bending).

This section will not appear in a TS404 channel, because it works only in monophonic mode.

4. Preview Keyboard (Root note: & Zone:)

The preview keyboard allows you to preview the channel instrument (left-clicking on the piano-keyboard), set the root key (right-click a key), and set key region (left-click and drag on the ruler).

  • Root Key - The bright orange rectangle in the ruler above the piano key (C5 in the example above) shows the root key of the channel. Right-click on the ruler above the desired Root Key to change the setting. As each sample has particular pitch, FL Studio needs to know what key should play at the original pitch. All other notes are generated by changing sample's speed (and so pitch), setting the root key higher will cause a given key to sound lower in pitch.

  • Key Region - The lighter orange bar in the ruler above the piano keys. Left-click and drag on the ruler to define the key region. Once created, edit the region limits by dragging the end points. Setting a key region for a channel will cause notes outside the region to be ignored (so not played). This can be useful when using a channel as part of a Layer, to create multi-sampled instruments (e.g. selecting a different sample to play over each octave).

  • Enable Main Pitch - If you turn off this option, channel's pitch won't be altered when you change the main pitch value (see Main panel).
  • Add to Key - When this option is on, the root key works, as expected, by offsetting the whole keyboard including all key range specific options (like samples assigned to specific range of notes). So when you set the root key to C6 when it is normally C5, and play C6, it's exactly like if you played C5 with root key C5 (the preview keyboard shows the actual note being played in this mode as well). When this option is off, however, only the pitch is offset, and the rest of the features remain as they were with the default root key. So, if in the previous example you set the Add to Key option off, playing C6 will result in hearing a C5 tone, but with the samples and properties that are mapped to C6. This feature makes no difference for instruments that have single sample and properties along the whole keyboard. However, it will act differently when used with instruments like the Fruity SoundFont2 player or the Fruity Slicer instrument, where different samples may be assigned to different keys.
  • Reset - Sets back the default base note and removes the key region (all notes will be played). For the Sampler & DrumSynth that is C5. For SimSynth it depends on how the preset was set in SimSynth.
  • Sampler & SimSynth/DrumSynth - (not shown) These buttons appear only in Sampler instrument, when SimSynth or DrumSynth preset is used to fill the sample bank in Sampler Channel Settings. If the Sampler button is clicked, the base note you set in preview keyboard is used as usual by the Sampler as a base tone of the sample (in this case the sample generated by the SimSynth/DrumSynth preset). When the SimSynth/DrumSynth button is clicked, the base note is used by the SimSynth or DrumSynth engines respectively for a pitch of the sample generated.
  • Fine tuning (FINE) - You can use this knob to fine-tune the base note in cents (1 cent = 1/100th of a semitone).


Channel Settings - FUNC

CHANNEL SETTINGS

Function Channel Settings (FUNC)

The Function Channel Settings page is a set of event filters and processors including echo delay, arpeggiator, keyboard tracker, time shifting and a gate. These functions are available for all instruments (including third party ones), except the TS404, which has a different sound generation approach and thus cannot have echoed or arpeggiated note events (although you can still have echoes in TS404, see TS404 Channel Settings).

1. Echo Delay Section

This section creates echoes for the channel based on echoing note events (rather than audio). This enables some special effects like pitch shifted echoes, but also requires additional CPU power for each echo generated (each echo is a normal note voice). If you want to use a standard audio-effect, use the Fruity Delay effect instead (see Effects).

All options described below are applied additive to each successive echo. For example, if you set the pitch knob to +10 cents, the first echo will have 10 cents higher pitch than the original sound. The second will have 20 cents higher pitch than the original sound, etc.

  • Feedback (FEED) - Sets the volume of echoes. If this knob is centered, echoes have the same volume as the original note. Turning it to left creates fading out echoes. Turning it to right increases the volume of each successive echo. Turning this knob to the leftmost point turns echo delay off.
  • Pan (PAN) - Sets the panning of echoes.
  • Cutoff (MODX) - Sets the filter cutoff value of the echoes.
  • Resonance (MODY) - Sets the resonance value of the echoes.
  • Pitch (PITCH) - Sets the pitch offset of echoes.
  • Time (TIME) - Sets the delay period between echoes in units of beats. This enables you to set a tempo based delay, so echo will follow properly tempo changes in the song.
  • Number of Echoes (# ECH) - Sets the number of echoes generated for each note. It is recommended to keep this number down for lower CPU usage.
  • Ping Pong - If turned on, the pan value will "bounce" when it reaches 100% left or right panning.
  • Fat Mode- This is a special mode of the echo delay effect, which makes subtler echoes with alternating panning - useful for creating flange and chorus-like effects. If this option is turned off, some options of the echo delay unit are reset to their defaults. The reason is that settings that sound fine in fat mode, usually are extremely loud in normal mode.

NOTE: If you click the small arrow at the top left of this panel you can access some presets for this section.

2. Arpeggiator

This section lets you add a real-time non-destructive arpeggio effect to the sequence of an instrument. To use the arpeggiator, select a direction from the icons in the top left corner of this section. The available options are: Off (default; turns off the arpeggiator), Up, Down, Up-Down, Up-Down (twice the lowest and highest notes), Random (selects random notes from the range and chord specified).

The arpeggiator can operate in two modes - classic arpeggiator, that uses any chords present in the channel note data, or it can use a predefined chord template. The mode is selected from the Arpeggio Chord option (see below):

  • Arpeggio Time (TIME) - Select the delay between the successive notes generated by the arpeggiator. Right-click the knob and select Set for some time presets.
  • Arpeggio Gate (GAT) - Gates the arppegio notes, this results in shorter notes and a more staccato sound.
  • Slide (Slide) - Check this option to make the arpeggiator slide between notes. This option will not work with instruments that do not support slides.
  • Arpeggio Range (RANGE) - Lets you set the arpeggio range in octaves. The arpeggiated chord is transposed within the specified range to create additional notes for the effect.
  • Arpeggio Chord (CHORD) - Select None if you want the arpeggiator to progress with a step of 12 semitones (1 octave) within the specified octave range. Select Auto or Auto (sustain) to set the arpeggiator in classic mode - it will create arpeggio effects based on any chords contained in the instrument sequence. The remaining presets are predefined chords that will be applied to the instrument sequence (sequence chords will not be arpegiated as in classic mode). Auto (sustain) will not apply arpeggio effect on monophonic sequences (given that the octave range is set to 1)

3. Time

Two filters are available in this section - a gate that "truncates" the note events when they pass a specified limit and a filter that shifts notes' start time.

  • Gate (GAT) - The time interval set with this knob defines the maximum possible length of a note event in the channel - i.e. long notes are truncated to the set length. Look in the hint bar (see Main Panel) to see the length you set in STEPS:TICKS format. To disable the gate effect turn the knob fully clockwise.
  • Time Offset (OFS) - Turn this knob to right to delay notes' triggering with up to 16-th note time period (one step).

4. Velocity/Keyboard Tracker

This section contains the settings of the velocity and keyboard trackers. The keyboard tracker "links" the note number (i.e. note pitch) to the cutoff, resonance and panning properties of notes. For example, you can set the keyboard tracker so higher notes offset the cutoff frequency to a higher value. The velocity tracker works in the same way, using a note's velocity to modulate target controls.

  • VOL/KB Switch - Click VOL to set the properties for the velocity tracker and KB to set the properties for the keyboard tracker. Both trackers remain active regardless of which one is currently selected. To disable the effects of the tracker, reset the PAN, CUT and RES knobs (right-click a knob and select the Reset command) associated with it.
  • Middle value (MID) - For both trackers there is a middle value where no offsets are generated. Higher values generate positive offsets and lower values generate negative ones. For the keyboard tracker, the middle value of a note's pitch (e.g. C5 or B3) determines the 'no-offset' point. The velocity tracker uses the note's velocity.
  • Panning Offset (PAN) - Sets the offset for note's panning. Turning this knob to right means panning to right for notes higher than the middle value and left panning for those lower than the middle value.
  • Cutoff Offset (CUT) - Sets the offset for note's cutoff frequency. Turning this knob to right means higher cutoff frequency for notes above the middle value and lower cutoff frequency for notes below the middle value.
  • Resonance Offset (RES) - Sets the offset for note's resonance. Turning this knob to right means more resonance for notes above the middle value and less resonance for those notes below the middle value.

The image below shows how offsets look for the sample settings in the screenshot.


Automation Clips - Playlist

PLAYLIST

Automation Clips This feature is available only in FL Studio Producer Edition & FL Studio Signature Bundle.

Automation Clips move (automate) linked controls on the FL Studio interface or plugins. They are closely related to Event automation. Unlike event data they are not bound to a specific pattern and exist as a special type of Generator, loaded into a Channel. Automation Clip data can be displayed in the Playlist window as a line-graph, as shown below.

Playlist menu Snap menu Pattern Clip (tracks can hold any or all clip types) Pattern blocks Audio Clip (tracks can hold any or all clip types) Automation Clip (tracks can hold any or all clip types) Playlist edit tools Clip-type focus, display/edit options or right-click to show a menu for each clip-type Select the clip to be inserted in the Playlist from this menu, then left-click on a blank clip track area Jump to Channel Settings

NOTE: Once an Automation Clip is loaded it will appear as an 'Internal controller' link option in the 'Link to controller' right-click dialog on automatable controls.

Automation Clips

Automation Clip Focus

The clip focus selector (shown below) is used to focus various clip types. This is particularly useful when clips are stacked, the focused clip will be brought to the top for selection and editing. Selecting CTRL+click will focus all clips so they can be moved together.
Automation Clip focus

  • Right-click tab - Show Automation Clip menu.
  • Step - Sets the Automation Clip curve editor in 'step editing' mode. Left-click and drag in the clip to create a "free hand" curve where a new control point is defined for every step in the timeline (steps depend on the current snap settings). Hold SHIFT while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Slide - Preserves the relative distance between a dragged control point and all control points following it.

Creating Automation Clips

There are several ways to create an Automation Clip:

  1. Native FL Studio controls - Native controls are those on the FL Studio interface and plugins. Target controls can be right-clicked to show a popup menu. Select 'Create automation clip'. A clip will be added to the Playlist Clip-Track area (as shown above). See Note below.
  2. VST plugin controls - Move (tweak) the target control on the VST using your mouse, then, from the Tools Menu select 'Last tweaked > Create automation clip'. This will create an Automation clip and place it in the Playlist for further editing. See Note below. For more information on linking targets in FL Studio and plugins see the sections on Linking internal controllers and Linking hardware controllers.
  3. Add a Channel - Add an Automation Clip to a channel from the Channels > Add One > Automation Clip dialog. In this case an Automation Clip display won't automatically show in the Playlist.
  4. Convert from Event Data - All recorded automation is saved as Event Data. Convert Event Data to an Automation Clip from the 'Edit > Turn into automation clip' command in the Event Editor menu.
  5. Audio Clips - FL Studio also provides you with a quick way to automate the volume/pan of an Audio Clip. Open the clip menu and select either Automate > Panning or Automate > Volume. The new Automation Clip will be placed over the target Audio Clip.

NOTE: If you pre-select a time-range in the Playlist, the Automation Clip will be restricted to the selected range. If no range is selected then the Automation clip will span the entire song length.

Working with Automation Clips

The following operations may be performed in the Clip Track area of the Playlist.

  • Automation Clip focus [image] - Selects the Automation Clip layer/s for editing.
    • Step - When selected, allows you to draw relatively free-hand curves by laying down a new control point each time a left-clicked mouse is dragged past a grid line.
    • Slide - When selected, slides any grabbed control points to the right of the selected point without changing the shape. When de-selected the moved control point will move relative to the points to the right of it.
  • To place the Automation Clip in the Playlist - Use the Clip selector along the top of the Playlist window to select the Automation Clip to be placed, then Left-click in the Playlist window while in [image] Draw ( [image] Shift+P) or [image] Paint ( [image] Shift+B) mode.
  • Add control points - Right click on the clip area, continue to hold and drag to reposition the point. Hold ( [image] Shift) while dragging to lock the vertical position, or ( [image] Ctrl) to lock the horizontal position. Hold ( [image] Alt) to override snapping (if selected).
  • Delete Control Points - Right-click a control point and select Delete, or hold ALT and left-click.
  • Move control points - Left-click the control point and drag to the desired position (the point will snap to the background grid unless [image] Playlist Snap Selector is set to none). Hold ( [image] Shift) while dragging to lock the vertical position, or ( [image] Ctrl) to lock the horizontal position. Hold ( [image] Alt) to override snapping (if selected).
  • Change envelope curve - Left-click a tension handle and move up/down. Holding ( [image] Ctrl) will allow fine adjustment. Right-click the tension handle to reset curve tension.
  • Change curve type - Right-click the right-most control point of the segment to be changed, this will open the Curve Type Menu with the following options:
    • Single curve - Default mode for creating straight or curved segments (depending on the tension).
    • Double curve - Smooth 'S' curves, useful for scratching effects.
    • Alt single curve - Asymmetrical smooth 'S' curves, useful for scratching effects.
    • Alt double curve - Asymmetrical linear, or accelerating / decelerating curves (depending on the tension).
    • Hold - Single steps between points, useful for creating jumps in position.
    • Stairs - Multiple steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency. Useful for glitch / decimation effects. Step size controls the 'graininess'.
    • Smooth stairs - Multiple smooth steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency. Useful for changes in pitch and granular effects.
    • Pulse - Square wave pulse, adjust the frequency with the tension handle.
    • Wave - Sine wave pulse, adjust the frequency with the tension handle.
    • Half sine - One half of a sine wave. Useful for creating start, stop and scratch effects.
  • Change length - Drag the last control point to stretch the clip. When Automation Clips are created they will span the length of the Playlist selection or the entire length containing data.
  • Restrict /change the automation range - Use the MAX & MIN knobs on the Automation Clip Channel settings to keep the automation in the sweet-spot. NOTE: The automation values will be restricted, but the Playlist display will remain unchanged.
  • Slicing - Clips can be sliced [image] ( [image] Shift+C) and then re-arranged. Once a clip is sliced any data outside the visible window may be accessed with the slip editing tool [image] ( [image] Shift+S). Use the Clip Menu 'Make unique' function to convert the new slice into an independent clip that can be further edited without affecting the parent clip.
  • Control point & Tension handle Values - The values will display in the FL Studio hint bar when moved.
  • Automation Clip targets - The envelope is usually played back along with the Playlist patterns, sending modulation data to any linked controls (one Automation Clip may feed multiple controls or multiple Automation clips can be linked to a single control).
  • Triggering - Automation Clips can be triggered with the Piano roll, Step Sequencer or live with a controller keyboard. The clip will automate while the note is held, note pitch will vary the automation speed. Clips do not need to be placed in the Playlist to be effective if triggered by note data.

A [image] video tutorial is also available on the FL Studio website.

Automation Clip Channel Settings

See above for details on using Automation Clips.
Automation Clip Channel Settings

Settings

  • Min - Sets the minimum value the Automation Clip return.
  • Max - Sets the maximum value the Automation Clip return.
  • Time - Controls the speed at which the Automation Clip plays back. The number window after the Time knob is a multiplier setting.
  • LFO Switch - Enables and shows a preview of the LFO and its amplitude envelope inside clips placed on the Playlist tracks. NOTE: Selecting the LFO function does erase the 'main' automation envelope (although not visible). It remains available to be combined with the LFO when the Multiply switch (see below) is selected.
  • Speed (PPD) - Sets the speed of the LFO.
  • Tension (TENS) - Sets the LFO shape 'tension', a shape morph for tuning the exact LFO shape - starting with square (pulse), sine, triangle and 'pulse'.
  • Shape Skew (AK) - Skews the LFO shape. Together with triangle shape, the skew can be used to create saw and reversed saw LFO shapes.
  • Pulse Width (NW) - Sets the width of the LFO shape.
  • Level (LVL) - Sets the LFO amplitude (strength). Set it to the middle position to reset level to 0 and effectively disable the LFO. Turn it left for negative amplitude (inverted values) or right for positive amplitude.
  • Multiply - Allows you to combine the LFO values with the 'main' spline envelope of the Automation Clip. When the switch is enabled the two values will be multiplied, i.e. the LFO acts as an amplitude modulator for the envelope. This is useful for unipolar (one directional) properties such as cutoff frequency, volume, etc. When the switch is disabled both values are added together, i.e. like an LFO 'offsetting' the envelope. This is useful for bipolar parameters such as panning.


Channel Settings - Layer

CHANNEL SETTINGS

Layer Settings

The Layer Channel is not a sound generating instrument, but may be used to control a set of other channels (child channels). Notes played on a Layer Channel are passed to all children of that channel. Layers can be used to create complex instruments with different samples or to mix the sound of several instruments in one Channel, controlled by a single Layer channel. The child of a Layer Channel can be any sampler channel, Fruity Plugin generator or VSTi/DXi generator, except another Layer Channel.

Setting Child Channels

To set child channels -

  1. Open the Layer channel so the interface is showing. You need access to the Set children button in a later step.
  2. Deselect all channels (left-click any channel selector then right-click it). Just making sure there are no unwanted channels in the layer.
  3. Right-click on each channel selector that you want to include in the layer.
  4. Click the Set children button on the Layer Channel and you are done.
  5. Select the Layer channel and test. The Layer channel should now play all child layers.

Things you can do: You can use a Layer channel to create multi-sampled instruments by assigning unique keyboard regions to each child. You can include an Envelope Controller as one of the children and use it to automate the crossfade control. Here imagination is key, think horizontal (keyboard) and vertical (velocity, modulation, etc.) layering.

1. Levels Adjustment

This section contains controls for the volume (VOL), panning (PAN) and Pitch of the linked layers.

NOTE: The levels you set in the Layer channel apply ONLY to the notes played through that layer. If you play a child of this channel through its own Step Sequencer dots or Piano roll, these settings will not be applied.

2. Layering

  • Set children - Assigns all selected channels in the Step Sequencer as children if this Layer channel. When you play a note on the Layer channel, all the children play along. To unassign a channel from the Layer channel, select all the channels you want to remain as children and press the Set children button again (all unselected channels become unassigned for this Layer channel).
  • Show children - Selects all channels that are children of this Layer channel in the Step Sequencer, and deselects all other channels.
  • Random - OFF: All children of the Layer channel will sound on each note. ON: A single, random, channel in the Layer will play. Use the 'Random' feature to make more interesting percussion sounds, for example, by assigning many similar samples to each channel in the Layer. This will give subtle variations on each repeated note.
  • Crossfade - ON: The Fade knob (below) will crossfade between two or more channels in the Layer. If, for example, you have 3 Layer channels turning the Fade knob from left to right will sound: Child1 > Child1+Child2 > Child2 > Child2+Child3 > Child3. channels are faded from top (knob left) to bottom (knob right) in the channel Window.
  • Fade knob - Used to set the crossfade level in crossfade mode.

Click on the small arrow at the top left of this panel you can access some additional commands:

  • Split children - Splits the children of the Layer channel across the keyboard (starting with the root key of the Layer channel), assigning each layer to a single key. The root keys of the children are automatically adjusted, so that the correct pitch is played through the Layer channel. This feature is useful for creating drum kits or instruments where each note has different sample.
  • Group children - Adds all children of the Layer channel to a group (a popup window will appear to enter the name of the group). For more information see the channel Filtering section in the Step Sequencer page.

3. Preview Keyboard

The preview keyboard allows you to preview the channel instrument (left-clicking on the piano-keyboard), set the root key (right-click a key), and set key region (left-click and drag on the ruler). See the Miscellaneous channel Settings page for more information on using the Preview Keyboard.


CHANNEL SETTINGS

Plugin Channel Settings

Fruity Wrapper - Wrapper control options (1, 3 & 4) are common to all plugins (Native, VST & DX), while the Plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a ficticious 'Poi Poi' VSTi plugin). For more information on installing and using 3rd party VST/DX plugins, click here.

Plugin Options

The Plugin Options (1) to (4) are explained in the Fruity Wrapper section of the manual.

Multiple Inputs / Outputs Support

FL Studio supports plugins with multiple inputs/outputs, set in the Fruity Wrapper Options (2).

Installing Plugins

For more information on installing 3rd party plugins, see the section on Installing Plugins.

Supported Plugin Instrument & Effect Standards

FL Studio supports VST, VSTi, DX & DXi plugins along with Image-Line's own 'Fruity Plugin' format.

DirectX Instruments & effects (DirectX, DXi, DXi2)

The Fruity Wrapper supports DirectX plugin instruments & effects. DirectX plugins are registered on installation directly in Windows, so FL Studio will detect them no matter in what folder they were installed. However, for the DirectX plugin system to work, you must have the latest DirectXMedia installed (it's now included in DirectX run-time installation, that can be downloaded from www.microsoft.com).

VST2 Instruments (VSTi, VST)

VST2 instruments & effects are supported in FL Studio by the Fruity Wrapper (instrument & effect versions).


PIANO ROLL

Piano roll This feature is available only in Fruity Edition and Producer Edition.

FL Studio's Piano roll is one of the most powerful available in any software studio. Its main purpose is to send note and automation data to plugin instruments associated with the Piano roll's Channel. There are a number of useful tools that aid complex score editing and other manipulations as described below. Note pitch is displayed on the vertical axis and time on the horizontal axis (it's the same principle as ye-olde paper ' Piano rolls [image] ' used to automate mechanical pianos in the distant past). The resolution of the grid is user-selectable (zoomable,8) and allows the composition of songs with unlimited complexity. Note data can be entered manually with the editing tools or recorded from 'live' MIDI playing, then edited to fix mistakes or make changes.

Main menu Tools menu Snap menu Piano roll
    • Piano roll Menu: provides a number of important functions for working with the Piano roll, such as opening tools, converting color groups, etc.
    • Quick Tool Menu: Riff machine ( [image] Alt+E); Quick legato ( [image] Ctrl+L); Articulate ( [image] Alt+L); Quick quantize ( [image] Ctrl+Q); Quantize ( [image] Alt+Q); Quick chop ( [image] Ctrl+U); Chop ( [image] Alt+U); Glue ( [image] Ctrl+G); Arpeggiate ( [image] Alt+A); Strum ( [image] Alt+S); Flam ( [image] Alt+F); Claw machine( [image] Alt+W); Limit ( [image] Alt+K); Flip ( [image] Alt+Y); Randomize ( [image] Alt+R); Scale levels ( [image] Alt+X), LFO ( [image] Alt+O)
    • Snap Menu: controls how notes move relative to the Piano roll grid.
  2. Tools Menu: Draw ( [image] P); [image] Paint ( [image] B); [image] Erase ( [image] D); [image] Mute ( [image] T); [image] Cut ( [image] C); [image] Select ( [image] E); [image] Zoom to selection ( [image] Z), [image] Playback (scrub) ( [image] Y).
  3. Target Channel - Change instrument channels (of the current pattern) without leaving the Piano roll.
  4. Target Control - Selects the data to be displayed in the integrated event editor (9). This can include parameters such as note properties (Panning, Velocity, etc.) or automation events.
  5. Left icon: Slide Toggle ( [image] S) - When selected notes are added ad 'slide-events', until the switch is deselected. A slide instructs the Piano roll to slide any 'standard' notes (above or below the slide-event) to the slide-event's pitch. The time taken to reach the slide-event's pitch is set by the length of the slide-event. Right icon: Portamento Toggle ( [image] O) - Toggles the Portamento state for that note. If portamento is on, it will be disabled, if portamento is off it will be enabled. Portamento causes a relatively short slide in pitch from the previous note to the note with the portamento event set. NOTE: these features only work with native FL Studio instruments and not VST/DX instruments.
  6. Display Mode ( [image] M): Keyboard; [image] Mini Keyboard; [image] Text (Drum Names, Slice names, etc).
  7. Preview Keyboard - Click on the keyboard to preview notes. This does not work when play is active.
  8. Horizontal Zoom - Zoom/Snap resolution may be increased by changing the PPQ settings (F11) in the General Project settings. However, it is usually unnecessary to adjust the PPQ as the default provides adequate resolution for most situations.
  9. Integrated Event Editor - Edit Note Velocity, Pan, Pitch, Filter cutoff & Automation events (the lower Piano roll area can display the same data as the Event Editor). Select events to edit from the Target Control selector (4).
  10. Color Group Selector - Create note groups for independent editing of overlapping notes categorized by color group. NOTES: 1. Color groups also transmit on separate MIDI channels so one Piano roll can control several MIDI channels on the loaded plugin. 2. There is another Note / Clip Grouping function activated on the Recording Panel that groups notes by selection. Use the Piano roll menu (1) to group selected notes.
  11. Left note = Slide Event, right note = Portamento Event - Create glissando & portamento effects (the small white triangle and line at the start of the notes indicate the type of event). See item (5) for more information. NOTE: these features only work with native FL Studio instruments and not VST/DX instruments.
  12. Note Events - Drag, stretch, paint, clone, copy, etc. (see 'operating with notes' below).
  13. Right-click here - As an alternative way to open the Target Control menu (4).
  14. Resize - Left-click and drag the divider to resize the upper and lower windows. Right-click to return to the original position.

Basics

  • Notes - in Piano roll are displayed as horizontal bars (12) and slides are shown as horizontal bars with a small triangle drawn in the left side (11). Preview tones by left-clicking the Preview Keyboard keys (7). Pitch is mapped from bottom (low) to top (high). The horizontal dimension represents time. Each number in Piano roll's ruler represents single bar.

  • Resolution - The smaller time segments each bar is divided into are set by the window's "snap" parameter ( [image]). Selecting "Main" will use the global snap value as defined in the Recording panel instead.

  • Source Channel - Click a Channel's name in the title bar (3) to select another Channel to display in the Piano roll.

Using the Piano roll

FL Studio has, arguably, the most powerful Piano roll note editor available. Combined with the Piano roll menu you will find the possibilities are endless and (after practice) effortless. Please note: that most of the movement and draw commands are constrained by the snap setting [image]. The snap setting determines how the notes will move relative to the grid on which the notes are placed. NOTE: Holding down the ( [image] Alt) key will temporarily disable the snap setting.

  • Tools Menu - ( [image]) is a shortcut to the Piano roll tools submenu (see the Piano roll menu page, [image]), containing various commands for operating on patterns in the Playlist.

  • Adding Notes - draw mode ( [image]) allows you to draw, edit and delete notes. The paint mode ( [image]) is similar, but allows you to draw multiple notes at once while dragging horizontally in the Piano roll. In draw or paint mode, left-click in the Piano roll's grid to draw a note.
  • Deleting notes - Right-click a note to erase it (alternatively switch to erase mode to erase with left-clicks ( [image])).
  • Selecting/Deselecting groups of notes - There are a number of methods to select several notes, so you can move and resize them all at once:
    • Standard selection - Press and hold ( [image] Ctrl key) and either click a note to select it, or drag a rectangle to select all notes in enclosed area.
    • Add notes to selection - Hold ( [image] Ctrl+Shift) together while selecting to add notes to the existing selection.
    • Selecting notes in a time or pitch range - Time, ( [image] Ctrl+Left-click) or double-click the time ruler (along the top of the Piano roll) and drag along it to select all notes in a specified time range. Pitch, ( [image] Ctrl+Left-click) the Preview Keyboard (7) to select a range of notes with the same pitch (dragging vertically on the Keyboard will select notes in the vertical pitch range).
    • Deselect all notes - While holding ( [image] Ctrl key), click empty space in Piano roll's grid.
    • Remove notes from selection - ( [image] Ctrl+Shift) deselects individual notes from the existing selection of notes.
    • Invert selection - Holding ( [image] Ctrl) and left-clicking selects the one note and deselects all the others.
    • Select mode button - Instead of holding ( [image] Ctrl key), you can also switch Piano roll to select mode by clicking the select mode button ( [image]).
  • Group notes - ( [image] Shift+G) - Group the selected notes. Grouping functions so that an action on any note in the Group will affect all other notes in the same way. Any number of groupings may be created. To group notes: make a selection using the [image] Select tool, then use the Group function. Activate / deactivate grouping: Use the Note / Pattern Grouping switch on the Recording Panel. Deselecting the Note / Pattern Grouping switch will disable note grouping behavior until the switch is reactivated.
  • Copy & Paste - Make a selection (see above), hold the ( [image] Shift) button THEN drag selection with the left-mouse button OR ( [image] Ctrl+C), scroll to the new position/pattern and ( [image] Ctrl+V).

  • Moving notes - Select the note/sequence, left-click on the note and drag vertically or horizontally. NOTE: The snap setting [image] will affect the movement. Alternatively, horizontal note positions can be adjusted by mouse-wheel by holding the cursor over a target note in the 'Note event window'.
  • Bumping notes - This allows you to move the note/s by either 'snap' or 'pixel' based units. Snap units: Select the sequence/note and hold the ( [image] Shift key) and use the arrow keys on your keyboard. The snap setting [image] will affect the bump size. Pixel units: Hold the ( [image] Alt) key and use the arrow keys on your keyboard. In this case the zoom setting will affect the bump size.
  • Change note length - Select the note/sequence, left-click on the right side and drag horizontally to change the note length. This can also be performed on a selection of notes. NOTE: The snap setting [image] will affect the way in which the note changes length. If ( [image] Caps Lock) is on and the note is selected by the left side, resizing notes will anchor the note end point, moving only the start position. If the note is selected by the right side the start point will be anchored.
  • Stretch / compress scores - Select a group of notes, hold ( [image] Shift) and drag the right edge of a note in the selection. This changes both note length and sequence duration. ( [image] Alt + Shift) will stretch in 25% increments.
  • Cut Tool - ( [image]) allows you to split one or more notes in the direction of the cut through the Piano roll. To use the cut tool, make sure you're in cut mode (the Cut button is selected), left-click in the grid area and drag to define the "cut line" direction and length. Release the mouse button to split all notes at their intersection point with the cut line.

  • Playback/Scrub tool - ( [image]) enables you to preview the current sequence by dragging horizontally in the Piano roll (thus enabling you to define the playback speed and order). Alternatively, hold ( [image] Alt) + Right-Mouse button while in draw mode.

  • Quick chords - Draw complete chords in one step. Right-click the draw mode button ( [image]) and from the menu select a chord type. When you draw in the Piano roll, FL Studio will automatically create a chord. To draw single notes again, right-click the draw mode button and select None ( [image] Shift+N).
  • Note properties - Note velocity, panning, filter-cutoff, etc, are available from the Target control menu (4) and appear in the Integrated Event Editor (9). Note properties can be adjusted by mouse-wheel ( [image] Alt+mouse-wheel) by holding the cursor over a target note in the 'Note event window'.

Piano roll keyboard shortcuts

Piano roll action
NOTE: Some keyboard modifiers apply only to Draw mode ( [image]).
Alt | Bypass snap (very useful when combined with other modifiers)
Alt+A | Arpeggiator
Alt+B | View note helpers
Alt+C | Change color of selected note/s (to selected color group)
Alt+E | Riff machine
Alt+G | Ungroup selected notes
Alt+Q | Quantize
Alt+V | Switch ghost channels ON/OFF
Ctrl+A | Select All
Ctrl+M | Import MIDI file
Ctrl+Q | Quick quantize
Ctrl+Left-click | Select
Ctrl+Shift+Left-click | Add to selection
Ctrl+Right-click | Zoom on selection/Drag to make zoom selection (zoom on release)
Double Left-click on note | Open note properties
Left-shift+Left-click (on Piano roll) | Add and resize notes (move mouse L/R after click and hold to resize)
Left-shift+Right-click | Pan view
Middle mouse button | Pan view (hold and drag left/right)
Right-click | Delete Selected Note/s
Left-Alt+Right-click | Audio preview
Right-Alt+Right-click | Quantize selected
Right-shift+Left-click | Slice notes (click above/below note and drag vertical)
Right-shift+Right-click | Slice notes & delete smallest part (click above/below note and drag vertical)
Shift+G | Group selected notes
Shift(any)+Left-click (on note) | Clone (drag while holding note)

Understanding Slides & Portamento

The following applies only to native FL Studio instruments. To slide a VST instrument you will need to automate the channel pitch knob.

The Piano roll can slide notes gradually from one pitch to another. To achieve this, slide events are added above or below the notes to be affected, this instructs FL Studio how to slide notes. Slides look like notes with a small white triangle drawn at the start of the note (11).

To draw slides, click the slide toggle button (5). De-select the slide mode by clicking the button again. At the start of the slide event FL Studio will commence sliding notes that share the same time-range towards pitch of the slide event. If several notes are slid simultaneously, the topmost is taken as a reference for the pitch offset (see picture below). At the end of the slide event, all notes are slid, so the topmost note has the pitch of the slide event. After the slide event ends, notes still remain offset from their original pitch.

Piano roll

This image shows how pitch changes with the slide event.

NOTE: Slide events have all the usual note properties (velocity, panning, cutoff and resonance, etc). During slides all 'slid' note properties move toward those set in the slide event. Slides themselves do NOT produce sound, although they allow preview when created/moved.

On the other hand, the Portamento command (11) affects only the transition from one note to the next. That is, causes a quick slide at the transition between notes. The effect is most audible when large tone intervals are made between the notes. The Portamento indicator should be set on the note to receive the portamento effect.

Color Groups (Slides, MIDI, Editing)

You can draw notes and slides in 16 color shades based on green, cyan, pink and yellow. To select the note/slide color, click the appropriate button on the color group selector (10).

The color does not affect sound, it is used for independent processing of notes in the Piano roll, these include:

  • Sliding - Slides will apply only to notes of the same color as the slide event. For example, yellow slide will bend the pitch of yellow notes, but will ignore green notes. This way you can have up to 16 notes sliding simultaneously in different directions.

    Slide color groups are also used with the Mono mode in the polyphony settings (see Miscellaneous Channel Settings). Mono mode applies to each color group separately. So using all four colors actually can result in a polyphony of up to 4 voices at once.

  • MIDI Channels - Each color is locked to a particular MIDI channel. To see the relationships, hover the mouse over each color and look at the hint bar where the MIDI channel number is displayed. NOTE: This only applies to plugins hosted by the Fruity Wrapper, in other words, these MIDI channels will only be visible to the plugin associated with the Piano roll. To control external MIDI hardware on separate MIDI channels use the MIDI Out plugin.
    • Piano roll
  • Editing - By creating color groups you can choose to edit the properties of only notes of the selected color. This can be handy when there are overlapping notes in the same Piano roll that you wish to manipulate independently.

Integrated Event Editor

The Piano roll includes an integrated event editor (9), which lets you quickly edit channel's volume, panning and pitch and recorded automation data. To change the data displayed use the Target control (4). When editing notes properties these behave similar to the normal events, and are displayed in the event editor as lines with a small square at the top. Using this extension you can edit a note's velocity (local note volume), panning, cutoff and resonance - these are exactly the same properties you can edit using the Graph Editor if you were entering notes in the Step Sequencer. Since note properties are part of the actual note, you can not move, delete or interpolate any of them. When you move a note horizontally (changing its start position), its properties also move with it. To choose what property or event type to edit, click the property/event selector (4) and choose property/event type from the menu that appears. The integrated editor also holds automation associated with the pattern.

NOTE: When several notes start at the same time you can not set the properties of each individual note (they are all set at once). To solve this issue, first select the notes you want to modify - editing this way alters only the properties of the selected notes. Another solution is to use the Note Properties Box (explained below).

Everything else in this integrated event editor works as in normal Event Editor window.

Note Properties Box

The Note Properties pop-up is an alternative way to set notes properties. It's particularly useful when you need to set different properties for notes that start simultaneously (so their properties appear as one in the integrated event editor). Double-click a note to display the properties pop-up box.

Piano roll

1. Levels

These controls allow changes to note - panning (PAN), note on velocity (VEL), release velocity (REL), channel filter cutoff (MODX) and channel filter resonance (MODY). The reset button next to 'Levels' title bar resets note properties to levels they had before launching the properties box.

Slide - Slide ON / Slide OFF. Determines if the note will respond to slide events.

Invert Porta - Inverts the portamento state for this note. If the global portamento (see Misc Channel Settings) for this channel is off, for this note it is on and vice versa.

Green box - Click on this to select the color channel group the note is on. See (10).

NOTE: If the note you double-click is a part of a selection, then the properties you set apply to all notes in that selection. The Time section is not available in that case, because the selected notes might have different length or start point.

2. Time

Change the Start Time (note position) and Duration (note length) for the selected note. For each setting the LCD adjusts bar:step:tick. From the example image above the note starts on bar 1, step 8 tick 000 (no ticks). It is 2 steps in duration.

Piano roll Menu

This menu provides many important functions for working with the Piano roll, such as copying and pasting notes, converting color groups, etc. You can access Piano roll's menu by clicking the Piano roll menu button (1). For more information, see the Piano Roll menu page.


Piano roll Menu

NOTE: The Tool menu (spanner), shares its items with the Main Menu > Tools section.

Options

File

  • Open score - Lets you load notes from an .fsc file in the Piano roll.
  • Save score as - Lets you save all notes in the current Piano roll view as a .fsc file. Drag n drop - By left-clicking and dragging on this menu a score can be saved to the Browser or copied to another Piano roll.
  • Import MIDI file... ( [image] Ctrl+M) - Shows the Import MIDI Data dialog box, that lets you import notes from MIDI files to the Piano roll. Selecting this command from a Piano roll window imports only note events. To import controller data (cutoff, resonance, etc.) from a MIDI file, launch the Import MIDI Data dialog box from a separate Event Editor window.
  • Export as MIDI file ( [image] Shift+Ctrl+M) - Saves the current Piano roll data as a single MIDI file (.mid).
  • Paste from MIDI clipboard ( [image] Shift+Ctrl+V) - Works the same as the Import MIDI file option, but uses the MIDI clipboard data rather than a MIDI file. You can paste data from any sequencer that can copy to MIDI clipboard format.

Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected notes/slides to clipboard.
  • Copy ( [image] Ctrl+C) - Copies all selected notes/slides to clipboard.
  • Paste ( [image] Ctrl+V) - Pastes notes from the clipboard. Notes are pasted starting from the leftmost bar that is fully displayed in the Piano roll window OR the left edge of a timeline selection.
  • Delete ( [image] Del) - Deletes all selected notes/slides. Note the Tool bar icon
  • Delete all - Deletes all notes, slides and events in the Piano roll.
  • Shift left ( [image] Shift+Left) - Bumps notes one grid unit left.
  • Shift right ( [image] Shift+Right) - Bumps notes one grid unit right.
  • Transpose up ( [image] Shift+Up) - Transposes notes one semi-tone up.
  • Transpose down ( [image] Shift+Down) - Transposes notes one semi-tone down.
  • Transpose one octave up ( [image] Ctrl+Up) - Transposes notes one octave up.
  • Transpose one octave down ( [image] Ctrl+Down) - Transposes notes one octave down.
  • Discard lengths ( [image] Shift+D) - Reduces all selected note lengths to the minimum size allowed by the SNAP setting.
  • Change color ( [image] Alt+C) - Repaints all selected notes/slides in the current drawing color (if nothing is selected, applies to all).
  • Mute / Unmute - Mutes/unmutes the selected notes. Note the Tool bar icon
  • Select all ( [image] Ctrl+A) - Selects all notes, slides and events in the Piano roll.
  • Insert space ( [image] Ctrl+Ins) - Creates empty space that matches the current selection start and length by shifting all following notes and events forward.
  • Delete space ( [image] Ctrl+Del) - Erases all notes and events in the current selection and shifts back the remaining notes and events to close the gap.
  • Insert current controller value ( [image] Ctrl+I) - Initializes the integrated event editor with the current value of the corresponding automated control. If you have selected a time slice in the graph, the current values is inserted at the beginning of the selection instead.
  • Turn into automation clip - Turns Event data into Automation clips.

Tools

  • Riff machine ( [image] Alt+E) - Opens the Riff machine "auto-hit-song" generator, but shhhhhh don't tell anyone you used it!
  • Quick legato ( [image] Ctrl+L) - Performs a quick "legato" to the sequence in the Piano roll (applies only to the selection if any). This tool is a quick preset for the Articulate tool (see below).
  • Articulate ( [image] Alt+L)- Opens the Articulate tool dialog which allows you to apply staccato, portato, legato and similar effects to the sequence in the Piano roll (applied only to the selection if any).
  • Quick quantize ( [image] Ctrl+Q) - Applies basic quantize to all selected notes/slides depending on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Quantize ( [image] Alt+Q) - More advanced version of the quantize feature. Opens the Quantizer settings dialog.
  • Quick chop ( [image] Ctrl+U) - Slices long notes into many shorter, based on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Chop ( [image] Alt+U) - More advanced version of the chop feature. Opens the Chopper settings dialog.
  • Glue ( [image] Ctrl+G) - Glue contiguous (touching) notes together.
  • Arpeggiate ( [image] Alt+A) - A powerful arpeggiator based on specialized score presets. See Arpeggiator for more information.
  • Strum ( [image] Alt+S) - Shifts the timing and velocity of the individual notes in chords to simulate strumming (as in guitar playing and some other string instruments). See the Strum settings dialog.
  • Flam ( [image] Alt+F) - Applies "drum flam" effect to the score (applies only to the selection if any). See Flam for more information.
  • Claw machine ( [image] Alt+W) - Slices and re-times note sequences (applies only to the selection if any). See Claw machine for more information.
  • Limit ( [image] Alt+K) - Allows you to transpose the score and limit it within a user-specified key range. See Limiter for more information.
  • Flip ( [image] Alt+Y) - This tool can flip the score both vertically and horizontally. See Flip for more information.
  • Randomize ( [image] Alt+R) - Opens the Randomizer dialog where you can generate random note sequences based on a specific scale and/or randomize the note levels (including those of existing notes).
  • Scale levels ( [image] Alt+X)- Allows you to multiply/offset/invert the events in the integrated event editor, as well as map events to a logarithmic or exponential scale. See Scale Levels for more information.
  • LFO ( [image] Alt+O) - Shows the LFO box, which lets you draw LFO-shaped events in the integrated event editor. Note that this feature is enabled only when in the property/event selector (15) type of event is selected, instead of a note property type.

View

  • Grid Color ( [image] Alt+G) - Opens a standard Color dialog box, where you can set a color for Piano roll's grid. Please be tasteful, Gol went to a lot of effort to make FL Studio look cool, and now you think you can do better?
  • Swap panels - Swaps the upper and lower Piano roll workspaces.

Helpers

  • View note helpers ( [image] Alt+B) - Global switch to activate/deactivate all helpers.
  • Detect scale - When selected, the Piano roll is shaded to reflect the detected scale, the scale name is shown in the Hint Bar. The scale detection algorithm performs an 'average' detection based on either the whole score (if nothing is selected) or on the selection. Several notes are required before auto-detection can begin.
  • View length in note properties - Displays a horizontal line equal to the length of notes in the note properties window.
  • Ghost channels ( [image] Alt+V) - When selected, the Piano roll will show the scores of all channels in the current pattern (they are displayed in the background and have a semi-transparent look). Note that these scores are displayed only as a reference for easier sequencing, you cannot select or edit them.

Snap

Snap determines how notes and events move relative to the Piano roll grid and how quantization aligns items (NOTE: Holding the [image] Alt key temporarily sets snap to 'none'). The options are:

  • Main - Snap is set to the Global snap value.
  • Line - Snap to Playlist grid-lines, note the grid changes resolution as the Playlist is Zoomed horizontally (7).
  • Cell - Snap to grid-cells.
  • (none) - No snapping. Movement is limited only by the Project Timebase (PPQ) setting (F11). NOTE: Snapping can be temporarily disabled by holding the Alt key when dragging clips & blocks.
  • Steps 1/6 to 1 (step) - Absolute grid values equal to the nominated fraction of a step.
  • Beats 1/6 to 1 (beat) - Absolute beats values equal to the nominated fraction of a beat.
  • Bar - 1 bar.
  • Events - Relative to existing events (including Ghost notes). Useful to show the boundaries of sliced events when they are butted against each other, as events surrounding the selected event change color.

Select

  • Deselect - ( [image] Ctrl+D) - Undo any selection.
  • Select all - ( [image] Ctrl+A) - Select all notes in the Piano roll.
  • Select at random ( [image] Shift+R) - Select a note at random.
  • Select by color ( [image] Shift+C) - Selects all notes and slides that have the same color as the currently selected color in the Color Group Selector.
  • Select muted - Select all notes that have been muted (by the mute selection tool).
  • Invert selection ( [image] Shift+I) - Inverts the selection (notes that were selected are now deselected and notes that were deselected are now selected).
  • Selection time around selection ( [image] Ctrl+Enter) - Selects the time-line range occupied by the notes currently selected in the Piano roll.
  • Select previous time ( [image] Ctrl+Left arrow) - Shifts a selection (made by Ctrl+left-click and swiping the time-bar) by its own width to the right.
  • Select next time ( [image] Ctrl+Right arrow) - Shifts a selection (made by Ctrl+left-click and swiping the time-bar) by its own width to the left.

Group

  • Group - ( [image] Shift+G) - Group selected notes. Grouping functions so that selecting, moving or deleting any note from a group will cause all others notes in the group to be selected, moved or deleted, etc. Any number of groupings may be created. To group notes: make a selection using the [image] Select tool, then use the Group function. Activated / deactivate grouping: Use the Note / Pattern Grouping switch on the Recording Panel. Deselecting the Note / Pattern Grouping switch will disable note grouping behavior until the switch is reactivated.
  • Ungroup - ( [image] Alt+G) - Ungroups any notes that are part of the currently selected group.

Zoom

Contains a submenu with a set of quick zooming levels: Far ( [image] 1); Medium ( [image] 2); Close ( [image] 3); Best fit ( [image] 4); On selection ( [image] 5);

On selection zooms the time line to fit the selection (the command will be disabled if no time region is selected in the timeline).

Chord

Shows a menu with pre-defined chord/scales types. Select a chord to draw chords in the Piano roll. Select None ( [image] Shift+N) to draw single notes.

Target channel

Displays a list of channels which can accept Piano roll data. Use this to quickly change the channel you are working on without closing and opening another Piano roll.

Target control

Displays a list of controls/automation data to display in the integrated event editor.

Auto Locate Channel

When selected, the Piano roll will automatically display the first non-empty channel when switching between patterns.

Auto Smoothing

When checked, the drawn automation events are automatically interpolated upon mouse button release.

Center ( 0)

Scrolls the grid so the playing position marker appears in the middle. Useful when you want to see the playing position in a long sequence.

Detached

When checked, the window is "detached" from the main environment of FL Studio and can be maximized on a second monitor (in a dual monitor setup).


Piano roll Articulate Tool

PIANO ROLL

Piano roll Articulate This feature is available only in Fruity Edition and Producer Edition.

The Piano roll Articulate tool allows you to apply quick portamento, staccato and legato layout to your scores.

Controls

Options

Open the Options menu to find some useful quick presets.

  • Options (drop-down menu) - Contains some articulation presets such as Legato (notes tied together), Portato (almost Legato, no it's not 'Potato'!) & Staccato (short punctuated notes).
  • Multiply - Modifies the length of the individual notes as a percentage of their length (10% to 100%)
  • Variation - Randomizes the length using the specified amount.
  • Seed - Click to try a different kind of randomness to your 'Variation'. A seed is a variable used in a randomization algorithm to ensure a uniquely 'random' result. No it's not a Potato either, stop thinking about Potatoes!
  • Use lengths - If enabled, the length is calculated using the original notes' length, otherwise the length is computed so that the notes run in succession without gaps ("legato").
  • Only with selection - On: The tool ignores notes surrounding the selected notes for 'legato' style articulations. Off: Notes surrounding the selected notes will be used in 'legato' style articulations. NOTE: A selection has to be made for this option to appear and the 'Use lengths' option must be off.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano roll Quantizer

PIANO ROLL

Piano roll Quantizer This feature is available only in Fruity Edition and Producer Edition.

The Piano roll Quantizer is an advanced note quantizer, that can use standard score files as groove presets.
Piano roll

NOTE: The Recording Panel Global Snap selector can be used to control real-time MIDI input quantizing so that post-recording quantization is unnecessary.

Controls

Groove Template

The Piano roll Quantizer uses standard FL Studio Score files (*.fsc) as groove templates to quantize the notes. Click the Browse button to select a groove template. See below for some guides about making such templates.

The Piano roll shows the snap grid (vertical red lines) generated by the groove preset.

Strength

This section lets you set the options that will be used for quantizing.

  • Start time - Lets you mix the original start times of the notes (turn left) with the quantized start times (turn right).
  • Sensitivity - Lets you set the snap sensitivity: how close to the grid should be a note feature (start time, end time) to be quantized. Turn the knob to right to increase the sensitivity.
  • Duration - Lets you mix the original duration of the notes (turn left) with the quantized duration (turn right). In Quantize End Time mode (see below), this knob mixes the end time position instead.
  • Quantize mode options - Selects the quantize mode. The start time is quantized in all modes.
    • Quantize duration - quantizes the length of the notes according to the snap grid.
    • Quantize end time - snaps the end time of the notes to the snap grid.
    • Leave duration - retains the original note duration after snapping the start time of the notes.
    • Leave end time: Retains the original end time of the notes.
    • Levels knobs - With these controls you can mix the original note properties (turn left) with those used in the groove preset (turn right).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.

Guides for making groove templates

The templates are regular Piano roll scores, however they are interpreted in a special way to fit the purposes of the tool.

  • Only the position and length of the notes are used. Pitch is ignored.
  • Note start times are attracted to the nearest start time of the notes in the template. Similar process occurs for the end times.
  • Note velocities set to zero (0) will delete the note.


Piano roll Chop Tool

PIANO ROLL

Piano roll Chopper This feature is available only in Fruity Edition and Producer Edition.

The Piano roll Chopper is an advanced note slicing tool that can use standard score files as slicing templates.

Controls

Pattern

The Piano roll Chopper uses standard FL Studio Score files (*.fsc) as slice patterns . Click the Browse button to select a groove template. The Piano roll shows real-time preview of the results. See below for some guides about making such patterns.

Options

This section lets you set the options that will be used for slicing.

  • Time Multiplier knob - With this setting you can speed up (turn left) or slow down (turn right) the pattern tempo. The chopper uses the original pattern speed by default.
  • Levels knobs - With these controls you can mix the original note properties (turn left) with those used in the chop pattern (turn right).
  • Absolute Pattern switch - On: slicing is based on the Piano roll grid. Off: Each note is sliced relative to its own start time (see the example image below).
  • Group notes - Groups chopped notes (that is horizontal grouping of the original notes chopped pieces).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.

Guides for making Chop / Arpeggiator patterns

Chopper and Arpeggiator patterns are regular Piano roll scores, but are interpreted in a special way to fit the purposes of the Chopper and Arpeggiator tools. Templates can be found in the FL Studio installation directory under ..\Data\Patches\Scores\Arpeggiator or if you select the Piano roll menu > File > Open score, this should open in the Scores folder.

  • Colors - The first 4 colors in the selector are used in chopper/arp scores.

    Green - The boundary of green notes defines the chopping pattern while the position relative to C5 the transposition. For Chopper scores all notes should be placed on C5, this instructs the Chop tool that all notes of the original score should remain at their original pitch. For Arpeggiator scores, source notes will be Arpeggiated relative to the interval between C5 and the notes set, For example, C5 = no pitch change, F5 = +5 semitone transpose and A4 = -3 semi-tone transpose. So if the source note in the original Piano roll was B4 and the Arpeggiator score was at F5 for the overlapping potion of the source and arpeggiator score, then the B4 would be transposed to D (+5 semitones).

    Blue - Defines a note that will not be chopped.

    Purple - Purple notes are not affected by the octaves range set in the dialog

    Yellow- Defines the length of the pattern, useful when the chop/arp pattern does not extend to the end of the bar.

  • The start of the score matches start of the processed score in absolute pattern mode, and start of each individual note relative pattern mode (absolute mode off).


Piano roll Claw Machine Tool

PIANO ROLL

Piano roll Claw Machine This feature is available only in Fruity Edition and Producer Edition.

The Claw Machine tool removes notes, adds notes and/or shifts the timing of notes to create interesting new rhythms. Claw is a great tool for working on starting scores with regular rhythms, although experimentation will be rewarded.
Piano roll

NOTES: The Piano roll Claw machine works very effectively with drum/melody loops sliced in Slicex to create new rhythms. If you need to perform the Claw process on audio files then use the Claw machine tool in Edison.

Controls

Options

The Claw Machine works by defining a Period, then cutting the period into a number of slices set by the Trash every setting. The slices are either removed ('clawed') or used to redefine note boundaries. A good way to learn how claw operates is to place a regular - whole, 1/2, 1/4 and 1/16th note patterns in the Piano roll and process it with various claw options.

  • Period - The period over which the claw process repeats.
  • Trash every - Removes notes every (X) units of the Period.
  • Time distortion - Slews the claw process toward the start or end of the Period. Great for creating bouncing-ball or 'kick/snare rush' transition effects from regular 16th note patterns.
  • Remove short notes - Removes notes that are too short to play.
  • Stretch to compensate - Stretches notes to fill the original space occupied by the starting selection.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano roll Arpeggiator

PIANO ROLL

Piano roll Arpeggiator This feature is available only in Fruity Edition and Producer Edition.

The Piano roll Arpeggiator tool allows you to apply arpeggio effects based on fully customizable arpeggio scores and a set of additional options. Unlike the arpeggiator in the Channel Settings, the Piano roll Arpeggiator is not a real-time effect, however it allows for much more customization and control.

Controls

Pattern

  • Pattern (Browse) - Allows you to load an FL Studio Score file (*.fsc) to be used as arpeggiator pattern. See guides for creating such scores below.

Options

  • Pattern - Provides the following options: Normal - uses the pattern as defined; Flip vertical - reverses the order of the notes in the pattern; Alternate - alternates between normal and flipped modes with each repetition.
  • Pattern transpose menu - Flip the pattern vertically or alternate.
  • Time multiplication - Stretches the time of the pattern score by integer amounts (1x, 2x, 3x, 4x slower when turned right and 1x, 2x, 4x, 8x faster when turned left).
  • Range - The arpeggiator range in octaves.
  • Range pattern - Sets the appegiator up/down pattern. Normal: Low-High repeated. Flip: High-Low repeated. Alternate: Low-High-High-Low repeated.
  • Sync - Selects the event that determines the end of the arpeggiator loop. Time: this selection will disable repetitions; Block: end of loop is considered the time all notes are turned off; Chord: end of loop is considered the time when one of the notes from the chord turns off;
  • Gate - Shortens the length of the arpeggiated notes by the specified amount to create a gating effect.
  • Levels - Mixes the per-note levels (pan, volume, pitch, etc.) of the current score with those of the loaded pattern (turn right to mix more of the levels in the pattern).
  • Group notes - Groups chopped notes (that is horizontal grouping of the original notes chopped pieces).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.

Guides for making Arpeggiator / Chop patterns

Arpeggiator and Chopper patterns are regular Piano roll scores, but are interpreted in a special way to fit the purposes of the Arpeggiator tool. Templates can be found in the FL Studio installation directory under ..\Data\Patches\Scores\Arpeggiator or if you select the Piano roll menu > File > Open score, this should open in the Scores folder.

  • Notes in the pattern are considered relative to the note being arpeggiated. C5 means the arpeggiated note, C#5 is the note above it, etc.
  • Notes that cover the whole pattern are considered "sustained notes" - they are not arpeggiated and are left intact.
  • Colors - The first 4 colors in the selector are used in chopper/arp scores.

    Green - The boundary of green notes defines the chopping pattern while the position relative to C5 the transposition. For Chopper scores all notes should be placed on C5, this instructs the Chop tool that all notes of the original score should remain at their original pitch. For Arpeggiator scores, source notes will be Arpeggiated relative to the interval between C5 and the notes set, For example, C5 = no pitch change, F5 = +5 semitone transpose and A4 = -3 semi-tone transpose. So if the source note in the original Piano roll was B4 and the Arpeggiator score was at F5 for the overlapping potion of the source and arpeggiator score, then the B4 would be transposed to D (+5 semitones).

    Blue - Defines a note that will not be chopped.

    Purple - Purple notes are not affected by the octaves range set in the dialog

    Yellow- Defines the length of the pattern, useful when the chop/arp pattern does not extend to the end of the bar.


Piano roll Strum Tool

PIANO ROLL

Piano roll Strum Tool This feature is available only in Fruity Edition and Producer Edition.

The Strum tool shifts the timing and velocity of the individual notes in chords to simulate strumming (simulating guitar playing for example). The tool works by treating any overlapping notes, that share the same start time, as part of the same chord. The dialog box provides modification of the relative start time, velocity and end time (see the example picture below).

Piano roll Piano roll

Controls

Start

The Start section lets you modify note start times and/or velocity. Enable this section by activating the LED in the top left corner.

  • Time: Shifts the start time of chord notes to create strumming effects.
    • Start knob - Adjusts the start time offset applied to the notes. A positive shift strums from low to high notes, while a negative shift strums from high to low notes.
    • Tension knob - Adjusts the strum 'tension', i.e. acceleration. Set a positive value to accelerate the strum or a negative value to decelerate it.
  • Velocity: Increase or decrease the velocity (volume) of the subsequent notes in strummed chords.

    • Start knob - Adjusts the change in velocity applied to successive notes. A positive value decreases the velocity with each note, while a negative value increases it.
    • Tension knob - Adjusts the velocity acceleration or 'tension'. Set a positive value to accelerate the velocity change with each note or a negative value to decelerate velocity.
  • Preserve end - Enable this option to preserve the end time of the affected notes (note that the End section can still modify the end time) thus modifying the notes' length.
  • Trigger ahead - Enables the strum to 'straddle' the start-time of the selected notes (before and after).

End

Enable this section by activating the LED in the top left corner. The End section modifies note end time.

  • Time: Shifts the end time of chord notes.

    • Start knob - Adjusts the amount of time shift applied to the end of the notes. You can also apply a negative shift.
    • Tension knob - Adjusts the strum 'tension', i.e. acceleration. Set a positive value to accelerate the effect with time, or a negative value to decelerate it.

Alternate direction

Alternates the strum direction (top to bottom, bottom to top) of the Piano roll (single notes are ignored when counting reversal events).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano Roll Randomize Tool

PIANO ROLL

Randomizer This feature is available only in Fruity Edition and Producer Edition.

The Randomizer creates random notes in the Step Sequencer, or Piano roll (depending on the selected window). The notes can be based on a chord map and the tool allows pan, velocity and pitch randomization, etc.

NOTES: 1. Several options (such as Length, Variation, Stack, etc.) are available only for the Piano roll window. 2. Notes created by the randomizer have the length of the current snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

Options

Pattern

This section lets you set up the options used when generating the random notes (disable the section if you don't want to add random notes).

  • Octave - Sets the base octave used when generating notes.
  • Range - The octave range within which random notes are created.
  • Key - Sets the base tone for notes.
  • Scale - Here you can select the chord type that will be used as a base for creating notes.
  • Length - Sets the note length used for the generated notes (this option is available only for the Piano roll). The Length control has no effect if the Piano roll SNAP is set to '(none)'.
  • Variation - Sets the note length variation for the generated notes (this option is available only for the Piano roll). Turn the wheel to left to make the notes equal or shorter than the specified length. Turn to right to make notes equal or longer than the specified length (the middle position disables the length variance). The Variation control has no effect if the Piano roll SNAP is set to '(none)'.
  • Population - Specifies the amount of notes that will be generated. The more you turn this wheel to the right, the more the notes generated.
  • Stack - Sets the note polyphony used for the generated sequence (this option is available only for the Piano roll).
  • Random Portamento - If checked, the notes will have random values for the portamento switch (checked or not) in the Miscellaneous Channel Settings.
  • Merge Same Notes - If checked, two or more consecutive notes of the same pitch will be merged into a single longer note.
  • Seed - Click the back and forward arrows to generate random note combinations based on the settings above (in all selected channels for the Step Sequencer, or the selected timeline section in the Piano roll). You can use this feature to generate various (seeded) combinations until you're satisfied with the result. To hear the combinations you generate, hit the play button in the Transport panel before you bring up the Randomizer dialog (or you can also call the Randomizer and then press ( [image] Space) to toggle play/stop mode).

Levels

Set up the options that will be used to randomize the levels (pan, velocity, etc.) for all selected notes/channels (disable the section if you don't want to randomize the note levels).

  • Levels - These wheels lets you select the note properties you want randomized and the amount of randomization (this applies to the note levels only, not automation events!). Each wheel has a range from -100% to 100%. At 0% the levels are left at their original values.
  • Reset Before Processing - Reset the note levels to their default values before randomizing.
  • Bipolar - Check to randomize the note levels 'bipolar', i.e. the levels will be randomized to both higher and lower values than the original values (as opposed to shifting them only higher or only lower depending on the wheel values).
  • Seed - Click the back and forward arrows to randomize the note properties based on the settings above (in all selected channels for the Step Sequencer, or the selected notes in the Piano roll). You can use this feature to generate various combinations until you're satisfied with the result. To hear the combinations you generate, hit the play button in the Transport panel before you bring up the Randomizer dialog (or you can also call the Randomizer and then press [image] Space to toggle play/stop mode).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano roll Scale Tool

PIANO ROLL

Piano roll Level Scaling This feature is available only in Fruity Edition and Producer Edition.

The Scale Levels tool allows easy manipulation of the velocity level data associated with the selected notes. This is a great way of raising the overall volume of a performance while maintaining the relative note velocity differences.

Controls

Options

  • Center- Scales the center of the settings below (-100 to 100).
  • Tension- Re-scales the level logarithmically (-100 to 100).
  • Multiply - Multiplies the level by the value indicated (0% to 200%).
  • Offset - Adds to the value (-100 to 100).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano roll Flam Tool

PIANO ROLL

Piano roll Flam This feature is available only in Fruity Edition and Producer Edition.

The Piano roll Flam tool allows you to add "drum flam" effect to your scores. Flamming is essentially adding quick strokes before every note, an effect which is very useful in adjusting percussion performances.

Piano roll

Controls

Options

  • Options drop-down menu - Opens a drop-down menu containing some useful presets.
  • Time - Sets the length of the quick strokes added before each note.
  • Absolute - Selects absolute or tempo based time for the Time knob.
  • Before - Places the quick strokes before the original notes' start time.
  • Velocity - Sets the velocity applied to the quick strokes.
  • Group notes - Groups notes that were part of the processed selection. The Grouping selector (On/Off) is on the Recording panel.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano roll Flip Tool

PIANO ROLL

Piano roll Flip This feature is available only in Fruity Edition and Producer Edition.

Flip can invert scores both vertically (key) and horizontally (time). The tool operates only on the selected notes, if there are any (otherwise uses the entire score in the window).

Piano roll

Controls

Options

  • Flip Horizontally - Flips the score about the vertical axis (in time).
  • Preserve Start Times - With this option off, the flip will be a perfect mirror of the original score. However, in practice it is best sometimes that start times are preserved rather than create a 1:1 mirror of the original score. Enabling this option allows you to flip scores in this manner (it is most likely that the result will be different on scores having notes with varying note lengths).
  • Flip Vertically - Flips the scores around the horizontal axis (in note pitch).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano roll Limit Tool

PIANO ROLL

Piano roll Limit This feature is available only in Fruity Edition and Producer Edition.

The key-limiter tool allows you to transpose the notes of a score within a custom defined limit. The tool can be used to generate quick derivative scores from a single source. Assign the derived scores to different instrument channels to create richer musical arrangements.

Controls

Key scale / restriction

  • Key / scale - Set the key and mode.
  • Snap - If a note is in the wrong place (it can be +1 or -1 semitone before being corrected), the setting defines whether it will snap above, under or alternate relative to the current position.

Keyboard range / offset

  • Reset - Resets the limit to the range set by the selected notes in the score (or all, if none are selected).
  • Wrap to Bottom - Normally the tool attempts to transpose each key down an octave while it fits inside the defined limit. However with this option enabled the notes will automatically wrap to the lowest octave in the limit.
  • Piano View / Limit selector - Drag the ruler to define the key limit you prefer (the pale orange bar). Right click to set the root key (offset) applied to the notes.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Import MIDI Data Tool

PIANO ROLL

Import MIDI Data Dialog This feature is available only in Fruity Edition and Producer Edition.

This dialog appears when you import notes in the Piano Roll either from MIDI clipboard or a MIDI file.

NOTE: There are other MIDI import options available depending on the MIDI import method, see the Import MIDI Data Dialog.

Controls

  • Which Tracks to Import - Click the menu box to see a list of individual MIDI tracks to import into the Piano roll.
  • Which Channels to Import - Lets you select which channels should be imported. Left-click a channel number (it will be marked in red) to include it in the imported channels, right-click it to exclude it from the imported channels.
  • Blend with Existing Data - When turned on, imported notes will paste-mix with the already existing ones. Otherwise the existing notes will be overwritten by imported data.
  • Realign events - Aligns imported data with the start of the Piano roll.

Action buttons

  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


LFO Tool

PIANO ROLL

LFO Tool This feature is available only in Fruity Edition and Producer Edition.

The LFO tool allows you to draw LFO shapes in the Event Editor or lower Piano roll.

Controls

LFO is drawn only in the selected time range. If nothing is selected, LFO will select automatically the first bar.

Start

  • Value - Sets the value of LFO.
  • Range - Sets the range between the lowest and highest points in LFO.
  • Speed - Sets the frequency of the LFO (i.e. its speed). Right-click for a menu with tempo-based presets.

End

Contains the same parameters as the Start section. When you turn on the LED in the top left corner of this section, LFO's settings will vary from those in the Start section to those in the End section. If LED is turned off, then only the settings from the Start section are used.

Shape

Sets the shape of the LFO - sine, triangle or square (to select a shape click any of the icons at the top left corner of this section). The Phase knob sets the phase of the LFO (basically this moves the LFO shape left and right).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Piano Roll Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


The Playlist

PLAYLIST

The Playlist This feature is available only in Fruity Edition and Producer Edition.

The Playlist is the place where all the individual elements of a musical piece are arranged into a complete song. The upper Playlist window (15) is comprised of multi-purpose 'Clip Tracks', these can host Patterns Clips, Audio Clips and Automation Clips. The lower Playlist window (18) is comprised of 'Block tracks', these host only Patterns Blocks.

NOTE: Pattern Clips & Pattern Blocks are different representations of the same 'Pattern' data, that is, MIDI notes and/or continuous controller movements. The lower Block Track area is provided for backward compatibility with older FL Studio projects, or for those who like to view their song in a Block Pattern arrangement. We recommend using the upper Clip Track area since the data inside the Patterns is displayed (as shown below), making arrangement more intuitive. A [image] video tutorial is available on the FL Studio website.

Playlist menu Snap menu Pattern Clip (tracks can hold/stack any or all clip types) Pattern Blocks Audio Clip (tracks can hold/stack any or all clip types) Automation Clip (tracks can hold/stack any or all clip types) Live mode, activate from Playlist menu Playlist edit tools Clip-type focus, display/edit options or right-click to show a menu for each clip-type Select the clip to be inserted in the Playlist from this menu, then left-click on a blank clip track area
  1. Playlist Menu Button & [image] Playlist Snap Selector.
  2. Tools - [image] Draw ( [image] Shift+P); [image] Paint ( [image] Shift+B); [image] Erase ( [image] Shift+D); [image] Slip ( [image] Shift+S); [image] Cut ( [image] Shift+C); [image] Select ( [image] Shift+E); [image] Zoom to selection ( [image] Shift+Z).
  3. Clip Select Menu - Use the menu at the top of the Playlist to open the menu of Clips ready to be placed in the Clip Tracks area (15). Once a clip is selected it can be added to the Playlist by left-clicking on an empty Clip Track space. Alternatively right-click the Clip-type Focus tabs (10) to see menu-selections of Clips unique to each type.
  4. Play Position Marker - Displays the current playback position, can be left-clicked & dragged.
  5. Repeat Marker - Can be moved to select the repeat point for a playing project. TIP: The Repeat Marker is ignored during rendering except for the special case where the marker is set beyond the end of the last Playlist data. This will force the project to be rendered to the point set by the marker, useful for ensuring decaying effect sounds are captured.
  6. Vertical Selection - ( [image] Ctrl+Left-click) & drag in the bar-count area to make a vertical selection across all tracks. ( [image] Shift+Left-click) & drag to copy-move selection. Vertical Selections will play in loop mode or render as a single section. Actually we cheated a bit with the screen shot, while only the selected portion of the Playlist will play, any portions of a Clip outside the selected area will also turn red (i.e. be selected), however these out-of-bounds clip-parts won't play.
  7. Horizontal Zoom (Timeline Zoom) - Maximum Zoom/Snap resolution may be increased by changing the Project Timebase (PPQ) setting (F11), in the General Project settings. The default PPQ should provide adequate zoom/resolution for most situations.
  8. Maximize Playlist - Maximizes/minimizes the Playlist.
  9. Tracks Area Vertical Zoom - Left-click & drag up/down to vertical-zoom the clip-area.
  10. Clip-type Focus & Options Selector - Left-click: each tab to determine the clip type that will be selected (Audio, Automation or Pattern Clip) when Clips of these types are stacked in a Playlist Clip Track and selected with the mouse. Each tab also contains some options unique to each clip type. Right-click: each tab to select Clips of that category to be added to the Playlist (this is an alternative to the Clip Select Menu (3)
  11. Time Markers - Add by selecting ( [image] Alt+T) or ' [image] > Add time marker' . Left-click, hold & drag a marker to reposition it. Once the first Time marker is added to a project, it can be right-clicked to Add a new marker, Delete it or Rename. Time markers can also be used for selections & live jumping (see below).
  12. Track Options & Labels - Right-click to open Playlist track options including:
    • Rename - Renames or re-colors the channel. Click on the Channel name and type to rename, left-click on the color square (shown below) to open the re-color dialog, or right-click to randomly assign a color from a pallet pre-approved by the Image-Line Aesthetics Committee.

    • Set icon - Choose from an icon list.

    • Auto name - Automatically names the track after the first Pattern Clip in the track.
    • Auto name children - All Clips are renamed based on the Track's name.
    • Send pattern instances here - Moves selected Pattern Blocks to the selected track.
    • Insert/Delete - Inserts or deletes the selected track.
    • Move up/down - Moves the selected track up/down the stack.

    NOTE: Drag an audio file (from the Browser, for example) and drop it on the Track label area to auto-create an Audio Clip and auto-name the Clip track to match the file.

  13. Track Mute - Mutes/solos a Playlist track. Left-click to mute/un-mute a track. Right-click to solo a track.
  14. Clip Menus - The clip menu can be found at the top-left corner of each clip. Click to open. Options may vary depending on clip type.
  15. Clip Tracks - There are three different clip types: Audio Clips (holding audio recordings), Automation Clips (automation data) and Pattern Clips (note & event-automation data). NOTE: These three clip-types can be visually layered in the same clip-track, simply drag one on top of another.
  16. Live Mode - Appears only when Live Mode is selected from the Playlist menu (1).
  17. Divider - Left click to drag the divider to change the relative area of the upper and lower Playlist. The divider can snap to a second position, move the divider to the desired location then Right-click to swap between the new and original location.
  18. Pattern-Block Tracks - Block-style representation of patterns. The same Pattern data can be arranged with Pattern Clips in the Clip Track area of the Playlist (15).

Patterns, Audio Clips and Automation Clips

This section covers general editing and Playlist operations. For specific details on using Audio Clips, Automation Clips and Patterns (Clips & Blocks), please see the following pages:

  • Patterns (Clips & Blocks)

  • Audio Clips

  • Automation Clips

NOTE: Audio, Automation and Pattern Clips can share the same Playlist tracks, as shown above and will overlap, with transparency, to aid with the grouping of related Clips.

Playlist Clip Focus

The clip focus selector (10), is used to focus clip types. This is particularly useful when Clips are stacked, the focused clip is brought to the top for selection and editing. Selecting CTRL+left-click will focus all layered Clips so they can be moved together.
Playlist focus

Audio

  • Right-click tab - Show Audio Clip menu.
  • Zero-Cross - Slicing & resize edits will be made at the nearest zero-crossing to the slice point. Useful to avoid clicks at the slice location.
  • Stretch - When the left or right edge of the clip is selected & dragged will stretch the clip according to the Audio Clip Time stretching settings.

Automation

  • Right-click tab - Show Automation Clip menu.
  • Step - Sets the automation clip curve editor in 'step editing' mode. Left-click & drag in the clip to create a "free hand" curve where a new control point is defined for every step in the timeline (steps depend on the current snap settings). Hold SHIFT while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Slide - Preserves the relative distance between a dragged control point and all control points following it.

Patterns (notes & events)

These control the color display for Pattern Clips.

  • Right-click tab - Show Pattern Clip menu.
  • Note - Uses the parent pattern's (notes & event) colors. Note color is set from within the Piano roll. Event data always displays in pink, so anyone uncomfortable about being seen using pink in the Playlist needs to 'suck it in' and stop being a 'big cry baby' about it. Alternatively, don't use this setting.
  • Chan - Uses the parent channel's color settings (right-click the channel button and use the color selector on the Channel re-name pop-up panel.
  • Pat - Uses the parent pattern's color settings.

Timeline and Time Markers

Time is displayed horizontally in the Playlist (in bars displayed along the top of the window). The grid resolution is determined by:

    • The window's 'Snap' value ( [image]). Alternatively, select 'Main' to apply the global snap value (for all windows where snap applies) defined in the Recording panel.

    • The Zoom setting (7). That is, the snap resolution increases as the Playlist is zoomed in, until it reaches the maximum set by the Snap value. Note how Playlist lines change in number as the Playlist is zoomed.
    • The 'Project Timebase (PPQ) setting' (F11). Higher PPQ settings offer greater zoom levels and so higher resolution, although the default setting of 96 PPQ is adequate for most situations.

Timeline markers (11) can be used to label parts of your song (such as 'chorus' for example) and also as 'jump to' locators OR to quickly select a region (between markers), as described below:

  • Add a new time marker - Open the Playlist menu [image] (1) and select Add Time Marker. Type a name for the marker and press Enter. If the project already has markers, then right-click a marker and select Add new marker from the pop-up menu.
  • Delete marker - Right-click the marker and select Delete marker from the pop-up menu.
  • Rename time marker - Right-clicking an existing time marker to show the name pop-up menu, select Rename marker, edit as required.
  • Reposition marker - Left-click & drag the marker from its left-most edge. NOTE: New markers appear at the start of the timeline, they can be moved to any position (dragged through existing markers without disturbing them).
  • Song-jump between markers - Using a MIDI keyboard (or keyboard shortcuts), see MIDI options 'Song marker jump MIDI channel' settings OR the FF/RW transport keys on a multimedia keyboard. This can be used in Live Mode to create innovative performances.

Clip Operations

Selection Methods (while in Draw or Paint mode)

Most of the time you will be in Draw ( [image]) or Paint ( [image]) mode, if so, holding the ( [image] Ctrl) key will temporarily enable Select mode:

  • Select a rectangular area in the audio or pattern tracks - Hold ( [image] Ctrl) & drag to define the selection area with the left mouse button.
  • Add to existing selection - Hold ( [image] Ctrl + Shift) while making a rectangular selection to add to the existing selection.
  • Select a set of pattern tracks - Hold ( [image] Ctrl) & drag up/down inside the pattern name are on the left side of the screen.
  • Select a time region - Hold ( [image] Ctrl) & drag left/right inside the timeline (6) area.
  • Select a marked time region - Double-click a time marker in the timeline to select the time region from this marker to the next one (or to the end of the song if is the last one).
  • Select the region between markers - Click (Ctrl + Left-click) on the left edge of the left-most marker bounding the region to be selected.

Universal Clip Editing Methods

  • Snap settings ( [image]) - Snap controls how Clips move against the background grid and many of the other editing functions below. Set this to 'line' if you want the Clips to snap to bar boundaries or to 'none' if you want to freely position & slice Clips.

  • Inserting Clips - To insert a Clip, select the Clip you want to place from the Clip menu (3) OR right-click the Clip-type selectors (10) to choose Clips of the type selected. Next, in draw ( [image]) or paint ( [image]) mode, left-click on an empty area of a Clips track where you want to place the Clip. Paint mode allows you to draw multiple instances of the Clip at once (hold the mouse button & drag).

  • Select Clips - To make a selection of more than one clip. Use the [image] Select tool and click and drag a rectangle around the clips to be selected. To add clips to this selection hold the ( [image] Shift) key and make further selections. OR if you are in Draw or Paint mode, hold ( [image] Ctrl) key and you will drop into Select mode while the Ctrl key is held. Holding the ( [image] Ctrl + Shift) keys will allow you to add Clips to an existing selection.
  • Delete/Erase a Clip - Right-click the target Clip or use the left mouse button if you are in erase ( [image]) mode.

  • Copy/Paste Clips - Make a selection, release the mouse and any keys held, then hold the ( [image] Shift) key, then click on the selection and drag. A copy of the selection will follow the mouse cursor. Release the selection when the Clips are in the alternative location. OR Make a selection, press ( [image] Ctrl + C) to copy, then scroll the Playlist so that the starting bar for the paste location is at the left edge of the Playlist and press ( [image] Ctrl + V)
  • Slicing Clips - Use the Cut tool ( [image]), go to a Clip, click and hold the left mouse button, then drag vertically through the Clip/s to be sliced. NOTES: For Audio Clips the Zero-cross setting on the Clip Focus selector and Snap ( [image]) setting will influence precisely where the Clip will slice. Hold the ( [image] Alt) key to temporarily disable snap for precision slicing. If you don't feel the maximum zoom provides enough resolution, increase the PPQ setting in the Project > General options.

  • Slip-editing - Resized or sliced Clips are just a window over the original data (data still exists outside the visible Clip boundaries). With slip edit mode on you can either move the start/end positions of the Clip without moving the data in the Clip OR reposition the data while maintaining the start/end positions. Select the slip tool [image] ( [image] Shift+S) button, then left-click & drag on the start and/or end of the Clip OR inside the Clip and move the mouse left/right. NOTE: The Snap settings will determine how the data slips. Holding down the ( [image] Alt) key will temporarily disable snap for fine-tuning. Perfect for aligning vocals to the beat.

  • Swap Clips - Open the Clip menu (the small icon in the top left corner of each Clip) and from the Select source channel menu, pick an alternative Clip.

  • Edit Clip channel settings - To open the Channel Settings associated with a Clip, open the Clip menu (the small icon in the top left corner of each Clip) and select Channel Settings or double-click the title-bar of the Clip.

  • Group Clips - ( [image] Shift+G) - Grouping functions so that selecting, moving or deleting any Clip from a group will cause all others notes in the group to be selected, moved or deleted, etc. Any number of groupings may be created. To group Clips: make a selection using the [image] Select tool, then use the Group function. Activated / deactivate grouping: Use the Note / Pattern Grouping switch on the Recording Panel. Deselecting the Grouping switch will disable Clip grouping behavior until the switch is reactivated.
  • Audition a Clip - Select Preview from the Clip menu (the small down arrow at the start of each Clip) and press the Stop button in the Transport panel to stop the preview).

  • Make Unique - Open the Clip menu (icon at the top left corner of each) and select 'Make Unique'. By default, all instances of a given Clip share the same channel or data. To make edits to the source data without affecting the other instances use the make unique feature. The Clip channel will be cloned and the clone will be assigned to the Clip that was edited, making it 'unique'.

  • Beat slicing - You can split your Clips into even pieces for each bar or beat in the timeline. Open the Clip menu and from the Chop into menu select Bar or Beat. Beat (Random) splits the Audio Clip in beats and reorders the resulting pieces in a random order.

Audio Clip Specific Features

Audio Clips have a few unique properties, as discussed on the Audio Clip page.

Automation Clip Specific Features

Automation Clips have a range of unique properties, as discussed on the Automation Clip page.

Pattern Clip Specific Features

Pattern Clips have a few unique properties, as discussed on the Pattern Clip page.

Clip Menus

Under the 'down-arrow' menu icon at the top left corner of each Clip you will find a menu with the following options, depending on the Clip type selected:

  • Pattern / Audio / Automation Clip
    • Preview - Previews/plays the Clip.
    • Select source pattern/channel - Allows you to change the source data for the Clip.
    • Edit pattern (Patterns) - Opens the Piano roll.
    • Channel settings (Audio / Automation Clips) - Opens the channel settings for the Clip.
    • Rename - Renames the Clip.
    • Make unique - Clones the Clip so that changes to the new Clip do not affect other instances.
    • Select all similar Clips - Selects all instances of the same Clip in the Playlist.
  • Region
    • Select region - Selects a region if existing.
    • Chop (Audio Clips) - Opens a sub-menu with chopping options. Slices the Clip into rhythmic pieces aligned with the grid.
  • Sample (Audio Clips)
    • Edit sample - Opens the sample in Edison.
    • Detect tempo - Opens the tempo detection dialog and offers to set FL Studio to the same tempo.
    • Fit to tempo - Fits the sample to the project tempo.
  • Automate (Audio Clips)
    • Automate - Opens a sub-menu with the ability to create Automation Clips for the sample Volume and Pan.

Playlist Menu

The [image] Playlist menu button (1) displays many useful commands for managing the Playlist.

Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected pattern bars and Audio Clips to the clipboard.
  • Copy ( [image] Ctrl+C) - Copies all selected pattern bars and Audio Clips to the clipboard.
  • Paste ( [image] Ctrl+V) - Pastes pattern bars and Audio Clips from the clipboard.
  • Delete ( [image] Del) - Deletes all selected pattern bars and Audio Clips.
  • Delete all - Deletes all pattern bars and Audio Clips.
  • Shift left / right ( [image] Shift + Left arrow) / ( [image] Shift + Right arrow) - Shifts the selected Pattern Block/s left / right by 1 snap-unit.
  • Mute / Unmute - Mute (silence) or un-mute the selected Clips/s or Clip groups.
  • Insert space ( [image] Ctrl+Ins) - Creates an empty space that matches the current selection (( [image] Ctrl + Click & Drag) on the bar numbers at the top of the Playlist) by shifting all the following pattern Blocks forward.
  • Delete space ( [image] Ctrl+Del) - Erases all pattern Blocks in the current selection and shifts Blocks to the right of the deleted section, left to close the gap.
  • Turn pattern instances into Clips - Converts all Pattern Blocks (18) to Pattern Clips in the Clip Track area of the Playlist.
  • Merge pattern Clips - Vertically merges all selected Pattern Clips into the uppermost Clip.

Tools

  • Quick quantize ( [image] Ctrl+Q) - Aligns all selected patterns to the snap setting set in the [image] Snap Selector.

Patterns

  • Rename ( [image] F2) - Opens the Pattern naming dialog. To rename click in the name area and type a new name. To change Clip color left-click on the color square (shown below) to open the color selector OR right-click to randomly assign a color from a pallet pre-approved by the Image-Line Aesthetics Committee:

  • Color selected - Gives several automatic coloring options.
  • Open in project browser ( [image] Alt+P) - Expands the Project Browser folders to show the selected pattern.
  • Insert one ( [image] Shift+Ctrl+Ins) - Inserts a blank pattern before the currently selected one.
  • Clone Selected ( [image] Shift+Ctrl+C) - Inserts a clone of the current pattern immediately after it. The cloned pattern has the same note events (with their velocity, pan, etc. properties) in the Step Sequencer as the original, however the current events are not copied into the new pattern.
  • Delete selected ( [image] Shift+Ctrl+Del) - Deletes the current pattern.
  • Move selected up ( [image] Alt+Up) - Moves all selected patterns one step up.
  • Move selected down ( [image] Alt+Down) - Moves all selected patterns one step down.
  • Flatten selected - Horizontally merges selected pattern Blocks on any given Pattern Block track into a single longer pattern Block. The separate Blocks are replaced by a single long Block containing the entire selected sequence. NOTE: This function converts all step grid sequences to Piano roll notes.
  • Merge selected - Vertically merges all selected patterns into the uppermost pattern of the group. This can be used to reverse a 'Split' function. To select patterns for merging - [image] Ctrl + Click and drag down across the patterns you wish to merge in the name area of the Playlist.
  • Split by channel - Creates new patterns for each Channel with note or automation data in the currently selected pattern. This is an easy way to break up large, complex patterns into their components.

View

  • Grid Color( [image] Alt+G) - Opens a dialog box that lets you choose a color for the Playlist grid.
  • Flat mode - Switches between flat and 3D look for Clips.
  • Glass effect - Turns on/off the glass shading effects for Clips.

Snap

Snap determines how events will move relative to the Playlist grid and how quantization aligns events (NOTE: holding the [image] Alt key temporarily sets snap to 'none'). The options are:

  • Main - Snap is set to the Global snap value.
  • Line - Snap to Playlist grid-lines, note the grid changes resolution as the Playlist is Zoomed horizontally (7).
  • Cell - Snap to grid-cells.
  • (none) - No snapping. Movement is limited only by the Project Timebase (PPQ) setting (F11). NOTE: Snapping can be temporarily disabled by holding the Alt key when dragging Clips & Blocks.
  • Steps 1/6 to 1 (step) - Absolute grid values equal to the nominated fraction of a step.
  • Beats 1/6 to 1 (beat) - Absolute beats values equal to the nominated fraction of a beat.
  • Bar - 1 bar.
  • Events - Relative to existing events. This is useful to show the boundaries of sliced events when they are butted against each other, as events surrounding the selected event change color.

Select

  • Deselect ( [image] Ctrl+D) - Undo any selection.
  • Select all ( [image] Ctrl+A) - Selects all Blocks and Clips.
  • Select by selected source ( [image] Shift+C) - Selects all Pattern Blocks and Clips associated with the currently selected source Clip.
  • Select muted - Select all Clips that have been muted (by the mute selection tool).
  • Invert selection - ( [image] Shift+I) Inverts the selection (what was selected is now deselected and what was deselected is now selected).
  • Selection time around selection ( [image] Ctrl+Enter) - Selects the time-line range occupied by the Clips currently selected in the Playlist.
  • Select previous time ( [image] Ctrl+Left arrow) - Shifts a selection (made by Ctrl+left-click and swiping the time-bar) by its own width to the right.
  • Select next time ( [image] Ctrl+Right arrow) - Shifts a selection (made by Ctrl+left-click and swiping the time-bar) by its own width to the left.

Group

  • Group notes - ( [image] Shift+G) - Group selected notes. Grouping functions so that selecting, moving or deleting any Clip in a group will cause all others notes in the group to be selected, moved or deleted, etc. Any number of groupings may be created. To group Clips: make a selection using the [image] Select tool, then use the Group function. Activated / deactivate grouping: Use the Note / Pattern Grouping switch on the Recording Panel. Deselecting the Note / Pattern Grouping switch will disable note grouping behavior until the switch is reactivated.
  • Ungroup notes - ( [image] Alt+G) - Ungroup selected notes. Select one Clip in the group then use this function to ungroup all Clips in the group.

Zoom

Contains a submenu with a set of quick zooming levels: Far ( [image] 1); Medium ( [image] 2); Close ( [image] 3); Best fit ( [image] 4); On Selection ( [image] 5).

On Selection zooms the time line to fit the selection (the command will be disabled if no time region is selected in the timeline).

Current Clip source

Shows the list of Clips available in the project. The currently selected Clip will be highlighted.

Live Mode

Live mode switches work only with the pattern Block area. In live mode, a series of switches appear next to the name of each pattern track (16). It is these switches, rather than the placement of pattern Blocks that instructs FL Studio to play a given pattern.
Live Mode

To use live mode:

  1. Make your patterns as normal.
  2. Clear the Playlist of all pattern Clips and Blocks.
  3. Enable Live mode, make sure FL Studio is in Song mode and press Play. Nothing should be heard.
  4. Right-click on Live mode pattern-switches to change their playback mode (repeat or 1-bar).
  5. Left click on Live mode pattern-switches to activate the pattern. Repeat patterns will play until they are disabled while 1-bar will play for 1 bar then stop.
  6. Live mode switching can be controlled using the keys on your MIDI keyboard (see MIDI Settings).

NOTE: When the Playlist is in Live Mode the song marker will only jump to the next bar/time marker when the end of the current bar is reached, keeping timing intact. This differs from standard mode where the jump is immediate.

Add time marker

Type a name for the marker and press Enter. The marker can be dragged into the correct location after naming. If the project already has markers, then right-click a marker and select Add new marker from the pop-up menu. NOTE: Time markers are used to annotate the Playlist and can also serve as jump-to points.

Center ( 0)

Center (grid) centers the Playlist's grid so the play position marker is in the middle. Useful when you want to see the playing position in a long sequence.

Detached

Detached - Detaches the Playlist from the FL Studio workspace, allowing it to be dragged to another monitor.

Playlist keyboard shortcuts

 | Playlist action
Alt | Bypass snap (very useful when combined with other modifiers)
Alt+Up Arrow | Move selected pattern Up
Alt+Down Arrow | Move selected pattern Down
Alt+G | Grid Color
Alt+C | Color selected clip/pattern
Alt+P | Open the 'Current project' folder in the Browser
Alt+Q | Quick quantize
Alt+/* and Ctrl+Alt+/* | Jump to Next/Previous song marker (if present)
Ctrl+A | Select All
Ctrl+Left-click | Select
Ctrl+Shift+Left-click | Add to selection
Ctrl+Shift+Right-click | Zoom to selected Clip
Ctrl+Right-click | Zoom on selection / Drag to make zoom selection (zoom on release)
Double Left-click on clip/pattern | Open clip/pattern properties (e.g. Channel settings, Piano roll)
Left-shift+Left-click (on Playlist) | Add and resize clip/pattern (move mouse L/R after click and hold to resize). Must be in pencil mode.
Left-shift+Right-click | Pan view
Middle mouse button | Pan view (hold & drag left/right)
Right-click | Delete selected clip/pattern
Right-shift+Left-click | Slice clip/pattern (click above/below clip/pattern & drag vertical)
Right-shift+Right-click | Slice clip/pattern & delete smallest part (click above/below clip/pattern & drag vertical)
Right-Alt+Right-click | Quantize selected
Shift+Ctrl+Del | Delete selected clip/pattern source data
Shift+Left-click (on clip/pattern) | Clone (drag while holding clip/pattern)
0 (zero) | Center playback to playing position
PgUp / PgDown | Zoom in / Zoom out


Patterns - Playlist

PLAYLIST

Patterns

Patterns can contain note and/or event automation data. Patterns can be placed in the Playlist as either Pattern Clips or Pattern Blocks. Pattern Clips & Blocks contain instances of the same pattern data, the lower Block Track area is provided mainly for backward compatibility with older FL Studio projects. The names for Pattern Clips are displayed in the the title bar of the clip, while the name of Pattern Blocks are displayed down the left-hand side of the Block track area.

Main automation: By default, Pattern Track 9 is named 'Main automation' and is the standard location in which Automation Events are stored.

Playlist menu Snap menu Pattern Clip (tracks can hold any or all clip types) Pattern blocks Audio Clip (tracks can hold any or all clip types) Automation Clip (tracks can hold any or all clip types) Playlist edit tools Clip-type focus, display/edit options or right-click to show a menu for each clip-type Select the clip to be inserted in the Playlist from this menu, then left-click on a blank clip track area

NOTE: Pattern notes and events can share the same clip, in this case the display will show a layered (combined) view.

Pattern Clips

Pattern Clip Focus

The clip focus selector (shown below) is used to focus various clip types. This is particularly useful when clips are stacked, the focused clip will be brought to the top for selection and editing. Selecting CTRL+click will focus all clips so they can be moved together.
Playlist focus

  • Right-click tab - Show Pattern Clip menu.
  • Note - Uses the color settings of the parent pattern (notes & event). Note color is set from within the Piano roll. Event data always displays in pink, so anyone uncomfortable about being seen using pink in the Playlist needs to 'suck it in' and stop being a 'big cry baby' about it. Alternatively, don't use this setting.
  • Chan - Uses the color settings of the parent channel. Right-click the channel button and use the color selector on the Channel re-name popup panel.
  • Pat - Uses the color settings of the parent pattern.

Working with Pattern Clips

Pattern Clips can be arranged in the same manner as Audio and Automation Clips. These techniques are discussed in the main Playlist section.

Pattern Blocks & Block Tracks

The following information relates to the Pattern Block area in the lower Playlist panel. NOTE: Each Block Track represents a single Pattern and so changes made to Block Track names and colors will affect any Pattern Clips in the upper Playlist (and visa-versa).

Working with Pattern Blocks

  • Insert pattern block - Left-click in the lower Playlist track in draw ( [image]) or paint ( [image]) mode. Paint mode will repeat pattern placement when dragged across bars.

  • Delete pattern blocks - Right-click it or use the left mouse button in erase ( [image]) mode.

  • Multiple patterns can be run simultaneously. However, if patterns share the same instrument channels there may be note conflicts, particularly in the case of monophonic instruments such as the TS404 Generator.
  • Move pattern blocks - Left-click and drag the selected pattern/s horizontally. You cannot adjust pattern block lengths in the Playlist, they are controlled by the length of the note data (Step sequencer or Piano roll) or automation event data in the pattern.

  • Snap settings ( [image]) control how patterns move against the background grid. Set this to 'line' if you want the patterns to snap to the bar boundaries, or 'none' if you want to freely position patterns. Holding the Alt key while dragging will temporarily disable snapping.

  • Overlapping pattern blocks are permitted, however only one instance of each pattern can be played at a time (i.e. each new bar 'cuts' the playback of the previous bar for the same pattern).

  • Move Block Tracks up/down - Select the track by clicking on the name, then hold the Alt key and press the up/down arrow on your keyboard.

Menu options

Right click on a Block Track name to open the following menu. This shows the same options as available from the Playlist menu from the Patterns sub-section:

  • Rename - Opens the naming dialog. Renaming Block Tracks also renames the associated Pattern Clips, in the upper Playlist area. Click in the name area and type a new name OR left-click on the color square (shown below) to open the color selector or Right-click to randomly assign a color from a pallet pre-approved by the Image-Line Aesthetics Committee:

  • Color selected - Gives several automatic coloring options.
  • Open in project browser ( [image] Alt+P) - Expands the Project Browser folders to show the selected pattern.
  • Insert one ( [image] Shift+Ctrl+Ins) - Inserts a blank pattern before the currently selected one.
  • Clone Selected ( [image] Shift+Ctrl+C) - Inserts a clone of the current pattern immediately after it. The cloned pattern has the same note events (with their velocity, pan, etc. properties) in the Step Sequencer as the original, however the current events are not copied into the new pattern.
  • Delete selected ( [image] Shift+Ctrl+Del) - Deletes the current pattern.
  • Move selected up ( [image] Alt+Up) - Moves all selected patterns one step up.
  • Move selected down ( [image] Alt+Down) - Moves all selected patterns one step down.
  • Flatten selected - Horizontally merges selected pattern blocks on any given pattern-block track into a single longer pattern block. The separate blocks are replaced by a single long block containing the entire selected sequence. NOTE: This function converts all step grid sequences to Piano roll notes.
  • Merge selected - Vertically merges all selected patterns into the uppermost pattern of the group. This can be used to reverse a 'Split' function. To select patterns for merging - [image] Ctrl + Click and drag down across the patterns you wish to merge in the name area of the Playlist.
  • Split by channel - Creates new patterns for each Channel with note or automation data in the currently selected pattern. This is an easy way to break up large, complex patterns into their components.


Audio Clips - Playlist

PLAYLIST

Audio Clips This feature is available only in FL Studio Producer Edition & FL Studio Signature Bundle.

Audio Clips are a special version of the Sampler channels. The purpose of Audio Clips is to hold the samples displayed & triggered in the Playlist. Although you can play Audio Clips from the Step Sequencer or the Piano roll, the Audio Clip's main purpose is to feed the audio tracks in the Playlist window where they can be sliced and arranged as required.

Playlist menu Snap menu Pattern Clip (tracks can hold any or all clip types) Pattern blocks Audio Clip (tracks can hold any or all clip types) Automation Clip (tracks can hold any or all clip types) Playlist edit tools Clip-type focus, display/edit options or right-click to show a menu for each clip-type Select the clip to be inserted in the Playlist from this menu, then left-click on a blank clip track area Sampler tab settings Right-clicking on the preview window opens an options menu

Audio Clips

Audio Clip Focus

The clip focus selector (shown below) is used to focus various clip types. This is particularly useful when clips are stacked, the focused clip will be brought to the top for selection and editing. Selecting CTRL+click will focus all clips so they can be moved together.
Playlist focus

  • Right-click tab - Show Audio Clip menu.
  • Zero-Cross - Slicing & resize edits will be made at the nearest zero-crossing to the slice point. Useful for avoiding clicks at the slice location.
  • Stretch - When the left or right edge of the clip is selected and dragged the clip will be stretched according to the Audio Clip Time stretching settings.

Working with Audio Clips

In addition to the standard editing options common to all clips as discussed in the Playlist section on editing clips. Audio Clips provide the following opportunities:

  • Autodetect slicing - To split an Audio Clip into beats using its integrated BeatSlicer engine, open the clip menu (see the mouse pointer in the main screenshot above) and select Chop > Dull / Medium or /Sharp to auto-detect beats.
  • Region slicing - To split an Audio Clip into regions, open the clip menu and from the Chop into menu select Regions (if the wave doesn't contain regions, this command is disabled).

Audio Clip Channel Settings

The two tabs that appear on the Audio Clip channel (shown above-right) are described in detail in the Channel Sampler/Settings sections:

  • (SMP) Channel Sample tab.
  • (MISC) Miscellaneous Options tab.

Channel Settings Waveform Preview (Right-Click) Options

  • Reload - Reload sample.
  • Save as - Save the sample with the option to rename.
  • Edit - Open in Edison Audio Editor.
  • Spectrum view - Display waveform in Playlist and Preview panel in spectral mode. In this view frequency (20 Hz to 20 kHz) is displayed on the vertical axis, brightness represents intensity of the specific frequencies with time plotted on the horizontal axis, as normal for waveform views. For more detailed spectral waveform analysis use Edison.
  • Multichannel waveform view - Display waveform in Playlist and Preview panel in stereo mode (assuming the sample is in stereo). NOTE: This mode is incompatible with Spectrum view.

Audio Clip Notes

  • Loading - Each time a new sample is dragged and dropped on the clip-track area of the Playlist, a new Audio Clip channel is created. NOTE: Drag an audio file (from the Browser, for example) and drop it on the Track label area to auto-create an Audio Clip and auto-name the Clip track to match the file.
    • Clip selector - Each sample placed in an Audio Clip channel becomes available in the Clip selector, list of items that can be inserted into the Playlist.
    • Auto alignment - The Audio Clip will be aligned to the Playlist bars if a Downbeat marker is set in the source .wav file (see Edison region markers for details on adding a downbeat marker).
    • Stretching & tempo-sync - Tempo information included in the .wav file may cause the clip to be stretched to fit the current project. The tempo information can be set/deleted using Edison's Sample Properties dialog. The load behavior also depends on the Read sample tempo information option in the General settings. If this information is incorrect, as often happens with random files downloaded from the internet, you will be scratching your head wondering why your Audio Clips sound like a 'dying duck in a thunderstorm [image] '.
  • Channel Grouping - All new Audio Clips are inserted in the dedicated Audio Clips group (for more information on groups, see Step Sequencer). It's a good practice to keep the Audio Clips in separate groups, as you will normally not use the grid or Piano roll to trigger them.

  • Controls - Some features supported by the standard Sampler channels are not supported by the Audio Clip channels. The unsupported features and settings include:
    • Instrument Channel Settings
    • Function Channel Settings
    • portamento and polyphony settings
    • loop points


Instrument Plugins

INSTRUMENTS / GENERATORS

Instrument / Generator Plugins

Channels and instruments: Each channel in FL Studio contains one instrument plugin. Instruments are usually synthesizers or sample players, used to create the melody and percussion in a song. FL Studio supports the VSTi, DXi, Buzz and FL Studio's own native plugin formats. Native instruments are the most flexible with 'per note' slides and right-click automation linking. The Channel settings Mixer track selector (shown below) determines the Mixer track routing for the selected Instrument.

Channel Settings Window Channel Window & Step Sequencer Plugin Window

Working with Instrument Channels

Adding an instrument

There are several ways to add a new instrument:

  1. Add a new instrument channel - Use the Channels Menu > Add One > dialog.
  2. Replace an existing instrument channel - Right-click on a Channel Button and select 'Replace >' from the pop-up context menu.
  3. Drag an instrument preset from the Browser - Drag the preset from the Browser to the Channel Window OR drag a preset to a Mixer track and the instrument will be routed to this track and the Mixer track auto-named after the plugin.
  4. Use the plugin picker - Open the Plugin Picker database (Ctrl + F8) and double-click an instrument OR drag to a Mixer track and the instrument will be routed to this track and the Mixer track auto-named after the plugin.

NOTE: FL Studio includes only the DEMO VERSIONS of some instruments. Demo plugins show '(Demo)' on their wrapper title. You can purchase the full versions of these instruments at www.image-line.com [image].

How to see more than one Instrument at a time

Summary: Close the Channel settings window associated with the first instrument before opening the second instrument.

By default FL Studio closes the currently open instrument interface when a new instrument is opened. To open multiple instrument interfaces click on the Channel button of the desired instrument to open the interface panel. Close the Channel settings window that opens along with all plugin interfaces and then open the second instrument. Keep doing this for each new instrument you wish to remain simultaneously visible. To disable the auto-close interface behavior, deselect the F10 General settings option Auto select linked modules.

Playing Instrument Channels with a Controller

If you have a keyboard or other controller this can be used to play/control Instrument Channels. FL Studio listens in 'Omni' mode so any connected controller will play the selected channel. If you have more than one controller you can use these to simultaneously play separate instrument channels. Selected instrument channels are assigned by ascending MIDI channel number (i.e. lowest MIDI channel = top selected Instrument Channel, highest MIDI channel = bottom selected Instrument Channel). For more information see the Controller type section of the MIDI Settings page.

Installing new instruments

The manual section on 'Installing VST and DX Plugins' covers the step-by-step procedure for adding new plugins to FL Studio. A wide range of plugin standards are supported by FL Studio.

3rd party effects: FL Studio installs with a generous suite of high-quality instruments so there is no need to purchase anything else in order to produce professional quality tracks. However the internet is bursting with 3rd party instrument plugins, a great place to start is www.kvraudio.com [image].

The Plugin database & Plugin picker

The Browser contains a special Plugin database folder that works in conjunction with the Plugin picker to help you organize and retrieve plugins based on a visual display.

Instrument / Generator Plugins

This section contains links to the help for all instrument plugins that are installed with FL Studio.

Instrument Plugins by Name

Audio Clip Generator

Autogun

Automation Clip Generator

Channel Settings

3x OSC

BeepMap

BooBass

Buzz Generator Adapter

Chrome

Channel Sampler

Dashboard

Direct Wave

FL Keys

FL Slayer

FPC

Fruit Kick

Fruity Dance

Fruity DrumSynth Live

Fruity DX10

Fruity Envelope Controller

Fruity Granulizer

Fruity Keyboard Controller

Fruity Slicer

Fruity Soundfont Player

Fruity Vibrator

Fruity Video Player

Fruity Wrapper

Layer Channel

MIDI Out

Morphine

Ogun

Plucked!

Poizone

ReWired

Sawer

Simsynth Live

Slicex

Speech Synthesizer

Synthmaker

Sytrus

Toxic Biohazard

TS404 Generator

Wasp

Wasp XT

Wave Traveller

See also: Effects - Learn more about Effects (reverb, chorus, etc.) in FL Studio.

Instrument Plugins by Category

Automation

Automation Clip Generator - Holds automation shapes for display in the Clip Track area of the Playlist.

Fruity Envelope Controller - Play back user-specified envelopes as a control source.

Fruity Keyboard Controller - Use MIDI performances as a control source.

Fruity Vibrator - Use force-feedback devices as control sources.

Sample Playback/Manipulation

Audio Clip Generator - Holds recorded audio.

BooBass - Bass guitar simulation.

Channel Sampler - Basic single sample playback channel.

Direct Wave - Advanced sampler.

FL Keys - ROMpler.

FPC - Advanced Drum Sampler.

Fruity Granulizer - Sample based granular synthesizer.

Fruity Slicer - Slices samples for playback (particularly useful for drum loops).

Fruity Soundfont Player - Soundfont ROMpler.

Sampler Generator - Basic channel sample playback.

Slicex - Advanced sample slicer.

Wave Traveller - Sample warper and slicer.

Synthesis

3x OSC - Subtractive 3 Osc synth.

Autogun - Additive synthesis.

BeepMap - Image based synthesis.

FL Slayer - Electric guitar simulation.

Fruit Kick - Kick simulation.

Fruity DrumSynth Live - Percussion Synthesis.

Fruity DX10 - Basic FM Synth.

Morphine - Additive synthesis.

Ogun - Additive synthesis.

Plucked! - Plucked string modelling synth.

Poizone - Subtractive synthesis.

Sawer - Subtractive synthesis.

SimSynth - Subtractive synth.

Speech Synthesizer - Talking synthesizer.

Synthmaker - It's anything you want it to be!

Sytrus - Advanced FM/RM/Subtractive/Hybrid synth.

Toxic Biohazard - FM synthesis.

TS404 Generator - TB303 emulator.

Wasp - Subtractive synth.

Wasp XT - Subtractive synth.

Tools

Buzz Generator Adapter - Adapter to host Buzz instruments.

Channel Settings - Channel settings controls.

Chrome - Video Synthesis (lightshow).

Fruity Dance - FL Chan visual effect, Kawaii!

Dashboard - Design your own internal controllers

Fruity Wrapper - Hosts VSTi/DXi plugins.

Fruity Video Player - Play videos in sync with FL Studio Projects.

Layer Channel - Stack channels to play in unison.

MIDI Out - Control MIDI hardware and/or VST plugins

ReWired - Host any compatible ReWire device in FL Studio


Fruity Wrapper

Fruity Wrapper control options (1, 3 & 4) are common to all plugins (native, VST & DX), while the plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a ficticious 'Poi Poi' VSTi plugin). More information on plugin formats can be found here. For more information on installing and using 3rd party VST/DX plugins, click here.

There are two versions of the Fruity Wrapper, Effect & Generator. FL Studio will select the appropriate Wrapper depending on the plugin type loaded. There are several control options:

1. Plugin Menu

2. Additional Settings Menu

3. Preset Browser

4. Close plugin interface.

Plugin Credits: Frederic Vanmol, Didier Dambrin


Fruity Wrapper Menu

INSTRUMENT PLUGINS / EFFECT PLUGINS / CHANNEL SETTINGS

Fruity Wrapper

Fruity Wrapper - Wrapper control options (1, 3 & 4) are common to all plugins (Native, VST & DX), while the Plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a ficticious 'Poi Poi' VSTi plugin). More information on plugin formats can be found here. For more information on installing and using 3rd party VST/DX plugins, click here.

There are two versions of the Fruity Wrapper, Effect & Generator. FL Studio will select the appropriate wrapper depending on the plugin type loaded. There are several control options:

1. Plugin Menu

The Plugin Menu contains various plugin-specific commands, including preset management. The commands displayed will depend on the type of plugin being hosted. NOTE: The Save preset as command can be dragged and dropped on a compatible target.

Piano roll

Opens a Piano roll for the selected channel.

Presets

  • Presets - Contains a sub-menu with preset handling options for the effect:
    • Randomize gives random values to the published (i.e. known to FL Studio) plugin settings. When enabled, selecting a preset will load a random 50% of the settings, so you can quickly mix different presets and create new effects.
    • Hybridize blends between the previous and next selected preset.
    • Tree Display displays the settings in a 'tree' view. The Presets menu is disabled if there is no effect assigned to the plugin slot.
  • Browse presets - Opens the presets menu in the Browser (this may not have any presets for the plugin, however).
  • Save presets as - Save the current preset as a single preset file in the Browser. The menu item can also be dragged and dropped on a compatible location. e.g. The Browser, the Channel Window or another instance of the same plugin to copy the preset.
  • Add to plugin database - Adds the plugin to the currently open sub-directory of the Plugin database directory in the Browser. This is a special browser directory that works in conjunction with the Plugin picker to help organize and load plugins into projects.

Spare state

These options are useful for saving plugin settings, making edits, then comparing the original vs edited versions.

  • Store in spare state - Saves the plugins current settings in a temporary buffer (spare state).
  • Flip with spare state - Swaps the plugins current settings with those in the spare state.

Parameters

  • Last tweaked parameter - This command has moved to Menu Tools > Last tweaked parameters
  • Link all parameters... - Opens a dialog designed to link automatable parameters to 'tweaked' hardware controllers and then automatically move to the next parameter in the 'parameter list', ready for the next link. There are several options available for skipping parameters or jumping to new locations in the list. Basic operation - Select 'Link all parameters' from the menu, and move the first hardware controller to be linked (the link is made to the first item in the 'Current parameter' list). When you move the second hardware controller it will be auto-linked to the next parameter and so on, until the end of the parameter list is reached or the link dialog is closed. To skip a link, left-click the Skip button at the bottom of the link dialog (immediately left of the 'Accept' button). To jump directly to a parameter, use the Current parameter menu (top most in the link dialog) and select the target parameter you are interested in. You can then continue auto-linking from that point in the list by moving hardware controllers as before OR jump to another parameter in the list using the 'Current parameter' menu as previously described.
  • Browse parameters - Allows you to see the list of automatable parameters in the Browser. Embedded CC Parameters: Every instance of the Wrapper has 128 CC (MIDI Control Change) parameters in a parameter list. These parameters transmit CC data directly to the plugin (for plugins that read CC data directly) and can be linked like any other parameter to a MIDI or internal controller. Thus, you can send CC data directly to the plugin instead of linking to a specific knob on the plugin interface. These parameters can also be set in conjunction with the Omni mode associated with the Remote control settings 'link' dialog to send CC data to any selected plugin and to save MIDI controller assignments (see the Omni and VSTi/DXi Control section for more details).

CPU

  • Allow threaded processing - Improves multithreading and multi-core CPU performance. NOTE: Some 3rd party plugins may perform worse with multithreading on. If you are experiencing choppy or broken sound (the GPO/Kontakt Player for example), try turning this off.
  • Smart disable - Stop processing the plugin when inactive. Reduces CPU load. There is a global Smart disable on the F10 Audio settings panel OR 'Smart disable' Tools > Macros > Misc > Switch smart disable for all plugins.

  • Make editor thumbnail - Places a small thumbnail image of the plugin interface into the Browser > Current project > Generators folder so that the plugin is more easily identified. NOTE: the Browser view must be larger than 'Compact' for the thumbnail image to display.
  • Detached - Detaches the Plugin from the FL Studio desktop so it can be moved to a monitor that does not have the FL Desktop stretched across it.
  • Help - Opens the plugins in-line help (if any).

2. Additional Settings Menu

3. Preset Browser

4. - Close interface.

Plugin Credits: Frederic Vanmol, Didier Dambrin


Fruity Wrapper Settings

INSTRUMENT PLUGINS / EFFECT PLUGINS / CHANNEL SETTINGS

Fruity Wrapper

Fruity Wrapper - Wrapper control options (1, 3 & 4) are common to all plugins (Native, VST & DX), while the Plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a ficticious 'Poi Poi' VSTi plugin). More information on plugin formats can be found here. For more information on installing and using 3rd party VST/DX plugins, click here.

There are two versions of the Fruity Wrapper, Effect & Generator. FL Studio will select the appropriate wrapper depending on the plugin type loaded. There are several control options:

1. Plugin Menu

2. Additional Settings Menu

Click on the screenshot Settings, Processing or Info tabs below to see the help for that tab.
Settings tab Processing tab Info tab

See help for tab: [Settings], Processing, Info

NOTE: There are a number of options on the Audio Settings CPU section, that may help to resolve issues with misbehaving plugins. In particular 'Multithreaded generator processing' (try off), 'Multithreaded mixer processing' (try off) & 'Align tick lengths' (try on).

General

Options can be saved for each unique plugin, saved options will be remembered until they are deliberately cleared.

  • Save options automatically - Automatically saves the options set in the wrapper. Settings will be remembered the next time the plugin is loaded (this option is on by default).
  • Save now - Saves the options set in the wrapper. These settings will be remembered the next time the plugin is loaded. Use when automatic saving is disabled.
  • Delete options - Clear the saved options for the loaded plugin type. Default settings will be used next time the plugin is opened.
  • Reset - Reset plugin options to the default state.

MIDI

  • Input port / Output port - Select the MIDI input and output ports respectively. MIDI ports are independent communication channels within a given MIDI connection. When the same port numbers is set on an MIDI input and output device the plugin and other MIDI device will be able to share exclusive MIDI data.
  • Send note off velocity - Sends the note release velocity to the plugin along with the 'note off' message. Note off velocity is set in the Piano roll and can be edited using the integrated event editor.
  • Send pitch bend range - When selected, the MIDI pitch bend range will be passed to the plugin. Plugins which support pitch bend range will respond correctly to host bend instructions. This is not selected by default as some plugins interpret pitch bend range messages as a filter reset message, causing problems.

Automation

  • Notify about parameter changes - When deselected, disables parameter 'change notification' to FL Studio from plugins. NOTE: Some plugins continuously send parameter changes, this will constantly reset the 'Last tweaked parameter', making it impossible select and link the parameter of your choice. Only deselect 'Notify about parameter changes' while you are recording automation with the plugin and then re-select it (don't forget, as deselecting this option interferes with other wrapper functions you may need).

Visual

  • Check properties on display change - Some plugins send a display change message when some properties have changed, such as the selected patch. This option allows FL Studio to detect the change and ensure data is correctly copied between FL Studio and the plugin.
  • Invalidate plugin editor - Opens the plugin editor's idle message. The 'idle message' provides a plugin with the opportunity to repaint its window. Try de-selecting this setting if the plugin has graphical display glitches.
  • Don't allow keyboard focus - Prevents the plugin from stealing keyboard input from other plugins when the interface is selected with the mouse.

Current program

  • Allow Program Editing - The default behavior of FL Studio is to temporarily store modifications to patch programs so that if you modify a bank preset, browse other presets and return to the modified preset, the changes will be remembered. If this setting is off then any changes to the preset will be lost when you change to another patch, it's best to leave this setting on (default). This is a per-session feature, so patch modifications will not permanently overwrite factory presets, if you delete the plugin and reload it any modifications will be forgotten.
  • Copy - Copies the currently active patch to the clipboard. 'Allow Program Editing' needs to be turned on for this command to be enabled.
  • Paste - Overwrites the settings of the active patch with the one in the clipboard. 'Allow Program Editing' needs to be turned on for this command to be enabled. The command will be disabled if the clipboard is empty (you need to copy a program first).
  • Name - Allows you to rename to currently selected program (patch). 'Allow Program Editing' needs to be turned on for this command to be enabled. Click Set to save the name.

Presets

  • Load preset/bank - Allows you to import a standard VST bank (FXB) or preset (FXP) in the currently hosted plugin instance. A bank replaces all of the programs for this plugin instance, while loading a preset replaces only the currently active program.
  • Save preset - Allows you to export the current patch as a VST preset (FXP).
  • Save all as preset - Exports all programs in the bank as individual VST presets (FXP).
  • Save bank - Allows you to export the entire program library (including any additional loaded or modified programs in it) as a VST bank (FXB).

3. Preset Browser

4. Close plugin interface.

Plugin Credits: Frederic Vanmol, Didier Dambrin


Fruity Wrapper Processing

INSTRUMENT PLUGINS / EFFECT PLUGINS / CHANNEL SETTINGS

Fruity Wrapper

Fruity Wrapper - Wrapper control options (1, 3 & 4) are common to all plugins (Native, VST & DX), while the Plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a fictitious 'Poi Poi' VSTi plugin). More information on plugin formats can be found here. For more information on installing and using 3rd party VST/DX plugins, click here.

There are two versions of the Fruity Wrapper, Effect & Generator. FL Studio will select the appropriate wrapper depending on the plugin type loaded. There are several control options:

1. Plugin Menu

2. Additional Settings Menu

Click on the screenshot Settings, Processing or Info tabs below to see the help for that tab.
Settings tab Processing tab Info tab

See help for tab: Settings, [Processing], Info

NOTE: There are a number of options on the Audio Settings CPU section, that may help to resolve issues with misbehaving plugins. In particular 'Multithreaded generator processing' (try off), 'Multithreaded mixer processing' (try off) & 'Align tick lengths' (try on).

Options

  • Process inactive inputs and outputs - Some plugins mark one or more of their inputs/outputs as 'inactive' even though they are being used. By default, FL Studio doesn't process inactive inputs/outputs, so no sound is produced. This option ensures FL Studio processes 'inactive' outputs.
  • Notify about rendering mode - This ensures that the plugin is informed when FL Studio is rendering. Some plugins will automatically switch to a higher quality output when rendering.
  • Send loop position - Sends information about the song loop start and end positions to a VST plugin. This setting is calculated by the wrapper and is not available until FL has looped once.
  • Use fixed size buffers - FL Studio shares data with plugins using variable sized chunks of data (buffers). Some plugins require fixed sized buffers (which is outside the VST standard but supported in FL Studio for your convenience). This option ensures only fixed sized buffers are used. The disadvantage is that fixed size buffering can introduce an extra delay, depending on the audio buffer size selected in the Audio settings (F10). This delay is doubled for effects plugins. However, in some cases this setting may fix unwanted rendering delays caused by certain plugins.

Connections

These options determine audio input and/or output routing for the plugin and are necessary only for multi-input or multi-output plugins such as a compressor that accepts side-chain inputs or a sampler with multiple outputs for separate effects processing.

  • Auto map inputs - Auto map inputs only applies to plugins loaded in Mixer effects slots since instrument channels can't receive audio input.
    • 1. Sidechain the total number of mixer tracks, to your multi-input plugin's mixer track, that equals the number of audio inputs the plugin needs BEFORE using the 'Auto map inputs' function. If you don't sidechain the total number, some inputs will remain unassigned.
    • 2. Click the Auto map inputs button and the sidechained mixer tracks will be assigned to the multi-input plugin's available inputs. Auto map will assign the sidechained Mixer track with the lowest number to the first plugin input, and so on.

      If you need to reassign these mappings see the section below on 'Manual assignment of plugins loaded in effects slots'.

  • Reset - Reset the inputs/outputs to the default state.
  • Auto map outputs - Auto-assign plugin outputs to mixer tracks following the plugin's own Mixer track. The routing will incrementally map to Mixer-tracks following the plugins selected Mixer track. If you need to reassign these mappings see the section below on 'Manual assignment of plugins loaded in effects slots'.
  • Manual assignment of inputs/outputs - Right-click the input/output fields to open the list of routing options. The routing details vary depending on whether the plugin is loaded in an instrument channel or in an effects slot:
    • Manual assignment of plugins loaded in channels - Right-click the input or output number fields to open a list then click on an item to select it. When plugins are loaded in Channels, the numbers for the inputs and outputs are Mixer-track offsets (relative to the Mixer track number set in the Channel Settings). For example, if the plugin is routed to Mixer track 10 and a plugin input is set to -2 and a plugin output set to 10, then the plugin will receive audio-input from track 8 (10 - 2) and output audio to track 20 (10 + 10).
    • Manual assignment of plugins loaded in effects slots - Right-click the input/output number fields to open a list then click on an item to select it. When plugins are loaded in the Mixer, the numbers are 'indexes' to the list of inputs or outputs that are routed to and from the Mixer track that the effect is in. NOTE: When routing Mixer tracks to the target Mixer track (the one holding the effect), right click the Track Send switch and use the 'Sidechain to this track' option. This mutes the audio being sent to the effect's track, while allowing the 'side-chain' signal to be processed on the input set to receive it. Failure to do this will result in a parallel audio signal, one entering through the effect's input and another passing through the effect stack as normal.

3. Preset Browser

4. Close plugin interface.

Plugin Credits: Frederic Vanmol, Didier Dambrin


Fruity Wrapper Plugin Info

INSTRUMENT PLUGINS / EFFECT PLUGINS / CHANNEL SETTINGS

Fruity Wrapper

Fruity Wrapper - Wrapper control options (1, 3 & 4) are common to all plugins (Native, VST & DX), while the Plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a ficticious 'Poi Poi' VSTi plugin). More information on plugin formats can be found here. For more information on installing and using 3rd party VST/DX plugins, click here.

There are two versions of the Fruity Wrapper, Effect & Generator. FL Studio will select the appropriate wrapper depending on the plugin type loaded. There are several control options:

1. Plugin Menu

2. Additional Settings Menu

Click on the screenshot Settings, Processing or Info tabs below to see the help for that tab.
Settings tab Processing tab Info tab

See help for tab: Settings, Processing, [Info]

Info

Displays any information published by the plugin, such as: Plugin Name, Vendor, Inputs/Outputs, etc.

3. Preset Browser

4. Close plugin interface.

Plugin Credits: Frederic Vanmol, Didier Dambrin


Fruity Wrapper Preset Browser

INSTRUMENT PLUGINS / EFFECT PLUGINS / CHANNEL SETTINGS

Fruity Wrapper

Fruity Wrapper - Wrapper control options (1, 3 & 4) are common to all plugins (Native, VST & DX), while the Plugin options (2) only appear on Wrappers that hold external plugins (VST & DX). The Wrapper provides compatibility with the VST and DX plugin standards (the screenshot below demonstrates the Fruity Wrapper hosting a ficticious 'Poi Poi' VSTi plugin). More information on plugin formats can be found here. For more information on installing and using 3rd party VST/DX plugins, click here.

There are two versions of the Fruity Wrapper, Effect & Generator. FL Studio will select the appropriate wrapper depending on the plugin type loaded. There are several control options:

1. Plugin Menu

2. Additional Settings Menu

3. Preset Browser

Preset Browser - If supported by the plugin, this control steps through the plugin presets. Left-click on the arrows to step forward or backward through the plugin presets in a sequential manner. Alternatively you can display the entire preset list by Right-clicking on the control and then selecting a preset from the pop-up menu.

4. Close plugin interface.

Plugin Credits: Frederic Vanmol, Didier Dambrin


3 OSC Instrument

INSTRUMENTS / GENERATORS

3xOSC

3xOsc is a 3-oscillator, subtractive synthesizer feeding the FL Studio Sampler. Its purpose is to generate a bright sound to be filtered by the channel's instrument tools. It can also produce its own kind of stereo phasing.

To save CPU and memory, the oscillators are anti-aliased during rendering only. This means the rendered tracks may sound better, but rendering will be slower.

Parameters

OSC 1, 2, 3 Parameters

This section covers parameters for all of the oscillators.

  • Shape Selector - Buttons in each of the oscillators, allowing one of the following choices: sine, triangle, square, saw, rounded saw, noise, custom. Custom uses whatever sample is loaded in the channel Sampler Settings page.
  • Invert Switch (INV) - Allows you to invert the phase of the oscillator. When you mix two oscillators with equal settings, and one of them is inverted, they cancel each other and no sound is produced. However, if you set the Fine frequency to a slightly different value, this can produce interesting flanging/phasing effects.
  • Stereo Phase (SP) - Allows you to set different phase offset for the left and right channels of the generator. The offset results in the oscillator starting at a different point on the oscillator's shape (for e.g. start in the highest value of the sine function instead at zero point). Stereo phase offset adds to the richness and stereo panorama of the sound produced.
  • Stereo Detune (SD) - Allows you to de-tune the stereo sound of the generator, by applying a slightly different frequency at the left and right sound channels. This adds to the stereo panorama of the sound produced, and creates a ?stereo flange? effect. When the knob is in the middle, the effect is turned off.
  • Volume (VOL) - Sets the relative volume of each of the oscillators. Relative means that the overall sound output is kept at the same level, but the relative amount of each of the oscillators is adjustable. The first oscillator lacks this control, as at least one oscillator is always required to produce sound. For e.g., to mix 50% of oscillator 1 and 2, set the volume of oscillator at 100%. To mix all 3 oscillators at 33.33..%, set the volume knobs to 100% for oscillators 2 and 3. To mix only oscillator 1 at 100%, set all other volume levels to zero.
  • Panning (PAN) - Sets the stereo panning of the individual oscillators.
  • Coarse Tuning (CRS) - Sets the coarse tuning (range -24 to +24 semitones) of the individual oscillators.
  • Fine Tuning (FINE) - Sets the fine tuning (range -1 to +1 semitone) of the individual oscillators.

Other Parameters

  • OSC 3 Amplitude Modulation (OSC 3 > AM) - Switch on to use Oscillator 3 as an amplitude modulation of the other 2 oscillators.
  • Stereo Phase Randomness (PR) - Allows you to add ?randomness? to the stereo phase of all oscillators. Low values can make the sound slightly more natural, while higher values can be used as a special effect. Stereo Phasing can introduce clicks, since the oscillators start somewhere ?inside? the waveform. You can fix this by using a volume envelope with a short attack time.

Notes & Tips

  • Since the 3xOsc generator acts as an addition to the standard integrated Sampler, it is usually not enough to save direct 3xOsc presets rather than full channel presets which hold the complete sound. As a result, default 3x Osc presets will be found in /Channel presets/3x Osc/ in the browser.
  • Stereo Phasing can introduce clicks since the oscillators start somewhere "inside" the shape function. You can easily fix this by using a volume envelope with a short attack time.

Plugin Credits: Didier Dambrin


Autogun

Autogun is a universe of sounds waiting to be discovered. Based on the Ogun synthesizer engine and Soundgoodizer effects processor, Autogun contains 4,294,967,296 presets (four billion, two hundred ninety four million, nine hundred sixty seven thousand, two hundred ninety six), most of which have never been heard my man (or woman...are there girls here? Quick, get their phone numbers!).
Autogun

Options & Controls

  • Preset selectors - There are 4,294,967,296 presets to explore. Better start clicking!
  • Volume - 0 to 200%. That's '20' on the electric guitar amp scale, 9 better than 11.
  • Magic dust - 0 to 100% magic provided by Soundgoodizer.
  • Options -
    • Enter preset number - Open to copy, paste or enter a preset number. Each preset is unique and is given a number from 1 to 4,294,967,296. Since Autogun shares its synthesis engine with Ogun, preset numbers can be shared between plugins. Paste the number into Ogun's Options > Enter random preset number field. Why not try them all? Because listening to 1 preset per second, 24 hours a day, every day, it will take you more than 136 years...
    • Processing quality - Sets interpolation. Select from a range of output quality options.
    • About - Opens the About screen.
    • Visit our website - Opens www.image-line.com [image].

Maximizing Performance

Autogun generally presents a low CPU load to the host, however it is possible to experience audio dropouts during real-time playback while the average CPU load still appears low, due to a non-uniform CPU usage. This non-uniformity comes from the, sometimes heavy, FFT processing for the harmonic series. Autogun generally uses high 'richness' settings (see Ogun synthesis controls), although some patches are set a little lower (and will stress your CPU less). If a patch is causing problems the best strategy is to increase the buffer latency. Either that OR dry your eyes, suck it in and select another patch...after all, there are another 4 billion+ to choose from :)

Plugin Credits

Code & GUI: Didier Dambrin.

VSTi Port: Reflex.

Presets: Ginsu, The Enforcer, William P, donatello.

Inspired by: PADsynth [image] by Nasca Octavian Paul.


BeepMap

BeepMap generates sound based on an image. Imagine a vertical line scanning an image from left to right translating (mapping) colors and brightness to frequencies, tone and volume. There you have BeepMap. BeepMap is especially good at producing atmospheric and eerie sounds, particularly when given generous amounts of ping-pong delay and reverb.

BeepMap, translates the red color into the amplitude of a sine wave on the left channel and green colors into a sine wave on the right channel. Yellow, a mixture of red and green will therefore sound equally on both channels.

The frequency of each sine wave depends on its vertical position in the bitmap. Optionally, the blue component is used to define the frequency range per pixel.

Parameters

  • Frequency (FREQ) - Selects the frequency range for the whole bitmap height.
  • Length - Sets the duration of a pixel. The greater the length, the longer the sound will last.
  • Linear - Switches between linear frequency (Hz), and pitch scale in cents (1/100 semitone).
  • Use Blue - Enables blue color response.
  • Grainy - Causes sound to be heard as small grains.
  • Loop - Allows you to loop the whole bitmap, or play it once.
  • Widen - Use this to adjust the width of the stereo field.
  • Max Bitmap Height - Sets the maximum height for loaded bitmaps, i.e. number of sine waves to be added. The amount of CPU needed to process a voice depends on that value.

Notes & Tips

  • There's no built-in graphic editor, so the cut/paste feature is very handy.
  • Unlike as with sample files used in a project, the bitmap is saved inside the FLP project (or FST preset), thus the file size can grow quickly.

Plugin Credits: Didier Dambrin


BooBass

BooBass is a monophonic, realistic bass generator with adjustable frequency response and supports portamento slides. If you are reading this section because you are having trouble understanding this plugin, we suspect your video recorder is flashing ?12:00?; and you stop your alarm clock ringing in the morning by shutting it in a drawer!

Parameters

  • Bass - Lets you equalize the low (bass) frequencies of the generator.
  • Mid - Lets you equalize the middle frequencies of the generator.
  • Treble - Lets you equalize the high (treble) frequencies of the generator.

Notes & Tips

Since BooBass is monophonic, delay echoes will not work properly (see Function Settings).

Plugin Credits: David Billen


Buzz Generator

INSTRUMENTS / GENERATORS

Buzz Generator Adapter

Buzz Generator Adapter is a wrapper for Buzz generator machines. You can find a huge collection of Buzz machines at www.BuzzMachines.com [image]. Be aware, however, that there are some buggy ones around, and the stability of your project may be compromised.

Parameters

The options and parameters apart from those described below depend on the hosted Buzz plugin.

  • Note Parameter - Selects which parameter is used to send note messages. Not all plugins use this format for notes (except MIDI notes).
  • Polyphony - Sets the polyphony of the loaded plugin. Some plugins may not use this property.
  • Don't Send Note Offs - Some synths do not require note off messages and sending such can cause problems. Use this parameter only if needed.
  • Use MidiNote() - Uses an alternative for passing notes to the plugins. Some plugins may require Note Parameter instead (consult the plugin manual).
  • Select Machine - Click this button to browse for a Buzz machine plugin.
  • Parameter Sliders - Used to control Buzz machine parameters. These behave as normal FL Studio parameters (right-click the sliders to access the default parameter menu of FL Studio).
  • Attributes - Click this button to launch a window with additional parameters for the machine.
  • Commands - Click this button to launch a menu with commands for the machine. When the machine doesn't have commands, this button is disabled.
  • Import Buzz Preset? - Loads Buzz machine presets.

Plugin Credits: Oskari Tammelin


Chrome

Chrome Chrome is a visualization plugin that allows you to trigger graphical events using the Piano roll, MIDI controller or automation clips. Before using chrome you may need to run the Start > Programs > Image-Line > FL Studio > Advanced > Graphics Tester, to see if your graphics card is Chrome compatible and unlock the plugin. This is done to avoid unexpected system instability.

Scene Controls

Camera

Use this control to rotate and view the scene from various angles. The camera may be moved around the X axis (Tilt), Y axis (Rotation), and translation along the Z axis (Zoom).

  • Rotation - Left-click and drag up/down inside the large Camera Rotation wheel.
  • Tilt - Left-click and drag up/down anywhere on the bottom left corner (Tilt section) of the camera control.
  • Zoom - Left-click and drag the Zoom slider on the right of the camera control.
  • Direct Image Control - The camera can also be adjusted by clicking and dragging on the scene display itself. Left mouse = X and Y movement, Right mouse = X and Z movement.

Scene Selector

Click the arrow buttons on the Scene Selector box to change the scene. Left-clicking the scene text will open a menu of available scenes. The scene selector is also automatable.

Scene Parameters

To change the parameters of the scene there are two control methods; 1) Scene Parameter knobs (automatable) and 2) Piano roll. These parameter sets are configured individually for each scene and are described below.

  • Ambience - A plain colored background with moving 'blobs' can be used as a very simple background. Note triggers a blob to pulse in brightness
    • P1: Hue - the hue of the background.
    • P2: Saturation - the amount of color in the background, ranging from grey to Hue.
    • P3: Intensity - the brightness of the background.
    • P4: Blob Count - amount of blobs present on the screen.
    • P5: Blob Brightness.
    • P6: Blob Blend Mode - by default blobs are additively blended. Options include negative blending and alpha blending.
  • Fireworks - Multi-colored fireworks burst over a pool of reflecting water.
    • P1: Slow Motion - controls the time frame of the firework simulation.
    • P2: Fountain Style - Loads different 3D fountain styles and sizes.
    • P3: Emitter Radius - Controls how far from the center of the fountain the fireworks are emitted.
    • P4: Sky Hue - as above.
    • P5: Sky Intensity - as above.
    • P6: Sky Brightness - as above.

    Piano roll Controls

    • Notes - Triggers fireworks over the fountain.
    • Pan - Controls direction of firework explosion.
    • Vel - Controls strength of firework explosion.
    • Particle Life - Controls how long particles stay on the screen.
    • Particle Size - Controls the size of the firework particles.
  • Lightning - Multi-colored bolts of lightning in clouds
    • P1: Slow Motion - Controls the time frame of the lightning simulation.
    • P2: Glow Amount - The size of the glow filter. High value = large blurred glow, Low Value = sharp jagged glow.
    • P3: Glow Intensity - The brightness of the glow.
    • P4: Cloud Transparency - Transparency of clouds.
    • P5: Cloud Density - Low Val = Clear, High Val = Heavy cloud cover.
    • P6: Cloud Glow - How bright the lightning lights up the surrounding clouds.

    Piano roll Controls

    • Notes - Trigger lightning bolts.
    • Pan - 100% Right = Bolt branch off at right angles 100% left = near straight bolts.
    • Vel - Ccontrols bolt length.
    • Bolt Speed - Wworks like P1: Slow Motion, but for individual lightning bolts.
    • Branches - The amount of branches in this bolt.
  • Metaballs - Blobs of liquid mercury (metaballs) which melt away with time. The metaballs reflect their environment like shiny metal and glow multi-colored when first placed (like glowing hot metal).
    • P1: Decay Rate - How fast the blobs melt away. Full Value = No Decay.
    • P2: Zoom Blur Amount - controls the amount of zoom blur/glow applied to the metaballs.
    • P3: Cooling Rate - How fast the colored glow fades from the metaballs.
    • P4: Environment Brightness - Brightness of the background environment.
    • P5: Environment Blur - Background blurring.
    • P6: Environment - choose a background image (environment).

    Piano roll Controls

    • Note - triggers a metaball.
    • Pan - controls how far from the center the metaballs orbit.
    • Vel - Unused.
    • Blob Radius - size of the metaball blob.
  • Rotozoom - Classic 2D scene. First brushes (2D pictures) are drawn onto the screen. Scene is then rotated and zoomed by the camera then fed back onto the screen producing a 'hall of mirrors' effect. Hence the name Rotozoom.
    • P1: Kaleidoscope 1 - Draws the scene again at 4 separate corners of the screen. Produces a fractal pattern.
    • P2: Kaleidoscope 2- Same as above. Kal. 1 controls the X shift of the newly drawn pictures, Kal. 2 controls the Y shift of the newly drawn pics.
    • P3: Fade Strength - How fast the trails fade out. Technically it controls the amount of the old scene being fed back onto the screen.
    • P4: Distortion Amount - The scene can also be distorted by a ripple type effect. This controls the amount of distortion. Lowest Val = No Distortion.
    • P5: Distortion Mod - The size of the ripples of the distortion. High Val = Rolling big ripples, Low Val = Very small (stained glass effect almost).
    • P6: Glow - Adds a simple glow to the scene.

    Piano roll Controls

    • Note - Triggers one of 16 individual 2D brushes (Which brush is triggered is controlled by which note on the Piano roll.) emitting smaller particles shaped like the 2D sprite.
    • Pan - 100% Left = natural brush color/white, Centred = Note controlled color, 100% right = Custom color.
    • Vel - Speed of the brush around the screen.
    • Custom color - Cycles through rainbow colors. Only effective when using a Pan value between Centred and 100% Right.
    • Brush size - Physical size of the 2D brush.
  • Tunnel - Generates an endless twisting tunnel through which the camera flies. Notes trigger neon rings of light to fly down the tunnel towards the camera.
    • P1: Tunnel Profile - Loads different tunnel cross-sections / profiles.
    • P2: Tunnel Length- Increases/decreases the spacing between tunnel segments.
    • P3: Tunnel Speed - Increases/decreases the speed at which the texture on the tunnel flies by.
    • P4: Tunnel Twist - Causes the forthcoming tunnel segments to become very twisty at high values, smooth and straight at low values.
    • P5: Spotlight - Controls the position of a spotlight running through the tunnel. Lowest/Highest Value = No Spotlight.
    • P6: Tunnel Texture - Loads different textures for the walls of the tunnel.

    Piano roll Controls

    • Note - Triggers a neon ring which flies down the tunnel at the camera.
    • Pan - Controls the distance from the camera at which the ring spawns. 100% left = At camera, 100% = furthest down the tunnel.
    • Vel - Speed of the ring's flight.
    • Radius - Radius of the ring. At highest value, ring touches the tunnel walls, at lowest it disappears at a point in the middle of the tunnel.
    • Particle Size - Undefined.

Preload Scene

Switch - On when lit. Using multiple scenes within a project, it is useful to have the used scenes load when the project loads, and not when they are first displayed (as is the default). Marking a scene with the Preload button causes it to be loaded on project load, the next time you open the project.

Quality

The Quality Slider trades off visual quality of the scene in return for better performance/lower CPU usage.

Object Properties

Object/text options

Chrome allows up to 16 text messages or objects to be displayed over the current scene.

  • Object Selector - [image] The object selector allows you to select one of 16 the text messages/objects as the current object. To display the message/object check the ON box to the right of the text message/object selector box. The ON/OFF state is remembered for each of the 16 messages/objects.
  • Object controls - [image] This is the main control panel for the current object. Select to display Text, or 3D Objects. The ON switch to the right is remembered for each object selected with the 'Object Selector'.

    • Text mode - Click on the message area ('Text Message 1' in this case) to enter a text message. Left-click the Font Button to the right of the text entry box to change the font type and size used for each message.
    • Object mode - In object mode, the message area displays the filename of the currently loaded object, the button to the right (changes from text mode) to allows loading of a new 3D model. By default the dialog is opened in the Chrome/Objects directory. The model loading process may take some time for larger models as Vertex Normals are calculated on load. When more than one model is loaded into the system, the button opens a menu allowing you to choose from already loaded objects (with no loading times), or to open a new object.

Position Knobs

The position controls allow changes to the position and rotation of the object in all 6 degrees of freedom, 3 axes and 3 angles.

Effect

The effect controls govern the overall appearance of the object/s.

  • Effect selector - [image] Choose between 7 different predefined animations:
    • Z Bounce
    • X spin
    • Y spin
    • Z spin
    • Random Spin 1
    • Random Spin 2
    • Random Movement
  • Depth - Only works when using a Text Message. It governs how much the text message is extruded in the Z direction.
  • Size - Alters the scale of the object. Also affects the light/texturing/position of the object.
  • Light - Adjusts amount of illumination of the object. Off - No light, Half way - Normal lighting, Full - Fully illuminated.
  • Speed - Governs the speed of the predefined animations as well as the fade in and out when switching the object on and off.
  • Transparency - Governs the transparency of the object from fully Solid to invisible.
  • DS - Adds a black Drop Shadow behind the object to make it visible on bright backgrounds
  • Glow - Adds a glow to the object.
  • color box - Choose a color for the object. To remove color, choose white.
  • Texture - When enabled, you can pick a picture to wrap around the object (texture), when disabled, the object is a solid color. defined by the color box. Though the color of the object also tints the texture used (Pick white for no tinting). If the model contains texture. coordinates (details about how to wrap the picture) they are used, otherwise standard planar mapping is used. Use the button to load BMP, TGA or JPG picture files. 32-bit TGA files are also supported. When more than one texture is loaded into the system the button displays a menu of all the textures loaded into the system, together with the option to open a new texture.

    Right-click context menu:

    • Use Predefined Mapping - Uses the texture coordinates from the model file (if exists).
    • Use Automatic Mapping - Same as the mapping on the text messages.
    • Texture Scale - Selects the scale of the texture mapping on the object as either half, normal or double.
  • Reflect - The reflect button toggles between wrapping the texture on the object, and reflecting the image on the object. When enabled, the object takes on a mirror surface and the picture is reflected off it.

Fullscreen Control

  • Auto - When selected Chrome will automatically go to 'Full Screen' mode when play is pressed in FL Studio.
  • Fullscreen button - [image] forces the scene display in fullscreen mode. Right-click the button to select a display monitor on a multi-monitor system.
  • Hiding the Interface - Right-click on the scene to open the 'Hide Interface' command that removes all the controls from the window, leaving only the Scene. Right-click again on the scene display brings up the Show Interface command. NOTE: make sure to right-click without moving the mouse, otherwise the plugin may interpret the movement as a camera adjustment.

NOTE: While the cursor is hidden, the camera can still be adjusted by clicking and dragging on the screen. The 'Auto Fullscr' button causes the plugin to go into 'full screen' mode whenever the project is played back.

Plugin Credits: Michael Pote


Dashboard

Dashboard allows you to create software interfaces to your external MIDI hardware, such as keyboards, mixers, samplers, etc. Further, you can use the integrated automation system to record the changes as your song progresses, or set up interfaces that act as internal controllers to bring together the range of commonly tweaked knobs in one place. Dashboard includes several pre-made panels (presets) for popular MIDI devices you can use directly in your projects. You can customize the existing panels for your own use or create new ones from scratch. This way, you can adapt Dashboard for any MIDI device you own without using plugins dedicated to a specific hardware.

How to Use

Standard Components

Component API

Dashboard Menu

Plugin Credits: Frederic Vanmol


Dashboard Tutorial

INSTRUMENTS / GENERATORS

Dashboard: Tutorial

This page covers some basics about building, modifying and employing interfaces in Dashboard.

Building or Modifying Panels

The Dashboard interfaces are built of separate components, for example, wheels, switches, sliders, buttons, etc. Dashboard contains a standard set of components you can employ in your projects, and the advanced users can also define their own components with the provided Component API.

To modify an existing panel or create a new one from scratch, you need to enter in design mode (turn off the lock switch - [image]). This mode allows you to create new instances of the available components and modify their properties.

Add a New Component

To add a new component, open the menu (the arrow icon button next to the lock switch) and select Add Control. You will see a submenu containing all available controls grouped by type. Select a control from one of the groups and it appears on the grid.

Adjust the Size and Position of a Component

In design mode, you can find out if a component is selected by the presence of the "arrow" icons (as shown on the picture).

To reposition a component, left-click on its surface and drag it to a new location on the panel.

Some of the components are resizable as well. In this case you will see an additional handle at the bottom right corner of the selected control. Drag that handle to resize the control.

You can change scale and size by directly manipulating the component properties as well, see the next section.

Adjust the Component Properties (Component Inspector)

In design mode, you can see an additional panel displayed on the right side of the window of the Dashboard plugin. This panel is the component inspector, which allows you to select a component for editing and modify its properties.

  • Select a Control - The combo box at the top of the component inspector contains a list of available components on the current Dashboard panel. Select a component from the list to select it in the panel as well & to display its properties in the inspector.
  • Modify Component Properties - The inspector displays a list of properties available for the selected control, grouped by meaning. Click the + icon next to the name of each group to expand it and reveal the properties inside. You can freely edit the properties.

For more information on the specific properties for each component type, see Components & Properties.

Using Complete Panels.

As soon as the panel is locked ( [image]) it can be used as a standard interface as you would use in any other plugin. All rules that apply to the regular FL Studio controls, apply here as well (right-click menu, CTRL+drag for slow motion, etc).


Dashboard Components

INSTRUMENTS / GENERATORS

Dashboard: Components & Properties

This page explains the basic types of components, their properties & shows a preview of the included styles.

Component Properties

This section covers the properties available for the components (displayed in the component inspector). The properties are grouped by meaning (click the + sign to expand the group). If a property or group is not available to a component or is exclusive to a component this is remarked after the property/group name with "applies to" or "exception".

Appearance

  • Height (applies to: resizable components) - Lets you set the component height.
  • Width (applies to: resizable components) - Lets you set the component width.
  • Left (exception: main panel) - Sets the horizontal position of the top left corner of a component.
  • Top (exception: main panel) - Sets the vertical position of the top left corner of a component.
  • Caption (exception: main panel, page selectors, patch selectors) - Sets the caption name of a component.
  • Caption Position (exception: main panel, page selectors, patch selectors) - Sets the caption position of a component (the available choices are Left, Right, Top, Bottom).
  • Show Caption (exception: main panel, page selectors, patch selectors) - Lets you select whether the component caption is visible.
  • Line Width (applies to: wheels) - Sets the line width for wheel components (available choices are Normal and Thick).
  • Line Color (applies to: wheels) - Sets the line color for wheel components.
  • Pressed Color (applies to: wheels) - Sets the pressed line color for wheel components (when the user is dragging the wheel).
  • Transparent (applies to: components with 8-bit skins) - Some of the components allow you to set their outer skin color transparent. This can improve the component look over some bitmap backgrounds.
  • Font (applies to: labels) - Sets the font used for a label component.
  • Font Color (applies to: labels) - Sets the font color used for a label component.
  • Label Font (applies to: main panel) - Sets the font used for the caption of all components (except labels which have independent settings).
  • Label Color (applies to: main panel) - Sets the font color used for the captions of all components (except labels which have independent settings).
  • Page (exception: page selectors, main panel) - This property appears only if you set multiple interface pages for Dashboard (see page selectors below). Set (all) to display the component in all pages, or select a page the component is exclusive to.

Behavior

  • Move Speed (applies to: sliders, wheels) - Sets the motion speed for sliders and wheels. The higher the number, the faster the motion.
  • Full Range (applies to: selectors) - Selectors have a fixed number of ordered predefined items to pick from. Enabling this option lets you map the selector items with values spread over the full range of the controllers (first item: 0, last item:65536). If the option is not enabled, the range is limited by the number of items - 3 items are mapped in the range 0..2 (item1 - 0, item2 - 1, item3 - 2), 10 items are mapped in a range of 0..9, etc. The default state of this option differs for each selector type and guarantees its proper operation.
  • FX Attack (applies to: switches) - Sets the effect "fade in" time (the smaller the number, the faster the fade).
  • FX Blink (applies to: switches) - Allows the control to blink with the FX Type selected on a certain event. You can select among On Press and On Over.
  • FX Release (applies to: switches) - Sets the effect "fade out" time (the smaller the number, the faster the fade).
  • FX Type (applies to: switches) - Sets the effect type to be used (color of blend). If None is selected, the other FX settings have no effect.
  • FX When (applies to: switches) - Sets the event which triggers the effect. You can select On Press or On Over (mouse events).

Controller (exception: main panel, page selectors, patch selectors).

This section sets the controller message that is transmitted by a component. That can be a MIDI message or an internal controller message. Some of the controls have a different function and the Controller group is not available to them.

  • Controller Number - Sets the control number used for the messages. This parameter is not used for internal controllers and aftertouch.
  • Control Type - Sets the controller type for the messages. You can select CC, RPN, NRPN, Aftertouch, Internal Controllers.
  • Min/Max - Sets the value range used by the components.

Grid (applies to: main panel)

Sets the options for the panel's snap grid.

  • Grid Color - Sets the grid color.
  • Grid Size - Sets the grid spacing (in pixels).
  • Snap to Grid - Is set to True, the controls snap to the grid as you drag them.

Other

  • Instruments (applies to: main panel) - This property appears only if you have installed any instrument definitions (*.INS) in the Artwork/Instruments folder. It allows you to select one of the definitions to be used by the patch selectors.
  • Panel (applies to: main panel) - Lets you select a background (skin) for the panel. If you want a resizable panel, select Gray or Dark.
  • Control (exception: main panel) - Sets the component style from the ones available.
  • Name (exception: main panel) - Sets the component name.

Pages (applies to: main panel)

  • Page Names (applies to: main panel) - Set here a list of page names to create multi-paged interfaces. For more information, see Page Selectors below.

Component Types

Component Name | Component Styles | Description
Main Panel -

The main panel of Dashboard is also treated as a component and displays its parameters in the component inspector when selected (just click on the panel).

If you want to resize the panel, adjust its Height and Width properties (you need to select a resizable background in the Panel property.
Digits | These controls are equivalent to the LCD controls used in FL Studio.
Patch Selector

The patch selectors allow you to set the bank and patch numbers of Dashboard in a more convenient way (using instrument names mapped to bank/patch values).

Dashboard comes with a General MIDI patch selector, Roland XP-30™ selector and two selectors which use the installed Cakewalk instrument definitions you have (*.INS). The definitions should be installed in Dashboard's Artwork/Instruments folder.
Selector | The selectors are combo boxes where different message values are mapped to a certain text name. Dashboards comes with volume, pan, tempo and other selectors and you can build your own ones using the Component API.
Slider

The sliders are equivalent to the ones used in FL Studio. Note, however, that some of the skins were designed specifically for some of the Dashboard presets and may not look good on the generic panel skins.

You can add your own skins using the Component API.
Switch | The switches are two-state buttons (on-off) with adjustable blend/color effects.
Wheels

The wheels are equivalent to the ones used in FL Studio. Note, however, that some of the skins were designed specifically for some of the Dashboard presets and may not look good on the generic panel skins.

You can add your own skins using the Component API.
Label | The label objects are static objects (do not transmit messages) you can use to put notes and labels on the Dashboard's panel.
Page Selector

The page selector provides you with a way to create multi-paged interfaces in Dashboard. this can be useful for many reasons, like saving space for interfaces that use large amount of components, or organizing the components into logical groups.

How to set up a multi-page interface:

  1. Set a list of page names in the panel's Page Names property. Each text line is the name for a page.
  2. Set up the components appearance options: expand the Appearance group and set the Page property. Set (all) to make a component that is shared among all pages (visible for all pages), or set the name of a page to display the component only for that page.
  3. Add a page selector to the panel. The component automatically obtains the list of pages and displays the current page.


Dashboard API

INSTRUMENTS / GENERATORS

Dashboard: Component API

This page explains how to customize and create new components for Dashboard.

Basics

A Dashboard component is built of an initialization file (*.INI) and a set of bitmap images (*.BMP, *.JPG and *.TGA are supported) that define the component appearance (skin). The INI files resides in the Artwork folder of Dashboard ([FL Studio]/Plugins/Fruity/Generators/Dashboard/Artwork), or in subfolder of that folder. The images can be placed anywhere, but it is best to place them where the INI file is, so you can reference the images directly, without path.

There can be several section in the INI file:

  • Info
  • Properties (optional)
  • Items (only for some types of components)

Each section contains one or more properties. A property entry looks like this:

propertyName=value

For ease of use, it is best to use relative paths when you link to image files. You can link to a folder relative to the INI position or the Artwork folder:

  • Relative to the Artwork folder : [Folder]\image.bmp (links to Artwork\[Folder]\image.bmp).
  • Relative to the INI file : .\folder\image.bmp (links to Artwork\[INI Folder]\image.bmp).

INI File Sections

The INI file contains the following sections:

[Info] Section

You should include these properties in the info section:

  • Name - The name of the control. Make sure the name is unique to the other component names. This property is required.
  • Kind - The component type. The possible values are: 0 = DigiWheel; 1 = Slider; 2 = Wheel; 3 = Panel; 4 = Switch; 5 = Label; 6 = Image; 7 = Selector; 8 = Patch selector; 9 = Page selector; This property is required.
    Default - Indicates if this control is the default control for its kind (Default=1) or not (Default=0). A default control is used in panel presets which contains missing controls (not installed in this copy of dashboard). For example, a missing wheel component is replaced with the default wheel component. This property is optional.
  • Background - This is a reference to the image file that will be used as background for the control. If a background is specified, it determines the control's width and height. If you want to allow the user to make a background transparent, you have to specify an 8-bit .bmp file. Not all controls supports transparency. This property is optional.
  • Foreground - This is a reference to the image file that will be used as a foreground for the control. This could be a knob for a slider, for example. Not all controls will use this value (for example page selectors). This property is optional.

[Properties] Section

This section defines the values to be used for the properties of a control. They are all optional. You can see a full list of properties you can set here in the component inspector for each component.

[Items] Section

This section is only valid for selectors and patch selectors. It defines the values that will be available in the selector. The values are specified as a list of text lines (each line is a value) ending with "=":

valueName=

For patch selector controls, you also include the bank and program numbers that correspond to the instrument names:

valueName=Bank MSB, Bank LSB, Program Number

EXAMPLE:

[items]
100% Left=
50% Left=
Centered=
50% Right=
100% Right=

Component Types

This is a more in depth description for each component type (you specify in the Kind property).There are currently ten different control kinds.

DigiWheel (Kind=0)

  • Wheel which displays a different image for each value (the images should be ordered sequentially in a horizontal strip).
  • It can be used as a controller.
  • The background is used for the border around the control.
  • The foreground is used for the values (see the supplied DigiWheel controls).

This additional parameter is supported in the [Properties] section (not visible in the component inspector):

  • Border - Specifies the border size of the background image as follows:

    Border=left, top, right, bottom

Slider (Kind=1)

  • An up/down slider control.
  • Can be used as a controller.
  • The foreground is used as the knob of the slider. Most of the time, this is a 32-bit *.TGA file which can be transparent.

Wheel (Kind=2)

  • A wheel control with a line as indicator of the value.
  • Can be used as a controller.
  • The foreground image is not used.

This additional parameter is supported in the [Properties] section (not visible in the component inspector):

  • Line Length - the length of the indicator line, as a percentage of the width/height of the control.

Panel (Kind=3)

  • This component allows you to add custom backgrounds to the dashboard's panel.
  • The foreground image is not used.

This additional parameter is supported in the [Properties] section (not visible in the component inspector):

  • Border - Specifies the border size of the background image as follows:

    Border=left, top, right, bottom

Switch (Kind=4)

  • This is a two-state toggle button (on-off).
  • Can be used as a controller.
  • The foreground should contain two images, one for up and one for down.
  • The background is not used.

Label (Kind=5)

  • This is a simple control that displays text labels.
  • Background and Foreground are not used.

Image (Kind=6)

  • This control simply displays an image.
  • Foreground image is not used.

Selector (Kind=7)

  • This is a combo box control, showing a custom list of values.
  • The list of values is read from the [Items] section of the *.INI file.
  • Foreground image is not used.
  • It can be used as a controller.

Patch Selector (Kind=8)

  • This control allows the user to select a patch from a list of predefined values.
  • The list of values is read from the [Items] section of the *.INI file.
  • Each value should have a Bank MSB, Bank LSB and a Patch Number information appended (see the description of the [Items] section above).
  • Foreground image is not used.

Page Selector (Kind=9)

  • This is a special type of control which allows you to select the visible interface page (if there are any).
  • Foreground image is not used.

Notes & Tips

  • A control is identified by its name, so make sure to give it one that's both descriptive and unique.
  • Preferably put all controls of a certain group in a directory away from the rest.
  • If you don't specify a background image for a control, it's transparent. Not all controls support this very well.
  • Take a look at the provided controls, they'll show you most of what you need to know.


Dashboard Menu

INSTRUMENTS / GENERATORS

Dashboard: Menu

Click the arrow button to the left of the lock switch to access the Dashboard menu.

Menu Commands

Panel

  • Clear Panel - Clears the panel of all components.

Controls

  • Add Control - Contains a submenu with all installed components, grouped by type (wheels, sliders, etc).
  • Snap All Controls to Grid - Snaps all controls on the panel to the grid.
  • Clone - Clones the selected component.
  • Delete - Deletes the selected component.

    • Export

  • Export to Text File - Exports a definition of the current panel contents to a text file.
  • Import from Text File - Restores a panel from a description in a text file.

    • Zip

  • Zip Used Files - Exports all component files used in the current panel to a Zip files.
  • Unzip Files - Installs components from a Zip file (exported earlier with the previous command). This feature makes it easy to transfer new controls on other systems using Dashboard.


DirectWave Sampler Instrument

INSTRUMENTS / GENERATORS

DirectWave Sampler This plugin must be purchased separately

PLAYER ONLY: DirectWave installs as a 'player' version, free for all users. DirectWave (player) channels will be saved along with the projects as normal. The DirectWave (player) limitations are: Only dwp/dwb (DW's own formats) can be loaded, VST sampling is disabled, external samples can not be added to patches nor can new patches be created. If you would like to unlock the extra functions including: Editing patches, adding samples, recording, sampling VST instruments, loading 3rd party formats then DirectWave full version needs to be purchased separately.

DirectWave is a powerful and versatile sampler featuring a fully programmable synthesis section and features such as inbuilt FX, velocity-layering, looping, automatic sampling of VSTi plugins and the ability to 'sample' (record sound) when loaded into a mixer track on an effect slot.

  • Upper window
    • Zone Page

    • Library Page

  • Lower window
    • Zone Tab

    • Program Tab

    • Sample Tab

  • Options

Overview

Samples are loaded into the zone window, this allows samples to be spread across the keyboard and layered according velocity. Each sample can be programmed using the Sample (sample start/end points, looping, etc.), Zone (pitch, filtering, ADSR, synthesis, etc.) and Program (FX, portamento, etc.). For more detail see the sections above.

Download Samples

Use the 'Select Preset' menu (to the right of the DirectWave logo) to access the Download Manager to download soundbanks directly from the Samplefusion Website. For more details on this feature follow this link to the Download Manager section.

Loading Programs and Samples

  • To load programs - Use the Load folder icon to the right of the main DirectWave logo. OR Use the Library browser on the Zone Window Program Tab. NOTE: The default directory for browsing programs is set by the Content Library setting in the Options window. Alternatively drag .dwp program files from the Browser to DirectWave.
  • To load samples - Either drag compatible files from the FL Studio Browser to the Zone Window or double click on a sample in the DW Browser, if the DW Browser is not visible it can be opened using the 'Show/Hide Browser' control noted in the image above.

Note on importing SoundFonts: If the SoundFont has more than one program bank a dialog will appear enabling you to load one or more program banks into DirectWave. Use Windows file selections - Left-click, Shift+Left-click and Ctrl+Left-click to select one, groups or selected banks respectively. After loading, SoundFont banks will be available as standard DirectWave banks. Limitations: Only basic SoundFont parameters such as key/velocity range, loop points, etc. are imported, filter cutoff, chorus, reverb, are not. This may result in SoundFont presets that vary ignored parameters to sound the same.

Sample format support

DirectWave currently supports the following formats:

  • Samples
    • WAV (all types)
    • ACM decoder support (ogg).
  • Programs

    To open the importer right-click on the Program tab in the Library window.

    • AKAI AKP (S5/6K,Z4,Z8)
    • Battery (Version 1, 2 & 3 banks)
    • DWP (DirectWave Program, native format)
    • EXS24
    • Giga
    • Kontakt / Kontakt 2
    • Kurzweil (off DOS disk)
    • MPC (off DOS disk, not 1000/2500/500 series)
    • Reason NN-XT (any association with a Refill can't be loaded)
    • Recycle
    • SoundFont2
    • SFZ

WARNING: DirectWave will not import the above formats if they have been encrypted/protected. Encryption is sometimes used to prevent non-native import of program files so caution should be used if you are planning to purchase any of these formats for use in DirectWave.

Plugin Credits: Argu & Reflex


DirectWave

INSTRUMENTS / GENERATORS

DirectWave - Program Zone Window

The Zone Window maps samples over the keyboard for pitch and velocity.

Diagram

  1. Sample List - Contains the samples loaded in the current patch. Click on a row to activate its controls. Drag samples from the FL Browser and drop here to build a patch.
  2. Zone Mapper - Allows the user to map samples in both pitch and velocity space.
  3. Sample List Scrollbar - Appears when more samples are in use than can fit in the Sample List window.
  4. Active Sample - Edited zones will be highlighted in yellow.
  5. Zone Control Points - The upper and lower points allow you to define the velocity and pitch range by dragging the Zone Control Points in both pitch (horizontal) and velocity (vertical). Left-click, hold and drag to move a control point.
  6. Root Key - Shows the MIDI key at which the sample will play back without changing from its recorded pitch. Right-Click on the keyboard to change the MIDI note.

Saving Programs

To save programs, right-click on the 'Program' area at the top left of the Program Zone Window (above the column names) and a context menu will appear. There are two ways to save programs as described below:

Saving/Loading DWP files:

DirectWave Program file (DWP) is the native format that DirectWave uses to store programs. Each DWP file contains a single program and the paths to the sample data used in that program. The DWP file does not contain sample data itself.

For example, a program file saved as 'analog_bass.dwp' located in dir\analog_bass.dwp, will create the sub-directory dir\analog_bass and save the sample data in there. The 'dir' path is the directory structure containing the DWP file. When loading DirectWave will look for the sample-data in the original locations and if that fails in the same directory as the DWP file is loaded from, e.g.

dir\analog_bass\sample1.wav

dir\analog_bass\sample2.wav, etc.

If you want to share the analog_bass patch, described above, then use an archive format such as zip to gather together the analog_bass.dwp file and associated analog_bass sub-directory containing the .wav data. There is however an alternative method described in the next section using the Total Recall feature found in the Options settings.

When loading, if DirectWave fails to find sample data, the zone will be loaded without a sample.

Saving FLP/FXP/FXB files:

When Total Recall is selected in the Options (left-click above the DirectWave peak meter), all samples will be saved along the FLP, FXB or FXP file. This is a useful way to share/store FL Studio projects bundled with sample data. The disadvantage is that the FLP/FXP/FXB files will be as large as your sample data. NOTE: FLP/FXP/FXB files are saved from the Fruity Wrapper additional settings menu.

Program (Right-mouse Context Menu)

To save programs, right-click on the 'Program' area at the top left of the Program Zone Window (above the column names) and a context menu will appear. There are several options as described below:

  • Open Program/s - Browse and open a specific program.
  • Save Program - Save currently selected Program.
  • Save Program As - Save currently selected program as another name to the current Directory.
  • Add Sample/s - Adds samples to the sample list.
  • Replaces Sample/s - Replaces the selected sample with a new one.
  • Flush Program - Remove the currently selected program from DirectWave.
  • Flush All Programs - Remove all loaded programs from DirectWave.

Loading Samples

To load samples, either drag the sample from the FL Studio Browser onto the Zone Window or double click on a sample in the DW Browser.

Parameters

1. Columns (upper section)

NOTE: You can drag and drop samples from the FL Browser directly onto the Sample List.

  • Zone - This is a numerical label for the sample.

  • Zone Name - By default will show the name of the sample loaded based on the file name. To change left-click in the cell.
  • Sample Size (S.SIZE) - The total number of samples in the recording.
  • Sample Rate (S.RATE)- Shows the sample rate of the file loaded. DirectWave can play back any sample rate.
  • Mute - Exclusive mute group. Triggering samples with mute group above 0 will release playing samples of that same mute group. I.e: closed and open hihat samples.
  • Root - The MIDI note number of the root key (that is the key the sample should play back at the sampled pitch/speed).
  • Transpose in Semitones (SEMI) - Transpose sample (+/- 36 semitones).
  • Fine tune (FINE) - Transpose sample (+/- 50 cents).
  • Keyboard Track (KTRK) - Determines how the playback pitch tracks the MIDI keyboard (+100 to -100 is possible). 100 = 100 cents per semitone, 0 = no pitch tracking.
  • Ticks - Length of the sample in ticks. 4 Ticks equals 1 musical beat. This parameter affects the way ?Sync? mode works.
  • Beat Sync (SY) - When activated (check mark), playing the sample at root key will adjust pitch to match the playback rate of the voice according host tempo.
  • Tick Slice (SL) - Plays a slice of the sample based on the note (relative to the root key of the sample).
  • Low Key (LKEY) - Lower MIDI note playback range.
  • High Key (HKEY) - Upper MIDI note playback range.
  • Low velocity (LVEL) - Lowest velocity at which the sample will be played.
  • High velocity (HVEL) - Highest velocity at which the sample will be played.
  • Lock (LK) - Locks the zone parameters.
  • Voice Count (V) - Displays the number of voices played based on that sample.

2. Zone Mapper (lower section)

Allows drag and drop style setting of the Zone key-ranges and velocity ranges.

  • Change playback range of the selected sample - Left-click the small squares at the upper left and lower right of the selected sample and drag the bounding box left and right respectively.
  • Change velocity range - Left-click the Upper left and lower right marker squares and drag the box up and down.
  • Shift box while leaving dimensions fixed - Left-click inside the selected sample region and drag the box up/down or left/right.
  • Change root key - Right-click the desired key on the preview keyboard below the zone mapper.

Context Menu (right-click anywhere inside the Zone window)

  • New Zone - Creates a new zone.
  • Delete Zone - Deletes the currently selected zone.
  • Delete all Zones - Deletes all zones - be careful with this one!
  • Duplicate Zone - Creates a copy of the currently selected zone.
  • Add Sample/s - Adds samples to those existing.
  • Replace Sample/s - Replaces samples with new ones.
  • Automap Zone/s - Automatically maps samples if the .wav files have embedded key-range and loop data.
  • Remap Zones/s as Drumkit - Remaps existing zones into consecutive semitones, useful to map drum kit samples across the keyboard, for example.
  • Lock all Zone/s - Prevents zones from further editing.
  • Unlock all Zone/s - Allows editing of previously locked zones.


DirectWave - Library Window

The Library Window shows the programs that are available from your library.

Use

To load a program: double left-click from the list available. Once loaded, the active program can be changed by left-clicking the left and right arrow buttons next to the Library tab.

Importer: To open the importer right-click on the Program tab and select Open program. DirectWave will import the following formats -

  • AKAI AKP (S5/6K,Z4,Z8)
  • Battery
  • DWP (DirectWave Program, native format)
  • EXS24
  • Giga
  • Kontakt / Kontakt 2 / Battery 3
  • Kurzweil (off DOS disk)
  • MPC (off DOS disk, not 1000/2500/500 series)
  • Reason NN-XT (any association with a Refill can't be loaded)
  • Recycle
  • SoundFont2
  • SFZ

NOTE: DirectWave will not import the above formats if they are encrypted/protected files. Encryption is sometimes used to prevent non-native import of program files so caution should be used if you are planning to purchase any of these formats for use in DirectWave.


DirectWave - Zone Tab

The Zone Tab contains filters, envelopes, effects and the modulation matrix. It is possible for every sample loaded into DW to have a unique set of Zone Tab controls, a single set applied to all samples or some combination of the two.

Main

  • Pitch Tune - Adjusts the pitch.
  • Gain - Allows the user to map samples in both pitch and velocity space.
  • Panning - Pans the sample left (-50) or right (+50).
  • Post Gain - Volume control for the individual sample.

Time Stretch (TIMESTR)

  • Time (switch) - When selected, the zone will be played using timestretching system.
  • Sync (switch) - When selected, the timestretching time will be expressed in ticks (1/4 beat).
  • Amount (Amt) - Timestretching length expressed in % of the original sample length or in number of ticks (1/4 beat, with sync enabled).
  • Grain - Length of each timestretching grain.
  • Smooth 'smoothing window' - Amount of smoothing betwen each timestreching grain.
  • Type - Reserved, not yet used.

Filter 1 & Filter 2

There are two variable state filters that can be configured in parallel ( [image]) or series ( [image]).

  • Frequency - Sets the cut-off frequency for the lowpass/bandpass/highpass filters.
  • Emphasis - Boosts a frequency band near the cut-off level to create a sound "sharpening" effect.
  • Shape - Applies hardclip limiting (distortion) on the filter output.

  • Type - Selects the filter type.

    • Off - The filter is bypassed with no effect.
    • Lowpass - Frequencies below the 'Frequency cut-off' are passed.
    • Highpass - Frequencies above the 'Frequency cut-off' are passed.
    • Bandpass- Allows a narrow band of frequencies to pass.
    • Notch - Subtracts a small band of frequencies.
    • Allpass - Alters the phase of the signal.

AMP, ENV1 & ENV2 Envelopes

There is one dedicated Amplitude envelope and two freely assignable Envelopes.

  • Attack (A) - Sets the envelope Attack speed (down is fast, up is slow).
  • Decay (D) - Sets the envelope Decay speed (down is fast, up is slow).
  • Sustain /s - Sets the envelope Sustain time (down is short, up is long).
  • Release (R) - Sets the envelope Release speed (down is fast, up is slow).

LFO1 & LFO2

  • Rate - Low Frequency Oscillator speed.
  • Sync - Syncs the sample LFO start to the note-on event.
  • Attack - Sets the attack length of the LFO modulation (from instant through to 10 seconds delay).
  • Phase - Changes the phase of the waveform (Free Run appears when the knob is fully clockwise and allows the LFO to run independently of note start events).
  • Waveform - LFO wave shape, 8 are available.
    • Sine - Sine wave.
    • Abs Sine - Positive sine wave.
    • Triangle - Triangle wave.
    • Square - Square wave.
    • Saw - Saw wave.
    • Inv Saw - Inverted Saw wave.
    • Random - Random wave (noise).
    • LP Random - Low Pass Random.

Modulation Matrix 1 to 4 (MOD MATRIX)

There are 4 banks of 4 modulation pairings, the first bank is defaulted to set the basic note control parameters, banks 2 - 4 are free. The Mod Matrix allows the user to freely assign one variable to modulate another (LFO 1 modulating filter cut-off frequency for example).

Effects

There are 4 effects and 3 sends from where FX may be added to the samples. Each has a switch to the right of the label that activates it. Ringmod, Decimator, Quantizer and Phaser, are able to be applied with unique instances on a sample-by-sample basis, while Delay, Chorus and Reverb are shared amongst all voices.

RINGMOD (Ring Modulation)

  • Rate - Full Left = stopped, Full right = 100% fast modulation.
  • Mix - Full Left = 0%, Full right = 100% Chorus FX mix.

Decimator

  • Step - Full Left = Minimum decimation, Full right = Maximum decimation.
  • Mix - Full Left = 0%, Full right = 100% full FX mix.

Quantizer

  • Bits - Full Left = More bits, Full right = less bits.
  • Mix - Full Left = 0%, Full right = 100% Chorus FX mix.

Phaser

  • Frequency - Phaser frequency.
  • Mix - Full Left = 0%, Full right = 100% Chorus FX mix.

Send

The Delay, Chorus and Reverb FX settings reside on the Program Tab, they are disabled by default. The default level for the sends is 50% (-12 dB). The reason some FX are on the Zone tab and some on the Program tab, is that Delay, Chorus and Reverb are CPU hungry FX and can't be applied on a voice-by-voice basis so are considered global FX, shared among all voices. To adjust the relative dry/wet mix, use dry = Post Gain, Wet = Sends (below).

  • Delay - Full Left = 0%, Full right = 100% Delay FX mix.
  • Chorus - Full Left = 0%, Full right = 100% Chorus FX mix.
  • Reverb - Full Left = 0%, Full right = 100% reverb FX mix.

Edit/Automation

Use this switch to decide if the changes on the Zone Tab affect only the currently selected sample (Zone) OR all samples.

  • Current - Applies the settings only to the currently selected zone.
  • Global - Applies settings to all zones. Careful! this will overwrite 'current' settings previously entered for any zones that are not locked. Lock zones using the Zone Window LK (lock) field.


DirectWave - Program Tab

Master

Use these controls to change the playback polyphony and overall volume.

  • Play Mode.
    • Poly - Polyphonic playback (more than one note).
    • Mono - Monophonic playback (one note at a time).
    • Legato - Monophonic with portamento.
  • Volume - It's a volume knob, what more can we say.

Glide (Portamento)

This control slurs the attack between notes, the controls change the dynamics of the slur (slide).

  • Time - Time taken to slide from one note to the next (0.001 to 10 seconds).
  • Fixed - Portamento takes place regardless of the playing style.
  • Auto - Legato notes (overlapping end of one to the start of another) will be portamento.

FX Drive A & B

  • Amount (%) - Controls the amount of overdrive for the distortion FX.

LFO 1 & LFO 2

There are two user-definable Low Frequency Oscillators. These are used as modulation sources for various parameters in the modulation matrix.

  • Rate - The filter is bypassed with no effect.

  • Sync - Syncs the sample LFO start to the note-on event.
  • Attack - Sets the cut-off frequency for the lowpass/bandpass/highpass filters.
  • Phase - Boosts a frequency band near the cut-off level to create a sound "sharpening" effect.
  • Waveform - Selects the filter type.

      • Sine - Sine wave.
      • Abs Sine - Absolute Sine (positive Sine Wave)
      • Triangle - Triangle wave.
      • Square - Square wave.
      • Saw - Saw wave.
      • Inv Saw - Inverted Saw wave.
      • Random - Random wave (noise).
      • LP Random - Low Pass Random.

FX - Delay, Reverb and Chorus

The Delay, reverb and Chorus are global FX, there are individual send-levels from each sample loaded in the Zone Tab.

Delay

  • Delay - Timing of the echoes.
  • Feedback - The amount of signal fed back into the delay loop.
  • Low Cut - The cutoff frequency below which frequencies are filtered.
  • High Cut - The cutoff frequency above which frequencies are filtered.
  • Bounce - Stereo echoes, bouncing between the L and R channels.
  • Normal - Mono echoes.

Reverb

  • Room (size) - Use this to set the size of the virtual room where the reverb is created. The Room Size should be adjusted according to the decay time. Small rooms sound better with a short decay time, large rooms sound better with longer reverb times.
  • High Frequency Damping (Damp) - This parameter allows you to adjust damping of the high frequencies in the reverb signal over time. Damping refers to the high frequencies being attenuated and dying out. This causes the sound to become gradually muffled and warm like it is being absorbed in the room. Setting this parameter to the maximum value will bypass the High Damping, displaying OFF in the value field.
  • Diffussion - Controls the density of the reflections bouncing off the walls of the virtual room. A low diffusion setting makes the reflections sound more distinct, like closely spaced echoes. A high diffusion setting creates reflections so close they sound more like noise, where no echoes can be distinguished.
  • Decay - Controls the decay time of the reverb, the time it takes for the signal to decay to -60dB (1/1000 of the maximum amplitude). Use low decay times for small rooms or boxes, and long decay times for large rooms, halls or churches. You should also make sure that the Room Size parameter has an appropriate value.

Chorus

  • Delay - Sets the minimal delay of the delay-line inside the flanger. The flanger delay will be swept between delay and delay+depth. Range: 0 to 20 milliseconds. For 'deep' flanger effect, set this parameter to low values.
  • Depth - Controls the range of the flanger action. The flanger delay will be swept between delay and delay+depth. If you set this value to zero, the flanger will remain 'static' as the delay will stay constant. Range: 0 to 20 milliseconds. Setting this parameter to a higher value will create special effects and heavy modulation. .
  • Rate - Sets chorus modulation speed.
  • Feedback - Determines how much of the signal is sent back into the chorus.


DirectWave - Sample Tab

The Sample Tab contains Sample Start, Looping options and Input/Recording controls, so DirectWave, unlike so many others, actually 'samples'.

Sample Window Mouse-Control

Apart from the horizontal and vertical zoom buttons, as shown in the image above, several actions are available through mouse movement, as described below.

  • Zoom - left-click on the sample scroll/path bar (below the sample window) and drag up/down.
  • Scroll - left-click the scroll/path bar and move left/right.
  • Select region - left-click inside the sample window and drag to select the desired region.

Sample

  • Start - Moving the knob changes the sample start position (red marker). To gain finer control, zoom the waveform as described above.

Loop

Looping samples is the process of setting a region in the sample that will be repeated. Although termed Loop Start and Loop End DW allows you to move the End point in front of the Start (useful when automating points), so they are really just 'Loop point A and B'.

  • Loop Start - One end of the looped region (black marker). The loop start can be moved to become the loop end.

  • Loop End - The other end of the looped region (black marker). The loop end can be moved to become the loop start.
  • Loop Type - There are several looping schemes available.

    • Disabled - No looping. Loop start/end markers will not be visible.
    • Forward - The sample is repeated jumping back to the Loop Start once.
    • One Shot- The sample play from start to end regardless of note duration (useful for percussion samples).
    • Sustained - The looped region will play while a key is held. The region beyond the Loop End will play on key release. Remember that you need to increase the ADSR - Release value (Zone Tab) for this to work.
    • Bounce - The sample loops backward and forward.

NOTE: Looping instrument samples is an art. It is very easy to make loops that click, warble, pop or just sound plain awful (nothing is broken). Clicks are caused by the sample amplitude at the loop start and end points differing (try to select zero-crossing points and the same phases of the waveform, that is moving in the same direction). Another source of loop disasters are slow changes in timbre, phase or frequency content. Normally these happen slowly and naturally and add motion to the sound, however when a loop jumps back to a distant point, the abrupt change sounds like a glitch. In these cases the 'Bounce' loop can be a solution. In conclusion, there is a reason why professional sample libraries are expensive, someone (or team) had to sit down and craft hundreds/thousands of loops, often involving serious post-processing (layering, cross-fading, etc). If we haven?t scared you off by now, experiment with the loop types and start/end positions and remember some sounds just don't loop smoothly...on second thoughts perhaps we should only allow trained professionals access to these controls?

TIP: Use 'Set Optimal Loop' command from sample editor popup menu (right-click on sample editor wave display) to assist in finding good loop points. This jumps the loop-start/end markers between zero-crossings. Don't forget to zoom the wave-display if you need finer control.

Input / Sampling

To record you must load the DW VST version into a mixer channel Effects slot (DW VST version can be downloaded from www.imageline.com [image]). DW VST only records sound from the mixer track and FX slot where it is loaded. This means any FX in slots preceding DW will be heard (and recorded) while those after it will be heard (but not recorded).

  • Monitor - Allows you to hear the mixer track that DW is loaded into. Unless this is selected you will not hear anything on the track.
  • 440 Hz - This is a 440 Hz test-tone (Note A4) to aid in tuning of melodic samples.
  • Record - When selected the mixer track (and FX slot position) DW is loaded into will be recorded into DirectWave. The recording will start when audio input is received.
NOTE: DirectWave can also auto-sample VST plugins, see the Options > VST Sampler tab.

Wave Viewer Context Menu (Right-Click)

Right-click on the sample view window. If the selected command acts on sample data, only the selected region will be affected. To select sample data, left-click and drag on the region you desire to process or edit.

  • Zoom In / Zoom Out / Full - Zoom in by 200% / Zoom out by 50% / Show whole waveform respectively.
  • Edit
    • Cut / Copy / Paste / Trim - Standard editing functions on the selected waveform. Cut - removes selected sample data, Copy - copies selected sample data, Paste - pastes sample data at the point where the cursor is located (left-click to place the cursor in the sample), Trim - Trim By selection removes the sample data outside the selected region. Trim by loop, removes sample data outside the looped region. Trim by loop end, removes sample data after the loop end. To select a portion of the displayed wave, Left-click and drag, the selected section will invert contrast.
  • Loop
    • Set Sample Start - Sets the sample start to the point selected in the Wave viewer. To select a point, Left-Click the display.
    • Set Loop Start / Set Loop End / Set Loop by Selection - Sets the selected point to according to the menu option. To select a point, Left-Click the display. NOTE: The loop start/end points will not be visible if the loop-type is set to 'none'.
    • Find Optimal Loop - Forces the loop start/end points to skip to the next zero-crossing. This is the point where the waveform passes through the zero amplitude point. This can help to minimize loop-clicking.
  • Process
    • Fade In / Fade Out - Ramps the volume of the selected sample data up and down respectively.
    • Normalize - Amplifies the selected section so that the maximum amplitude of the sample is 0 dB.
    • Reverse - Reverses the selected section.
    • Find Pitch Root - Sets the root pitch for the sample according to pitch analysis.
  • File
    • Save Wave / Save Wave As - Save Wave overwrites the source sample with the current edit. Save Wave As allows you to change the name and replaces the wave in the Program with the new name.
  • Peak View - Display waveform as a waveform peak-to-peak view.
  • Spectral View - Display waveform as a spectrograph (vertical axis = frequency, horizontal axis = time and color = amplitude).
  • Edit in Edison - Edit wave file in Edison (FL Studio native version only).


DirectWave - Options

To open the Options Window - Left-click on the 'Options' button above the peak-meter. The options dialog allows you to select the Browser directories and rendering quality, and set up an automated sample VST session.

Options

Directories

  • Content Library - Click on the [...] button to link Direct Wave to your sample library. The directory set here will also be the default used when saving DWP files and sample data.
  • VST plugins - Click on the [...] button to link Direct Wave to your VST plugin directory.

Global

  • 64-Point sinc interpolation - Sets the realtime playback engine to use a high quality interpolation method. This reduces aliasing for transposed samples.
  • Total recall mode - Bundles wave data with the project file. NOTE: this may create large project files, but projects using DirectWave will be directly portable to other users/machines without the need for separate sample data. By default Total Recall is disabled, and only filename references to the wave files will be saved with the project.
  • File browser - Turns the integrated Browser on.
  • Import content to library - Copy imported .dwp and contained samples to the content library folder on opening.
  • Multitimbral Mode - Allows DirectWave to respond independently on all 16 MIDI channels (VST only).
  • Show note names in host - Informs the host what name a note has (based on the zone name) when the host requests this information.
  • Use tablet PC or digitizing stylus - Switch on when using a stylus based interface.

Samples

  • Pitch analysis after sample load - Analyses pitch of loaded samples. Useful when creating banks from scratch.
  • Auto normalize samples - Maximizes the volume of samples so that the maximum peak hits 100% volume.
  • Extract root key from filename - Sets the sample root key from the file name, e.g. C4Strings.wav will set the Root Key to C4.

Compatibility

  • Compatible velocity - Backward compatibility for velocity handling, should be left off for new banks.
  • Clip volume - Try this with old banks/songs that have 'volume' issues' (too loud), should be left off for new songs/banks.

VST Sampler

VST instrument host

  • Current Instance - Host a VST instrument in DirectWave for sampling purposes.
  • Selected Program - Selects a program to sample.

VST Instrument Sampler

Sets the automated sampling options. Please be aware that long sample settings combined with multiple velocity layers and small key-steps will result in very large programs.

  • Low Key - Lowest key to sample.
  • High Key - Highest key to sample.
  • Key Step - Number of Keys to step up from the lowest note before taking the next sample.
  • Samplerate - Samplerate used when sampling VSTi plugins.
  • Velocity Splits - Number of velocity layers to sample.
  • Number Programs - When autosampling VSTi Plugins, you can render current program only (set to '1'), or render a number of programs. For example, Num Programs set to 16 will render 16 programs into content library. VST instruments have different number programs, up to 128. Programs and presets in a VST instrument are the same thing.
  • Length (seconds) - Sample duration.
  • Max release (sec) - Time to wait if the audio has not faded to zero after the note release.
  • Process - Starts auto-sampling.

NOTE: The Auto sampling works as follows:

  1. DirectWave triggers a note (working individually through the MIDI notes Low key to High key, sampling every Step notes at each of Velocity splits velocities).
  2. The note is held for the duration set (Length).
  3. After that time, a 'note off' message is sent.
  4. DirectWave waits until the note is silent, if it reaches silence you will see a 'skipping release' message.
  5. If the note has not reached silence after the time set at Max release, DirectWave stops sampling and fades to silence (linearly).
  6. The samples and patch will be saved in Options > Content library AFTER you manually instruct DirectWave to do so from the Program Zone window


FL Keys - Instrument Plugin

INSTRUMENTS / GENERATORS

FL Keys

FL Keys is a realistic piano simulator with optimized CPU and memory usage. This plugin plays back multi-samples and is effectively a specialized sampler designed for 'keyboard' instruments.

With the help of several additional modules included in FL Studio, FL Keys can also operate as Rhodes & Roto Organ (NOTE: additional modules might be available from www.flstudio.com).

Parameters

Sampleset

Here you can select the sample set to be used by FL Keys for synthesis. Default is Piano. Click on the small 'i' button to the right to display information about the sample set, including author, sample rate, number of velocity layers, etc.

Environment

  • Decay - Sets the note decay while the key is pressed. The higher the knob value, the longer time it takes for the tone to decay. You can also adjust decay to minimum to set FL Keys to sustain mode (notes do not decay). This is useful for organs and other non-decaying sounds.
  • Release - Sets the release (fade out) time after the key is released.
  • Pan - This knob combines two functions: from middle position to left, the knob applies, respectively, 0% to 100% of auto panning effect to the sound. The auto panning speed depends on the LFO parameter in the Misc section; from middle position to right, the knob applies, respectively, 0% to 100% of tremolo effect to the sound. The tremolo speed depends on the LFO parameter in the Misc section.
  • Stereo - Sets the key to pan position ("left" piano keys are panned to left, "right" piano keys are panned to right), with additional stereo ambiance at high settings.

Misc

  • Overdrive - Applies a soft overdrive to the generated sound.
  • LFO - Sets the frequency of an LFO unit which is used in the auto panning and tremolo effects (see above).
  • Treble - A simple peaking filter which allows you to decrease or increase the treble levels of the generated sound.
  • Stretch - Sets the amount of "stretching" used for high-pitch notes (C#5 and above: the higher the note pitch, the more the stretching that is applied to it). The knob has a range of -50 to +50 cents. Set to 0 cents (middle) to turn the effect off.

Velocity

  • Muffle - Applies a subtle low pass filter to "muffle" the generated sound. Use the linked velocity knob to determine how velocity affects muffle.
  • Hardness - Adjusts the sample ranges up or down to change the virtual "size" and brightness of the piano. Use the linked velocity knob to determine how velocity affects hardness.
  • Sensitivity - Adjust the volume sensitivity of FL Keys to the note velocities. Set to minimum to make the synthesizer ignore velocities.

Tuning

  • Tune - Allows you to offset the tuning of all notes from -100 cents to +100 cents.
  • Detune - Allows you to apply a custom amount of random detuning to the pitch of the notes. This effect allows you to simulate a Honky Tonk piano sound. Light amounts of detuning can add realism to the piano sounds. Set the Detune amount to 0 for perfect tuning (unless Stretch is used, see above).

Show/hide keys

Click on the small keys button (below Detune) to show/hide the piano keys.

Plugin Credits: Paul Kellett (engine), Frederic Vanmol (FL Plugin adaptation & interface)


Slayer - Instrument Plugin

INSTRUMENTS / GENERATORS

FL Slayer

FL Slayer is a realistic electric guitar simulation originally developed by reFX. It uses a hybrid synthesis similar to physical modelling. The simulator is equipped with a high quality amp section and effects rack enabling you to recreate the complete electric guitar sound without additional plugins.

Parameters

Guitar Site Simulation Properties

Playing Mode (combo box)

This parameter controls the playing style used by Slayer:

  • None - Handles notes like a standard synthesizer.
  • Autochords - Creates guitar style chords based on the played notes (you can control the strum speed with the Speed knob).
  • Powerchords - Creates power chords automatically based on the played notes. The keyboard is split into two sections. C5 and higher notes produce C1-G1-C2 style chords; the lower range produces C1-F1-C2 style chords (you can control the strum speed with the Speed knob).
  • Strumming - Strumming is designed for individual guitar chords on live playing. Single notes are played as usual, but all chords are automatically strummed (you can control the strum speed with the Speed knob).
  • SoloFixed - This is a monophonic mode, where overlapping notes create a portamento/glide effect. In this mode, the portamento speed is a constant value for all transitions and is defined by the Speed knob (speed is linked to the current tempo).
  • SoloDynamic - This is a monophonic glide mode similar to SoloFixed, however the glide speed depends on the pitch difference between the start and end notes. A glide from C3 to E6 will take longer than a glide from D6 to E6. You can control the glide speed with the Speed knob (speed is linked to the current tempo).

Basic Properties

  • Speed wheel - Affects the strumming/gliding speed used in some of the playing modes (see above).
  • Hold switch - If the hold button is on, notes are not muted after releasing a key, unlike the usual behavior (if the switch is off). You can link this parameter to your sustain pedal, so that pressing the pedal keeps the guitar strings "vibrating".
  • Glissando switch - FL Slayer supports two sources of pitch bending (glissando). One is coarse pitch bend (+-12 semitones range), the other one is fine pitch bend (+-1 semitone range). Since there is one pitch bend wheel, and Slayer needs two, Slayer includes a second pitch bend wheel on its interface - Pitch Bend 2. This switch lets you select which pitch bend is the coarse: PB1 sets the regular pitch bend to the coarse range; PB2 sets the Pitch Bend 2 knob to the coarse range.
  • Pitch Bend 2 - A second pitch bend control for the Slayer channel. See Glissando switch above.

String Types

The string radio buttons let you select the string type used in the guitar simulation:

  • Noise - The classic Karplus b algorithm.
  • 6String1/6String2/6String3 - These are best used to simulate electric guitar string sounds.
  • Slap - Used to simulate the string sounds of a slap bass.
  • EBass - Used to simulate the string sounds of a hard played E-bass.
  • Fretless - Used to simulate the string sounds of a fretless bass.

Coil Type

Select the type of used coil simulation:

  • None - No pickup simulation is used. The sound is taken "as is" directly from the string simulation.
  • Single - Simulates the sound of a single coil pickup. You can additionally control how the pickup simulation sounds by moving the pickup (with mouse) to different positions. Note that you need to move the mouse up/down.
  • Double - Simulates the sound of a double coil pickup. You can additionally control how the pickup simulation sounds by moving the pickup (with mouse) to different positions. Note that you need to move the mouse up/down.

Additional Guitar Simulation Properties

  • Tone - Sets the pitch of the formant filters which changes the overall tone of the instrument.
  • Slap - Controls the "slap level" of the signal. The higher the note velocity, the more "slap" occurs. If the Slap knob is set to 0 (zero), the slap effects is disabled for all velocities.
  • Fret - Controls how much fret noise is mixed together with the guitar sound. You can use high settings for more aggressive pluck sounds in basses.
  • Harmonic - Used to simulate the different pickup types used in electric guitars. High settings are for bright sounding pickups, low settings for darker sounding pickups.
  • Vel - Sets the velocity sensitivity of Slayer. Use high settings for very dynamic sounds like slap basses. Use low settings for non-velocity sensitive sounds like power chords.
  • Damping - Controls the decay time of the sound. Muted guitars use a high dampening amount.
  • Velocity Control of Damping (Vel) - Defines how the damping reacts to velocity. High settings allow you to control the damping amount with the notes' velocity.

AMP Section

AMP Type

This radio button group selects the amplifier type used in the simulation:

  • Dry - Signal is passed through EQ. No feedback, no presence. Drive knob is used as a gain control of the signal. Use this setting for unplugged sounds.
  • Tube - Simulation of a three-stage valve amplifier with soft saturation. Signal is passed through presence, distortion, EQ, Speaker simulation.
  • EQ - Signal is passed through EQ before it passes through 3-stage distortion. This amplifier can be the best choice for effects like Talkbox.
  • Bandpass - This is a special amplifier. Signal is passed through band passes and soft saturators in 3-stages. Presence controls band pass cut-off. Finally it goes through EQ. Try boosting low and high band of EQ for "fat" sounds.

Cabinet Type

This radio group selects the cabinet type of cabinet used in the simulation:

  • Dry - This is the sound you would get if the guitar is connected directly to a Hi-Fi system (linear sound, no distortion). You can use this mode for unplugged sounds.
  • British - Simulates a British Cabinet. Use this for aggressive sounds.
  • Combo - A combo box simulation. Use this for softer sounds.
  • StaX - Very aggressive cabinet with a big boost on high frequencies. Use it for heavy metal style sounds.

Additional Amplifier Properties

  • Drive - Controls the level of distortion.
  • Presence - A simple high–shelf filter that adds or removes brightness to the sound.
  • Feedback - Amount of feedback that is returned from the output of the amplifier simulation back to the site
    simulation.
  • Low - Controls the bass level below 200 Hz.
  • Mid - Controls the mid level around 1000 Hz.
  • High - Controls high frequencies above 2.5 KHz.

MFX-90 Effects Unit Properties

The effects unit contains a combo box which selects the effect type and two additional knobs which sets parameters specific for each effect type.

Effect Type

Selects the effect type. Two general effect types are available: AMP - A pedal effect applied before the amplifier; MST A master effect that is applied after the amplifier;

  • Dry - No effect is applied.
  • AMP: Phaser - The signal is modulated & mixed with dry signal to create a phasing effect. The first parameter controls the LFO speed for modulation. The second one is the feedback level.
  • AMP: Tremolo - AMP type tremolo effect. It automatically retriggers on new notes and syncs with the song tempo. First parameter controls LFO speed. Second one controls modulation depth.
  • AMP: WahWah - A low-pass filter with resonance and an envelope follower. The first parameter controls the attack speed, the second controls the modulation depth.
  • AMP: WahWah LFO - A WahWah with LFO. The first parameter controls the LFO speed, the second - the modulation depth. The LFO automatically syncs with the played notes.
  • AMP: Ringmod - Ring-modulation that automatically tunes harmonic with the played notes. Parameter 1 controls the harmonic for the modulator.
  • AMP: Fuzz Box - Signal-shaper for adding grunge to the signal. Please use this effect carefully since it adds a high amount of harmonics to the signal, which can damage your equipment! Parameter 1 controls Fuzz Box drive. The second parameter adds digital distortion.
  • AMP: Harmonizer - This effect adds harmonics one octave below and one octave above the current played note. Parameter 1 controls the mix level for the upper harmonics, parameter 2 the mix level for the lower harmonics. This effect only works well on single notes (avoid it with chords).
  • AMP: Talkbox - Simulates human-voice formants. Parameter 1 selects the LFO modulation speed; parameter 2 selects the formant pitch. This effect often sounds better with coil simulation set to "none" (see above).
  • MST: Chorus - Smooth stereo chorus. The first parameter controls LFO modulation speed, the second parameter modulation depth.
  • MST: Flanger - Flanger with feedback. The first parameter controls LFO modulation speed, the second parameter modulation depth.
  • MST: Phaser - Stereo phaser. The first parameter controls the LFO speed for modulation, the second parameter controls feedback level.
  • MST: Leslie - The popular "leslie" effect known from Hammond Organs, originally created by a speaker rotating around a microphone. The first parameter controls rotation speed, the second one controls modulation depth.
  • MST: Tremolo - Creates tremolo effect. First parameter controls LFO speed. Second one controls modulation depth. It automatically re-triggers on new notes and syncs with song tempo.
  • MST: DubDelay - A simple left-right delay for adding some spatial depth to the sound. Parameter 1 controls delay time.
  • MST: Multitap - A stereo-tap-delay with filter. The first parameter controls delay time, the second one controls feedback. It automatically syncs with the song tempo.

Plugin Credits: reFX (engine), Frederic Vanmol (FL Plugin adaptation & interface)


FPC - Sample Player Instrument

INSTRUMENTS / GENERATORS

FPC

FPC (Fruity Pad Controller) is a software plugin similar to the hardware Akai MPC™ unit, coded & optimized for the FL Studio platform. FPC is a self-contained multi-layer/velocity drum machine that makes it easy to create, edit and swap drum kits on the fly. FPC supports 16 multi-layered patches for banks A and B. ( [image] FPC video tutorials can be viewed here.)

Sounds and patterns: Two easy to use drop-down menus are the Download Manager to download new sound banks (sounds), and the Pattern Manager to select MIDI loops/patterns and dump them to the Piano roll.

Main Pad Properties Pad Layer Properties Pads FPC - beat it with a stick!

The FPC interface consists of three main zones - Main Pad Properties (1), Layer Properties (2) and the Pad Matrix (3), as described below. The interface can be resized by right-clicking the right edge of the plugin and dragging to hide/show the layer controls.

Download Manager & Pattern Manager

The Download Manager allows you to access sound banks on the Image-Line servers for download. For more details on downloading samples and presets see the Download Manager.

The Pattern Manager opens a tree-menu showing a list of percussion loops (MIDI data) that when selected load into the FPC channel as a Piano roll. Selecting a new pattern from the menu will replace the currently selected pattern.

1. Main Pad Properties

2. Layer Properties

3. Pads

Making & Saving FPC Kits

Plugin Credits: Robert Conde (Original design), Frederic Vanmol (Programming).


FPC - Sample Player Instrument

INSTRUMENTS / GENERATORS

FPC

FPC (Fruity Pad Controller) is a software plugin similar to the hardware Akai MPC™ unit, coded & optimized for the FL Studio platform. FPC is a self-contained multi-layer/velocity drum machine that makes it easy to create, edit and swap drum kits on the fly. FPC supports 16 multi-layered patches for banks A and B. ( [image] FPC video tutorials can be viewed here.)

Sounds and patterns: Two easy to use drop-down menus are the Download Manager to download new sound banks (sounds), and the Pattern Manager to select MIDI loops/patterns and dump them to the Piano roll.

Main Pad Properties Pad Layer Properties Pads FPC - beat it with a stick!

The FPC interface consists of three main zones - Main Pad Properties (1), Layer Properties (2) and the Pad Matrix (3), as described below. The interface can be resized by right-clicking the right edge of the plugin and dragging to hide/show the layer controls.

Download Manager & Pattern Manager

1. Main Pad Properties

These parameters affect the currently selected pad. To select a pad left-click on the pad button in the Pad View section (3). Note that you can play pads without changing the selected pad by using the right-mouse button.

  • Pad selector - (Showing Pad 2/32) The arrows allow you to change the selected pad. Left-click the down arrow to open the following menu -

    • Pads

    • Bank A / Bank B - Quick access to all pads (sounds) from Banks A and B.

    Presets

    • Change name - Changes the name of the FPC preset.
    • Load preset - Loads an FPC preset.
    • Save preset - Saves an FPC preset.

    Export

    • Save entire kit as pad presets - Saves each pad as a separate FPC pad preset, allowing you to share pads between kits.
    • Save all wav files - Exports all the wave files used in the preset.
    • Save kit as SFZ file - Exports kit in rgcAudio's SFZ format.

    Notes

    • Layouts - Opens a menu of preset layouts:
      • default - Matches the Akai MPC™ series unless it has been overwritten with your own layout. Note that if you want a particular layout to load each time FPC is opened, you will need to 'Use current layout when changing presets' first (see below).
      • padKontrol - PadKontrol preset (custom controller).
      • trigger finger - Trigger Finger preset (custom controller).
      • (none) - FPC will use the note layout saved in the song/preset opened.
      • Use current layout when changing presets - Prevents the current note layout changing when you select a new preset.
    • Save note layout - Saves the pad to MIDI note relationships (layout).
    • Load note layout - Loads the pad to MIDI note layout presets.
    • Map notes for entire bank - Starting from Pad 1 (lower left) each MIDI note that is played on your controller will be automatically linked to the next FPC pad (Pad 1-16 or 17-32 in sequence). Clicking on the option selects the first pad in the bank. There are three ways to cancel the auto-link process: 1. Change the note value for a pad, 2. Change the pad or 3. Select "Cancel Map notes..." in the pad menu.
  • Pad name box - Shows the pad name, which you can change by right-clicking the box and entering new name in the window that pops up.
  • Volume and Pan - Sets the pad volume (left), and stereo panning (right).
  • Mute button - Mutes the current pad (active when green).
  • Solo button - Mutes all other pads except the current pad (and any other solo pads) (active when red).
  • Scale volume button - This option should usually be enabled, unless you want to handle velocity changes entirely with multiple velocity-sensitive layers (see Layer Properties below).
  • Bank A/B - There are two banks X16 pads available per patch.
  • Play Key/Octave - Left-click to select the base/root note for the pad, that is the MIDI key number/pitch that will play the pads sounds. The first box sets the key that is assigned to the pad. The right box sets the octave in which that key will play. The names shown in brackets beside some notes are the General MIDI standard. In other words, to build a FPC kit that is GM compliant, you need to have the sounds listed loaded on pads that are mapped to those keys. Other options are:
    • Last hit - Assigns the last triggered MIDI controller key to the current pad.
    • Learn - Assigns the next triggered MIDI controller key to the current pad.
    • Map notes for entire bank - A 'Learn mode' that steps through all the pads in the bank. Assigns the bottom left pad first and works its way to the top right pad. You will need to trigger 16 MIDI keys to assign all pads.
    • Show GM note names - Shows/hides the General MIDI note names.
  • CUT Group / Cut BY - Use CUT and BY to use one pad to cut (stop) notes playing on another pad. The CUT box sets the cut group the selected pad is in. The second box BY sets which group will cut the current pad. Use these controls to make more realistic drum kits, where an open hi-hat is cut by a closed hi-hat, for example. To make a pad cut itself, set the CUT and BY values to the same number. To change values, left-click in the box, hold and move the mouse up and down.
  • OUTPUT - The Output Offset adds a Mixer Track offset value to the selected pad, this allows independent or grouped mixer tracks to be used by the FPC pads. The offset is relative to the Mixer Track number the plugin is assigned to at the Channel Settings. For example, if FPC is sent to mixer track 1 and the offset for a given pad is 2, then the sound from that pad will appear on mixer track 3. If the plugin wrapper is set to track 5 then the pad will appear on Mixer Track 7. To disable the offset set the display so that it shows '--'.

2. Layer Properties

3. Pads

Making & Saving FPC Kits

Plugin Credits: Robert Conde (Original design), Frederic Vanmol (Programming).


FPC - Sample Player Instrument

INSTRUMENTS / GENERATORS

FPC

FPC (Fruity Pad Controller) is a software plugin similar to the hardware Akai MPC™ unit, coded & optimized for the FL Studio platform. FPC is a self-contained multi-layer/velocity drum machine that makes it easy to create, edit and swap drum kits on the fly. FPC supports 16 multi-layered patches for banks A and B. ( [image] FPC video tutorials can be viewed here.)

Sounds and patterns: Two easy to use drop-down menus are the Download Manager to download new sound banks (sounds), and the Pattern Manager to select MIDI loops/patterns and dump them to the Piano roll.

Main Pad Properties Pad Layer Properties Pads FPC - beat it with a stick!

The FPC interface consists of three main zones - Main Pad Properties (1), Layer Properties (2) and the Pad Matrix (3), as described below. The interface can be resized by right-clicking the right edge of the plugin and dragging to hide/show the layer controls.

Download Manager & Pattern Manager

1. Main Pad Properties

2. Layer Properties

Each pad can contain multi-layer samples so that various layers respond to a specific velocity range. This can be useful for creating realistic acoustic drum kits. Use the Layer Properties view to create and edit the layers of the currently selected pad.

Layer Properties Tips

  • Mini preview window - Right click on the sample mini-preview window to open a menu with the following options:
    • Load - Opens file browser to load a sample into that layer.
    • Edit - Opens sample in Edison.
    • Edit in new window - Opens sample in a new instance of Edison.
    • Show in browser - Opens the folder in the FL Browser where the file is located and highlights the sample. Then in the Browser, F5 and F6 will cycle through samples in that folder and select them into the selected layer in FPC.
  • Select layer - Click on a layer to select it.

Layer Properties Controls

The controls on each layer are (from left to right):

  • Select - Click this button to mark the channel as selected. This is required for some operations, like browsing for a new sample, move up/down, delete, display in the large sample preview (in the bottom) and the reverse playback switch.
  • Volume Knob - Sets the volume of the layer.
  • Pan Knob - Sets the stereo panning of the layer.
  • Layer Tune Knob - Allows you to offset the pitch up/down (faster/slower playback) from the original playback speed of the sample. The knob ranges from -1 to +1 octave pitch shift.
  • Mini Sample Preview - Displays the loaded sample (if any). Click to preview the sample.
  • Velocity Range - This control sets the active velocity range for the layer, i.e. for which velocity values the sample will play (for the rest it is muted). The velocity is mapped from left (minimum) to right (maximum). Drag the handles to define the active region. Overlapping of several samples in the same range is allowed, unless the Lock Layers button (see below) is enabled.

Basic Operations

  • Create layer - Adds a new, empty layer to the pad. To erase it, select it (hit the Select button of the layer) and click the Delete button.
  • Load a sample - Load a sample to the layer by clicking the Browse button (on the left in the Sample File controls below) and selecting a sample.
  • Reverse - To reverse a sample, select the Reverse option at the bottom of the interface.
  • To reorder layers - Select the layer and use the Move Up/Down buttons at the top of the interface.
  • Spread Even - Spreads the velocity ranges evenly across the existing layers without overlap (see layer properties above).
  • Lock Layers - Locks the layer ranges to prevent velocity range overlap (one sample will play at a time for any given velocity).
  • Preview - To hear how your pad will sound at various velocities click the Full Pad Preview bar at the velocity value you want to preview. Velocity is indicated by the vertical bars - lower velocities to the left and higher velocities to the right.

Envelopes

There is a Volume and Pan Envelope for each pad. Use the selector on the right side of the Envelope window to change between them. Envelopes are not active until enabled, as shown below.

The Envelope editor provides a "classic" ADSR envelope & the power of unlimited spline segments. Left-click and drag node/curve points in order to change the Envelope shape. Right-click the envelope area to add nodes.

  • Enable/Disable Switch - To use an envelope/mapping, enable the LED at the bottom left of the editor (see the hand-pointer on the screenshot above).

  • Envelope Options - Click ( [image]) to select from the following options -
    • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
    • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open plugins.
    • Undo - Undoes the last envelope edit.
    • Undo history / Last reset - Shows the editing history since the last reset.
    • Flip vertically - Inverts the current envelope.
    • Scale levels - Opens the Scale Level tool.
    • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
    • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
    • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
    • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
    • Smooth up abrupt changes - Quick removal of 'spikey' or sudden changes in the envelope.
    • Create sequence - Opens the Envelope Sequencer tool.
    • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.
    • Background gradient - Flips the background gradient shading vertically.
  • Freeze - Enable this switch to lock the envelope curve to its current setup. This feature is helpful in protecting the spline structure of an envelope from accidental edits (it also hides the handles, providing a clear view of the shape).
  • Snap - Enable this option if you want the control points to snap to the nearest step in the timeline while dragging.
  • Slide - Enable this option to preserve the relative distance between a dragged control point and all control points following it (this option is enabled by default).

3. Pads

Making & Saving FPC Kits

Plugin Credits: Robert Conde (Original design), Frederic Vanmol (Programming).


FPC - Sample Player Instrument

INSTRUMENTS / GENERATORS

FPC

FPC (Fruity Pad Controller) is a software plugin similar to the hardware Akai MPC™ unit, coded & optimized for the FL Studio platform. FPC is a self-contained multi-layer/velocity drum machine that makes it easy to create, edit and swap drum kits on the fly. FPC supports 16 multi-layered patches for banks A and B. ( [image] FPC video tutorials can be viewed here.)

Sounds and patterns: Two easy to use drop-down menus are the Download Manager to download new sound banks (sounds), and the Pattern Manager to select MIDI loops/patterns and dump them to the Piano roll.

Main Pad Properties Pad Layer Properties Pads FPC - beat it with a stick!

The FPC interface consists of three main zones - Main Pad Properties (1), Layer Properties (2) and the Pad Matrix (3), as described below. The interface can be resized by right-clicking the right edge of the plugin and dragging to hide/show the layer controls.

Download Manager & Pattern Manager

1. Main Pad Properties

2. Layer Properties

3. Pads

  • Left-clicking - a pad allows you to hear the samples loaded on that pad AND changes the Layer Properties to match that pad. The vertical position clicked affects triggered velocity. Top = low velocity, bottom = high velocity.
  • Right-clicking - a pad will preview the samples without changing the Layer View to that pad.
  • Dragging a sample - onto a pad (from the Browser) will load it in the selected layer of the pad.
  • Pad numbering - Pads are numbered from bottom-left to top-right so that the bottom row are pads 1,2, 3 and 4, the second from bottom row are 5, 6, 7 and 8 and so on, to the top right pad 16 (i.e. pad 1 is bottom left, pad 16 is top right).
  • Pad presets - These are sample/layer setup files. To select without previewing, click the Load preset button. The Previous and Next buttons allow you to switch between alternative setups for the pad used (if available). Each drum kit may include several different samples for each pad.

  • MIDI key assignment - The settings for both the MIDI key assigned to each pad and the cut groups for the pad are set in the Main Pad Properties (1). change access to all pads (sounds) from Banks A and B using the Bank A / Bank B switches.

Making & Saving FPC Kits

Plugin Credits: Robert Conde (Original design), Frederic Vanmol (Programming).


FPC - Sample Player Instrument

INSTRUMENTS / GENERATORS

FPC

FPC (Fruity Pad Controller) is a software plugin similar to the hardware Akai MPC™ unit, coded & optimized for the FL Studio platform. FPC is a self-contained multi-layer/velocity drum machine that makes it easy to create, edit and swap drum kits on the fly. FPC supports 16 multi-layered patches for banks A and B. ( [image] FPC video tutorials can be viewed here.)

Sounds and patterns: Two easy to use drop-down menus are the Download Manager to download new sound banks (sounds), and the Pattern Manager to select MIDI loops/patterns and dump them to the Piano roll.

Main Pad Properties Pad Layer Properties Pads FPC - beat it with a stick!

The FPC interface consists of three main zones - Main Pad Properties (1), Layer Properties (2) and the Pad Matrix (3), as described below. The interface can be resized by right-clicking the right edge of the plugin and dragging to hide/show the layer controls.

Download Manager & Pattern Manager

1. Main Pad Properties

2. Layer Properties

3. Pads

Making & Saving FPC Kits

To make your own Sound Banks for FPC follow the general procedure below:

  1. Clear FPC - From the Wrapper menu select 'Presets > Empty' before you start building your new Kit (that is, if you want to start from a clean slate). One of the many advantages of the 'Empty' preset is that the Pads are already assigned to the appropriate General MIDI keys. Just make sure you drop your samples on the appropriate pad.
  2. Sample locations - Consider the following, depending on where the samples in the FPC Kit are located:
      • Samples in folders in the Browser - If you are loading the samples from the Browser, nothing extra needs to be done at this step.
      • Samples dragged from Slicex or Edison - If you are dragging samples from Slicex or Edison and dropping them on FPC, then you should first set the Project General Settings Data folder to the location where you want to save your 'dragged' samples (and so save the FPC Kit samples). If you don't set the Data folder the default save location will be in the FL Studio installation folder ..\Program Files\Image-Line\FL Studio\Data\Patches\Sliced beats. Make sure any Data folder location you choose is visible from the Browser's Extra search folders, otherwise FPC will not be able to locate the samples next time you load the Kit.
  3. Load your samples - Drag the samples from the Browser and drop on the Pad/Layer you want.
  4. Set-up your Kit - Make any changes to envelopes & velocity-splits etc., as required. NOTE: you can reassign the MIDI key using the Play Key/Octave setting. Left-click to open.
  5. Save a FPC preset (.fst) file - Use the wrapper menu to save a .fst file (Save preset as) to the location where you want to save the FPC kit (preset).
  6. Reload the kit to test - When the FPC preset is loaded, FPC will locate the samples in the Browser Extra search folders.

NOTE: It is important that all the samples used in the FPC Kit have unique names otherwise FPC will re-load the first sample with the same file name it finds in the Browser. E.g. don't use 'Kick1', 'Kick2' etc. It's highly likely samples with that name exist elsewhere. Use something unique and descriptive like 'Crunchy_Slicex_Kick1', 'Crunchy_Slicex_Kick1' etc.

Plugin Credits: Robert Conde (Original design), Frederic Vanmol (Programming).


Fruit Kick - Percussion Instrument

INSTRUMENTS / GENERATORS

Fruit Kick

Fruit Kick Fruit Kick is a simple kick drum synthesizer. A kick drum sound is synthesized by taking a simple waveform, sine wave, with a fast opening volume envelope and a quickly falling initial pitch. This generator allows you to tweak these parameters.

Parameters

  • Start sweep frequency (MAX) - Defines the start frequency of the kick sound.
  • End frequency (MIN) - Defines the "sweep to" (end) frequency.
  • Sweep time (DEC) - Defines the pitch sweep time (i.e. pitch decay).
  • Amplitude decay (A. DEC) - The amplitude (volume) decay length.
  • Click (CLICK) - Adds phase offset to the kick sound to produce a click. Turn right for louder click.
  • Distort (DIST) - Applies hard clipping to the sine wave oscillator for "punchier" kick sounds.

Plugin Credits: Didier Dambrin


Fruity Dance - Visual Effect

INSTRUMENTS / GENERATORS

Fruity Dance

Fruity Dance is an animation plugin. The default animation is 'FL Chan', the FL Studio mascot. You can control her dance movements from the Piano roll by selecting a range of programmed dance moves. FL Chan is related to the Wave Candy plugin in giving your projects visual effects in sync with the music. See the section below on how to make your own animations.

You can download FL Chan [image] wallpapers and merchandise from the FL Studio [image] website.

How to use

When Fruity Dance is loaded into a channel, an animated character will appear (see above). You can drag the character around the screen using your mouse (click+ hold). The dance moves of the character are driven by the Piano roll (different moves are associated with a range of notes). By placing notes in the Piano roll you can create your own unique sequence of dance steps, in sync with your song. Great when you have a 2nd monitor or video projector hooked up to FL Studio for live performances.

Parameters

The following parameters control the character.

Appearance

  • Menu - Lists the dance moves that the character will make when the project is playing. Use this when you want a single move for the duration of your track and don't want to change the moves with the Piano roll.
  • Mirror horizontally - Mirrors the character movements around the vertical axis.
  • Sync changes - Waits for the dance move to complete a cycle before changing to the next.
  • Visible - Character visible.
  • Solid - ON: Character steals mouse focus. OFF: Mouse can click through the character to the background user interface.
  • Keep in front - Keeps the character on top of all windows.
  • On desktop - Allows the character to remain visible on the Windows desktop after FL Studio is minimized.
  • Blend - Blurs the animation steps.
  • Speed - Tempo multiplier for character movements.
  • Reflect - Character reflection intensity.
  • Folder icon - Click to load sprite sheets (FL Chan & Countdown supplied). Examine the layout of these sprite sheets and make your own.

Making your own animations

There are two files associated with an animation both located in the FL Studio installation folder\Plugins\Fruity\Generators\Fruity Dance\Artwork.

  1. Sprite sheet format - Sprite sheets are PNG format image files. All sprite sheets (e.g. Dance.png) are fixed at 8 cells wide with the option from 1 to an unlimited number of rows (each row is a separate 8 cell animation sequence). The last row is always the 'held by mouse' animation. Cells can be of any size (width/height), but all cells in the sheet must be equal. Remember that the image file must use transparency if the animation is to work against the FL Studio/Windows background although any image format (PNG, JPG, GIF and BMP) will work.
  2. Text file * .txt - Each sprite sheet must have an accompanying text file with an identical name (e.g. MyAnimation.png + MyAnimation.txt). The text file must contain a name for each row in your sprite sheet. The last row (if you have one) should be called 'Held'. Have a look in the existing Dance.txt and Count.txt files if you are unsure what to do.

TIPS: You can drag-n-drop sprite sheets (animation images) directly onto Fruity Dance, the plugin will look in the source directory for the accompanying .txt file. In the Dance.png sheet each cell is 110 pixels wide and 128 pixels high (although the width and height are not important). The animation character will be a solid object while the background is transparent, this is why PNG and .GIF formats are preferred. You will need to use an image editor that supports layers and transparency to make the best animations.

Plugin Credits

FL Chan (character & artwork):

Uruido. Please visit Uruido Web.


Fruity DrumSynth Live - Plugin Instrument

INSTRUMENTS / GENERATORS

Fruity DrumSynth Live This feature is available in Fruity Edition, Producer Edition & Signature Bundle.

Fruity DrumSynth Live is the FL Studio plugin version of the popular DrumSynth standalone created by Maxim Digital Audio. DrumSynth Live features simultaneous support for 120 real-time programmable drum patches, each assigned to a separate key (C0 to B9). You can morph dynamically from one drum patch to another - just select the patch to morph to and tweak the morph amount knob.

The sound is created by two noise generators, filtered by bandpass filters with an incredible range - you can set anything from single frequency (sine wave) to full white noise. The first oscillator can also act as swept frequency sine wave generator for creating kick drums and tom sounds. The second oscillator has more advanced envelope: adjustable attack length and envelope mapping shape (from logarithmic to linear), useful for snare drums and hi-hats. The envelope re-trigger controls allow for quick creation of clap sounds and can be also used for harder attack in the drum sounds.

Velocity to Property (Black) Wheels

Some properties can change according to the note velocity. Such controls have a velocity mapping wheel on their left (all the big black wheels in the interface). If a velocity wheel is turned to right, higher note velocities increase the property value. Turn left to lower the property value with velocity increase instead.

Parameters

Testing Keyboard

The testing keyboard has two functions - it lets you test the drum patches and select a drum patch for editing: just left-click a note, the orange rectangle shows the currently edited patch.

There is also a right-click menu which allows you to copy and paste the patch settings from one key to another.

You can reset a patch to one of the default sounds in the preset. Right-click a note and select an entry from the "Set to default patch" submenu. The default patch for the current key is displayed in bold.

The keyboard displays 2 octaves simultaneously. You can scroll the keyboard to see the required range using the scroll button above the keyboard: . If the AUTO option is enabled, the keyboard will autoscroll to display the proper range as notes are played.

Wave Panel

DrumSynth Live can mix recorded drum samples with the noise generator. In this section you can set the wave properties and mix amount.

  • Wave Selector - Select one of several high-quality drum/percussion samples to be mixed with the white noise generator.
  • Sample Tuning (TUNE) - Sample pitch (transpose).
  • Mix Amount (MIX) - Turn right to mix more of the wave sample and less of the noise in the oscillators.

Oscillator 1 (OSC 1)

  • Frequency slider - Center frequency for the bandpass filter/sweep tone.
  • Sweep Up/Down slider - Frequency offset to sweep from. Slide right to sweep from higher frequency, slide left to sweep from lower frequency. Appears only when using the oscillator in sweep tone mode (see below: Sweep Tone/Noise switch).
  • Bandwidth slider - Sets the bandwidth of the bandpass filter. You can set anything from single frequency bandwidth (turn left) to full white noise (turn right). Appears only when using the oscillator in noise mode (see below: Sweep Tone/Noise switch).
  • Harmonics wheel (HARM) - Applies waveshaping distortion to the oscillator (turn to left applies odd harmonics, turn to right applies even harmonics).
  • Envelope Decay wheel (DEC) - Sets the envelope decay for the oscillator. Turn right for slower decay.
  • Sweep Time wheel (SWEEP) - Sets the sweep speed. Turn to right for longer sweep time. Applies only when using the oscillator in sweep tone mode (see below: Sweep Tone/Noise switch).
  • Noise/Sweep Tone switch (NOISE) - When turned on, the oscillator operates in noise mode: white noise processed with a bandpass filter. When turned off, the oscillator operates in sweep tone mode: a sine wave that can sweep from higher or lower frequencies with adjustable sweep time, useful for toms, kicks and various effects.
  • Invert Phase switch (INVERT) - Inverts the phase of the oscillator. Useful for fixing situations where the two oscillators might phase each other.
  • Output Level wheel (MIX) - The output volume of the oscillator. Higher output levels produce hard clipping useful for rim-shot sounds and similar effects.

Oscillator 2 (OSC2)

  • Frequency slider - Center frequency of the bandpass filter.
  • Bandwidth slider - Bandwidth of the bandpass filter. You can set anything from single frequency bandwidth (turn left) to full white noise (turn right).
  • Osc1 to Osc2 Rind Modulation (RING) - Ring modulates Oscillator1 with Oscillator2.
  • Envelope Attack wheel (ATT) - Envelope attack time (fade in) for the oscillator. Turn right for slower attack.
  • Envelope Decay wheel (DEC) - Envelope decay (fade out) for the oscillator. Turn right for slower decay.
  • Envelope Shape wheel - Changes the envelope shape from logarithmic (turn left) to linear (turn right).
  • Envelope Release wheel (REL) - Envelope release length of the oscillators (affects both the OSC1 and OSC2).
  • Output Level wheel (MIX) - The output volume of the oscillator. Higher output levels produce hard clipping useful for rim-shot sounds and similar effects.

Trigger Settings (TRIG)

Contains misc. patch settings and controls for envelope retriggering.

  • Voice Mode select - Voice mode for the current drum patch. The possible voice modes are: Mono - each trigger of this patch cuts the previous; Poly - polyphonic model, no voices are cut; Group 1/2/3/4 - four global (for the channel only) cut groups. If you select a group, each patch will cut itself and also cut any other patches with the same group setting.
  • Count wheel (COUNT) - Number of envelope retriggers to occur when playing the patch. Turn right for more retriggers.
  • Rate wheel (RATE) - Time between each trigger (turn right for slower trigger rate).
  • Trigger Decay wheel (DEC) - Decay (fade out) speed for each trigger (turn right for slower decay).
  • Tone Filter wheel (TONE) - Turn left to apply lowpass filter to the patch sound, turn right to use highpass filter.
  • Click Amount (CLICK) - Phase offset for the oscillators. The phase offset can be used add 'click' effect to the patch. Turn max to right for random phase offset on each patch triggering.

Morph Controls (MORPH TO)

You can morph the settings of any patch to the settings of another patch.
  • Morph To list - Shows a list of patches to morph to. The morphing uses the current settings of the patch you select, not the default settings.
  • Morph Amount wheel - Turn up to morph to the patch selected in the Morph To list.

Output Settings

  • MAIN OUT: Panning wheel (PAN) - Panning of the current patch.
  • MAIN OUT: Volume wheel (VOL) - Volume of the current patch.
  • SEND TO: Send Track LCD (NUM) - Selects the send effects track to send the patch output to.
  • SEND TO: Send Level wheel (LVL) - Send amount (volume) of the current patch.
  • Patches list - Shows the currently edited patch. Click the combo box to select another patch.
  • Hide/Show Keyboard switch - Shows/hides the testing keyboard and morphing controls.

Notes & Tips

  • Most properties of DrumSynth are read once for each triggered voice (drum note), so changing the properties of an already running voice has no effect.
  • A DrumSynth preset saves the entire drumkit, i.e. saves all "drum notes" at once in single preset.

Plugin Credits: Paul Kellett (engine), Frederic Vanmol (conversion), Didier Dambrin (interface)


Fruity DX10 - Plugin Instrument

INSTRUMENTS / GENERATORS

Fruity DX10 This feature is available in Fruity Edition, Producer Edition & Signature Bundle.

Fruity DX10 is 8-voice polyphonic FM synth (Frequency Modulation) and is designed for high quality (low aliasing) sound and low processor usage. This plugin is an enhanced version of Paul Kellett's DX10 FM synth.

FM synthesis involves modulating the pitch of one oscillator (waveform) with the pitch of another. If this is done quickly enough, rather than hearing a rising and falling pitch, you hear a new ?tone?.

FM created a sensation in the mid 80?s when it enabled sounds like realistic bells, piano and acoustic bass to be synthesized for the first time.

Click the piano keyboard icon at the top right corner of the interface to show/hide the keyboard in Fruity DX10's interface.

Parameters

Misc Section

  • Wave Brightness (WAVE) - Turning the wheel to the right adds brightness to the generated sound.
  • Octave Shift (COARSE) - Use this wheel to shift the octaves of the synth.
  • Vibrato LFO Rate (LFO RATE) - Sets the speed of the vibrato effect.
  • Vibrato Amount (VIB) - Sets the vibrato amplitude amount (vibrato strength).

Amplitude Section

Contains controls to set the volume envelope of the sound

  • Envelope Attack (ATT) - Sets the attack (fade in) length of the synth.
  • Envelope Decay (DEC) - Sets the decay (fade out) length of the synth.
  • Envelope Release (REL) - Sets the release (fade out after key is released) length of the synth.

Modulation Sections

  • Coarse Tune (COARSE) - Use to set the modulation speed (pitch).
  • Fine Tune (COARSE) - Use to fine tune the modulation speed (pitch).
  • Modulation Velocity (VEL.SENS) - Sets the velocity of the modulation.
  • Pass Though (THRU) - Turn to the right to mix the modulation wave with the output (apart from modulation of the signal). This control is available only for the first modulator.
  • Amplitude Init (INIT) - The start amplitude of the modulation.
  • Amplitude Time (TIME) - Time needed for the modulation amplitude to reach the sustain level (see below).
  • Amplitude Sustain (SUS) - The sustain amplitude of modulation.
  • Amplitude Release (REL) - The time needed for the modulation amplitude to reach zero after key release.

Show/Hide Keyboard switch

Shows/hides the keyboard.

Plugin Credits: Paul Kellett (original code), Frederic Vanmol (conversion), Didier Dambrin (interface)


Fruity Envelope Controller - Generator

INSTRUMENTS / GENERATORS

Fruity Envelope Controller

The Envelope Controller allows you to trigger envelopes that may be linked to parameters in FL Studio. NOTE: Once the Envelope Controller has been loaded into a Channel it will appear as an 'Internal controller' link option in the 'Link to controller' right-click dialog on automatable controls.

Controls

Articulator 1 to 4

The Envelope Controller can store 4 separate envelopes and map them to different parts of the Piano roll/MIDI Keyboard.

  1. Select Articulator 1 to 4.
  2. Left-click and drag on the mini-keyboard as shown above. A unique range may be selected for each of the 4 articulators.
  3. Level (LVL), Envelope (ENV) & LFO sliders - These control the relative output from the respective functions.

Mode

Click on the 'MODE' graph/switch directly below Articulator '4' button.

  • Bipolar - The values of the ENV, LFO, KEY and VEL envelopes are added.
  • Unipolar - The values of the ENV, LFO, KEY and VEL envelopes are multiplied.

The Envelope Editor

The Envelope Editor is the same as used in other plugins in FL Studio such as Sytrus and FPC.

Enable/Disable Switch

To use an envelope/mapping, you need to enable it by turning on the LED at the bottom left side of the editor (see the screenshot above).

Load/Restore & Copy/Paste

Please check the placement of the load/restore button in the screenshot above.

  • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
  • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open plugins.
  • Undo - Undoes the last envelope edit.
  • Undo history - Shows the editing history since the last reset.
  • Flip vertically - Inverts the current envelope.
  • Scale levels - Opens the Scale Level tool.
  • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
  • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
  • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
  • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
  • Smooth up abrupt changes - Quick removal of 'spikey' or sudden changes in the envelope.
  • Create sequence - Opens the Envelope Sequencer tool.
  • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.
  • Background gradient - Flips the background gradient shading vertically.

Common Settings

  • Freeze - Enable this switch to lock the envelope curve to its current setup. This feature is helpful after you finish with the changes to the spline structure of an envelope and want to protect it from accidental edits (it also hides the handles providing a clear view of the shape).
  • Step - Enable this option to set the editor in step editing mode - drag in the editor to create a "free hand" curve where a new control point is defined for every step in the timeline. Hold SHIFT key while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Snap - Enable this option if you want the control points to snap to the nearest step in the timeline while dragging.
  • Slide - Enable this option to preserve the relative distance between a dragged control point and all control points following it (this option is enabled by default).

Curve Editing

Here are several basic operations you can perform to edit the envelope/mapping shape:

  • Add a new Control Point - Position your cursor over the line until the add point cursor appears ( [image]). Right-click and a new point will be added.
  • Reposition a Control Point - You can drag the control points with your left mouse button. Hold SHIFT while dragging to lock vertical position or CTRL to lock horizontal position.
  • Delete a Control Point - Right-click a control point and select Delete. Alternatively hold ALT and left-click.
  • Change Segment Type - The envelope editor offers three types of spline segments to select from. Right-click a control point and you will see three spline type options (the affected segment is the one preceding the control point): Single Curve - the default mode which allows you to create linear, ease in and ease out curves (depending on the tension); Double Curve - allows linear, ease in-out and ease out-in curves (depending on the tension); Hold - creates "hold" or "pulse" curves which are handy for creating abruptly value changes in your envelope.
  • Change Segment Tension (Acceleration) - You can drag the tension handle (see the screenshot above) of each spline up/down to change the spline appearance. Right-click the handle to reset to a straight line. Hold CTRL during adjustment to fine tune.

Envelope Sections (ADSR)

Some of the envelopes/mappings are divided into sections to provide classic ADSR (attack, decay, sustain, release) envelope functionality.

The envelopes use special section markers (see the screenshot above) to mark the end of a section and the start of the next one. There are few markers available:

  • S (sustain): Marks the end of the decay section and the start of the release section.
  • L (loop): Marks the start of a sustain loop section, thus enabling you to define an envelope section to be repeated while a voice is sustaining.
  • D (decay): Marks the start of the decay section.
  • DL (decay/loop): Combines the function of the D and L markers.

It's not required to use all or any of the provided markers. Without markers the envelope will be played once as a 'static' definition played once from start to finish for each voice. You can also use certain combinations as needed.

How to Add a Marker:

Right-click the control point where you want to set the section marker. From the menu select the marker you want to add. If the item you want to add is disabled make sure you're trying to insert the marker at the correct place (a sustain loop start can not be after sustain loop end, for example).

To make a DL marker, simply check both Decay and Sustain Loop Start entries in the right-click menu.

How to Remove a Marker:

Right-click the control point where the marker is placed and uncheck the item representing the marker name.

Keep in mind that removing some markers might make another marker/s pointless, so they are removed automatically as well (if you remove the sustain loop end marker, a sustain loop start marker would not have a purpose).

Envelope/Mapping Types

ADSR Envelope (ENV)

To edit, left-click the LED marked ENV.

This is a "classic" ADSR envelope plus the possibility to define a sustain loop section & the power of unlimited spline segments to refine the various envelope sections as you need.

Besides the editable envelope curve, the envelope also provides the regular envelope level controls, so you can lock the curves and still adjust some basic aspects of your envelope. All values are applied relative to the curve defined in the editor:

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ("decay" amount).
  • Release (REL) - Defines the release length/speed.
  • Tempo - This switch lets you determine whether the envelope length is relative to the project tempo (changes with tempo) or absolute in time.

NOTE: While adjusting one of those properties you can see a preview of the effect of the knob value on the envelope shape. However once you release the mouse key the envelope is restored to its previous view. The knob still has its effect, though it is not reflected in the curve to avoid distortion and to make editing easier.

For more information on the available envelope sections (attack, decay, sustain, sustain loop, release) and how to define/remove a section marker, please check the Envelope Sections (ADSR) paragraph above.

LFO - Low Frequency Oscillator Switch

To edit, left-click the LED marked LFO.

This unit allows you to vary the controlled property with an LFO. The LFO also includes a full envelope to define its strength in time.

The secondary blue curve you can see behind the envelope is a preview of the LFO "in action" as with the applied envelope, shape speed and settings.

The following controls are also available:

  • Speed (SPD) - Defines the LFO speed.
  • Tension (TENS) - Defines the LFO curve "tension" - basically this parameter lets you morph the LFO shape from triangular through sine-like to pulse-like (square) shape.
  • Skew (SK) - Defines a balance between the odd/even splines in the LFO visible as shape 'skew'.
  • Pulse Width (PW) - Sets the pulse width, i.e. basically the balance between the first and the second half of the LFO phase.
  • Tempo - This switch lets you determine whether the envelope/LFO speed is relative to the project tempo (changes with tempo) or absolute in time.
  • Global - Normally the LFO envelope is started from the beginning for each voice ("local" LFO) . If this option is enabled, the envelope is "global" and thus stays in the sustain state without restarting for the whole duration of the song.

Keyboard Mapping (KEY)

To edit, left-click the LED marked KEY.

Keyboard mapping is a multiplier function, depending on the MIDI note received the response of the envelope can be modified (multiplied) according to the function drawn in the window. Low notes are to the left and high notes to the right. The vertical white line on the graph represents the MIDI keyboard key last received by the plugin.

Velocity Mapping (VEL)

To edit, left-click the LED marked VEL.

Velocity mapping is a multiplier function, depending on the velocity of the note received the response of the envelope can be modified (multiplied) according to the function drawn in the window. Low velocities are to the left and high velocities to the right. The vertical white line on the graph represents the MIDI velocity last received by the plugin.

Plugin Credits: Didier Dambrin, Frederic Vanmol.


Fruity Granulizer - Effect Plugin

INSTRUMENTS / GENERATORS

Fruity Granulizer

Fruity Granulizer is a generator plugin that utilizes the granular synthesis technology. The source material for the Granulizer is a wave sample loaded by the user. Granular synths split a wave sample into many small pieces (?grains?), which are then played back according to the settings of the generator. The length and spacing of the grains can also be altered to achieve different effects.

Granular synthesis can be used to stretch a wave without altering its pitch and vice versa. It can be used to create lots of complex special effects. Since all of the parameters are automatable, you can even start with normal playback and then ?morph? to some kind of effect.

Parameters

Grains Section

  • Attack wheel (ATT) - Sets the attack and decay length of each grain (i.e. fade in/fade out time). The time is added (twice - fade in and fade out) to the length of the grain.
  • Grain Hold wheel (HOLD) - Specifies the length of each grain.
  • Grain Spacing wheel (G.SP) - Controls the grain spacing in playback. Turn to right for greater spacing between played grains (slower playback). Turn to left for smaller spacing (faster playback).
  • Wave Spacing wheel (W.SP) - This parameter controls the amount of grains generated from the wave sample. This value ranges from -300% to 300%. Small values means more grains generated for the wave (smaller wave spacing). Using negative values for this property results in reversed playback of the grains (note that it is the grain playback order that's reversed, not the sound contained in each separate grain).

NOTE: If you want to achieve normal playback, set both Grain Spacing and Wave Spacing to 100%.

Effects Section

  • Stereo Separation wheel (PAN) - The more you turn it to right, the more even grains are panned to right, and odd ones panned to left. To disable the effect, turn the wheel maximum to left.
  • Effect Depth wheel (FX.D) - This setting determines the amplitude of the LFO applied to the wave spacing value. Turn to right to increase the amplitude. To turn the LFO off, turn the wheel maximum to left.
  • Effect Speed wheel (FX.S) - This wheel determines the speed of the LFO applied to the wave spacing value. Turning to right makes the LFO faster, while turning it to left makes it slower.
  • Randomness wheel (RAND) - Applies randomness to grain playback. Turn the wheel to right to increase the effect. To disable the effect, turn it maximum to left.

Transients Section

The Granulizer plugin is aware of transients (either autodetected or processed from the sample if slices were loaded). When a grain crosses a transient, it's aligned to it & is set a new user-defined length. This gives better quality when stretching certain material, like drum-loops.

  • Hold - Sets the length or transient grains.
  • Switch - OFF: Transients are disabled; USE REGIONS: Uses the slices loaded from the sample, if any; DETECT - Autodetects transients, even if slice/region info is available in the sample.

Time Section

  • Loop switch - When turned on, the wave loops.
  • Hold switch - While pressed, the playing position won't change. It has the same effect as if the wave spacing setting is set to 0% for a moment.
  • Key To - Maps keys to several different properties: Key to pitch: maps keys to pitch (default); Key to percent: keys from C5 to C7 correspond to 0%-100% start position for the sample. For example, to start the sample from the middle, trigger C6 key; Key to step: keys C5 & above offset the sample start with a step (C6 offsets 12 steps, C7 - 24, etc.); Key to transient: keys C5 & above trigger the sample starting from a specific slice.
  • Sample Start wheel (START) - This wheel sets the position in the sample used when playing starts. When turned maximum to left, the sample starts playing from the beginning. Turn the wheel to right to start playing offset inside the sample.

Notes & Tips

  • Time stretching in the Sampler Settings has a special meaning for this generator. The sample will be stretched according to the settings, however, without altering its pitch.

Plugin Credits: Didier Dambrin


Fruity Keyboard Controller - Generator

INSTRUMENTS / GENERATORS

Fruity Keyboard Controller

Fruity Keyboard Controller The Fruity Keyboard Controller is an automation control and makes no sound of its own. You can use this plugin to control knob and sliders through out FL Studio. This is achieved by mapping note pitch and velocity fed to the keyboard controller from the Piano roll or Step Sequencer to any automatable parameter within FL Studio and 3rd party plugins.

For example, this plugin allows you to quickly implement Pattern Controlled Filtering (PCF), or accurate semitone-to-semitone slides for plugins which do not natively support such features (VSTi and DXi plugins).

The Keyboard Controller exports the following internal controllers:

  • Kb Ctrl - Note - The value of this controller depends on value assigned to each key via the Value for the Current Key parameter (see below).
  • Kb Ctrl - Velocity - The value of this controller depends on the velocity of the triggered notes.

Parameters

Mapping controls

  • Mapping Drop-Down Menu - Click the button with arrow icon to access the automatic mapping menu. You can map the controller values from 0 (min) to 1 (max) gradually though the entire currently selected region (see Keyboard View below). You can select to map only white keys or white and black keys.
  • Current Note Display - The LCD shows the currently selected note in the Keyboard View (see below).
  • Value for the Current Key - The wheel next to the LCD sets the value of the Kb Ctrl - Note controller for the current note. This parameter does not affect the Kb Ctrl - Velocity controller which uses the note velocity.
  • Release Switch - Turn this option on to set the Note controller to another value on key release.
  • Release Value - The wheel next to the release switch sets the value used after key release (only if the switch is turned on). The value is global for all keys.
  • Smoothing (Envelope Speed) - Sets the attack ("fade in") and release ("fade out") time of the controller. Increase the value of this property to create smoother transitions between the different values of the controller.

Keyboard View

The keyboard view is very similar to the preview keyboard you can see at the bottom of these channel settings pages: Function Settings; Misc Settings; Instrument Settings; Plugin Settings.

It is used to show the current key and set a range for automapping.

  • Current Key - The orange rectangle in the ruler above the keyboard view shows the currently edited key for the controller. Left-click any key to set it as a current key.

  • Key Region - The key region defines the area that is used during automapping. The first note in the region is set to the minimum value (0), while that last is set to the maximum value (1). The rest of the keys in the region are a transition between those two values. You can set the limits of the region by dragging its end points.

Notes & Tips

  • Mapping the keyboard controller to the pitch bend controller of a native FL Studio synth correctly (transposing), requires a range of 8 octaves + 1 semitone. The proper mapping is also present like a preset for the Keyboard Controller: To pitch bend (transposing).
  • If you need to map a different range (+-12 semitones range for standard VSTi synths), don't forget you'll need to automap black & white keys, not just white.

Plugin Credits: Didier Dambrin


Fruity LSD - MIDI Output Plugin

MIXING & EFFECTS

Fruity LSD

Fruity LSD allows you to access the synthesizer/sampler built into your soundcard from within FL Studio. It provides sixteen MIDI instruments with an option to import DLS level 1 banks. Since Fruity LSD is a software synthesizer, you can process its output with effects, just as you would with a normal generator.

Using Fruity LSD in conjunction with MIDI Out plugin/s you can play up to sixteen separate instruments from your soundcards general MIDI synth/sampler. See the section on playing General MIDI files on the Import MIDI Data page.

Setup

  1. Load Fruity LSD as an effect in the Mixer track/s of your choice. Fruity LSD feeds the audio from your soundcard directly to that location.
  2. Load a MIDI Out (instrument) plugin on the Instrument Channel containing the note (MIDI) data you want to play the LSD instruments with.
  3. MIDI ports - Set the MIDI Out to the same Port number as the Fruity LSD, the default is Port 1.
  4. Multi channel control - You can play each of the 16 instrument slots on the Fruity LSD plugin. Each LSD instrument responds to the MIDI channel number preceding the instrument selector. As each instance of the Fruity LSD plugin can only transmit on one MIDI Channel at a time, you will need to use multiple Instrument channels holding a MIDI Out plugin and set:

    A. The MIDI channel - selector, on the top left corner of the MIDI Out plugin. OR

    B. The Note color groups - If you have imported a MIDI file with MIDI channels encoded as Piano roll note color groups, note color transmit on independent MIDI channels, as shown below.

  5. Set the Fruity LSD to Port 0 and it will respond to all MIDI channels (Omni mode). A similar technique can also be used to use multiple controllers transmitting on independent MIDI channels for live playing of the LSD plugin.

Parameters

Main Parameters

  • Bank - Lets you set the DLS bank to be used for synthesis. Click the browse button to select a DLS file. By default, Fruity LSD uses the Roland™ GM/GS Sound Set (which is default for the DirectMusic synthesizer as well and is usually located in 'Windows directory/System32/GM.DLS'). The DLS file used is not included in the FLP file, but is stored as a path instead.
  • Port - Sets the MIDI port number from where Fruity LSD will receive MIDI events (notes, volume changes, etc). You should set the same port in the MIDI Out channels that will be used to control the Fruity LSD. It is recommended that you avoid using port 0 with Fruity LSD, since this port is reserved for the main MIDI playing output in FL Studio (that one you set as 'Playing output' in the MIDI Settings page).
  • Channels List - This is a list of the 16 channels of the LSD with the patch names. Click on a name to select a different instrument for the channel. Channel 10 holds the drum section.
  • Main Volume - This wheel sets the main volume of the LSD output. This parameter is automatable.

Additional Parameters

  • Device - Sets the DirectMusic compatible MIDI device to be used for synthesis. Hardware MIDI devices are filtered in Fruity LSD, since their output can't be routed to FL Studio.
  • Reverb - Turns on/off the global reverb effect.
  • Chorus - Turns on/off the global chorus effect. Note that this effect is not supported in the built-in Microsoft Synthesizer. However, it is included for compatibility with third party DirectMusic engines that may be used with Fruity LSD.

Notes & Tips

  • You will need the latest DirectX installed on your system for the Fruity LSD to function properly.
  • Pan, filter cutoff & resonance per note (in the graph edit or the Piano roll) are not supported - the MIDI standard only supports velocity per note.
  • At low volume, you may notice some noise in the Fruity LSD sound (you can hear it clearly on decaying notes if you put a compressor after it in the FX track). This is not caused by the Fruity LSD plugin itself, but by the DirectMusic synthesizer. You can partly fix this problem by using Fruity Filter or an equalizer to remove the very high frequencies of the output.
  • There are several tools available for creating custom DLS banks. LSD supports samples per region, envelopes, LFOs, etc. With tools such as Awave, you can also take advantage of hundreds of freeware SF2 (SoundFont) banks you can find on the Internet by converting them to DLS format.

Plugin Credits: Didier Dambrin

Thanks To: Chris Moulios for the source code


Fruity Slicer - Instrument

INSTRUMENTS / GENERATORS

Fruity Slicer

Fruity Slicer uses beat detection algorithms to slice a wave file into pieces and make them independently playable from the Piano roll or a controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Fruity Slicer offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. A [image] video tutorial is also available on the FL Studio website.

Left & right-click the upper (Slice Properties) and lower (Slice Preview) windows to access more functions, as described below. For greater control over slices, left-click and drag them from the 'slice properties' window to a Sampler Channel or other .wav compatible location. The Root Note (2) of the new slice will be set to the position it occupies in the slicer Piano roll, this allows you to re-use any Piano roll patterns (after deleting the other slice note information) you may have already constructed using the slicer.

A related but more advanced slicer is Slicex.

Function Buttons ( )

  • BPM / BEATS controls - Sets the tempo (speed) and number of beats (length) of the original loop. These settings are automatically set to the correct values if such information is embedded in the loop, otherwise Slicer will try to guess the loop tempo and length (the longer the loop, the less accurate the detection).
  • Open sliced beat groove button ( [image]) - Lets you import groove files (*.zgr) created by BeatSlicer/BeatCreator. Note that the groove files do not contain the sample data, so if the Fruity Slicer doesn't find the corresponding wave file it will ask for the sample location also.
  • Open and slice a sample button ( [image])
    • Load sample - Allows you to open a sample file (*.wav, Recycle *.rex / *.rcy / *.rx2, etc.) and slice it automatically. NOTE: If the sample already contains slice markers these will be used. .mp3 files can't contain slice markers, only .wav files.
    • Save original sample - Saves the original sample, without slice information.
    • Save processed sample - Saves the sample with slice information.
  • Open beat slicer button ( [image]) - Lets you select the method used to slice the loaded loop:
    • Use Sample Built-In Slicing - Uses the slices loaded from the sample (if any). This is the best option as long as the loop is sliced properly.
    • Dull / Medium / Sharp Auto-slicing - These are three options for auto-slicing the loop with three predefined values for the slice thresholds (see the threshold knobs explained below). The slicing performed is rough/normal/fine respectively.
    • 1/6, 1/4, 1/3 beat ... Beat - The sample will be divided into even beat-quantized slices regardless of the content (i.e. no slice auto detection).
    • No Slicing - The whole loop is treated as a single slice.
    • Zero cross check slices - If you hear click/pop artifacts while playing the slices, you can call this option after slicing the loop with any of the options above. This will snap the slice markers to the nearest zero crossing.
  • Edit
    • Open in Edison - Sends the current slice to Edison (the integrated Editor).
    • Open BeatSlicer - Sends the current slice and groove file (if applicable) to the registered beat slicer (e.g. BeatSlicer or BeatCreator) for further slice editing and refinement. After exporting the new groove file in your beat slicer you need to reload the groove into the generator ( [image]).
  • Stretching method

    All the stretching methods below can be fine-tuned with the pitch (PS) and time stretch (TS) sliders to the right of the 'Slice Properties' window.

    • Fill gaps - This is the standard mode (A) from the original 'beatslicer' algorithm as used in the Fruity Slicer prior to FL7.
    • Alternate fill gaps - This is the alternative 'beatslicer' algorithm (B) as used in the Fruity Slicer prior to FL7.
    • Pro default - The 'Default' mode is designed to work with a wide range of input signals.
    • Pro transient - In certain sounds the transients are crucial for the overall sound (percussion for example), this mode attempts to preserve the transients in the input signal.
    • Transient - This is a lower CPU usage transient preserving stretch methods, and corresponds to the élastique mode C from the Fruity Slicer prior to FL7. mode.
    • Tonal - Provides higher quality for input signals with a focus on tonal (pitched) parts and is equivalent to mode D from the Fruity Slicer prior to FL7.
    • Monophonic - Is specialized for monophonic input signals (such as vocals or solo instruments) and should give the best results for these type of signals. The tonal quality is achieved through formant-preservation (see the section below for more on formants).
    • Speech - This mode is optimized for speech (use 'Monophonic' mode for singing).
  • View
    • Spectrum - Changes the slice display to 'Frequency Spectrum' mode.
  • Dump beat to piano roll button ( [image]) - Allows you to 'dump' the beat to the Piano roll (using a time selection, if applicable), by writing a sequence of notes within it (each of which correspond to a single slice). Click to see a list of available 'dump' presets:
    • Normal - Writes the notes to match the beat length (adjusted to current tempo).
    • Reverse - As normal, however the sequence is reversed (each individual slice is still played forward).
    • Random - Each slice is placed on random location while preserving the loop groove and length. The sequence will be different each time this option is selected.
    • Flatten (groove) - The loop groove is preserved (slice locations) however all slice locations are played with the first slice.
    • Shift Up / Shift Down - The groove is preserved but all slices are shifter up/down with one slice.
    • Quantize / Swing - As normal, however the timing is adjusted (quantized and swing).
    • Accentuate Beat - The first slice in each beat (beat as a measurement) is assigned a higher velocity.
    • Pitch Up Beat - Every slice which belongs to an odd beat (1st, 3rd, etc.) is assigned a higher pitch.
    • Widen Stereo - The panning alternates between medium left panning and medium right panning for each alternate slice.
    • Crazy - The pan, pitch and velocity values of every slice are randomized (values will be different each time).
    • Stutter (half) / Stutter (quarter) - Each slice is broken into two pieces (half) or four pieces (quarter) to create a "stuttering" effect.
    • Original Length - Dumps the slices to the Piano roll to match the loop's original speed (at the current tempo).
  • Auto Dump switch - When enabled, Fruity Slicer will dump the sliced beat automatically after loading and when adjusting the loop's tempo/length.
  • Auto-fit switch - If enabled the loaded loop will be adjusted to fit to the current project tempo on load.
  • Pitch Shift slider (PS) - Changes the pitch of all slices (+/- 12 semitones), up or down (middle position = original pitch).
  • Time Stretch slider (TS) - Time-stretches all slices (+/- 400%), while maintaining the selected pitch (middle position = original length). Use to fill gaps.
  • DeClick - Applies very small fade in/out amounts to the slices (to remove click/pop artifacts).
  • Attack slider (ATT) - Applies a fade in effect to the slices. Push the slider to the bottom to turn this effect off.
  • Decay slider (DEC) - Applies a fade out effect to the slices. Push the slider to the bottom to turn this effect off.
  • Animate - Shows a visual cue for the slice that is currently playing.
  • Play to End - When enabled, each slice plays to the end of the loop.

Slicer Preview screen

Shows the sample and the generated/imported groove (where each slice is separated from the rest with vertical red lines). If you hold your mouse over a slice in this area, the hint panel in FL Studio will show the corresponding note that triggers it in the Piano roll and the Step Sequencer. Left-click a slice to select a new slice in the Properties View, right-click to select and audition a slice.

Slice Properties view

Above the Slicer Preview screen you can see the selected slice and some of its properties.

  • Right-click to split, remove or copy slice.
  • Left-click to audition and left-click and drag to take slice out of Fruity Slicer and drop an a channel or other .wav compatible plugin. To change the slice displayed, left-click on the slice of interest in the 'Slices Preview screen', located below the Slice Properties window.
  • REV (Reverse) - Left-click to reverse the slice playback.
  • Slice Name (1) - Left-click to rename or to select from a menu of pre-defined names. The name is displayed both in this plugin and in the Piano roll (when "names" mode is selected).
  • Root Note (2) - Left-click to open a menu to re-define the root note, or to set 'Last hit key' that will assign each slice to the last hit MIDI key.

Slice Thresholds

The Auto Low and Auto High knobs (at the bottom of the interface) define the low and high thresholds used during auto-slicing (slice detection) of the loaded loop. Keep in mind that tweaking any of these options will cancel your previous setting (e.g. use built-in slices or slice per 1/2 beat, etc.) and switch to auto-slicing with thresholds based on these knobs.

Notes & Tips

  • The tempo of any (correctly sliced) loaded loop will automatically be adjusted to the tempo of your song.
  • As you can access any of the slices in the loop in the Piano roll you can easily rearrange the loop in any way.
  • You can apply an effect (pitch, volume, etc.) to each slice in the loop in the Piano roll.
  • Be picky about the slicing. If the slice markers aren't positioned perfectly or if a slice marker is missing, don't hesitate to press open the loop in BeatSlicer ( [image] ) and fine tune the slice markers in BeatSlicer/BeatCreator. We can assure you that it will be well worth the small effort.

Plugin Credits: Didier Dambrin (Slicer plugin), Peter Segerdahl (BeatSlicer engine)


Fruity Soundfont Player - Instrument

INSTRUMENTS / GENERATORS

Fruity Soundfont Player This plugin must be purchased separately

DEMO ONLY: Fruity Soundfont Player comes as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Fruity Soundfont Player channels.

Fruity SoundFont Player is an advanced sampler which can load SoundFont2 instruments, drumkits, or collections. This plugin uses the LiveSynth SF2 rendering engine. SoundFonts are an excellent way of replicating acoustic instruments such as string or brass sections.

Parameters

  • Load SoundFont - This button is located in the top left corner of the interface. Click it and select a SoundFont2 instruments/drumkits bank file to load (*.sf2).
  • Edit SoundFont - This button is located in the top right corner of the interface. Click it to open the current SoundFont bank in a SoundFont editor to edit to instrument definitions. The first time you run this feature, the SoundFont player will ask you to browse and select a SoundFont Editor to be used for this button.
  • Patch LCD - Here you can set the patch (instrument) number in the SoundFont collection to be played by the generator.
  • Bank LCD - Here you can set the bank number in the SoundFont collection to be used by the generator.
  • Name - Shows the name of the selected instrument. Click this area to see a full list with instruments/drumkits available in the currently loaded SoundFont collection.

Reverb Section

This section gives you the ability to use a set of Fruity/VST/DX effects on a send track as a reverb effect for the SoundFont player instead of generator's internal reverb effect (which is generally with lower quality).

  • Send To LCD - Select here the send track number to use for reverb send effect.
  • Send Amount wheel - Use this wheel to add more or less reverb to the instruments (it multiplies the reverb amount for each instrument, so instruments with no reverb will remain with no reverb).
  • Use Built-in - If you turn on this option, the SoundFont player will use its built-in reverb effect instead of using FL Studio's send track.

Chorus Section

This section gives you the ability to use a set of Fruity/VST/DX effects on a send track as a chorus effect for the SoundFont player instead of generator's internal chorus effect (which is generally with lower quality).

  • Send To LCD - Select here the send track number to use for chorus send effect.
  • Send Amount wheel - Use this wheel to add more or less chorus to the instruments (it multiplies the chorus amount for each instrument, so instruments with no chorus will remain with no chorus).
  • Use Built-in - If you turn on this option, the SoundFont player will use its built-in chorus effect instead of using FL Studio's send track.

Envelope2 Section

You can use this section to override the volume envelope settings used in the SoundFont instrument. The four sliders represent the Attack (A), Decay (D), Sustain /s, Release (R) levels of the SoundFont envelope. Keep these sliders set to minimum to disable overriding of the predefined values.

LFO2 Section

You can use this section to override the pitch LFO settings used in the SoundFont instrument. The three wheels represent the Predelay (DEL), Amplitude (AMT), Speed (SPD) levels of the SoundFont LFO. Keep these wheels turned maximum to left to disable overriding of the predefined values.

Misc Section

  • CUT - You can use this wheel to override the cutoff level used in the SoundFont instrument. Keep the wheel turned maximum to left to disable overriding of the predefined cutoff levels.
  • Modulation (MOD) - Turn this wheel to right to add modulation to the instrument.
  • HQ Rendering - Turn this switch on to get higher quality rendering.

Plugin Credits: Didier Dambrin (interface, conversion), LiveUpdate (LiveSynth SF2 engine)


Fruity Vibrator - Move things

INSTRUMENTS / GENERATORS

Fruity Vibrator

Fruity Vibrator adds vibes to your songs using any force feedback device present on your PC. The plugin loads & maps .ffe effect files across the keyboard, & plays them back (with velocity).Such .ffe effect files can be created using the Microsoft Force Editor tool (fedit.exe) that can be found in the latest DirectX Developer SDK.

You can find the DirectX Developer SDK here:

www.microsoft.com/directx/

Notes & Tips

  • For the best timing accuracy, the Enable MIDI output option in FL Studio must be switched on.
  • Force Feedback devices might take some time to warm up when playing effects, so you may have to trigger them a little ahead in order to have them synchronized with the music.

Plugin Credits: Didier Dambrin, Frederic Vanmol


Fruity Video Player

INSTRUMENTS / GENERATORS

Fruity Video Player This plugin must be purchased separately

DEMO ONLY: The Fruity Video Player comes as a demo version in FL Studio and needs to be purchased separately so you can view extended video clips.

Fruity Video Player allows you to open and play video files synchronized with your song. This is a very useful tool for those who are working on music soundtracks that need to be scored in time with video events.

Keep in mind that FL Studio is not a video rendering package so it will not export the video footage, the Fruity Video Player plugin can only be used to view videos and to rip audio from videos into FL. The audio is streamed into FL Studio like any other audio plugin, however to achieve best synchronization and quality for exported audio tracks, it is highly recommended to export the audio as wave file and use it like a regular audio track inside FL Studio.

Parameters

  • Browse Button - Click to browse and open a video file in the player.
  • Options Button - Click to select audio-rendering options and detach-window options.

    • Audio Rendering The audio handling in the video player is fairly slow compared to .wav files, etc, so to save frustration several audio options are provided:

    • Don't render - No audio will be rendered, this is the quickest rendering mode.

    • Render fast - This is faster than the Slow option, but still quite slow. Quality is sacrificed for speed.

    • Render slow - This has the highest audio quality, but be prepared to wait.

    Video Window:

    • Detached - Allows the video player to be detached from the FL Studio desktop.

    • Stay on top - Keeps the player window on top of all other windows.

    • Full screen - Shows the video in full screen mode, Esc to cancel.

    Options:

    • Ignore tempo changes - Prevents the player re-syncing position when the FL Studio master tempo is changed.

  • Progress Bar - Shows the playback position of the video (the lit up section of the bar) and allows you to limit the video segment to be played from both sides (see the black handles over the progress bar).
  • Loop - If the video is shorter than the project you're working on, enabling this option will loop the video to fill the entire length of the project.
  • Aspect - Enable this option to preserve the original aspect ratio of the movie as you resize the window. Disabling it will fit the video perfectly in the window but may stretch it to an incorrect aspect ratio.
  • Mute - Enable this option to mute the video completely (no audio streamed in FL Studio).
  • Volume - Sets the volume of the audio track inside the video.

Notes

The Video Player works with Windows native formats (.WMV, .AVI, .SWF, etc). If you have a video in a format not recognized by the Video Player it should be converted to one of these formats first. For example, the .MOV format may or may not work, depending on the CODEC used to create it. In the case of .MOV, the QuickTime? movie viewer (available from the Apple website) can be unlocked for a small fee to convert between .MOV and the .AVI format that can be used with the Fruity Video Player.

Plugin Credits: Duncan Fewkes, Frederic Vanmol


MIDI Out Plugin

INSTRUMENTS / GENERATORS

MIDI Out

The MIDI Out plugin does not make any sound on its own, it acts as a MIDI controller, sending standard MIDI messages to internal (plugins) or external MIDI hardware.

Up to eight pages X nine controllers are freely assignable on the MIDI Out plugin to parameters on the target MIDI device.

Fruity LSD is your friend: The MIDI Out plugin is a great companion to the Fruity LSD (effect) plugin. Once MIDI Out has been set to the same Port number as the Fruity LSD plugin you can play sounds direct from your Soundcard internal sampler/synth through the FL Studio mixer.

Using external synthesizers, drum machines & other MIDI devices

If you want to incorporate the sounds from external MIDI hardware, so it is exported along with the rest of your internal plugins in the final render, you will need to:

  1. Set the Port numbers - Select your MIDI interface Output in the MIDI Settings and make sure the Port number matches the Port number on MIDI Out.
  2. Send master sync - In the MIDI Settings, select your MIDI interface and turn ON 'Send master sync'. This is transport control information (start, stop, tempo, etc). Ensure your external MIDI device is set to receive (slave to) MIDI sync data AND is set to the same 'Synchronization type', (MIDI clock, MTC 24, etc), as per the manufacturers instructions.
  3. Make MIDI connections - Make a MIDI connection from your MIDI interface (MIDI OUT) to your MIDI device (MIDI IN) as per the manufacturers instructions.
  4. Set the MIDI Channels - Set your external MIDI device to the same MIDI Channel as the MIDI Out plugin. There are 16 Channels that allow you to control different MIDI devices on each channel. Set your outboard gear to Omni mode and it will respond to all MIDI Channels.
  5. Connect the audio - Make audio connections from your MIDI device's audio outputs to your soundcard audio inputs. This will usually be a line-level input, not a microphone input.
  6. Sequence your MIDI device - Enter or record your score data in the Piano roll or Step Sequencer associated with the MIDI Out channel controlling the external hardware.
  7. Make a live recording - Record the device back into FL Studio, as it is played by the MIDI Out channel.
  8. Audio clips - Place the recorded Audio clip in the Playlist and render the final track.

NOTE: MIDI is not an audio connection, see the Wizard section 'How do I connect my keyboard/controller/synth to my PC' for advice and further links on setting up external MIDI hardware to be recorded in FL Studio.

Parameters

  • Channel - There are 16 MIDI 'Channels'. These are 16 independent channels over which note/controller data can flow (i.e. to play up to 16 separate instruments on a single 'multitimbral' [image] instrument). Generally channel #10 is used for drums channel.
  • Bank (Coarse & Fine) - The patch bank number. 127 banks are available.
  • Port - This is an independent communications channel between the MIDI Out plugin and the target plugin or your MIDI Interface. 255 Ports are available. Matching port numbers on the MIDI Out plugin and the target instrument/plugin links them. If you are controlling external MIDI hardware the Port number here should match the MIDI Settings Output port number set for your MIDI Interface.
  • Patch (and drop-down menu to the right) - The patch (instrument) number. 127 patches (per bank) are available. This parameter may be automated. The menu displays the name of the general MIDI instrument for the selected patch number. It may not match the current instrument if your device is not using a general MIDI mapping. For some devices, the patch number also selects the drum kit for drum channels. To hear these sounds as General MIDI instruments, load a Fruity LSD plugin into the mixer and set it to the same port number as the MIDI Out plugin.
  • Page - There are 8 pages of 9 assignable controllers. Each page holds 8 knobs and 1 slider. Right-click to rename the page. All controllers are automatable.
  • Controller Knobs/Sliders - Continuous controllers (CC) on the target plugin/hardware, such as mod wheels, volume, pan, LFO, filter-cutoffs, etc, have MIDI CC (control change) numbers assigned to them. These are specific 'addresses' for these controls. Each knob represents a single programmable CC controller. The unassigned knobs in each page are labeled with three dashes (---). Click the label to enable/disable the corresponding controller (all controllers are disabled by default). To link a control knob to a MIDI controller (internal or external), right-click a control and select 'configure', and then set the CC number, range, etc. You will need to consult the third party documentation to learn the CC numbers.
  • Reset - Sends a reset (CC #121) message to your MIDI device, then updates all enabled controls. This switch is handy when you have disabled a control and you want its assigned controller to be reset by the MIDI device.

Notes & Tips

  • Pan, filter cutoff & resonance per note (by the graph edit or the Piano roll) are not supported - the MIDI standard only supports velocity per note.
  • As there is no standard rule for mapping velocity values (0..127) to dB, the level scale of MIDI channels may not fit the internal mixer levels.

Plugin Credits: Didier Dambrin


Audigy MIDI

INSTRUMENTS / GENERATORS

Audigy MIDI Out

Audigy MIDI Out allows you to utilize the power of your Audigy MIDI synthesizer.

Parameters

  • Channel - The MIDI output channel number. Generally channel #10 is the drum channel.
  • Bank - The patch bank number (MSB & LSB).
  • Patch - The patch (instrument) number. This parameter is automatable. The combo box displays the name of the general MIDI instrument for the selected patch number.
  • Reset - Sends a reset message to your Audigy synthesizer, then updates all enabled controls. This switch is handy when you have disabled a control & want its assigned controller to be reset by the MIDI device.
  • Page - The current controllers page. Each page contains a specific group of settings for your Audigy synthesizer. The available pages are: Filter; Volume Envelope; Modulation Envelope; Modulation LFO; Vibrato LFO; Effects; Special.
  • Controller Wheel - Each wheel represents a single controller for the Audigy synth. The remaining free wheels in the page are labeled with three dashes (---). Click the label to enable/disable the corresponding controller. All controllers are disabled by default.

Notes & Tips

  • Pan, filter cutoff & resonance per note (by the graph edit or the Piano roll) is not supported - the MIDI standard only supports velocity per note.
  • There's no standard rule for mapping velocity values (0..127) to dB, so the level scale of MIDI channels might not fit the internal mixer levels.

Plugin Credits: Didier Dambrin


Morphine Synthesizer

INSTRUMENTS / GENERATORS

Morphine Additive Synthesizer This plugin must be purchased separately

DEMO ONLY: Morphine is downloadable [image] as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Morphine channels.

Introduction

Morphine is an Additive Synthesizer [image] with quite a few 'twists'. Additive synthesis creates sound entirely from sine wave harmonics and at first this may seem like a major limitation. However, Fourier Theory [image] teaches us that any waveform can be decomposed into an infinite series of sine-waves, a harmonic series. That means Morphine can still create all your Subtractive Synthesis [image] favorites: Square, Saw and Sine waves. It gets better, Morphine can also reproduce the complexity found in real sounds by smoothly interpolating a series of these harmonic 'snapshots', in real-time, to generate what is best described as 'synthetic samples'. In this way, programming Morphine will feel familiar to anyone who has used a Sampler, with the ability to assign sounds across the keyboard and to create crossfades, stacks or blends of any sound/s as desired; welcome to Morphine!

What can Morphine do?

Morphine is a 4 Voice (Generator) additive synthesizer with 128 harmonics per voice. The 'Morph' part of Morphine refers to an architecture that allows these 4 Voices to be mixed and morphed under user control. Sounds (Spectra) are generated by interpolating a series of spectral 'snapshots' that can be created from any input sample or manually drawn. The following is a list of Morphine?s main capabilities in more detail:

    • 4 Independent Generators - Generators are a complete set of Keyboard Zones (independent sounds mapped across the Keyboard). Each Keyboard Zone holds a unique Spectrum (a synthesized sound of any length).
    • Unlimited Keyboard Zones Per-Generator - Every MIDI key can be programmed to hold a unique Spectrum.
    • Spectra - Similar to a 'synthetic' sample. Spectra can be resynthesized from any sample or manually programmed.
    • Resynthesis - Automatically transforms a sample into a Spectrum. That is, a series of harmonic snapshots (called Breakpoints) and puts these under complete user control.
    • Breakpoints - A Breakpoint is a harmonic 'snapshot' at a given moment in time. The Spectrum interpolates a series of Breakpoints to re/create any sound.
    • Noise Generator - The Noise Generator is a specialized extra voice designed primarily for injecting untuned noises into the final patch. This can improve the accuracy and realism of sounds.
    • Morph / Mix - The 4 Generators can be Morphed / Mixed with a user specified envelope. The Morph/Mix envelope can be time or tempo based.
    • Effects - Portamento, Distortion, Chorus, Stereo Delay, Reverb and 8-Band Graphic Equalization are available simultaneously.
    • Coffee & Tea [image] making - You wish.
    • Amazing Sound [image] - No problem!

Does Additive Synthesis Hurt?

Additive Synthesizers are rare enough that they exist in an atmosphere of mystique, rumour and fear. Some say that Additive Synthesis is so complicated that it makes FM synthesis appear to have the engineering complexity of a spoon. Fortunately the reality is a lot less scary, Morphine is only slightly more complex to master than a spoon and you will be feeding yourself in no time. Probably the best analogy is to consider Morphine a multi-sampler that can generate its own 'synthetic' samples. So how does Morphine do this? Any sound can be represented by an infinite series of harmonics (sine waves) that vary constantly in amplitude and phase. Morphine captures this harmonic variation as a series of snapshots, just like the still frames in a movie and then by playing back this 'harmonic movie', in real-time, almost any sound can be re/created in synthetic form. So there you have synthesis in Morphine, not so scary. The hardest part will be learning the jargon in this manual. If Morphine is a spoon, then the jargon welds a set of spring-loaded cheek-piercing bolts to it.

The harmonic snapshots are called Breakpoints, each is composed of three unique values, Amplitude (shown above), Panning and Detune. The 'harmonic movie' is an interpolated sequence of Breakpoints and is officially called a 'Spectrum'. The envelope-style display, middle of the screenshot above, shows a Spectrum composed of 10 Breakpoints. Spectra can be manually entered and edited using the Breakpoint Editor (the top-most window in the screenshot above) OR automatically generated from samples in a process called 'Resynthesis'. Now all you have to do is work out how not to jab yourself in the eye with your new spoon and you will be Additively Synthesizing like a pro. Still scared? Load the factory patches, sit back and use a straw...tastes just as good!

Plugin Credits:

Morphine was created by Maxx Claster [image] exclusively for -

Image Line Software


Morphine Synthesizer General

INSTRUMENTS / GENERATORS

Morphine General Settings & Controls

Controls

This page is dedicated to the General Settings panel and tips for using the main interface controls.

General Settings

Many of the name fields or data fields also function as the interface to change the value. For example clicking in the TRANSP field (shows -24 in the screen-shot above) and dragging the mouse up/down will change the value of the field.

    • BANK - Click to select a new Bank. Selecting a Bank opens a list showing installed Banks.
    • PROGRAM - This a single patch (sound). Selecting this field will open a list of all the patches in the Bank.
    • POLY - Change the polyphony (number of simultaneous notes). 'Mono' to 32 note Polyphony is possible.
    • TRANSP - Transpose the sound in semi-tones (+/- 24).
    • FINE - Fine tune in Cents (1/100th of a semitone).
    • G-MODE - Glide Mode. This works in conjunction with the GLIDE knob.
      • Bend VT - All notes will glide at a fixed rate so that larger jumps take longer (Variable Time).
      • Held VT - Overlapping notes will glide at a fixed rate so that larger jumps take longer (Variable Time).
      • Bend ST - All notes will glide at a variable rate so that glide-time is independent of the jump size (Static Time).
      • Held ST - Overlapping notes will glide at a variable rate so that glide-time is independent of the jump size (Static Time).

Control Types

If it looks like a control, or even if it doesn't, try left-clicking it, right-clicking (or Alt + Left-click) and generally fiddling around. It's a great way to learn the interface!

    • Data & Name Fields - Many of the Data/Name fields in Morphine also function as the interface to change the value. For example, clicking in the TRANSP field (shows -24 in the screen-shot above) and dragging the mouse up/down will change the value.

    • Partials - Click the AMPLITUDE, PANNING, DETUNE, VELOCITY or WINDOW switches to change the target.
      • Change value: Left-click and drag up/down.
      • Reset: Right-click (or Alt + Left-click).
      • NOTE: There is also a TOOL menu with options for adjusting partials in groups.
    • Knobs & Sliders -
      • Change value: Left-click and drag the mouse up/down.
      • Reset: Right-click (or Alt + Left-click).
      • Fine changes: Holding the Shift key while adjusting knobs and sliders will allow more precise adjustment.
    • Markers - Can be left-clicked and dragged in any direction (up/down and/or left/right).
      • Create/Delete: Right-click (or Alt + Left-click) at the location where you want a Marker to appear OR on the Marker you want to delete.
      • Select: To select a Marker click in the space between markers and the leading Marker will be selected.
      • Slide Reposition: Left-click and drag the Marker, any following markers will slide in sympathy.
      • Independent Reposition: To move a Marker without disturbing others, hold Shift + Left-click and drag the Marker.
    • Switches - Left-click to turn on/off or select.
    • Menus - Left-click to open the drop-down menu. Note that some menus appear static menu fields while others change to show the selected option. Look for the down arrow symbols.


Morphine Synthesizer Generator

INSTRUMENTS / GENERATORS

Morphine Generator Panel

An Overview of Synthesis in Morphine

The Generator Page contains the Additive Synthesis controls for Morphine. As has been discussed in the introduction, Additive synthesis builds more complex waveforms from a harmonic sequence of sine-waves. Better yet, Morphine can interpolate a series of these harmonic 'snapshots', that may be manually programmed or derived from samples, to re/create infinitely complex sounds. In other words, Morphine can generate synthetic 'samples'. There are four main features of the Morphine architecture -

    • Harmonics: Each note consist of a fundamental (or root) sine wave and, optionally, a series of harmonics (higher frequency sine waves linked to the root) to create almost any waveform. The architecture allows harmonic amplitude, tuning and panning to be modulated creating infinitely complex and rich tones. Each set of 128 harmonic properties and associated modifiers is termed a 'Breakpoint'.
    • Harmonic Morphing & Modulation: Breakpoint properties such as harmonic amplitude, tuning and panning can be interpolated to produce a continuous evolving sound, known as a 'Spectrum'.
    • Keyboard Zones: Zones add the ability to spread unique Spectra across the keyboard. If desired each note from C0 to C11 can play a unique Spectrum!
    • Generator Mixing: The 4 Generators can be dynamically cross-faded using the Morph/Mix control panel. Given that each Generator can contain a set of morphing Breakpoints, the possibilities are limitless.

The aim was to provide the sound designer with a rich pallet of evolving sounds that can be mixed, real-time, in response to modulation parameters time or tempo. By now the Morph in Morphine should be clear.

Controls

This section describes the synthesis controls and their operation.

GENERATOR A, B C & D

The 4 GENERATORS in Morphine have the same set of properties that modify the response of 128 harmonics per voice. Further, in combination with Keyboard Zones, Generators can contain multiple, independent, 'sub-voices' assigned to play over unique keyboard ranges. The components of the Generators are described, starting from the bottom of the Generator Page (as shown above) working upwards:

  • KEYBOARD ZONE LAYOUT - Each Generator can include multiple Keyboard Zones controlled by the KEYBOARD ZONE LAYOUT control. The control defines both the keyboard range (as shown by the horizontal line), for each voice, and the playback level (height). At least one Keyboard Zone must exist for each GENERATOR, the default covers notes C0 to C11. NOTE: Each zone represents a completely independent SPECTRUM (a set of interpolated BREAKPOINTS). This allows different sounds to be spread across the keyboard for each Generator. The most common use of Keyboard Zones is to balance the tonal properties of imported Spectra (see the Resynthesis section) across the keyboard, similar to a multi-sampled sound in a sampler. However, you can also use Zones to make a set of completely unrelated sounds on every key if desired.

    • Select Zone - Left click between Zone Markers (small squares). This will change the harmonic partial editor and spectrum editor to show the values of the currently selected zone.
    • Create Zone - Right-click (or Alt + left-click) at the point where the zone should start. NOTE: New Zones open with a default Spectrum (i.e. silent).
    • Delete Zone - Right-click (or Alt + left-click) the zone Marker (square) at start of the zone.
    • Change Zone Range - Left-click the Marker at the start of the zone and drag horizontally.
    • Change Zone Volume - Left-click the Marker at the start of the zone and drag vertically.
    • Select Zone - Click anywhere inside the zone range. This will change the harmonic editor to show Spectrum Breakpoint & Spectrum values.

    • KEYBOARD ZONE LAYOUT (Drop-down menu) :
      • Import Kbd Zone Layout - Loads a zone layout from disk. Please note, this loads a set of zones saved for the current GENERATOR. Drag-n-drop is supported.
      • Export Kbd Zone Layout - Saves zone layout to the disk.
      • Copy - Copies all zones for the current Generator so that they can be pasted into another Generator.
      • Paste - Pastes zone layout.
      • Reset - Initializes the layout, setting it to the default state. NOTE: this will reset all zones for the current GENERATOR. The initial zone will have no harmonics set so won't produce sound (tabula raza!).

  • SPECTRUM EDITOR - The Spectrum Envelope holds a series of harmonic snapshots (BREAKPOINTS), represented by the points along the envelope (height is level, horizontal distance is time). The harmonic properties of each Breakpoint are set using the BREAKPOINT EDITOR described in the next section. The envelope 'plays' the sequence of Breakpoints morphing from one to the next creating what is termed the SPECTRUM for the KEYBOARD ZONE. The SPECTRUM can include an unlimited number of BREAKPOINTS including LEVEL, PAN and DETUNE for the 128 harmonics. The two additional harmonic properties, WINDOW (a filter curve) and VELOCITY (velocity responsiveness) apply to all Breakpoints in the Spectrum and so remain constant.

    Each Keyboard Zone contains one Spectrum. The Spectrum Editor allows you to edit the Spectrum of the currently selected (highlighted) Keyboard Zone, as follows:

    • Select Breakpoint - Left-click in the space between Breakpoint Markers and the Breakpoint to the left will be selected (You can click directly on the Breakpoint Markers however it is easy to accidentally move them using this technique).
    • Add Breakpoint - Right-click (or Alt + Left-click) at the place where the Breakpoint should appear. Both the level and time are selected on the basis of the cursor position.
    • Delete Breakpoint - Right-click (or Alt + Left-click) the Breakpoint Marker.
    • Breakpoint Level (Volume) - Left-click and drag the Breakpoint Marker up or down.
    • Temporal position (timing) - Left-click and drag the Breakpoint Marker horizontally. The time-line below shows the time in seconds. The level (%) and time is also displayed in the info-bar above partial editor (near Partials label). Timing is in seconds unless the TEMPO SYNC button is enabled, then timing is in beats (related to the host sequencer tempo).
    • SPECTRUM (Drop-down menu):
      • Import/Export spectrum - Opens a dialog to load/save a Spectrum to/from disk. Drag-n-drop is supported.
      • Copy Spectrum - Copies the current spectrum. This can be pasted in another spectrum at another keyboard zone, generator or even another Morphine instance.
      • Paste spectrum - Paste the spectrum copied above.
      • Paste Velocity - Paste only Velocity response coefficients (see in Breakpoint Editor section).
      • Paste Window - Paste only Window data (see in Breakpoint Editor section).
      • Reset Spectrum/Velocity/Window - Resets the spectrum, or portion of it, to default (empty) state.
      • Normalize Level - Will normalize the general level of Breakpoints, so the level of spectrum sounding will be maximized.
      • Delete Breakpoints Before/Within/After loop - Deletes the Breakpoints in the region specified. Before the loop refers to the loop start Marker, Within the loop refers to the points bounded by the loop Markers and After the loop refers to points after the loop end Marker.
      • Import Charged Sample - See the Resynthesis section.
    • LOOP MODE - The spectrum envelope can be looped by dragging the loop start and end Markers (shown set to the last two points in the envelope above) to the desired points in the envelope. When the loop start is reached the Spectrum timer loops the region bounded by the start and end points according to the LOOP MODE setting. Left-click on the LOOP MODE menu, text after the label, to set the loop type. NOTE: Loop start/end markers can be placed anywhere and don't need to fall on Breakpoint Markers. 4 loop modes are possible:
      • Ping-Pong - The loop will bounce back and forth between the start and end positions.
      • Forward - The loop will jump back to the loop start each time it reaches the loop end.
      • Backward - The envelope will play to the loop end then play backward to the loop start, jump to the loop end again and repeat this process.
      • Off - No looping. The envelope plays through to the last point and holds that value.

        Pausing a Breakpoint - To stop at a given place in the envelope, make the loop start and end positions the same. If RELEASE LOOP mode is on, the envelope will continue past this point when you release the note.

    • RELEASE LOOP - This button controls timer behavior when a note is released. When release loop button is enabled, after you release the note the loop will jump out of loop-mode and jump to the next Breakpoint after the loop end point.
    • TEMPO SYNC - Changes the envelope to play back in sync with the host tempo. The time display will change to beats.
    • RATE - Changes the envelope playback speed, right = faster, left = slower. The default value = 0.0, no change. NOTE: The time-base changes so the breakpoints are displayed against their correct time values in ruler below.
    • K-TRK (Keyboard Tracking) - Acts as an envelope playback speed modifier in response to keyboard/note position. When positive values are set the higher keys will progress through the spectrum envelope faster. Negative values will cause lower notes to progress through the spectrum envelope slower.
    • V-TRK (Velocity Tracking) - Acts as an envelope playback speed modifier in response to note velocity. Positive values will speed the envelope with higher velocities, negative values will slow the envelope with increasing velocity.

    Spectrum Editor Tips and Tricks

    • Selecting Breakpoints - To select a Breakpoint Marker to edit its values, it's not necessary to click on the point on the envelope, click somewhere between the desired Breakpoint and next one.
    • Scroll the envelope window - Click and hold the time/beat display ruler below the envelope and drag left/right to access time beyond those displayed in the window.
    • Zoom - To Zoom the spectrum envelope roll the mouse-wheel. Alternatively Click + Shift on the ruler below the envelope and drag the mouse up and down.
    • Reposition a Breakpoint - To shift the relative position of a Breakpoint without disturbing others hold Shift and move the Breakpoint Marker.

  • BREAKPOINT EDITOR - Each BREAKPOINT has level, panning and detune properties for each of 128 harmonics that creates the waveform for that Breakpoint. The Breakpoint is just one moment in time as defined by the SPECTRUM ENVELOPE, as described in the preceding section. There are two additional harmonic properties, Velocity and Window, these are global settings that apply to all Breakpoints on the Spectrum and so do not change with time.

    As shown above there are 5 properties that can be accessed by selecting the switch along the top of the Breakpoint Editor window. To change the values left click at the partial to be edited and move your mouse up/down. To reset/delete values Right-click (or Alt + Left-click) at the partial to be edited. The functions of the various properties are described below:

    • BREAKPOINT (Drop-down menu):

        • Import Breakpoint/Waveshape - Load previously saved breakpoints or import wave shapes from an audio file (.wav, .aiff). Drag-n-drop is supported.
        • Export Breakpoint - Save a breakpoint to file.
        • Copy Breakpoint - Copy the currently selected Breakpoint (remember a Breakpoint includes all 'views' - Amplitude, Detune, and Panning).
        • Paste Breakpoint - Paste the contents of the Breakpoint buffer to the currently selected breakpoint (Amplitude, Detune, and Panning).
        • Paste Current View - Pastes only the currently selected Breakpoint view (Amplitude, Detune, OR Panning).
        • Paste Current View to all Breakpoints - Applies the current Breakpoint view (Amplitude, Detune OR Panning) to all Breakpoints in the Spectrum.
        • Reset Breakpoint - Clears the breakpoint (blank).
        • Reset current view - Resets the current view only (Amplitude, Detune OR Panning).
    • AMPLITUDE - Displays volume level for each of the 128 harmonics. Values can range from 0% (no bar showing) to 100% (maximum height). NOTE: The overall level of the harmonics also depends on the Breakpoint level set in the SPECTRUM Editor as described in the Spectrum Editor section.
    • DETUNE - Applies a frequency offset to the selected harmonic. As the frequency of each harmonic is equal to the root-note frequency multiplied to the harmonic number (1 to 128), detune allows you to change set sub-integer (decimal) tuning values to the harmonics. Setting detune values to MAX/MIN values will make them equal to the neighbouring harmonic. Detuning harmonics causes the sound to take on the character of acoustic instruments and sounds, including some 'unison' effects.
    • PANNING - Places the harmonic in the stereo field. Move bars up to right, down to pan Left.
    • VELOCITY - This is a global modifier and sets the harmonic partial velocity sensitivity for all Breakpoints of the currently selected Spectrum. The higher the bar, the greater the velocity modulation of the harmonics/partials volume. No bar means velocity will have no effect.

    • WINDOW (Frequency Domain Window) - This is a global harmonic volume modifier for all Breakpoints of the currently selected Spectrum (it functions as a harmonic filter). The smaller the bar the quieter all harmonics in the Spectrum will be. By default, all Window columns are set to maximum (no change).

      NOTE: When the Breakpoint Menu is in Window and Velocity edit modes, has no copy/paste values as these are already global functions for the Spectrum. To reset, copy or paste go to the spectrum menu and click the desired Spectrum menu option.

    • TOOL (Drop-down menu) - Changes the edit behavior of the values. There are two edit modes for this tool setting, Normal (Left-Click & Drag): The value will jump to the mouse position and then move with the mouse. Relative (SHIFT + Drag): Edits are 'relative' for the affected value/s.

      • One - Edit single harmonics (default mode).
      • Odd - Raise/lower all odd numbered harmonics (1,3,5...127).
      • Even - Raise/lower all even numbered harmonics (2,4,6...128).
      • 3rds - Raise/lower every 3rd harmonic (3,6,9...126).
      • 4ths - Raise/lower every 4th harmonic (4,8,12...128).
      • 5ths - Raise/lower every 5th harmonic (5,10,15...125).
      • FLT 1 - Filter Narrow, raise/lower a narrow bandwidth around the target harmonic.
      • FLT 2 - Filter Medium, raise/lower a medium bandwidth around the target harmonic.
      • FLT 3 - Filter Wide, raise/lower a wide bandwidth around the target harmonic.
      • FLT 4 - Filter Extra Wide, raise/lower an extra wide bandwidth around the target harmonic.

    Breakpoint Editor Tips and Tricks

    • Zero a harmonic - To reset a harmonic value to zero, Right-click (or Alt + Left-click). To reset a range right-click (or Alt + Left-click) and drag the mouse across the harmonics to be reset.
    • The important harmonics - The first 16 harmonics are most audible and so important to the final sound. Often the highest harmonics are set to low levels in order to subtly affect a sound. These are also more audible when low notes are played. The same principle applies to DETUNE with the lower harmonics having the greatest impact on the sound.
    • Values and Labels - When you edit a harmonic its values and number appear in the info bar near the 'PARTIAL' label.

CONTROL RANGE

Limits the Detune and Pan range of the 128 harmonics for all Breakpoints. NOTE: If these are set to zero then the Detune and Pan values set in the Breakpoints won't have any effect, conversely, if the Breakpoints don't have Detune and Pan values set, then these sliders will have no effect on the sound.

PWM FILTER

PWM FILTER - Each generator has a unique PWM Filter (Pulse Width Modulation). PWM Filters are usually created by adding or subtracting a second (detuned or phase shifted) voice with an original to create unison, phasing or chorus-like effects. As the Morphine architecture provides control over the harmonic spectra it is possible to modulate the 128 harmonic amplitudes of each Breakpoint to simulate voice mixing without the need to double voices. The options include detune, phase, and mix coefficient (positive or negative).
    • RATE - Modulation speed. Up is faster.
    • FREE - OFF: the modulation cycle starts with each note. ON: the modulation cycle is free-running.
    • PHASE - Change the phase of the modulation cycle.
    • MODE (OFF / + / -) - OFF: No detune simulation. +: Simulates additive voice mixing. -: Simulates subtractive voice mixing.

Breakpoint Editor Tutorial

This quick tutorial will show you how to morph between two simple harmonic spectra and give you a feel for working the controls of the Breakpoint Editor window, see the instructions below the image.

Harmonic Morphing

  1. Reset the patch: Left click in the Program Name field (top-left window in Morphine) and select 'Reset Program' to call a blank patch.
  2. Add a harmonic Breakpoint: Click on the AMPLITUDE Breakpoint control and raise the left-most harmonic bar to maximum and play on your keyboard/sequencer. You should hear a single sine wave sound, the fundamental harmonic.
  3. Add a new morphing envelope point: Right-click (or Alt + Left-click) in the area shown above at (2.) to add a new morphing envelope point. Make sure the point is at the top of the window as the height will affect the volume of the spectra at that point. Adding a point in this way will replicate the spectrum of the point immediately to the left of the new point.
  4. Customise the new Breakpoint sequence: Lower the original, left-most harmonic and add a new one further to the right. When this patch is played you will hear the low sine morph into a higher one as the harmonics are morphed from the first to second Breakpoint.
  5. Change the morph speed: Adjust the RATE knob above the envelope window and hear how it affects the speed the envelope is played. You can also modulate the playback speed by changing the RATE K-TRK (keyboard tracking), the RATE V-TRK control or simply moving the Breakpoint left/right. These will change the speed in response to note position and velocity respectively. An alternative envelope mode is the TEMPO SYNC mode where the envelope will play back in beat-time, this is useful for tempo-synced sounds.
  6. LOOPING: Left-clicking to the right of the LOOP MODE label will open an menu to change the envelope loop type (Off, forward, backward or ping-pong as shown above). The start/end points may be left-clicked and dragged to the appropriate position on the envelope.
  7. KEYBOARD ZONES - Keyboard Zones allow you to either program new sounds on any or all keys or to tonally balance a sound across the keyboard (similar to multisamples on a Sampler). When you add a new Keyboard Zone (Right-click or Alt + Left-click in the Keyboard Zone window) it may seem that Morphine has lost your hard work on the current Zone. Fear not! New zones are blank, if you click on the first Keyboard Zone in the lower panel, your first Keyboard Zone will re-appear. Use this method to swap between Zones and Breakpoint Sequences.

ADSR (Attack, Decay, Sustain and Release) Envelopes

You may be wondering where the ADSR envelopes are for the Generators (A to D). Since the volume envelope of a Spectrum is defined by the height of the Breakpoint Markers a separate ADSR envelope is unnecessary. To set the ADSR of a Spectrum simply draw the desired volume curve. To set a Sustain Level (a constant volume while a key is held) you can either use the last Breakpoint or, if you also need to have a release envelope, then use the Loop Markers to trap the Spectrum at the desired Breakpoint (or set of Breakpoints) and so define the Sustain level. In the example below, the Loop Start and End Markers are placed on the third Breakpoint in the sequence, trapping the Spectrum at that Breakpoint. On release the Spectrum will continue to the last Breakpoint and so the portion after the loop end will define the Release envelope. Don't forget, there is also a Master Envelope, that applies to all Spectra, however bear in mind that this is imposed over the sound of the Generators so it won't add a fast attack to a Generator with an inherently slow attack.


Morphine Synthesizer Resynthesis

INSTRUMENTS / GENERATORS

Morphine Resynthesis Panel

Resynthesis

The Resynthesis function takes an input sample and recreates the sound as a 'Spectrum' that is a series of Breakpoints. Each Breakpoint represents a harmonic 'snapshot' of the sound at a given moment in time. For the most accurate results Morphine offers several manual controls to 'tune' the resynthesized sound to the original. The tutorial at the bottom of this page has more details on manual tuning.

Controls

    • CHARGE SMP - Charge Sample opens a Load Dialog to browse and load (Charge) samples. Clicking the button again when a sample is loaded will 'Uncharge' the sample, clearing it. Favor samples without effects and in the MIDI note range C4 to C5 for the best results.
    • NOTE - Change the root note of the resynthesized sound (the note that corresponds to the original pitch of the sound). This is similar to the 'Root Note' function in a Sampler and is the main control to adjust when matching the resynthesized sound with the original sample.
    • DETUNE - Fine tune. Changes the tuning of the resynthesized sound in cents.
    • RESOLUTION - Changes the rate at which Breakpoints are laid down (similar to sample rate). The Normal setting is the lowest resolution while Best has the highest and works in conjunction with the SPECTRUM menu item 'Import charged sample'. Changes to RESOLUTION will only be audible once the resynthesized sound has been loaded to a ZONE (see below).
    • BALANCE - Adjust the TEST playback balance between the original sample (fully left) and the resynthesized sound (fully right). The default is a 50/50 mix of the original and resynthesized sounds and is a good starting position as you use the Note & Detune controls to fine-tune the tone of the resynthesized sound to match the original.
    • TEST - Starts/Stops a looped play-back of the original and resynthesized 'preview' sound. NOTE: The resynthesized sound heard here is a preview only (in order to reduce CPU load for testing). Always 'Import charged sample' (described below) to hear the final resynthesized sound.
    • SPECTRUM (Menu) - Use the menu item 'Import charged sample' to load the spectrum into the currently selected Zone. Remember this will overwrite any existing data in the Zone.

Resynthesis Tutorial

The most accurate resynthesis will usually require your input, nothing can beat the human ear when matching sounds. A good analogy to keep in mind when Resynthesizing is: 'Load, Aim and Fire'. That is, 'Load' the sample, 'Aim' by adjusting the Resynthesis controls and 'Fire' by sending the sample to the desired Keyboard Zone. Details are as follows -

    1. Reset the patch: Start with a blank patch, left-click in the Program Name field (top-left window in Morphine) and select 'Reset Program' to call a blank patch.
    2. 'Load': Load the sample to be resynthesized by clicking the CHARGE SMP button. Pad/String sounds are a good example to start with as they are usually the easiest to resynthesize. TIPS: Use 'dry' samples around C4 or C5. Reverb or delay effects are difficult for the resynthesis algorithm to interpret and often sound strange. The note range C4-C5 also tends to work best for single sounds stretched across the keyboard. If you intend to have multiple Keyboard Zones use a sample that is in the middle of the Keyboard Zone range that it will serve (the same principle that is applied to multi-sample patches on samplers).
    3. Play the sample: Pressing the TEST button will play the original sample and resynthesized sounds together to aid the 'tuning' procedure.
    4. Compare sounds: Use the BALANCE control to fade between the original (left-turn) and resynthesized (right-turn) sounds for comparison.
    5. 'Aim' by fine-tuning the sound: Adjust, first the NOTE and then DETUNE controls so that the original and resynthesized sounds are closely matched (if that is your goal). A good technique is to fade the BALANCE knob fully left/right after making adjustments, if you have the perfect resynthesis the sound won't change (much) as the BALANCE knob is moved. NOTES: 1. The resynthesized sound is only a preview, always 'Import charged sample' (described below) to hear the final resynthesized sound. 2. Untuned noises are difficult to resynthesize. For example the human voice, plosives, breath and similar untuned percussive sounds tend to acquire a 'vocoded' quality. To help resolve these issues the Noise Generator can be used to restore untuned noises to the patch. Note that you can load your own custom Noise Samples to the library if needed.
    6. 'Fire', shoot the resynthesized sound to a Zone: Open the SPECTRUM menu and import the Spectra into the selected Zone (Import charged sample). If desired you can change the import resolution by selecting the RESOLUTION (Normal, High, Best) options in combination with the 'Import charged sample' step. If you have resynthesized a sample and the sound is still out of tune (and you have set the Resynthesis DETUNE range to the max) the following method may help:
        • 6.1 If you don't need to preserve Detune settings on other Spectra, turn down the 'Control Range' Detune slider (on the main interface) to the minimum setting. OR if you need to preserve Detune on other Spectra...
        • 6.2 Select 1 breakpoint from inside the Spectrum window.
        • 6.3 In the breakpoint window, select the 'Detune' view.
        • 6.4 In the breakpoint menu, first select 'Copy Breakpoint', then select 'Paste current view to all breakpoints'. This will match the detuning levels of all Breakpoints to the current Detune selected, but won't alter the Amplitudes or Panning values.

      This is particularly useful for sounds that are rich in higher harmonics (i.e.plucked sounds, hammered sounds, square-waves, etc).

It's that easy, Load, Aim and Fire!


Morphine Synthesizer Morph-Mix

INSTRUMENTS / GENERATORS

Morphine Morph / Mix Panel

Morph Mix & Noise Generator Page

The Morph / MIX page provides controls to mix the 4 Generators (A to D) together according to the MORPH PATH. There are two ways of editing the path, on the left-hand side of the page is a 2D representation. The position in 2D space represents the relative input of each Generator with the 100% mix position for each Generator being at the corner of the square. The path shown in the screen-shot above starts with 100% Generator A then moves to mainly Generator C, to Generator B and finally to Generator D (the highlighted marker). An equal mix of all 4 Generators lies at the center of the space (roughly where the paths cross in the middle of the screen-shot). On the right, the path is broken down into Generator Pairs. The upper path represents Generator A/D vs B/C morphing and the lower path represents Generator A/B vs D/C. In combination these graphs equal the principle horizontal and vertical axes of the 2D path on the left side of the page. The Morph/Mix path can be time or tempo based.

Morph / Mix Controls

    • Add Markers - Right-click (or Alt + Left-click) the location where the marker is required.
    • Delete Markers - Right-click (or Alt + Left-click) the marker.
    • Move Markers - Left-click and drag the selected marker (Markers to the right will also be shifted). Holding the SHIFT key moves only the selected marker, other markers remain in place.

2D Morph Panel Controls (left)

The following controls affect Generator morphing.

    • GENERATOR A/B/C/D (drop down menus):
      • Import / Export Generator - Import / Export a Generator Spectrum. Drag-n-drop is supported.
      • Reset - Reset the Generator (blank).
    • MIX - Relative volume of the Generator.
    • PAN - Pan for the Generator.
    • MUTE/SOLO - Mute or Solo Generators while editing the Mix/Morph path.

Morph Paths (right)

    • MORPH PATH (drop down menu):
      • Import / Export Morph Path - Import / Export a Morphing path. This will affect both the upper and lower editors. Drag-n-drop is supported.
      • Reset - Reset the Morph Path (blank).
    • LOOP (drop down menu): Change the loop type between -
      • Ping-Pong - The loop will bounce back and forth between the start and end positions.
      • Forward - The loop will jump back to the loop start each time it reaches the loop end.
      • Backward - The envelope will play to the loop end then play backward to the loop start, jump to the loop end again and repeat this process.
      • Off - No looping. The envelope plays through to the last point and holds that value.
    • TEMPO SYNC - Changes the Morph Path to play back in sync with the host tempo. The time display will change to beats.
    • RATE - Changes the envelope playback speed, right = faster, left = slower. The default value = 0.0, no change.
    • K-TRK (Keyboard Tracking) - Acts as an envelope playback speed modifier in response to keyboard/note position. When positive values are set the higher keys will progress through the Morph Path faster. Negative values will cause lower notes to progress through the Morph Path faster.
    • V-TRK (Velocity Tracking) - Acts as an envelope playback speed modifier in response to note velocity. Positive values will speed the Morph Path with higher velocities, negative values will slow the Morph Path with increasing velocity.

      Tips

    • Zoom time ruler - Scroll mouse-wheel.
    • Scroll time ruler - Left-click and drag time ruler.

Noise Generator (lower right)

Untuned noises are difficult to accurately resynthesize. In particular the human voice with its plosive/breath noises or taps, bangs and scrapes tend to acquire a 'vocoded' quality after resynthesis. To solve this problem, the Noise Generator is a specialized extra voice designed primarily for injecting untuned noises into the Mix/Morph mix. For example, the mechanical 'Piano Hammer' sound or the 'Chuff' from the attack of a flute. Noise samples are triggered at the start of each path (note on) and remain unpitched as the MIDI note changes. If desired, you can add your own noise samples to the Library.

Main controls

    • NOISE SMP (drop down menu):
      • Add sample to Noise Library - Opens a browser dialog so that you can find and import custom noise samples to the Morphine library.
      • Choose from the noise samples in the list - Click on the name of the sample to load.
    • BYPASS - Bypassing the noise sample turns it off.
    • MONO - Force the noise sample to play in mono.
    • LOOP ON/OFF - Loop the noise sample.
      • Off - No looping. The envelope plays through to the last point and holds that value.
      • Forw (Forward) - The loop will jump back to the loop start each time it reaches the loop end.
      • Backw (Backward) - The envelope will play to the loop end then play backward to the loop start, jump to the loop end again and repeat this process.
      • P-P (Ping Pong) - The loop will bounce back and forth between the start and end positions.
    • MIX - Relative mix of the noise sample (0 to 100%).
    • PAN - Pan of the noise sample (-100% L to 100% R).
    • RATIO - Pitch the noise sample relative to the original (0.25 to 4.00).
    • VEL - Velocity sensitivity of the sample (0% is no velocity sensitivity, 100% is maximum).

Noise Generator Filter

    • FLT (Drop down menu), works in conjunction with the CUTOFF, RESO and FLT K-TRK knobs:
      • Off - No filtering.
      • LP (Low-Pass) - Allows low frequencies to pass according to the CUTOFF knob value.
      • BP (Band-Pass) - Allows a narrow band of frequencies to pass, the center of this band is controlled by the CUTOFF knob value.
      • HP (High-Pass) - Allows high frequencies to pass according to the CUTOFF knob value.
    • CUTOFF - Filter cutoff frequency.
    • RESO - Filter resonance amount.
    • FLT K-TRK (Keyboard Tracking) - Modifies the filter cutoff in response to keyboard/note position. Higher notes allow higher frequencies to pass.


Morphine Synthesizer Modulation

INSTRUMENTS / GENERATORS

Morphine Modulation Panel

Modulation

Modulation is essential to give sounds a natural and interesting quality.

    • PITCH-BEND AMOUNT - Global Pitch-Bend setting (in semi-tones).

Modulation Matrix Controls

The Modulation Matrix provides the opportunity to set 12 Source to Destination relationships within Morphine.

    • SOURCE - Each of the 12 Source fields contains a drop-down menu to select from the options.
    • AMOUNT - Modifies the Modulation relationship (-100% to 100%). Minus values invert the relationship, that is as the Modulation Source increases the Destination decreases.
    • DESTINATION - Each of the 12 Destination fields contains a drop-down menu to select from the Modulation target options.

EG Envelope (Envelope Generator)

There are 4 Envelope Generators that provide customisable Modulation Envelopes. The EG Envelopes may be synced to tempo or time. To edit an Envelope select the switch EG 1 to 4 to the right side of the display. These appear as Modulation Source options in the Modulation Matrix (Envelope 1 to 4).

    • Add Envelope Marker - Right-click (or Alt + Left-click) at the place where the Marker should appear. Both the level and time are selected on the basis of the cursor position.
    • Delete Envelope Marker - Right-click (or Alt + Left-click) the Marker.
    • ENVELOPE (drop down menu):
        • Import / Export Envelope - Import or export envelopes using saved files. Drag-n-drop is supported.
        • Copy / Paste - Copy and paste envelopes.
        • Reset - Blank default.
    • LOOP (drop down menu):
        • Off - No looping. The envelope plays through to the last point and holds that value.
        • Forward - The loop will jump back to the loop start each time it reaches the loop end.
        • Backward - The envelope will play to the loop end then play backward to the loop start, jump to the loop end again and repeat this process.
        • Ping-Pong - The loop will bounce back and forth between the start and end positions.
    • RELEASE LOOP - When the Release Loop button is enabled, the Envelope will break out of the looped section and jump to the next Envelope Marker after the loop end point.
    • TEMPO SYNC - Changes the envelope to play back in sync with the host tempo. The time display ruler will change to beats.
    • BIPOLAR - Changes the envelope to Bipolar mode, that is -100% to 100%. 0 % in the middle, as shown by the horizontal line.
    • RATE - Changes the envelope playback speed, right = faster, left = slower. The default value = 0.0, no change. NOTE: The time-base changes so the breakpoints are displayed against their correct time values in ruler below.
    • K-TRK (Keyboard Tracking) - Acts as an envelope playback speed modifier in response to keyboard/note position. When positive values are set the higher keys will progress through the Envelope faster. Negative values will cause lower notes to progress through the Envelope slower.
    • V-TRK (Velocity Tracking) - Acts as an envelope playback speed modifier in response to note velocity. Positive values will speed the Envelope with higher velocities, negative values will slow the Envelope with increasing velocity.
    • VEL RESPONSE (Velocity Response) - Acts as an envelope playback speed modifier in response to note velocity. Positive values will speed the Envelope with higher velocities, negative values will slow the Envelope with increasing velocity.


Morphine Synthesizer Technical

INSTRUMENTS / GENERATORS

Morphine Technical Information

Hardware Requirements

OS: Window XP, OSX 10.4 (Tiger) or higher.

CPU: Intel Pentium III compatible with SSE1/2 support, G4 PowerPC on Macintosh with full Altivec support. Recommended CPU speed is 2 GHz or higher.

RAM: Recommended 512 Mb or higher.

Plugin Formats:

VSTi 2.4 (Windows / OS X), AudioUnit (OS X), Stand Alone.

Morphine MIDI support

Morphine supports standard MIDI protocol. You may route various MIDI Channel Controllers (CC) to different parameters at Morphine Modulation Matrix. Channel number is ignored (Morphine works in ?omni? mode).

The following MIDI commands/CC?s are assigned automatically:

    • Program Change.
    • Bank Change (CC 32)
    • Sustain Pedal (CC 64)
    • Channel Volume (CC 7).
    • Channel Panning (CC 10).
    • Reset All Controllers (CC 121).
    • All Notes Off (CC 123).
    • Pitch Bend Wheel (the range of pitch bend wheel is being set on the Modulation Page).

Output Sound Format

Morphine uses the following standard sound output formants -

    • VSTi: 32-Bit float, stereo.
    • AudioUnit (AU): Canonical format - 32-Bit float, stereo, non interleaved.

Morphine File Architecture

Synthesizer Core:

    • Windows: Morphine.dll AND Morphine.exe will be copied into the VST folder. The location of this folder often depends on settings in the Host program (e.g. FLStudio, Cubase, Live?), see your host settings. The 'standard' folder path for VST?s is Program Files/Steinberg/VstPlugins.
    • OS X: Three files will be copied automatically. VST format file (Morphine.vst) will be installed to Library\Audio\Plug-ins\VST\Image-Line, AudioUnit (Morphine.component) format file will be installed to Library\Audio\Plug-ins\Components and the standalone version (Morphine.app) in the Application folder.

Additional files:

Additional Morphine related files will be copied into the installation directory. The default locations are -

    • Windows: You can choose where to install these files (default location is Program Files/Image-Line/Morphine).
    • OS X: In OS X the files will be copied in Library\Application Support\Image-Line\Morphine.

Additional files are:

    • Graphical (Skin) files in../Morphine/Graphics folder.
    • Sound library (factory presets) in ?/Morphine/Sound Banks. Banks are stored in sub-directories.
    • Noise Samples library in ?/Morphine/Noise Samples.

Audio Formats supported

Morphine can load audio files for resynthesizing them, importing spectra in a breakpoint, or to be used as noise sample. Supported audio file formats are:

    • Microsoft Wave (.wav) with any sampling rate, and 8/16/24/32-Bits Integer sample format, or 32-Bit float sample format, not compressed, mono or stereo.
    • Audio Interchange File Format (AIFF, which may have .AIF or .AIFF file extension). Any sampling rate, 8/16/24/32-Bits integer sample format, not compressed, mono or stereo.

Uninstalling Morphine

While it is not necessary to uninstall Morphine before installing a new version, to ensure Morphine is completely uninstalled from a machine:

Windows

Use the Programs > Image-Line > Morphine > Uninstall application.

OSX

  1. Delete the relevant folder in /Library/Application Support/Image-Line
  2. Delete the relevant files in /Library/Audio/Plug-Ins/Components and /Library/Audio/Plug-Ins/VST/Image-Line
  3. Delete the standalone app in /Applications
  4. Delete the relevant file (i.e. Morphine.pkg") in /Library/Receipts

Tips for advanced users

Skins: To create your own ?skin?, you can edit files located in the Graphics folder (remember to save a backup of any file you intend to edit BEFORE you start). Morphine uses TARGA bitmaps (.TGA). NOTE: You can't delete or rename graphical files OR changing the size (height or width) of these files. Make all modifications to the existing graphical files structure using the factory skin as the basic example. If you destroy important graphical files you will need to re-install Morphine.

CPU/Memory saving: Morphine's sound engine is highly optimized, however, keeping CPU/Memory usage low when creating your own sounds is a good habit. The most important parameter for saving CPU/Memory is the number of breakpoints and number of audible harmonics. Each harmonic is an independent ?sine oscillator?, so the less harmonics used, the lower the CPU load will be. Each breakpoint contains a lot of data for all 128 harmonics, so the less breakpoints used (in all Generators and in all Keyboard Zones in total), the smaller memory requirements will be, similarly the smaller the preset file size it will be. Extremely large numbers of breakpoints per Spectrum may also slow down sound generation process (CPU usage will be higher in this case).

Custom Noise Samples: Although the factory Noise Samples library has many noises, you may wish to use your own noise samples. Noise Samples are located in the ?/Morphine/Noise Samples/ folder. Please note: when you click ?Import Noise Sample? option, the audio file is copied into that folder. When loading a preset, Morphine searches the noise sample requested by the preset in that folder. This means - if you move your presets to another computer for example, don?t forget to copy the noise audio files used by your custom presets in the Noise Samples folder also.


Morphine Synthesizer About

INSTRUMENTS / GENERATORS

Morphine Credits & Information

About Morphine:

Morphine was created and developed exclusively for Image Line Software by Maxx Claster.

Manual

Scott Fisher & Maxx Claster.

Special thanks to

Frank G and Mark Wheeler.


Ogun

INSTRUMENTS / GENERATORS

Ogun This plugin must be purchased separately

Ogun can produce exceptionally rich metallic and shimmering timbres, although it's not limited to this genre. Ogun's distinctive synthesis engine can generate more than 32,000 harmonics, modulated by high-level 'harmonic mapping' functions, that hand tonal control directly to the user.

Related plugin: Autogun, free preset version. Use the Options > Enter random preset number field to share Autogun patches with Ogun.

Options Master Controls Synthesis Controls Synthesis Controls Effects Controls Effects Controls Ogun

Ogun and real-time CPU load

Ogun generally presents a low CPU load to the host and has been designed to spread multiple instances of the plugin across multi-core CPU's. However, it is possible to experience audio dropouts during real-time playback while the average CPU load still appears low due to a non-uniform CPU usage. This non-uniformity comes from the, sometimes heavy, FFT processing (calculation of the waveform) for the harmonic series. Strategies for maximizing real-time performance of Ogun are:

  1. Increase the host latency (10 ms is a good compromise between responsiveness and CPU load).
  2. Avoid RICHness settings greater than 8 (where possible).
  3. Turn on multithreaded processing, if supported by your host.

Click on the following sections to open

Main Page

Master Controls

Synthesis Controls

Effects Controls

Programming Ogun

Plugin Credits -

Code & GUI: Didier Dambrin.


Ogun Master

INSTRUMENTS / GENERATORS

Ogun Master Controls

The Master controls include the options menu as shown.

WilldoEnGin Options Master Controls Synthesis Controls Synthesis Controls Effects Controls Effects Controls Ogun

Click on the following headings to open

Main Page

Master Controls

Volume & Pitch Sliders

Three sliders at the top-left of the user interface.

  • Master level - Ranges from 0 to 200%.
  • Master coarse pitch - Ranges from -24 to +24 semitones.
  • Master fine pitch - Ranges from -50 to +50 cents.

    • NOTE: Master & fine pitch are often useful to manually tune 'metallic' instruments, such as bells, for which the first (most important) harmonics may be missing.

Modulation

X-Y modulation settings - These are freely assignable (to target parameters in Ogun through the Modulation X / Y articulation parts) and can then be linked to external controllers.

  • Smooth - Smooths the X/Y outputs (smooths jerky automation).
  • X / Y - User assignable X / Y modulation parameters. Left click and drag in the X/Y pad to simultaneously manipulate both X/Y parameters. Right click to jump to a point in the space.

Info / Comments

Left click in this box to edit the information associated with the sound preset.

WilldoEnGin

The WilldoEnGin creates a random patch. For times when inspiration is lagging. Ogun and Autogun can share random patch numbers. See 'Enter random preset number' in the Options menu below.

Options

Down-arrow button at the top-right of the user interface.

  • Copy / Paste preset - Copy / Paste presets to/from the clipboard. Use this to exchange presets between different formats (VSTi, FL) of the Ogun plugin, and/or instances of the plugin loaded in different sequencers.
  • Generate random preset - Uses the WilldoEnGin to generate a random patch. Each patch has a unique code number that can shared with other Ogun and Autogun users.
  • Enter random preset number - This field is primarily for entering random patch numbers discovered by fellow users of Ogun or Autogun.
  • Effects - Select presets for the Effects section (see below).
    • Unison - Select Unison presets.
    • Chorus - Select Chorus presets.
    • Reverb - Select Reverb presets.
  • Tone - Tone modulation mappings:
    • Portamento - Note that for portamento to be active, the pitch envelope needs to be set appropriately. Simply load one of the included portamento envelope presets (e.g. Pitch Envelope, Open state file > Porta - basic.fnv).
      • Enable portamento - Enable gliding between notes.
      • Variable time - When selected portamento time will depend on the number of semi-tones covered.
      • No limit - No limit to the portamento distance.
      • Octave wrap, 4 to 1 semitones limit - Restrictions on the portamento distance.
    • Key - This series of switches (selected when ticked) controls how keyboard input will modulate the following parameters:
      • Link key to pitch - Normal keyboard to pitch relationship.
      • Link key to timbre Seed 1 - Adds the played MIDI key number to Seed 1 (predictable randomness is yours!).
      • Limit to 1 voice per key - Each key will retrigger the same, rather than a new voice.
    • Velocity
      • Link velocity to volume - Modulates the note output volume on the basis of keyboard velocity (normally on). Deselect this if you want to make the velocity-to-volume mapping yourself, or you want to link some parameter, other than volume, to velocity.
      • Link velocity to attack time - Modulates the volume envelope attack time on the basis of keyboard velocity.
      • Link velocity to attack length - Modulates the volume envelope attack length on the basis of keyboard velocity.
    • Processing quality - Sets interpolation. Select from a range of output quality options. NOTE: The VST version has a 'rendering mode' option that forces highest quality during rendering/bouncing.
  • Link timbre release to volume decay - Once the 'Volume envelope' decay point is reached, the 'Timbre release' is engaged. This is useful to force the timbre release to sound and limit the note duration, otherwise the timbre release is engaged only when the note is released.
  • Octave EQ mapping scale - Map harmonics in the Editor to octaves per display division. When deselected, the mapping displays harmonics in a linear scale. That is, each harmonic represents roughly 1/32000 of the editor's width (and the smallest snapping unit corresponds to 1 harmonic, as opposed to 1 octave). Use the zoom-bar below the Editor to magnify the scale to manageable levels.
  • Resynthesis - Calculates a Timbre impulse EQ & Timbre decay EQ map based on the harmonic spectrum of an input sample (.wav). For more information see the Resynthesis section on the Synthesis page.
    • Analyze timbre - Analyzes an external .wav sample into a harmonic spectrum (opens a sample import browser). NOTES: When analyzing:
      • Note pitch meta-data - Ogun will use embedded MIDI note data to set the pitch of resynthesized Ogun preset. The Edison Sample Properties dialog can be used to analyze and/or set the pitch meta-data stored in the .wav file.
      • Seeds - Seed 1 is set to '----' (all harmonics on) and Timbre morph (1->2) to zero.
      • EQ scaling - EQ scaling is set to linear.
      • Richness - Ogun will only analyse harmonics up to the Richness limit.
      • Alt decay - If ALT DECAY is OFF, Ogun will produce a morph-to EQ target. However, if the analyzed sample does not have a decay then the Decay morph target will probably be best described as 'experimental' i.e. won't work as expected.
      • Resynthesis - can also be invoked by dragging .wav samples and dropping them anywhere on the Ogun interface, except the Articulation editor panel. that is reserved for Amplitude analysis (if compatible articulator parts are selected).
    • Analyze timbre in audio clipboard - As above, but uses the contents of the Audio clipboard (if any).

Show / hide testing keyboard

Press the (mini-keyboard) button to show or hide the testing mouse-keyboard.

To see a list of programming tips see the Programming Ogun section.

Synthesis Controls

Effects Controls

Programming Ogun

Plugin Credits -

Code & GUI: Didier Dambrin.


Ogun Synthesis

INSTRUMENTS / GENERATORS

Ogun Synthesis Controls

This section covers the Synthesis controls. Please check the Programming section for more details:

Options Master Controls Synthesis Controls Synthesis Controls Effects Controls Effects Controls Ogun

Click on the following sections to open

Main Page

Master Controls

Synthesis Controls

Ogun creates complex waveforms by combining sine-waves of harmonic multiples of the fundamental frequency. Ogun can accurately simulate lush metallic textures by generating up to 32,767 harmonics and offers creative control primarily through the Timbre controls and harmonic EQ curves (Harmonic mappings).

Programming & Resynthesis Tips

To see a list of programming tips see the Tutorial page.

TIMBRE

The Timbre section controls the harmonic spectrum and serves the same purpose as an Oscillator in Subtractive synthesis. In essence, the controls described below change the weighting, or probability, that each harmonic in the spectra will sound. In order to add natural motion to sounds the harmonic spectrum can then be re-shaped by the Harmonic mapping envelopes (see the Articulator section below):

  • DECLICK - Attack click removal.
  • ALT DECAY - Sets an explicit decay EQ target. When selected the Timbre impulse EQ (attack harmonic spectrum) morphs towards the decay EQ mapping, the time taken is controlled by the decay time (DEC slider). Once the decay target EQ is reached the mapping will sustain, so we recommend using long decay times, unison, filters, effects & envelopes to add interest to the sound. NOTE: This is in contrast to the Alt Decay - deselected state, where the decay EQ mapping acts as a release envelope 'harmonic multiplier'.
  • RICH - Richness controls the number of harmonics activated. Use 256 (see the hint bar) or less for tuned presets and 256 or more for noisy/metallic sounds. Settings between 31 to 32,767 harmonics are possible (in 11 steps). NOTE: The pitch of a given note drops with increased Rich setting as the Root note is rescaled downward, to make use of the increased harmonic bandwidth.
  • PRE - Timbre pre-decay. Morphs toward a 'Metallic' EQ mapping. Use, in combination with fullness, to obtain more metallic sounds. NOTE: If the current timbre is resynthesized (Seed 1 set to '----'), then the PREdecay (& FULLness) won't have any effect.
  • DEC - Timbre decay time. Combines with the Decay mapping (see the Editor section, below), that defines per-harmonic decay time. NOTE: See ALT DECAY option above.
  • REL - Timbre release time. Combines with the Release mapping (see the Editor section, below), defining per-harmonic release time.
  • FULL - Timbre fullness. This slider blends between the output of the Seeded harmonic spectrum (-100, see below) and the full harmonic spectrum (+100), as limited by the Rich control.
  • 1->2 - Timbre morphing or randomness (when Seed 2 = '----'). This controls the relative weighting of the spectra represented by Seed 1 and Seed 2. To hear Seed 1 push all the way to the top, to hear Seed 2 drag the control. to the bottom.
  • SEED 1 / SEED 2 - Timbre Seed 1 & timbre Seed 2, generate two independent weightings for the harmonic spectra, and can be important factors in Ogun's final timbre (within the upper limit of the Rich setting and Timbre equalization mappings). There are some special conditions:
    • When Seed 1 is set to '----' - all harmonics are activated.
    • When Seed 2 is set to '----' - Seed 2 harmonics are randomized each time a key is played. If the Timbre morphing slider (1->2) is set greater than 0%, then Seed 2 will morph Seed 1 values randomly each time a key is played. NOTE: The FULL slider must also be less than 100% to hear this randomization.
    • Numerical seed settings - When Timbre seed 1 or 2 are set to numerical values, the harmonic spectra remain fixed, as long as the seed value remains constant. NOTE: The 'Key to seed 1' option will modify Seed 1 by Key number. A particular seed value always will create the same harmonic spectrum weighting (values between 1 and 9999 are possible).

Resynthesis

An easy way to create new and complex timbres is to use the Resynthesis functions on the Options Menu OR samples (.wav) can be dragged from a browser and dropped onto the appropriate target in Ogun (drop samples onto the TIMBRE control panel). NOTE: that Ogun can also analyze the volume envelope if the same samples are dropped onto the Volume envelope articulator part.

The resynthesizer engine uses the start of the sample to create a Timbre impulse EQ mapping and the end of the sample to generate a Timbre decay EQ mapping. When these maps are multiplied by the full spectrum (note Seed 1 = '----') and by morphing from the impulse to decay harmonic mappings (under the control of the DECay slider), the approximate harmonic motion of the input sample is replicated.

Rules

  • Note pitch meta-data - Ogun will use embedded MIDI note data to set the pitch of the sample. Edison can be used to set the pitch meta-data in the .wav file. By default (if nothing is set) C5 will be used.
  • Seeds - Seed 1 is set to 0 (all harmonics on) and Timbre morph (1->2) to zero.
  • EQ scaling - EQ scaling is set to linear.
  • Richness - Ogun will only analyze harmonics up to the Richness limit.
  • Alt decay - If ALT DECAY is OFF, Ogun will produce a morph-to EQ target. However, if the analyzed sample does not have a decay then the Decay morph target will probably be best described as 'experimental' i.e. won't work as expected.

UNISON

Unison is an effect similar to Chorus. Unison differs in that the effect is applied per-key (per voice). Multiple copies of each voice are detuned and panned to create a thicker audio texture.

  • ORD (Order) - Number of Unison voices (ranges from 1 to 9).
  • PAN - Relative panning of the Unison voices.
  • VOL - Unison volume relative to the original voice.
  • PITCH - Pitch detune of the Unison voices.
  • PHS (Phase) - Phase spread of the unison voices.

FILTER

  • FLAT - Alternate resonance / bandwidth / mode.
  • LP - Low pass filter.
  • BP - Band pass filter.
  • BS - Band stop filter.
  • HP - High pass filter.
  • OFF - Filter mode: Off.
  • x1 - Shallow filter slope.
  • x2 - Medium filter slope.
  • x3 - Steep filter slope.
  • CUT - Filter frequency cut-point.
  • RES - Filter resonance frequency.

Articulator Editor

The Articulator editor panel provides access to the full suite of modulation parameters in Ogun. Select the Modulation Target and the Articulation Part (modulation source). Depending on the modulation Target there will be a number of Articulation Parts as shown below:

Envelope and LFO display time on the horizontal axis and relative value on the vertical axis.

Note that the ATT, DEC, SUS and REL knobs make RELATIVE changes to the ADSR envelope, snapping back after release. While the envelope will appear as it did prior to the change, the envelope will sound according to the relative changes made (as seen in the Hint Bar while the knob is adjusted). Right clicking the nodes will give options, in particular Sustain loop start & Sustain loop end points can be set to loop the envelope during the sustain action. LFO waveform: The waveform is represented by the light blue line, not the red control lines, these are used to shape the LFO waveform.

Mapping displays the input value on the horizontal axis and relative output value on the vertical axis.

All envelopes are fully user-adjustable. Right clicking the nodes will show edit options. Node controls (relevant to all Articulation parts) change the behavior of the node movement and placement. Note that Snap will force nodes to snap to the Map grid. Clicking and dragging with Step mode on will drop nodes at each grid line crossed (shift in this mode will create steps).

The Editor Targets (modulation targets) and Articulation parts (modulation sources) are as follows:

  • Articulation targets - Choose the modulation target here:
    • Volume - Note volume.
    • Filter frequency - Filter cutoff frequency envelope.
    • Filter resonance - Filter resonance frequency.
    • Pitch - Voice pitch.
    • Unison pitch - Unison detuning.
  • Articulator part - For each of the above modulation targets choose the following Articulation parts (modulation sources):
    • Envelope - Volume envelope. The horizontal axis is time and the vertical axis modulation level. Remember to activate the envelope as shown above.
    • LFO - Low Frequency Oscillator envelope. The horizontal axis is time and the vertical axis modulation level. Remember to activate the envelope as shown above.
    • Keyboard mapping - MIDI Key modifier envelope. The horizontal axis is MIDI key number and the vertical axis modulation level. Live MIDI key input values are shown as a vertical white line. Example use: Link to the Filter frequency target in order to brighten / darken sounds as they are played up and down the keyboard.
    • Velocity mapping - The horizontal axis is keyboard velocity, the vertical axis modulation level. Live MIDI key input values are shown as a vertical white line. Example use: Link to the Filter frequency target in order to brighten / darken sounds as keys are played harder (the envelope will need to slope upward from left to right to achieve this effect).
    • Modulation X & Y mappings - The horizontal axis is modulation X / Y value, the vertical axis modulation level. Live X / Y value tweaks are shown as a vertical white line. Example use: Link to X & Y Articulation parts to the Filter resonance and Filter cutoff targets respectively. X & Y envelopes will need slopes to have any effect.

  • Mapping targets - Map the following modulation targets:
    • Unison phase - Relative phasing of the Unison voices.
    • Timbre pre-decay - Pre-articulation of the Timbre value (number of harmonics active).
    • Timbre decay time - Decay time for the Timbre value (number of harmonics active).
    • Timbre release time - Release time for the Timbre value (number of harmonics active).
    • Timbre fullness - Balance of the full (all harmonics on) to Seeded (randomized) harmonics.
    • Timbre morphing - Morphing between Seed 1 & Seed 2 harmonic spectra (the same function as the 1->2 slider)
    • Timbre rotation - Shifts the seeded timbre (pre equalization) left & right depending on the Articulation part. Harmonics that fall off the end are wrapped back to the opposite side if the spectrum. Movement is linear, not in octaves.
    • Timbre EQ shifting - Shifts the EQ mapping to the left or right as determined by the Articulation part. Movement is linear, not in octaves.
  • Articulator part (Mapping) - For each of the above modulation targets choose the following Articulation parts (modulation sources):
    • Keyboard mapping - MIDI Key modifier envelope. The horizontal axis is MIDI key number and the vertical axis modulation level. Live MIDI key input values are shown as a vertical white line.
    • Velocity mapping - The horizontal axis is keyboard velocity, the vertical axis modulation level. Live MIDI key input values are shown as a vertical white line.
    • Modulation X & Y mappings The horizontal axis is modulation X / Y value, the vertical axis modulation level. Live X / Y value tweaks are shown as a vertical white line.

  • Timbre equalization targets - These mapping envelopes modify the harmonic spectra generated by Seed 1 & Seed 2 and either set explicit harmonic levels (based on the envelope shape) or per-harmonic decay times. They have a powerful effect on the timbre (sound) of the patch. The equalization curves also interact with the relevant TIMBRE sliders. For example, if you would like the high harmonics to sustain longer than the low harmonics then the Timbre sustain EQ curve should be set sloping upward from left to right.
    • Timbre forced harmonics - Forces harmonics on at the level set by the EQ curve. This mapping curve is used to override the randomness in the spectra created by Seed 1 & 2. In particular if the spectra has a given harmonic set to 0, the mapping curve can force harmonics to the explicit value of the 'forced' curve. This is an important feature when creating pitched sounds as the lower harmonics (1 to 5) play a fundamental (pun intended) role in the perception of pitch.
    • Timbre impulse EQ - This curve sets an explicit Harmonic EQ curve for the note start. It will modify the existing spectral values created by Seed 1 & 2 for the note start.
    • Timbre decay EQ - The function of this harmonic EQ curve depends on the ALT DECAY switch:
      • Alt Decay is OFF then this mapping acts as a 'Decay-time' multiplier for the affected harmonics. Harmonics will decay toward 0 under the influence of the Timbre decay EQ * DECay slider.
      • Alt Decay is ON the Timbre decay EQ mapping sets an explicit decay spectrum. The Timbre impulse EQ (attack harmonic spectrum) morphs towards the Timbre decay EQ mapping, the time taken is controlled by the decay time (DEC slider).
    • Timbre release EQ - Sets a unique 'Release-time' for the affected harmonics on note release. It is possible to force the Decay EQ to run straight into the Release EQ mapping by setting the Option menu item Link timbre release to volume decay ON.
  • Articulator part - There is only one Articulator parts for the above targets, the Harmonic EQ mapping.
  • Harmonic comb - A harmonic comb filter that can selectively remove (every 2nd, 3rd, 4th or 5th) harmonics or keep (every 3rd, 4th or 5th) harmonics.

The following controls can be found along the bottom of the Editor window, depending on the Articulation part selected.

  • Enable Envelope / LFO - Enables the envelope. Off by default.

Envelope

  • ATT - Attack multiplier. Note this knob snaps back after an adjustment.
  • DEC - Decay multiplier. Note this knob snaps back after an adjustment.
  • SUS - Sustain multiplier. Note this knob snaps back after an adjustment.
  • REL - Release multiplier. Note this knob snaps back after an adjustment.

LFO

  • SPD - LFO speed multiplier. Note this knob snaps back after an adjustment.
  • TENS - LFO tension multiplier. Note this knob snaps back after an adjustment.
  • SK - LFO skew multiplier. Note this knob snaps back after an adjustment.
  • PW - LFO pulse width multiplier. Note this knob snaps back after an adjustment.

Other controls:

  • Tempo - Tempo-based time.
  • Global - Global / retriggered LFO phase.
  • Zoom / Scroll Slider - Located above the FREEZE, STEP, etc. buttons. Zoom: Click on the handle to zoom OR hover mouse over bar and scroll the mouse-wheel. Scroll: Click on the bar and drag left/right to scroll OR click the arrow buttons at the ends of the slider.
  • Options - Click the forward-arrow to select:
    • Open state file... - Opens pre-saved Editor state files (envelopes, etc).
    • Save state file... - Save an Editor state.
    • Copy state - Copies the current Editor settings to be copied to another location.
    • Paste state - Paste the Editor state data in the clipboard.
    • Undo - Undoes the last process.
    • Undo history - Shows the editing history since the last reset.
    • Bipolar LFO tension - Changes the tension knob effect (below the envelope) . Selected: tension adjustments are made symmetrically around the zero line (bipolar). Deselected: tension adjustments are made relative to the waveform maxima and minima (unipolar).
    • Flip vertically - Inverts the current envelope.
    • Scale levels - Opens the Scale Level tool.
    • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
    • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
    • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
    • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
    • Create pad harmonics - Opens the Pad harmonics tool.
    • Create sequence - Opens the Envelope sequencer.
    • Analyze audio file... - Creates an envelope that mirrors the volume amplitude profile of the analyzed sound.
    • Background gradient - Turn the background gradient on/off.
  • FREEZE - Freeze editing. Useful to get a view of complex envelopes by masking the points & handles
  • STEP - Step editing (hold the shift key for stepped mode). A new point will be automatically added at each graph interval while click-n-dragging. Step editing also works with snapping OFF, for full control with final point decimation (points will be masked while drawing as there are too many to display sensibly).
  • SNAP - Snap to grid. Nodes snap to the background grid.
  • SLIDE - Slide remaining points. Points after the selected node will maintain their relative position, sliding to accommodate the movement of the active node.

Effects Controls

Programming Ogun

Plugin Credits -

Code & GUI: Didier Dambrin.


Ogun Effects

INSTRUMENTS / GENERATORS

Ogun Effects Controls

Ogun effects are as follows:

Options Master Controls Synthesis Controls Synthesis Controls Effects Controls Effects Controls Ogun

Click on the following sections to open

Main Page

Master Controls

Synthesis Controls

Effects Controls

EQ

The 3 band parametric Equalizer (EQ) features the following controls for each band (from top to bottom within each band):

  • EQ type - The graphic above each slider is an EQ type selector. Choose Low shelf / Peaking / High shelf.
  • EQ band level - The slider adjusts the EQ level (-18 to +18 dB).
  • EQ center frequency - Controls the center of the EQ band (10 Hz to 16 kHz).
  • EQ bandwidth - Controls the width of the EQ band (turning the wheel to the right makes the band wider).

Chorus

Chorus is an effect created by the slight detuning of multiple copies of the output sound (similar to a choir of voices). The controls contain parameters that affect the rate, time offset, shape and depth of detune. This effect is related to Unison (described elsewhere), but operates on the whole output of Ogun rather than per voice.

  • ORD (Order) - Number of Chorus voices.
  • DP (Depth) - Chorus depth.
  • SP (Speed) - Chorus speed.
  • DL (Delay) - Chorus delay.
  • SR (Spread) - Chorus panning.
  • CR (Cross) - Chorus crossover frequency.
  • VL (Volume) - Chorus mix.

Delay

Delay can be used to create echo & stereo-space effects.

  • Normal - Normal delay feedback.
  • Invert - Inverts the phase of the feedback signal to create a widening stereo effect.
  • Pong - L/R stereo 'ping-pong' bounces of the feedback signal.
  • Tempo - Tempo-based delay time.
  • Enable - Enable the delay unit.
  • FB (Feedback) - Delay feedback level.
  • TM (Time) - Delay time (spacing between echoes).
  • SO (Stereo Offset) - Delay time stereo offset (stereo separation of the echoes).
  • VL (Volume) - Delay Volume.

Reverb

Reverb, short for 'reverberation', simulates acoustic spaces. If you clap your hands in a bathroom and in a concert hall, the two sounds will be quite different. In enclosed spaces reflections overlap one another to create a ?reverberant? sound. The Reverb parameters allow you to simulate different types of acoustic spaces. If you want to give your sounds a realistic (live) feel, then reverb is highly useful.

  • Col (Color) - Room color: W+ (warmer), W (warm), F (flat), B (bright), B+ (brighter).
  • Tempo - Tempo-based pre-delay.
  • Enable - Enable reverb.
  • LC (Low Cut) - Adjusts the low cut-off frequency. Use this to remove low frequencies from the reverberations. LC parameter will reduce the 'rumble' and muddiness from sounds by attenuating the bass frequencies before being passed to the reverb engine.
  • HC (High Cut) - Changes the high cut-off frequency. Use this to remove high frequencies from the reverb, or to make the room sound duller.
  • PD (Pre Delay) - Controls the delay time between the direct input signal and the first reflection (echo).
  • RS (Room Size) - Use this to set the size of the virtual room being simulated.
  • DF (Diffusion) - Controls the density of the reflections bouncing off the walls of the virtual room. A low diffusion setting makes the reflections sound more distinct and sparse, like closely spaced echoes. A high diffusion setting creates a dense series of reflections that sound like a very 'live' and reflective room.
  • DE (Decay) - Controls the decay time of the reverb.
  • HD (High Damping) - Adjusts damping of the high frequencies in the reverb signal. Damping refers to the rate at which the high frequencies decay. This effect causes the sound to become gradually muffled and warmer with time.
  • VL (Volume) - Sets the relative level of the reverberant (wet) signal.

Programming Ogun

Plugin Credits -

Code & GUI: Didier Dambrin.


Ogun Tutorial

INSTRUMENTS / GENERATORS

Programming Ogun

A general introduction to Ogun programming using the TIMBRE and Timbre mapping controls as shown below:

Options Master Controls Synthesis Controls Synthesis Controls Effects Controls Effects Controls Ogun

Click on the following sections to open

Main Page

Master Controls

Synthesis Controls

Effects Controls

Programming Ogun

At the heart of Ogun is an 'Additive synthesis' engine. Additive synthesis creates sound entirely by combining sine waves of various frequencies and phases. Fourier Theory [image] teaches us that any waveform can be decomposed into a fundamental pitch and then a (usually large) number of sine waves that are multiple frequencies of the fundamental, a harmonic series. In the two pictures below, the harmonics are represented by vertical bars, height is amplitude horizontal position is frequency, just like a graphic equalizer, however in this case the frequencies on each slider are exact multiples of the root note. Let's start by taking a look at additive synthesis, using some screenshots borrowed from Image-Lines Sytrus [image] , additive synthesis interface:

The 1st harmonic (fundamental frequency) is controlled by the note played and is the exact pitch of that note. The 3rd harmonic is 3x the fundamental, so if A440 (440 Hz) was played the 3rd harmonic would be 1320 Hz (440 x 3), the 4th 1760 Hz (440 x 4), etc. The exciting part for anyone with a passing interest in Synthesis (that's you), is that combining harmonics and in the right amplitude and phase relationship, any complex waveform is possible, yes even including square waves as shown below. NOTE: Ogun randomizes phases and does not offer control over them as they are usually not required for metallic timbres (trust us, you don't want to start editing phases, it will drive you insane!).

Looks complex, so how are you going to know what harmonics to activate to achieve a particular sound? The short answer is that you don't need to. While the heroic can use Ogun to create simple waveforms (try making a simple Sine wave sound to start), it has been designed primarily for lush metallic sounds that require general shaping of complex harmonic spectra, rather than tweaking of individual harmonics. For example, cymbals are difficult to reproduce by ordinary synthesis techniques because they are rich in harmonic frequencies. Ogun can generate up to 32,767 harmonics, so cymbals are no problem, however to prevent you being lost in a sea of individual harmonic controls, broad-brush tonal shaping is provided by the TIMBRE section and Harmonic mapping curves (think EQ curve). The next section will guide you through these controls in more detail.

Shaping the Harmonic Spectrum

This covers the most significant tonal controls in Ogun, in particular the TIMBRE controls and Envelope mappings. It's worth noting there is also a specialized Pad Harmonics tool that provides a convenient method for shaping the harmonic spectrum, and is great for making 'Pad' sounds. Before playing with that, we recommend you complete reading through this section so you know what all the controls do.

The timbral controls

  • Default & Default(tonal) presets - While not strictly a control, starting with one of these two presets will save you a lot of work. The Default patch is a good starting point for non-tuned metallic sounds, and as the name suggests, the Default(tonal) patch is a great starting point for tuned sounds. So what's the main difference between these two patches?

    The Default and Default(tonal) patches differ mainly in the number of active harmonics. Open each one in turn and watch the RICHness slider. It's a fact that the lower harmonic frequencies (first 25 or so) are most dominant in our perception of pitch, while those above (100, in combination) add brightness/presence, and that is exactly what happens in the Default patch, the upper harmonics overwhelm the lower ones. So let's have a look at the RICHness slider in more detail.

  • Rich - The RICHness slider controls the number of harmonics activated. If you look at the screen-shot below, the upper harmonic limit shows as a shaded region. Load the Default patch and move the slider up and down while playing notes. At the lower limit 31 harmonics are active at the upper limit, all 32,767 play (watch the hint bar as you move the RICHness slider). For tuned sounds use 256 (or less) or more for the noisy/metallic sounds. You probably also noticed that the pitch of a given note drops as the RICHness setting is increased. This happens because the Root note is automatically rescaled downward so that the highest harmonic frequencies (above the note) can be used, otherwise most of them would fall above the range of hearing, good for dogs, not good for people. So how do you shape the harmonic spectrum? With the Timbre equalization mappings:
  • Timbre equalization - The purpose of the Timbre equalization mappings is to modify the spectral distribution set by the Seed 1 & 2 generators. The screenshot below shows the curve for the 'Timbre forced harmonics' target. NOTE: The harmonic 'bars' have been added for illustration purposes and don't appear on the Ogun interface.

    A unique harmonic mapping curve can be set for each of the following targets:

    • Timbre forced harmonics - The 'Timbre forced harmonics' mapping curve is a fail-safe, that forces the selected harmonics to the level set by the curve. This is important as the Seed 1 & Seed 2 spectra may turn any given harmonic off (or to an unacceptably low value). One common reason for using this mapping curve is to force the first few harmonics to always sound as they are crucial in the perception of pitch. The vertical scale is a multiplier value that goes from 0 (off) to 1 (100%), keep an eye on the Hint bar as you move nodes.
    • Timbre impulse EQ - This modifies the starting harmonic EQ curve. To hear this equalization curve more clearly push the DECay slider to maximum, this will prevent the decay curve from kicking in.
    • Timbre decay EQ - This curve changes the harmonic spectra during the decay phase of the note. It is useful in creating a spectral change in the sound over time (although the filter envelope is also useful for these type of effects).
    • Timbre release EQ - Modifies the spectral curve for the sound after the note is released. NOTE: You can force the Decay EQ to run straight into the Release EQ by setting the Option menu setting Link timbre release to volume decay, ON.
  • Full - This slider blends between the output of the Seeded harmonic spectrum (bottom) and the full harmonic spectrum (top), as limited by the RICHness control. To hear this effect most clearly select the 'Default(tonal)' patch and slide the control all the way to the top and back down again, leave it down as we explore the next control.
  • 1->2 - Timbre morphing / randomness. This controls the relative blend between the spectra created by Seed 1 and Seed 2. For example, set Seed 1 = '1' and Seed 2 = '10' move the 1->2 slider between the bottom (Seed 1) to the top (Seed 2). A given seed will always create the same harmonic spectrum, there are 9999 to explore! Remember, however a given spectra of Seed 1 or 2 may have important harmonics set to values that you do not want. In this case use the Timbre equalization Mapping curves to re-shape the spectra to your liking.
  • Seed 1 / Seed 2 - As noted above these controls generate two independent weightings for the harmonic spectra (within the upper limit of the RICHness setting). However there are a few special cases worth considering:
      • When Seed 1 or 2 is set to '----' - all harmonics will play within the limit of the RICHness setting. Set both to '----' and slide the 1->2 control between Seed 1 & 2 and convince yourself that they both sound the same (bright, all harmonics on).
      • Leave Seed 2 = '----' and set Seed 1 to any numerical value. Slide the 1->2 control 1/2 way so you are listening to a blend of both seeds, now keep hitting the same note and hear the subtle variations. This arrangement randomizes the Seed 1 spectra each time a key is played.

Ogun workflow

We will walk through synthesis in Ogun, starting with the Default preset, to give you a general 'top-down' work-flow.

  1. Start with the Default preset - Assuming you have the preset titled 'Default' selected, a flat timbre is created (the basis of metallic sounds). This timbre is flat noise, up to the harmonic limit set by the RICHness slider, and is generated by the Timbre Seed controls.
  2. Metallic or noisy timbre - At this stage you can modify the harmonics with the FULLness & PREdecay sliders to create a more or less metallic-sound. Push the FULLness slider up to make the Timbre more noisy and the PREdecay slider up for more 'metallic' timbres. However, overall the sound is still a flat, in the sense that the harmonic spectrum has no equalization trends or movements.

    At this point the spectrum will sound like a 'splashy hiss'. It's worth noting that noise is a combination of many frequencies, so it's not surprising that the sum total of the first 8,000+ harmonics in the Default preset sounds like noise. Experiment with the RICHness slider and drag it down, as you do so watch the Hint bar where the total number of harmonics are shown. Listen for the point where the noise starts to develop a clear pitch. You should find that adding more than about 500 harmonics (setting 5), causes the spectrum lose its 'pitch', this is why we say that the upper harmonics are associated with brightness, those above 500 or so. This is also the reason why we are not particularly concerned with individual manipulation of the last 36,000, or so, harmonics since they don't have a dramatic impact on the tone of the sound and only add subtle brightness /presence coloration. You may have also noticed the root note (pitch) is also scaled upward as the RICHness slider is moved downward, this is to keep the lower harmonics in a useful (playable) range. Put the RICHness slider back to a setting of 9 (8,191 harmonics).

    The keen eared among you will have noticed that repeated pressings of the same note cause slight variations of the 'splashy hiss' (listen carefully). This is caused by a special randomization function activated when Seed 2 = '----'. To hear this randomiztion the 1->2 (Timber morphing) slider to the top (100% Seed 2). A new, random 'Seed 2' harmonic spectrum is generated for each note-on event. Drag the 1->2 all the way down to hear only Seed 1 and note how static the splashy hiss is. Return the slider to 30%.

  3. Pitched or unpitched sound - If you want to create a clearly pitched sound, special attention needs to be paid to the lower harmonics. These are, individually, far more important to the perception of pitch than the higher harmonics, that are responsible for brightness. First, you will need to select a RICHness that allows the lower harmonics to dominate the sound (try 255 harmonics or less), then you can also 'force' specific lower harmonics on, using the Timbre forced harmonics mapping. Remember that the lower harmonics in the Seeded spectrum may be at any level between 0% (off) and 100% (fully on), so the effect of a Forced mapping will vary depending on the starting (random) state of the harmonics. Generally you don't need to force harmonics for metallic, noisy presets.
  4. Harmonic equalization - At this point you will have a relatively metallic, but bright and sustaining sound. The timbre can be equalized with the Timbre impulse EQ, Timbre decay EQ and Timbre release EQ mappings. These function like any equalization, that is to change the tone of the sound. The Timbre impulse EQ sets the starting timbre then the Timbre decay EQ mapping kicks in, as the timbre progressively decays and finally to the Timbre release EQ on note release. NOTE: In normal decay mode (default) the Timbre decay mapping is a modifier of how long it takes each harmonic set by the Timbre impulse EQ to decay to 0. In Alt decay mode the Timbre decay mapping is treated as an EQ mapping, that is an explicit level to which each harmonic in the Timbre impulse EQ will decay (in other words, now a 'decay-to' level rather than decay time).
  5. Adding unison & effects - Finally, once you have tuned the Timbre, unison voices and effects can be added, to taste.

Resynthesis

Resynthesis is the process of analyzing an input sound and automatically recreating that sound within the relevant synthesis architecture. You can substitute resynthesis for steps 1 to 4 above. Ogun will resynthesize .wav samples into two harmonic mappings, one for the start of the sample (Timbre impulse EQ) and another based on the end of the sample (Timbre decay EQ). By morphing between these harmonic mappings the original harmonic motion is captured, however the accuracy will depend on the length and complexity of the sample. In other words, Ogun is designed to capture the timbral essence of input sounds, not recreate Beethoven?s 5th symphony. If complex resynthesis is a priority, we recommend Image-Line's Morphine [image] additive synthesizer.

The sample - Only .wav files can be used. Ogun uses embedded MIDI root-note data (if available) to set the pitch of the resynthesized preset. Edison can be used to analyze and/or set the root-note meta-data in the .wav file if necessary. C5 is used by default if no pitch data is contained in the .wav file.

For resynthesis of simple timbres try the following:

    1. Make sure the ALT DECAY option is OFF.
    2. Open the sound to be resynthesized in an audio editor such as Edison.
    3. Take a selection from around the beginning of the sample that is most representative of the timbre you are seeking.
    4. The RICHness setting will define how many harmonics are used in the resynthesis. Ideally, use the lowest number of harmonics to achieve the sound you need since CPU load of the final sound grows with the Timbre EQ mapping point count. Preset the RICHness slider to around 511 harmonics, increase it if you don't like the result of the next step.
    5. Drop the sample onto the TIMBRE section of Ogun's user interface to start the resynthesis OR use the Resynthesis from the Options Menu.
    6. Play the sound and adjust the DEC slider so that the sound decays in a natural manner. Try the sound with ALT DECAY ON.

For resynthesis of complex evolving timbres try the following:

    1. Make sure the ALT DECAY option is ON.
    2. Preset the RICHness slider to around 2047 harmonics, increase it if you don't like the result of the next step.
    3. Drop the sample onto the TIMBRE section of Ogun's user interface to start the resynthesis OR use the Resynthesis from the Options Menu.
    4. Play the sound and adjust the DEC slider so that the sound decays in a natural manner. Try turning ALT DECAY OFF.

NOTES: 1. An alternative Step 1, is to resynthesize with ALT DECAY ON, to transform an existing timbre, then turn it OFF after the timbre is captured. 2. If the current timbre is resynthesized (Seed 1 set to '----'), then the PREdecay (& FULLnesswon't have any effect.

Programming Tips

  • Default patches - When programming from a 'clean slate' it is helpful to use the 'Default' patch to create atonal metallic presets and 'Default (tonal)' to create tuned presets.
  • Timbre controls - The controls in the Timbre section randomize, shape and modulate the harmonic spectrum.
  • Richness limit - The 'Richness' setting is reflected in the harmonics editor by the variable shading.
  • Atonal sounds - Presets with high harmonic counts more easily lead to noisy metallic (atonal) sounds.
  • Tonal sounds - Lower harmonics are most important for a clear 'pitch'. The 'Timbre forced harmonics' Editor is useful to force all the lower harmonics to sound. Similarly low RICHness settings will limit the sound to the lower harmonics.
  • Randomizing the harmonic spectrum - Setting Seed 1 to '----' will turn all harmonics on. Setting Seed 2 to '----' creates randomness, set the morphing slider toward Seed 2 to add randomness.
  • Harmonic shaping - Turning the 'Octave EQ mapping scale' off will allow better control over all harmonics. Points snap to the mapping scale. However, note that it is difficult to manually edit the large number harmonics in many Ogun presets.
  • Articulations - Refer to those envelopes that modify parameters while a voice is playing. For example, a filter's cutoff freq can change over time.
  • Mappings - Modify parameters that are set once at voice-trigger time. For example, the timbre fullness is only used to compute the initial voice timbre, thus it doesn't make sense to change it over time. Some parameters also only have mappings, and not envelopes, because it would be too CPU-intensive to change them over time.
  • EQ mappings - Are, by default, traditional EQs, in an octave scale for the horizontal axis. This means that the mapping does not linearly represent harmonics, far from it (the first octave represents 1 harmonic, the last one represents 16000). However, you can optionally switch to a linear harmonic scale from the Options menu. The Timbre analysis switches to this mode automatically.
  • Envelope backgrounds - As with other Image-Line plugins, pay attention to the Envelope Editor's background gradient (when the option is enabled) and the envelope filling color, these indicate if the envelope is a multiplier or a linear offset. This is particularly important, as you don't set up mapping for the envelope fullness (offset) as you do for morphing (multiplier). An envelope for the morphing will always go from 0 to the current morphing value, while an envelope for the fullness will add to the current fullness.
  • Decay time - Maximum decay time = no decay (infinite). There is no infinite release.
  • Processing quality (Options menu) - The processing quality is set to 'Waste of CPU' automatically in the FL Studio version, but not for the VST version (the VST standard does not communicate the Hosts rendering status to the plugin), so use the Rendering mode option on the Hint Bar.
  • Looping? - You may notice some sounds, particularly resynthesized ones, have a looped quality (pulsing or repeating sound) without any envelopes or delays used. As the length of this waveform is defined by the lowest harmonic, the higher harmonics may seem to repeat each time the fundamental harmonic repeats, leading to the 'looped' effect. If you hear strong looping then it probably means you have a sub-sonic (long duration) fundamental in the timbre.

Filter Section

So far we have discussed tonal shaping using the TIMBRE and Timbre mapping controls. The filter section is also a powerful tonal shaping tool and should not be overlooked. Rather than go into details about all the possibilities with filtering, let's consider a preset that makes use of the filter section and distinguish the filter sound from the TIMBRE and Mapping control effects.

A unique characteristic of metallic objects is the way the harmonic spectrum changes over time. For example, a Gong is often characterized by an initial attack dominated by the lower harmonics, but as these harmonics die away the higher harmonics continue to ring on, creating that classic "Bawoosh" sound. Perhaps, we need to open the preset titled "Gong" (by Gol) and hold down a note to hear what "Bawoosh" sounds like.

There are two main things happening in this preset, first when a key is pressed there is a lower, almost 'pitched' attack sound, then followed by a brighter shimmering sound as the key is held. To hear the two main tonal components of the sound play a key with the FULLness slider all the way to the bottom (there's the more resonant, almost pitched attack), then with FULLness all the way to the top, to hear the dominant higher harmonics of the sustain. Reload the preset to return the FULLness control to the original position.

So where does the tonal motion come from as the key is held? From the Filter frequency envelope (set the envelope Target control to Filter frequency and the Articulation part to Envelope). This envelope controls the filter frequency (the same target as the CUT knob). Note that the filter section is set to BP (Band Pass) at 3X, a fairly steep cutoff either side of the filters center frequency. This means the filter is allowing through a narrow band of frequencies from the spectra and the Filter frequency envelope is moving the center frequency of the filter higher in the spectrum over time, to cause the upward sweeping frequency, reminiscent of a Gong sound. Grab the CUT knob and play some notes while moving it manually, to better understand what the Filter frequency envelope doing. However, remember that this filter sweep is simulating the loss the low harmonics moving toward the high-harmonics over time, Bawoosh!

Don't forget that the filter Cutoff & Resonance parameters can be tied to more than just the Envelope the other modulation parameters include LFO, Keyboard mapping, Velocity mapping & X/Y modulation, so there is plenty of creative potential there.

Plugin Credits -

Code & GUI: Didier Dambrin.


Pad Harmonics Tool

The Pad Harmonics Tool provides an interface for creating specialized 'pad' harmonic spectra for Ogun's Timbre equalization targets. Think of the Pad Harmonics Tool as a harmonic 'sculptor' that operates within a set of rules that improve the probability of producing a pleasing spectra.

To open the Pad Harmonic tool

First select a Timbre equalization curve in the Articulation Editor ('Timbre impulse EQ' is a good place to start), then select the options menu item 'Create pad harmonics' (shown above right). Remember the rest of Ogun's synthesis & effects controls will determine your ability to hear changes made by this tool to the spectra. The Default patch is a good starting point for ground-up patch creation using the tool.

Options

Harmonic bins

Each 'bin' in the Harmonic bins window is centered on a predetermined harmonic, the series was chosen for its ability to create musically pleasing results. The bin can then be filled with a group of harmonics (controlled by the Bin width bars, Bin window shape & Width knob) detuned around that harmonic.

Editing harmonics bin levels - Left-click on any bin and drag the bin level to a new value (as shown above) or Right-click and drag diagonally to create ramps.

  • Bin level - Bars represent the level (volume) of the harmonics in the bin. Left click and drag up/down to adjust.
  • Bin width - Bars control a 'Multiplier value' (0 to 100%) with respect to the Width knob in the 'Bin window shape section'. When set to 0 (off) the Width knob will have no effect on the bins harmonic band-width.

Each Bin mode has the following buttons:

  • Reset - Reset the harmonic series to the default state.
  • Randomize - Randomize bin levels.
  • Humanize - Adds a touch of randomization to the current bin levels.

Bin window shape

  • Graph - The lower graph controls the shape of each harmonic bin, and when the Width settings allow it, the way bins overlaps with neighbors.
  • Width - Width modulation or 'multiplier' function, set from (0 to 100%). Bin values then decide how the 'Width' knob setting in the Bin window shape section will modulate the bin width. Wider bins generally sound more 'airy' while narrower bins sound more pure and tonal.
  • Normalize loudness - Scales bin levels (most effective when all the bins have randomized to a low level).

Action buttons

  • Reset - Revert to default settings.
  • Randomize - Create random harmonic series within the rules of the 'PADsynth harmonics' system.
  • Accept - Apply the harmonic series to the selected Timbre equalization target.

Pad Harmonics Tutorial

In this section we will explore some of the controls in the Pad Harmonics tool. Before starting it is useful to note that Ogun allows changes made in the tool to be previewed live, before accepting them. Even after a Timbre change has been accepted, the Pad harmonic tool will open in the same state next time it is opened. The last features allows you to accept a change, make some other changes synthesis controls in Ogun and re-open the tool to continue tweaking harmonics from where you left off. This functionality provides a convenient method for ground-up patch creation with the PADsynthesis tool.

Using the tool

This section is a quick run-through the controls on the Pad Harmonics tool.

  1. Usually when programming using the Pad Harmonics tool you would start from the 'Default (pad)' patch, however in this case open the Ogun 'Default' patch. This patch sounds like noise (all harmonics equally active). We are starting here so that you can clearly see the difference between the 'noise' harmonic map and a 'Pad harmonic' map.
  2. Note the Rich slider is set to 9 (8191 harmonics). This is a good control to come back to later and experiment with more or less harmonics in the Timbre equalization envelopes.
  3. Select the Timbre impulse EQ Articulator Editor target. The editor is shown in the screen-shot above-right, if you are not sure, it is probably a good time to remind yourself what the Timbre equalization targets do.
  4. Open the Pad Harmonics tool from the Options menu (as shown above) and click the Reset button (the tool remembers its last state and surely you have been fiddling with it!).
  5. Drag the tool out of the way of Ogun so you can see the Timbre impulse EQ. This will allow you to see what happens to the Timbre impulse EQ envelope as you tweak the Pad Harmonics tool. You may need to close the tool from time to time and zoom the Timbre impulse EQ envelope to get a better view.
  6. Play notes in Ogun and note the sound is a 'raspy' saw-like sound. Not a bad start, this is due to the particular harmonic series being manipulated by the Bin level & width editor.
  7. Turn the Pad tool Width knob to the left and notice the harmonic bins become narrower and the sound more 'pure' in tone. Turning the Width knob to the right and the sound becomes more airy and 'choir' like.
  8. Graph shapes, note how the overall EQ Mapping shape matches the Bin width graph in the Pad Harmonics tool. Make some radical changes to the shape of the Bin width graph and note how the EQ Mapping graph follows to match.
  9. Try clicking Randomize bin levels until you achieve a pleasing sound.
  10. Accept the harmonic series when you have found a setting that you like.
  11. You can now work on Ogun's other synthesis controls to fine-tune the sound. Remember it's usually best to start with the 'Default (pad)' patch as it has other synthesis settings that work well with the tool.

NOTE: The Autogun plugin and the WildoEnGin are based on the PADsynth algorithm (see credits). Click the dice button to create a random PADsynth patch.

Making a 'Pad Harmonic' cross-fade patch

In this section we will make a Ogun patch with a unique attack and decay spectrum using the Pad Harmonics tool.

  1. Open the Ogun 'Default (pad)' patch. This patch patch has been designed as the starting point for patches made with the Pad Harmonics tool.
  2. Turn the ALT DECAY switch (above the 1->2 slider) ON. Since this patch will be based on separate 'Attack' (Timbre impulse EQ) then 'Decay' (Timbre decay EQ) spectra. Turning this switch ON will set the Timbre decay EQ to be an explicit decay harmonic spectrum, rather than as a 'decay-time' multiplier, when the switch is OFF.
  3. Push the DECcay slider all the way to the top. This will allow you to hear only the Attack EQ spectrum.
  4. Select the Timbre impulse EQ Articulator Editor target. This is the 'attack' sound harmonic spectrum.
  5. From the Articulator Editor Options menu select Create pad harmonics to open the tool.
  6. Click the Randomize button until you hear an attack spectrum you like and Accept the spectrum.
  7. Drag the DECcay slider all the way to the bottom. This will allow you to hear (nearly) only the Decay EQ spectrum.
  8. Select the Timbre decay EQ Articulator Editor target. This is the notes 'decay' sound harmonic spectrum (when Alt Decay is ON).
  9. Open the Create pad harmonics to tool and press randomize until you hear another sound you like, try to make it different from the Attack sound selected previously (preferably less 'chuffy' and more tonal), try lowering the Width knob. Accept when done.
  10. Raise the DECcay slider to about 500 ms (see the hint window). When you play notes you should now have a unique attack and decay sound when a note is held. Fine-tune the Decay slider to taste.
  11. If desired, you can set a unique Timbre release EQ.
  12. Repeat the above steps, adding your own experimentation, and you are on your way to Ogun PAD heaven.

Credits

Algorithm: The Pad Harmonics tool is inspired by PADsynth [image] by Nasca Octavian Paul.

GUI & Ogun programming: Didier Dambrin.


Plucked - Instrument

INSTRUMENTS / GENERATORS

Plucked!

Plucked! is an example of a physical modelling synth, where mathematical formula are used to simulate real sound producing objects, like a plucked string, for example. Plucked implements a ?Karplus-b? plucked string model. The curious are invited to search for Karplus-b modelling on Google - however, be prepared for some Math :)

Parameters

  • Decay knob - Changes the decay time of the plucked sound.
  • Color knob - Changes the tone of the plucked sound from dark (left) to bright (right).
  • Normalize - Tries to make the decay the same for all semitones. Otherwise higher notes have a shorter decay.
  • Gate - Stops the voices abruptly when released. Otherwise the decay keeps going.
  • Widen - Enriches the stereo panorama of the sound.

Notes & Tips

  • Pitch bends are not supported for this generator.
  • The Piano roll allows an offset on the decay & color per voice. While slides can be used to change the decay on the fly, the color works at trigger time only (i.e. they don't change as the voice is running).

Plugin Credits: Didier Dambrin

Thanks To: Perry Cook for his work on physical synthesis


PoiZone V2 - Instrument

INSTRUMENTS / GENERATORS

PoiZone V2 This plugin must be purchased separately

DEMO ONLY: Poizone is available [image] as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Poizone channels.

Overview

PoiZone is a subtractive software synthesizer designed to bring you professional quality results, without a learning curve that hinders your creativity. The concept behind PoiZone was to design a synthesizer that had a great sound derived from the smallest number of controls, without sacrificing flexibility and features. Non-essential controls were ruthlessly removed so what remains is a user interface where every knob counts. Once you have spent some time auditioning the preset patches we are sure you will agree that PoiZone packs a lot of punch in what appears to be a simple package, enjoy!

Features

PoiZone has the following key features -

    Voicing

    • 2 main oscillators for subtractive synthesis: SAW and PULSE shapes, pulse width adjustable.
    • 1 NOISE Oscillator.
    • Variable polyphony (1 to 32 voices).

    Modulation

    • SYNC modulation.
    • RING modulation.
    • PULSE WIDTH Modulation.
    • 2 ADSR envelope generators (one user-assignable to modulation parameters).
    • 3 FILTER modes - low pass, band pass and high pass. PoiZone features a warm, analog-modelled filter with self oscillation. The PoiZone filter can sound bright and clean passing high-frequencies transparently or or 'gritty and grungy' with the addition of resonance (including carefully crafted distortion) for that 'exciting' sound. Special attention has been given to precise KEYTRK filter tuning so that the PoiZone filter can track keyboard frequency precisely, allowing the filter to be used as an oscillator.
    • Keyboard and Velocity tracking for the filter.

    Effects

    • DELAY effect, with tempo-synced click-free stereo delays and delay time modulation. Lo-cut and hi-cut for trancers!
    • CHORUS provides a fat and warm sound with excellent unison emulation.
    • 4 voice UNISON with user-adjustable stereo panning and 'Octaver'. The Octaver expands the harmonic range and flexibility of the unison sound. Additionally it allows to support the creation of realistic 'vox-like' effects.

    Performance

    • 256 Patches created by industry professionals.
    • Muti-mode Arpeggiator.
    • Noise Gate with an adjustable 16 step pattern. The gate features smoothness control and the ability to import/export patterns to .fxp files.
    • MIDI learn feature with the ability to save/load MIDI setups to/from a patch.
    • LFO and MOD WHEEL modulation. Can be assigned to a wide range of performance parameters in PoiZone.

Mothers everywhere will be saying "What's that NOISE!"

Plugin Credits:

PoiZone was created by Maxx Claster exclusively for -

Image Line Software


Image-Line

INSTRUMENTS / GENERATORS

PoiZone - Master Controls

Master Controls

The Master Controls section provides a range of global controls as described below:

Master Display

  • The Display: There are three sub-displays -
    • Program Name - To browse the preset list click on this part of the display. To step through the list click on the < > arrows immediately to the right.
    • Last tweaked parameter. Displaying last tweaked parameter. Name - value - label [CC number assigned]. [N/A] means no CC is assigned. When PoiZone is opened for the first time, there will be no values (--- ---- ---), meaning that no CC has been touched. As soon as you tweak something the value updates. CC (Continuous Controller) data is MIDI data used to communicate between hardware/software controllers and Poizone. 128 different continuous controllers can transmit values between 0-127. CCs are commonly used for things like MIDI controlling volume (#7), pan (#10), data slider position (#6), mod wheel (#1) or other user-assigned parameters.
    • Last CC number and value - Shows the last CC number to be received and the value.
    • OPTIONS: The options are -
      • Import CC Map: Imports all CC links from saved FXP. This is used to load Midi Learn settings from FXP saved from your host.
      • Import gate pattern: Import a saved FXP containing Gate Pattern data.
      • Save Bank (.FXB): Save all patches to a bank file .FXB format.
      • Save Program (.FXP): Save current patch to a file .FXP format.
      • Load Program/Bank from HD: Opens a load-file dialog so that you can load either .FXB or .FXP files. NOTE: Loading banks (.FXB) will overwrite all the 256 programs in the current bank.
      • Clear All CC Links: Unlinks all parameters from all CC's.
      • Initialize Program: Resets PoiZone to a default starting condition, useful for patch authors.
    • LINK: Link the last tweaked MIDI parameter to the selected target in PoiZone.
    • UNLINK: Unlink the displayed link-relationship.

      MIDI learning features in PoiZone - When you send a CC to PoiZone, it updates number and value of that CC. Tweak any parameter (second display updates), send any CC (third display updates), push LINK button and last sent CC is linked to last tweaked parameter. Or push UNLINK is you want last tweaked parameter to be not linked to any CC (then it will display [N/A] ).

Voice Controls

  • UNISON: Set the number of unison voices from 1 to 4. 1 = No unison. Unison is similar to chorus in that multiple copies of the final output sound are detuned and panned to create a thicker audio texture.
  • POLY: Number of voices that will play with the current patch. 1 to 32 voices are available. Select lower values to emulate monophonic analog synths with voice-stealing.
  • UNISON DETUNE: The relative detuning of the unison voices. Higher levels creates a more discordant sound.
  • UNISON PAN: The relative stereo panning of the unison voices. Higher levels create a wider stereo field.
  • OCT: Even numbered UNISON voices are shifted up one octave. It's useful to create 'human voice-like' patches if a narrow bandpass filter is applied to the patch and UNISON is set to 2 with OCT on.
  • MONO: Monophonic playback mode.
  • HELD: OFF: All notes will glide. ON: Only held (overlapping) notes will glide.
  • STATIC: ON: All notes will glide at a variable rate so that glide-time is independent of the jump size.
  • GLIDE TIME: Controls the slide-rate between notes.
  • TRANSP: Controls the global pitch in semitones.
  • MICRO TUNE: Controls the global pitch in cents. The range is -100 to +100 cents with 0 in the middle position (vertical knob).
  • GAIN: Overall, final output level from PoiZone.


PoiZone - MIDI

MIDI

The MIDI section provides the ability to route a MIDI controller to a range of targets in PoiZone, as described below. NOTE: In order to link your controller to specific MICI CC values you will need to do this via your hosts plugin wrapper.

Controls

  • MW DEST: Mod Wheel Destination, selects the target control for the mod wheel MIDI CC parameter -
    • CUTOFF: Cutoff of the filter frequency (pitch) of oscillator A.
    • LFO: LFO amplitude. Note that this is not LFO amount, it is the amplitude of the LFO. For example, if your Mod Wheel is linked to LFO amplitude, and set your Mod Wheel to minimum, LFO will have zero amplitude and won't do anything. If you turn Mod Wheel to maximum the LFO will now have max amplitude.
    • FREQ A: Frequency of OSC A.
    • PW A: Pulse-width of OSC A.
    • PW AB: Pulse-Width of OSCs A and B.
  • MW AMNT: The amount of modulation that the MOD Wheel will apply.
  • PB RANGE: Pitch Bend Range.


PoiZone - LFO

LFO

LFO is a 'Low Frequency Oscillator' that is an Oscillator that creates an output changes at a rate less than 30 Hz. This generator is used to control parameters inside PoiZone to add motion or variability to sounds in order to make them more interesting or a 'human' feeling.

LFO Controls

  • LFO DEST: LFO Destination, select from -
    • CUTOFF: Cutoff of the filter frequency (pitch) of oscillator (OSC) A.
    • FREQ A: Frequency of OSC A.
    • FREQ AB: Frequency of OSC A and B.
    • PW A: Pulse Width for OSC A.
    • PW AB: Pulse Width for OSC A and B.
    • PAN: Stereo Panning.
  • AMOUNT: Amount multiplier, 0% bottom 100% top.
  • RATE: Determines the frequency of the LFO, faster is up.
  • SHAPE: Select the LFO waveform shape (SAW, PULSE, TRIANGLE, SINE, RANDOM).
  • RETRIG: Retrigger, when selected restarts the LFO cycle at the start of each note.
  • TMP SYNC: Tempo Sync, synchronizes the LFO speed to the host tempo. Left click to show a drop-down menu of options from 1/16th to 32/16th. When the display shows 'no sync' there is no tempo sync and rate of LFO is defined by the 'RATE' knob.


PoiZone - Envelope Generator

Envelope Generator

The Envelope Generator is a user assignable Envelope that is used to control parameters inside PoiZone to add motion or variability to sounds. The envelope is triggered on a per-note basis at the start of each note.

Envelope Generator Controls

  • EG DEST: Envelope destination, select from -
    • CUTOFF: Cutoff frequency of the filter.
    • FREQ A: Frequency of OSC A.
    • FREQ AB: Frequency of OSC A and B.
    • PW A: Pulse Width for OSC A.
    • PW AB: Pulse Width for OSC A and B.
  • AMOUNT: Amount can be -100 to +100%. The middle value of the slider is zero.
  • A, D, S, R: Attack (ramp up speed), Decay (ramp down speed), Sustain (sustain level), Release (release rate) of the envelope.


PoiZone - ADSR

Master Level ADSR (Amplifier)

Master ADSR (Amplifier) Envelope adds an envelope to the final output sound of PoiZone. The envelope is triggered on a per-note basis at the start of each note.

Amplifier Controls

  • A, D, S, R: Attack (ramp up speed), Decay (ramp down speed), Sustain (sustain level), Release (release rate) of the envelope.


PoiZone - Oscillators

Oscillators

Oscillators are the basic sound sources of a synthesizer, Poizone has 2 Oscillators (A and B) and one 'Noise' source. Oscillators A and B generate SAW or PULSE shapes that can be futher modified. All Oscillator modulations are applied to OSC A, so that OSC A is a carrier and OSC B is a modulator for RM and SYNC operations (as described below). OSC B always generates an unmodulated sound - for example, this is why OSC B has controls for pitch while OSC A does not. These features together with 'Unison' in the Master Controls section and the Effects Section allow Poizone to quickly and easily create thick, lush textures or cutting leads.

BALANCE

The knobs in the 'BALANCE' section are used to mix between Oscillator A, B and the Noise source.

  • OSC: Controls the balance between Oscillator A and Oscillator B, turn fully left to hear OSC A and fully right to hear OSC B, the 12 O?clock position is a 50% mix of OSC A and OSC B.
  • NOISE: The output of the OSC knob is then sent to the NOISE mixer, fully left is 100% Oscillators and 0% NOISE, fully right is 100% NOISE and 12 O?clock is a 50% mix of the Oscillators and the Noise source.

OSCILLATOR A

  • PW (Pulse Width): Controls the 'width' of the Oscillator waveform when the PULSE button is enabled and Oscillator is in PULSE mode. When fully left and the original waveform will be a narrow 'spike' shape, when fully right the waveform will be equal to the original PULSE waveform (100% width).
  • PULSE: Pulse switches between Saw and Pulse shapes of the Oscillator.
  • RING (Ring Modulation): Ring modulation multiplies the output of OSC A and OSC B. The result is passed to OSC A (e.g. A = A * B) while OSC B remains unchanged (has its original sound). Ring can be used to produce extra harmonics that are characteristic of struck metal.
  • SYNC: When selected synchronizes the phase of OSC A to B. In other words, every time OSC B completes its cycle OSC A is forced to reset and start its cycle from the beginning.

OSCILLATOR B

  • PW (Pulse Width): Controls the 'width' of the Oscillator waveform when the PULSE button is enabled and Oscillator is in PULSE mode. When fully left and the original waveform will be a narrow 'spike' shape, when fully right the waveform will be equal to the original PULSE waveform (100% width).
  • PULSE: Pulse switches between Saw and Pulse shapes of the Oscillator.
  • PITCH: Changes the pitch of OSC B by +/- 24 Semitones.
  • DETUNE: Changes the pitch of OSC B by 0 to + 50 Cents.


PoiZone - Filter

Filter Section

The PoiZone filter can be used to shape the output from the Oscillators transforming the sound into something completely new. The PoiZone Filter operates in LowPass, HighPass and Band Pass modes as described below.

Controls

  • CUTOFF: Determines the cutoff frequency of the filter. Try automating this filter knob for interesting sound variations.
  • RESO: Determines the Resonance (Or Bandwidth) of the filter.
  • KEYTRK: This knob controls how closely the filter cutoff frequency will be tied to the MIDI key number pressed by the user. Lower keys will result in lower cutoffs, while higher keys will have the opposite affect.
  • VELTRK: Determines how much velocity will effect the filter cutoff frequency.
  • MODE: Toggles the filter between -
    • LP - Low-Pass, frequencies below the cutoff are allowed to pass, those above are filtered out.
    • BP - Band-Pass, a band of frequencies are allowed to pass, those above or below are filtered out. Cutoff controls the center position of this band.
    • HP - High-Pass, frequencies above the cutoff are allowed to pass, those below are filtered out.


PoiZone - Arpeggiator

PoiZone Arpeggiator

The PoiZone Arpeggiator can sync the playback of various patterns to the host tempo allowing you to create complex melodies while holding down notes or chords, instant gratification is yours!

Controls

  • MODE: Select from one of 5 modes -
    • OFF: The arpeggiator is turned off.
    • UP: Notes are played back from the lowest to the highest held and then the arpeggiator loops back to the start (e.g. 1,2,3,4 - 1,2,3,4, etc).
    • DOWN: Notes are played back from the highest to the lowest held and then the arpeggiator loops back to the start (4,3,2,1 - 4,3,2,1, etc).
    • UP/DOWN: The note sequence runs up and down those held (e.g. 1,2,3,4,3,2,1 - 1,2,3,4,3,2,1, etc).
    • RANDOM: Notes are played back in random order from among those held.
  • RANGE: Select the number of octaves the pattern will be played over. Select from 1 to 4 octaves.
  • TMP SYNC: Tempo Sync, this determines how quickly and in what time signature the Arpeggiator will play relative to the host tempo. 1/32 (32nd notes) is the fastest setting while 4/4 (whole notes) is the slowest.


PoiZone - Effects

Effects

The effects are important to add 'polish' to your sounds. PoiZone offers a DELAY and CHORUS effect bank, To activate the effect, click on the 'ON' button (it will light-up red).

Values for controls may be seen in the top left display of PoiZone.

DELAY

Delay is an echo-based effect. Very short values of the delay time controls can produce a 'reverb' like sound.

  • ON: Turn the effect ON/OFF.
  • LEFT: Delay time for the left channel. Changes in 1/16th note tempo-synced units.
  • RIGHT: Delay time for the right channel. Changes in 1/16th note tempo-synced units.
  • FDBK: Feedback, the level of the delay feedback. Greater levels produce more echoes.
  • MDPTH: Delay Time Modulation Depth. The delay has an internal LFO that can control the delay time.
  • LO-CUT: Low Cut, determines a high-pass filter amount applied to the delay feedback loop. That is, the longer the tail of echoes, the less low frequencies they will contain.
  • HI-CUT: High Cut, determines a low-pass filter amount applied to the delay feedback loop. That is, the longer the tail of echoes, the less high frequencies they will contain.
  • WET: The amount of wet (effect) added to the dry sound (i.e. Full-Left is 100% Dry + 0% Wet, Full-Right is 100% Dry + 100% Wet).

CHORUS

The Chorus effect results from the interaction of several copies of the original sound that are detuned by a very small and constantly variable amount. It is called 'Chorus' because it can make a single voice sound like that of a chorus of singers (all slightly out of tune relative to each other) to create a thick and lush texture. The Chorus in PoiZone does not have delay time control, rather delay time is modulated with the main LFO, so it varies from zero to "depth" in range. With rate at which the pitch variations occur is controlled by "rate" knob.

  • ON: Turn the effect ON/OFF.
  • DEPTH: Depth of the chorus effect.
  • RATE: The speed at which the chorus voices change pitch (in Hz).
  • WET: The amount of wet (effect) added to the dry sound (i.e. Full-Left is 100% Dry + 0% Wet, Full-Right is 100% Dry + 100% Wet).


PoiZone - Trance Gate

Trance Gate

The PoiZone Trance Gate chops the final output sound from the effects section according to the selected pattern. The gate has a 16 step pattern that is synced to host tempo.

Controls

  • TMP SYNC: Tempo Sync, this determines how quickly and in what time signature the Trance Gate will gate (chop) relative to the host tempo. 1/32 (32nd notes) is the fastest setting while 4/4 (whole notes) is the slowest.
  • WET: The balance between the wet (gated) and dry sound. Right is 100% gating, left is 0%.
  • SMOOTH: This controls the aggressiveness of the gate attack, similar to the attack of an envelope. Left is a faster gate while right is slower gate.
  • GATE PATTERN: Each step in the row of 16 squares represents 1 unit of the TMP SYNC selection. Selected steps (black) is gate OFF, deselected steps (orange) is gate ON. Left click with your mouse to select/deselect steps.


ReWired - Plugin

INSTRUMENTS / GENERATORS

ReWired

ReWired allows you to host any compatible ReWire device in FL Studio, including sample accurate streaming audio input, synchronized transport/playback controls and MIDI data receive/transmit.

For more information, please see the Rewire Host Mode pages.

Plugin Credits: Frederic Vanmol


Sawer

Image-Line

Sawer This plugin must be purchased separately

DEMO ONLY: Sawer is provided as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Sawer channels.

Sawer is a vintage modelling synthesizer, that can cut through a mix with precisely articulated and punchy sounds.

General Settings Master Settings Oscillator Settings Filter Settings Modulation Modulation Effects Arpeggiator MIDI Modulation Sawer

Click on the interface above or the list below to jump to the help for that section.

  • General Settings
  • Master Controls
  • Oscillators
  • Filter
  • Modulation
  • Effects
  • Arpeggiator
  • MIDI Control

Overview

Sawer Development

Filters & Oscillators

Sawer pays homage to the envelopes and filters of a rare 1980s 'Soviet era' analog synthesizer, Polivoks. Maxx has devoted meticulous attention to the detail of Sawer's filter design, ensuring Sawer delivers a unique sonic character reminiscent of the Polivoks hardware. But Polivoks, like all analog synthesizers, wasn't without its problems. Keeping the oscillators stable and in tune has been likened to 'moving a pile of live frogs, by wheelbarrow', impossible! As Sawer is algorithmic, this solves the problems of tuning and stability, however, in the same way electrical component instability makes analog gear unique (if not cranky), Sawer benefits from the 21st century equivalent, a coding error.

While programming the SAW oscillator, Maxx accidentally set some incorrect variables and immediately the sound gained bass, acquired some light but pleasing noise on the attack and an overall richer sonic spectra. Maxx realized this was not a mistake, it was a discovery. Builing on this sound Maxx added some frequency modulation to give it a touch of analog 'authenticity' and so Sawer was born.

Physical Envelopes

Sawer carries forward the 'physical' envelopes first heard in Toxic Biohazard [image]. Physical envelopes are so called as they are modeled on the physical decay & resonance of natural sounds. Rendered in real-time, without interpolation to avoid noise artifacts, they allow Sawer to deliver incredibly fast, sample-accurate, envelopes.

Features

Sawer has the following key design features -

    Voicing

    • Main oscillator for subtractive synthesis: SAW shape with Sync frequency.
    • Sub oscillator (-2 to +2 octaves) with level, phase & detune controls.
    • 1 NOISE Oscillator.
    • Variable polyphony (1 to 24 voices).
    • 8 voice UNISON with user-adjustable stereo panning, detune and 'Octaver'. The Octaver expands the harmonic range and flexibility of the unison sound. Additionally it allows to support the creation of realistic 'vox-like' effects.

    Modulation

    • SYNC frequency modulation.
    • RING modulation.
    • 2 ADSR envelope generators (one user-assignable to modulation parameters).
    • 4 FILTER modes - low pass (24 & 12 dB/Oct), band pass and high pass. Sawer features a warm, analog-modeled filter with self oscillation. The Sawer filter can sound bright and clean passing high-frequencies transparently or 'gritty and grungy' with the addition of resonance (including carefully crafted distortion) for that 'exciting' sound.
    • Keyboard and Velocity tracking for the filter.

    Effects

    • CHORUS provides a fat and warm sound with excellent unison emulation.
    • PHASER great for stereo 'panning' effect.
    • DELAY effect, with tempo-synced click-free stereo delays and delay time modulation. Lo-cut and hi-cut for trancers!
    • REVERB simulating acoustic spaces.

    Performance

    • Muti-mode Arpeggiator.
    • MIDI learn feature with the ability to save/load MIDI setups to/from a patch.
    • MIDI MODULATION MATRIX - Controller parameters (e.g. LFO and MOD WHEEL) can be assigned to a wide range of performance parameters in Sawer.

Sawer Online

Hear demo tracks, check for updates or purchase Sawer online at www.image-line.com

Plugin Credits:

Sawer was created by Maxx Claster exclusively for -

Image Line Software


Sawer General

INSTRUMENTS / GENERATORS

Sawer - General Settings & Controls

General Settings & Controls

The Master Controls section provides a range of global controls as described below:

Program management

  • BANK: Several options for managing banks -
    • Bank names - Displays the names of banks available to load.
    • Online content - Opens the online-content browser where you can download new Sawer patches and banks (if available).
  • PRG (Program) - Drop-down menu containing the list of preset sounds in the current Bank.
  • OPTIONS -
    • Save Program - Save the current program (sound) as a single file.
    • Load Program - Load a single program (sound). NOTE: this will overwrite the currently selected program in the loaded bank.
    • Reset Program - Reset Sawer program to the default state.
    • Import CC Map - Load a Continuous Controllers MIDI setup from preset file.
    • Reset CC Map - Reset the Continuous Controllers MIDI settings to the default state.

MIDI Controls

  • CTRL (Control): Shows the active MIDI control and value.
  • LINK: Link the last touched MIDI parameter (on your controller) to the selected target in Sawer.
  • UNLINK: Unlink the displayed link-relationship.
  • PARAM: Displays the value of the currently selected parameter.

Voice Controls

  • POLYPHONY: Set 4 to 24 note polyphony. Polyphony sets the maximum number of notes that can sound at one time. With lower polyphony numbers the 'voice stealing' will occur, this can help to keep CPU loads down.
  • BEND RANGE: Sets the maximum pitch bend range in semitones (1 to 12).
  • ?: Sawer information.


Sawer Master

INSTRUMENTS / GENERATORS

Sawer - Master Controls

Master Controls

The Master Controls section provides a range of global controls as described below:

Amplifier

  • LEVEL - Final output volume control.
  • PANNING - Final output panning.
  • ADSR - Note volume envelope controls:
    • ATK (Attack) - Note volume ramp-up speed.
    • DEC (Decay) - Note volume ramp down speed (after reaching the maximum level set by the Attack).
    • SUS (Sustain) - Note volume when held (after the Decay time has completed).
    • REL (Release) - Note volume release rate (decays to silence).

Tuning

  • TRANSP (Transpose) - Controls the global pitch in semitones.
  • FINE - Controls the global pitch in cents (1/100th semitone steps). The range is -100 to +100 cents with 0 in the middle position (vertical knob).

Portamento

Portamento is used to slide between notes or create legato effects.

  • STATIC/VARI (Static / Variable) - Static: Glide time is static. Notes will glide at a variable rate so that glide-time is independent of the jump size. Variable: Glide time is variable depending on jump size. The glide rate is fixed so larger note intervals will take longer.
  • BEND/HELD - Bend: All notes will glide. Held: Only held (overlapping) notes will glide.
  • GLIDE TIME - Controls the slide-rate between notes.

Voicing

  • MONO/POLY (Monophonic/Polyphonic) - Monophonic: playback mode, only one note will play at a time. Polyphonic: playback mode, multiple notes will play, up to the maximum set by the General Settings POLYPHONY option.
  • OCT (Octave) - Even numbered UNISON voices are shifted up one octave.
  • RETRIG (Retrigger) - All unison voices are retriggered and phases reset at note on.
  • UNISON VOICES - Set the number of unison voices from 1 to 8. 1 = No unison. Unison is similar to chorus in that copies of each voice (note) are detuned and panned to create a thicker audio texture.
  • UNISON DETUNE - The relative detuning of the unison voices. Higher levels creates a more discordant sound.
  • UNISON PANNING - The relative stereo panning of the unison voices. Higher levels create a wider stereo field.


Sawer Oscillators

INSTRUMENTS / GENERATORS

Sawer - Oscillators

Oscillators

Oscillators are the basic sound sources of a synthesizer, Sawer has 2 Oscillators (Main and SUB Oscillator) and one 'Noise' source. The main oscillator generates SAW shapes that can be further filtered. The SUB Oscillator can generate SAW or SQUARE shapes and has level, phase, octave and detune controls. The oscillator features, together with 'Unison' in the Master Controls section and the Effects Section allow Sawer to create thick, lush textures and cutting leads.

Controls

  • Main SAW oscillator
    • NOISE LVL (Level) - Controls the level of the Noise oscillator. Noise can be used to give a sharp, breath or metallic attack quality to sounds.
    • SYNC FREQ - When Sync is selected (the switch is to the upper right of the Sync-knob), the Main-oscillator syncronizes its phase to (an unheard oscillator's) frequency. In other words, every time the Sync-frequency oscillator completes a cycle the Main-oscillator is forced to reset its cycle from the beginning. This adds in harmonics or overtones to the sound. Automating the Sync-frequency control is an effective way of generating cutting and evolving saw-sounds.
  • Sub Oscillator
    • RETRIG (Retrigger) - Resets the phase of the Sub Oscillator at note-on events.
    • INVERT - Inverts the phase of the Sub Oscillator.
    • SQUARE - Sets the oscillator to a square wave.
    • LEVEL - Relative volume of the Sub-Saw.
    • PHASE - Phase relationship between the Sub-saw and Main-Saw oscillators.
    • OCTAVE - Changes the pitch of the Sub-oscillator in octaves.
    • DETUNE - Offsets the tune of the Sub-oscillator.


Sawer Filter

INSTRUMENTS / GENERATORS

Sawer - Filter

Filter Section

The Sawer filter can be used to shape the output from the Oscillators transforming the sound into something completely new. The Sawer Filter operates in LowPass (two filter slopes 12 & 24 dB/Oct), High Pass and Band Pass modes as described below.

Filter Controls

  • CUTOFF - Sets the filter cutoff frequency. Try automating this filter knob for interesting sound variations. The LFO section can be used to control the Cutoff knob or the ENVELOPE section below.
  • RESO (Resonance) - Filter resonance introduces a frequency boost, just prior to the cutoff slope, this gives the sound a metallic or 'resonant' quality.
  • KBD TRK (Keyboard Tracking) - This links the cutoff frequency to the MIDI note number. Low notes will have a lower cutoff frequency for a 'darker' sound while higher notes will have a higher cutoff frequency for a 'brighter' sound. The amount of keyboard tracking controls the strength of this effect.
  • VEL TRK (Velocity Tracking) - This links the filter cutoff frequency to note velocity. Soft notes will have a darker more muted sound while hard notes will have a brighter sound. The amount of velocity tracking controls the strength of this effect.
  • MODEToggles the filter between -
    • LP 12 / 24 - Low-Pass (12 or 24 dB per octave), frequencies below the cutoff are allowed to pass, those above are filtered out.
    • BP - Band-Pass, a band of frequencies are allowed to pass, those above and below the center of the band (controlled by the CUTOFF knob) are filtered out.
    • HP - High-Pass, frequencies above the cutoff frequency are allowed to pass, those below are filtered out.


Sawer Modulation

INSTRUMENTS / GENERATORS

Sawer - Modulation

Sawer - Modulation

Sawer provides an Envelope and LFO source that can be used to control a number of destination controls on the interface. Modulation is critical for achieving the most interesting and evolving sounds.

Envelope Controls

A modulation envelope responds to note events as follows:

  • ADSR -
    • ATK (Attack) - Modulation envelope ramp-up speed.
    • DEC (Decay) - Modulation envelope ramp down speed (after reaching the maximum level set by the Attack).
    • SUS (Sustain) - Modulation envelope note sustain level (after the Decay time has completed).
    • REL (Release) - Modulation envelope note release rate (decays to silence).
  • AMPLITUDE - Is a multiplier factor, or the amount of Modulation Envelope applied to the Destination control.
  • DESTINATION - Select the Envelope to modulate:
    • CUTOFF - Filter cutoff frequency.
    • SYNC FRQ (Frequency) - Main oscillator synchronization frequency.
    • SUB PHASE - Sub-oscillator phase.
    • MASTER FRQ (Frequency) - Master tuning frequency.

LFO Controls

LFO is a 'Low Frequency Oscillator' that is an Oscillator that creates an output changes at a rate between 0 and 10 Hz. This generator is used to control parameters inside Sawer to add motion or variability to sounds in order to make them more interesting or a 'human' feeling.

  • SPEED - LFO speed, between 0 and 10 Hz.
  • ATTACK - Fade-in for the LFO, ramps up the LFO amount. This is linked to a note-on event.
  • RELEASE - Fade-out for the LFO, ramps down the LFO amount. This is linked to a note-release event.
  • AMPLITUDE - A multiplier or amount of LFO to be applied to the Destination control.
  • RETRIG (Retrigger) - Restarts the LFO cycle at the start of each note.
  • TMP SYNC (Tempo Sync) - Synchronizes the LFO speed to the host tempo. When selected the SPEED knob now controls the tempo sync from 1/16th to 32/4.
  • INVERT - Inverts the phase of the LFO waveform.
  • SHAPE - Select the LFO shape (TRIANGLE, SAW, SQUARE, RANDOM).
  • LFO DESTINATION LFO Destination, select from -
    • CUTOFF - Filter cutoff frequency.
    • SYNC FRQ (Frequency) - Main oscillator synchronization frequency.
    • PHASE - Sub-oscillator phase.
    • FREQ (Frequency) - Master tuning frequency.
    • NOISE - Controls the Oscillator noise level.
    • LEVEL - Master volume.
    • PAN - Master panning.


Sawer Effects

INSTRUMENTS / GENERATORS

Sawer - Effects

Effects

The effects are important to add 'polish' to your sounds. Sawer offers CHORUS, PHASER, DELAY and REVERB, To activate the effect, click on the 'ON' button next to the effect name (it will light red).

CHORUS

The Chorus effect results from the interaction of delayed copies of the original sound that are detuned by a small and continuously varied amount. It is called 'Chorus' because it can make a single voice sound like that of a chorus of singers (all slightly out of tune relative to each other) to create a thick and lush texture. The Chorus in Sawer does not have delay time control, rather delay time is modulated with the main LFO, so it varies from zero to "depth" in range. With rate at which the pitch variations occur is controlled by "rate" knob.

  • DEPTH - Depth of the chorus detuning.
  • RATE - The speed at which the chorus voices change pitch (in Hz).
  • MIX - The amount of wet (effect) added to the dry sound (i.e. Full-Left is 100% Dry + 0% Wet, Full-Right is 100% Dry + 100% Wet).

PHASER

Phasing is closely related to Flanging. Various frequencies in the original signal are delayed by different amounts, causing peaks and troughs in the output signal. Phasing and flanging sound similar, as both come from combining delayed versions of the signal with the original. However, the Phasing effect is significantly more intense, with a greater 'sweeping' effect across the spectrum.

  • CENTER - Center frequency around which the phase inversion occurs.
  • RATE - Controls the LFO detune speed between phaser voices.
  • DEPTH - Control the range (depth) of the phasing effect.
  • FDBK (Feedback) - Increases the amount of signal fed back into the phaser for a more complex sound.
  • MIX - Mix between the wet and dry signal. Effect level in other words.

DELAY

Delay is an echo-based effect. Very short values of the delay time controls can produce a 'reverb' like sound while longer asymmetrical settings are great for left-right 'ping-pong' effects.

  • LEFT - Delay time for the left channel.
  • RIGHT - Delay time for the right channel.
  • FDBK (Feedback) - Adjusts the level of the delay feedback. Greater levels produce more echoes.
  • M DPTH (Modulation Depth) - Delay Time Modulation Depth. This is an internal LFO that can modulate the delay time.
  • LO-CUT - Low Cut, sets a high-pass filter amount applied to the delay feedback loop. That is, the longer the tail of echoes, the less low frequencies they will contain. The sound becomes 'thinner'.
  • HI-CUT - High Cut, sets a low-pass filter amount applied to the delay feedback loop. That is, the longer the tail of echoes, the less high frequencies they will contain. The sound becomes 'darker'.
  • MIX - The amount DELAY effect added to the dry sound.

REVERB

Reverb, short for reverberation, simulates acoustic spaces. If you clap your hands in a bathroom and in a concert hall, the two sounds will be quite different. In enclosed spaces reflections overlap one another to create a 'reverberant' sound. Sawer's reverb parameters allow you to simulate different types of acoustic spaces. If you want to give your patches a realistic (live) feel, then use of reverb is critical.

  • DECAY - The time it takes the reverberation to fade away. Higher values make the room sound like it has hard shiny surfaces. Lower values more muted and padded.
  • HI-CUT - Changes the cut-off frequency of a low-pass filter. Use this to remove high frequencies from the reverb, or to make the room sound duller.
  • DAMP (Damping) - Damping, adjusts attenuation of the high frequencies in the reverb signal. Damping refers to the rate at which the high frequencies decay relative to the low frequencies. This level control causes the sound to become gradually muffled and warmer. The frequencies affected are controlled by the HI-CUT knob.
  • MIX - Mix between the wet (reverberant) and dry signal.


INSTRUMENTS / GENERATORS

Sawer - Arpeggiator

Sawer Arpeggiator

The Sawer Arpeggiator can sync the playback of various patterns to the host tempo allowing you to create complex melodies while holding down notes or chords, instant gratification is yours!

Controls

  • MODE - Select from one of 5 modes:
    • UP: Notes are played back from the lowest to the highest held and then the arpeggiator loops back to the start (e.g. 1,2,3,4 - 1,2,3,4, etc).
    • DOWN: Notes are played back from the highest to the lowest held and then the arpeggiator loops back to the start (4,3,2,1 - 4,3,2,1, etc).
    • UP/DN (Up/Down): The note sequence runs up and down those held (e.g. 1,2,3,4,3,2,1 - 1,2,3,4,3,2,1, etc).
    • RND (Random): Notes are played back in random order from among those held.
  • PLAY - Select to turn on the Arpeggiator.
  • SYNC - Tempo Sync, this determines how quickly and in what time signature the Arpeggiator will play relative to the host tempo. 1/32 (32nd notes) is the fastest setting while 3/4 (whole notes) is the slowest.
  • RANGE - Select the number of octaves the pattern will be played over. Select from 1 to 4 octaves.


Sawer MIDI

INSTRUMENTS / GENERATORS

Sawer - MIDI Modulation Matrix

MIDI

The MIDI Modulation Matrix provides the ability to route a MIDI controller to a range of targets in Sawer, as described below. NOTE: MIDI assignments are saved on a per-program (sound) basis.

Controls

The matrix provides 6 Source & Destination pairings. That is 6 MIDI controller source to Sawer destination controls.

  • SOURCE - Click on the Source Name area to open a drop-down list of MIDI sources.
  • AMNT (Amount) - The amount of modulation that the source will apply to the destination.
  • DESTINATION - Click on the Destination field to open a drop-down menu of Sawer controls.


Sawer: About

INSTRUMENTS / GENERATORS

Credits & Information

Credits:

Sawer was created & developed by Maxx Claster.

Manual: Scott Fisher. No one reads the manual!

Distributed by:

Image Line Software

Kortrijksesteenweg 281

B-9830 Sint-Martens-Latem

Belgium

Copyright (©) 2008-2009


SimSynth Live - Instrument

INSTRUMENTS / GENERATORS

SimSynth Live This feature is available in Fruity Edition, Producer Edition & Signature Bundle.

DEMO ONLY: SimSynth Live comes as a demo version in FL Studio and needs to be purchased separately separately so you can save projects containing SimSynth Live channels.

SimSynth Live is the FL Studio plugin version of the widely popular SimSynth standalone created by David Billen.

SimSynth Live is modelled after the classic analogue synthesizers of the 80's and is capable of producing a wide range of instruments and effects: from strings and pads to deep bass lines.

The sound is created by three oscillators, filtered by a SVF section (State Variable Filter) and amplified by an ADSR envelope. The unit includes a programmable LFO section that can control some of the parameters in the oscillator and SVF sections. Finally you can filter the sound with a chorus effect to widen the stereo panorama of the patch.

Parameters

Oscillators Section (OSC1, OSC2, OSC3)

  • Oscillator ON/OFF switch - Each oscillator has a checkbox on its left that can be used to turn it on/off. An orange light indicates the oscillator is turned on.
  • Oscillator Waveshape selector - The selector is located at the top of each oscillator. You can use it to select the wave shape used for synthesis: Pulse/Square – This produces a bright tone sounds. The pulse width can be adjusted using the PW knob (and can also achieve square oscillator shape); Saw – Produces bright tone sounds yet with different harmonics than Pulse/Square; Triangle – Produces dark tone sounds; Noise – Produces random white noise. The frequency range of the noise can be adjusted using the CRS knob where zero is white noise (full spectrum); Sine – This produces a very dark and pure tone. The sine can be varied from standard to the 4th power using the PW knob.
  • Pulse Width wheel (PW) – Adjusts the pulse width of the Pulse wave shape. This varies the harmonic content of the oscillator (technically it varies it from odd harmonics to all harmonics). It also affects the Sine wave shape - from standard sine to 4th power of sine.
  • Frequency wheel (CRS) – Offsets the frequency of the oscillator in semitones. Has a two octave range, from –12 to +12.
  • Fine Frequency (FINE) – Offsets the frequency of the oscillator in cents, (1/100-th’s of a semitone). Has a two semitone range, from –100 to +100.
  • Level wheel (LVL) – Sets the output level (volume) of the oscillator from 0 to 100%.
  • LFO Modulation wheel (LFO) – Specifies the amount of frequency modulation from the LFO unit. Has a two octave range, from –100% to +100%. Note that in order for the LFO to modulate around a tuned frequency, the CRS and/or FINE knobs must be adjusted to compensate for the variation.
  • Envelope Modulation wheel (ENV) - Specifies the amount of frequency modulation from the Amplitude Envelope. Has a two octave range, from –100% to +100%.
  • Mix One Octave switch (1) – Mixes additional wave in the oscillator (one octave higher). Adds an octave to the oscillator. Best used with the sine and triangular wave shapes.
  • Mix Two Octaves switch (2) – Mixes additional wave in the oscillator (two octaves higher). Best used with the sine wave shape.
  • Warm Oscillator switch (WARM) – Softens the oscillator sound by mixing a second wave with slightly detuned frequency (without variation).
  • Ring Modulation switch (Ring 1x2) – Ring modulates Oscillator 1 by Oscillator 2. This produces a "harsh" sound that was expensive with the older analogue synths.

Filter Section (SVF)

  • Filter Envelope Attack wheel (ATT) - The amount of time required for the envelope to go from zero to full when a new note is played.
  • Filter Envelope Decay wheel (DEC) – The amount of time required for the envelope to fall from full to the sustain level after the attack.
  • Filter Envelope Sustain wheel (SUS) – The level at which the filter envelope will sustain as long as a note is held.
  • Filter Envelope Release wheel (REL) – The amount of time required for the envelope to fall from the sustain level to zero after the note is released, or through being held.
  • Envelope to Filter wheel (ENV) - The amount of modulation of the filter envelope over the filter cutoff value (negative or positive). This amount is added to the existing cutoff value.
  • LFO Modulation wheel (LFO) - The amount of modulation of the LFO over the cutoff value (negative or positive). This amount is added to the existing cutoff value. Important: You must turn on the LFO unit first for this knob to have any affect.
  • KB to Cutoff wheel (KB) – The amount of modulation of the note's pitch over the cutoff values.
  • Track Amp switch (TRACK AMP) - This switch disables the filter envelope, and the Amplitude Envelope is used instead. The ENV wheel then controls the modulation of the Amplitude Envelope over the cutoff level. This makes editing easier when creating presets with identical filter and amp envelopes.
  • Cut Off Frequency wheel (CUT) – The base cutoff frequency of the filter, from 0% to 100%.
  • Filter Emphasis wheel (EMPH) – Also called resonance and Q. Emphasizes the frequencies near the cutoff. A little emphasis is useful for general purpose synthesis. A lot of emphasis sounds highly electronic and is useful for techno or special effects (together with cutoff frequency variations).
  • High Pass Frequency wheel (HIGH) – Sets the high pass frequency of the filter. Note that this knob reduces low pass output as high pass output is increased. Set to 50% to produce a notch filter.
  • Band Pass Frequency wheel (BAND) – Sets the band pass frequency of the filter. Note that this knob reduces low pass (or high pass as specified by the high knob), as band pass output is increased.

Amplitude Envelope (AMP)

  • Amplitude Envelope Attack wheel (ATT) - The amount of time required for the envelope to go from zero to full when a new note is played.
  • Amplitude Envelope Decay wheel (DEC) – The amount of time required for the envelope to fall from full to the sustain level after the attack.
  • Amplitude Envelope Sustain wheel (SUS) – The level at which the filter envelope will sustain as long as a note is held.
  • Amplitude Envelope Release wheel (REL) – The amount of time required for the envelope to fall from the sustain level to zero after the note is released, or through being held.
  • Volume wheel (LVL) – The overall volume of the audio output of SimSynth.

Low Frequency Oscillator Section (LFO)

  • LFO Waveshape selector - The selector is placed on the top of the LFO section. You can use it to select the shape used for oscillation: Square – Alternates between the max and min values; Saw – Falls gradually down to the min value then switches to max again; Triangle – Alternates gradually between the max and min values; Noise – Produces random values.
  • LFO Rate wheel (RATE) - The LFO speed.
  • LFO Delay wheel (DEL) - The amount of time required for the LFO to take affect after a note starts. It can be seen as fade in or attack time for the LFO.
  • LFO retrigger switch (RETRIGGER) - When selected, the LFO starts at zero when a note is played. Also, the delay (see above) begins with each note. When not selected, the LFO cycles continually for all notes.

Chorus Switch

  • Chorus switch (CHORUS) - When turned on, applies a chorus effect to sound. The chorus widens the stereo output by slightly delaying and modulating the frequency of the sound. It usually adds a nice, stereo touch to any preset - however, it can cause a side effect called "phase cancellation" which might not be desired.
  • Phase cancellation might cause problems with bass sounds, especially if they get mixed to mono and played through a subwoofer at some point).

Plugin Credits: David Billen (engine), Frederic Vanmol (conversion), Didier Dambrin (interface)


Slicex

INSTRUMENTS / GENERATORS

Slicex This feature is available only in Producer Edition or higher

Slicex uses advanced beat detection algorithms to slice song/percussion samples into pieces and make them independently playable from the Piano roll or controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Slicex offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. Related plugins are the Fruity Slicer and Edison.
Master panel Articulation panel Wave editor Keyboard Slicex

Using Slicex

This section is a quick-start guide to using Slicex and covers some of the most common issues new users encounter.

Quick start

Answers to four common questions people want to know about using Slicex:

    • To play a region (slice) use the Keyboard panel, the Piano roll or an external controller. If you right-click a region this plays the raw audio without any articulation settings, so it may sound different to the Keyboard/Piano roll method.
    • The KB INPUT switch must be on for Slicex keyboard shortcuts to work. It's off by default so the typing-to-piano kb can be used to test your slices.
    • To play the whole slice regardless of how long the slice key is held, load Vol - sustaining.fnv in the VOL and ENV mapping for the linked articulator.
    • To play to end like in Fruity Slicer, Run script > Regions > Play to end. NOTE: The play to end is not compatible with low-tempo drumloops or fill-gaps.

Manipulating Regions (Slices)

  • Loading samples & loops - Slicex can load and slice two independent samples/loops into decks A and B (accessed from the Wave Editor). After opening Slicex there are several ways to load a sample:
    • Drag samples from the Browser and drop them onto the plugin channel or interface.
    • Click on the grey Slicex logo that shows on the left side of the Articulation panel (prior to loading a sample).
    • Click on an empty Wave editor window to open a file browser.
    • Click on the File icon on the Wave editor to open a file browser.

    Slicex will then load and automatically slice loaded samples (deck A is used unless the sample is deliberately dropped on deck B).

  • Manual tempo setting using a selection - You can improve many auto-slicing functions by manually setting the tempo properties of the sample. Highlight a part of the audio that you know to be an exact # of beats, then the properties dialog [image] (F2) will show 'Selection (beats)' instead of 'Length (beats)'. If 4 beats were highlighted (for example), enter 4, and the tempo of the song should be detected.
  • Manual grid/tempo alignment using downbeat - As some options slice according to the background grid, you may want to try manually aligning the grid to the beat. Right-Ctrl + Right-Shift + Click on the location in the sample where the first downbeat marker is to be set, hold and drag horizontally to fine-tune the position if needed. Then, release the mouse button and click again with the [image] Right-Ctrl + Right-Shift keys still held (drag left/right) to adjust the grid spacing to align the grid to the beat.
  • Perfecting slices - After loading the sample/loop there are two possibilities depending on the sample/loop that was loaded:

    • The gaps between slices are pre-filled. Pre-made Slicex loops and REX files will often be ready to play without further processing (if the author knew how to make a correctly sliced loop).

    • Gaps or clicks can be heard between slices. In this case, start by adjust the slice points manually (if needed). Clicking on the small tab at the top of the slice markers and moving them appropriately, this may solve your problems, if not then try:

      • Tools > Regions > Declick out all regions OR
      • Tools > Regions > Perfect all regions depending on what sounds best. Declick out is usually better than 'perfect' for drumloops, as it only smooths the decay portion leaving the attack transients untouched. OR
      • Tools > Time > Drum(loop) stretch can be done globally, or per-slice for more accuracy. This methods overwrites the original sample data (a destructive edit), explaining why it is not done automatically. The stretch method is best used when drum sounds are already cut too short and you can't afford losing even more of the decay de-clicking slices.

      NOTE: Slicex's own sampler has a real-time declicker, but if the decay is already short, Slicex can't do magic.

  • Layering slices - Slicex has a range of powerful layering tools that will give your sliced loops the creative edge. Right-click a slices region-marker tab and select 'Trigger note', then select your piano key. Once you assign another slice to the same key the layering options on the Master panel will provide more creative options.
  • Editing samples - Slicex includes a Wave Editor with all the power of Edison, so you can edit, mangle, process and tweak slices to perfection.
  • Express yourself - Programmed variations are the key to expressive control and Slicex has infinite variation as a design principle. Any number of regions, within and between decks, can be layered/crossfaded using the settings on the Master Panel. Region slices may be assigned to any or all keys. All the while, these samples and layers are under the control of the articulator section that includes filters, envelopes, LFOs and more.
  • Think outside the loop - Yes, Slicex is the perfect loop/beat slicer and percussion powerhouse however, Slicex will process any source audio with equal ease - why not try it on melodic parts, vocals, guitar tracks or whole songs! The creative and sonic possibilities are endless.

For details on each section click on the heading below:

Master Panel

Articulation Panel

Wave Editor

Keyboard & Piano roll Controls

Plugin Credits -

Code & GUI: Didier Dambrin.

Script compiler: paxCompiler


Slicex - Master Panel

INSTRUMENTS / GENERATORS

Slicex - Master Panel This feature is available only in Producer Edition or higher

Slicex uses advanced beat detection algorithms to slice song/percussion samples into pieces and make them independently playable from the Piano roll or controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Slicex offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. Related plugins are the Fruity Slicer and Edison.
Master panel Articulation panel Wave editor Keyboard Slicex

Master Panel

Controls are described from left to right -

Master levels

  • Master level - Final output volume from Slicex.
  • Master randomness level - Scales the randomness level.
  • Master LFO - Scales the LFO level.
  • Master Pitch - Changes the pitch of all slices.

Modulation

  • X/Y Modulation Pad - Click here and move your mouse to control linked X and Y controls.
  • Smooth - Smooths modulation input.
  • X & Y knobs - Independent X and Y controls.

Layering

To activate layering between regions within OR between Decks A and B, select a layering option from the Options menu. To create a layer simply assign more than one region to the same note/key. These regions can come from within the same deck or between decks. Layered regions are played in order - Deck A (left to right), Deck B (left to right).

  • Drum layering mode - Drop down menu:
    • All - When more than one slice region is assigned to the same note, all will play.
    • All (gain compensated) Same as above, with the total output volume lowered so that two slice regions don't sound louder than one.
    • Velocity-mapped - Velocity values are used to crossfade between co-assigned slice regions using the crossfade method/curve set below the layering menu.
    • Modulation X-mapped - X modulation values are used to crossfade between co-assigned slice regions using the crossfade method/curve set below the layering menu.
    • Modulation Y-mapped - Y modulation values are used to crossfade between co-assigned slice regions using the crossfade method/curve set below the layering menu.
    • Random - A random modulation value is used to crossfade layered slice regions. When the crossfade method is set to NONE this will randomly flip between assigned slice regions.
    • Cycle - Alternates between co-assigned slice regions.
    • Song time-synced - Selects the slice region that is closest to the current tempo.
  • Same deck (switch) - If slice regions from Deck A & B are layered, both will play. If the 'same deck' switch is on and the notes are received from an even MIDI channel co-assigned regions of Deck A will be layered if notes are received from an odd MIDI channel Deck B regions will be layered. Layering is according to the crossfade type selected below. NOTE: Each color in the Piano roll represents a different MIDI channel (1 to 16). To see the number, open the color selector, hover over the note colors and look at the hint bar.
  • Crossfade curve - The crossfade icons select the following crossfade curves:
    • None - Layered regions instantly switch from one to another.
    • Linear - Mathematically linear crossfade.
    • Balanced curve - Perceptually balanced crossfade.
    • Unbalanced curve - Rapid crossfade.
    • Adding - Alternative rapid crossfade.

Options

  • Down arrow

    Macros (scripts that configure Slicex).

    • Assign both decks to whole keyboard - Assigns slices on Decks A and B side-by-side on the keyboard.
    • Assign both decks to black & white notes - Assigns slices on Deck A to white notes and those on Deck B to black notes.
    • Layer both decks - Layers both decks in parallel. That is, region 1 to n of Deck A is layered with the corresponding region 1 to n of Deck B.
    • Layer selections in both decks - Assigns the selection in both decks to the same note.
    • Layer homonymous regions - Layers regions with the same name ('homonymous' adjective - of homonym; having the same name). NOTE: This is a macro so you need to re-run it if you subsequently give some more regions the same name.
    • Assign deck A regions to articulator 1 - Assigns all regions in Deck A to Articulator 1.
    • Assign deck B regions to articulator 2 - Assigns all regions in Deck B to Articulator 2.
    • Normalize layered region levels - Normalizes the volume of layered regions.

    Settings

    • Sample start covers whole length - OFF: The sample start mapping covers 100ms. ON: Covers the length of the slice region. This setting is used to limit (or not) the sample start modulation articulation to the attack portion of the sound (~ 100 ms).
    • Link velocity to volume - Key velocity controls region slice volume.
    • Loop half of regions - Loops the last 1/2 of regions.
    • HQ envelopes - When selected, envelopes will have greater accuracy.
    • Lock audio data - Prevents editing of the audio.

    About - Information about Slicex.

  • Auto dump - Automatically dumps Piano roll notes for samples imported into Deck A. Deck B must be forced to dump to the Piano roll using the 'Dump score' button from the Editor panel.
  • KB Input - Enable keyboard-input for working with keyboard shortcuts in the Editor section. Disable to play Slicex from the typing keyboard.

Display Modes

  • Keyboard - Shows/hides the preview keyboard
  • Full - Shows all main panels.
  • No audio editor - Hides the audio editor panel (bottom).
  • No region settings - Hides the Articulation panel (middle).
  • Compact - Displays only the Master panel (top).

Articulation Panel

Wave Editor

Keyboard & Piano roll Controls


Slicex - Articulation Panel

INSTRUMENTS / GENERATORS

Slicex - Articulation Panel This feature is available only in Producer Edition or higher

Slicex uses advanced beat detection algorithms to slice song/percussion samples into pieces and make them independently playable from the Piano roll or controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Slicex offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. Related plugins are the Fruity Slicer and Edison.
Master panel Articulation panel Wave editor Keyboard Slicex

Master Panel

Articulation Panel

This panel controls envelopes, filtering and other modulation effects applied to the regions.

Region settings

Each region has a number of parameters that can be modulated by one of 8 sets of envelopes (Articulators).

  • Marker #1 to #n - Each Marker defines the start of an independent region. Each region contains the following settings:
    • OUT - Output mixer channel offset. '---' = none. Any number set here will be added to the Channel mixer track selector. Right-click to see Mixer tracks listed by name.
    • CUT - Cut group controls how one region will play in the presence of another. Any region that is playing will be silenced by any subsequently triggered region of the same 'cut group'. The sounds must overlap for the Cut group to have any effect.
    • AMP (Pan & Level) - Amplitude. ART - Linked articulator, "--" = none.
    • FILTER (Cutoff frequency & Resonance) - Filter. ART - Linked articulator.
    • SPEED - Playback speed. ART - Linked articulator.
    • START (Delay & Start position) - Sample start. There are Options > Settings to limit the variability to the first 100 ms or allow this to vary over the entire sample duration. ART - Linked articulator.
  • Articulator 1 to 8 - Each articulator can be used to control the behavior of a linked region according to the following parameters:
    • FILTER - Choose between LP (low pass), BP (band pass), BS (band stop - notch), HP (high pass) at one of three filter cutoff slopes 1x (shallow), 2x (medium) & 3x (steep).
    • ENV - Filter cutoff envelope / LFO amount.
    • CUT - Filter cutoff frequency. Remember to select a Filter type to activate this control.
  • Envelopes - Associated with each articulator are a number of envelopes. There are two rows of tabs, the top row selects the modulator target while the bottom row selects the modulation source. In other words, for each target in the top row there are a range of sources affecting how that target is modulated below.

    Envelopes include:

    • PAN - Affects the stereo panning of the bank.
    • VOL - Affects the volume output of the bank.
    • CUT (Filter Cut) - Affects the filter cut-off frequency of the bank. This interacts with the CUT parameter (above) and the filter type switches.
    • RES - Affects the resonance of the filter selected.
    • SPEED - Playback speed. Scratching: This envelope can be used to go forwards/backwards in time.
    • START - Playback start position. There are Options > Settings to limit the variability to the first 100 ms or allow this to vary over the entire sample duration.

    Modulation sources may include:

    • ENV - General purpose envelope.
    • LFO - An Low Frequency Oscillator (LFO) envelope.
    • VEL - Velocity as a modulator (usually used with VOL) . Input velocity is on the horizontal axis, low input velocities (0%) to the left, high (100%) to the right. Playing a note with this envelope open will show the current velocity as vertical line.
    • MOD X - Determines how the X parameter of integrated X/Y controller responds to X position changes.
    • MOD Y - Determines how the Y parameter of integrated X/Y controller responds to Y position changes.
    • RAND - Random number generator. A random number is selected in the range of 0% to 100%. The envelope defines how the random number relates to changes in the controlled property. The value of the envelope at a particular location defines how likely the value will be selected by the random generator, allowing you to fine tune the behavior or the random generator and effectively defining the "chances" of certain values being selected.

Wave Editor

Keyboard & Piano roll Controls


Slicex - Wave Editor

INSTRUMENTS / GENERATORS

Slicex - Wave Editor This feature is available only in Producer Edition or higher

Slicex uses advanced beat detection algorithms to slice song/percussion samples into pieces and make them independently playable from the Piano roll or controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Slicex offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. Related plugins are the Fruity Slicer and Edison.
Master panel Articulation panel Wave editor Keyboard Slicex

Master Panel

Articulation Panel

Wave Editor

The Wave Editor section shares much in common with Edison so learning one will help you master the other.

Section links

    • Transport Controls
    • Menu Buttons
    • Utility Bar
    • Sample Edit Window
    • Mixdown Envelopes
    • Feature Switches
    • Sample Properties
    • Options

Transport Controls

In the top-left section of the Sample Window are several transport controls.

  • Loop - Turns on loop playback.
  • Play - Press to play/stop the sample playback. The space bar will also start/stop playback when the Slicex plugin is focused.
  • Stop - Stop playback.

Menu Buttons

File

  • Open/Save options
    • New - Opens a new (empty) editor window.
    • Load sample ( [image] Ctrl+O) - Opens a file browser dialog in 'load' mode.
    • Save sample as ( [image] Ctrl+S) - Opens a file browser dialog in 'save' mode.
    • Export regions -
      • For common use - Exports any regions as clean wave files. The names of the markers at the start of each region will be used as the file names.
      • For sampler use - Exports any regions as wave files including 'middle note' data, where set, the names of the markers at the start of each region will be used as the file names.
    • Export display as - Exports the wave display as a .png or .jpg image.
  • Recent projects - Lists the 10 most recently opened projects.

Format

  • Edit properties ( [image] F2) - Opens a 'Sample Properties' dialog where you can set the wave properties.
  • Resolution
    • 16-Bit int - Sets the file to 16-Bit integer format. This is CD audio standard.
    • 32-Bit float - Sets the file to 32-Bit floating point format. This is the native format for FL Studio audio processing.
  • Channels
    • Mono - Sets the file to Mono.
    • Stereo - Sets the file to Stereo. Mono files will be saved with L and R channels containing the same data.

Edit

Many of the actions in this menu work on a selected region. To select a region, left-click in the sample window and drag horizontally. To move the start point, left-click near the start of the region and drag to a new point. To move the end point, left-click near the end of the region and drag to a new point. At any time you can zoom the window using the mouse-wheel.

  • Undo (item) ( [image] Ctrl+Z) - The first item in this menu indicates the last action performed.
  • Undo history - Displays the last 10 actions.
  • Undo using mix (envelope) - Uses the All-Purpose envelope to guide the undo process. A number of options will be shown based on the actions recently made.
  • Undo using mix (spectral) - Uses the All-Purpose envelope to apply the EQ curve set in the EQ tool. Apply an EQ, tweak the all-purpose envelope, use the 'Undo mix envelope' option.
  • Disable undo for large samples - Turns off the undo feature. This is useful for saving memory and CPU when working on very large samples.
  • Cut ( [image] Ctrl+X) - Cuts the selected region.
  • Copy ( [image] Ctrl+C) - Copies the selected region.
  • Paste insert ( [image] Ctrl+V) - Inserts the copied sample at the start of the selected region.
  • Paste replace ( [image] Alt+V) - Replaces the selected region with the copied sample. The duration of the copied sample determines how much of the region will be replaced.
  • Paste mix ( [image] Shift+V) - Mixes the copied sample with the selected region. The duration of the copied sample determines how much of the region will be mixed.
  • Paste mix (envelope) ( [image] Shift+Ctrl+V) - Uses the All-Purpose envelope to decide how the sample in the clipboard buffer is mixed with the sample in the editor. The envelope controls the mix level (0 to 100%). The duration of the copied sample determines how much of the region will be mixed.
  • Paste mix (spectral) - ( [image] Ctrl+Alt+V) - Paste-mixes the sample from the clipboard into the edit window according to the EQ curve set in the EQ tool. Apply an EQ, use the 'Paste mix (spectral) option.
  • Paste stretch ( [image] Shift+Ctrl+T) - Pastes the copied sample via the Time Stretch / Pitch Shift Tool.
  • Paste replace (drum) ( [image] Shift+T) - Opens the Paste replace drum tool. This tool reconstructs the decay portions of drum beats that may have been cropped during the slicing process and replaces the selection to the original location.
  • Clear - ( [image] Shift+Del) Clears the selected region, leaving the rest of the sample unchanged. Consider this a mute function.
  • Delete ( [image] Del) - Deletes the selected region. This function will change the overall length of the sample.
  • Trim ( [image] Ctrl+Del) - Deletes the region outside the selection.
  • Delete part after loop ( [image] Alt+Del) - Deletes sample data after the loop end point.
  • Insert silence ( [image] Ins) - Inserts silence from the region start point of a length equal to the selected region.
  • Click-free (smooth) editing ( [image] C) - Switch, prevents audio clicks/pops in samples caused by edit functions. This option avoids the clicks caused by discontinuities in the sample amplitude at cut/splice points by fading, or crossfading, edit points by a few samples.

Tools

  • Envelope
    • Cancel all envelopes ( [image] Alt+E) - Cancels all envelopes.
    • Add points at selection ( [image] P) - Automatically adds points at the start, middle and end of a selected region for the currently selected envelope type (10).
    • Add points at regions - Adds control points at the boundary of the selected region and/or where region markers are located.
    • Flip vertically - Inverts the envelope points.
  • Amp
    • Mixdown amp envelopes ( [image] Ctrl+E) - Applies custom envelope/s to the sound.
    • Amp ( [image] Alt+A) - Opens the Amplitude Tool that allows you to modify L/R channel volume, Panning and Stereo Separation.
    • Reverse polarity - Inverts the phase of the waveform.
    • Normalize ( [image] Ctrl+N) - Increases the volume of the waveform so that the loudest sample is at 100% of the available amplitude.
    • Fade in ( [image] Ctrl+F) - Ramps up the volume from 0% to 100% using a logarithmic curve. If a region is selected the fade function will apply to that, if not, the entire sample will fade in.
    • Fade out ( [image] Alt+F) - Ramps down the volume from 100% to 0% using a logarithmic curve. If a region is selected the fade function will apply to that, if not, the entire sample will fade out.
    • Declick in - Smooths clicks at the beginning of a selection.
    • Declick out - Smooths clicks at the end of a selection.
  • Waveform
    • Center - Removes DC offset. The average amplitude of the waveform is shifted to be at the zero crossing.
  • Time
    • Reverse ( [image] Alt+Left) - Reverses the entire wave or selection.
    • Time stretch / pitch shift ( [image] Alt+T) - Opens the Time Stretch / Pitch Shift Tool to independently manipulate pitch, time and formants.
    • Drum (loop) stretch ( [image] Ctrl+T) - Opens the Drum (loop) stretch tool, which restores decay portions of drum beats that may have been cropped during the slicing process.
    • Scratch (envelope) - Uses the All-Purpose Envelope to apply 'scratching' effects to the sample, i.e. automate the playback direction and speed.
  • Channels
    • Swap channels - Swaps the left and right channels.
    • Convert left channel to mono - Converts the sample to a mono file based on the left channel.
    • Convert right channel to mono - Converts the sample to a mono file based on the right channel.
    • Convert mono signal to mono format - Converts the file to a mono format if both left and right channels are equal.
  • Synthesis
    • Generate noise - Generates white noise in the selected region or whole sample if a region is not selected.
  • Scripting
    • Run script - Opens a menu containing the list of available scripts. You can write your own scripts using Pascal, which will be compiled by the paxCompiler [image] and run when you select the script from the menu. The paxCompiler is a true Pascal compiler that allows you to write code to perform complex DSP on your samples. Save scripts - as .pas files in the FL Studio installation directory under ..\Plugins\Fruity\Effects\Edison\Data\Scripts. Files saved here will be visible the next time you use the 'run script' command. Dialogs - Note that while some of the demo scripts show a dialog, it isn't necessary to use them. Errors - If a script has an error, a dialog is shown explaining the error with options to 'edit' the script or 'run' it again. Writing scripts - Examine the contents of the existing scripts and read the Reference.txt file in the script directory to learn more about writing them and the functions available. You can learn more about Pascal HERE [image].
    • Run last script - Repeats the last script run.
  • Noise
    • Acquire noise threshold ( [image] Alt+N) - Uses the peak of the selection as the noise/gate threshold. Use: select a region of the sample containing only noise and select this menu option.
    • Gate noise - Forces the sections of the sample below the noise threshold (shown in green) to silence.
    • Trim side noise - Trims any parts of the sample that are below the threshold volume. Set gate threshold - Left click the peak meter (6) and move the mouse up/down to change the threshold. A green band will display (as shown in the Slicex screen shot above) in the sample view window.
    • Trim all noise & slice up - Trims any parts of the sample that are below the threshold volume and slices the regions defined by the resulting gaps. Set gate threshold - Left click the peak meter (6) and move the mouse up/down to change the threshold. A green band will display (as shown in the Slicex screen shot above) in the sample view window.
  • Spectral
    • Convolution reverb ( [image] Ctrl+R) - Opens the Convolution/Reverb Tool.
    • Blur ( [image] Ctrl+B) - Opens the Blur Tool.
    • Equalize ( [image] Ctrl+Q) - Opens the Equalize Tool.
  • Regions
    • Normalize all regions - Normalizes the amplitude on a per-region basis. Normalization increases the volume of the waveform so that the loudest sample is at 100% of the available amplitude.
    • Declick in all regions - Remove clicks from the start of regions (works by creating a very fast fade-in).
    • Declick out all regions - Remove clicks from the end of regions (works by creating a very fast fade-out).
    • Perfect all regions - Declicks the start and end of all regions (as described above).
    • Tune loop ( [image] Ctrl+L)- Opens the Tune Loop Tool dialog that allows you access to the main loop controls for a region.
  • Analysis
    • Convert to score and dump to piano roll - Slices the sample, pitch-detects each slice and creates a note-score to match, dumping it to the Piano roll.
  • Sequencing
    • Send to Playlist as audio clip ( [image] Shift+C) - Dumps the selection to the Playlist as an Audio clip.

      • NOTE: An alternative method for exporting audio is to use the [image] Drag / copy sample / move selection button on the Sample Edit Functions shortcut toolbar.

Regions

  • Regions
    • Add region ( [image] Alt+M) - Adds region start and end markers at the boundaries of the defined region.
    • Add marker ( [image] M) - Adds a single marker at the start of the selected region. This may be dragged to a new position by the square handle at the top of the marker.
    • Set loop ( [image] Alt+L) - Defines the selected region as a loop. Special red loop markers will appear.
    • Delete ( [image] Shift+Ctrl+Del) - Deletes the selected region, loop or marker. If no markers are selected all regions and markers will be deleted.
    • Rename all ( [image] Ctrl+F2) - Steps though the regions in the editor allowing them to be named.
    • Quick rename all ( [image] Alt+F2)- Steps though the regions in the editor providing quick name options, allowing all regions to be named.
    • Assign trigger notes to all - Automatically steps through the regions/slices allowing you to assign trigger notes to each region. Trigger notes are the MIDI note numbers that will plat the specific region.
    • Assign to all - Choose to automatically assign regions to: Whole Keyboard, White Notes, Black Notes or None.
  • Detection
    • Auto slice
      • Dull auto-slicing - Fewer slices/regions.
      • Medium auto-slicing ( [image] Alt+S) - Average slices/regions.
      • Sharp auto-slicing - Many slices/regions.
      • Small grid-slicing - Slices the sample according to the small grid lines.
      • Medium grid-slicing - Slices the sample according to the medium grid lines.
      • Large grid-slicing - Slices the sample according to the large grid lines.
    • Detect pitch regions - Detects and slices according to regions of constant pitch.
    • Zero-cross check all regions - Moves the region markers to the nearest zero-crossing. Removes clicks at the start and end of the regions.
    • Freeze all (switch) - Prevents region editing.

View

  • Audio
    • Spectrum ( [image] S) - Selects spectrum view. This display mode shows time on the horizontal axis and frequency on the vertical axis. Brighter or more saturated colors (depending on the spectrum gradient options) represent louder frequencies.
    • Dual view - Shows both the spectrum and waveform views superimposed.
    • Display settings - Change the appearance of the spectrum display mode.
      • Fancy mode - Smoothed waveform view.
      • Waveform channels - Note that in stereo mode L and R channels are superimposed with slightly different colours (zoom to view more clearly).
        • Mono - Display a single (L/R averaged) waveform.
        • Multichannel - Display all channels (superimposed).
        • Left - Display Left channel.
        • Right - Display Right channel.
      • Spectrum max resolution - 32, 64, 128, 256, 512 1024 and 2048 bands. This is the number of vertical slices the frequency domain is divided into, higher numbers provide more detailed analysis. Resize Slicex to obtain a larger view.
      • High quality - Improves the visibility of details, such as peaks, when the display is zoomed out to maximum.
      • Natural view ( [image] N) - Improves visibility of the lower/mid frequency details by applying a logarithmic vertical scale.
      • Spectrum gradient - Charcoal, Furnace, Glacier, The Matrix. Choose the theme that reveals the most detail in the sound or that appeals to you.
  • Regions
    • Regions - Turns region markers on/off.
    • Loop - Turns loop markers on/off.
  • Time
    • Time in samples - Displays the time-base in samples. This information is displayed to the bottom left of the peak meter (13). Right-clicking the time display (13) opens a context menu showing -
      • Deselect ( [image] Up arrow) - Deselects the current selection.
      • Select before current selection - Selects the area before the current selection.
      • Select after current selection - Selects the area after the current selection.
      • Select zoomed part ( [image] Ctrl+A) - Selects the region defined by the visible sample.
      • Select previous region ( [image] Left arrow) - Selects the previous region.
      • Select next region ( [image] Right arrow) - Selects the next region.
  • Misc
    • Scroller above - Places the Zoom / Scroll bar (12) above the sample.
    • Background gradient - Applies a 3D background effect to the sample edit window (7)

Snap

  • Snap to grid ( [image] 1) - Envelope points and selections snap to the background grid.
  • Snap to regions ( [image] 2) - Envelope points and selections snap to the region markers.
  • Snap to samples ( [image] 3) - Envelope points and selections snap to samples.
  • Snap to zero-crossing ( [image] 4) - Envelope points and selections snap to zero crossings. This is the point where the waveform crosses the 0 amplitude line and is useful to avoid clicks.
  • Snap to pitch period ( [image] 5) - Envelope points and selections snap to the period of any pitch detected at the selection point.

Select

  • Deselect ( [image] Up arrow) - Deselects the current selection.
  • Select before current selection - Selects the area before the current selection.
  • Select after current selection - Selects the area after the current selection.
  • Select zoomed part ( [image] Ctrl+A) - Selects the region defined by the visible sample.
  • Select previous region ( [image] Left arrow) - Selects the previous region.
  • Select next region ( [image] Right arrow) - Selects the next region.

Zoom

  • Zoom in 2x ( [image] PgUp) - Zooms in 2 times.
  • Zoom out 2x ( [image] PgDn) - Zooms out 2 times.
  • Zoom out full ( [image] Home) - Displays the full sample.
  • Zoom on selection ( [image] End) - Zooms the selection to fill the Sample Edit Window.
  • Zoom on left of selection ( [image] Ctrl+Left) - Centers the Sample Edit Window on the right edge of the selection at maximum zoom.
  • Zoom on right of selection ( [image] Ctrl+Right) - Centers the Sample Edit Window on the left edge of the selection at maximum zoom.

Sample Edit Functions

From left to right:

Undo/undo history - Left-click to undo the last action. Right-click to display the last 10 actions (left-click the point in the history you wish to return to).

Normalize/normalize regions - Left-click to normalize the current selection. Right-click to normalize on a per-region basis.

Fade in/declick in - Left-click to fade in. Right-click to smooth in (removes clicks).

Fade out/declick out - Left-click to fade out. Right-click to smooth out (removes clicks).

Run script - The Script Tool compiles and runs scripts written in Pascal, to process the wave file. Right-click to use the Run last script option. See the Tools Menu (Scripting) 'Run Script' option (above) for more details.

Drumloop stretch - Left-click to open the Drumloop stretch or right-click to open the Time stretch tool .

Add / remove marker / region - Left-click to add/remove a new marker at the start of the selected region. Right-click to add region markers bounding the selected region.

Auto-slice - Auto-slices the sample. Right-click to open the following slice presets:

    • Dull / Medium / Sharp Auto-slicing - These are three options for auto-slicing the loop with three predefined values for the slice thresholds (see the threshold knobs explained below). The slicing performed is rough/normal/fine respectively.
    • Small / Medium / Large grid - Slices are based on the editor grid. Useful when the tempo has been set in the sample properties since the grid will reflect the beat-spacing.

      • NOTE: Since the Grid slice options are based on the Grid, then aligning the grid prior to slicing can be an accurate method for making quantized time-slices of the audio.

      • Manual grid/tempo alignment using downbeat - [image] Right-Ctrl + Right-Shift + Click on the location in the sample where the first downbeat marker is to be set, hold and drag horizontally to fine-tune the position if needed. Then, release the mouse button and click again with the [image] Right-Ctrl + Right-Shift keys still held (drag left/right) to adjust the grid spacing to align the grid to the beat.

Dump score - Dumps the current slices to the Piano roll as a note sequence. Right-click the button to open the list of 'dump' presets:

    • Normal - Writes the notes to match the beat length (adjusted to current tempo).
    • Reverse - As normal, however the sequence is reversed (each individual slice is still played forward).
    • Random - Each slice is placed on random location while preserving the loop groove and length. The sequence will be different each time this option is selected.
    • Flatten (groove) - The loop groove is preserved (slice locations) however all slice locations are played with the first slice.
    • Shift Up / Shift Down - The groove is preserved but all slices are shifter up/down with one slice.
    • Quantize / Swing - As normal, however the timing is adjusted (quantized and swing).
    • Accentuate Beat - The first slice in each beat (beat as a measurement) is assigned a higher velocity.
    • Pitch Up Beat - Every slice which belongs to an odd beat (1st, 3rd, etc.) is assigned a higher pitch.
    • Widen Stereo - The panning alternates between medium left panning and medium right panning for each alternate slice.
    • Crazy - The pan, pitch and velocity values of every slice are randomized (values will be different each time).
    • Stutter (half) / Stutter (quarter) - Each slice is broken into two pieces (half) or four pieces (quarter) to create a "stuttering" effect.
    • Original Length - Dumps the slices to the Piano roll to match the loop's original speed (at the current tempo).

Save as.... / save as compressed... - Opens a save file dialog with the options of .wav and compressed .wav (ogg format).

Drag / copy sample / move selection - Left-click and drag the button (yes the button) to the desired location. The selected region in the Sample Edit Window (or whole sample if no selection is made) will be copied and moved to any compatible location in FL Studio, e.g. Edison, Sampler channels, Fruity Slicer, DirectWave, the Playlist, etc. Right-click to copy the selection to the clipboard.

Utility Bar

The tility bar runs underneath the tools and quick edit buttons.

  • Sample rate - Displays sample rate in Hz. Right-click to open the Sample Properties dialog to change this value.
  • Format - Click here to change between 16/32-Bit OR Mono/Stereo data files (NOTE: both the 32 to 16-Bit and Stereo to Mono are destructive processes, clicking them again will not recover the original data).
  • Tempo - Displays Tempo in Beats Per Minute (BPM). Right-click to open the Sample Properties dialog to change this value.
  • Deck A/B - Swap between Deck A and B as the main sample edit window.
  • Title - Name of sample. Right-click to open the Sample Properties dialog to change this value.
  • Length/Sel - Shows the length of the sample or selection. Right-click below the Name (on the length display area) to open a menu to swap between Samples, Time or Bars.
  • Mode switches (left to right):
    • Scrub - Left-click and drag (left/right) to play/scrub the sample/selection.
    • Deck display - Single or dual decks.
    • Wave/Spectrum view - Swap between spectrum and waveform views.
    • Click-free editing - Click free editing performs a short fade in/out on slice points to avoid clicks.
    • Auto-scroll - The display will track the playing section when the sample display is zoomed beyond 100%.

Sample Edit Window

Edit, set markers/loop-points, or apply envelopes to the sound:

  • Edit sample - Select 'Waveform Edit Mode' ( [image], bottom left of the window).
  • Define a region - Left-click and drag horizontally over the region to be selected. The selection will turn red.
  • Select a region - Left-click on the square tag at the top of any region markers. The selection will turn red.
  • Deselect a region - Double-click in the sample window.
  • Move region start/end - Click at the point where you want the new start/end of the region to be. The start/end points will automatically change to reflect the newly selected point.
  • Apply Envelopes (Pan/Volume/Stereo Separation) - Select the envelope type ( [image], bottom left of the window) and right-click to add points, left-click to move points and tension markers.
  • Zoom - Hover over the window and scroll the mouse-wheel
  • Horizontal Scroll - Hold the shift key and then scroll the mouse-wheel
  • Zoom/Scroll - Click the mouse-wheel or middle mouse button and move up/down (zoom) and left/right (scroll).

Mixdown Envelopes

These envelopes are set then applied to the sound. There is no 'live-preview', ( [image] Ctrl+Z) to undo. Left click the symbols to apply, from left to right -

  • Pan - To edit the Pan envelope.
  • Volume - To edit the Volume envelope.
  • Stereo Separation - To edit the Stereo Separation envelope.
  • All-purpose Envelope - Some tools in Slicex will use this envelope as an input. The horizontal axis represents time while the vertical axis is the modulation value, generally 0% at the bottom to 100% at the top. There are three ways to use the envelope -
    • 1. Copy the sample, apply an effect, tweak the all-purpose envelope, use the 'Paste mix using envelope' option from the Edit menu.
    • 2. Apply an effect, tweak the all-purpose envelope, use the 'Undo mix envelope' option from the Edit menu.
    • 3. Scratching - Select 'Scratch using envelope' from the Tools menu. In scratching, the horizontal axis represents time while the vertical axis is the sample playback position from the sample start (bottom) to the sample end (top).

Preview - As there is no 'live' preview for the 'All-purpose' envelope in Slicex, you will need to process the wave to hear envelope changes. To hear your envelopes, select the 'Tools' option and then Mixdown envelope or ( [image] Ctrl+E) to process the wave. The undo function can be used to reverse any unwanted changes.

Editing envelopes - After selecting the desired envelope type, right-click in the 'Sample Editor Window' to add points, and left-click to move points and tension markers. Right-click points to open a context menu that will allow you to delete points or change the curve type

Feature Switches

These switches vary, depending on the Edit mode, from left to right:

  • Freeze - Prevents any changes to the sample.
  • Noise T. - Enables/disables the threshold display (green horizontal band). The level can be set using the Tools > Acquire noise threshold menu function.
  • Regions - Enables/disables the region marker display.
  • Step - Enables the step editing mode. As a left-clicked cursor is dragged over the window a new control point is added at each step in the timeline. Hold SHIFT while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created will have the most recent tension setting applied.
  • Snap - Enables/disables snapping. This applies to envelopes and sample edit functions.
  • Slide - Slides the selected region marker & envelope control points, without affecting the relative positions of any following points.

Note how the cursor changes depending on whether you are in Freeze or Edit mode. In Freeze mode you won't be able to make any changes, only hover and read the sample amplitude and position values of the wave display in the main Hint Bar.

Sample Properties ( F2)

This area displays the sample properties including Sample rate, Bit depth, Channel format, Tempo information and Title. Right-clicking this area or pressing [image] F2 opens the Sample Properties dialog.

Options

Info

  • Title - Name the sample.
  • Comments - These comments will show in the sample properties.

Format

  • Samplerate (Hz) - Set the samplerate.
  • Resample (switch) - Selecting this switch forces resampling of the sample data to the desired samplerate. If this switch is off the sample rate only changes the playback samplerate (speed) without modifying the data. For example, choose to either resample data to 22kHz (data reduction), or to play existing data at 22kHz (pitch-shift).
  • Format - Choose between 16-Bit integer & 32-Bit floating point formats. Mono or Stereo.

    NOTE: Slicex automatically converts data to 32-Bit before applying any function that modifies the sample data. It is better to apply several edits in 32-Bit floating point, then convert to 16-Bit integer after you have completed editing the sample than to apply several edits in 16-Bit integer.

Tempo

  • Tempo (BPM) - Set tempo in Beats Per Minute. If 'tempo-sync' is selected setting a tempo here will cause FL Studio to stretch/pitch-shift the sample according to this value when loaded.
    • Round: Round the tempo (removes decimals).
    • Limit: Correct any double/half tempo problems (range options appear when the button is selected).
  • Resample (switch) - Forces a high-quality resample of the data when the sample rate is changed (recommended).
  • Length (beats) / Sel (beats) - Enter the number of beats in the sample or selection. 'Sel (beats)' appears if a selection has been made. Used when slicing & beat detecting (see below).
    • Round: Round the number of beats (removes decimals).
    • Tempo-sync:
  • Default - Set the BPM to the FL Studio project tempo.
  • Quick guess - or songs with a constant tempo).
  • Autodetect - Select to choose from three options:
    • Quick estimation for short loops - Quick tempo-detection based on the host tempo and the length of the sample.
    • Detection for songs with constant tempo - This algorithmic tempo-detection generally gives the most accurate result, but requires constant tempo tracks.
    • Detection for songs with variable tempo - This algorithmic tempo-detection has been tuned for songs that don't have a constant tempo.

NOTE: An alternative tempo detection technique is to highlight a part of the audio that you know to be an exact # of beats, then, in the properties dialog, the display will show 'select (beats)' instead of 'length (beats)'. If 4 beats were highlighted (for example), enter 4, and the tempo of the song should be detected.

Sampler

These functions aid samplers that read meta-data to auto-process the sample (DirectWave and the Channel sampler for example).

  • Middle note (root note) - Selects the MIDI note at which the sample will play back at the original (recorded) pitch. This data is used by samplers such as DirectWave and the Channel Sampler to automatically set the 'root' note.
  • low: Set the lowest intended MIDI note the sample should play on.
  • high: Set the highest intended MIDI note the sample should play on.
  • Fine tune (cents) - Fine tune the intended pitch of the sample in 1/100ths of a semi-tone.
  • Default - Restore default settings.
  • Autodetect - Autodetect the pitch of the sample. Use on monophonic single-pitch sounds only.

Keyboard & Piano roll Controls


Slicex - Keyboard

INSTRUMENTS / GENERATORS

Slicex - Keyboard This feature is available only in Producer Edition or higher

Slicex uses advanced beat detection algorithms to slice song/percussion samples into pieces and make them independently playable from the Piano roll or controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Slicex offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. Related plugins are the Fruity Slicer and Edison.
Master panel Articulation panel Wave editor Keyboard Slicex

Master Panel

Articulation Panel

Wave Editor

Keyboard & Piano roll Controls

Keyboard controls

Use the keyboard to preview & assign sliced regions to notes. This display simulates a Piano keyboard using stepsequencer-like pads in the place of keys. The region to key assignments set here affect how Slicex will respond to external note input also. NOTE: While the keyboard may look like the stepsequencer, it does not function as one, it is a preview keyboard only.

  • Range selectors - Down the left side are a series of switches starting at C0 to F3.
  • Using keys - Left click a key to sound the associated region. Right-click a key to open an assign options:
    • Assign current region to this key - Assigns the selected region to the key right-clicked.
    • Select region assigned to this key - Selects the region assigned to the key right-clicked.
  • Assigning keys & layers

    The assigned keys display in...ummm...well I'd like to say some 'manly' color like red, but there is no way around this...the active range displays in 'pink'. Apologies to our female users who believe it's 'tea rose'. The author (being male) sees only in 'real colors' [image].

    To create layers assign more than one slice region to the same note. Assignments may be made from within or between decks A and B. There are a number of crossfade curve and layer options on the Master panel.

Piano roll deck control

The Piano roll note colors can be used to control Decks 1 & 2 independently. As shown below even note colors play Deck 1 and odd note colors play Deck 2. Colors 15 & 16 are special 'reverse playback' colors. Remember that note colors represent MIDI channels 1 to 16 so you can access the same functionality from a properly configured MIDI controller.


Speech Synthesizer - Generator

INSTRUMENTS / GENERATORS

Speech Synthesizer

The Speech synthesizer processes text to create computerized or Vocoder-like vocals to your projects. The *.SPEECH presets are supported by all native FL Studio plugins that use custom samples for synthesizing, i.e. Sampler, Granulizer, Fruity Slicer and Fruity Scratcher.

How to open the Speech Synthesizer

The speech synth is not a stand-alone instrument so does not appear in the add-plugin list, it is a pop-up dialog that processes text to audio then renders the result as a sliced Audio clip. To add speech samples to your project two common methods are:

  • Drag a speech preset from the Browsers Speech directory to an empty channel (or plugin that accepts a .wav file). The settings dialog will open, modify the text to your liking and then click OK to apply the preset to the channel.
  • Right-click a speech preset in the Browsers Speech directory and choose either 'Open in new Fruity Slicer channel' or 'Open in new Slicex channel'. After modifying the speech to your liking in the Speech properties window, either plugin will give you word-by-word playback capability.

Speech Properties Dialog

Text

  • Speech Text box - Enter here the text to be synthesized by the engine.
  • Listen button - Click to preview the sample based on the current settings.

Voice

  • Personality menu box - Click this box to select voice personality. The personality changes the timbre of the voice used. The rest of the voice settings are also set to the defaults for the personality selected.
  • Style menu box - Selects intonation style for the voice. Monotone/Sing uses constant pitch for all words. Natural resembles a natural talk intonation. Random select random pitch for each word.
  • Mode - Select the amount of noise mixed in the voice generated. Normal uses natural levels for the noise mixed in the voice. Breathy uses more noise to create 'breathy' voices. Whispered uses only noise for the voice synthesis, thus creating 'whispered' voice effect.
  • Rate LCD - Sets the speed of the voice.
  • Pitch Semitone menu box - Select the pitch semitone of the voice.
  • Pitch Octave LCD - Select the pitch octave of the voice.

Process text

  • Accept button - Applies the speech preset to the generator/effect selected. If you have changed some of the settings in this dialog, you will be prompted to save the preset with a new name.

Speech Text Formatting

1. Pitch shifting of separate words

You can supply a pitch offset for a word. Just place the offset amount (in semitones) after the word as a number, enclosed in parentheses: "Semitone up(1), 2 semitones down(-2)". If in this sample the base pitch is, for example, F#2, the word "up" will have pitch G2 (one semitone higher), the word "down" will have pitch E2 (two semitones lower).

2. Separating words

To get more naturally sounding sentences, you may try replacing intervals " " with underscore "_". So the sentence: "This is example sentence", turns to: "This_is_example_sentence".

Note that underscored sentences are recognized as a single word by Fruity Slicer channels and are not sliced properly (see below).

Fruity Slicer Support

When you open a speech preset in a Fruity Slicer channel, the sentence is automatically sliced so each word resides in a separate slice. Because of this feature, a BeatSlicer grid (*.zgr) file is automatically generated by the Fruity Slicer channel, that contains the sentence.


FL SynthMaker

INSTRUMENTS & EFFECTS

FL SynthMaker This feature is available only in Producer Edition or higher

FL SynthMaker is an audio programming application that is used to create virtual instruments and effects without the need to write basic code. The instruments and effects you create in SynthMaker can be used in FL Studio as 'native' plugins and shared with other SynthMaker users.

Using FL SynthMaker

FL SynthMaker is a self-contained audio plugin construction tool that is beyond the scope of this manual. The links below in the 'Detailed Help?' section can be used to download the .pdf manuals direct from the SynthMaker Website. FL SynthMaker differs from the commercial version in that you can't compile VSTs of your FL SynthMaker creations. FL SynthMaker is treated by FL Studio as a plugin instrument/effect and will save/open along with your projects. While FL SynthMaker project files can be shared with other FL Studio or SynthMaker users, if you want to compile VST instruments you will need to purchase the commercial version.

  • To load FL SynthMaker -
    • Load a FL SynthMaker Channel or Effect - When you add a FL SynthMaker channel in the Channel Window you will get the Instrument version, when you add SynthMaker into an FX channel in the Mixer you?ll get the Effect version. FL SynthMaker loads up with a default schematic. The Generator has a basic single oscillator synth and the Effect has a simple echo delay. These are provided to help you see how a schematic is constructed.
    • From the Browser - FL SynthMaker instrument and effects have an '.osm' extension. Simply drag a .osm file from the Browser to a channel/effects-slot to open an instrument/effect.
  • Menu - Standard FL Studio plugin menu.
  • Show panel - Clicking the 'Show panel' switch will hide the workspace and show only the plugin interface, this is the usual mode for using a FL SynthMaker plugin. Click it again to return to the workspace view.
  • Downloader - Click here to open the Download Manager to access more FL SynthMaker instruments and effects on the Image-Line servers.

Detailed Help?

FL SynthMaker is a complex program and has its own help. Download this from the SynthMaker website -

    FL Studio SynthMaker Guide [image].

    SynthMaker User Guide [image].

    SynthMaker Tutorial Guide [image].

The guides are in PDF format. Download the latest version of Adobe Reader Here [image].

Plugin Credits

SynthMaker Website [image].


Sytrus - Instrument

INSTRUMENTS / GENERATORS

Sytrus This plugin must be purchased separately

DEMO ONLY: Sytrus comes as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Sytrus channels.

Sytrus is a powerful and versatile synthesizer featuring six customizable operators for FM (Frequency Modulation) and RM (Ring Modulation) synthesis, plucked string synthesis, 3 filter modules, an effects module with chorus, three delay lines and unique programmable unison mode.

The rich implementation characteristics of Sytrus allow for an extremely wide range of sounds, including bass lines, bells, pads, drums, pianos, strings, organs and even entire drum and synth loops (in a single patch/note), made possible by the completely customizable envelopes supported by each module.

Along with this flexibility comes complexity. However, if you stick with Sytrus and study this help file (there's a easy step-by-step tutorial here), we are sure you will find Sytrus to be one of the most rewarding plugins in the Image-Line library.

Want more sounds? - There are a large number of user created Sytrus patches available on-line in the dedicated Sytrus-patch Forum.

A [image] video tutorial for Sytrus is also available on the FL Studio website.

Index

The Main Module

The Operator Module

Working with the Harmonics Editor.

Working with Envelopes

Creating Arpeggios

The Filter Module

The Effects Module

Basics of FM Synthesis and the Modulation Matrix

Sytrus Tutorial

Notes & Tips to Patch Creators

Options, Helpers and Tools

Common Controls

Below most envelopes is the Zoom Bar. This can be used to scroll and zoom envelopes.

  • Scroll - Left-click in the middle of the bar and move the mouse left/right or left-click the arrows at the end of the bar.
  • Zoom - 1. Left click the left or right edge of the bar when the double arrow appears (as shown above). 2. Hover over the center bar and scroll the mouse-wheel.
  • 2D Scroll Mode - Alt+Left-click in the middle of the bar or hold down the center mouse button (wheel), move vertically to zoom and left/right to scroll.
  • Select Range - Right-click at the point where you want the selection to start/end and drag the mouse to select the range.

Sytrus forum

Sytrus Presets [image] - Forum dedicated to sharing Sytrus patches and patch creation.

Plugin Credits -

Code / graphics: Didier Dambrin.

VSTi port: Frédéric Vanmol.

Many thanks to: Bram (oversampling), Jaha (for showing the wrong path :), Antti, Robert Bristow-Johnson (for making their filters public) , and all the ones who designed presets.

Reverb by: Ultrafunk.


Sytrus - The Main Module

The main module contains some global settings for the current patch. It provides less experienced users with easy to use global filter and volume envelope levels, allowing them to adjust the existing patches to their preferences, even if they lack experience in the programming of FM synthesizers.

Master Levels

  • Master Level (VOL) - Sets the master volume level of the patch.
  • Master LFO (LFO) - Sets the master LFO level. Notice that the property range is -128 to 128, so to effectively disable all the LFOs across the patch, position the slider at the middle (or Alt+click to reset to the neutral value).
  • Master Pitch (PITCH) - Sets the master pitch of the patch. The range is -2 octaves to +2 octaves. To use the original pitch, position the slider in the middle or Alt+click.

Global Volume Envelope Levels

These properties allow you to define global offsets to the volume envelopes of all modules in the patch. Please note that if the patch does not use ADSR Vol parameters these will have no effect.

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ('decay' amount).
  • Release (REL) - Defines the release length/speed.

Global Filter Envelope Levels

These properties allow you to define global offsets to the cutoff/resonance filter envelopes in the patch. Please note that if the patch does not use ADSR filter parameters these will have no effect.

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ('decay' amount).
  • Release (REL) - Defines the release length/speed.

Unison Mode

The highly customizable unison mode is a great feature of Sytrus which allows you to quickly add depth and texture to even simple sounds. Unison works by triggering a user-defined number of "subvoices" for each actual voice in your sequence. Each sub-voice can have slightly varied panning, volume, pitch, phasing, etc. to generate a softer sound with rich stereo panorama.

The global unison settings are:

  • Unison Order (ORD) - Sets the number of voices in the unison (drag up-down). To turn off (default), drag down until the indicator disappears.
  • Unison Panning (PN) - Sets the panning variation across the unison voices.
  • Unison Volume (VL) - Sets the volume level variation across the unison voices (the closer to the center a voice is, the louder it will sound).
  • Unison Pitch (PT) - Sets the pitch variation (detune) across the unison voices.
  • Unison Sub-Level (SB) - If set higher than zero, a duplicate for each unison voice is created, with a pitch offset of -1 octave. This parameter sets the volume of the sub-level voices.
  • Unison Phase (PH) - Sets the initial oscillator phase variation across the unison voices.
  • Envelope variation (EV) - Sets the amount of variation added to the attack and decay of the filter cutoff, resonance and volume envelopes of each unison voice.

Unison is also fully programmable via the unison mapping available in the articulation section for each module. You can load several presets for the unison settings by clicking the Options button on the Sytrus interface ( [image]) and pointing to the unison sub-menu.

NOTE: Keep in mind that unison triggers real voices rather than simulating FX via audio processing (such as the Chorus effect in the effects section). The polyphony of Sytrus in unison mode is multiplied by the number of unison voices (in the case of a sub-level higher than zero, an additional copy of each subvoice is generated). This can use a lot of CPU if not used carefully, so use unison mode with a moderate number of voices and try to use the integrated chorus effect if you don't want to use any of the advanced features of the unison mode.

Modulation (X/Y Controller)

The modulation interface represents two adjustable controllers (horizontal and vertical direction). These have no inherent effect on patch sound and parameters, but are provided so they can be linked to real-time controllable parameters within the articulation section of each of the Sytrus modules.

To set the values of both controllers, drag inside the controller screen or adjust the knob values provided for the X and Y values.

You can also set the initial Mod X/Y values for each note via the Piano roll properties (in the Note Properties menu you will find two additional entries: Mod X and Mod Y).

The Smooth option can be enabled if gradual smooth changes are preferred over quick changes for the linked properties and articulators.

For more information on the Mod X/Y mappings, see the Envelope Editor.

Equalizer (EQ)

Sytrus includes a parametric 3-band equalizer, which can filter the effects module signal and/or the output signal.

  • Scheme Selection (LED check boxes) - Allows you to select how the equalizer is processed in the synth mixing chain. OFF disables the equalizer; OUT+FX filters both the effects module signal and the main output signal; OUT filters the main output signal only, and FX filters the FX module signal only.
  • Equalizer Bands - The equalizer has 3 bands with adjustable range and frequency. By default the first band is low shelf, the middle is peaking band and last is high shelf. However, by left-clicking on the EQ type icon above the sliders and dragging up and down, each band can be changed to one of the other two types. Using these three bands you can achieve all basic frequency filtering you need - low pass, high pass, band pass, peaking, notch filter, bass boost, etc.
  • Frequency Knobs - Adjust the frequency of each corresponding EQ band (turn right to increase frequency).
  • Range Knobs - Adjust the range (width) of each corresponding EQ band (turn right to increase band range). Bands with wider range have more impact over the filtered signal.

Misc Settings

  • Random - Enables random mapping in the articulation section of each module (see the Envelope Editor for more information on random mapping). If you use small property variations via random mapping to introduce a more inaccurate performance (e.g. to simulate a live performance or the slight inaccuracy of old analogue synths), this option allows you to quickly turn the randomness off and get "perfect" output without losing your settings.
  • Mono Key - Enable this option to limit the number of voices per key to one (unison voices are still generated if unison is enabled). Depending on the kind of patch created it may be more appropriate to leave this option on or off. For example, you might want to turn it on for a guitar patch, and leave it off for a pad synth patch.
  • Soften - Applies a softening filter to the attack of voices with velocity less than the default (100 for MIDI input/import). Turning the knob right increases the effect, while turning it fully left disables it.
  • Global Pitch - Enable this option to make the pitch articulation of Operator 1 global, so that all other operators use it as a base from which to offset their own pitch settings.
  • Center - Enable this switch to remove the DC offset from the final Sytrus output. This should be enabled if DC offset is present and affecting sound quality.
  • Attenuate Gibbs Phenomenon (GIBBS OFF) - This option attenuates an unwanted side-effect of synthesis called the 'Gibbs phenomenon', i.e. low-level oscillations (ringing) around the point of sharp transitions in output amplitude (discontinuous line). You can learn more about Gibbs phenomenon on the internet. Alternatively you may choose to use the (per operator) version of this command in the Harmonics Editor. NOTE: The Gibbs attenuator will not be needed with 2X oversampling or more is in use.
  • Portamento (PORTA) - Enables pitch envelope-controlled slides or 'glissando' (in addition to the usual Piano roll based slides in the native version of Sytrus). To activate envelope based portamento: enable a pitch envelope with an attack segment and define the envelope for the main operator in global mode (to affect all operators). To gain familiarity with this function load the 'Porta - basic.fnv' in the pitch envelope and examine how the duration of the attack portion of the (flat) pitch envelope controls the portamento duration/speed (see Options -> Porta for more details).

Quality Settings

The quality settings are split into two sections - draft (real-time) and rendering, thus allowing you to optimize Sytrus for real-time performance and for high-quality output during rendering.

  • HQ Envelopes - Increases the envelope accuracy, but with greater CPU use. In many cases, this option is not required as the as the default setting is sufficient.
  • Oversampling Factor - Enables oversampling in order to increase the accuracy of the Sytrus rendering engine and to reduce aliasing. It is recommended to use oversampling only during rendering, unless the patch complexity and your CPU allow for high quality real-time performance. NOTE: in some cases, oversampling may alter FM feedback slightly as well as the filter sections, so it is advisable to test how your patch sounds with oversampling in real-time, if you plan to use it in your final output.

Info / Comments

In this area you can assign the patch name and author name, as well as add any comments on the patch usage (such as X/Y controller usage, recommended patch usage, etc.)


Sytrus - Operator (Oscillator) Module

INSTRUMENTS / GENERATORS

Sytrus - The Operator (Oscillator) Module

In FM Synthesis Oscillators are called 'Operators', this is because they can be used to modulate other operators. The operator modules are central to the Sytrus synthesis engine as this section is used to define the operator shape and pitch. The module supports full articulation section (envelopes and mappings of volume/pitch/phase, etc.)

Oscillator Settings

NOTE: In Sytrus 1.5 and later, harmonics have been vastly enhanced and moved into their own tab. To learn more, see Working with the Harmonics Editor.

Shape Preview Window

The shape preview window shows the operator/oscillator shape after it is processed with the harmonics and other modifiers. There are 3 switches above the shape window (from left to right):

  • Half - Uses only the first half of the shape phase in the sound generation.
  • Even - Each odd phase of the shape is rendered silence.
  • Absolute - The shape values are made absolute (only above the middle line).

Shape Modifiers

The modifiers are a set of parameters which can help you in adjusting the operator shape to suit your needs. Alt+click a modifier to reset it to its default level:

  • Shape (SH) - Allows to morph the shape to sine, triangle and pulse (via the other modifiers you can also achieve saw and other shapes).
  • Tension (TN) - Sets the tension (distortion) of the base operator shape.
  • Skew (SK) - Allows you to "skew" the base operator shape.
  • Sine Shaper (SN) - Applies a transform which is useful for certain patch types (such as bells).
  • Pre-Filter (FL) - Applies a smoothing (low-pass) filter to the shape. This can reduce potential aliasing artifacts but makes the sound less bright.
  • Noise (NS) - Adds a real-time noise to the filter shape. This can be useful with plucked mode (which requires rich spectrum) and drum/percussion samples.

Pitch Offset & Multiplier

Here you can set the base pitch of the operator. Position the cursor over a digit from either display and drag up/down.

  • Frequency Offset allows you to adjust the pitch as an absolute offset in Hz.
  • Frequency Ratio is a multiplication over the base pitch. The default value is 2. To increase the pitch with an octave, multiply by 2 (x2, x4, x8, x16, etc). To decrease with an octave divide by 2 (x1, x0.5, x250, etc).

Misc Settings

  • Center - A DC offset removal.
  • Declick - Applies a special filter to avoid clicks when starting a voice (useful for operators with sharp attack).
  • B.Limit - Band limits the waveform.
  • Pluck - Plucked mode turns the operator into a plucked string simulation unit. The unit basically starts with the original spectrum as set by all harmonics and modifiers then a gradual "damping" occurs which filters that spectrum to a sine wave with the pitch value of the operator. For this mode to work it is recommended to start with a spectrum rich operator (if you start with a simple sine there is no audible effect). The damping amount is controlled via the DAMP articulation target (see articulation below). Note that an operator in plucked mode can not be frequency modulated (FM) by other operators,so its FM row in the matrix will be disabled while plucked mode is on (however ring modulation /RM/ is still available).
  • Phase (PHS) - Sets the initial phase offset for the operator when a voice is started (or global offset, depends on the next option).
  • Global - Enable this option to use a "global" phase for the operator in all voices (i.e. sync the phase between all voices for the operator).
  • Volume (VOL) - Sets the operator volume. The modulation levels in the matrix can not be automated, however this volume property has the same effect for modulators and can be automated.
  • Pitch Envelope/LFO Amount (PE) - This property sets the range the pitch articulators operate with (the default value is 12 semitones).

You can copy all the settings defining the oscillator and paste them to a different operator by using the Copy/Paste Oscillator Settings command in the Options menu ( [image]). The menu also contains the Reset Oscillator Settings in case you need to quickly revert all oscillator settings to their default position.

Articulation Section

The articulation section allows you to apply an envelope, LFO, map keys, velocity or unison mode voices to a set of predefined properties. To see the full list of envelopes/mapping in the articulation section and their meaning, please check the envelope editor page.

The filter mode supports the following articulation targets (controlled parameters):

  • Panning (PAN) - Sets the operator output panning (graph bottom = left panning, graph top = right panning).
  • Volume (VOL) - Sets the operator output volume (graph bottom = no output, graph top = maximum output).
  • Modulation Influence (MOD) - Defined the amount of 'influence' other operators (as modulators) can have on the current operator (graph bottom = no modulation, graph top = maximum modulation).
  • Pitch Offset (PITCH) - Sets an offset to the operator base pitch (graph bottom = -100% offset, graph top = +100% offset).
  • Phase Offset (PHASE) - Sets an offset to the operator phase (graph bottom = -100% offset, graph top = +100% offset). If you vary the phase via the LFO articulation unit, the result is a vibrato effect.
  • Plucked Damping (DAMP) - This target has effect only if the plucked strings mode is enabled for the operator. This envelope/mappings set controls the plucked string dampening amount (graph bottom = 100% dampening, graph top = no dampening).
  • Oscillator Harmonics Editor (OSC) - A feature-rich harmonics editor and external sample analyzer lets you adjust the oscillator for every operator in Sytrus.


Sytrus - Envelope Editor

INSTRUMENTS / GENERATORS

Sytrus - Working with the Envelope Editor

The Envelope Editor may be used to adjust the articulation settings of a module including all envelopes, LFO and mapping charts. Sytrus envelopes are very customizable - each envelope segment can consist of unlimited nodes and segments, each with customizable tension (acceleration). The articulator combines the best of multi-point envelopes and more simple ADSR envelopes with special section markers that allow for ADSR automation. Section markers can also be used to create arpeggios which can also be defined within envelopes.

Common Functionality & Spline Editing

Although there are several different types of envelopes and maps in Sytrus, they all share common functionality, as described below.

Enable/Disable Switch

To use envelope/mapping, you first need to enable it by turning on the LED at the bottom left of the editor (see the screenshot above).

Load/Restore & Copy/Paste

Note the placement of the load/restore button in the screenshot above.

  • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
  • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open plugins.
  • Undo - Undoes the last envelope edit.
  • Undo history / Last reset - Shows the editing history since the last reset.
  • Flip vertically - Inverts the current envelope.
  • Scale levels - Opens the Scale Level tool.
  • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
  • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
  • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
  • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
  • Smooth up abrupt changes - Quick removal of 'spikey' or sudden changes in the envelope.
  • Create sequence - Opens the Envelope Sequencer tool.
  • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.
  • Background gradient - Flips the background gradient shading vertically.

Common Settings

  • Freeze - Enable this switch to lock the envelope curve to its current setup. This feature is useful if you have finished changing the spline structure of an envelope and want to protect it from accidental edits (it also hides the handles to provide a clear view of the shape).
  • Step - Enable this option to set the Editor to step editing mode. Drag within the editor to create a 'free hand' curve in which a new control point is defined for every step in the timeline. Hold SHIFT while dragging to draw 'pulse' lines (straight vertical/horizontal lines only). Note that each new segment created in this mode uses the same tension as the previous segment.
  • Snap - Enable this option if you want the control points to snap to the nearest step in the timeline while dragging.
  • Slide - Enable this option to preserve the relative distance between a dragged control point and all control points after it (this option is enabled by default).

Curve Editing

There are several basic operations for editing the envelope/mapping shape:

  • Add a new Control Point - Position your cursor over the line until the add point cursor appears ( [image]). Right-click and a new point will be added.
  • Reposition a Control Point - Drag control points using your left mouse button. Hold SHIFT while dragging to lock the vertical position, or CTRL to lock the horizontal position.
  • Delete a Control Point - Right-click a control point and select Delete. Alternatively, hold ALT and left-click.
  • Change a Segment Type - Sytrus offers 5 types of spline segments for joining control points. To open the menu, right-click a control point (the selection applies to the preceding segment):
    • Single Curve - Default mode for creating linear, ease-in and ease-out curves (depending on the tension).
    • Double Curve - Smooth 'S' curves.
    • Hold - Single steps between points, handy for creating abrupt value changes in the envelope.
    • Stairs - Multiple steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency.
    • Smooth stairs - Multiple smooth steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency.
  • Change Segment Tension (Acceleration) - To change the amount of tension, left-click on the tension handle (the circle located half way between the control points) and move your mouse up/down. Right-click the handle to reset to a straight line. Hold CTRL during adjustments to fine-tune.

Envelope Sections (ADSR)

Some of the envelopes/mappings are divided into sections to provide classic ADSR (attack, decay, sustain, release) envelope functionality.

Sytrus uses special section markers (see the screenshot above) to mark the end of a section and the start of the next one. There are few markers available:

  • S (sustain): Marks the end of the decay section and the start of the release section.
  • L (loop): Marks the start of a sustain loop section - enables you to define an envelope section to be repeated while a voice is sustained.
  • D (decay): Marks the start of the decay section.
  • DL (decay/loop): Combines the functions of the L and D markers.

It is not necessary to use any or all of the markers provided. Without markers the envelope will be played once as a 'static' definition played once from start to finish for each voice. You can also use certain combinations as needed.

How to Add a Marker:

Right-click the control point where you want to set the section marker. From the menu select the marker you want to add. If the item you want to add is disabled make sure the marker is in the correct place (e.g. a sustain loop start cannot be placed after a sustain loop end).

To make a DL marker, simply check both the Decay and Sustain Loop Start entries in the right-click menu.

How to Remove a Marker:

Right-click the control point where the marker is placed and uncheck the item representing the marker name. Keep in mind that removing some markers might make another marker/s redundant or cause them to be removed automatically (e.g. if you remove the sustain loop end marker, a sustain loop start marker will become redundant).

Envelope/Mapping Types

There are few types of envelopes/mappings which define the articulation of a specific property: ENV, LFO, KEY M, VEL M, etc. The only exception is WS (WaveShaper) in the filter module (as described below).

ADSR Envelope (ENV)

This is a "classic" ADSR envelope which combines the ability to define a sustain loop section with the power to create unlimited spline segments and refine various envelope sections as needed. Besides the editable envelope curve, the envelope also provides the regular envelope level controls, allowing you to lock the curves and still adjust some basic aspects of your envelope. All values are applied relative to the curve defined in the editor.

  • Attack (ATT) - Defines the attack length/speed.
  • Decay (DEC)- Defines the sustain section length/speed.
  • Sustain (SUS) - Defines the sustain section slope ("decay" amount).
  • Release (REL) - Defines the release length/speed.
  • Tempo - Lets you determine whether the envelope length is relative to the project tempo (changes with tempo) or absolute in time.
  • Global - Enable this option to use global envelopes. The envelope of all notes (including those already playing) restarts with each new note starts playing (so all notes share the same envelope). Useful for making perfectly synchronized gated presets as well as some special effects.

NOTE: When adjusting ADSR properties you can preview the effect of the knob value on the envelope shape. However, once the mouse key is released the envelope is restored to its previous view. The knob still has an effect, although it is not reflected in the curve to avoid distortion and make editing easier.

For more information on the available envelope sections (attack, decay, sustain, sustain loop, release) and how to define/remove a section marker, see Envelope Sections (ADSR) above.

Low Frequency Oscillator (OSC)

This unit allows you to vary the controlled property with an LFO. The LFO can also be modulated by its own envelope. The secondary blue curve visible behind the envelope is a preview of the LFO "in action" with the applied envelope, shape speed and settings.

The following additional knobs are available for this unit:

  • Speed (SPD) - Defines the LFO speed.
  • Tension (TENS) - Defines the LFO curve 'tension'. This parameter is bipolar (both plus and minus values are possible) allowing you to morph the LFO through a wide range of shapes.
  • Skew (SK) - Defines the balance between the odd/even splines in the LFO, visible as shape 'skew'.
  • Pulse Width (PW) - Sets the pulse width, i.e. balance between the first and the second half of the LFO phase.
  • Tempo - Lets you determine whether the envelope/LFO speed is relative to the project tempo or is absolute in time.
  • Global - Normally, the LFO envelope is started from the beginning for each voice ("local" LFO). If this option is enabled, the envelope is "global" and is sustained, without restarting, for the duration of the song.

Mappings - Key M, Vel M, Mod X, Mod Y, Rand, Uni

The mappings unit lets you map the value of the controlled property to the values of another property (keyboard key, velocity, etc). Mapping involves the definition of a single continuous curve in which the horizontal direction represents the values of the source property used for mapping - min>max = left>right; and the vertical direction represents the values of the controlled property (articulation target) - min>max = bottom>top. By defining the mapping curve, you define where the horizontal positions are relative to the vertical positions, thus mapping the source property to the controlled property.

Within a Sytrus graph the brighter vertical line represents the current value of the source property used for mapping (or the default value, if current is unavailable /such as with velocity/).

Sytrus graphs allow several different mapping options:

Keyboard Mapping (KEY M)

With keyboard mapping you can define how the controlled property is offset depending on the keyboard key (note) pressed to generate a voice. At the bottom of the graph you can see the keyboard range (the highlighted range matches the range displayed by the integrated Sytrus keyboard).

Velocity Mapping (VEL M)

With this graph you can define how the voice velocity value relates to the controlled property.

Modulation X/Y (MOD X and MOD Y)

These two graphs allow you to map the values of the integrated X/Y controller (in the main module of Sytrus) to changes in the controlled property.

Random Mapping (RAND)

The random mapping lets you define the amount of randomization to the controlled property (one random value per voice is generated). This may be useful for simulating a live performance or the subtle inaccuracies of old analogue synths.

A random floating point number is selected for each voice, in the range of 0% to 100%. The curve lets you define how the random number relates to changes in the controlled property. The more curve "dots" there are for a particular vertical position, the more likely the value will be selected by the random generator, thus allowing you to fine tune the behavior or the random generator and effectively defining the "chances" of certain values being selected for each voice.

Unison Mapping (UNI)

This mapping is used by the unison feature of Sytrus (see the main module for more information) and it has effect only if the unison mode is enabled for the current patch.

The unison mode works by triggering a user-defined number of subvoices with altered properties for each actual voice in the sequence. Unison mapping lets you define how the controlled property varies across each of the sub-voices inside the unison.

By default the unison uses only its global variation levels (if enabled), as specified in the global settings. By defining a mapping curve in this unit you can have much greater control over the type and amount of variation of both the property and the module.

WaveShaper Mapping (WS)

This is the only articulated property defined by a single mapping and is available in each of the filter modules. The curve defines how the signal is distorted by the WaveShaper features in the filter modules, i.e. the original input levels and how they relate to the processed output levels.


Sytrus - Arpeggiator

Sytrus has a unique method of creating arpeggios (Arps). Arps are defined by Envelope (usually volume, modulation or filter) arpeggiator 'break-points' that can be applied to the Envelope nodes. See Working with Envelopes for more detail on the basics of Envelope manipulation and also where you can open the Envelope Sequencer Tool.

There are three types of Envelope Break Points used in making arpeggios (the middle three in the picture left), Previous, Same, Next. The first and last nodes relate to the loop start and end points (Loop Sustain start and Loop Sustain End respectively).

When a chord is played and the envelope is set to arpeggiate, each of the notes in the chord is played in turn within the envelope loop, as defined by the Arp break-point flags. Arp break-points are described in more detail below.

Settings

To add or change an Arp break-point, right-click on the envelope node and select 'Arpeggiator break' from the popup menu, then select one of the following break-point types from the sub-menu.

  • None - Use this to clear an unwanted break point.
  • Previous, Arp DOWN ( [image]) - At the break-point plays the next note below the previous note played.
  • Same, REPEAT ( [image]) - Plays the same note as at the last break-point.
  • Next, Arp UP ( [image]) - At the break-point plays the next note above the previous note played.

Making an Arpeggio

  • Generally we advise using the Envelope Sequencer Tool opened from the Envelope menu. However for this tutorial will give you a feel for operating with the arpeggiation controls directly on the Envelope Editor window.
  • Open Sytrus and load the patch labelled Default (this is a simple sine-wave on Operator 1).
  • Select Operator 1, set the Editor target to VOL and the Articulator part to ENV (this will open up the volume envelope for Operator 1. The same windows should be open as shown above.
  • From the Envelope Options menu ( [image]) select the Open state file... menu item and open the 'Arp - classic up.fnv' state file.
  • You should see a simple triangle-shaped Envelope with a Same break-point on the first node and a Next Arp break-point on the last node. Playing a chord will sound the classic upward repeating Arp.
  • Change the last node to Previous and note that Arp descends. Experiment by adding some more Envelope nodes and break-point types. You are now on your way to creating your own Arps - have a look at some of the other Arp presets to learn how they work.

NOTES & TIPS:

  • Arps need chords: To hear an Arp you need to play a chord (otherwise there is no 'previous' or 'next' note for Sytrus to play). Single notes will work, sounding the rhythm of the Envelope.
  • Envelope loops: If you want your Arp to repeat while you hold down the chord, the first node should be set to Sustain loop start and the last node should be set to Sustain loop end (it is possible to add both Arp 'break points' and 'Loop sustain' flags to the same node).
  • Envelope release: Avoid Envelope releases with Arp presets ('release point' envelope data after the 'Sustain loop end' node) as the envelope will play the whole chord.
  • Timing: Make sure Tempo and Global selectors are activated in the Envelope settings so that the Arp plays in time with the BPM of your project, and timing of the notes does not drift.
  • Per-Operator Arps: The speed of the Arps can be varied on a 'per operator', basis. Very complex and 'cool' patterns are possible.
  • Speed: The envelope 'decay' (DEC) knob can be used to increase or decrease the speed of the sequence. The knob is set to 2X speed increments.


Sytrus - Harmonics Editor

INSTRUMENTS / GENERATORS

Sytrus - Working with the Harmonics Editor

The operators in Sytrus contain a fully-featured harmonics editor in which you can define an oscillator shape with up to 128 harmonics, either by drawing the harmonics manually or by analyzing external samples.

Harmonic Editing

An harmonic is a simple sine-wave that is an exact (integer) multiple of the starting frequency (in this case 1,2,3,...128). Harmonic Editors allow you to perform 'additive synthesis', in which you mix together harmonics (upper facing bars) and adjust their phase (downward facing bars). Using this technique you can create any type of waveform.

In the example below, a square-wave has been created by adding the first 30 (or so) odd harmonics and adjusting their phase. Bars on the graph may be left-clicked and moved up and down to adjust the relative level (upper) and phase (lower) values of a harmonic. After the mix is calculated, the shape amplitude is normalized to 100%.

  • Harmonic Amplitude: The top row sets the number and level of harmonics to be mixed with the shape (order increases from left to right). Left-click and drag inside the row to add harmonics to the shape. Right-click and drag to draw 'lines' inside the graph. ALT+click to reset the harmonics levels to neutral position. The scale of the amplitude levels is logarithmic, useful for when you need to add small amounts of a harmonic to the oscillator.
  • Dark bands: To make editing more convenient, darker harmonic levels indicate frequency offsets in octaves (e.g. +1, +2, +3 octaves, etc).
  • Harmonic Phase: The lower row sets the harmonic phase (time offset in the range of one oscillator cycle).
  • Harmonic frequency: Please note that there are 128 harmonics available. To access higher harmonics use the horizontal scrollbar at the bottom of the graph (only the first 60 harmonic levels are visible by default). You can also Zoom sections of the graph using the Zoom box (lower right).

    • NOTE: Harmonics are only active if the corresponding harmonic has a level higher than 0.

  • Keyboard Shortcuts - Lock/Unlock harmonic (CTRL + left-click), Focus on harmonic (SHIFT + left-click), Clear harmonic (ALT + left-click), Affect multiple harmonics (right-click + drag across harmonics).
  • SMOOTH - Applies smoothing to the levels in the harmonics editor (averaging the levels with their neighbors). When odd/even harmonics are locked, only they will be smoothed (however, all harmonics will still be considered when computing the average values to apply.

Additional Commands Menu ( )

Click the arrow at the bottom left corner for commands related to working with the harmonics:
  • Convert shape to sine harmonics - A sine shape is the default for each operator. This makes working with harmonics easier and more predictable. You can use this command to convert an oscillator with a non-sine shape to the closest representation of sine wave available. If the shape is already a sine, this command has no effect.
  • Analyze single-cycle waveform - Allows you to analyze ('import') an external sample as an oscillator shape. Please note the following restrictions: the sample needs to be an oscillator shape ('single cycle' sample), as opposed to sample playback in samplers. Also, keep in mind that no actual wave sample is importer. Rather, the harmonics of the sample are analyzed and imported as harmonic settings in the Harmonic Editor. If the sample is too long and/or too complex the import might not be accurate.
  • Export single-cycle waveform - Creates a .wav file of the current waveform in the Editor.
  • Lock harmonics - Use this to selectively gain control of the harmonic bands. The options are None (default), All, Odd, Even, Invert and Inactive (note that if this does not appear to lock inactive bands they probably have a very small level not visible in the Editor,). ALT+ left-click will clear a band.
  • Transpose One Octave Up - This command 'multiplies' the position of the harmonics to shift them up with an octave. Bear in mind that some information will be lost (for all harmonics and the high end which go out of range /above 128'th harmonic/).
  • Shift Left/Right - Shifts the harmonics one position to left/right.
  • Smooth up soft/hard - These options smooth the harmonics by a small (soft) or large amount (hard). Designed to avoid waveform clicks.
  • Attenuate Gibbs Phenomenon - Applies techniques to attenuate the 'Gibbs phenomenon' as a pre-processing step applied to the harmonic levels. There is also a runtime 'Gibbs attenuation' option, found in the Main Panel. The 'Gibbs phenomenon' causes ringing around the point of transition in oscillators with sharp transitions (discontinuous line). You can learn more about Gibbs phenomenon on the internet.
  • Remove Gibbs Phenomenon - Removes the 'Gibbs phenomenon'. The 'Gibbs phenomenon' causes ringing around the point of transition in oscillators with sharp transitions (discontinuous line). You can learn more about Gibbs phenomenon on the internet.
  • Reset phases - Restores the Phase settings to their original state.
  • Randomize phases - Randomizes the value of any active phase bars. What did you think it did? :)
  • Copy/Paste - Allows you to copy the harmonic settings of an oscillator and paste them to another oscillator. There are several modes: Replace - the "classic" method in which old data is replaced by that in the clipboard; Add- sums the existing harmonics with the clipboard; Subtract - subtracts the clipboard levels from the existing levels; Multiply - Multiplies the existing harmonic levels with those in the clipboard; Blend - sums the existing harmonics with the clipboard at 50%.


Sytrus - The Filter Module

The Filter Module has 13 filter modes and many options that you can tweak to get the perfect sound for your project. It includes a complete articulation section that allows you full control over the filter parameters. The module also includes waveshaping distortion with customizable mapping.

The SVF filter is capable of handling 3 filter modes simultaneously - low-pass, band-pass and high-pass.

NOTE: The Filter Mode switch is automatable.

Settings

Filter Mode (Automatable)

  • Filter Type LCD - Select from one of 13 filter types, including are a fully-featured SVF ' Chocolate' filter and 8 'Vanilla' filters (Low Pass - LP, Band Pass - BP, Notch - NOT, High Pass - HP, All Pass - AP, Low Shelf - LS, Peaking - PK and High Shelf - HS) a lowpass 'Mango' filter. Only the SVF filter will display/use the low/band/high levels on the panel (see the screenshot above). A Phaser filter (PHS) is also included (see below).
  • Flat - Applies an alternative resonance algorithm to the filter (try both modes to see which suits your project)
    • .
  • HQ - Improves filter quality. This option is necessary when operating at sample rates of 44 kHz or less and using the high-pass result of the SVF filter. .
  • Bandwidth - Sets the filter bandwidth. OFF turns the filter off. x1, x2, x3 are 12, 24 and 36 dB filters, respectively. ALT x2 and ALT x3 provide alternative algorithms for the 24/36 dB filter modes.

Phaser

The Cherry Phaser is implemented as a filter type (see above) giving you full control of the frequency and enabling the phaser to be synced to the LFO, with full control of the LFO shape.

  • Res - Phaser feedback.
  • Filter Mode - Phaser order. The buttons marked 1 to ALT x3 provide phaser order 1 to 10. To keep the interface simple ALT x2 and ALT x3 are orders 4 & 5. The 'FLAT' switch adds 5 to these buttons giving you 6 to 10 on the same switches. For example, FLAT + x1 = 6, FLAT + x2 = 7 ... FLAT + ALT x3 = 10.

Common Filter Settings

These settings control some common aspects of the filter (cutoff, resonance, etc.)

  • Cutoff LFO/Env. Amount (ENV) - Adjusts the amount of cutoff LFO/Envelope articulation above the cutoff value. Turn fully left to disable cutoff articulation.
  • Cutoff (CUT) - Filter frequency. Affects all modes of the filter - low, band, high, etc.
  • Resonance (RES) / Bandwidth - Sets the resonance or "sharpness" of the filter. For bandpass/notch filters, sets the filter bandwidth.

Low/Band/High Levels

These settings apply to the included SVF filter only. Each slider controls the amount of output from each of the filter bands: L: low-pass,B: band-pass, H: high-pass. By default, the low-pass level is set to maximum, while the rest are muted.

WaveShaper Settings

Each filter module includes an optional waveshaper distortion. This distortion maps the input signal amplitude to another amplitude based on the waveshaper mapping (see the Articulation section below).

To enable the effect, turn on the Enabled LED.

  • Unipolar/Bipolar (+ / +-) - Allows you to set the waveshaper graph to symetric (unipolar) or asymetric (bipolar). Affects the waveshaper envelope presentation (switching from bipolar to unipolar mode loses all the asymetric information).
  • Preamp (AMP) - Allows you to increase the amplitude levels of the signal before it is processed with the waveshaping distortion.
  • Mix Level (MIX) - Sets the mix balance between the unprocessed and distorted signals.

Send to Next

This knob allows you to send the audio processed by the current filter module to the next one. This feature is available for the first two filter modules only.

Articulation Section

The articulation section allows you to apply an envelope, LFO, map keys, velocity or unison mode voices to a set of pre-defined properties. For a full list of envelopes/mapping in the Articulation section and their descriptions, see envelope editor page.

The filter mode supports the following articulation targets (controlled parameters):

  • Panning (PAN) - Sets the filter output panning (graph bottom = left panning, graph top = right panning).
  • Volume (VOL) - Sets the filter output volume (graph bottom = no output, graph top = maximum output).
  • Cutoff (CUT) - Offsets the cutoff levels for the filter (graph bottom = -100 offset, graph top = +100 offset).
  • Resonance (RES) - Offsets the filter resonance levels (graph bottom = -100 offset, graph top = +100 offset).
  • Low-pass, Band-pass, High-pass Levels (LOW, BAND, HIGH) - Sets the output volume of the corresponding filter mode (graph bottom = no output, graph top = maximum output).
  • WaveShaper Mapping (WS) - This is the only articulation target without a full set of envelopes, LFO, etc. It is simply a map describing the relation between the input audio amplitude and the waveshaper processed signal. The horizontal axis represents the input levels (left>right = min>max) while the vertical axis represents the output levels (bottom>top = min>max).
  • WaveShaper Mix Level (WMIX) - Sets the output volume of the waveshaper processed signal (graph bottom = no distortion mix, graph top = maximum distortion mix level).


Sytrus - The Effects Module

The effects module offers high-quality chorus effect, 3 delay lines which can process either in parallel or in serial (with the possibility to send the module output to a mixer send track for further processing) and a reverb section.

Settings

Panning (PAN)

Allows you to pan the signal before it is processed by the effects.

Chorus Effect

The chorus effect enables you to enrich the stereo panorama and depth even for simple patches. It can also be used as a less CPU-intensive alternative to the integrated unison mode (see the main module page), if you don't need to use any of the advanced unison features, such as sub-level voices, custom parameter mapping , etc.

  • Order (ORD) - Sets the number of "stacked" flangers to be used for the effect. Using more flangers makes the effect smoother and richer. Drag the screen down until the indicator disappears to disable the effect.
  • Depth (DP) - Controls the "chorus depth" (amplitude of pitch oscillation for each of the stacked flangers).
  • Speed (SP) - Controls the flange speed (speed of pitch oscillation).
  • Delay (DL) - Variable amounts of delay can be applied to each of the stacked flangers. Use this parameter to define the overall amount of delay applied.
  • Spread (SR) - Each flanger is assigned a different speed, depth, etc. in a range defined by the basic properties provided for the Chorus effect. Increase the SPRD value to "smooth" the spreading of the stacked flangers across the parameter ranges.
  • Chorus Stereo Cross (CR) - This parameter applies a stereo cross mix between the left and right channel audio output of the Chorus effect. Increase the parameter value to mix more of the left channel sound in the right one and vice versa. The parameter has range of -128 to 128. Negative values mix inverted sound in the opposite channel.
  • Chorus Level (VL) - Determines the level of the processed signal into the overall mix.

You can load several presets for the chorus effect by clicking the Options button on the Sytrus interface ( [image]) and pointing to the chorus submenu.

Send Track Settings

Here you can select a mixer send track and send level if you want to send the signal to a track for further processing.

Select the send track number from the LCD (NUM) and adjust the send level (VOL).

Delay Line Settings

The effects module includes 3 separate delay lines (echo) which can process either in parallel or in serial.

To see the settings for each delay line, select one via the D1/D2/D3 switches.

To enable the effect, turn on the Enabled LED.

  • Delay Feedback (FB) - Sets the feedback volume. Setting this to maximum will create feedback that never fades out, while setting it to minimum will result in no feedback.
  • Delay Time (TM) - Sets the signal delay time (and amount of time between echoes in the feedback).
  • Delay Stereo Offset (SO) - Lets you set a time offset for the left or right audio channel, thus creating richer stereo panorama of the delay effect. To delay the left channel, use a negative offset value. To delay the right channel, use a positive value.
  • Delay Volume (VL) - Sets the delay line output. Keep in mind this parameter has a range of -128 to 128 - to decrease the delay volume, position the slide near the middle. Negative values produce echoes with inverted signal (phase).
  • Delay feedback Mode (NORMAL, INVERTED, P.PONG) - Sets the feedback stereo mode. Normal preserves the original stereo, Inverted swaps the left and right channels once, Ping Pong swaps the left and right channels for each successive echo.
  • Tempo Based (TEMPO) - Enable this switch to make the delay speed tempo based rather than absolute in time.
  • Serial Processing (SERIAL) - Enable this switch to feed the next delay filter with the output of the current delay (thus processing in serial as opposed to independent parallel processing). Only the first two delay effects have this option.
  • Enabled (ENABLED) - Turn this switch on to enable the current delay line.

Reverb section

The effects module includes a high quality reverb based on the Fruity Reeverb FX plugin.

  • Color Selector - Color has five settings: Brighter (B+), Bright (B), Flat (F), Warm (W), Warmer (W+). The Color parameter is used for adjusting the decay time of the bass frequencies of the signal. This allows you to change the overall perceived mood or 'sound' of the virtual room. A bright room has a low bass response, while warm rooms have a higher bass response. In a flat room, the response of the bass is equal to the general frequency response.
  • Low Cut (LC) - Adjusts the low cutoff frequency. Use this to remove low frequencies from the input signal before reverb is added. For example, if you are adding reverb to, say a drum track, you might want to remove some of the 'rumble' from the bass drum by attenuating the bass frequencies. Setting this parameter to the minimum value will bypass the Low Cut filter, displaying OFF in the value field.
  • High Cut (HC) - Similar to the Low Cut, this adjusts the high cutoff frequency. Use this to remove high frequencies from the input signal.
  • Predelay (PD) - Controls the delay time between the direct input signal and the first reverb reflection. This should be set to modest values for small rooms, and can be increased in relation to increases in room size. Predelay creates a slap-back echo effect that can both add atmosphere and muffle the signal, so use it wisely.
  • Room Size (RS) - Use this to set the size of the virtual room where the reverb is created. The Room Size should be adjusted according to the decay time. Small rooms sound better with a short decay time, large rooms sound better with longer reverb times.
  • Diffusion (DF) - Controls the density of the reflections bouncing off the walls of the virtual room. A low diffusion setting makes the reflections sound more distinct, like closely spaced echoes. A high diffusion setting creates reflections so close they sound more like noise, where no echoes can be distinguished.
  • Decay (DE) - Controls the decay time of the reverb, the time it takes for the signal to decay to -60dB (1/1000 of the maximum amplitude). Use low decay times for small rooms or boxes, and long decay times for large rooms, halls or churches. You should also make sure that the Room Size parameter has an appropriate value.
  • High Damping (HD) - This parameter allows you to adjust damping of the high frequencies in the reverb signal over time. Damping refers to the high frequencies being attenuated and dying out. This causes the sound to become gradually muffled and warm like it is being absorbed in the room. Setting this parameter to the maximum value will bypass the High Damping, displaying OFF in the value field.
  • Wet Level (WL) - Sets the relative reverb (wet) signal level.

Articulation Section

The articulation section allows you to apply an envelope, LFO, map keys, velocity or unison mode voices to a set of predefined properties. To see the full list of envelopes/mapping in the articulation section and their meaning, please check the envelope editor page.

The filter mode supports the following articulation targets (controlled parameters):

  • Panning (PAN) - Sets the module panning (graph bottom = left panning, graph top = right panning).
  • Volume (VOL) - Sets the module volume (graph bottom = no output, graph top = maximum output).


Sytrus - Basics of FM Tutorial

INSTRUMENTS / GENERATORS

Sytrus - Basics of FM Synthesis and the Modulation Matrix

Basics of FM Synthesis

Most of today?s software synthesizers use a process known as ?subtractive synthesis? - a spectrum-rich oscillator (saw, square, triangle, etc.) is processed with a low-pass, band-pass, or high-pass resonant filter to produce the final sound. FM (Frequency Modulation) uses a different approach - pure tones (sine waves) processed in such a way that additional harmonics are created (one sine wave modulates the frequency of another) and added to the signal to produce the final sound. Unlike sub-synths, the basic module of the FM synth is called an 'operator', which includes a pure tone oscillator (sine wave) and an articulation section. At the basic level the articulation section is at least a simple ADSR volume envelope.

FM synthesizers contain two or more operators (Sytrus supports up to six operators). When an operator is connected to the input of another, a pitch (frequency) modulation occurs (see diagram, above). The modulating operator is known as the ?modulator?, while the modulated operator is called a ?carrier? (in Sytrus a single operator can act both as a carrier and modulator).

Sytrus Implementation

Sytrus offers everything found in classic FM synthesizers and supports up to six operators and a modulation matrix, in which you can define the synthesis algorithm. Sytrus also includes a set of advanced features which allow you to create many unique sounds:

  • Custom Oscillator Shape - The oscillator shape of each operator can be tweaked in various ways, such as adding harmonics, morphing to shapes other than sine (square, triangle), pulse width, add noise, etc. An operator can also be set to generate plucked string tones with a fully customizable damping envelope, which can be indispensable for string and pads patches.
  • Ring Modulation - Besides FM (frequency modulation) and additive mixing, Sytrus operators can also interact in RM (Ring Modulation) mode. Ring Modulation is the process by which two input signals are multiplied together to produce a new sound, often with characteristics which are qualitatively different from the original input signals.
  • Support for Subtractive Synthesis - Sytrus includes three fully-featured SVF (filter) modules which can be used to filter the operators' output. By combining both additive (FM/RM) and subtractive (SVF) synthesis techniques, Sytrus offers a very flexible means of producing a wide range of sounds, without the need for additional plugins or processing.
  • Effects Module - Offers a range of effects to treat the patch sound, including three delay lines (which can process in parallel or serial mode) and a high-quality chorus effect to add depth to Sytrus patches. The signal from the effects module can also be sent to a mixer send track for additional processing.
  • Fully Customizable Articulation - Mapping diagrams, LFO and envelopes in Sytrus extend far beyond simple ADSR volume envelope support. Each diagram and envelope state can consist of of unlimited number of curve segments, with control of pitch, volume, panning, velocity mapping, and unison settings, etc. This allows for more complex patch structures, including even programming whole drum and synth loops into a single patch/voice.
  • Programmable Unison Mode - Supports sub-level voices, variable pitch, pan, volume and envelope variation. Uniquely, each property targeted in the articulation sections of the modules can be mapped by the patch creator to the unison voices following 100% customizable mapping graphs, which allows almost every voice in the unison to have different properties (for more information, see the main module).

NOTE: If you want to create your own Sytrus patches or modify existing ones, it is recommended to check the Sytrus processing diagram. It describes in detail how the Sytrus modules are processed and mixed:

The same diagram is quickly accessible from a button on the Sytrus interface:

Modulation Matrix

The modulation matrix in Sytrus allows you to set up the FM synthesis algorithm and to adjust the operator send levels for effects and filter modules, and panning and ?dry? output levels.

Each knob controls a specific function or mapping (as explained below). The neutral position for each knob is the middle Use Alt + left-click to reset a knob to its neutral position. You can also right-click a knob to quickly mute/unmute, while preserving the knob value (this feature is useful when testing and tuning a patch)

The modulation matrix comprises several discrete parts. Below we will take a more detailed look at each section and its applications:

Modulation Setup

The FM/RM section sets up the modulation algorithm of Sytrus. Each row represents an operator and determines which operators will modulate it and by how much.

The knobs determine the amount of modulation - if the value is negative (turn the wheel at left) the modulation phase will be inverted. At the neutral level (Alt + left click a knob), there will be no modulation.

It is not necessary for an operator to be modulated in order for it to produce output.

Note - If you?re unsure of the purpose of any knob in the matrix, simply hover over it with your mouse and check the FL Studio Hint Bar.

Here are few very basic algorithms and their representation in the Sytrus matrix:

In these examples, Operator 1 is used as a carrier while the rest of the active operators are modulators. You can modulate an operator by itself (in example 3 - row 2, column 2 - modulating operator 2 by itself), thus creating a feedback effect.

Note that the carrier must be assigned an output, either directly (as in the examples), or via the filter modules. For more information on filters and output assignment, see the other two matrix sections covered below.

Sytrus also supports RM (ring modulation) interaction between operators. To see and adjust the RM setup, click the FM/RM switch at the bottom of the matrix:

Please keep in mind the switch only affects the modulation setup section of the matrix, as the rest of the settings (pan, FX send, filter send, etc.) are shared among the FM/RM setups.

Filter Send Levels

This section adjusts the amount of signal sent from each operator to the filter modules. Negative values will send an inverted signal to the filter modules.

Sytrus includes three filter modules. Each row in the section represents one module. If you want to send 50% of the output from operators 3 and 4 to filter section 2, adjust the knobs as follows: in row F2 (filter section 2), adjust the knob in column 3 (operator 3) to 50%; in the same row adjust the knob in column 4 (operator 4) to 50%.

To reset a knob to a neutral position, use Alt + left-click.

Note that to hear the output of the filter sections, they need to be assigned an output. To learn more, see the Pan, FX Send and Output section below.

Pan, FX Send and Output

In this section you can define the panning, effects send and output amounts for each of the operators and the three filter sections.

The first column sets the panning of its corresponding module (operator or filter). The default position is center.

The second column defines the amount of signal sent to the effects module. If you set this knob to a negative value, an inverted signal will be sent to the effects module. In the default neutral position (middle), no signal is sent to the effects module.

The third column defines the output amount for its corresponding module (operator or filter). A negative value will send an inverted signal to the output.

IMPORTANT: Neither the operators or filter modules in Sytrus produce audio automatically. You'll need to use the matrix to rout them to the output stages as follows:

1. Assign an output level for the module from the matrix section.

2. Assign an effects send level for the module (the effects module is automatically sent to the output).

3. (operators only) Assign the operator a filter send level via the Filter Send Levels matrix section (see above). The filter module you send to needs to 'reach' an output by itself.

4. (Filters only) Use the Send to Next knob (see the filter module page for more info).


Sytrus Tutorial

FM Synthesis is typically regarded as black magic by most amateur synthesizer programmers. The Yamaha DX-7, the first popular FM synthesizer, was reported to have 90% of maintenance returns complete with their presets intact. You have probably browsed through the presets in Sytrus, and wondered, ?how did they do that??. The next step, then, is usually to search the Internet for FM synthesis tutorials, only to discover that most of them tell you how to program a Yamaha DX7, or a particular DX7-like FM synthesizer to achieve a handful of particular sounds. But there's no clear idea how those "FM fundamentals" apply to Sytrus'. This tutorial will help remove some of the mystery from FM synthesis in general, and help you on your way to understanding what all those mysterious controls and knobs in Sytrus do.

Operators, Modulation Matrix, or Filters.

This tutorial is all about the Sytrus FM synthesizer, and the purpose behind the most important controls on its variety of control panels. This tutorial will not discuss each knob and slider, and how each individual control affects the output signal. However, after proceeding through this tutorial, you will understand:

  • What an "operator" is.
  • How the modulation matrix is configured to route sounds from the oscillators through the modulators, filters, and effects processing to the output.
  • How to apply a filter to an operator.
  • The single difference between FM and subtractive synthesis

Step 0: Learn about subtractive synthesis basics

It's fairly easy to get a basic grip on FM synthesis. Starting with simple waveforms, filters and envelopes are applied to get different "effects" on the final sound. With most subtractive synthesizers, you can pick a knob at random, tweak it, and likely hear a difference in the sound that comes out as a result. The 3xOSC or TS404 plugins are a good place to start out. Once you're comfortable with terms like, "oscillator", "LFO", "cutoff", and "ADSR", you may proceed.

Step 1: Understand what you're looking at in Sytrus

1.1 Add a Sytrus channel. Click the "plug" in the upper left of the window, and select the "Default" patch. This patch produces a pure sine wave output. Ignore the 9x9 matrix control on the right side of the window for now.

1.2 Click the "MAIN" box in the upper left to see how the synthesizer's overall characteristics are defined. These parameters operate on the signal that comes out of the synth/filter/pan/fx module. You can apply an overall volume and filter envelope, tweak the basic EQ, add a unison effect, and determine which parameters are affected by the x/y modulation controls.

1.3 Click on the "OP 1" box towards the top of the window. This panel defines "Operator #1". An operator is simply a waveform; some audio signal. You can see one cycle of it in the box in the upper left. The sliders and knobs to the right of the waveform display allow you to modify some characteristics of the waveform. The row of buttons, "PAN", "VOL", etc. allow you to modify the characteristics of the waveform. "OP 2" through "OP 6" allow you to define five more waveforms.

1.4 Click on the "FILT 1" box towards the top of the window. This panel defines "Filter #1". The panel and rows of buttons allow you to specify the characteristics of a filter, which can be applied to the output of the operators. "FILT 2" and "FILT 3" allow you to define two more filters.

1.5 Click on the "FX" button towards the top of the window. This panel defines a basic effects chain consisting of panning, chorus, three delay units, and reverb.

Step 2: Sytrus, the Subtractive Synth, part 1 - The Sawtooth Wave

As a first step in learning how to program the Sytrus synthesizer, we will examine its capabilities as a subtractive synthesizer. This will build on our knowledge from Step 0, above, as we start to learn how to find our way around Sytrus without getting too complicated.

2.1 Go back to the "OP 1" panel, and slide the "SH" slider (just to the right of the waveform display). As you slide it up, the waveform will change from a sine wave through triangle, saw, and square patterns, ending up with a square pulse. Set the slider in the middle of its range (50%) to produce a sawtooth wave. Play some notes and listen to the buzzing of all the high frequency components in the sawtooth wave.

2.2 Now we'll take a look at the modulation matrix. In the Default preset, only one knob is activated. On the far right of the OP1 row, the knob in the "OUT" column is turned all the way up, to 100%. This knob indicates that the output from OP1 should go straight to the output at full volume. Each of the top six knobs in the "OUT" column indicate how loud each of the operators should be in the output mix. The bottom three knobs indicate how loud the output from each filter should be in the output mix.

Step 3: Sytrus, the Subtractive Synth, part 2 - a basic filter envelope

3.1 Now, we'll apply the default filter to the saw wave in operator 1. First, right click the OP1 output level knob to mute it. Play some notes. Note that there is now no output from Sytrus. At least one of the various output knobs must be turned on to generate any output. So, to activate the output of filter 1, turn the output knob on the F1 row up to 100%. Play some notes. Note that there is still no output from Sytrus. At this point, we're sending 100% of the output from the filter to the output. However, there's no input signal to the filter, so no sound will be generated.

3.2 To send some of the OP1 signal to the first filter, turn on the knob in the first column of the F1 row, and set it to the full on position, 100%. This sends the output of OP1 to the first filter. The output knob in the F1 row sends the output of the first filter to the output module. Play some notes. The default filter, applied to the saw wave produces a cheap synth horn sound.

3.3 Activate the cutoff envelope for the first filter. Click on the "FILT 1" button toward the top of the window. This displays the Filter 1 settings. Click the "CUT" button in the middle row of buttons. This displays the parameters for the filter cutoff envelope. Click the "ENV" button to display the default envelope. Just under the bottom of the graphical envelope display are four knobs to set the Attack, Decay, Sustain, and Release parameters of the envelope. To the left of these four buttons, is a small, hollow radio button. The default setting is "off", indicating no filter cutoff envelope should be applied. Click the radio button to activate the filter cutoff envelope. Play some notes. Note how the cutoff envelope alters the sound of the "horn". Experiment with the ATT, DEC, SUS, and REL knobs to see how they alter the sound of the wave.

Step 4: An Introduction to Modulation

The modulation operation: Basically, two waves combine in a magic way to create a richer spectrum output. It is important to note that OP1 modulating OP2 (OP1*OP2) does not produce the same output as OP2 modulating OP1 (OP2*OP1). Well, it's not that important, but just know that tweaking the OP1/OP2 modulation parameter will result in a different output than tweaking the OP2/OP1 modulation parameter.

Step 5: Sytrus, the FM synth, Simple Modulation

5.1 First, deactivate the filter by right-clicking on the OP1/F1 knob. Re-activate the OP1 output by right-clicking on the OUT/OP1 knob. Play some notes. The sound should be that of the original, unfiltered, buzzy, sawtooth wave.

5.2 Now, apply some modulation to the sawtooth wave. First, play some notes to get a feel for the unmodulated sawtooth wave. Now, click the knob in the OP2 column of the OP1 row, and turn it to a setting of 25%. Play some more notes. Hear how the buzzing quality has changed slightly. Turn the modulation knob from 25% to 50% and hear how the quality of the sound has changed again. Try settings of 75% and 100%.

Congratulations! you've now created an FM synth patch.

Step 6: Filtering a modulated signal

6.1 Now, we'll apply the filter we created above to the FM modulated signal. Deactivate the OP1 output by right clicking on the OUT/OP1 knob. Make sure the OUT/F1 knob is activated. If not, right click it to activate it. Activate the OP2/F1 knob by turning it to 100%. Play some notes. The sound will be that of a pure sine wave. What's going on here?

Well, what we actually did is route OP2 (an unmodulated sine wave) into Filter 1. Operator 2 is still at its default setting of a sine wave, so the output generated is a filtered sine wave, or, in other words, a sine wave. What we wanted to do is send OP1 into Filter 1. (This may be the most confusing feature of the modulation matrix itself.) This is part of what I mean by OP1*OP2 not being the same as OP2*OP1. Since we configured OP2 to modulate OP1, in order to send the modulated OP1 output to a filter module, we must use the OP1 column of the desired filter row to route that signal accordingly.

6.2 To route OP1 into Filter 1, deactivate the OP2/F1 knob by right clicking on it, and re-activate the OP1/F1 knob by right-clicking on it. Now, we are routing the modulated OP1 signal into the filter. Play some notes. Now, the filter we created above is acting on the modulated signal.

Step 7: The single difference between FM and Subtractive synthesis

Subtractive synthesis uses richer waveforms (triangle waves, square waves, etc.) as the base signal before applying filtering, resulting in higher order harmonic content in the synthesized signal. FM synthesis creates richer waveforms via modulation, resulting in "sidebands" of the carrier signal (i.e. the operator being modulated). That's it. Both use filters, envelopes and modulators on the sound. Once you understand what the knobs in the modulation matrix do, you're off and running. FM Synthesis can seem intimidating because it does not seem as intuitive as basic subtractive synthesis. The ?sidebands? resulting from the modulation operations are not as easily visualized as relatively simple square waves, or triangle waves. Also, FM synthesizers typically have much more complex envelopes and automation capabilities (see the ?Electrocution? preset for a complex automated filter example), adding to their complexity and intimidation factor.

Tutorial credits: Eric Mitchell.


Sytrus - Patch Creator Notes

INSTRUMENTS / GENERATORS

Sytrus - Notes & Tips to Patch Creators

Recommendations for Patch Authoring

Please check the following rules to ensure that the patches you make are immediately usable, merge with the other presets, & don't spend a lot of CPU power when it can be avoided at no quality loss:

  • It is recommended to copy/paste the details text from the Default preset. The layout and colors are easy to read and provide a common format for the details text in all patches.
  • Don't leave knobs in the matrix active if they are not to be used. For example, if a filter is not used, it should not have an output level.
  • Envelopes: pay attention to the sustain point, it is the most important part of the ADSR envelope. A voice stops when all of the envelopes have completed their release part. The envelope section after the sustain point is important and it is recommended that all of the operators & FX should match it.
  • When previewing your patch, try to press a key for a very short time, & see if it still releases properly (if there is a problem, you will hear a "lag" in release response even if you don't use long release time). If not, an articulator inside your synth is holding the voice active, try to find it and adjust it accordingly.
  • For patch sounds like bells or drums, if a voice needs to act like a "one shot" regardless of the voice length, you can duplicate the part before the release section after the release section (if a voice is released instantly, the release section is used, otherwise the sustain section is used, yielding identical results in either case).
  • Pay attention to possible DC offset. If your patch causes a DC offset, switch the "center" option on for the oscillator/s that cause that effect.
  • Pay attention to keyboard mapping. With FM synthesis you might need to check if higher notes produce aliasing, & reduce the modulators levels using the keyboard mapping if needed. The last key you've pressed shows in the keyboard mapping editor.
  • To increase usability of the preset, always try to give a use to the integrated X/Y Controller (Mod X/Y) and explain what each direction means, as in the included presets.
  • Chorus/unison: do not set Order to max, if 4 or 5 sounds the same or similar enough. This is especially true for the unison effect, where with the increase of order, more and more actual voices are generated and mixed together to produce a single voice in your sequence (order 6 = 6 subvoices per voice) which substantially increases CPU usage for your patch. If sublevel is used, then additional set of voices is generated.
  • Aliasing: try to avoid aliasing using the 'Band-limit waveform' option in preference to oversampling: 4x oversampling = 4x more CPU usage, for example.
  • Shapes: try to avoid using custom shapes for more than 2 or 3 operators (unless the specific patch requires it). Due to the serialized processing, it matters for the cache, thus to the CPU usage. Try to keep at least 3 oscillators as pure sines, so that they are shared.

Other Tips

  • If you want to start a patch from scratch, load the Sytrus preset named Default. All controls in this preset are reset to their default state.
  • Always ensure the oscillator has rich spectrum if you are going to use it in plucked string mode. The best way to ensure that is to add good amount of noise via the Noise modifier.
  • You can use a modulator with very low pitch as a vibrato effect on the carrier.
  • If you don't use the advanced features of the unison mode, you can try using the chorus effect in the effects section instead and save some CPU power.


Sytrus - Options and Helpers

Left-click on the symbols to open the following features:

1. Show keyboard

This shows/hides the preview keyboard.

2. Show block diagram

This shows the Sytrus internal signal routing diagram. Click the user interface again to return to the normal Sytrus interface. Click the interface again to return to the normal Sytrus user interface.

3. Show information

This shows the Sytrus version and information screen, to revert to the normal Sytrus user interface left click on the screen again.

4. Options / Presets

Contains a menu with several items as described below:

Presets

  • Yamaha DX7 Presets - Opens a file browsing dialog to import DX7 SYSEX data. Sytrus will then read the patch and emulate the original DX7 sound. Imported DX7 presets appear as subitems in the DX7 menu.
  • Copy / Paste preset - Copy and paste presets.

Oscillators

  • Copy / Paste oscillator settings - Allows you to copy and paste settings between operators.
  • Reset waveform settings - returns the Operator to the default state.
  • Randomize waveform settings - randomizes the waveform settings, use when you are stuck for ideas. And in the same way that idly fiddling with a Rubik?s cube may solve the puzzle...you may end up with a great sounding patch.
  • Morph oscillator 1 to 5 - Morphs oscillators 2,3 and 4 to create a series of wave-forms linking the end points in a smooth progression.

Effects

  • Unison - Unison is the process of creating extra (detuned) voices, Sytrus can generate up to 9 unison voices per operator. This option contains a number of unison presets to browse and select. The Distribution sub-option, spectfies various panning methods. Set by ear.
  • Chorus - Browse Chorus presets for the FX module.
  • Reverb - Browse Reverb presets for the FX module.

Tone

  • Arpeggio:
    • Invert - Inverts the arpeggio settings in the envelope.
  • Portamento:
    • Variable time - Pitch envelope attack length defines the duration of a 12 semitone sweep, this is used to calculate a per-semitone glide time that is then applied to any range. In other words a constant per-semitone portamento rate is applied so that portamento duration depends on the note interval, hence the name 'variable time'.

    • Track origin - This option takes into account keyboard mapping and applies the portamento 'end' note keyboard-map properties to the 'start' note. For example, if the end note had a low filter cut-off, Sytrus will apply this value to the start note. If the option is off, keyboard map values will be applied at a C5 note value.

    • No limit - Unlimited portamento range.
    • Octave wrap - An interval larger than one octave will wrap to less than one octave, that is a glide from C4 to E5 will play as C5 to E5
    • 1 to 4 semitone limit - Determine how far the slide will travel before cutting out. For example, a 4 semitone limit (when a larger than 4 semitone interval is played) will slide for 4 semitones before jumping to the target note.
  • Velocity:

    These are toggle-switches.

    • Link velocity to volume - Modulates the note output volume on the basis of velocity (normally on).
    • Link velocity to attack time - Modulates the volume envelope attack time on the basis of velocity.
    • Link velocity to attack length - Modulates the volume envelope attack length on the basis of velocity.
    • Link velocity to release length - Modulates the volume envelope release length on the basis of velocity.


Toxic Biohazard - Instrument

INSTRUMENTS / GENERATORS

Toxic Biohazard This plugin must be purchased separately

DEMO ONLY: Toxic Biohazard is available [image] as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Toxic Biohazard channels.

Overview

Toxic Biohazard features a hybrid synthesis engine, combining the best of FM and Subtractive synthesis. With the addition of a warm, analog-modelled filter and set of built-in effects, the Toxic concept remains one of convenience, simplicity, and superb sound quality.

Features

  • Powerful hybrid FM-Subtractive synthesis engine.
  • Low CPU usage with no loss of sound quality.
  • 6 customizable, anti-aliasing oscillators, each providing a rich, noiseless spectrum.
  • 6 ADSR Envelope Generators, one dedicated to each oscillator.
  • A Warm, multimode, analog-modelled filter, featuring Low-Pass, Band-Pass, and High-Pass settings.
  • A dedicated Envelope Generator tied to the filter.
  • 2 free-shaped, tempo-sync able LFO's,
  • FM and LFO matrix.
  • Up to 32 voice polyphony.
  • Up to 8 voices unison with stereo spreading.
  • Support for any samplerate.
  • Completely sample accurate.
  • 2 effect modules where you can select Multistage Delay, Chorus, Phaser, Lo-Fi, Flanger, Reverb, plus master 8 band equalizer and distortion..
  • 8 band, analog-modelled, parametric equalizer.
  • An aggressive distortion module.
  • A modern, inspiring user interface design, featuring our own 'Symmetric Interface' layout.
  • 64 step sequencer, featuring our 'Smart-Sequencer' technology and double polyphonic capabilities.
  • MIDI modulation matrix, allowing the user to route up to 10 MIDI controllers to modulate Toxic Biohazard parameters

Controls

While using Toxic Biohazard, you will find that many parameters have similar controls.

Buttons: Buttons have two states, ON and OFF. When ON, they emit an LCD like glow. To toggle a button between ON and OFF, simply "Left-Click" while hovering over it with your mouse pointer.

Knobs: These controls are made to work like hardware rotary encoder knobs that you'll find on most hardware synthesizers. To "Turn" the knobs, "Click-and-Drag" while hovering over it with your mouse pointer. Dragging upwards will bring the knob to the right, while dragging downwards will bring the knob to the left.

Data Sliders: Data Sliders work similarly to the sliders on hardware synthesizers and mixing consoles. To increase the value of a Data Slider, simply "Click-and-Drag" the slider upwards. To decrease the value, "Click-and-Drag" downwards.

Number Displays: Number displays work in the exact same way as Knobs and Data Sliders, exept the value is represented by an LCD-Like number. To operate a Number Display, "Click-and-Drag" your mouse pointer upwards for positive values, and downwards for negative values, while hovering over the LCD display.

Control modifiers

    • Fine adjustment -Holding Shift prior to clicking and dragging on a control allows fine adjustments to be made to parameters.
    • Reset control - Hold Alt prior to clicking on a control or Right-click (VST) version. Right-click (FL native version) opens the link/copy/paste menu.


Toxic Biohazard - Top Panel

Top Panel

The top section of Toxic Biohazard provides a range of global controls as described below:

Voice Controls (Configuration & Master Envelope)

  • Configuration

  • TRANSP: Transposition, controls the global pitch in semitones.
  • POLY: Select the maximum number of voices (polyphony) Toxic Biohazard will use.
  • UNISON VOICES: Unison voices are detuned and panned copies of the original voice, this control determines how many voices Toxic Biohazard will play. Unison has the effect of thickening the sound and is similar to the Chorus effect however Unison is a per-note effect while chorus effects the complete output of the plugin.
    • Unison Detune: The amount of detune given to the unison voices - for wide silky effects.
    • Unison Pan: The amount of stereo spread given to the unison voices. Turning the knob right will widen the spread.
  • GLIDE MODE: This menu determines the glide type.
    • Bend VT - All notes will glide at a fixed rate so that larger jumps take longer (Variable Time).
    • Held VT - Overlapping notes will glide at a fixed rate so that larger jumps take longer (Variable Time).
    • Bend ST - All notes will glide at a variable rate so that glide-time is independent of the jump size (Static Time).
    • Held ST - Overlapping notes will glide at a variable rate so that glide-time is independent of the jump size (Static Time).
  • GLIDE TIME: Controls the slide-rate between notes. When set to minimum, there is no glide.

    Master Envelope

  • ATTACK, DECAY, SUSTAIN, RELEASE: Global A (volume ramp-up) D (decay rate from peak) S (held level) R (ramp down speed on release) volume envelope modifiers.
  • VEL CURVE: When the knob is set to minimum (left) the relationship between velocity and volume is linear. As the knob is rotated to the right higher input velocity is required to achieve the same output volume as the linear setting.
  • DRIVE: Overdrive distortion effect (form of soft clipping).
  • MASTER VOL: Master volume controls the final output level from Toxic Biohazard.

Preset Control (Center)

Above the Toxic IIII Logo, at the 12'oclock position on the user interface, you will find the Preset Display window. This display shows the name of the preset currently loaded into Toxic Biohazard and provides access to the Preset Options menu.

  • BANK: Click here to open a new bank (the bank options will show on a drop-down list). Also on the list is the following item:
    • Online Content - Items below this point in the list are available for on-line download. Click on a bank to download it (of course your PC needs to be 'on-line' to see and download content).
  • PRG: Program - Left-Clicking on the display window will open the list of all the presets in the currently loaded bank. From that list, you may then navigate to the desired preset and Left-Click while hovering over it with your mouse pointer to open it.
  • <>: To the right of the preset name is a 'Step through presets' control. Click the RIGHT and LEFT arrows on each side of the display to step forward and backward (respectively) through the currently loaded bank.
  • OPT: Opens the 'Options Menu'. The menu items are:
    • Save Program - Saves the currently selected program as a '.tbio' (Toxic Biohazard single program) file.
    • Load Program - Load a single program or bank. NOTE: To Toxic III users - Presets are now stored as separated files (.tbio). Toxic Bio is backward compatible with ToxicIII presets. To load ToxicIII preset simply load it (FXP) using OPT->Load Program. Do the same for ToxicIII banks, and FXB will be automatically converted into .TBIO files, keeping the name of the original ToxicIII bank.
    • Import CC Map Imports all CC links from saved FXP. This is used to load Midi Learn settings from FXP saved from your host.
    • Import MIDI modulations - Imports MIDI routing settings.
    • Import Sequencer Pattern - Imports MIDI sequencer patterns.
    • Swap effects - Swap effect module one and two in the processing circuit. Default is module 1 --> module 2. Sometimes is useful to change the order of effects.
    • Reset CC Link Map - Resets the external controller modulation links.
    • Reset MIDI modulations - Reset all MIDI controller settings without affecting the other parameters in the program.
    • Reset Sequencer - Reset all Sequencer note data without affecting the other parameters in the program.
    • Reset Program - Reset all parameters and controller settings to their default values.
  • LINK: Links the last tweaked MIDI parameter to the selected target.
  • [X]: Unlink the displayed link-relationship.


Toxic Biohazard - Oscillators

Oscillators

Oscillators are the basic source of sound in a synthesizer, Toxic Biohazard contains 6 Oscillators (or Operators as they are called on FM synthesizers), each with identical controls and functions.

Oscillator controls

  • Turning an oscillator on: To activate an oscillator, ?click? your mouse pointer on the ?window? that appears under the waveform name. When activated, the oscillators chosen waveform and name will be displayed in the oscillator display window.
  • Choosing a waveform: To bring up the waveform selection menu for each oscillator, ?click? your mouse pointer on the waveform?s title (i.e. Sine) and choose a waveform from the list. If Custom is selected, a file browser will be opened, requiring you to select the desired waveform in .wav format.
  • PITCH: The pitch control adjusts it?s respective oscillators course tuning within a range of -99 to +99 semitones. To increase the pitch, ?click-and drag? your mouse pointer upwards, while hovering over the Pitch window. The same action, in the opposite direction, will decrease the value into the negative numbers.
  • DETUNE: This control, located underneath the Pitch Window, allows you to adjust the fine-tuning of each oscillator within a range of -99 to 99. To increase the value, hover over the Detune Window, then ?click-and-drag? your mouse pointer upwards.
  • FREQ OFFSET: This knob determines the frequency offset of the chosen oscillator. To increase it?s value, ?click-and-drag? your mouse pointer upwards while hovering over the knob.
  • PHASE: Use to adjust the chosen oscillator?s phase, from 0 to 360 degrees. To increase its value, ?click-and-drag? your mouse pointer upwards while hovering over the knob.
  • FREE: This button determines whether the chosen oscillator is key-synced or free-running. In its default OFF stage, the button will appear gray in color, and the oscillator will be key-synced. When ON this button emits a yellow glow indicating that the oscillator is free-running.
  • VEL: The 'Velocity' slider determines how sensitive the specific oscillator will be to velocity cc's. To increase its value, ?click-and-drag? your mouse pointer upwards while hovering over the slider. The opposite action is taken to decrease its value.
  • INIT: The 'Initial' slider determines the initial value the Attack stage of the envelope generator starts from. Values can be increased in range from 0 to 100%. To increase its value, ?click-and-drag? your mouse pointer upwards while hovering over the slider. The opposite action is taken to decrease its value.

  • ADSR envelope: Each oscillator has 4 controls that affect the amplitude of the chosen oscillator. ATK: Attack (this determines how quickly the oscillator fades in), DEC: Decay (determines how long the oscillator to take to reach the sustain point), SUS: Sustain (determines the level the oscillator will hold at once it reaches full decay, it will hold at this level until the note is released), and REL: Release (the rate at which the note fades after the key release).


Toxic Biohazard - Filter

Filter Section

Toxic Biohazard has a powerful filter section. Very reminiscent of a moog type filter. It operates in both LowPass and HighPass modes and has its own ADSR envelope generator as well as accepting modulation from various sources.

Controls

  • Mode: Toggles the filter between - Bypassed (---), Low-Pass (LP), Band-Pass (BP), and High-Pass (HP).
  • Cutoff: Determines the cutoff frequency of the filter.
  • Reso: Determines the Resonance (Or Bandwidth) of the filter.
  • KEYTRK: This knob controls how closely the filter cutoff frequency will be tied to the MIDI key number pressed by the user. Lower keys will result in lower cutoffs, while higher keys will have the opposite affect.
  • VELTRK: Determines how much velocity will effect the filter cutoff frequency.
  • EG AMT: Determines how strongly the envelope will effect the filter. This controller has a range of -100 (envelope completely inverted) to 00 (envelope does not affect filter) to +100 (envelope heavily tied to filter).
  • LFO1 AMT: Determines how much LFO 1 will effect the filters signal.

Filter Envelope Controls:

  • Attack: The amount of time it takes for the envelope to effect the filter cutoff.
  • Decay: The amount of time it will take the envelope to reach the desired sustain level.
  • Sustain: The level at which the signal will rest after it has fully decayed.
  • Release: The amount of time it will take for the envelope to release after the key has been let go.


Toxic Biohazard - LFO

LFO Controls

  • LFO Waveform select: This is the window that displays the currently selected waveform for the chosen LFO. Select a waveform by clicking on the title (i.e. Sine) and choosing one from the list.

    NOTE: The oscillators have unique "Gated" shapes at their disposal. You can route these gated LFO shapes to an oscillator?s amplitude to create "Trance-Gate" like movement in sounds. You can also select your own waveforms via the Custom loading option.

  • SPEED: Determines the speed at which the LFO moves, getting faster as you turn the knob to the right.
  • FREE: The 'Free Run Switch' will set the LFO to free running mode, this means it will not be retriggered by each key press, but will instead pick up wherever it left off when you released the last key.
  • SYNC: The 'Sync Menu' allows you to select sync values for the LFO speed relative to the host tempo. When the display shows '---' there is no tempo sync and rate of LFO is defined by the 'Speed' knob.


Toxic Biohazard - MOD Matrix

INSTRUMENTS / GENERATORS

Toxic Biohazard - Matrix

Toxic Biohazard Matrix

The FM Matrix is where you route each oscillator to another or itself. The matrix is laid out as follows: Oscillators 1 - 6 (top to bottom) down the left, and oscillators 1 - 6 (left to right) along the top. The modulation intersections are multiplier controls (0 to 100%). To modulate the frequency of Oscillator 2 by Oscillator 1's frequency, for example, increase the value of the cell located in the 1st column and 2nd row.

Controls

  • PAN: Determines where oscillators are placed in the stereo field. This control?s values range from -50 (Far Left) to 00 (Dead-Center) to +50 (Far Right). To increase the value, click-and drag your mouse pointer upwards, while hovering over the pan value display. The same action, in the opposite direction, will decrease the value into the negative numbers.
  • LEVEL: Controls how much of each oscillators signal will be routed to the final output. For example, if you just want oscillator 1 to modulate oscillator 2, and hear the result without hearing oscillator 1, then you would turn oscillator 1's level down to 0 and turn oscillator 2's level to 100 (for example). To increase the value, 'click-and drag' your mouse pointer upwards, while hovering over the level value display. The same action, in the opposite direction, will decrease the value.

  • LFO: This panel is where you route LFO1 and/or LFO2 to each oscillator?s amplitude. It works in the same manner as the FM Matrix. For example, to route LFO1 to Oscillator 2, you would increase the value in the cell located in the 2nd column/1st row.

  • Master Pitch Modulation: Working exactly like the LFO section, this allows the user to route either LFO2, the filter envelope to the Master Pitch, as well as define the pitch bend range.

Frequency ratios

Once an oscillator is set to modulate another the table below shows how to set the source (columns) oscillator's Pitch and Detune settings to achieve a particular frequency. The table shows the approximate FM Frequency Ratios (from 0.25:1 to 32:1). The first column is the frequency ratio (1:1, 2:1, 3:1, etc). The second column is the equivalent course tuning on Toxic Bio, while the 3rd column is the equivalent fine-tuning on Toxic Bio (when necessary).

Frequency Ratio | Pitch | Detune
0.25:1 | - 024 | 000
0.5:1 | - 012 | 000
1:1 | 000 | 000
2:1 | 012 | 000
3:1 | 019 | 002
4:1 | 024 | 000
5:1 | 028 | - 014
6:1 | 031 | 002
7:1 | 033 | 069
8:1 | 036 | 000
9:1 | 038 | 004
10:1 | 040 | - 014
11:1 | 042 | - 049
12:1 | 043 | 002
13:1 | 044 | 040
14:1 | 046 | - 031
15:1 | 047 | - 012
16:1 | 048 | 000
17:1 | 049 | 005
18:1 | 050 | 004
19:1 | 051 | - 002
20:1 | 052 | - 014
21:1 | 053 | - 029
22:1 | 054 | - 049
23:1 | 054 | 028
24:1 | 055 | 002
25:1 | 056 | - 027
26:1 | 057 | - 060
27:1 | 057 | 006
28:1 | 058 | - 031
29:1 | 058 | 030
30:1 | 059 | - 012
31:1 | 059 | 045
32:1 | 060 | 000

NOTE: Table courtesy of Frank Genus, master synthesist.


Toxic Biohazard - MIDI Modulation

MIDI CC Modulation

This is a very powerful control feature. The MIDI CC assignment matrix gives you the ability to route any CC#, from 0 to 127, as well as Pitch Wheel and Aftertouch to Toxic Biohazards parameters. There are 3 columns in the matrix with 10 rows. You may select up to 10 CC# assignments and these selections will be saved with the currently selected preset.

Controls

  • Select Source: Click on one of the rows under the "Source" title in the window and select a MIDI CC# from the list.

    NOTE: Some MIDI CC "Sources", such as CC7 (Channel Volume), CC10 (Channel Pan), and CC64 (Sustain) are assigned automatically. Therefore, they are labelled with an [A] character. Also, you can save once defined MIDI settings as a 'FXP' file and then load the MIDI map using 'Import MIDI From FXP' feature.

  • Select Destination: Click the corresponding row under the "Destination" title and select a parameter from the list.
  • AMNT (Amount): The Amount value defines the depth of modulation by the control source; If the value is positive, then the controller will modulate the destination on a scale of 0 at minimum, and 100 when set to maximum. Setting the value to negative numbers has the opposite effect, inverting the controllers to modulate the destination on a scale of 100 at minimum, and 0 when set to maximum.


Toxic Biohazard - Sequencer

Sequencer

The Toxic Biohazard sequencer/arpeggiator is highly advanced. It allows for all kinds of rhythmic sequences as well as basic arpeggiation. The sequencer defines the chord played and tunes the pattern according to that chord as well as simply playing the pure pattern while holding single keys. There are several modes of play for even more complex patterns.

Controls

  • STEPS: This counter ('064' in the picture below) is used to select the number of steps in the sequencer/arpeggiator loop. Select anywhere from 1 to 64 steps. Regardless of the number of steps chosen all 64 possible steps will be displayed.
  • PLAY: When selected (lit green) the programmed sequence will play.
  • Changing step/note pitch: Every 4th step is labelled for your convenience. At each step (---) you can set the pitch to be played (in semitones relative to the played note). Dragging past the value of -24 will activate 'sustain' for that step, this holds the note played by the previous step. If the value of any step reads '---' then no note will sound when that step is processed.
  • SWING: Activating this button turns on 'Swing Mode'. Swing creates a 'swing' rhythm where the first note is held a little longer at the expense of the second note in the bar.
  • PING PONG: The sequencer cycles forward then backward through the steps.
  • RANDOM: Plays steps in random order. Good for creating chaotic rhythmical sequences.
  • DUAL: This control splits the 64 step sequencer into 2 (32 step maximum) sub sequencers. This provides the ability to play complex 2-note polyphonic patterns.


Toxic Biohazard - Effects

Effects

The effects are important to add a final 'polish' to your sounds. Toxic Biohazard has a global distortion, equalizer and two user selectable effects banks as shown above in the left and right 'pods'. Select one of 6 FX algorithms in the drop down menu (delay, chorus, reverb, flanger, phaser or lo-fi) and the display will change to show the controls relevant to that plugin. FX work according to the following signal path:

INPUT - Distortion - Effect 1 (left pod) - Effect 2 (right pod) - Equalizer - OUTPUT

NOTE: The order of effects banks 1 and 2 can be reversed with the OPT: (Option menu) 'Swap effects' command. Sometimes it's important, for example, when you have phaser and reverb, phaser is better to keep before reverb and so on.

Equalizer

Toxic Biohazard includes a high quality 8 band graphic EQ with +/- 18 dB range. To activate the equalizer, click on the button under the "EQ" label and move your mouse up/down to boost/cut the respective frequency

Delay

Toxic Biohazard uses a multi-tap delay with 6 delay lines. Delay is an echo-effect.

  • TIME: Relative spacing between echoes.
  • SYNC: Sync's the delay time to host tempo (select from a menu of tempo multipliers). This syncs the delay with the host tempo.
  • FDBK: Amount of feedback applied to the delay. Increases the decay time of the echoes.
  • RATE: LFO relative detune speed between echoes.
  • DEPTH: Amount of relative detune between echoes. Creates a chorus-like effect.
  • BLUR: Works in the same manner as diffuse dial on a reverb. This control 'blends' the wet sound, what is achieved by using the higher number of delay lines.
  • MIX: Mix between the wet and dry signal. Effect level in other words.

Chorus

Chorus is an effect created by the slight detuning of multiple copies of the input sound (similar to a choir of voices).The controls contain parameters that affect the rate, time offset, shape and depth of detune. Chorus is similar to 'Unison' on the Master panel, however Unison is a per-voice effect, while the chorus here treats all voices.

  • DEPTH: Amount of relative detune between voices.
  • RATE: LFO relative detune speed between voices.
  • MIX: Mix between the wet and dry signal. Effect level in other words.

Reverb

Reverb, short for reverberation, simulates acoustic spaces. If you clap your hands in a bathroom and in a concert hall, the two sounds will be quite different. In enclosed spaces reflections overlap one another to create a 'reverberant' sound. Toxic Biohazard's reeverb parameters allow you to simulate different types of acoustic spaces. If you want to give your patches a realistic (live) feel, then use of reverb is critical.

  • DECAY: The time it takes the reverberation to fade away.Higher values make the room sound like it has hard shiny surfaces. Lower values more muted and padded.
  • HI-CUT: Changes the cut-off frequency of a low-pass filter. Use this to remove high frequencies from the reverb, or to make the room sound duller.
  • DAMP: Damping, adjusts damping of the high frequencies in the reverb signal. Damping refers to the rate at which the high frequencies decay relative to the low frequencies. This effect causes the sound to become gradually muffled and warmer.The frequencies affected are controlled by the HI-CUT knob.
  • MIX: Mix between the wet and dry signal. Effect level in other words.

Flanger

Flanging is a form of phase cancellation created by combining multiple, variously delayed copies of the input sound.

  • DELAY: Phase offset between voices.
  • FDBK: Feedback, increases the amount of signal fed back into the flanger.
  • RATE: LFO relative detune speed between voices.
  • DEPTH: Amount of relative detune between echoes. Creates a chorus-like effect.
  • INV. MIX: Invert mix, inverts the polarity of the wet signal. Aqua when active.
  • MIX: Mix between the wet and dry signal. Effect level in other words.
  • INVERT FDBK: Inverts the polarity of the feedback signal. Aqua when active.

Phaser

Phasing is closely related to Flanging. Various frequencies in the original signal are delayed by different amounts, causing peaks and troughs in the output signal which are not spaced evenly. Phasing and flanging sound similar, as both come from combining delayed versions of the signal with the original. However, the Phasing effect is significantly more intense, with a greater 'sweeping' effect across the spectrum.

  • FREQ: Phasing frequency.
  • FEEDBACK: Increases the amount of signal fed back into the flanger.
  • RATE: LFO relative detune speed between voices.
  • DEPTH: Control the range (depth) of the phasing effect.
  • INVERT MIX: Inverts the polarity of the wet signal. Aqua when active.
  • MIX: Mix between the wet and dry signal. Effect level in other words.
  • INVERT FDBK: Inverts the polarity of the feedback signal. Aqua when active.

Lo-Fi

The low-fi effect works by lowering the sampling frequency (adding in more aliasing sounds) and reducing bit-depth (adding in quantizing noise). These effects can add a cruncy distorted effect to the sound. Useful for imitating 1980's era samplers and digital synthesizers.

  • BITS: Vary the bit-depth from 2 (harsh) to 9 bits (sizzle).
  • SAMPLES: Adds a different kind of distortion to the bit effect.
  • FILTER: Low-pass filter cutoff frequency. Reduce high frequency noise.


Toxic Biohazard - Acknowledgements

INSTRUMENTS / GENERATORS

Acknowledgements

Plugin Credits:

Manual Credits:

Maxx Claster, Scott Fisher.

Distributed by:

Image Line Software

Kortrijksesteenweg 281

B-9830 Sint-Martens-Latem

Belgium


TS404 Instrument Channel

CHANNEL SETTINGS

TS404 Bassline Synthesizer

The TS404 is a unique bass-line synthesizer that can resemble the sound of many classic synthesizers, such as Roland'sTM TB-303TM, but can also create many distinctive, 'TS404-specific' sounds also. TS404 contains two oscillators, cut/res filter, envelope, LFO and a distortion unit. Note that the TS404 Channel Settings page appears only in channels that hold a TS404 generator.

Sounds: The TS404 does not contain inbuilt presets, so a good way to open it is to drag a preset from the Browser > Channel presets > TS404 folder onto the Channel window.

Settings

The TS404 synthesizer is fairly simple by today's standards, so it is a great instrument with which to learn the basics of 'subtractive' and FM synthesis.

1. Oscillators Section (OSC 1 & OSC 2)

An oscillator is a waveform generator, with specific waveform shape (choose between one of the 5 options). The sound of the oscillators is then filtered to create the characteristic TS404 sound. TS404 has two oscillators (OSC1 & OSC2). The 'custom' option '?' allows you to load a short wave file to used by the oscillator. FL Studio comes with several sample shapes located in the "TS404 Shapes" folder, found in in the Browser. You can also change the custom shape using the sample bank field in the Sampler Channels Settings.

  • Coarse Pitch Tune (CRS) - Sets the pitch of an oscillator in semitones, over a range of two octaves.
  • Fine Pitch Tune (FINE) - Allows you to fine tune the pitch of an oscillator in cents (1/100th of a semitone).
  • Pulse Width (PW) - Truncates the waveform shape, although the period remains the same. The result is a 'thinning' of the sound.
  • Frequency modulation (FM) - Uses OSC2 to modulate the frequency of OSC1 (Frequency Modulation).

2. Oscillators Mixer Section (OSC 1+2)

  • Mix (MIX) - OSC 1 vs OSC 2 are mixed here. Turn the knob left to hear Oscillator 1, or right to hear Oscillator 2.
  • Ring Modulation (RM) - Turn this knob clockwise to add 'ring modulation', a 'resonant' character to the tone.
  • Synchronize (SYNC) - Turn this on to synchronize the phases of the oscillators.

3. Envelope

Applies an envelope to the filter and volume of TS404. The envelope behaves much like a standard ADSR envelope, with some additional properties (sustain hold and gate).

  • Attack (ATT) - Sets the attack time of the envelope.
  • Decay (DEC) - Sets the decay time of the envelope.
  • Sustain Hold (SUS) - Adds a 'pause' to the sustain duration before release.
  • Sustain Level (SL) - Sets the sustain volume level of the envelope.
  • Release (REL) - Sets the release time of the envelope.

4. Filter

Applies cutoff & resonance filter to the TS404 sound. Choose from among several types of cutoff and resonance filters to be applied to the Oscillators. Filter mode buttons are located at the top of the filter panel.

  • Cutoff (CUT) - Sets the cutoff value of the filter. Automating this parameter while a project is playing is a useful effect.
  • Resonance (RES) - Sets the resonance value of the filter. Resonance creates a sharply defined 'tone' to the filter.
  • Envelope Follow (ENV) - Sets the degree to which the envelope of the TS404 is applied to the resonance value.

5. LFO Section

Controls an LFO that can modulate one of the following properties: volume of the oscillators (OSC), resonance (RES), cutoff (CUT) or pulse width of the first oscillator (PW). The buttons for selecting the modulation target are located at the top right corner of the LFO panel. You can also select a shape for the LFO (sine, square and triangle). The buttons are at the top left corner of the LFO panel.

  • Amount (AMT) - Determines the amount of modulation applied to the modulated value.
  • Speed (SPD) - Sets the frequency (i.e. speed) of the LFO.

6. Distortion Section

Choose between two distortion modes (A & B buttons, located above the distortion panel).

  • Amount (AMT) - Sets the amount of distortion.
  • Threshold (THR) - Selects the frequency band to be distorted. The further this knob is turned to the right, the wider the band.


Wasp - Instrument

INSTRUMENTS / GENERATORS

Wasp This feature is available in Fruity Edition, Producer Edition & Signature Bundle.

Wasp is a 3-oscillator synth with 2 LFO's and 2 ADSR envelopes, a ring modulator, FM, PWM and a distortion unit. There is an updated version of the Wasp plugin Wasp XT with more modulation parameters.

Parameters

Filter Section

The Filter section is located on top left.
  • Cutoff (CUT) - Adjusts the Filter cutoff frequency. The keyboard track ("KB TRACK") button makes the cutoff frequency dependent on the actual note played - higher notes mean higher cutoff, lower notes means lower cutoff.
  • Resonance (RES) - Adjusts the Filter resonance.
  • Envelope Amount (ENV) - The amount the filter cutoff frequency is affected by the Filter ADSR.
  • Filter Type - The 6 green buttons select the filter type. LP[fat] = 24 dB Lowpass Filter, LP+NOTCH = 12 dB Lowpass + Notch Cascade, DBL NOTCH = double notch filter, BP = 24 dB Bandpass Filter, HP = 24dB Highpass Filter.

Oscillator section

  • Coarse Tuning (CRS) - The two CRS wheels set the pitch for the first and second oscillators. Coarse tuning is adjustable in the range -3/+3 octaves.
  • Fine Tuning (FINE) - The two CRS wheels set the pitch for the first and second oscillators (fine tuning in -1/+1 semitone).
  • Oscillator Shape - The green buttons set the shape for the first two oscillators. The third oscillator can only use square or sawtooth shape.
  • Mix Slider - The slider between OSC1 and OSC2 adjusts the mix of the oscillators in the final sound. Slide max to left to hear only OSC1, slide max to right to hear only OSC2.
  • Amount (AMT) - Sets the volume of the third oscillator, which is zero (inaudible) by default.
  • Ring Modulator (RING MOD) - If turned on, modulates oscillator 1 and 2. This often leads to a harsh metallic sound, dependent on the shapes and frequencies of the oscillators.
  • Oscillator Voice (DUAL VOICE) - Doubles the oscillator voice, the second voice has a slight detune to fatten the sound.
  • Pulse Width (PW) - This property has effect when at least one of the oscillators is set to the square shape. It shortens 1 of the square shape sides, thus altering the final sound. Turn max to left to use the default square shape.
  • Frequency Modulation (FM) - When turned on, modulates the frequency of oscillator 2 with the output of oscillator 1. To hear the effect, set the mix slider to the right. Classic FM uses sinewaves (the 3rd oscillator shape).

LFO-1

  • LFO Shapes - the green buttons select the LFO shape to be used. This can be sawtooth, square, sine or noise.
  • OSC 1+2 / FILTER / PW - LFO-1 can modulate the pitch of the output (OSC1+2), the filter cutoff frequency (FILTER) or the Pulse Width (PW) depending on the highlighted option.
  • SYNC - Synchronizes the frequency of the LFO to a multiple of the current tempo.
  • RESET - Sets the LFO to the beginning of the LFO waveform (phaze is zero) when a note is triggered.
  • AMT - Sets the effect's strength over the controlled value.
  • SPD - Sets the modulation speed.

LFO-2

  • LFO Shapes - the green buttons select the LFO shape to be used. This can be sawtooth, square, sine or noise.
  • OSC 1 / OSC MIX / AMP - LFO-2 can modulate the pitch of Oscillator 1 (OSC1), the mixing ratio of oscillator 1 & oscillator 2 (OSC MIX) and the volume of the whole output (AMP).
  • SYNC - Synchronizes the frequency of the LFO to a multiple of the current tempo.
  • RESET - Sets the LFO to the beginning of the LFO waveform (phase is zero) when a note is triggered.
  • AMT - Sets the effect's strength over the controlled value.
  • SPD - Sets the modulation speed.

Amplitude ADSR

This is a standard ADSR volume envelope. The link button links the filter and amplitude envelopes for editing convenience.

Filter ADSR

This is a standard ADSR filter envelope.

Distortion Parameters

  • Distortion (DIST) - The green button turns the distortion unit on/off.
  • Drive (DRV) - Adjusts the drive. More drive means heavier distortion.
  • Tone (TONE) - Changes the color of the distortion. Turn to the left for a more bassy sound, or right for a brighter sound.

Plugin Credits: Richard Hoffmann, Didier Dambrin (interface)


Wasp XT - Instrument

INSTRUMENTS / GENERATORS

Wasp XT This feature is available in Fruity Edition, Producer Edition & Signature Bundle.

Wasp XT is a 3-oscillator synth with two LFOs, two ADSR envelopes, a ring modulator, FM, PWM and a distortion unit. Wasp XT is an update of the Wasp plugin.

Parameters

Filter Section

The Filter section is located at the top left of Wasp XT.
  • Keyboard track (KB.TRK) - Scales the cut-off frequency on the note played - higher notes can have a higher cut-off, lower notes can have a lower cut-off.
  • Envelope Amount (ENV) - The relative scaling of the cut-off frequency in response to ADSR.
  • Cut-off (CUTOFF) - Adjusts the Filter cut-off frequency.
  • Resonance (RESO) - Adjusts the Filter resonance.
  • Filter Types -
    • Buttons select the following filter types - LP = 12 dB Lowpass Filter, LP FAT = 24 dB Lowpass Filter, LP+NT = 12 dB Lowpass + Notch Cascade, DBL.NT = double notch filter, BP = 24 dB Bandpass Filter, HP = 24dB Highpass Filter.

Oscillator section

  • Coarse Tuning (COARSE) - The two CRS wheels set the pitch for the first and second oscillators. Coarse tuning is adjustable in the range -3/+3 octaves.
  • Fine Tuning (FINE) - The two CRS wheels set the pitch for the first and second oscillators (fine tuning in -1/+1 semitone).
  • Oscillator Shape - Red buttons set the shape for the first two oscillators. The third oscillator can only use square or sawtooth shape.
  • Mix Slider (OSC MIX) - The slider between OSC1 and OSC2 adjusts the mix of the oscillators in the final sound. Slide max to left to hear only OSC1, slide max to right to hear only OSC2.
  • Amount (AMT) - Sets the volume of the third oscillator, which is zero (inaudible) by default.
  • Ring Modulator (RINGMOD) - If turned on, modulates oscillator 1 and 2. This often leads to a harsh metallic sound, dependent on the shapes and frequencies of the oscillators.
  • Pulse Width (PW) - This property has effect when at least one of the oscillators is set to the square shape. It shortens 1 of the square shape sides, thus altering the final sound. Turn max to left to use the default square shape.
  • Frequency Modulation (FM) - When turned on, modulates the frequency of oscillator 2 with the output of oscillator 1. To hear the effect, set the mix slider to the right. Classic FM uses sine waves (the 3rd oscillator shape).

LFO-1

  • LFO Shapes - the red buttons select the LFO shape to be used. This can be sawtooth, square, sine or noise.
  • OSC 1+2 / FILTER / PW - LFO-1 can modulate the pitch of the output (OSC1+2), the filter cut-off frequency (FILTER) or the Pulse Width (PW) depending on the highlighted option.
  • DELAY - Delays the onset of the LFO.
  • SYNC - Synchronizes the frequency of the LFO to a multiple of the current tempo.
  • RESET - Sets the LFO to the beginning of the LFO waveform (phase is zero) when a note is triggered.
  • AMOUNT - Sets the effect's strength over the controlled value.
  • RATE- Sets the modulation speed.

LFO-2

  • LFO Shapes - the red buttons select the LFO shape to be used. This can be sawtooth, square, sine or noise.
  • OSC 1 / OSC MIX / AMP - LFO-2 can modulate the pitch of Oscillator 1 (OSC1), the mixing ratio of oscillator 1 & oscillator 2 (OSC MIX) and the volume of the whole output (AMP).
  • DELAY - Delays the onset of the LFO.
  • SYNC - Synchronizes the frequency of the LFO to a multiple of the current tempo.
  • RESET - Sets the LFO to the beginning of the LFO waveform (phase is zero) when a note is triggered.
  • AMOUNT - Sets the effect's strength over the controlled value.
  • RATE - Sets the modulation speed.

Amplitude ADSR

This is a standard ADSR volume envelope. The link button links the filter and amplitude envelopes for editing convenience.

Filter ADSR

This is a standard ADSR filter envelope.

MOD ENV

  • Attack (ATK) - The rate at which the modulation takes effect.
  • Decay (DEC) - The rate at which the modulation releases.
  • Amount (AMT) - Amount of modulation of the above two controls.
  • Modulation destination switches -
    • PW - Pulse width.
    • LFO 1 AMT - LFO 1 modulation amount.
    • OSC 1 LEVEL - OSC 1 Volume.
    • OSC 2 PITCH - Tuning of OSC 2.

Velocity

This section changes the keyboard velocity modulation of the Amplitude and Filter envelopes.

  • AMP - Velocity to Amplitude Envelope modulation amount.
  • FILTER - Velocity to Filter Envelope modulation amount.

Output

  • TONE - Changes the color of the distortion. Turned to the left, the sound gets muddy, turned to the right, more bright.
  • Amount (AMT) - Adjusts the drive. More drive means heavier distortion.
  • Volume (VOL) - Adjusts the final output volume of the Wasp XT plugin.
  • Drive - The red button turns the distortion unit on/off.
  • Dual - Doubles the oscillator voices with a slight detune to fatten the sound.
  • Analog - Adds a small amount of randomness (oscillator tuning, for example), for a less predictable, more 'analog' sound. Oscillators are not synchronized in this mode.
  • W.Noise - Changes the 'noise' used in XT oscillators from a set noise wavetable to true random white noise.

Plugin Credits: Richard Hoffmann


Wave Traveller - Sample Player

INSTRUMENTS / GENERATORS

Wave Traveller

Wave Traveller is an accurate vinyl scratch simulator and sample-playback manipulator.

Instead of trying to recreate the effect by operating in realtime on a virtual turntable, such as the Scratcher plugin, here you can assign a scratch "phrase" to each note by drawing and fine tuning special "path" splines the generator follows to recreate the effect. Another closely related plugin is the Gross Beat audio-stream effect.

You have a complete freedom on the spline forms, wave range and speed.

1. Preview Panel

2. Patch Selector

3. Keyboard View Scroll

4. Path Definition Panel

5. Mutes Definition Area

NOTE: The Piano Keyboard contains a right-click menu.

How to Use

Select a Sample to Scratch

Click the Browse Sample button at the top left side of the window and select a sample to use.

Select a Patch to Edit

Each note contains a separate patch, with its own settings and scratch phrase. To select a patch to display and edit, please click on the Patch Selector (2) or click the corresponding key on the preview keyboard. If the key is not visible, use the Keyboard View Scroll buttons (3) to display different octaves on the keyboard.

Define a Phrase for the Patch

The phrase depends on the active region you select to use for the scratch, the speed and the path spline. You can also define a custom attack (fade in) and release (fade out after key release) for each patch.

The region is defined by the Start and End button you can find at the bottom left and bottom right side of the Preview Panel (1). You can see in the preview panel the section which is going to be used for the phrase.

The Speed wheel and the T-A switch define the speed of the phrase (which also affects its pitch, like with a real vinyl). Read more about these settings in the Parameters section below.

The path spline is defined in the Path Definition Panel (5). This is basically a spline which defines the way the generator "travels" back and forth on the sample as time progresses, i.e. horizontal dimension represents time, while vertical dimension represents the wave position (only in the region defines by the Start and End buttons). You can see the used section of the wave displayed vertically on the right side of the panel (as you can see in the screenshot above). The path spline itself it a set of basic spline section connected to each other. For more information on how to work with this panel, see the Parameters section below.

NOTE: You can also define a spline to alter the volume over time in the same panel or mute certain sections of the phrase, see Parameters below for more information.

Play a Patch

To play a patch simply use the Piano roll or Step Sequencer to trigger the note the patch is assigned to.

Parameters

Preview Panel

The preview panel displays a preview of the full wave, the range defined by the Start and End buttons and the path spline inside that region.

Settings Panel

  • Start - This wheel is positioned at the top left side of the Settings Panel and defines the start point of the region used in the current patch.
  • End - This wheel is positioned at the top right side of the Settings Panel and defines the end point of the region used in the current patch.
  • Patch Selector (2) - Click on the patch selector to see a list of patches available to the generator (each note holds a single patch). Select a patch to edit and you will see its properties displayed in the window.
  • Speed (SPD) - The speed wheel defines the scratch phrase speed and support two modes (which you select with the T-A switch, see below). In Tempo Based mode, the speed wheel defines a number of steps as the length of the phrase (fractions are also allowed), while in Absolute mode you set the speed as a percent of the original wave speed (i.e. 100% speed with a straight path spline plays the wave at normal speed).
  • T-A Switch - This switch defines whether the phrase speed is defined as tempo based value (steps) or absolute value (as a percent of the original wave speed).
  • Attack (ATT) - This wheel allows you to define an attack time (fade in) for the current patch.
  • Release (REL) - This wheel allows you to define a release time (fade out after key release / note end) for the current patch.
  • Keyboard View Scroll Keys (3) - These keys allow you to scroll the preview keyboard left or right with an octave so you can access the whole piano range available to the FL Studio generators.

Preview Keyboard

The Preview Keyboard allows you to preview and select patch for editing (simply click a key to select/preview).

If the key is not visible, use the Keyboard View Scroll Keys (3) to scroll the view to access it.

  • Right-click the preview keyboard to show a menu of options, note you must left-click the particular key/preset you want to act on -

    • Copy/Paste - Copy/Paste the selected preset.
    • Normalize 100%/Normalize 50% - Adjusts the wave-path to 100% and 50% of the sample duration respectively.
    • Presets - Opens a pop-up menu of Wave Traveller presets (most self explanatory).
    • Save Preset - Save the currently select preset.

Path Definition Panel

The Path Definition panel allows you define the actual phrase"path" inside the wave region selected by the Start and End buttons. You can also adjust the volume envelope and mute certain section in the phrase.

Working with the Spline Editor

The spline is a set of points connected by simpler spline types (sine, line , etc.), where the segment types, points number and positions are user defined.

  • To add a new point, left-click in the panel area.
  • To delete a point, right-click it and from the menu select Delete.
  • To change a segment type, right-click the point on its right side and select a spline type to be used: Half Cosine, Linear, Bezier, Tension, Quarter Since, Quarter Cosine.

Spline Segment Types

The following spline types are available:

Spline Name | Spline Preview | Description
Half Cosine | This spline represent 1/2 of the phase of the cosine function.
Line | Connects the two points with a straight line.
Bezier

This is a classic bezier spline with two handles which can be used to adjust the spline's start and end slope.

This spline type provides an additional setting - Locked (right-click a point for bezier segment and check or uncheck Locked). When Locked is on, the two handles that appear on the left and right side of two bezier segments are locked in a straight line, ensuring a smooth transition between the segments.
Tension | This is a special 'tension'-based spline segment the shape of which depends on the position of a special handle (the circle in the middle of the spline).
Quarter Sine | This spline represent the first 1/4 of the phase of the sine function.
Quarter Cosine | This spline represent the first 1/4 of the phase of the cosine function.

Setting the Volume Envelope

Each patch in fact contains two paths - "travel" path, displayed by default, and a volume envelope path you can see and edit by using the WAVE/VOL switch at the bottom right of the panel. The volume envelope can be defined using the same spline segments, where the bottom most position means volume 0% and the topmost - 100%.

Mute Regions in the Patch

You can select specific regions to be muted inside the current patch. Left-click and drag in the Mutes Definition Area (5). The black region created as a result is muted. To unmute a region, right-click and drag instead.

Notes & Tips

  • The motion of a moving hand (as with a real scratching) is best approximated by the Half Cosine spline.
  • The Bezier spline can create a curve that goes outside of the range of the two points that define it (horizontally). Since time always progresses linearly for the phrases, such sections of the spline are ignored.

Plugin Credits: Robert Conde


The Mixer

MIXING & EFFECTS

The Mixer Window

Follow the links below to learn more about the FL Studio Mixer:

  • Mixer Functions - How the mixer works.

  • Plugin Effects - Loading external VST and FX effects into mixer tracks.

  • Mixer Track Properties - Per-track inbuilt filters and effects.

  • Audio Input/Output Routing - Routing audio and side-chain signals around the mixer.

  • Audio Recording - How to record audio through the mixer (internal and external sources).

  • Levels, Mixing and Clipping - How to set the output levels to avoid distortion.

  • Mixer menu - Mixer menu functions.

  • Mixer Video tutorial


Mixer Explained

MIXING & EFFECTS

Mixer Functions

This section explains the various features of the Mixer, [image] Mixer video tutorial here.

The Mixer contains 99 Insert tracks (3), 4 Send tracks (4), 1 Selected track (4) and a Master track (10). Any number of insert Mixer tracks can be displayed depending on the Mixer state (left click on the edge of the Mixer and stretch). To access tracks use the Track Scroll Bar (2).

Select a track by clicking the pan or fader controls, scrolling with the mouse-wheel or left-clicking on the track label area. Once selected, the track will appear highlighted and it will have additional functions available in the Mixer Track Properties panel (9), input/output options (6, 7) and FX slots (8). Track 1 is highlighted in the picture below. For a detailed description of recording sounds from/in the Mixer see the Audio Recording page.

  1. Mixer menu - Contains view, recording, Track linking, renaming and coloring options, click here to learn more about the options.
  2. Mixer Track Scroll Bar - This will slide the visible range tracks within the Mixer window.
  3. Mixer Insert Tracks - The audio output from all Instruments loaded in the Channel window is routed to one of the 99 'insert tracks' (3). The Channel settings window, FX channel send control determines the Mixer Track each instrument's audio is routed to. If nothing is set [--], the default destination will be the Master Mixer track (10). The audio then passes though any Effects loaded into the Effects Slots (8), then through the integrated effects (3 band parametric EQ, phase, stereo separation, volume and panning - 9). Finally the audio is then sent to the master Mixer track (10). It is also possible to route the audio of a Mixer track to any ASIO output (7 - for users with ASIO enabled sound cards) or even another insert track (18). Internal re-routing is a very powerful feature allowing you to create advanced Mixer setups with groups and subgroups of insert tracks.

    The Track labels can be right-clicked (or press F2) to rename the track or recolor it. Quick linking of channel/s: From the Channel window use the Channel selector to select the channel/s you want to route to the Mixer track, then select the desired destination Mixer track and click Ctrl+L. There is also an option to sequentially link Channels to tracks starting from the selected track. Shift+Ctrl+L.

  4. Send Tracks & Selected Track - Send: There are 4 Mixer tracks dedicated to send functions, although any track can serve as a send, (18). The send tracks can't be directly linked to instrument channels, but they can receive audio from other Mixer tracks (1 to 99). Adjust the amount of signal sent by each Send track with the Send Level knobs (15). The purpose of send tracks is the ability to setup common effects (for ex. reverb and delay) once in a send track and then being able to route multiple insert tracks audio to it, as opposed to adding the same effect in each insert track, wasting CPU power. Selected: This is a special track that automatically receives the currently selected Mixer track. Use this to host an instance of Edison for easy recording of any track OR the Wave Candy visualization tools.

  5. Big Peak Meter - Can be hidden using the Mixer menu (1) > View > Options. Output is in dB. See Levels and Mixing to learn more about using peak meters in FL Studio.
  6. External Mixer input - There is an IN menu for each Mixer track. ASIO hardware inputs and some VSTi inputs can be selected here. For example, the IN menu is used to select external audio from Soundcard inputs for audio recording in FL Studio. Right-click to Automap soundcard inputs to mixer tracks, starting from the selected track.
  7. External Mixer output - There is an OUT menu for each Mixer track. The Master mixer track must have an output selected or you will not hear any audio from FL Studio. For other Mixer tracks ASIO hardware outputs can be selected here. Typical uses include live-use where one channel is sent to headphones for monitoring previewed samples/mixes while the main mix goes to the PA OR to create a surround sound sub-mix by sending several Mixer tracks to the relevant surround channels of your soundcard.
  8. Effects slots - Up to 8 independent Effects may be added to each Mixer track. To load an Effect: Left-click on pop-up menu arrow at the left end of the slot and use the 'select' option. If you need more than 8 Effects, use the 'Send' feature (18) to route the output of one Mixer track to another. To open an Effect user interface : Left-click on the name of a loaded Effect, a loaded Effect is displayed in Effect slot 7 above. To re-order effects in the stack: place your mouse cursor over the effect to be moved and scroll the mouse-wheel up/down (the Mixer window must be selected for this to work, click anywhere on the Mixer to select it).
  9. Mixer Track Properties - For more detail click here. Parametric EQ, Stereo Separation [image], Pan [image], Swap Stereo Channels [image], Invert Phase [image]. All these features can be automated. Panel (A) is the graph for the Parametric EQ, left-click to control center frequency (left-right)/amplitude(up/down) or right-click to control bandwidth (left-right)/amplitude(up/down). Panel (B) can be left or right clicked to gain simultaneous X/Y control over Pan and Volume. Panel (C) holds the controls for Plugin Delay Compensation.
  10. Master Mixer Track - All audio output of FL Studio is routed through the master Mixer track for final processing before the final output (unless an insert track is routed out of the Mixer to an ASIO output - 7). In light of this, the Master track isn't a good place to record external ASIO inputs (6) as the external and internal audio will be mixed together and recorded to disk.
  11. Small Peak Meter - See Levels and Mixing to learn more about using peak meters in FL Studio.
  12. Mute Switch - left-click to mute/un-mute the individual track, right-click to solo/un-solo the individual track.
  13. Pan Knob - this function is also duplicated in the Mixer Track Properties area.
  14. Level Fader - Can be automated right-clicked and linked to controllers. This function is also duplicated in the Mixer Track Properties area.
  15. Send Knobs - When the 'Send' switch is activated (18) this knob (on the destination track) controls the signal level received from the source track.
  16. Effects Enable/Disable Switch - Left-click When deselected, the Effects switch disables all the Effects in the associated Mixer track (8). At least one effect must be added to the Effects rack for the switch to be active. Right-clicking the Effects switch will open/close the interfaces for all effects loaded in the associated Mixer track.
  17. Track Recording Switch - When selected (orange) the track is armed and any audio (internal or external (6)) will be recorded to disk.
  18. Track Send / Sidechain Enable Switch - Left-click to enable audio to be passed from one track to another, turns orange. Right-click to route OR sidechain to a specific track, master routing disabled.

    Sidechaining works in conjunction with plugins that accept a sidechain feed (e.g. Fruity Limiter's compressor function or the Stereo Shaper). The direction of the sidechain signal will depend on the plugin, for example the Fruity Limiter receives a sidechain FROM another Mixer track while the Stereo Shaper sends a sidechain TO a Mixer track. Available Sidechain tracks are labeled by their track name when a plugins sidechain selector is right-clicked. Remember if the sidechain direction is incorrect for the plugin type then the sidechain option won't show when the plugins sidechain selector is right-clicked. Sidechain notes:

    a) Send vs Sidechain - A 'Sidechain' differs from a normal 'Routing' in that the send volume is set to zero (0). You can convert any 'send' track to a 'sidechain' track by turning the send volume to zero.

    b) Multiple side-chains - Multiple sidechain tracks can be sent TO or FROM any Mixer track. See the section on Sidechaining below.

NOTE: Most controls on the Mixer are automatable (right-click and select 'Create automation clip' or 'Edit events').

Mixer Track Sidechaining

sidechains explained

There are two independent audio paths initiated when one Mixer track is linked to another using the Track Send / Sidechain Enable Switch (18).

  • A regular send path that responds to the send volume knob (15) and is audible on the destination Mixer track (when the send volume is set above 0).
  • A sidechain path that is unaffected by the send volume knob (15) and is NOT audible on the destination Mixer track UNLESS it is picked up by a plugin with (sidechain) audio input capabilities loaded on the destination Mixer track.

In this way it is possible to have simultaneous send and sidechain signals from one track to another. The 'Sidechain to this track' option on right-clicking a Track Send / Sidechain Enable Switch (18), is simply a macro that creates a send link and automatically sets the send volume to 0. Alternatively you can change any 'send' into a 'sidechain' (only) link by manually setting the volume to 0. Remember the sidechain source Mixer track will remain routed to the Master mixer track, so deselect its send/sidechain to master switch (18) if you don't want the sidechain source Mixer track to be audible.

In the example left, the selected Source Mixer track, is sending audio to three mixer tracks, the Master (sidechain & send), the Sidechain track (sidechain only) and Side + Send (sidechain & send) as determined by the position of the Send volume knobs (15) and Track Send switches (18).


Effects Slots

MIXING & EFFECTS

Effect slots 1 to 8

This section covers the Mixer effect slot functions and interface. Each mixer track can have up to 8 independent effect plugins hosted in slots 1 to 8 (8 as shown in the diagram at the bottom of this page).

  • For a list of FL Studio effects plugins, see Effects Plugins page.
  • For a list of supported plugin standards, see Supported Effects Standards.

A. Effect Pop-up Menu

B. Effect Name (Label) - Left-click to open plugin, Right-click to rename slot.

C. Effect Disable

D. Effect Mix Level

Using Effects

Audio enters at the top of the Effects stack and passes through slots in order from 1 to 8, leaving at the bottom (the only exception to this is if a Fruity Send plugin is loaded into one of the slots, then a copy of the audio can leave the mixer effects stack from that point). After the effects stack, the audio passes to the inbuilt Mixer Track Properties section where further sculpting and manipulation of the sound is possible.

  • Loading effects - To load an effect plugin in banks 1 to 8, choose a free slot and open the effect popup menu (A) on that slot. In the Select sub-menu, click on the plugin you want to insert, or click More to see a full list of effects available in FL Studio (for more information see the menu description below). NOTE: Once an effect is loaded on any slot in a mixer track the FX icon (16) will light orange on that track to let you know effects are loaded (clicking on the FX icon will disable all effects in the track).
  • Delete an effect - Open the effect popup menu (A) on the slot of the target effect and select "None" in the Select submenu.

    Edit effect parameters - The effect interface can be opened by clicking on the effect name label (B), to close the effect interface click on the label again.

  • Bypass an effect - Use the disable switch (C) to disable an effect (this switch is automatable). Note that the audio will still pass through the mixer track and any other active effects in the stack. The FX icon (16) will light orange on any mixer track with effects. Click on the FX icon (16) to disable all effects in the mixer track.
  • Effect mix - Adjust the wet/dry mix of each effect using the Effect Mix Level knob (D). Fully left = 0% effect, fully right = 100% effect mix. NOTE: Effects usually have their own internal wet/dry mix so adjusting the Effect Mix level to 100% does not guarantee a 100% wet signal.

  • Reorder / move effects - Place the mouse cursor over the effect to be moved and scroll the mouse-wheel, the effect will move up/down depending on the direction of rotation. Don't move the mouse while performing this action as the effect will be released. Alternatively: Select the Effect Pop-up Menu (A) and use the Move Up/Down commands. Simply open the menu and press the 'u' or 'd' keys on your keyboard. NOTE: The order of effects can have a dramatic impact on the sound so think carefully about the order in which effects are applied.

  • Copy an effect - Including its current settings, to another Mixer track, select the pop-up menu associated with the effect to be copied (A) and then click + drag the 'Save preset as...' menu item to the destination Mixer track.

Effect Pop-up Menu (A):

  • Select - Contains a list of all effects selected as favorites. Selecting an effect from this menu will assign it to the corresponding plugin slot. Click More... to open the Select plugin window, which contains a list of all effects available to FL Studio. Double-click a plugin name to assign it to the effect slot. Click the check box preceding each plugin to mark it as a favorite (all effects preceded by a check mark will appear in the favorites list). NOTE: To see newly installed plugins, click Refresh in the bottom of the Select plugin window and select Fast Scan (it is recommended that you use Fast Scan instead of Scan & Verify, because the latter may crash FL Studio with some badly programmed plugins).

Presets

  • Presets - Contains a sub-menu with preset handling options for the effect:
    • Randomize gives random values to the published (i.e. known to FL Studio) effect settings. When enabled, selecting a preset will load a random 50% of the settings, so you can quickly mix different presets and create new effects.
    • Hybridize blends between the previous and next selected settings.
    • Tree Display displays the settings in a 'tree' view. The Presets menu is disabled if there is no effect assigned to the plugin slot.
  • Browse presets - Opens the presets menu in the Browser (the Browser may not have any presets for the plugin, however).
  • Save Preset as - Allows you to save custom presets for the plugin assigned to the plugin slot. Presets are saved as FST files. It is recommended that you save preset files in the default location FL Studio chooses, so they can be properly detected and added to the Presets menu. NOTE: You can also click on and drag this menu item to a compatible location in FL Studio to copy the effect or save parameters. For example, to copy an effect, including its current settings, to another mixer track.
  • Add plugin to database - Adds the plugin to the Browser Plugin database folder that organizes the Plugin picker ( [image] Ctrl+F8) items.

Spare state

These options are useful for saving plugin settings, making edits, then comparing the original vs edited versions.

  • Store in spare state - Saves the plugins current settings in a temporary buffer (spare state).
  • Flip with spare state - Swaps the plugins current settings with those in the spare state.

Parameters

  • Last tweaked parameter - This command has moved to Menu Tools > Last tweaked parameters.
  • Link all parameters... - Opens a dialog designed to link automatable parameters to 'tweaked' hardware controllers and then automatically move to the next parameter in the 'parameter list', ready for the next link. There are several options available for skipping parameters or jumping to new locations in the list include. Basic operation - Select 'Link all parameters' from the menu, and move the first hardware controller to be linked (the link is made to the first item in the 'Current parameter' list). When you move the second hardware controller it will be auto-linked to the next parameter and so on, until the end of the parameter list is reached or the link dialog is closed. To skip a link, left-click the Skip button at the bottom of the link dialog (immediately left of the 'Accept' button). To jump directly to a parameter, use the Current parameter menu (top most in the link dialog) and select the target parameter you are interested in. You can then continue auto-linking from that point in the list by moving hardware controllers as before OR jump to another parameter in the list using the 'Current parameter' menu as previously described.
  • Browse parameters - Allows you to see the list of automatable parameters in the browser. Embedded CC Parameters: Every instance of the Wrapper has 128 CC (MIDI Control Change) parameters in a parameter list. These parameters transmit CC data directly to the plugin (for plugins that read CC data directly) and can be linked like any other parameter to a MIDI or internal controller. Thus, you can send CC data directly to the plugin instead of linking to a specific knob on the plugin interface. These parameters can also be set in conjunction with the Omni mode associated with the Remote control settings 'link' dialog to send CC data to any selected plugin and to save MIDI controller assignments (see the Omni and VSTi/DXi Control section for more details).

CPU

  • Allow threaded processing - Improves multithreading and multi-core CPU performance. NOTE: Some 3rd party plugins may perform worse with multithreading on. If you are experiencing choppy or broken sound, try turning this off.
  • Smart disable - Stop processing the plugin when inactive. Reduces CPU load. There is a global Smart disable on the F10 Audio settings panel OR 'Smart disable' Tools > Macros > Misc > Switch smart disable for all plugins.

  • Move Up - Moves the effect one slot up. Alternatively: Place your mouse cursor over the effect slot name and roll your mouse-wheel upward.
  • Move Down - Moves the effect one slot down. Alternatively: Place your mouse cursor over the effect slot name and roll your mouse-wheel downward.

  • View editor - Opens the plugin interface. Alternatively: Click on the name shown in the Plugin slot.
  • Rename - Rename the plugin slot.

NOTE: you can also access this popup menu from the effect's own options:

Mixer reference diagram

Full descriptions are available on the main Mixer page.

  1. Mixer menu
  2. Mixer Track Scroll Bar
  3. Mixer Insert Tracks
  4. Send Tracks & Selected Track
  5. Big Peak Meter
  6. External mixer input
  7. External mixer output
  8. FX slots
  9. Mixer Track Properties
  10. Master Mixer Track
  11. Small Peak Meter
  12. Mute Switch
  13. Pan Knob
  14. Level Fader
  15. Send Knobs
  16. FX Enable/Disable Switch
  17. Track Recording Switch
  18. Track Send / Sidechain Enable Switch

NOTE: Most controls are automatable (right-click and select 'Create automation clip').


Mixer Track Effects

MIXING & EFFECTS

Mixer Track Properties

This section covers the Mixer track properties panel (9). The mixer track properties panel integrates some common mastering filters, phase, panning, stereo width and PDC (Plugin Delay Compensation) controls.

Integrated Effects

  • Parametric EQ - The equalizer is very similar to the standalone Parametric EQ plugin which comes with FL Studio. However, the band types in this version are predefined and can not be changed: Band 1 - Low Shelf; Band 2 - Peaking; 3 - High Shelf.
  • Panel (A) is the graph for the Parametric EQ, left-click to control center frequency (left-right)/amplitude(up/down) or right-click to control bandwidth (left-right)/amplitude(up/down).
  • Stereo separation ( [image])- The stereo separation filter allows you to enhance or reduce differences in the audio between the left and right channels of a track. In the default position (middle), the stereo separation filter is disabled. Turn the knob right to decrease the stereo separation (sum L+R to mono), turn left to increase stereo separation. This control has no stereo effect on mono sounds as it works by taking the difference between the L and R channels, if there is no difference then there is nothing to enhance.
  • Pan( [image]) - The pan function in the mixer works by progressively mixing one stereo channel into another. This results in the complete stereo Mix appearing in the L or R channel at 100% L or R pan.
  • Panel (B) can be left or right clicked to gain simultaneous X/Y control over Pan and Volume.
  • Swap stereo channels ( [image]) - This flips the stereo image so that the Left channel becomes Right and vice verse.
  • Invert phase( [image]) - Changes the phase of the incoming signal 180 degrees. Useful for dealing with phase cancellation problems in a mix.
  • Level fader - This duplicates the fader in the active mixer send track.
  • Panel (C) Relates to Plugin Delay Compensation (PDC) and is discussed below.

NOTE: The integrated effects are the last processing/FX stage prior to audio leaving the mixer track and so follow any plugin FX loaded into slots 1 to 8.

Plugin Delay Compensation - PDC

PDC is required when Effects plugins introduce processing delays between their input and output sound OR Instrument plugins are slow to respond to note input.

  • Delay Pre/Post
    • - Left-click this switch to change between pre delay (used for instruments/generators) and post delay (used for effects). The Pre setting delays the audio prior to entering a mixer track, Post delays the audio leaving a mixer track.
  • Delay entry menu (showing 'none' in the example at C, above) - This is the delay control menu, there are several units in which delays may be entered, left-click to select from:
    • Reset - Resets the PDC to 'none', the default 'no delay' condition.
    • Set in ms (milliseconds) - Set the PDC in ms, a value entry box will appear after selecting this setting.
    • Set in samples - Set the PDC in samples, a value entry box will appear after selecting this setting.
    • Set in beats - Set the PDC in beats, a value entry box will appear after selecting this setting.
    • Set from - This will list mixer tracks that have latency caused by plugins. Select a track to automatically adapt the current PDC value to the selected track without the need to manually enter values.

The Delay Panel (C), available on all mixer tracks, allows you to configure the mixer to use plugins that can't process audio in real-time, including compressors with 'look ahead' functions and 'Convolution Reverbs'. Without PDC, affected plugins will sound out of time with the main audio. The PDC control settings allow you to compensate for the unwanted delay so that the non-affected mixer tracks are synchronized with the delayed track. The setup is completed manually, a tutorial is provided in the next section.

NOTE: When using PDC, FL Studio will no longer respond 'instantly' as the audio output is delayed to sync with the slow plugin.

Guide to using PDC - Effects

If a mixer track contains an FX plugin that introduces a unwanted delay (delay-affected) then the audio from this track will be out of sync with the other mixer tracks. The PDC technique used in FL Studio is to delay all 'normal' tracks by the same amount as the delay-affected track, bringing the two audio streams back in sync. To facilitate PDC, a highly accurate compensating delay is available through the mixer track Delay Panel (C).

PDC overview - place the delay affected plugin on a mixer track and route any instruments through it that require the effect. Next, set up a NEW mixer track with the same delay as caused by the delay affected plugin (using the Delay Panel, C) and route all other mixer tracks exclusively through this track. That is, disable their individual sends to the Master. Right-clicking the 'track send' switches (18) will provide the 'exclusive' send option.

Step-by-step instructions to using PDC -

  1. Load the delay-affected (slow) plugin - Insert delay-affected plugin into any FX slot of any Insert mixer track or Send track. Link the channels you would like to effect with the plugin to this mixer track.
  2. Determine the delay compensation - If you are not using the 'Set from' option you will need to manually record the plugin delay compensation (PDC). This is shown in the hint bar when you hover over a plugin FX slot that contains a plugin causing (and reporting) a delay, as shown below. Take note of this value and the units (usually samples).

  3. Compensating track - Use the 'Set from' PDC 'Delay entry' menu item OR enter the PDC delay value obtained above in the 'Delay entry menu' (C) on a second mixer track that DOES NOT contain the delay affected plugin. It makes sense to re-name this track 'PDC' and change the color to something bright so you can easily locate it later.
  4. Route all normal tracks to the compensating track, disabling their individual Master sends - All audio (other than that running through the track containing the plugin causing a delay) must be routed through the compensating track. You must DISABLE THE MASTER SEND of each mixer track routed to the compensating track so that the only path for audio from these tracks to the Master is through the compensating track.
  5. Testing - The two audio streams should now be in sync. However, the PDC setting in the hint window is reported by the plugin, so if this is not available you may need to tune the delay setting by ear, if so compare the PDC and non PDC paths using a percussive sound such as a 'hat' sample. Set the step-sequencer to pattern mode and trigger the delay-affected and a normal instruments with equivalent steps. Make sure there are no FX on the compensating channel while you test.

    NOTE: If you intend to use a delay-affected plugin on the Master mixer track (and you are not sending audio out of FL Studio via an individual mixer track output), then you do not need to compensate as all audio passes through the Master track and so all audio is equally delayed by the offending plugin.

Guide to using PDC - Instruments

Some instruments give a delayed response to note input commands. It is possible to use the Pre delay setting on the Delay Panel (C) to re-sync delayed and normal instrument audio, before either enter the mixer. Pre delaying simplifies the internal routing and set-up requirements. The principle here is to add a pre-delay to each mixer track receiving normal instruments while the track receiving a delayed instrument is not adjusted.

Step-by-step instructions to using instrumenst/generator PDC -

  1. Link the delay-affected (slow) plugin to the mixer - Select a mixer track and route the delay-affected instrument to this track. This will be the only track that does not receive a delay compensation.
  2. Link normal instruments/generators - All normal generators/instruments may be linked to any other mixer track/s as usual. All tracks used by unaffected instruments/generators must receive a Pre-delay compensation set in the Delay Panel (C).
  3. Determine the delay compensation - The delay caused by the affected instrument/generator will either be noted in the documentation that comes with the plugin OR if this is not available you will need to tune the delay setting by ear. If so compare a normal and delay-affected plugin using a percussive sound with a sharp attack and quick release. Make sure there are no FX on the mixer tracks you are testing. Set the step-sequencer to pattern mode and trigger the delay-affected and a normal instruments with equivalent steps.
  4. Delay setting - Select Pre delay and enter the PDC delay value obtained above into the 'Delay entry menu' (C) of each track receiving a normal instrument.


Mixer Audio Routing

MIXING & EFFECTS

Audio Input/Output Routing

This section covers internal Mixer audio routing functions. Internal audio sources (instruments loaded in the Channel Window) are sent to the Mixer insert track set by Channel settings FX selector, as shown below:

Some points about internal and external audio routing:

  • Routing from Channels to Mixer tracks - An efficient way to route one or more Channels to Mixer tracks is as follows:
      • 1. Right-click the Channel Selector LED's for each Instrument Channel to be routed to the Mixer (right-clicking allows multiple selections).
      • 2. Right-click the target Mixer track and select 'Link selected channels > to this track' from the pop-up menu. OR use 'Link selected channels > starting from this track' to assign multiple Channels to multiple Mixer tracks.
  • Internal routing - The Mixer 'send switches' (18) allow audio to be re-routed internally between mixer tracks. A single track can be re-routed as many other mixer tracks as required. The send-level knob above each switch appears after a send is activated on the destination mixer track (click on a grey switch [ [image]] to activate a send and to adjust the send level, if desired). By default, all mixer Insert tracks (1 to 99) are routed to the Master mixer track and the four Send tracks (with send volume set to 0, so no audio is passed).
  • External routing - Audio sent to and received from your soundcards input and output jacks is set by the Input / Output selectors (6 & 7). NOTE: that each mixer track has its own input and output options. For example, if you have an audio interface with 16 microphone inputs, then you have the option of setting 16 unique mixer channels to receive each of these soundcard inputs. It is even possible to set two or more mixer tracks to receive the same input or send to the same output. When '(none)' is shown, this means no external soundcard input or output is selected for the selected track. By default, the Master mixer track 'Output' is the routed to the soundcards main outputs (usually the main/front Left/Right channels). However, by routing another mixer track (other than the master) to other soundcards outputs (e.g. the rear channels of 5.1 surround-sound card), you can create a separate sub-mix for band headphone monitoring or studio monitoring.
  • Parallel internal / external routing - It is worth noting that the Mixer track Input / Output (6 & 7) can function in parallel with the internal routing functions so that any track can receive external and internal audio sources simultaneously OR output to the Master mixer track and any other available soundcard output. Mixer routing is described in more detail below:

How to Route Audio

  • Mixer tracks - can take an input audio signal from one or more internal Instrument Channels by setting the Mixer Track Selector to a given track OR one external source (6). After processing the input they can pass the audio to another location, usually the Master track (1) but it can be another mixer track (18) or directly to a soundcard output (7).

  • To send audio from one insert track to another - Select the source track you wish to send FROM and then left-click the send control switch [ [image]](18) on the destination track you want to send TO. A send-level knob will appear on the destination track that can be used to change the level of signal passed to the destination. By default the SOURCE track will maintain routing to the Master track - If you don't want to create a parallel path to the Master mixer track, select the source track and disable the send switch on the master by left-clicking it.

  • External Inputs - Most ASIO drivers provide inputs (6) for microphone, line-in, etc. You can route these inputs to any or all mixer tracks. Note that the ASIO inputs will not replace but mix together with any input audio the track receives from other sources (instruments, other tracks, etc).

  • External Outputs - Most ASIO drivers provide outputs (7). You can route any mixer track to any ASIO output.
  • Surround sound 5.1 - You can set a group of mixer tracks to output (7) to the individual channels of a 5.1 surround system for surround-sound mixing. A Surround sound template is available in the File menu > New from template > Utility > Surround panner. After opening this template, select soundcard outputs using the Output menu (7) to match the pre-named Mixer tracks.
  • FL Studio as VST - Additional outputs also appear when using the FL Studio multi output VSTi connection.

Limitations of routing:

1. If you are using a DirectSound audio driver only one track at a time can output to the primary output (usually this is the Master Track). This limitation does not apply if you use and ASIO driver, then any mixer track may be routed to any available output (7).

2. FL Studio will disable certain routing choices if this would create a circular dependency (for example trying to route a track to itself).

3. Send tracks (4) can not be routed to insert tracks (3).

4. Use the Send Levels (15) knobs to adjust the amount of signal sent from an insert track to the send tracks.

5. The specially named 'Selected' track (4) can only receive audio from the currently selected track. Its main purpose is to hold an Edison plugin, ready to record any selected tracks audio OR visualization plugins, such as WaveCandy.

Prepare for Recording

The disk icon (17) prepares a track for audio recording (to a *.wav file). The input selected at (6) and/or any internal audio routed to that track will be recorded.

Mixer reference diagram

Full descriptions are available on the main Mixer page.

  1. Mixer menu
  2. Mixer Track Scroll Bar
  3. Mixer Insert Tracks
  4. Send Tracks & Selected Track
  5. Big Peak Meter
  6. External mixer input
  7. External mixer output
  8. FX slots
  9. Mixer Track Properties
  10. Master Mixer Track
  11. Small Peak Meter
  12. Mute Switch
  13. Pan Knob
  14. Level Fader
  15. Send Knobs
  16. FX Enable/Disable Switch
  17. Track Recording Switch
  18. Track Send / Sidechain Enable Switch

NOTE: Most controls are automatable (right-click and select 'Create automation clip').


Audio Recording

RECORDING

Recording External and Internal Audio This feature is available only in Producer Edition

This section covers everything you need to know about recording external audio sources connected to your soundcard input/s and internal audio generated by instruments.

Pre-requisites for recording external audio

Before you can record external audio sources all the following conditions must be met:

  1. Using FL Studio Producer Edition.
  2. An ASIO soundcard driver selected for your soundcard (press F10 to open the options settings, select Audio and select an ASIO driver).
  3. The recording filter is set to record audio (right-click the Transport Panel record button).
  4. A sound source connected to the soundcard/interface audio input/s (DOH! ).
  5. The active soundcard input/s (from 4. above) must be selected on the Mixer track 'IN' menu.
  6. Edison must be set to record audio on the input Mixer track (Edison recording) OR the Mixer track armed to directly record audio (Playlist recording).

Recording FAQ

  • Where does external audio enter FL Studio? External audio inputs are selected from the FL Studio Mixer INPUT menu. The 'IN' menu shows a drop-down list of the available soundcard inputs (mic, line, etc). The screenshot above shows the soundcard microphone (Mic L/R) input selected on Mixer track 4 (each Mixer track has it's own external input options menu). Input options will only be visible if an ASIO soundcard driver is active.

    NOTE: Input names shown in the drop-down menu are provided by the soundcard ASIO driver and are frequently some of the least descriptive and confusing labels we have ever seen, so experimentation may be required to find the correct input.

  • How do I record audio? There are two methods that can be used individually or simultaneously:
    • 1. Edison - Place an instance of Edison in the Mixer track receiving audio and record into memory (see screenshot above). Edison is best when you plan to record one or two sources, each source requires a unique instance of the plugin. Edison is also ideal for 'Loop Recording' as region markers are automatically placed in the recording each time FL Studio loops back to the beginning of the project. Regions (loops) can then be dragged into the Playlist.
    • 2. Playlist - Arm a Mixer track by selecting an input or clicking on the disk recording icon (see screenshot above). Playlist recording is ideal when two or more sources are to be recorded simultaneously as managing large numbers of Edison plugins can be unwieldy.

    The audio recorded by either of these methods can come from external sources, internal sources or a combination of both. For details, see below.

  • Why do my recordings come from one speaker? The INPUT menu has an upper stereo list and lower mono list. You have selected a stereo INPUT whereas your audio source appears in the left or right channel. Select your input from the lower, mono INPUT list.
  • How do I record multiple independent inputs (multi-track record)? Each of the 99 Mixer tracks can be independently loaded with an Edison recorder, however if you are recording more than one or two inputs it is better to arm individual Mixer tracks and record external and/or internal audio sources to disk (see Playlist Recording below). It is possible to simultaneously record the full number of audio inputs on your soundcard.

    NOTE: Right-click the Mixer Input menu to initiate an 'Auto-map'. This will automatically map each input on your audio interface to a unique Mixer Track Input, starting on the Mixer track where the Auto-map was initiated and working to the right. To prevent feedback, Master Tack send will be disabled on each Mixer Track, so you will see input activity on the Peak Meters, but won't hear anything.

  • How do I record my hardware synthesizer/drum-machine/sampler? To use sounds from an external synthesizer, while it is played by FL Studio, you will need to make MIDI connections AND audio connections to your soundcard inputs. FL Studio can record the sound/s (discussed below) as it plays the external MIDI hardware using a MIDI Out plugin.

  • Can I record using a USB microphone or headset? Yes, USB microphones require special setup discussed here.
  • Are there video tutorials for recording audio? Yes, [image] click here [image] to jump to the video tutorial website.

Using a USB microphone or headset

USB microphone & headsets introduce the problem of using multiple audio-device drivers that can be resolved by following the steps in the section on recording USB audio-inputs. The solution is to select independent input (USB mic) and output (soundcard) devices using the ASIO4ALL soundcard driver.

Step by step instructions for recording external audio (microphones, guitars, etc)

Three main methods for recording external audio are explained below, the first two record into an Edison plugin loaded into the Mixer track of your choice. The third method records audio into an Audio Clip displayed in the Playlist - please note that the clip will not be visible until the recording has been completed.

1. Quick audio recording procedure (using Edison)

If the pre-requisites for external recording have been satisfied (as described above), FL Studio will provide a wizard for audio recording which uses the Edison recording method:

  1. Select an unused Mixer track. This will be the track used by the shortcut process.
  2. Select One-click audio recording from the 'Tools' menu.
  3. Follow the prompts.
  4. If you are recording an external audio source then record on a Mixer track that only has the external audio on it. If you have internal audio routed to the same track it will be blended with the external audio. Once blended, it can't be undone.
NOTE: One-click recording selects the input on the Master Mixer track. If you have any other sounds playing in FL Studio they will be mixed with your recording. To avoid this, record on a Mixer track with no other sounds routed to it (see below).

2. Edison recording procedure

If the pre-requisites for external recording have been satisfied (as described above):

  1. Load Edison - Load Edison in an FX slot in the Mixer track that you want to record. Don't use the Master track (all audio from all tracks is routed here). TIP: Select the Mixer track and press ( [image] Shift+E) to auto-load Edison in the first empty FX slot on the track ready to record.
  2. Input selection - Select an external input (6 see below). Loading Edison before selecting an input will disable the auto-arming of the disk-record function. It is possible to turn this back on (if you wish) by clicking on the disk icon (17) associated with the track you are using.
  3. Effects - You have the option of placing multiple instances of Edison on the same Mixer track with or without other effects loaded before or after each instance. In this way it is possible to record dry and wet (with effects) versions of your external audio, or monitor with effects while recording without effects (just place an effect after Edison).
  4. Record using Edison - Click here to see the Edison help and normal recording setup options. You will be able to record into Edison, where it is stored in memory, and then export the audio to a sample or Audio Clip.
  5. Exporting recorded audio:

    There are three main ways to export audio from Edison into FL Studio:

    1. Tools > Sequencing
      • Send to Playlist as Audio Clip ( [image] Shift+C) - Dumps the selection to the Playlist as an Audio Clip.
      • Send to selected Channel - Dumps the selection to the selected Channel.
    2. Drag / copy sample / move selection - Left-click on the button and drag to the desired location (e.g. Playlist Clip-track). The selected region in the Sample Edit Window (or whole sample if no selection is made) will be copied and moved to any compatible location in FL Studio. Apart from the Playlist other locations may include Sampler channels, Fruity Slicer, DirectWave, etc. Right-click to copy the selection to the clipboard.

    3. Save and load - Save the audio/selection to a file and re-import it through the Browser.

NOTES: 1. Take the time to read the next section on Mono inputs (3.4) and Monitoring (3.7) as they are also relevant to Edison recording. 2. Memory considerations: Edison records into RAM and so is not suited to recording hours of continuous audio. Edison uses approximately 20 Meg of RAM per minute of recording. If you need to record for more than 15 minutes then the Playlist (disk recording) method is recommended (see below).

3. Playlist audio recording procedure

We know the next section looks complex with too many words, however it provides a full description of the external-audio to Playlist recording options and full step-by-step procedure. Once you understand the process it really only takes a couple of mouse-clicks to set up:

  1. Pre-requisites - The pre-requisites for external recording must first be satisfied (as described above).
  2. Don't record on the Master Mixer track - When recording external audio on a Mixer track, internal audio routed to that track will be mixed in with the external source so it is best to use a Mixer track with no internal instruments routed to it. Remember that the Master Mixer track has all the other tracks routed to it, so this is definitely not the place to record external audio sources.
  3. Input selection & Mixer track arming - Select an external input (6 see below). The options that appear in this drop-down menu will depend on your soundcard, most soundcards have at least one mic and one line input, however you may need to experiment to find the input that carries your external audio. Selecting an input will auto-arm the track for recording, as indicated by the orange disk icon (17). If you wish to use a USB mic or headset to record audio, follow the steps outlined here first.
  4. Mono inputs - If you have a mono sound source that appears in only the L or R stereo channel, you will notice that the input options (6) are divided into 'Stereo' in the upper section and 'Mono' in the lower section. By selecting the Mono version of your input, FL Studio will record the signal into both the L and R Mixer channels.
  5. Naming & save location (optional) - If you want to select the name and location of the saved .wav file as something other than the default then press the disk icon (17) TWICE, firstly to de-select the arming and secondly to re-select it and open the file-name/location dialog. Select a location in the browse dialog and name the .wav file to be recorded. If you use right-click, an automatic file name will be assigned to the track. Do the same for all Mixer tracks you want to record. NOTE: Setting a custom record location folder from the F10 > Project > General Data folder setting, will mean the default location is set by you.
  6. Recording Options - Open the Mixer pop-up menu. In the Disk Recording sub-menu select -
      • Auto-create audio tracks - Saves the recording as an Audio Clip and automatically places it in the Playlist, after you press stop. NOTE: Automatic clip placement only works in song mode.
      • Latency compensation - Removes an amount of time equal to the soundcard latency (buffer length) from the start of the recording, ensuring the audio is aligned with the internal events. NOTE: This setting does not affect the live sound, only the recording. See the point below on 'Monitoring' for ways to improve latency delay on the live audio passing through FL Studio.
      • Bit-depth - This is the saved bit-depth. '32-Bit floating point recording' is only necessary if your soundcard is set to record at a bit-depth higher than 16-Bit (24-Bit for example). 32-Bit will preserve the full quality of all soundcard quantization's above 16-Bit. NOTE: FL Studio receives audio from the soundcard as a pre-digitized stream, the bit-depth set in the Mixer has no effect on the recording bit-depth (that is set in the soundcard's own options). Saving a 16-Bit sample at 32-Bit will make the file significantly larger with no gain in quality.
  7. Monitoring the sound being recorded - Monitoring is hearing the sound as it is recorded. Let's assume you are monitoring FL Studio through headphones and not getting an echo caused by feedback from your speakers into your microphone. By default, live inputs to the Mixer are routed to the Master track and back to the soundcard outputs. As the audio path through FL Studio is delayed by an amount equal to the soundcard buffer length setting, the monitored sound may echo against the live source. Latency echo can cause problems for performers (e.g. vocalists) who need to hear their live performance mixed with the song. Latency echo can be eliminated in three ways:
      • 1. Routing - Stop the incoming audio passing back to the soundcard by de-selecting the 'Send to master knob' from the Mixer track you are recording into. Remember the send knob is located on the Master track, not the selected track. The downside is that you can no longer 'monitor' the recorded sound.
      • 2. Latency - If you need to monitor your input signal, try lowering the buffer settings and see if the echo can be eliminated or reduced to acceptable levels. Of course there are limits to how low the ASIO buffer can be set.
      • 3. Direct Monitoring - Use 'direct monitoring' if supported by your soundcard. Direct monitoring is achieved completely in hardware, routing a copy of the input signal directly to the soundcard outputs, and so eliminating latency caused by the software buffer.

        NOTE: If you use direct monitoring it will be necessary to apply the routing solution 7.1 (in this paragraph), to prevent input to the FL Studio Mixer being heard. Finally note that direct monitoring isn't common on basic (consumer level) soundcards, so consult the soundcard manual to see if it's available on your card. No manual? The direct monitoring options are usually found in the factory Mixer associated with the soundcard driver. Many external USB/FireWire audio interfaces have a hardware button labeled 'Direct monitoring' or 'Monitor'.

  8. Recording with effects - Don't! We recommend that you record all incoming audio without effects, add them later, as this provides maximum flexibility during post-production. If you want to monitor the incoming signal with effects while recording without effects -
      • 1. Deselect the 'Send to master' knob on the recording input Mixer track.
      • 2. Re-route the recording input Mixer track to a second empty Mixer track.
      • 3. Load the effects you wish to use on this second track and allow that track to pass to the Master.

    The above setup ensures that the audio is recorded dry, from the input Mixer track, passes to a second track where effects are added and then onto the Master track where it is sent to the soundcard outputs. NOTE: Edison recording makes this process simpler, put Edison in FX slot 1 of the input Mixer track (so it has no Effects before it), then put any effects you want to hear below it (slots 2 to 8).

  9. The Record Button: Prepare for recording. There are two functions associated with the Record button on the Transport Panel.
      • 1. Recording filter - There is a recording filter pop-up menu, right-click the Record button and make sure Audio data has a tick (all data-types with a tick will be recorded, click to select/deselect items).
      • 2. Arming - Left-click the record button to arm for recording. The button will light to indicate that record mode is activated (orange).
  10. Start recording - Finally! Press the Play button to start recording.
  11. Stop recording - When you are finished, press the Stop button. If you want all armed tracks to unarm enable the 'Disk Recording > Auto-unarm' option in the Mixer popup menu. If tracks remain armed and you press record again new Audio Clips will be created leaving previously recorded Audio Clips intact.
  12. Where's my audio? - If you are in pattern mode, the recording will appear as an Audio Clip channel. If you are in song mode AND the Mixer menu setting, Auto-create Audio Clips is on, your recording will appear as an Audio Clip wave display in the Playlist window.

    The Audio Files that were recorded to disk will be in one of three locations:

      • 1. The directory set at Step 5 (above) OR
      • 2. The FL Studio installation directory ...FL Studio\Data\Patches\Recorded. This directory is shown in the Browser OR
      • 3. If you have set a custom record location from the F10 > Project > General Data folder setting, your audio files will be there.

    NOTE: All new Audio Clips are routed to the Master Mixer track by default.

Loop recording

Loop recording is the process of repeatedly laying down audio-takes while FL Studio loops a project. This technique is often preferred by instrumentalists or vocalists who want to repeat a phrase/section of a song until they get the perfect take, there are two loop recording methods available:

  • Edison method - We recommend using Edison for loop-recording duties as described in the Edison Loop Recording section. This will provide glitch-free recordings with the advantage that Edison will place region markers at the start of each loop-back for precise selection of the preferred loop. After recording the desired regions (loops) can be selected and dragged (or sent) into the Playlist or saved as audio files. Use Edison as follows:

    1. Load Edison - Select a Mixer track and press ( [image] Shift+E). This loads Edison in the first empty FX slot ready to record with 'Slave playback to host' and Record 'On play' enabled.
    2. Select your input - Select your live audio input from the Mixer INPUT menu.
    3. Make a Playlist selection - If you only want to record a section of the song, highlight the section of time in the Playlist, hold ( [image] Ctrl) and then click and drag along the bar-count at the top of the Playlist. If you don't make a selection then the whole song will loop-record.
    4. Start recording - Press Play in FL Studio and record as many takes as you need into Edison. Each time Edison loops section Markers will be placed in the recording (these are useful for later).
    5. Stop recording - Stop FL Studio and click on the record button in Edison to disable it.
    6. Start playback - Press Play in FL Studio and the first take in Edison will play in sync with the Playlist (slave mode is on), looping when the Playlist does.
    7. Audition takes - With Edison focused use the left and right arrow keys on your keyboard to select a different takes in Edison. Each left/right click will jump to the next/previous section.
    8. Send the perfect take to the Playlist - Press ( [image] Shift+C) to send the current selection in Edison to Playlist. NOTE: Edison will automatically set the sample properties to the current project tempo so that the recording will stretch as the project tempo is changed.
  • Playlist method - If Loop recording is selected, FL is in Song mode and a Playlist range is selected, you will be able to automatically record layer-upon-layer of audio into the Audio Clip section of the Playlist. When FL Studio reaches the end of the Playlist range it will automatically create an Audio Clip and start at the beginning recording a new Audio Clip. Previously recorded Audio Clips will be muted. As there is quite a lot for FL Studio to do each time around the loop (saving .wav files, creating channels and creating new .wav files) there may be audio glitches in the first few ms of each loop. Placing a bar lead in at the start of the loop section will avoid this problem.

NOTES: 1. Setting a custom record location folder from the F10 > Project > General Data folder setting, will send any recorded audio files to this location. 2. If your soundcard does not have factory ASIO drivers, try the www.asio4all.com driver on your system. Please note that since ASIO4ALL is a 3rd party work-around to provide ASIO for soundcards that don't have a native ASIO solution, Image-Line cannot guarantee that it will work, but it usually does. NOTE: The ASIO4ALL driver has a number of internal options that can be adjusted if the default settings don't work for you. Click on the 'Show ASIO panel' button in the F10 Audio Settings to access them.

Recording Internal Mixer Audio (Freezing)

FL Studio allows you to record the output of one or more Mixer tracks to .wav files and to auto-insert the resulting Audio Clips in audio tracks (optional). Mixer track recording, or freezing, enables you to quickly replace real-time effects and instruments with pre-rendered audio, thereby reducing CPU load. This type of recording also allows easier rendering of separate Mixer tracks for additional processing in 3rd party applications. Users of ASIO-enabled soundcards can also route ASIO inputs to the track input (e.g. microphone, line-in) and record them in a .wav file (see Audio Input/Output Routing above).

There are two ways to record a track - realtime recording (interactive), which allows recording of ASIO inputs, and non-realtime recording, which generally results in faster rendering and better audio quality.

Non-realtime recording Playlist

To perform non-realtime export of Mixer track/s, also known as 'track freezing':

  1. Mixer track arming - Press the disk icon (17) on Mixer track/s you wish to record. In the browse dialog that opens, select a location and name for the .wav file to be recorded. An orange disk icon indicates that the track is ready to be recorded.
  2. Recording Options - Open the Mixer popup menu (1). In the Disk Recording sub-menu check 32-Bit floating point recording if you want to render to 32-Bit .wav files, or Auto-create audio tracks to insert the resulting Audio Clip in the Playlist audio tracks, once recording has finished.
  3. Rendering ( [image] Alt+R) - Open the Mixer popup menu (1) and from the Disk Recording sub-menu select Render to Wave File. In the rendering settings dialog, adjust the relevant settings and press OK to render the track. NOTE: Some of the options available for rendering a full song are not available for track recording (e.g. rendering to mp3 or MIDI file, saving an NFO file with the Audio Clip, and saving ACIDized audio.
  4. When recording has been completed, all tracks that were activated for recording will return to their normal state.
  5. Where's my audio? - If you are in pattern mode, the recording will appear as an Audio Clip channel. If you are in song mode AND the Mixer menu setting, Auto-create Audio Clips is on, your recording will appear as an Audio Clip wave display in the Playlist window.

    The Audio Files that were recorded to disk will be in one of three locations:

      • 1. The directory set at Step 1 (above) OR
      • 2. The FL Studio installation directory ...FL Studio\Data\Patches\Recorded. This directory is shown in the Browser OR
      • 3. If you have set a custom record location from the F10 > Project > General Data folder setting, your audio files will be there.

    NOTE: ASIO inputs are disabled while recording in non-realtime.

Alternatively, there is a 'Split mixer tracks' option on the Export project dialog that will create a .wav file for each active Mixer track in the project.

Realtime recording Edison & Playlist

As an alternative to off-line rendering, as described above, you can use Edison or the track recording icon to capture audio from any number of Mixer tracks, live:

  1. Select your recording location - Either load Edison into an FX slot of the Mixer track you wish to record OR Arm Mixer tracks by pressing the disk icon.
  2. Effects - In the case of Edison, you have the option of placing multiple instances of Edison on the same Mixer track, with or without other effects loaded before or after each instance. In this way you can record dry and wet (with effects) versions of your Mixer track audio (to record a dry version, make sure Edison is in slot #1). In the case of disk recording any effects on the track will be recorded, if you don't want this, disable the effects now.
  3. Record - Click here to see the Edison help and normal recording setup options. You will be able to record into Edison, where it is stored in memory, and then export the audio to a sample or Audio Clip. For disk recording the process is as described in the sections above, however this time it is internal audio that is recorded.

Mixer reference diagram

Full descriptions are available on the main Mixer page.

  1. Mixer menu
  2. Mixer Track Scroll Bar
  3. Mixer Insert Tracks
  4. Send Tracks & Selected Track
  5. Big Peak Meter
  6. External mixer input
  7. External mixer output
  8. FX slots
  9. Mixer Track Properties
  10. Master Mixer Track
  11. Small Peak Meter
  12. Mute Switch
  13. Pan Knob
  14. Level Fader
  15. Send Knobs
  16. FX Enable/Disable Switch
  17. Track Recording Switch
  18. Track Send / Sidechain Enable Switch

NOTE: Most controls are automatable (right-click and select 'Create automation clip').


Mixing Advice

MIXING & EFFECTS

Levels and Mixing

Setting Output Mix Levels

This section describes how to accurately set the levels of your final mix.

Overview

There are two places where the overall output level (volume) of FL Studio can be adjusted -
  1. Main volume fader.
  2. Master Mixer track fader (14 bottom of page), see the 'Mixer reference diagram' below.
The Main volume fader should be left at the default position (right-click and select 'Reset') and the Master mixer track fader used for overall level adjustments. The following discussion assumes the Main volume fader is in the default position.

How to adjust levels of the final mix

FL studio has a Main volume, in the menu bar AND a Master Track Volume (14). To ensure the Master mixer track level is an accurate reflection of the final output:

  1. Make sure the Main volume is at the default level (right-click and select 'Reset'). It's probably a good idea to get out of the habit of even touching this volume slider, its main purpose is to make sure a master volume control is always available (when the mixer is hidden) and some audio emergency crops up.
  2. Adjust Mixer Track Faders and/or Channel volume knobs to obtain the relative instrument levels you desire in the mix.
  3. Use the Master Track fader (left most track in the Mixer, 14) to adjust the final level. Consider also, placing Fruity Limiter in the last FX bank of the master track. Limiting is a form of automatic peak volume control.
Following the above steps will ensure the Master track peak meter (5 & 11) and the Main volume meter, in the menu bar, display the same peak levels. Red/Orange peaks (over 0 dB) will indicate clipping in the final output or rendered mix, as depicted below.

Using FL Studio Peak Meters

Generally it is important to get the loudest parts of the mix close to the maximum possible level (0 dB) while avoiding clipping [image] (over 0 dB). Clipping happens when a sound wave carried inside audio equipment (analog or digital) becomes louder than the maximum volume that can be reproduced. When audio is clipped its waveform looks like the tips of the peaks have been 'clipped' off, as shown in the picture of the Main peak meter below (left). While occasional transient clipping incidents are not usually a problem, if clipping is pushed too far your audio will distort and crackle. Once an audio track is badly clipped, there is no way to recover the original sound, the track is ruined.

The 0 dB reference level marks the loudest sound a digital audio file rendered from FL Studio can record or the audio interface D/A converter [image] can make, before clipping occurs. All peak meters in FL Studio turn orange or red to attract your attention when the signal exceeds 0 dB (see above). However, not all red peak meters (signals over 0 dB) are bad.

Inside FL Studio, the audio is digital [image], and so, is a series of 32-bit floating point [image] numbers. The Mixer is adding and subtracting numbers so that as the signal amplitude gets bigger, the numbers get bigger. The volume carried in tracks 1 to 99 (3) can be added to make any arbitrarily large number without clipping (there is nothing to clip). On the other hand, when the mix is sent to the outputs of your soundcard, or is rendered to a fixed bit-depth (e.g. 16 or 24-Bit), then clipping can happen.

As the Master mixer track (1) is the usual output to the 'physical world', you should not let it peak over 0 dB, as your project will clip. You can think of the Master fader as rescaling the combined output of all the tracks routed to it. The Insert Mixer track meters are merely guides to the relative volumes in each track. Of course, if you have routed any Input Mixer tracks (7) directly to your soundcard outputs OR you are rendering mixer tracks to disk, then these too become 'real world' meters and must not peak over 0 dB.

dB Metering scales

If you have been wondering why dB is used or why the maximum level is marked as 0 dB and values below it in negative dB then read on. Unfortunately the dB scale can't be explained in a single sentence, so if you feel your interest waning in the 'Calculating dB' section, feel free to skip straight to 'Some dB meter values to remember'. It is worth repeating that going over 0 dB on a peak meter is only a problem if this happens on the Master mixer track (see 'Understanding Peaking Meters', above for an explanation), or on a Insert track routed directly to a soundcard output.

Calculating dB

The peak meters in FL Studio are displayed in and against a dB [image] scale. The Hint bar also shows these levels in dB and percent (%) as faders/knobs are moved or when the mouse cursor is placed over the scale. dB stands for deci (or tenth) of a Bel (unit of sound or electrical pressure named after Mr A.G. Bell [image]). If you start reading around about dB it will become apparent that the dB scale has been used for many different physical measures - dB (SPL), dB(u), dB(v), dB(V), dB(m), dB(VU), dB(FS) and more! Probably not a great idea as this has lead to a lot of confusion and a number of different formula for calculating dB.

The peak meters in FL Studio use the following formula:

20 * log(X/Y) where:

  • Y (reference level) - Assuming you haven't been fiddling with the Main volume fader, the 0 dB (almost top) scale represents 100%, or a level of 1. At this level we have used up all the bits [image] of the D/A converter [image] on our soundcard or in the case of rendering audio to a file, all the bits of the save format. Go over this level (on the Master track) and we start to clip the signal, as described above. If Y = 1 (100%) then all level values are a ratio relative to this 100% level. The digital numbers representing level are a measure of power [image] (remember that as we need it for later).
  • X (signal level) - The signal level carried by the mixer track. This can vary between 0 (no signal) to more than 1. In this case the value represents the fraction (percentage) of the maximum signal level that your digital output format can carry. For example 0 (no signal), 0.5 (50% maximum level), 1.1 (110%, over the maximum level).
  • Log (X/Y) - The purpose of taking the log (base 10 in this case), is to compact the number range. For example, X/Y may = 0.0123456789, however log(0.0123456789) = -1.9, much simpler to work with. Type 'log 10' into www.google.com, or any of the values you see here, and the Google calculator will spring into action. Compacting the range is useful as the X value can be very small. A nice property of log fractions is they come out negative, while logs of numbers greater than 1 positive. The dB's sign therefore shows whether the value is lower or higher than the reference. This is why the scale dB's are mostly negative. Given that 0 dB (log 1) is used to represent the maximum volume that can be rendered, all dB values on the scale are relative to this max level (most being fractions less than 1) and so calculate as negative dB values.
  • 20 * (20 times) - Since the result of the log(X/Y) calculation gives 'tenths of Bels', for example, log(0.5) = 0.3. That would be 3 tenths of a Bell, the conversion into 1/10th units is achieved when 0.3 is multiplied by 10. But that's 10, not 20? Remember that our original measures are in power [image] units, we are really concerned with air pressure (volume) or electrical pressure (voltage), to get this we square the result since (and you will just have to trust me on this, pressure happens over an area and areas are measured in square units) Pressure = Power squared. It turns out that to square a log value you simply need to multiply it by 2. i.e. 2 log(X) = (X)squared. But wait, that makes 10 times the log(X/Y) to convert into 1/10th units AND 2 times the log(X/Y) to convert to power units, or together 10*2 = 20 times the log(X/Y). So...
  • 20 * log(X/Y), the difference (in dB) between any two sound pressures (loudness) or voltage measurements (signals) X and Y. For example, in the case of a 50% signal:
    • dB =
    • 2(squared to convert to sound pressure) * 10(to convert into 1/10th Bel units) * log(signal level/reference level) =
    • 2 * 10 * log(0.5/1)
    • 20 * log(0.5/1) =
    • 20 * log(0.5) =
    • 20 * -0.3 =
    • -6 dB. So -6 dB is a drop in amplitude by 50% (or half).

In this case the reference level was 1, however it could be any other level that you are comparing the signal to (say 0.1/0.25). Try entering some of the following into Google [image], 20*log(0.5), 20*log(1) and 20*log(2) (see below).

Some 'dB change' values to remember

These are a list of dB values that are good (and easy) to remember that represent the difference in dB between two levels using the formula [20 * log(X/Y)].

  • + 12 dB = about four times as loud (400%).
  • + 6dB = about twice as loud (200%).
  • + 1 dB = about 10% louder. This is very close to the JND (Just Noticeable Difference) [image], that is the smallest increase in volume you can notice.
  • 0 dB - No change. Note this is not 0 dB on the scale, but the difference between two dB levels.
  • - 1 dB = about 10% quieter. This is very close to the JND (Just Noticeable Difference) [image], that is the smallest decrease in volume you can notice.
  • - 6 dB = about half as loud (50%).
  • - 12 dB = about one quarter as loud (25%).

So now you know if an audio engineer says, "that snare is about 6 dB louder than the kick", it means the snare is about two times louder than the kick.

Mixer reference diagram

Full descriptions are available on the main Mixer page.

  1. Mixer menu
  2. Mixer Track Scroll Bar
  3. Mixer Insert Tracks
  4. Send Tracks & Selected Track
  5. Big Peak Meter
  6. External mixer input
  7. External mixer output
  8. FX slots
  9. Mixer Track Properties
  10. Master Mixer Track
  11. Small Peak Meter
  12. Mute Switch
  13. Pan Knob
  14. Level Fader
  15. Send Knobs
  16. FX Enable/Disable Switch
  17. Track Recording Switch
  18. Track Send / Sidechain Enable Switch

NOTE: Most controls are automatable (right-click and select 'Create automation clip').


Mixer Main Menu

MIXING & EFFECTS

Mixer menu

This section covers the Mixer menu commands (1). For reference, the mixer diagram is at the bottom of this page.

Options

Disk recording

  • Render to wave file - Renders all tracks prepared for recording to a wave file (see Disk Recording).
  • Auto-unarm - If enabled, all armed tracks for recording will be automatically unarmed after the recording session is complete.
  • Auto-create audio clips - If enabled, FL Studio inserts all rendered mixer tracks as audio clips in the Playlist after recording.
  • Latency compensation - If enabled, FL Studio attempts to align the recorded audio clips with the input latency. Depending on your system and audio drivers, you might still need to fine tune the clip placement.
  • 32-Bit float recording - If enabled, tracks are recorded as 32-Bit wave files, otherwise the standard 16-Bit format is used.

View

  • Big meter - Toggles the visibility of the large peak-meter (5).
  • Names at bottom - Toggles the position of the track names (3) from the top (default) to the bottom (alternative).
  • Tracks on right side - Toggles the position of the FX slots, Track Properties and Track I/O (6, 7, 8 & 9) from the right (default) to the left (alternative).

Link all parameters...

Opens a link-dialog that is designed to link automatable software parameters to 'tweaked' hardware controllers and then automatically move to the next item in the 'parameter list' ready for the next link. There are options for skipping parameters or jumping to new locations in the list as described below:

  • Basic operation - Select 'Link all parameters' from the menu, and move the first hardware controller to be linked (the link is made to the first item in the 'Current parameter' list), when you move the second hardware controller it will be auto-linked to the next parameter and so on, until the end of the parameter list is reached or the link-dialog is closed. You may choose to keep moving the same hardware controller (in this case all parameters will link to the same hardware knob) or move to a new hardware controller, where the new hardware controller will be linked.
  • To skip a link - left-click the Skip button at the bottom of the link-dialog (immediately left of the 'Accept' button).
  • To jump directly to a parameter - use the Current parameter menu (top most in the link-dialog) and select the target parameter you are interested in. You can then continue auto-linking from that point in the list by moving hardware controllers as before OR jump to another parameter in the list using the 'Current parameter' menu as previously described.

Mixer Track

File

  • Open mixer track state - Allows you to restore a previously saved mixer track state in the selected mixer track.
  • Save mixer track state - Allows you to save the state of the selected mixer track, which includes the track settings and plugin filters.
  • Browse states - Opens the Mixer presets in the Browser menu.

Link Selected Channels

  • To this track ( [image] Ctrl+L) - All channels selected in the Step Sequencer will be linked to the currently selected mixer track.
  • Starting from this track ( [image] Shift+Ctrl+L) - All channels selected in the Step Sequencer will be linked to individual mixer tracks, starting from the current one. For example, if three channels were selected and the current mixer track is 4, the channels will be linked to tracks 4, 5 and 6.

Select Linked Channels

Select Channels linked to the active mixer track ( [image] Alt+L).

Rename

Lets you set a custom name and color for the current FX track ( [image] F2).

Set icon

Select from a menu of icons to appear at the top of the Mixer Track label area. Use these to improve the visibility of important mixer tracks or to aid surround-mixing setups (a set of surround-mixing icons have been provided).

Solo

Solos the output from the selected track ( [image] S).

Alt Solo

Solos the selected track AND all other tracks routed TO and FROM it ( [image] Alt+S).

Move left

Moves the selected track left ( [image] Alt+Left Arrow).

Move right

Moves the selected track right ( [image] Alt+Right Arrow).

Switch Smart Disable for All

In FL6 this option was moved into the Toolbar menu - Tools > Misc macros directory. Use this to disable FX that are not processing audio to save CPU power.

Mixer reference diagram

Full descriptions are available on the main Mixer page.

  1. Mixer menu
  2. Mixer Track Scroll Bar
  3. Mixer Insert Tracks
  4. Send Tracks & Selected Track
  5. Big Peak Meter
  6. External mixer input
  7. External mixer output
  8. FX slots
  9. Mixer Track Properties
  10. Master Mixer Track
  11. Small Peak Meter
  12. Mute Switch
  13. Pan Knob
  14. Level Fader
  15. Send Knobs
  16. FX Enable/Disable Switch
  17. Track Recording Switch
  18. Track Send / Sidechain Enable Switch

NOTE: Most controls are automatable (right-click and select 'Create automation clip').


Effect Plugins

FL Studio has a large number of high quality Effects (FX) at your disposal. Each Mixer track can hold up to 8 plugin effects, however you can route one Mixer track to another when you need more. If you are new to music production then getting to know how effects work and which situations they are best suited for may take some time. Using FX successfully is a 'craft', so you'll need to be patient in order to get the best results. The three most common effects in modern music production are 'EQ', 'reverb' and 'compression'. Learning about these three first should give you a good start.

A [image] video tutorial on using FX is available on the FL Studio website.

Working with Effect Plugins

This section explains general Effect Plugin operations.

How to add an effect

On the Mixer Track where you want to add the effect, click on the Effect pop-up menu (A) in the effect slot that is to receive the effect. Select the effect from the pop-up menu. Effects can be re-ordered at any time by hovering your cursor over the effect slot and scrolling the mouse-wheel up/down.

A. Load effect pop-up menu

B. Effect name - Left-click to open plugin, Right-click to rename slot.

C. Enable / Disable effect - This simply disables the effect but does not mute the sound.

D. Effect wet / dry mix level - Normally this is 100% clockwise and the Wet/Dry mix is controlled from within the plugin.

All audio is passed through the FL Studio Mixer. Each instrument has a channel settings window that contains a mixer track selector that directs its output to one of the 99 insert mixer tracks. Each mixer track processes the sound with a set of integrated effects, and up to 8 additional effects. To learn more about the mixer structure and functionality, click here.

For more detailed help on working with the effects slots click here.

Installing new effects

Click here to see the manual pages on installing new effects plugins. FL studio supports a wide range of plugin standards.

3rd party effects: FL Studio installs with a complete kit of high-quality effects so there is no need to purchase anything else in order to produce professional quality tracks. However the internet is bursting with 3rd party plugins, a great place to start is www.kvraudio.com [image].

The Plugin database & Plugin picker

The Browser contains a special Plugin database folder that works in conjunction with the Plugin picker ( [image] Ctrl+F8) to help you organize and retrieve plugins based on a visual display.

Effect Plugins

This section contains links to the help pages for all effect plugins that are installed with FL Studio.

NOTE: FL Studio includes only the DEMO VERSIONS of some effect plugins. Demo effects show '(Demo)' on their wrapper title. You can purchase the full versions of these instruments at www.image-line.com [image].

Effect Plugins by Name

Edison

EQUO

Buzz Effect Adapter

Fruity 7 Band EQ

Fruity Balance

Fruity Bass Boost

Fruity Big Clock

Fruity Blood Overdrive

Fruity Center

Fruity Chorus

Fruity Compressor

Fruity dB Meter

Fruity Delay

Fruity Delay 2

Fruity Delay Bank

Fruity Fast Dist

Fruity Fast LP

Fruity Filter

Fruity Flanger

Fruity Flangus

Fruity Formula Controller

Fruity Free Filter

Fruity HTML NoteBook

Fruity Limiter

Fruity Love Philter

Fruity LSD

Fruity Mute 2

Fruity Multiband Compressor

Fruity NoteBook

Fruity PanOMatic

Fruity Parametric EQ

Fruity Parametric EQ2

Fruity Peak Controller

Fruity Phase Inverter

Fruity Phaser

Fruity Reeverb

Fruity Reeverb 2

Fruity Scratcher

Fruity Send

Fruity Soft Clipper

Fruity Spectroman

Fruity Squeeze

Fruity Stereo Enhancer

Fruity Stereo Shaper

Fruity Vocoder

Wave Candy

Fruity WaveShaper

Fruity Wrapper

Fruity X-Y Controller

Gross Beat

Maximus

Soundgoodizer

Synthmaker

Vocodex

See also: Instruments & Generators - To learn more about Generators/Instruments/Synths in FL Studio.

Effect Plugins by Category

Automation

Fruity Formula Controller - Define your own controller functions using mathematical formula.

Fruity Peak Controller - Generate controller data based on audio input and LFO settings.

Fruity X-Y Controller - Control two parameters simultaneously with your mouse.

Compression

Fruity Compressor - Control volume peaks and fatten sounds.

Fruity Limiter - Single-band maximizer, compressor and limiter.

Maximus Multiband Maximizer - Heavy weaponry for the loudness war.

Fruity Multiband Compressor - Control volume peaks and fatten sounds in three independent frequency bands.

Fruity Soft Clipper - Easy-to-use volume limiter.

Soundgoodizer - It's shiny, it's good!

Delay/Echo

Fruity Delay - Create echoes.

Fruity Delay 2 - Create echoes with echo filtering options.

Fruity Delay Bank - Create complex echoes and filtering.

Distortion

Fruity Blood Overdrive - Create distorted guitar effects.

Fruity Fast Dist - Easy-to-use distortion plugin.

Fruity Squeeze - A bit-reduction and sample skipping plugin.

Fruity WaveShaper - Define your own distortion curves.

Equalization (EQ)

Edison Equalize Function - Envelope-based EQ

EQUO - Graphic EQ

Fruity 7 Band EQ - Seven 'tone controls' at fixed frequencies.

Fruity Bass Boost - Specialized bass EQ plugin.

Fruity Parametric EQ - Control bandwidth and target frequency of EQ bands.

Fruity Parametric EQ2 - Control bandwidth and target frequency of EQ bands in style!

Filtering

Fruity Delay Bank - Filter delays and echoes.

Fruity Fast LP - Easy-to-use low pass filter which cuts high frequencies.

Fruity Filter - Easy-to-use filter.

Fruity Free Filter - Easy-to-use variable state filter.

Fruity Love Philter - Advanced filter plugin.

Fruity Vocoder - Sound like a robot or make a synth 'talk'.

Vocodex - The last word in vocoding.

Phasing/Flanging/Chrous

Fruity Chorus - Create multiple detuned copies of the original sound, adding depth and weight.

Fruity Phaser - Make sounds like a jet passing at high altitude (phase cancelling).

Fruity Flanger - A more intense version of Fruity Phaser.

Fruity Flangus - Advanced flanger effect.

Reverb

Fruity Reeverb - Simulate acoustic spaces such as a concert hall or bathroom.

Fruity Reeverb 2 - An even better way to simulate acoustic spaces.

Tools

Edison - A wave editor.

Buzz Effect Adapter - A wrapper for Buzz plugins.

Fruity Balance - Position sounds in the stereo field.

Fruity Big Clock - Show the bar/beat/time of the song.

Fruity Center - Remove DC offset from waves/plugins.

Fruity dB Meter - Show volume in a nerdy way.

Fruity HTML NoteBook - Make notes in your project using HTML synced to the playback position.

Fruity LSD - Access the synthesizer built into your soundcard.

Fruity Mute 2 - Turn noises off.

Fruity NoteBook - Make notes in your project synced to the playback position.

Fruity PanOMatic - Move sounds in the stereo field automatically.

Fruity Phase Inverter - Invert the direction of a wave relative to the original.

Fruity Scratcher - Simulate turntables.

Fruity Send - Siphon a sound from any point in the FX chain to a 'send' track.

Fruity Spectroman - See what your sounds look like (sonograph).

Fruity Stereo Enhancer - Simulate or enhance stereo effects.

Fruity Stereo Shaper - Mid/Side stereo enhancer.

Fruity Wrapper - Integrate 3rd party FX with FL Studio.

Gross Beat - Play with time (scratching, stuttering, glitch, gating, etc).

Synthmaker - Tool for making your own Effects.

Wave Candy - A flexible audio analysis and Visualization tool.


PLUGIN STANDARDS

Plugin Formats Supported

FL Studio supports VST, VST2, DirectX, DirectX2 and Buzz plugins and its enhanced proprietary FL Effects format.

Installing instruments and effects

Click here to see the manual pages on installing plugins.

Supported formats

VST Plugins

FL Studio supports VST plugin effects standard by Steinberg(R). Some of the effects included with FL Studio are in VST format. VST plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information on these plugins open their help from Help menu.

VST2 Plugins

VST2 plugins effects are supported in FL Studio by using the special Fruity Wrapper plugin (effect version). VST2 plugins are DLL files that should be installed in the VST folder of FL Studio in order to use them (<FL Studio Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information, see Fruity Wrapper's help.

DirectX Plugins

FL Studio supports DirectX plugin effects standard by Microsoft(R). DirectX plugins are registered on installation directly in Windows, so FL Studio will detect them no matter in what folder they were installed. However, in order the DirectX plugin system to work, you need to have installed DirectX Media 8.0 or later (it's included in the latest DirectX installation which can be downloaded from www.microsoft.com).

DirectX2 Plugins

DirectX2 plugins effects are supported in FL Studio by using the special Fruity Wrapper plugin (effect version). DirectX2 plugins are registered on installation directly in Windows, so FL Studio will detect them no matter in what folder they were installed. However, in order the DirectX plugin system to work, you need to have installed DirectX Media 5.0 or later (it is now included in DirectX 8 (and later) run-time installation, which can be downloaded from www.microsoft.com).

FL Studio Plugin Standard

FL Studio has an enhanced proprietary plugin standard that allows advanced integrated functions including: Right-click of any interface control to open an Automation Clip or link to an external controller. Per-note pitch slides, legato and more....

Buzz Effects

The Buzz effects plugins are an open plugin format for implementing filters in Buzz (tracker software). FL Studio supports Buzz effects through its Buzz Effects Adapter plugin.


Buzz Effect

MIXING & EFFECTS

Buzz Effect Adapter

Buzz Effect Adapter is a wrapper for Buzz generator machines. You can find a huge collection of Buzz machines at www.BuzzMachines.com [image]. However, be aware that there are quite a few buggy ones around, and the stability of your project may be compromised.

Parameters

The options and parameters apart from those described below depend on the hosted Buzz plugin.

  • Select Machine - Click this button to browse for a Buzz machine plugin.
  • Parameter Sliders - These sliders are used to control Buzz machine parameters. They are available as normal FL Studio parameters (right-click the sliders to display the default parameter menu of FL Studio).
  • Attributes - Click this button to launch a window with additional parameters for the machine.
  • Commands - Click this button to launch a menu with commands for the machine. When the machine doesn't have commands, this button is disabled.
  • Import Buzz Preset - Opens a dialog for importing a Buzz preset.

Plugin Credits: Oskari Tammelin


Edison

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

Memory: Edison operates exclusively in RAM (memory) and is designed for working with samples or small songs, not recording hours of audio. With RAM in mind, edit functions can require 4x the original sample space, so we recommend limiting samples to a maximum of 500 Mb. If you don't heed this warning Edison may explode, injuring bystanders - don't say we didn't warn you! Editing operations that require sample processing convert the source sample/s into 32-bit float and at the sample rate of the highest wave in any group processed. This means that processed wave files are unlikely to be in the same format as the source samples, although you can set the sample format after you have edited the sample (see the sample properties dialog).

Opening Edison

There are a number of ways to load Edison, depending on your intended use, two recommendod methods are:

  • Quick load for Editing - Select the target Mixer track then press ( [image] Ctrl+E). Edison will load in the first empty FX slot.
  • Quick load for Recording - Select the target Mixer track then press ( [image] Shift+E). Edison will load ready to record with 'Slave playback to host' and Record 'On play' enabled.

NOTE: Edison opens in the preview mixer track unless deliberately placed in an Effects slot.

Exporting Audio

Three alternatives for exporting audio from Edison to FL Studio are:

  1. Tools > Sequencing
    • Send to Playlist as audio clip ( [image] Shift+C) - Dumps the selection to the Playlist as an Audio clip.
    • Send to selected Channel - Dumps the selection to the selected Channel.
  2. Drag / copy sample / move selection - Left-click on the button and drag to the desired location. The selected region in the Sample Edit Window (or whole sample if no selection is made) will be copied and moved to any compatible location in FL Studio, e.g. Sampler channels, Fruity Slicer, DirectWave, the Playlist, etc. Right-click to copy the selection to the clipboard.

  3. Save and load - Save the audio/selection to a file and re-import it through the Browser.

NOTE: If an audio clip contains a downbeat marker (set by the region tool), dropping it on the Playlist will auto-align it.

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)

Plugin Credits -

Code & GUI: Didier Dambrin.

Script compiler: paxCompiler

'Hello World' Sample: Katy Theodossiou.


Edison - Sample Properties

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)

This area displays the sample properties including: Sample rate, Bit depth, Channel format, Tempo information and Title. Right-clicking this area or pressing [image] F2 opens the Sample Properties dialog.

To open the Sample properties dialog

Select [image] > Edit properties OR press ( [image] F2) with Edison focused.

Options

Info

  • Title - Names the sample.
  • Comments - These comments will show in the sample properties.

Format

  • Sample rate (Hz) - Sets the sample rate.
  • Resample (switch) - Selecting this switch forces resampling of the sample data to the desired samplerate. If this switch is off the sample rate changes only the playback sample rate (speed) without modifying the data. For example, choose to either resample data to 22kHz (data reduction), or to play existing data at 22kHz (pitch-shift).
  • Format - Choose between 16-Bit integer & 32-Bit floating point formats. Mono or Stereo.

    NOTE: Edison automatically converts data to 32-Bit before applying any function that modifies the sample data. It is better to apply several edits in 32-Bit floating point, then convert to 16-Bit integer after you have completed editing the sample, rather than to apply several edits in 16-Bit integer.

Tempo

  • Tempo (BPM) - Sets the tempo in Beats Per Minute. If 'tempo-sync' is selected, setting a tempo here will cause FL Studio to stretch/pitch-shift the sample according to this value when loaded.
    • Round: Rounds the tempo (removes decimals).
    • Limit: Corrects any double/half tempo problems (range options appear when the button is selected).
  • Resample (switch) - Forces a high-quality resample of the data when the sample rate is changed (recommended).
  • Length (beats) / Selection (beats) - Enter the number of beats in the sample or selection. 'Sel (beats)' appears if a selection has been made (enter the number of beats in the selection). Used when slicing & beat detecting (see below).
    • Round: Rounds the number of beats (removes decimals).
    • Tempo-sync: When selected - Instructs FL Studio to stretch (beatmatch) the sample to the Master tempo of the project (Audio clips & Channel sampler). The F10 General Settings, 'Read sample tempo information' option MUST BE ON. See the section on Time-stretching & Pitch-shifting in the Sampler Channel Settings section for more details. NOTE: When the option is selected, and nothing is set in the field, the host tempo will be used. Left-click in the field to manually enter a tempo.

    Manual tempo setting - The manual tempo detection technique is to highlight a part of the audio that you know to be an exact number of beats, then the properties dialog [image] (F2) will show 'Selection (beats)' instead of 'Length (beats)'. If 4 beats were highlighted (for example), enter 4, and the tempo of the song should be detected.

    Manual grid alignment - [image] Right-Ctrl + Right-Shift + Click on the location in the sample where the first downbeat marker is to be set, hold and drag horizontally to fine-tune the position if needed. Then, release the mouse button and click again with the [image] Right-Ctrl + Right-Shift keys still held (drag left/right) to adjust the grid spacing to align the grid to the beat.

  • Default - Sets the BPM to the FL Studio project tempo.
  • Quick guess - For songs with a constant tempo.
  • Autodetect - Select to choose from three options:
    • Quick estimation for short loops - Quick tempo-detection based on the host tempo and the length of the sample.
    • Detection for songs with constant tempo - Algorithmic tempo-detection which generally gives the most accurate result, but requires constant tempo tracks.
    • Detection for songs with variable tempo - Algorithmic tempo-detection tuned for songs without a constant tempo.

Sampler

These functions aid samplers that read meta-data to auto-process the sample (DirectWave and the Channel sampler for example).

  • Middle note (root note) - Selects the MIDI note at which the sample will play back at the original (recorded) pitch. This data is used by samplers such as DirectWave and the Channel Sampler to automatically set the 'root' note.
  • low: Sets the lowest intended MIDI note the sample should play on.
  • high: Sets the highest intended MIDI note the sample should play on.
  • Fine tune (cents) - Fine-tunes the intended pitch of the sample in 1/100ths of a semi-tone.
  • Default - Restores default settings.
  • Autodetect - Auto-detects the pitch of the sample. Use on monophonic single-pitch sounds only.

end


Edison - Amp Tool

WAVE EDITOR / RECORDER

Amp Tool

The Edison Amp Tool works in a similar way to the mixer track controls, including stereo separation, panning, linked and independent L and R channel volume.

To Open the Amp Tool

To open the tool press ( [image] Alt+A) inside Edison, or use the Tools > Amp > Amp option.

Options

  • Sep - Stereo separation.
  • Pan - Panning.
  • LR - Volume, left and right channels linked.
  • L - Left channel volume.
  • R - Right channel volume.
  • Circular panning law - When selected Edison will use circular panning to maintain a constant 'perceived' loudness as sound is panned L to R, otherwise linear panning is used.

Action buttons

  • Preview - Audition the current settings.
  • Accept - Process and paste (replace) the original selection.


Edison - Blur Tool

WAVE EDITOR / RECORDER

Blur Tool

The Edison Blur Tool works in a similar way to the Convolution Reverb, by multiplying an impulse sound (in this case, noise), with the waveform. The impulse function is cross-multiplied with the source in a moving average, to smear or 'blur' the sound. The multiplier function is determined by a user-selectable envelope. To retain a sound closer to the original, use narrower shaped envelopes.

To Open the Blur Tool

To open the tool you can either left-click on the Blur Tool button [image], press [image] Ctrl+B inside Edison, or use the Tools > Spectral > Blur option.

Options

  • Amount - Adjusts the width of the convolution window; a greater amount means more blurring.
  • Delay - Adjusts the offset between the source wave and the blurred section.
  • Mix - Adjusts the level of the dry to wet signal.
  • Use data outside selection - Only applies when a selection is made in the Edison sample edit window. This includes sample data immediately outside and adjacent to the selected region to improve the blend between the selection and surrounding sample data.
  • Accept - Applies the settings to the wave. To undo the blur, press [image] Ctrl+Z.
  • Envelope - Change the shape of the envelope to adjust the convolution function. The default 'Gaussian' [image] function creates a smooth blur. A wider function generally creates more blurring and a narrower function less blurring. Experiment with different shapes to alter the blur texture.

Action button

  • Preview - Audition the current settings.
  • Accept - Process and paste (replace) the original selection.


Edision - Convolution Reverb

WAVE EDITOR / RECORDER

Convolution Reverb

The Convolution Reverb engine in Edison works by multiplying two audio signals in the frequency domain (in a sort of moving average). A reverb effect is obtained when an 'impulse' file is convolved [image] with the original wave file. Reverb impulse files are created by recording short, sharp sounds in real spaces or through a reverb/effects unit. The recorded 'reverberance' is an acoustic fingerprint of the real space. This technique is equivalent to sampling an acoustic instrument and allows us to 'borrow' impulses from very expensive hardware or real spaces that we would never have the chance to record in. Naturally, the internet is brimming with free impulses for your downloading pleasure (see 'Impulse Resources' below).

NOTE: While called the Convolution Reverb, any audio file can serve as a source for the impulse making this a general convolution tool. As always, experimentation will reward you with unique and interesting sounds.

To Open the Convolution Dialog

To open the dialog you can either left-click on the Convolution Reverb button [image], press [image] Ctrl+R inside Edison, or use the Tools > Spectral > Convolution Reverb option.

Once an impulse is loaded you can perform any of Edison's editing functions in the spectral preview window. Right-click on the spectral preview to open the editing options.

Options

  • Delay - Adjusts the delay between the onset of the reverb and the source wave.
  • Dry - Adjusts the level of the dry signal.
  • Wet - Adjusts the level of the wet signal.
  • Use data outside selection - The reverb can operate on a selection of a wave. When selected data from outside the selection is used to create the reverberant sounds. When no selection is made the whole sample is effected and this option is greyed out.
  • Add tail - Adds new reverberant data beyond the end of the original file.
  • Accept - Applies the impulse to the wave. To undo the reverb press [image] Ctrl+Z.

Impulse

This section displays a spectral view of the impulse function. The vertical axis represents frequency 0 Hz (bottom) to 20 kHz (top) and the horizontal axis represents time. You can zoom and scroll through this display by left-clicking in the scroll bar above the display (as shown by the double arrow cursor in the screenshot above).

  • Load Impulse - Left-click on the 'Impulse:' tab above the spectral display and a standard 'Load File' dialog will open.
  • Envelopes - There are several standard envelope controls along the bottom of the window that act on the reverberant sound. These envelopes provide enormous creative potential.

    • Left click the symbols to apply, from left to right -

    • Pan - To edit the Pan envelope.
    • Volume - To edit the Volume envelope.
    • Stereo Separation - To edit the Stereo Separation envelope.
    • Scratching - To edit the playback velocity/direction.

    Editing envelopes - After selecting the desired envelope type, right-click in the 'Impulse Editor Window' to add points, and left-click to move points and tension markers. Right-click points to open a context menu that will allow you to delete points or change the curve type.

Impulse Resources

Edison comes with many impulses, however the addictive nature of these files will mean that you will soon be looking for more. Below are several links to get you started. To load a new impulse from outside FL Studio, left-click on the 'Impulse:' tab above the spectral display to open the standard 'Load File' dialog and browse to the location of the new impulses.

  • Noise Vault [image] - Nice resource for public domain reverb impulse files.
  • Fokke van Saane's impulses [image] - Many of the impulses here are .aif format and so are not suitable for Edison (uses .wav format impulses), however you can convert them to .wav format using the demo version of GoldWave [image]. We have included Fokke's site mainly because he clearly explains how the impulse\ files were created and posts lots of great pictures of the spaces in which the impulses were made, be inspired!
  • Google for 'Reverb Impulse' [image] - Be brave, find your own!

Action Buttons

  • Preview - Audition the current settings without applying them.
  • Accept - Process and paste (replace) the original selection.


Edison - Claw Machine

WAVE EDITOR / RECORDER

Claw Machine Tool

The Edison Claw Machine works on a tempo-sliced sample removing beats, adding beats and/or shifting beats to create interesting new rhythms. The Claw Machine is particularly effective at speeding up the tempo of a song (by extracting beats) without creating time-stretch/pitch-shift artifacts. The Claw Machine is also a great tool for working on starting scores with regular rhythms, although experimentation will be rewarded.

NOTE: An alternative is to use the Piano roll Claw tool with loops in Slicex.

To Open the Claw Machine Tool

To open the tool press ( [image] Alt+W) inside Edison, or use the Tools > Time > Claw option. NOTE: The sample must have a tempo (or beatmarkers) set before the Claw Machine option will become available, due to the fact that the Claw Machine slices the audio according to the time-grid and relies on the sample being aligned to the grid in a meaningful way:

Aligning the grid to the sample tempo

Prior to claw processing make sure the sample has the correct tempo and beats are aligned to the Sample Window grid.

  • Manual tempo setting - The manual tempo detection technique is to highlight a part of the audio that you know to be an exact number of beats, then the sample properties [image] (F2) will show 'Selection (beats)' instead of 'Length (beats)'. If 4 beats were highlighted (for example), enter 4, and the tempo of the song should be detected.

  • Manual grid alignment - [image] Right-Ctrl + Right-Shift + Click on the location in the sample where the first downbeat marker is to be set, hold and drag horizontally to fine-tune the position if needed. Then, release the mouse button and click again with the [image] Right-Ctrl + Right-Shift keys still held (drag left/right) to adjust the grid spacing to align the grid to the beat.

Options

Block extraction

  • Period - The period over which the 'claw' process repeats.
  • Trash every - Removes beats every (X) units of the Period.
  • Snap to markers - Slices snap to beat/region markers.

Compensation stretching

Stretches sliced samples to fill gaps left by 'clawed' slices.

  • Amount - Amount of stretching.
  • Method - Stretching method.

Action buttons

  • Reset - Cancel all settings.
  • Preview - Audition the current settings without applying them.
  • Accept - Process and replace the original selection with the processed audio.


Edison - Drum Tool

WAVE EDITOR / RECORDER

Drum Tool

The Edison Drum Tool appears as the Drum(loop) stretcher and Paste replace drum dialog. The purpose of the tool is to reconstruct the decay portions of sliced drum beats that are often abruptly cut short in the slicing process. The Drum Tool works by detecting attack and decay portions of each region in a drumloop (or the selected beat) and then reconstructs more natural sounding decay/s. The options provide the opportunity to fine-tune the decay section to match the source material.

To open the Drum Tool

To open: Select Tools > Time > Drum(loop) stretch ( [image] Ctrl+T). The tool also appears as a paste dialog active on the Edit menu after a selection (copy or cut) has been made - Paste replace (drum) ( [image] Shift+T).

Time

  • Pitch coarse - Changes the base pitch in semitones.
  • fine - Changes the base pitch in cents.
  • mul - Pitch range multiplier.
  • Time mul - Changes the sample duration in %. In 'Stretch' mode this value is automatically calculated.
  • length (ms) - Changes the sample duration by specifying length in milliseconds(ms). In 'Stretch' mode this value is automatically calculated.
  • tempo - Specifies the tempo of the stretched sample. The original loop must have embedded tempo information for this option to show.
  • Insert tails - Fills gaps by reconstructing missing tails from drum beats.

Filling

  • Method - Fill gap method.
    • None - The whole slice (beat) is stretched.
    • Echo grains - Granular-based stretching method. Waveform cycles are sliced (grains) and repeated.
    • Stretch - Time stretching (constant pitch).
  • Blur - A convolution blur function is used to smooth tails.
  • Random presence - Adds more stereo randomness on the tail blurring.

Tail envelope

  • Method - Decay method.
    • None - The whole beat is stretched.
    • Smooth fade - The attack transient is detected and left untouched. The tail is used for the gap-reconstruction and smoothly blended with the attack transient. Using this method, the original drum sound will be modified.
    • Append - Uses the same process as the 'Smooth fade' option but with the reconstructed tail appended. The transition between the original sound and the reconstructed tail will be more obvious, but the original drum will be left mostly intact.
  • Transient - Transient detection factor. The engine uses this factor to detect which part of the slice is the attack portion of the beat.
  • Tail slope - Slope of the reconstructed tail.
  • smoothing - Smoothing factor for the reconstructed tail slope.

Action buttons

  • Reset - Click to restore the default settings.
  • Preview - Audition the current settings.
  • Accept - Click to process and paste/replace the original selection.


Edison - Equalizer Tool

WAVE EDITOR / RECORDER

Equalize Tool

The Equalize Tool boosts or cuts frequencies according to a user defined EQ envelope. The example below shows the effect of the selected EQ curve on a white noise sample. Frequency is displayed on the horizontal axis, time on the vertical axis (sample start is at the top, sample end is at the bottom) while intensity/saturation of color represents frequency amplitude.

To Open the Equalization Tool

To open the tool you can either left-click on the EQ Tool button [image], press ( [image] Ctrl+E) inside Edison, or use the Tools > Spectral > EQ option.

Options

Editing envelopes - Right-click in the 'Envelope Editor Window' to add points, and left-click to move points and tension markers. Right-click points to open a context menu that will allow you to delete points or change the curve type. The default mid-line is 'no change'. Boost/Cut values appear in the FL Studio Hint Bar as the nodes and tension handles are moved.

Time is represented on the vertical axis and Frequency on the horizontal axis.

  • Envelope - Drop-down menu containing harmonically computed EQ envelopes. The harmonic series is based on the sample middle note (root note). Set this using the Sample properties dialog. The harmonic envelopes will remove sounds that do not belong to the harmonic series of the set note. These envelopes can be useful for extracting sustained notes from complex recordings or removing noise from recordings of tonal sounds.
  • Freq scale - Zooms the frequency scale for more or less precise EQ editing.
  • Mix - Adjusts the level of the dry to wet signal.
  • Smooth - Smooths the EQ envelope to reduce unwanted artifacts such as 'ringing'.
  • Phases - Allows the envelope to change the phase of the sample, top of scale is 180 degrees, bottom -180 degrees.
  • Reset - Resets the EQ envelope to the default state.
  • Accept - Applies the EQ curve to the sample.

EQ envelope options

  • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
  • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open plugins.
  • Undo - Undoes the last envelope edit.
  • Undo history - Shows the editing history since the last reset.
  • Flip vertically - Inverts the current envelope.
  • Scale levels - Opens the Scale Level tool.
  • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
  • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
  • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
  • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
  • Create sequence - Opens the Envelope Sequencer tool.
  • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.

Action buttons

  • Reset - Restore default settings.
  • Accept - Process and paste (replace) the original selection.


Edison - Noise Removal Tool

WAVE EDITOR / RECORDER

Noise Removal Tool

The Noise Removal Tool is built on iZotope RX technology [image] and can independently remove background noise (tonal or broadband) from a sample, repair clipped samples and remove clicks from samples. Any or all these denoise functions can be performed in a single pass. The modules are activated by the button in front of each section label.

NOTE: The Denoiser, Declipper and Declicker have a button preceding the section titles, this activates the given function when selected. The Declipper and Declicker are deactivated in the screenshot above.

To Open the Noise Removal Tool

To open the Noise Removal Tool left-click on the Clean up (denoise) button [image] or use the Tools > Spectral > Clean up (denoise) option.

Residual vs Removed Sound

Above the main display window.

  • Output noise only - When selected the parts of the sample removed by the Denoiser tool (noise) are heard. Select this button when you need to fine-tune the Denoiser process Threshold and Amount settings (using the Preview function). Listen for settings that sound only like the noise to be removed. If you hear parts of the sound you want to retain in the noise output, then the settings are too aggressive. When deselected the Preview & Accept buttons will deliver the processed (residual) sound according to the plugin settings.

Sample Display

The main display window shows a spectral view of the sample to be processed. This represents frequency on the horizontal axis and time on the vertical axis, while color represents intensity.

  • Frequency scale - Zooms the frequency scale for more or less precise EQ curve editing or frequency inspection.

EQ Envelope

The (white) EQ envelope allows a +12 to -24 dB EQ curve to be applied to the selected sample. Time is represented on the vertical axis and Frequency on the horizontal axis. Apply EQ in addition to the other noise reduction functions to fine-tune the result.

To edit the EQ curve: Right-click in the 'Envelope Editor Window' to add points, and left-click to move points and tension markers. Right-click points to open a context menu that allows you to delete points or change the curve type. The default mid-line is 'no change'. Boost/Cut values appear in the FL Studio Hint Bar as the nodes are moved.

If you need a dedicated equalizer use the Equalize tool.

  • Reset - Resets the EQ envelope to the default state.
  • Envelope options (small right facing arrow under the EQ display window).
    • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
    • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open Edisons.
    • Undo - Undoes the last envelope edit.
    • Undo history / Last reset - Shows the editing history since the last reset.
    • Flip vertically - Inverts the current envelope.
    • Scale levels - Opens the Scale Level tool.
    • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
    • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
    • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
    • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
    • Smooth up abrupt changes - Quick removal of 'spikey' or sudden changes in the envelope.
    • Create sequence - Opens the Envelope Sequencer tool.
    • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.

Denoiser

To activate ensure the Denoiser button is selected. The Denoiser is designed to reduce or remove constant background noises in recordings. This background noise can include tape hiss, microphone hum, power mains buzz, camera motor noise, air-conditioning rumble and any other type of noise that doesn't change in level or frequency significantly throughout the recording.

  • Threshold - Controls the separation of noise and desirable signal levels. Higher threshold settings reduce more noise, but also may suppress low-level desirable components of the signal (select the Output noise only switch to hear the sound being removed). A lower threshold preserves low-level signal details, but can result in noise being modulated by the retained sounds. A good default is 0 dB.
  • Amount - Controls the level of noise suppression in decibels. Strong suppression can degrade low-level residual audio, so it's recommended to apply only as much suppression as needed to reduce the target noise to the level that is barely noticeable (click the Preview button to audition various settings prior to applying the noise reduction). Remember, if the sound is to be used in a mix, then it is likely that less suppression will be needed to render the noise inaudible.

Using the Denoiser:

  1. Noise profile - The Denoiser needs to hear an example of the background noise, preferably in isolation from other sounds, so that it can generate an accurate 'noise profile'. From main Edison sample window, select a section of the sample that contains only noise (if possible). Examine the start and end of the sample, where noises are usually exposed. Alternatively, you may need to select regions in the sample where there are pauses in the desirable sound (breaks in speech or singing for example). If a 'noise-only' region can't be found, select a quiet section of the sample where the noise is at its most audible. After selecting the longest section of noise that you can find, right-click the Clean up (denoise) button to create the noise profile. If the Noise Removal Tool is open, click the Acquire noise profile button to select the noise sample.
  2. Select the region to be processed - Prior to returning to the Denoiser interface, make sure that the region you want to denoise is selected in the main Edison sample window (the Denoiser will retain the noise profile so it is OK to close the Denoiser to select the region to be processed). If no region is selected the whole sample will be processed, this is usually the desired outcome as processing small sections of a sample can lead to audible tonal changes at the boundaries of the processed region.
  3. Preview the settings - Open the Denoiser Tool and preview the default settings by clicking on the Preview button. Note the noise profile will appear in the Denoiser as a green frequency curve (see the screenshot above).
  4. Fine tune the controls - Sometimes you may hear 'underwater' artifacts of the noise reduction process, if so you should continue to adjust first the Threshold and then the Amount settings. You should apply only enough reduction (Amount) to make the noise barely or not noticeable in the context for which the sound is to be used. Excessive amount settings are guaranteed to cause audible artifacts. It is often useful to select the Output noise only button to more clearly hear the parts of the sample being removed. Ideally only noise will be heard.
  5. Accept the result - Once you are satisfied with the settings.
  6. Practice makes perfect - If you would like to experiment, the sound 'Maximus NoiseGate Tutorial 44kHz.wav' [image] is a vocal mixed with some power-supply hum, exposed at the end of the sample. To download the file you will need to create a logon at freesound [image]. The freesound project is an initiative of the Music Technology Group of Pompeu Fabra University [image] to build a library of Creative Commons [image] licensed sounds.

Declipper

To activate ensure the Declipper button is selected. The Declipper can repair digital and analog clipping artifacts that result when A/D converters are overloaded or magnetic tape is over-saturated. The Declipper can be extremely useful for saving recordings that can't be re-recorded such as live concerts, interviews or one-off audio events.

  • Threshold - Selects the clipping level used for detection of clipped peaks. The ideal setting is a level just below the actual level of clipping, you can examine the waveform in the main Edison window and inspect the clip level by hovering the mouse over the clipped waveform.

NOTE: The Declipper re-creates peaks above the clipped level and will therefore reduce the overall volume of the recording to provide headroom for this process. In light of this, declipping usually needs to be applied to the entire recording in order to avoid a sudden drop in volume in the processed region.

Declicker

To activate ensure the Declicker button is selected. The Declicker is useful for restoring for old vinyl and other recordings that cause clicks, pops and/or crackles. The Declicker can also remove a variety of short noises from other sources, including some clicks caused by digital errors or electrical interference. The Declicker works best on click-transients of 10 ms or less.

  • Sensitivity - Controls the aggressiveness of the click detection algorithm. Low values of this parameter will remove fewer clicks, while higher values may treat musical transients as clicks, resulting in distortion.

Accept button

  • Accept - Processes and pastes (replaces) the original selection.

Plugin Credits

Interface: Didier Dambrin.


Edison - Script Tool

WAVE EDITOR / RECORDER

Script Tool

The Edison & Slicex Script Tool ( [image] Ctrl+T) - Opens a menu containing the list of available scripts. You can write your own scripts using Visual Basic or Pascal, which will be compiled by the paxCompiler [image] and run when you select the script from the menu. The paxCompiler is a true Pascal compiler that allows you to write code to perform complex DSP on your samples.

Save scripts - as .pas files in the FL Studio installation directory under ..\Plugins\Fruity\Effects\Edison\Data\Scripts. Files saved here will be visible the next time you use the 'run script' command.

Dialogs - Note that while some of the demo scripts show a dialog, it isn't necessary to use them.

Errors - If a script has an error, a dialog is shown explaining the error with options to 'edit' the script or 'run' it again.

Writing scripts - Examine the contents of the existing scripts and read the Reference.txt file in the script directory to learn more about writing them and the functions available. You can learn more about Pascal HERE [image].

Edison Script Reference

Global variables
CRLF | string - acts as a line feed for showing multiline messages
Editor | TEditor
EditorSample | TSample
ScriptPath | string

Global functions
ProgressMsg | procedure ProgressMsg(const Msg:String;Pos,Total:Integer);
ShowMessage | procedure ShowMessage(const s: string);

Delphi/Windows functions
Dec | procedure dec(var Value, Decrement: integer);
FloatToStr | function FloatToStr(Value: extended): string;
Inc | procedure inc(var Value, Increment: integer);
IntToStr | function IntToStr(Value: integer): string;
Round | function Round(Value: double): integer;
TimeGetTime | function timeGetTime: integer; stdcall;

Wave related classes
// PasteFromTo modes
0: insert
1: replace
2: mix
---
// NormalizeFormat Mode flags (combine as needed)
NF_NumChannels: normalize the number of channels
NF_Format: normalize the sample format
NF_Samplerate: normalize the samplerate
NF_All: normalize all (combines all flags)
---
// region
TRegion = class
constructor Create;
procedure Copy(Source: TRegion);
property SampleStart: integer;
property SampleEnd: integer;
property Name: string;
property Info: string;
property Time: single;
property KeyNum: integer;
end;
---
// sample
TSample = class
constructor Create;
function GetSampleAt(Position, Channel: integer): single;
procedure SetSampleAt(Position, Channel: integer; Value: single);
procedure CenterFromTo(x1, x2: integer);
function NormalizeFromTo(x1, x2: integer; Vol: single; OnlyIfAbove: boolean = FALSE): single;
procedure AmpFromTo(x1, x2: integer; Vol: single);
procedure ReverseFromTo(x1, x2: integer);
procedure ReversePolarityFromTo(x1, x2: integer);
procedure SwapChannelsFromTo(x1, x2: integer);
procedure InsertSilence(x1, x2: integer);
procedure SilenceFromTo(x1, x2: integer);
procedure NoiseFromTo(x1, x2: integer; Mode: integer = 1; Vol: single = 1);
procedure SineFromTo(x1, x2: integer; Freq, Phase: double; Vol: single = 1);
procedure PasteFromTo(aSample: TSample; var x1, x2: integer; Mode: integer = 0);
procedure LoadFromClipboard;
procedure DeleteFromTo(x1, x2: integer; Copy: boolean = FALSE);
procedure TrimFromTo(x1, x2: integer);
function MsToSamples(Time: double): double;
function SamplesToMS(Time: double): double;
procedure LoadFromFile(const Filename: string); // loads a full filename (use ScriptPath to complete it)
procedure LoadFromFile_Ask; // shows open dialog
procedure NormalizeFormat(Source: TSample; Mode: integer = nfAll);
function GetRegion(Index: integer): TRegion;
function AddRegion(const SetName: string; SampleStart: integer; SampleEnd: integer = MaxInt): integer;
procedure DeleteRegion(Index: integer);
property Length: integer;
property NumChans: integer;
property Samplerate: integer;
property RegionCount: integer;
end;
---
// editor
TEditor = class
function GetSelectionS(var x1, x2: integer): boolean;
function GetSelectionMS(var x1, x2: double): boolean;
property Sample: TSample;
end;

Dialog classes and functions
TInput = class
property DefaultValue: single;
property ValueAsInt: integer;
property Min: single;
property Max: single;
end;
---
TScriptDialog = class
constructor Create;
function AddInput(const aName: string; Value: single): TInput;
function AddInputKnob(const aName: string; Value, Min, Max: single): TInput;
function AddInputCombo(const aName, ValueList: string; Value: integer): TInput;
function GetInput(const aName: string): TInput;
function GetInputValue(const aName: string): single;
function GetInputValueAsInt(const aName: string): integer;
function Execute: boolean;
end;
---
function CreateScriptDialog(const Title, Description: string): TScriptDialog;


Edison - Stretch / Pitch Tool

WAVE EDITOR / RECORDER

Time Stretch / Pitch Shift Tool

The Time Stretch / Pitch Shift tool allows you to alter the duration, pitch and formant of a sample independently. Edison and more generally the Sampler Channels & Slicer tool, use the élastique Pro, zplane algorithms to deliver advanced time stretching / pitch shifting that meets the standards of professional production and broadcast applications.

To Open the Time Stretch / Pitch Shift Tool

To open the tool you can either left-click on the Time Tool button [image], press ( [image] Alt+T) inside Edison, or use the Tools > Time > Time stretch / Pitch shift option. To open the paste-stretch dialog press ( [image] Ctrl+Alt+V) or use the Tools > Edit > Paste stretch option. The paste-stretch dialog is available only after a sample selection cut or copy operation.

Options

  • Pitch coarse - Change the base pitch in semitones.
  • Fine - Change the base pitch in cents.
  • Mul - Pitch range multiplier (in %).
  • Time mul - Change sample duration in %. In 'paste-stretch' mode this value is automatically calculated.
  • Length (ms) - Change sample duration by specifying length in milliseconds(ms). In 'paste-stretch' mode this value is automatically calculated.
  • Method - Select from the following pitch shifting/preservation methods. NOTE: Certain methods may disable or automatically adjust the 'Formant preservation' settings. Affected settings appear in a lower contrast and tweaking the control has no effect.
    • Resample - Standard pitch shifting that varies sample length to change pitch.
    • Pro default - The 'Default' mode is designed to work with a wide range of input signals, try the other modes only if 'Default' fails to give the result you need.
    • Pro transient - In certain sounds the transients are crucial for the overall sound (percussion for example), this mode attempts to preserve the transients in the input signal.
    • Transient - This is a lower CPU usage transient preserving stretch methods, and corresponds to the élastique time stretching default mode. It is provided as an alternative to the 'Pro Transient' mode.
    • Tonal - Provides higher quality for input signals with a focus on tonal (pitched) parts.
    • Monophonic - Is specialized for monophonic input signals (such as vocals or solo instruments) and should give the best results for these type of signals. The tonal quality is achieved through formant-preservation (see the section below for more on formants).
    • Speech - This mode is optimized for speech (use 'Monophonic' mode for singing).
  • Insert - If this switch is on the effected audio will be inserted, if it is off the sample will be mixed with the original.

Formant preservation

Using the formant section - In order to manually preserve the natural tonal quality of the sound select 'Pro Default' method and set the Factor crs setting to the same value of the Pitch coarse in the 'Options' section above. For example, if the 'Options' Pitch coarse setting is +5 then set the Formant envelope Pitch crs to +5.

Formants are peaks in the frequency spectrum caused by resonances, natural frequencies of vibration, of an instrument. Trumpets, guitars, violins, drums and the human voice all have formants. The human voice is an excellent case study for the importance of formant preservation as we are particularly sensitive to vocal formants. Resonances of the voice stem from mouth, sinuses and throat cavities and convey information about the size, age and sex of the vocalist. Normally, as the pitch of the vocal chords are raised or lowered, formants change intensity while the peak frequencies stay relatively fixed. A problem with 'traditional' pitch shifting of vocal recordings is that the formants transpose with pitch (itself an unnatural phenomenon) or fall outside the expected range; the 'chipmunk' effect is a classic example of formants shifted too high. Formant preservation algorithms work by detecting the pitch of the formants in the original sound and then apply the same frequency resonances to the pitch-shifted sound, preserving the 'natural' quality of the voice or instrument. The formant controls in Edison are -

  • Factor crs - Moves the base pitch of the formants, in semitones.
  • Fine - Changes the base pitch of the formants in cents.
  • Mul - Formant pitch range multiplier in %.
  • Order - The default setting works for most material. If the input audio is high pitched the order should be lowered if the input audio is low pitched the value should be raised.
  • Copy from pitch - Copies the pitch value from the 'Options' section above. If you select this after setting the desired pitch shift in the 'Options' section, then the formants should be automatically preserved.

NOTE: If these controls appear to be lower contrast or 'grayed-out', compared to normal, it means that they are disabled for the selected Pitch Shift/Time Stretch method in the 'Options' section.

Action buttons

  • Reset - Restore default settings.
  • Accept - Process and paste (replace) the original selection.


Edison - Looping Tool

WAVE EDITOR / RECORDER

Tune Loop Tool

The Edison Loop Tuner allows you to remove clicks, pops or beating sounds from a loop. The Loop Tuner is not an automatic loop finding tool, it is intended for smoothing loops that have already been selected. Be aware that to accommodate the loop smoothing process, some settings will move the loop-start point automatically. To preserve your loop-start point, set the Crossfade and Snap settings to minimum.

To Open the Loop Tuner Tool

To open the tool, either left-click on the Tune Loop button [image], press ( [image] Ctrl+L) inside Edison, or use the Tools > Regions > Tune loop option.

Options

  • Crossfade - Changes the amount of crossfading. The end of the sample loop is crossfaded (blended) with the region before the loop start so that the end of the loop blends smoothly with the beginning of the loop. Consequently, the loop start point will be adjusted automatically as the Crossfade value is changed, to bring in more or less of the pre-loop sample data into the loop.
  • Snap - The Crossfade and Smear processes take advantage of the detected pitch of the sample (set it in the sample settings, click [image] F2 inside Edison). In order to minimize phase cancellation, the Smear echoes are snapped to the pitch period. The snap setting changes the multiple of the pitch period (shown in the title bar) that the Smear tool works to.
  • Smear order - A 'smoothing/blurring' tool that works by smearing together multiple 'echoes' of the waveform. The higher the value of this parameter the more closely spaced the echoes (delay taps). Works best on sustained sounds (e.g. pads/strings) and is designed to minimize the 'beating' sound sometimes heard in bad loops.
  • Scale - Similar to a 'tension' parameter. Controls the peak of the smear function. Higher values create a sharper cut-off at the blur boundaries.
  • Amp - Changes the amplitude (volume) of the loop.
  • Accept - Applies the changes to the loop.

Using Loop Tuner

When you open the tool the selected region or loop will play continually, allowing you to process the loop with the options above. Technical explanations have been provided here for your edification, however experimentation and 'setting by ear' are the best way to use this tool (if it sounds good, it is good).

Selecting the loop - Loop Tuner will work on the selected loop or active region when opened. If you have no selections the whole sample will be used.

Loop start position - Some settings will move the loop-start point automatically, to accommodate the loop smoothing process. To preserve your loop-start point set the Crossfade and Snap settings to minimum.

Settings - Loop Tuner remembers the last settings used and applies them the next time it is opened.

Action button

  • Accept - Process and paste (replace) the original selection.


EQUO - Effect Plugin

EFFECTS

EQUO - Morphing Graphic Equalizer

EQUO is an advanced morphing graphic equalizer plugin. Equalizing is the process of increasing or decreasing the loudness of specific frequencies. EQUO is particularly suited to live or automated tweaking during a performance. The main display contains both the EQ (VOL) and EQ (PAN) controls so that sounds can not only be shaped according to frequency content, but panning can be applied on specific frequency basis. Further, One Master EQ shape and then a further 8 separate EQ/PAN shapes may be set and then these EQ shapes can be smoothly morphed using the Morph knob.

When to use: EQUO was designed as a 'broad brush' tone-shaping effect rather than as a surgical EQ. For precision equalizing duties use Fruity Parametric EQ 2.

Parameters

Morph Section

  • Shift (Band Shift) - Turning the knob to the right will move the current EQ shape to the higher frequencies, moving the knob to the left shifts the current shape to the lower frequencies. Try automating this parameter.

  • Mix (Band mix) - By default, applies 100% of the selected EQ shape to the (knob full right). Moving the knob fully left will apply -100% of the current shape (invert it). The 12'Oclock position applies 0% EQ.
  • Morph (Between Banks)- Morphs (blends) between banks 1 (knob fully left) to 8 (knob fully right). For this function to have an effect you must set different EQ curves on each bank.
  • Smooth (Motion Smoothness) - Sets how quickly changes to EQUO settings can happen. This is like an inertia effect for knobs.
  • Vol - Main output volume.

Setup Section

Contains controls to set the routing and audio quality

  • Send only | Send - Mutes the direct output from EQUO in the present Mixer channel. The LED display window shows which of the 4 'Send' mixer tracks EQUO is set to. The Send window is not operational if EQUO is in the Master Mixer channel to avoid a feedback loop. NOTE: To send EQUO's outut to mixer tracks other than the 'Send' tracks, use normal inter-track routing.
  • Add mode - Normally EQUO band-slices the incoming audio, effects it and recombines the audio at the output. The band-slicing and recombination process introduces subtle changes to the input audio, even when no EQ is applied (the EQ bands are flat). Add mode combines (adds) the sound of EQUO to the original input rather than replacing it (as normal) to avoid these subtle effects. However, in add mode an EQ band set to minimum will allow the original signal to pass.
  • Over sample - Engages 2X oversampling for higher audio quality.
  • BW (Band Width) - Changes the bandwidth of the EQUO bands. Simply adjust for the most pleasing sound.

Main Display

There are several controls available from the main screen that will change the way you can shape the EQ or PAN settings.

  • Options Menu - [image] Contains three options, Random Curve, that produces a random EQ or PAN cuve, surprisingly :) Flat Line that resets the current EQ curve to the default state and Interpolate 1 to 8, this allows you to set a EQ or PAN curve in bank 1 and 8 and then EQUO will create the intermediate steps in-between on banks 2 to 7.
  • Drawing modes - There are three drawing modes available by clicking the appropriate icon:
    • Pencil mode [image] - allows you to move individual EQ or PAN bands with precision.
    • Line mode [image] - Left click and drag the mouse to create straight lines.
    • Curve mode [image] - Left click and drag the mouse to create smooth curves.
  • Analyze - When the Analyze button is held, EQUO will average the frequency spectrum of the incoming signal (over the duration the button is held) and upon release create an EQ curve antagonistic to that signal (that is an EQ curve that when combined with the input will tend to be flat). The interaction of the analyzed curve can be varied from antagonistic (cut) though to complimentary (boost) with the MIX knob. NOTE: Bands 40 Hz and below are not included in the 'Analyze' function as they 'muddy' the mix, set them manually if you require sub-bass EQ.
  • EQ/PAN On/Off/Locked - Clicking the light-blue box at the top of an EQ band will switch through the sequence 1 - Band OFF, 2 - Band Locked, 3 - Band Enabled (default).

  • Adjusting bands - Clicking in the display area will activate the band under your mouse pointer. Move the band up and down as required. Consider these bands to be the sliders on a Graphic equalizer and you have a good idea of the basic interface. The image below shows EQUO in curve mode tracking an upward movement of the mouse, to move individual bands set EQUO to pencil mode.

  • Bank M, 1 to 8 - Select these to individually set the Master bank or Banks 1 to 8. The Master bank is applied to the final output of the plugin and is not used in the morphing sequence between banks.
  • VOL/PAN/SEND - Switches, determine if the action in the main EQ area affect, VOL (Volume) - the standard EQ volume as a function of frequency, PAN - The stereo panning of the selected frequency or Send - The send levels for the selected frequencies.

Plugin Credits: Didier Dambrin.


Fruity 7 Band EQ - Effect Plugin

MIXING & EFFECTS

Fruity 7 Band EQ

Fruity 7 Band EQ is a seven-band (one low shelf, one high shelf and five peaking) equalizer plugin, optimized for low CPU use. It is a close cousin of Fruity Parametric EQ, which provides greater control.

Equalization (EQ) is an industry term for 'tone control', and is the process of increasing or decreasing the loudness of specific frequencies. Most Hi-Fi systems have at least ‘bass’ and ‘treble’ controls. Fruity 7 Band EQ has seven tone controls with slightly overlapping areas. If the knobs were sliders we would call this a seven-band ‘graphic equalizer’. It’s all the same thing, really.

Parameters

The parameters represent the levels of seven pre-defined frequency bands. Turn each knob to the right to boost a band, or to the left to decrease its level.

Tips

  • Map the band knobs to the first row of your MIDI controller if you have one, for easier handling.
  • Disable the bands (set the level to 0) to save CPU processing.

Plugin Credits: Didier Dambrin


Fruity Balance - Effect Plugin

MIXING & EFFECTS

Fruity Balance

Fruity Balance Fruity Balance is a stereo balance plugin, optimized for real-time level automation to avoid pops and clicks that can accompany changes in some parameters. This is a true panning effect, it works by mixing left and right channels so that the left and right stereo channel information are no longer independent when panned. It’s the audio equivalent of starting with two glasses with the same water level in each (balanced) and then pouring one glass into the other (the contents are mixed). The alternative approach is to vary the relative loudness of the left and right channels to create a panning effect while maintaining the independence of the channels.

Parameters

  • Balance - Sets the stereo balance of the sound.
  • Volume - Sets the sound volume.

Plugin Credits: Didier Dambrin


Fruity Bass Boost - Effect Plugin

MIXING & EFFECTS

Fruity Bass Boost

Fruity Bass Boost is a bass enhancing effect (specialized EQ). You may need to adjust the track volume to avoid clipping since this FX works by ‘boosting’ frequencies. Try it on bass and kick drum sounds. Yes it’s just a fancy ‘bass’ knob :)

Parameters

  • Frequency - Adjusts the frequency range to be boosted.
  • Amount - Sets the effect strength.

Notes

  • You may have to adjust the track volume to avoid clipping when using this plugin.

Plugin Credits: Didier Dambrin


Fruity Big Clock - Tool

MIXING & EFFECTS

Fruity Big Clock

Fruity Big Clock: Can’t see the menu bar clock? Too proud to wear glasses? Then the Fruity Big Clock plugin is for you. It shows the playing time in Bar:Beat:Tick format and Minute:Second:1/100 format. Optionally, it can also display the song time in Bar:Step:Tick format.

To use, just drop an instance of the plugin on any Mixer track (the position does not matter). If only everything in life was this simple :)

Plugin Credits: Didier Dambrin


Fruity Blood Overdrive - Effect Plugin

MIXING & EFFECTS

Fruity Blood Overdrive

Fruity Blood Overdrive is a distortion FX, specially designed for the needs of digital-audio musicians. It provides overdrive distortion using classic techniques that give compressed and soft sounds, as opposed to the harsh sound produced by many overdrive plugins. This FX works particularly well with Guitar sounds. The integrated bandpass filter gives the ability to overdrive non-guitar audio that would otherwise produce poor results.

Parameters

  • PreBand - Sets the amount of band filtering that is applied to the audio before it is overdriven. Use this to improve the effect quality that may result from overdriving audio with a broad frequency range.
  • Color - Sets the frequency of the band filtering.
  • PreAmp - Overdrives the audio in order to achieve distortion. As you increase the PreAmp parameter, you need to compensate with the PostGain knob.
  • x100 - Increases the power of PreAmp a hundred times. This is normally only useful on single instrumental tracks.
  • PostFilter - The preamplified audio is low-pass filtered at the frequency specified by this wheel. This is another option for cleaning up the distortion.
  • PostGain - Final gain reducer (at maximum leaves the gain at its original level after distortion). The preamplifier boosts the output considerably, so you need to compensate with this parameter.

Tips and Notes

  • The order in which the filters are applied is: Band Pass Filter (PreBand) > Preamplifier (PreAmp) > 2-Pole Low Pass Filter (PostFilter) > Reduce Gain (PostGain) > Final Digital Clipping.
  • If the output is too loud, do not try to reduce the input to the plugin, reduce it with PostGain (otherwise it will remove the distortion).
  • After the audio has been preamplified and clipped, the signal still can be up to 300% out of range. When it is clipped after PostGain, normal, (harsh sounding), digital clipping is used. Therefore, a better sound is achieved if you take care to always compensate for PreAmp by reducing PostGain.
  • Playing a mix through the plugin, (even without preamplifying), causes upward compression on the independent frequency bands. This gives overall upward compression and flattens the equalizer. This can be used to improve some mixes, and can even be used to master some projects (the compression is caused by non-linear signal response similar to vacuum tube compressors).

Plugin Credits: David Billen


Fruity Center Effect

MIXING & EFFECTS

Fruity Center

Fruity Center removes DC offsets [image] in real-time and is useful for synthesizers which generate DC offset with certain settings, such as TS404. The term DC offset comes from electronic engineering, and refers to the situation where a Direct Current (DC) exists, that is a constant positive or negative deflection in the output from a plugin, rather than being at rest (zero) when no sound is present. This can cause problems as the waveform will oscillate around this 'offset' center and so have reduced headroom on the side of the DC offset bias.

In the example below, the oscilloscope displays the case for no audio signal (1), so the offset is clearer, but with a positive DC offset. The oscilloscope output (2) shows no DC offset, either positive or negative, as a result of switching the Fruity Center plugin on.

Parameters

  • Status - Allows you switch the plugin on and off.

Plugin Credits: Didier Dambrin

Thanks to: David Billen for code sample.


Fruity Chorus - Effect Plugin

MIXING & EFFECTS

Fruity Chorus

Fruity Chorus is an FL Studio exclusive plugin developed by Smart Electronix. Chorus is an effect created by the slight detuning of one or more delayed copies of the input sound (similar to a choir of voices).The controls contain parameters that affect the rate, time offset, shape and depth of detune.

Parameters

  • Delay - Sets the minimum delay between the chorus voices. The chorus delay will be swept between delay and delay+depth. Range: 0 to 30 milliseconds. For 'deep' chorus effect, set this parameter to low values.
  • Depth - Controls the chorus delay modulation. The chorus delay will be swept between delay and delay+depth. If this value is zero, the chorus will remain 'static' as the delay modulation will stay constant. Setting the 'Depth' to higher values will create heavier modulation.
  • Stereo- Controls widening of the stereo image. If set to 0, the LFO on the left and right channel will be in perfect synchronization. At 180 degrees the left and right channel will be 100% out of phase, i.e. left channel will reach maximum when right channel is at minimum. Range: 0 to 360 degrees. Try setting 10 degrees for subtle stereo enhancement.
  • LFO 1 Freq / LFO 2 Freq / LFO 2 Freq - Sets LFO modulation speed.
  • LFO 1 Wave / LFO 2 Wave / LFO 3 Wave - Waveform of the LFO. Multi-sine is a mix of a normal sine wave and one three times its speed.
  • Cross Type - Defines whether the plugin works on the lower or higher frequency part of the signal. Process HP processes only high frequencies, Process LP processes only low frequencies.
  • Cross Cutoff - Cutoff frequency of the cross-over filter.
  • Wet Only - If using the chorus as a send effect, switch this parameter to mix the pure 'wet' output with the source sound.

Plugin Credits: Smart Electron:x


Fruity Compressor - Effect Plugin

MIXING & EFFECTS

Fruity Compressor

Fruity Compressor: Compression is one of the most important effects used in enhancing modern music. It gives kick drums more 'thump', makes bass sound 'fat'. Importantly, compression makes a mix sound much louder.

Compression [image] is a form of automated gain control that reduces the dynamic range of sounds. When the input signal exceeds a predetermined threshold the gain is reduced. The art of setting a compressor is mainly in fine-tuning the magnitude, speed and timing of the automated gain changes so that the compression process does not introduce artifacts. Compressing the peak transients in a signal, frees up headroom to raise the gain of the sustained portions of the sound, this step increases loudness. NOTE: compression represents a trade-off between dynamics and loudness, welcome to the loudness wars!

Fruity Compressor is a variable-knee compressor with built-in peak limiting. The controls for this plugin relate to the relationship between input and output volume. A related, but more sophisticated, plugin is Fruity Limiter

When to use: Use the Fruity Compressor on individual sounds in mixer tracks. It is particularly well suited to vocal tracks, individual kick/percussion and bass sounds. If you are mastering (compressing in the Master Mixer Track) and need to apply compression to a complete mix we recommend using Fruity Multiband Compressor or Maximus instead.

Parameters

  • Threshold - Sets the dB level at which the compressor kicks in. Range: 0.0 to -60.0 dB. The threshold should be adjusted according to the relative input level and the type of audio material. Once the threshold level is reached, compression will start, reducing the gain of the input signal according to the current Ratio, Type, Attack and Release settings.
  • Ratio - Controls the amount of compression (gain reduction) that will be applied to the signal once the threshold level is reached. Range: 0.4:1 to 30:1. Ratio denotes the difference in dB between input level and output level, i.e. how much the signal above threshold level will be compressed (or expanded, at ratios below 1:1). For example, a ratio of 4:1 means that when the input level increases by 4dB, the output level of the signal above threshold will only increase by 1dB.
  • Gain - Controls the amount of gain to be added or subtracted from the compressed output signal. Range: 30.0 to -30.0 dB. The gain should be adjusted to normalize the signal amplitude after compression, or to control the amount of limiting.
  • Attack - Controls the time it takes to reach full compression once the threshold level has been exceeded. Range: 0.0 to 400.0 ms. Fast attack means that compression will be more or less instant. Slow attack results in the compression being gradually increased, allowing for more variations in the signal than a fast setting. Attack should be adjusted according to the type of audio material being used.
  • Release - Sets the time the compressor takes to stop acting after the level has fallen below threshold. Range: 1 to 4000 ms. Short release times will make the compression more flexible and able to adapt to the input signal, but can cause fast changes in gain that may sound unpleasant. Long release times produce a signal with a more even level and less distortion, but make it harder to maximize the overall compression because small variations in signal level will be ignored.
  • Type - Controls the knee type and TCR. The possible values are: Hard, Medium, Vintage, Soft, Hard/R, Medium/R, Vintage/R, Soft/R. The knee determines the dB range, above and below the threshold, in which the compression changes from 1:1 to the selected compression ratio. A hard knee setting means that compression will take place immediately after the threshold level is reached, whereas a soft knee setting indicates that compression is gradually applied over a range in the signal. See Knee Type below for more information on these values.

Knee Type

While attack controls the speed with which compression is applied, the compressor's knee characteristics control the rate at which compression is applied. Soft means there is a gradual increase from no to full compression as the input volume increases, while hard means the transition from no to full compression is instant once a predefined input level is exceeded.

The actual values for this property mean:

  • Hard - 0 dB
  • Medium - 6 dB
  • Vintage - 7 dB
  • Soft - 15 dB

The Vintage compression type emulates the compression curve found on some analog compressors, such as the classic Teletronix LA2A. The major difference is that the compression ratio is gradually reduced at a distance above threshold, slowly allowing the level to go back to a ratio of 1:1. This allows the loudest parts of the signal, such as drum beats and other peaks, to pass without being compressed as much as the rest of the signal. In this way, the Vintage compression type emulates electro-optical analog designs and can greatly enhance warmth and 'punch'. The Vintage compression type also affects the TCR parameter, utilizing a different release time adjustment method.

The R types enable TCR (Transient Controlled Release), a special algorithm that automatically adjusts the release time in real-time to avoid fast compression changes. The release time is adjusted in relation to the current Release parameter setting. Enabling TCR can have positive effects on some types of audio material, and help to reduce "pumping and breathing", while increasing the overall loudness of the signal.

Plugin Credits: Ultrafunk


Fruity dB Meter - Visual Tool

MIXING & EFFECTS

Fruity dB Meter

Fruity dB Meter: is a large-display peak meter in a dB (decibel) format. Any signal above 0 dB is displayed in orange (see the Levels & Mixing section for an explanation of why over 0 dB may not be a problem). Hold the mouse cursor over the display to see the decibel level. Right-click it to reset the peak holds.

Related plugins: Wavecandy has a range of fully customizable metering options covering most common metering types.

Suggested usage:

Fruity dB Meter can be set at various points in the Fx chain, to check levels before and after different effects (e.g. compressors).

NOTE: there is also an General Settings option Alternate meter scale that will change the scaling of all FL Studio peak meters.

Plugin Credits: Didier Dambrin


Fruity Delay - Effect Plugin

MIXING & EFFECTS

Fruity Delay

Fruity Delay is a delay line plugin, with inverted stereo / ping pong modes & a lowpass filter, optimized for automation (input and feedback values are ramped).

Related plugins: Fruity delay is closely related to the Fruity Delay 2 plugin. Fruity Delay Bank is the most sophistocated delay plugin in the FL Studio effects kit.

Parameters

  • Input - Sets the volume level of the input signal
  • Feedback - Sets the echo volume. Setting this value at maximum creates a constant level of feedback (i.e. echoes that do not fade out).
  • Cutoff - Sets the cutoff frequency for the low-pass filter used on the echoes. Set to maximum to disable this feature.
  • Tempo - Allows you to set the tempo used to generate the echoes. 'Auto' uses the tempo of FL Studio, while the other values provide custom tempo settings.
  • Steps - Determines the amount of time between each echo. The default is three steps/notes.
  • Mode - Sets the delay filter in a special mode for processing the stereo signal: Normal processes the stereo signal as in the original, Inv Stereo swaps the right and left channels for all echoes, Ping Pong swaps the left and right channels of the input for each echo, creating a 'bouncing' effect (if the source contains panned sounds).

Notes & Tips

  • You may need to use the Fruity Center DC offset removal when the delay is applied on a TS404 channel.
  • Echoes may break up if there is tempo automation, due to a limitation in the delay engine (the buffer has to be rebuilt to match the tempo).

Plugin Credits: Didier Dambrin


Fruity Delay 2 - Effect Plugin

MIXING & EFFECTS

Fruity Delay 2

Fruity Delay 2 is an enhanced version of the Fruity Delay VST plugin, with refined controls and some additional features, such as stereo offset and panning control for the input signal.

Related plugin: Fruity Delay Bank is a more sophistocated delay plugin, for those times when one delay is not enough.

Parameters

Input Section

Allows you to tune the volume and panning of the input signal.

  • Panning wheel (PAN) - Sets the panning of the input signal.
  • Volume wheel (VOL) - Sets the volume of the input signal.

Feedback Section

Sets various options for the echo feedback.

  • Normal/Inverted/Ping Pong - Normal keeps the stereo data consistent with the input signal; Inverted switches the left and right channels in the feedback (so if the input is panned to right, the feedback will be panned to left); Ping Pong works like Inverted, but switches the left and right channels repeatedly for each echo generated (thus creating a "ping pong" effect).
  • Volume wheel (VOL) - sets the volume of the feedback. Setting this to maximum will create feedback that never fades out, while setting it to minimum (spun maximum to left) will result in no feedback.
  • Cutoff wheel (CUT) - sets the cutoff frequency amount for the feedback. Using this feature allows you to "smooth out" echoes as they fade out thus creating more natural effect.

Time Section

Contains the time settings of the delay effect.

  • Time wheel (TIME) - sets the signal delay time (and amount of time between echoes in the feedback). This setting is tempo based. If you want to set the time to an exact number of steps, right-click the wheel and from the popup menu that appears select the Set submenu for a list of presets.
  • Stereo Offset wheel (OFS) - lets you set a time offset for the left or right audio channel, thus creating richer stereo panorama of the delay effect. To delay the left channel, spin the wheel to the left. To delay the right channel, spin it to the right. To remove the time offset between channels, reset the wheel (right-click the wheel and select the Reset command).

Dry Section

Contains a single wheel (VOL) that sets the amount of "dry" (unprocessed) signal to be mixed with the "wet" (processed by the effect) signal.

If you want to use Fruity Delay 2 in a send track, it is recommended to set the dry volume to 0 (the wheel spun maximum to left).

Plugin Credits: Didier Dambrin


Fruity Delay Bank - Effect Plugin

MIXING & EFFECTS

Fruity Delay Bank

Fruity Delay Bank is a powerful delay/filter plugin. This effect consists of a bank of 8 identical banks, each of which can be fed to the next bank in the chain, to create complex delay and filtering effects.

Related plugins: Fruity Delay and Fruity Delay 2 are less complex delay plugins, useful for those times when Delay Bank is messing too much with your head.

Parameters

The top right corner of the Delay Bank are a set of global controls

  • Oversample Switch - 2X Oversampling to improve the sound quality of the filters.
  • Dry Sound Level (DRY) - The level of dry (unprocessed) signal that bypasses the Delay Bank effect, 0% to 100%.
  • Processed Sound Level (WET) - The volume of the processed sound coming from the Delay Bank, 0% to 100%.
  • Input Volume (IN) - The level of the signal fed into the Delay Banks.
  • Feedback (FB) - Global feedback value.

Each bank consists of a series of processes, running from Left to Right they are discussed below

IN

Input Section Allows you to set volume and panning of the input signal.

  • On/Off switch (ON) - Turns the selected Bank ON or OFF.
  • Solo switch (SOLO) - Solos the sound of the selected Bank. Silences all other banks.
  • Pan knob (PAN) - Sets the panning of the input signal.
  • Volume knob (VOL) - Sets the volume of the input signal.

FILT

Filter Section determines the filter type, cutoffs and if the filtering is applied before or after the delay section.

  • Filter Pre/Post Delay (POST) - Determines whether filtering is applied before or after the delay. This setting is most audible when the filter is automated.
  • Input Filter Type/Mode - ( [image]), The first section of this display can be used to change between one of 8 filter states (OFF - No filter, LP - Low Pass, BP - Band Pass, NOT - Notch, HP - High Pass, LS - Low Shelf, PK - Peaking, HS - High Shelf). The Filter Mode Switches, 1 to 3 determine the slope of the cutoff filter, 1 = 12 dB/Octave, 2 = 24 dB/Octave and 3 = 36 dB/Octave.
  • Filter Input (GAIN) - Adjusts the filter output volume, 10% to 200%
  • Input Filter Cutoff Frequency (CUT) - Sets the filter cutoff frequency amount for the feedback. This progressively filters each successive repeat to ?smooth out? echoes as they fade out creating a more natural effect.
  • Input Filter Resonance/Bandwidth (RES) - Boosts a narrow band of frequencies close to the cutoff value to create a ringing effect.

FEEDBACK

Echo Feedback Section - Controls how echoes from the delay are processed.

  • Echo Processing - ( [image]) Look very carefully at the second bar in each image. The first switch state shown is Process First Echo the second is Leave First Echo. This function decides if the first echo is affected by the echo filtering section.
  • Tempo Based Time Switch - ( [image]), The first T shows enabled the second disabled. Tempo based time forces the echoes to sync with the BPM of the project.
  • Delay Timing (TIME) - Determines the spacing between echoes.

  • Stereo Offset (OFS) - Affects the L and R spacing

  • Separation (SEP) - Lets you set a time offset for the left or right audio channel, to create a richer stereo panorama of the delay effect. To delay the left channel, move the slider down. To delay the right channel, move the slider up. To remove the time offset between channels, center the slider (right-click the knob and select the Reset command).

  • Input Filter Cutoff Frequency (CUT) - Sets the filter cutoff frequency amount for the feedback. This progressively filters each successive repeat to ?smooth out? echoes as they fade out creating more natural effect.
  • Feedback Mode Off (OFF) - Turns feedback off.
  • Feedback Mode Inverted (INV) - Swaps the left and right channels in the feedback (so if the input is panned to right, the feedback will be panned to left).
  • Feedback Mode Normal (NORM) - Keeps the stereo data consistent with the input signal.
  • Feedback Mode Ping-Pong (P.PONG) - Works like Inverted, but switches the left and right channels repeatedly for each echo generated, creating a "ping pong" effect.

FB FILT

Feedback Filtering - Contains a set of filtering options for the feedback signal.

  • Feedback Filter Type/Mode - ( [image]), The first section of this display can be used to change between one of 8 filter states (OFF - No filter, LP - Low Pass, BP - Band Pass, NOT - Notch, HP - High Pass, LS - Low Shelf, PK - Peaking, HS - High Shelf). The Filter Mode Switches, 1 to 3 determine the slope of the cutoff filter, 1 = 12 dB/Octave, 2 = 24 dB/Octave and 3 = 36 dB/Octave.
  • Feedback Filter Gain (GAIN) - Adjusts the filter output volume, 10% to 200%.
  • Feedback Filter Cutoff Frequency (CUT) - Sets the filter cutoff frequency amount for the feedback. This progressively filters each successive repeat to ?smooth out? echoes as they fade out, creating more natural effect.
  • Feedback Filter Resonance/Bandwidth (RES) - Boosts a narrow band of frequencies close to the cutoff value, creating a ringing effect.

GRAIN

Granualizing - is the process of chopping audio into small chunks (grains). The grain effect is here applied to the echoes of the delay.

  • Grain Division (DIV) - Slices the delay sound into small pieces (grains) using an envelope function. The grains are aligned to the size of the echo for a smooth sound.
  • Grain Shape (SH) - Adjusts the shape of the chopping envelope and therefore defines the nature of the grain sound. Tweak it until it sounds good.

OUT

Bank output - Each bank can pass its output to the next bank in the chain, or to the main outputs.

  • Output to Next Delay Bank (NEXT) - Changes the level sent to the next bank in the chain. This is not available for last (eighth) bank.
  • Output Pan (PAN) - Changes the panning of the output from the bank.
  • Output Volume (VOL) - Final bank output level control.

Plugin Credits: Didier Dambrin


Fruity Fast Dist - Effect Plugin

MIXING & EFFECTS

Fruity Fast Dist

Fruity Fast Dist Fruity Fast Dist is a CPU-friendly distortion effect. It is the same distortion effect used in the TS404 synth.

Try using this plugin on bass and kick drum sounds for a gritty and punchier effect.

Parameters

  • Preamp wheel (PRE) - Allows you to amp up or down the signal before it is distorted. The middle position means 100% volume. You might need to increase the volume sometimes with this wheel to get distortion.
  • Threshold wheel (THRES) - Selects the frequency band to be distorted. The more you turn this wheel to right, the wider the band is.
  • A/B switch - Selects among two types of distortion.
  • Mix wheel (MIX) - Allows you to mix the dry sound (unprocessed) with the distorted sound. Turn the wheel maximum to the right to hear only the distorted sound.
  • Post Gain wheel (POST) - If you distort the sound too much, it will become too loud. This wheel lets you reduce the volume AFTER applying the distortion. Rotated maximum to the right gives 100% the volume of the sound.

Plugin Credits: Richard Hoffmann, Didier Dambrin


Fruity Fast LP - Effect Plugin

MIXING & EFFECTS

Fruity Fast LP

Fruity Fast LP is a lowpass filter with very low processor usage, optimized for automation. This is the same filter algorithm used in the Instrument Channel Settings' Fast LP' filter .

Parameters

  • Cutoff - Sets the "cutoff" frequency used in the filter (the higher the value, the wider the band passed through the filter).
  • Resonance - Sets the filter's resonance: this is an amplified frequency band near the cutoff level used to create special effects.

Plugin Credits: Didier Dambrin


Fruity Filter - Effect Plugin

MIXING & EFFECTS

Fruity Filter

Fruity Filter is a variable state filter plugin, optimized for automation (level ramping, without clicks or pops). For advanced filtering effects try Fruity Love Phiter

Parameters

  • Cutoff Freq - Sets the cutoff frequency for the lowpass/bandpass/highpass filters.
  • Resonance - Boosts a frequency band near the cutoff level, to create a sound 'sharpening' special effect.
  • Low Pass - Amount of lowpass filter mixed in the output. Leaves only low frequencies in the output.
  • Band Pass - Amount of bandpass filter mixed in the output. Leaves a certain frequency band in the output and filters all other frequencies.
  • High Pass - Amount of highpass filter mixed in the output. Leaves only high frequencies in the output.

Plugin Credits:

Code: Didier Dambrin

Thanks To: David Billen for the algorithm sample.


Fruity Flanger - Effect Plugin

MIXING & EFFECTS

Fruity Flanger

Fruity Flanger is an exclusive plugin developed by Smart Electronix. Flanging is a form of phase cancellation created by combining multiple, variously delayed copies of the input sound.

Related plugin: Fruity Flangus.

Parameters

  • Delay - Sets the minimum delay between the flanger voices. The flanger delay will be swept between delay and delay+depth. Range: 0 to 20 milliseconds. For 'deep' flanger effect, set this parameter to low values.
  • Depth - Controls the flanger delay modulation. The flanger delay will be swept between delay and delay+depth. If this value is zero, the flanger will remain 'static' as the delay modulation will stay constant. Setting the 'Depth' to higher values will create heavier modulation.
  • Rate - The rate at which the flanger is modulated. Range: 0 to 5 Hz.
  • Phase - Use this control to widen the stereo image. Range: 0 to 360 degrees. If set to 0, the LFO on the left and right channels will be in perfect synchronization. At 180 degrees the left and right channel will be 100% out of phase. This means that the left channel will reach its maximum when the right channel is at minimum. Try setting 10 degrees for subtle stereo enhancement.
  • Damp - Use this parameter to attenuate the high frequencies of the processed output. Range: 0 (no filtering) to 1 (full filtering - no output).
  • Shape - Determines the shape of the LFO. Range: smooth transition between sine to triangle LFO. A sine LFO will produce smoother transitions, while a triangle LFO will result in more constant pitch-shifting. While subtle, this parameter can help you get just the right sound.
  • Feed - Sets the feedback amount. Range: 0 to 100 %. Set to high values to make the flanger 'whistle'. Try high settings with heavy filtering (for example 99% feedback + the filter at 0.95) for special effects.
  • Invert Feedback / Invert Wet - These two switches invert the processed (wet) and feedback signal. Range: on and off. Mixing a signal with an inverted version of itself creates the known flanger effect. When both are off the sound is more like a chorus than a flanger. While Invert Wet will directly change the flanger/chorus sound, the Invert Feedback has a less dramatic effect, but can be used to change the sound timbre.
  • Dry / Wet / Cross - These three knobs determine the output mixture. Range: -inf (silent) to 0dB. Dry is the original signal, wet is the effected signal and cross is a left-right inverted version of the wet signal.

Plugin Credits: Smart Electronix


Fruity Flangus - Effect Plugin

MIXING & EFFECTS

Fruity Flangus

Fruity Flangus allows you to enrich the stereo panorama of your mix, add complex flange effects and simulate unison mode synthesis via a set of controllable 'stacked' flangers.

Related plugin: If you wish to explore other flanging effects, a different plugin, Fruity Flanger, is also available.

Parameters

  • Order (ORD)- Sets the number of "stacked" flangers to be used for the effect. Using more flangers makes the effect smoother and richer.
  • Depth (DEPTH) - Controls the "flange depth" (amplitude of pitch oscillation for each of the stacked flangers).
  • Speed (SPD) - Controls the flange speed (speed of pitch oscillation).
  • Delay (DEL) - Variable amounts of delay can be applied to each of the stacked flangers. Use this parameter to define the overall amount of delay applied.
  • Spread (SPRD) - Each flanger is assigned a different speed, depth, etc. in a range defined by the basic properties provided in the Flangus interface. Increase the SPRD value to "smooth" the spreading of the stacked flangers across the parameter ranges.
  • Stereo Cross (CROSS) - This parameter applies a stereo cross mix between the left and right channel audio output of Flangus. Increase the parameter value to mix more of the left channel sound in the right one and vice versa. The parameter has range of -100 to 100. Negative values mix inverted sound in the opposite channel.
  • Dry - Determines the dry (unprocessed) audio in the output. Range: -100 to 100. Negative values mix inverted sound into the output.
  • Wet - Determines the processed ('flanged') audio in the output. Range: -100 to 100. Negative values mix inverted sound into the output.

Plugin Credits: Didier Dambrin


Fruity Formula Controller - Generator

MIXING & EFFECTS

Fruity Formula Controller

Fruity Formula Controller is an effect plugin that processes user-defined formulae to create a controller signal. Fruity Formula Controller will appear as an internal controller option in the Link dialog. As with all internal controllers, the formula output can range from 0 to 1

Parameters

  • A/B/C - These knobs can be used as custom parameters in your formulas. You can access their values via the a, b and c variables (see the list of available objects and functions below).
  • Out - Displays the current formula value (empty bar is 0, full bar is 1). To see how the formula output develops in time, use the Meter view (see below).
  • Formula - Type here the formula to be used. Press ENTER key to compile to formula. If the formula is a valid math expression, you will see a message 'Compiled OK' below the formula. Otherwise, you will see an error message explaining where the mistake is.
  • Compile - An alternative to pressing ENTER in the formula edit box. Click here to compile the formula.
  • Info - Click INFO to see the formula description (by the author). The text is editable and supports rich text formatting (RFT). You can also paste RFT text from WordPad.
  • Meter - Click METER to see a graph displaying the formula output in time. This is a very helpful view, especially for programming LFO units.

Syntax, Objects & Functions

The following syntax, functions and objects are supported by the Formula Controller:

Operators
Abbreviation | Description | Example
+ | addition | a+b
* | multiplication | a*b
- | subtraction | a-b
/ | division | a/b
^ | power | a^b
Functions
Abbreviation | Description | Example
Sin | sine | Sin(a)
Cos | cosine | Cos(a)
Tg | tangent | Tg(a)
Ctg | cotangent | Ctg(a)
Sec | secant | Sec(a)
CoSec | cosecant | CoSec(a)
ArcSin | antisine | ArcSin(a)
ArcCos | anticosine | ArcCos(a)
ArcTg | antitangent | ArcTg(a)
Exp | exponent | Exp(a)
Sqrt | square root | Sqrt(a)
Ln | logarithm base e | Ln(a)
Log10 | logarithm base 10 | Log10(a)
Log2 | logarithm base 2 | Log2(a)
Neg | negative | Neg(a)
Abs | absolute | Abs(a)
Pi | pi | Pi()
Sum | sum of arguments | Sum(a,b)
Min | minimum | Min(a,b)
Max | maximum | Max(a,b)
Round | round to nearest integer | Round(a)
Int | integral part | Int(a)
Frac | fractional part | Frac(a)
IfE | returns 1 if a=b | IfE(a,b)
IfL | returns 1 if a<b | IfL(a,b)
IfG | returns 1 if a>b | IfG(a,b)
IfLE | returns 1 if a<=b | IfLE(a,b)
IfGE | returns 1 if a>=b | IfGE(a,b)
Case | returns b if a=1, else returns c | Case(a,b,c)
Rand | random value (0..1) | Rand()
SeededRand | controlled random value (0..1) | SeededRand(Seed)
Special (FL Studio-related)
Abbreviation | Description | Example
a | value of knob A | a
b | value of knob B | b
c | value of knob C | c
SongTime | song position, in quarters | SongTime()
Time | system time, in ms | Time()
Tension | same as tension knobs | Tension(Value,Speed)
Gadgets
Abbreviation | Description | Example
Date | system date | Date()
MouseX | mouse cursor X position | MouseX()
MouseY | mouse cursor Y position | MouseY()

Plugin Credits: Didier Dambrin, Andrew Tumashinov (RapidEvaluator)


Fruity Free Filter - Effect Plugin

MIXING & EFFECTS

Fruity Free Filter

Fruity Free Filter is a general purpose filter plugin. For advanced filtering effects try Fruity Love Phiter.

Parameters

  • Type - Selects the filter type to be used: low pass, band pass, high pass, notch, low shelf, peaking EQ or high shelf.
  • Freq - Cutoff/bandpass/bandcut frequency (depending on the filter type).
  • Q - The value of this setting varies, depending on the filter selected. The name ‘Q’ originates from analog filters and refers to filter ‘quality’. For high pass/low pass filters, Q is better known as ‘resonance’, while for other filters it refers to the ability of the filter to create sharp frequency ‘roll offs’.
  • Gain - Sets the filter gain. Applies only to 'peaking' filters (i.e. peaking EQ, low shelf and high shelf).

Plugin Credits: Didier Dambrin


Gross Beat

MIXING & EFFECTS

Gross Beat This plugin must be purchased separately

DEMO ONLY: Gross Beat comes as a demo version in FL Studio and needs to be purchased separately so you can use Gross Beat without the demo limitations.

Play with time! Gross Beat is a real-time, audio-stream playback, pitch, position and volume manipulation effect. Gross Beat stores audio in a 2-bar rolling buffer controlled by 36 time and 36 volume mapping envelopes for easy beat-synced glitch, stutter, repeat, scratching and gating effects. Welcome to Gallifrey [image] Time Lord!

Alternatives to Gross Beat are Wave Traveller & Fruity Scratcher, however these work on samples rather than a live audio stream.

Main Options Time Settings Volume Settings Envelope Panel Lower Panel Controls Envelope Controls Gross Beat

VST Hint Bar

Main Options

Time Settings

Volume Settings

Envelope Mapping Panel

Plugin Credits

Code & Graphics: Didier Dambrin.

VSTi Port: Frederic Vanmol.

...watch out for falling satellites!


Gross Beat Options

MIXING & EFFECTS

Gross Beat

Play with time! Gross Beat is a real-time, audio-stream playback, pitch, position and volume manipulation effect. Gross Beat stores audio in a 2-bar rolling buffer controlled by 36 time and 36 volume mapping envelopes for easy beat-synced glitch, stutter, repeat, scratching and gating effects. Welcome to Gallifrey [image] Time Lord!

Main Options Time Settings Volume Settings Envelope Panel Lower Panel Controls Envelope Controls Gross Beat

VST Hint Bar

Main Options

Lurking in the darkness, just below the Time mix knob (as shown above):

  • Click reduction - Reduces clicks caused by discontinuities in volume between the 'jump-from' and 'jump-to' locations. For the best results you may need to apply manual 'click reduction'. Briefly ramp the volume down to zero to coincide with the point at which the Time Envelope relocates the playback position. Step the volume back to normal at or a fraction after the jump.
  • Smoothing attack compensation - Compensates for the small period of silence at Time Envelope relocation events caused by manually applied volume smoothing envelopes (see above). Selecting this option will move the Time Envelope forward slightly so that attack transients are not lost when the Volume Envelope ramps down.
  • Remove DC offset - Removes output offsets/biases when playback is stopped (e.g. when the Time Mapping envelope matches the angle of the Safety line).
  • HQ resampling - Adaptive 'sinc interpolation' [image] algorithm which improves the audio quality of pitch-shifted audio at the expense of increased CPU load.
  • View scratching clock - Shows the scratching dial. To scratch, click on the clock-dial and move your mouse up/down. Right-click to link to external or internal controllers. NOTE: If the Scratching Clock is hidden and Gross Beat is put into Compact Mode (drag to the left on the right edge of the Mapping Envelope area, until the plugin compacts OR for the VST version use the 'Resize' menu option), then a small mapping envelope will display here.
  • About - Opens the plugin credits 'splash image'.

Time Settings

Volume Settings

Envelope Mapping Panel

Plugin Credits

Code & Graphics: Didier Dambrin.

VSTi Port: Frederic Vanmol.

...watch out for falling satellites!


Gross Beat Time Settings

MIXING & EFFECTS

Gross Beat

Play with time! Gross Beat is a real-time, audio-stream playback, pitch, position and volume manipulation effect. Gross Beat stores audio in a 2-bar rolling buffer controlled by 36 time and 36 volume mapping envelopes for easy beat-synced glitch, stutter, repeat, scratching and gating effects. Welcome to Gallifrey [image] Time Lord!

Main Options Time Settings Volume Settings Envelope Panel Lower Panel Controls Envelope Controls Gross Beat

VST Hint Bar

Main Options

Time Settings

These controls relate to the Time/Pitch mapping envelopes:

  • Time - Time mapping envelope mix setting. Range: 0% to 100%.
  • Time offset (scratching) - Click the Scratching clock to the right of the Time knob (this is activated from the Options menu if not visible). Hold and drag your mouse vertically to vary the time offset and manually scratch. Right-click to link the Clock to internal/external controllers.

Hold

Hold delay (bar repeat) - Repeats the bar as long as the button is held and the song continues to play.

Scratching Clock

Hold delay (bar repeat) - Repeats the bar as long as the button is held and the song continues to play.

Time Slots

Slots 1 to 36 (green) hold user-definable time mapping envelope presets. Slots are pre-assigned to MIDI keys and can be switched live from your controller keyboard (starting from Slot 1 = C5) OR slot changes can be automated by right-clicking any slot and linking to internal or external controllers. NOTE: Time slots can be linked to the corresponding Volume slot number. Use the link setting (bottom middle of the mapping area) to create combined Time + Volume presets.

  • Edit a slot mapping envelope - Select the slot by clicking it with your mouse. Edit the associated mapping envelope in the panel to the right. These changes are automatically associated with the selected slot.
  • Move a slot - Right-click the slot button and select Move slot left / Move slot right from the popup menu OR hold CTRL to swap the selected slot with the next slot clicked.
  • Rename a slot - Left-click on the slot name in the bottom-left corner of the Mapping area (as shown in the screenshot above) OR click on the slot with the middle-mouse button.

Volume Settings

Envelope Mapping Panel

Plugin Credits

Code & Graphics: Didier Dambrin.

VSTi Port: Frederic Vanmol.

...watch out for falling satellites!


Gross Beat Volume Settings

MIXING & EFFECTS

Gross Beat

Play with time! Gross Beat is a real-time, audio-stream playback, pitch, position and volume manipulation effect. Gross Beat stores audio in a 2-bar rolling buffer controlled by 36 time and 36 volume mapping envelopes for easy beat-synced glitch, stutter, repeat, scratching and gating effects. Welcome to Gallifrey [image] Time Lord!

Main Options Time Settings Volume Settings Envelope Panel Lower Panel Controls Envelope Controls Gross Beat

VST Hint Bar

Main Options

Time Settings

Volume Settings

These controls relate to the Volume mapping envelopes.

Volume Slots

Slots 1 to 36 (orange) hold user-definable Volume mapping envelope presets. These slots are pre-assigned to MIDI keys and can be switched live from your controller keyboard (starting from Slot 1 = C2) OR slot changes can be automated by right-clicking any slot and linking to internal or external controllers. NOTE: Volume slots can be linked to the corresponding Time slot number, use the link setting (bottom middle of the mapping area), in order to create combined Time + Volume presets.

  • Edit a slot - Select the slot by clicking it with your mouse. Edit the associated mapping envelope to the right. These changes will be automatically associated with the selected slot.
  • Move a slot - Right-click the slot button and select Move slot left / Move slot right from the pop-up menu OR hold CTRL to swap the selected slot with the next slot clicked.
  • Rename a slot - Left-click on the slot name in the bottom-left corner of the Mapping area (as shown in the screenshot above) OR click on the slot with the middle-mouse button.

Volume Knobs

The volume knobs are 'multiplier' controls applied to the Volume mapping envelopes. They are useful for applying global ADSR tweaks to the volume dynamics of all Volume mappings.

  • ATT - Attack volume smoothing. Range: 0ms to 500ms.
  • REL - Release volume smoothing. Range: 0ms to 1000ms.
  • TNS - Tension adjustment (slope) setting. Range: -100% to 100%.
  • Volume - Volume mapping envelope mix setting. Range: 0% to 100%

Envelope Mapping Panel

Plugin Credits

Code & Graphics: Didier Dambrin.

VSTi Port: Frederic Vanmol.

...watch out for falling satellites!


Gross Beat Envelopes

MIXING & EFFECTS

Gross Beat

Play with time! Gross Beat is a real-time, audio-stream playback, pitch, position and volume manipulation effect. Gross Beat stores audio in a 2-bar rolling buffer controlled by 36 time and 36 volume mapping envelopes for easy beat-synced glitch, stutter, repeat, scratching and gating effects. Welcome to Gallifrey [image] Time Lord!

Main Options Time Settings Volume Settings Envelope Panel Lower Panel Controls Envelope Controls Gross Beat

VST Hint Bar

Main Options

Time Settings

Volume Settings

Envelope Mapping Panel

The envelope mapping panel displays the selected Time or Volume mapping envelope (slots are directly left of the Mapping Panel). Some notes about the mapping area:

  • Mapping controls - A series of controls & options run down the left side and under the mapping area. Top-left is a drop-down menu (as described below). Right-clicking a control-point will open a context menu with options for graphing shapes (as shown in the screen shot, right).
  • Width vs height - The mapping panel is 4 beats (1 bar) wide and 8 beats (2 bars) high. This means it is possible to step back up to 8 beats (2 bars) from the current playback position, as long as the audio buffer is full (i.e. the plugin has received at least 2 bars of audio).
  • The beat is indicated by the Playback locator - a vertical green scrolling line, visible only when the host is playing.
  • Angled guide markings - You will notice single darker and multiple lighter angled lines across the mapping area:
    • Safety line - The single dark 'Safety Line' cuts across the first 4 beats. The Safety Line shows the safe area for mapping envelopes during the first bar of a song. The area above the Safety Line (and behind the position of the Playback Locator) has buffered audio while the area below does not. If the Time mapping envelope goes below the Safety Line before the time-marker reaches that point, silence will be heard (or is that Gross Beat implodes creating an EMP [image], causing satellites to fall out of the sky? I can't remember, you will just have to experiment). While it's not shown, imagine the Safety Line continues down to the end of the second bar.

      If you need to start a song with a full audio buffer add two pre-song bars (with audio, of course) and start with a Volume mapping envelope flat-lining line along the bottom of the Mapping Area, so the pre-bars won't be heard. After two bars have played then any mapping curve is safe. Bear in mind that if you move into a new section of the song, change from verse to chorus for example, the previous two bars will be stored in the buffer and may not match the audio needed for the new section until another two bars have passed.

    • Reverse guides - The multiple grey diagonal lines show the slope required to effect a normal speed reverse playback. Slopes steeper than this line will play fast reverse, shallower will be slow reverse, depending on the angle of the line. NOTE: You can change the slope in semitone units using the Mapping Options menu (select the right-most point defining a slope and apply the 1 semitone up / down function).

  • Time Mapping Envelopes - These envelopes control playback of the audio from the 2-bar, rolling, audio buffer. The Time envelope is a sample 'offset' envelope, i.e. realtime audio + 'offset' define the playback position, direction and speed. The top of the Mapping panel is 'real time' audio, while mappings down from the top of the Mapping panel move backward in time according to the beat scale down the left side. Some commonly used envelopes include:
    • Normal speed playback (+100%) - Horizontal mapping segments play forward at normal speed (see diagram right). The Hold envelope is useful for creating horizontal segments.
    • Fast / Slow playback - Straight sloping mapping segments will change playback speed (pitch). Slopes upward from left to right play faster (higher pitch), while slopes downward from left to right play slower (lower in pitch). Use the Single curve envelope mode for straight sloping mapping segments (reset the tension handle to straighten the curve if required). The slope angle adjusts speed - playback becomes progressively slower with increased downward angle. When the slope matches the Safety line angle, playback will pause. If the slope angle is steeper than the Safety line angle, playback will reverse, reaching 'normal speed (pitch)' reverse playback when the angle matches the Reverse guides. A tool in the Mapping Area Options Menu lets you add or subtract slope in semi-tone units (select the right-most point defining a slope and apply the function).
    • Reverse playback (-100%) - Match the slope of the Reverse guides for 'normal speed reverse' playback. Slopes steeper than the guides will play fast reverse (see diagram right). Use the Single curve envelope mode for constant pitch slopes (reset the tension handle to straighten the curve if required). There us a useful tool in the Mapping Area Options Menu that can add or subtract slope angle in semi-tone units (select the right-most point defining a slope and apply the function).
    • Jump backward / forward in time - Step the envelope down to jump backward or up to jump forward. The number of beats jumped is measured on the vertical axis (left). Use the Hold envelope to create steps.
    • Rising / Falling pitch & Scratching - Use curved mappings (e.g. Single curve, Double curve, Half sine envelopes and adjust the tension handle).
    • Pause playback (0%) - Match the slope of the Safety Line (see diagram right) with a straight Single curve envelope. This will pause playback for the duration of the slope. Alternatively, use a stepped envelope mapping with these slopes for tuned/harmonic effects.
  • Volume Mapping Envelopes - These behave as standard volume envelopes; the top of the mapping area is 100% (max) volume, the bottom is 0% (silence). The Normalize option, Scale Level and Envelope Sequencer tools (available from the Mapping Options menu) are useful for working with the Volume Mapping Envelopes.

Editing Mapping Envelopes

Envelopes conform to the standard Image-Line envelope behaviors with some additional features tuned for use with Gross Beat.

  • Add control points - Right click on the mapping area, continue to hold and drag to reposition the point. Hold ( [image] Shift) while dragging to lock the vertical position, or ( [image] Ctrl) to lock the horizontal position. Hold ( [image] Alt) to override snapping (if selected).
  • Move control points - Left-click the control point and drag to the desired position (the point will snap to the background grid unless SNAP is off, see below). Hold ( [image] Shift) while dragging to lock the vertical position, or ( [image] Ctrl) to lock the horizontal position. Hold ( [image] Alt) to override snapping (if selected).
  • Change envelope curve - Left-click the tension handle (circle that appears on the envelope between control points) and move up/down. Holding ( [image] Ctrl) will allow fine adjustment. Right-click the tension handle to reset curve tension.
  • Change curve type - There are a number of curve types to select from. Right-click the right-most control point of a pair of control points to select:
    • Single curve - Default mode for creating straight or curved segments (depending on the tension).
    • Double curve - Smooth 'S' curves, useful for scratching effects.
    • Alt single curve - Asymmetrical smooth 'S' curves, useful for scratching effects.
    • Alt double curve - Asymmetrical linear, or accelerating / decelerating curves (depending on the tension).
    • Hold - Single steps between points, useful for creating jumps in position.
    • Stairs - Multiple steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency. Useful for glitch / decimation effects. Step size controls the 'graininess'.
    • Smooth stairs - Multiple smooth steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency. Useful for changes in pitch and granular effects.
    • Pulse - Square wave pulse, adjust the frequency with the tension handle.
    • Wave - Sine wave pulse, adjust the frequency with the tension handle.
    • Half sine - One half of a sine wave. Useful for creating start, stop and scratch effects.
  • Add control points - Right-click the location where you want to add a control point.
  • Delete control points - Right-click the point to be deleted and select 'Delete' from menu. Alternatively, hold ( [image] Alt) and left-click the offending point.

Mapping controls

Down the left-hand side of the mapping area are a number of controls as follows:

Mapping Options Menu

Click on the down-arrow in the top-left corner of the area to access the following mapping envelope options:

  • Open state file - Opens pre-saved Editor state files (envelopes, etc).
  • Save state file - Saves an Editor state.
  • Copy state - Copies the current Editor settings to be copied to another location.
  • Paste state - Pastes the Editor state data to the clipboard.
  • Undo - Undo last action.
  • Undo history - History of edits; click the list to roll back changes.
    • Last reset - Delete all edits to the last history reset.
  • Tools - Contains a number of quick-edit options:
    • Flip vertically - Mirrors the envelope vertically.
    • Scale levels - Opens the Scale Level tool that allows you to maintain the current envelope shape while changing vertical values.
    • Normalize levels - Scales the mapping envelope to the maximum vertical extent.
    • Decimate points - A simple tool that adjusts the number of control points in a mapping envelope.
    • Smooth up - Opens the Smooth up tool for smoothing envelope shapes.
    • Create sequence - Opens the Envelope Sequencer tool.
    • Analyze audio file - Opens a file-import window and analyzes the envelope volume of the selected audio, converting it to an mapping envelope.

Snap Settings

Snap determines how the envelope points snap (lock) to the nearest time/volume grid division.

  • X - No snapping. Points can be freely moved to any location.
  • 1/16 to 1/3 buttons - 1/16th beat snap to 1/3rd beat snap settings.

NOTES: ( [image] Left-click+Alt) overrides snapping, ( [image] Shift+Left-click) locks vertical movement and ( [image] Ctrl+Left-click) locks horizontal movement of control points.

Step Settings

  • Step editing (hold shift for pulse mode) - Click and drag in the Mapping Envelope area to add control points at each snap interval (when snap is off control points are added at the maximum resolution)

Slide Settings

  • Slide remaining points - Points to the right of the selected control point will slide as a group in response to changes in position of the selected point.

Freeze Editing

  • Freeze editing - Locks the mapping envelopes. Note the cursor changes to a + when mapping envelopes are frozen.

Envelope Settings

  • Time travel - Selects time envelope editing.
  • Volume - Selects volume editing.

Lower Panel Controls

Running along the bottom of the Mapping area are the following controls:

  • Link slots - Links the slot to its numerical equivalent (Volume or Time).
  • Key-held - Holds the slot while the linked MIDI key is held.
  • One-shot - The slot will play once and then Gross Beat will jump back to Slot 1.
  • Hold - Changes the behavior of the HOLD button (located to the right of the Main Options menu).
    • Off - No hold.
    • Last - Replay the last stored bar when the HOLD button is activated.
    • Next - Buffer the next bar and replay it while the HOLD button is active.
  • Trig(ger) Sync - Synchronization with the host beats/bars, i,e when the envelope will start after a slot change command in relation to the song position.
    • Off - Slots will start immediately on being selected.
    • 1/4 to 4 beats - Alignment with global song position. For example, 1 beat means that the slot will start on the next (global) beat. This means that if the song is already aligned to a beat, the slot will starts immediately. If the song is 1/2 way in-between 2 beats, it will wait for half a beat. '4 beats' means that slots will always start on a bar boundary.
  • Pos(ition) Sync - This is where within the envelope the slot will start, i.e. the number of beats (position) within the bar assuming Trigger Sync is OFF, so that slots start immediately.
    • Off - Start at the beginning.
    • 1/4 to 4 beats - Start at either 1/4, 1/2, 1, 2 or 4 beats into the envelope depending on where the global song position is.

Plugin Credits

Code & Graphics: Didier Dambrin.

VSTi Port: Frederic Vanmol.

...watch out for falling satellites!


Envelope Sequencer

The Envelope Sequencer provides a convenient tool for create repetitive arpeggiator patterns OR sequences.

To open

Select the envelope Options menu and select 'Create sequence'.

Overview

  • Adding control points - The top row squares in the window defines 'steps' equal to the grid spacing of the parent envelope. Left click to step forward, right click to step backward through 4 states:
    • Off.
    • normal step.
    • step without gate.
    • Step merged with next.
  • Target levels - There are 4 target level controls selected by clicking on the buttons below the control/breakpoint area.
    • Attack level - Controls the height of the leading control points in a step.
    • Decay slope - Controls the release curve (tension).
    • Sustain level - Controls the sustain level.
    • Release slope - Controls the release slope.

Parameters

  • Mode Menu - Normal (loop), Ping-pong (repeat envelope once backwards).
  • Time mul(tiplier) - Changes the envelope time-base.
  • Swing - Swing creates a 'swing' rhythm where the first note is held a little longer at the expense of the second note in the bar.
  • Attack - Changes the attack of all notes.
  • Decay - Changes the decay of all notes.
  • Sustain - Changes the sustain of all notes.
  • Gate - Changes the length of notes.

Action buttons

  • Reset - Reset the tool to the default state.
  • Randomize - Adds random variation to all parameters.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.

Plugin Credits: Didier Dambrin


Envelope Smoothing

TOOLS

Smooth up

The Smooth up tool provides a number of controls for working with multi-point envelopes. It is particularly useful for modifying envelopes that have been created using an 'analyze audio' function to generate the envelope.

Options

  • Attack - Attack curve smoothing.
  • (Attack) Slope - Steepen/lessen the slope of the attack (ramp-up) phase/s.
  • Link - Links Attack and Release curves.
  • Release - Release curve smoothing.
  • (Release) Slope - Steepen/lessen the slope of the release (ramp-down) phase/s.
  • Offset - Horizontal position adjustment.
  • Decimation - Varies the number of points used for curve fitting.
  • Reset - Return to default values.
  • Accept - Apply the settings and close the Smooth up panel.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Envelope Level Scale

TOOLS

Level Scale Tool

The level scaling tool modifies envelope amplitude and/or tension values.

Gross Beat

Options

  • Center - Changes the center of the envelope.
  • Tension - Changes the shape of the slopes in the envelope.
  • Multiply - Multiplier for the control-point amplitudes with range -200% to 200%. Negative values effectively invert the event values.
  • Offset - Vertical offset of the envelope.

Action buttons

  • Reset - Resets the tool to the default state.
  • Accept - Accepts changes and closes the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Gross Beat Credits

EFFECTS

Credits

Manual:

Scott Fisher. No one reads the manual!

Distributed by

Image Line Software

Kortrijksesteenweg 281

B-9830 Sint-Martens-Latem

Belgium


Fruity HTML NoteBook - Text Effects

MIXING & EFFECTS

Fruity HTML NoteBook

Fruity HTML NoteBook is an HTML viewer plugin, useful for adding information to a song, using the richness and power of HTML. Unlike the Fruity NoteBook, this plugin doesn't save the HTML document in the project file, so be sure to bundle the full HTML document with your project if you distribute it.

A related plugin is the Fruity NoteBook.

Plugin Credits: Didier Dambrin


Hardcore

EFFEECTS

Hardcore Guitar Effects This plugin must be purchased separately

DEMO ONLY: Hardcore is provided as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Hardcore effects.

Hardcore gives you virtual access to 10 popular stomp-box effects, as used by famous guitar players (who won't let us use their names, unless we ship them suitcases full of cash), including a number of expertly crafted Cabinet simulations, of legendary hardware (from manufacturers that won't let us use their trade-marks, unless we ship them train-loads of cash). Who needs to drop famous names when you have Hardcore!

Note: The Hardcore pedalboard holds a maximum of 5 stomp-boxes, the screenshot above has been stretched to show the complete Hardcore selection.

Master Controls

The controls from left to right are:
  • PRESET - To open the list of presets, click on the preset name. To step through presets click on the left & right arrows flanking the selector.
  • INPUT - Main input level, this can be useful in combination with the distortion effects if your source sound is a too quiet and the effects aren?t punchy enough.
  • OUTPUT - Main output level.
  • EQ - 8 band graphic equalizer. To enable/disable click on the power button below the EQ label. To adjust bands, click and drag on the target band.
  • CABINET - Guitar speaker cabinet simulations. Select models by clicking on the Model label. If we could afford the prohibitive licensing fees, then you may recognize some famous models in this list. But we couldn't, so you will have to listen out for them :)

Effects Pedals

Hardcore has 10 stomp-boxes that can be inserted into any one of 5 slots on the pedalboard. If you need to use more than 5 hardcore effects at a time, simply use two instances of Hardcore in series in the same effects chain.

  • Activate / Deactivate effects - Click on the stomp-pad below the controls for the effect. This parameter can be linked to an external controller.
  • Loading effects - Click on one of the drop-down boxes at the bottom of the GUI and select from the menu.
  • Moving effects - Click on the drop-down box under the effect to be moved and select 'Move left" or 'Move right' to change the position.
  • Deleting effects- - Click on one of the drop-down boxes at the bottom of the GUI and select 'None'.

Distortion

Distortion is the reshaping of an input waveform, usually caused by non-linearities in the electronic circuitry close to (or above) maximum signal level:

  • DIST - Distortion level controls amount of distortion effect applied to the input signal.
  • COMB - Comb filter cut level. Comb filters remove frequencies in a series of narrow bands, an EQ graph that looks like a comb shape.
  • INFERNO - Bass resonator that adds body to the sound.
  • GLASS - High frequency filter.

Chorus

Chorus is an effect created by the slight detuning of multiple copies of the same sound (similar to a choir of voices):

  • WIDTH - Amount of pitch modulation.
  • SPEED - Pitch modulation speed.
  • INTENSITY - Wet / Dry signal mix.

Flanger

Flanging is a form of phase cancellation created by combining multiple, variously delayed copies of the same sound.

  • WIDTH - Amount of phase cancellation.
  • SPEED - Phase modulation speed.
  • INTENSITY - Wet / Dry signal mix.

Phaser

Phasing is closely related to Flanging. Various frequencies in the original signal are delayed by different amounts, causing peaks and troughs in the output signal which are not spaced evenly. Phasing and flanging sound similar, as both arise from combining delayed versions of the signal with the original. The Phasing effect is however significantly more intense, with a greater 'sweeping' effect across the spectrum.

  • SPEED - Phase modulation speed.
  • TUNE - Center frequency tuning, around which the phase modulation is performed.
  • WIDTH - The depth of the phase modulation around the 'Tune' frequency.
  • INTENSITY - Wet / Dry signal mix.

Reverb

Short for 'Reverberation', Reverb simulates acoustic spaces. If you clap your hands in a bathroom or concert hall, the sound is quite different. This is due to the fact that in enclosed spaces reflections build up and overlap to create the ?reverberant? sound.

  • DECAY - Decay time. Longer decay times simulate larger rooms.
  • HDUMP - Selectively removes the high frequencies from the reverb for a darker sound.
  • MIX - Wet / Dry signal mix.

Delay

Creates echo effects.

  • TIME - Delay time between echoes.
  • DECAY - Rate at which echoes fade over time.
  • MIX - Wet / Dry signal mix.

Noise Gate

Noise gates are useful to silence non-guitar noise, such as power hum, often heard from guitar pickups. Start by setting the THRESHOLD value so that the background noise is just cut off. Next select ATTACK and RELEASE values that allow the guitar signal to pass through the gate with the least 'choppiness'.

  • ATTACK - Speed the gate opens after the input signal level passes the THRESHOLD intensity.
  • RELEASE - Speed the gate closes after the input signal level drops below the THRESHOLD intensity.
  • THRESHOLD - Signal level above which the gate opens, below which the gate closes.

Equalizer

4 band inline EQ tuned to Guitar specific frequencies. The 12 O?clock position is flat (no cut or boost), rotate right to boost or left to cut frequencies. Remember Hardcore also has an 8 band graphic equalizer on the Master control panel and Cabinet simulations for further EQ shaping.

  • LOW - Frequencies < 200 Hz.
  • MIDDLE - Frequencies around 600 Hz.
  • TREBLE - Frequencies around 1800 Hz.
  • HIGH - Frequencies > 5000 Hz.

Compressor

Compression can be though of as an automated volume control and will help your guitar sound to punch through the mix. Usually compression is used to increase the level of quiet playing while limiting the maximum volume of the louder parts (compressing dynamic range). The compressor also works well when placed after the Distortion effect to add even more crunch to the sound.

  • THRESHOLD - Input level above which the signal volume is limited.
  • RATIO - Input to output volume relationship after the threshold level has been exceeded. Higher levels will give more noticeable compression.
  • ATTACK - Rate at which the compression is applied after the signal exceeds the threshold. Slow attack times will allow some transients through before the compression fully engages.
  • RELEASE - Rate at which the compression is removed after the signal falls below the threshold level.

Modulator

The Modulator provides three target parameters, Pitch, Volume & Panning. There is no modulation when the controls are turned filly counter-clockwise.

  • PITCH - Amount of pitch modulation.
  • AMP - Amount of volume modulation.
  • PAN - Amount of pan modulation.
  • RATE - Modulation frequency (speed).

Plugin Credits -

Code & GUI: Maxx Claster.


Fruity Love Philter - Effect Plugin

MIXING & EFFECTS

Fruity Love Philter

Fruity Love Philter is the most powerful filter plugin in FL Studio. Love Philter consists of eight identical filter units, each able to be feed to the next one in the chain. It can create complex delay, gating and filtering effects. Related, simpler, filter plugins are Fruity Filter and Fruity Free Filter.

Parameters

Banks 1 to 8

Each filter bank consists of a series of processes that are described below (from left to right). The output from each bank can be sent to the plugin outputs and/or the next bank in the series.

IN

The Input Section allows you to set the volume and panning of the input signal.

  • On/Off (ON) - Switches the selected unit on/off.
  • Solo (SOLO) - Solos the output of the selected unit. Silences all other banks.
  • Volume (VOL) - Sets the volume of the input signal.

FILTER

The Filter Section determines the filter type and cut-offs used, and whether filtering is applied before or after the delay section. The controls visible will depend on the filter type selected.

  • ALT - Alternates between resonance and bandwidth.
  • Input Filter Type ( [image]) - In the small rectangular box, hold your left mouse button and move up/down to select one of 12 different filter types: AP - All Pass, BP - Band Pass, HP - High Pass, HP 2 - High Pass 2, HS - High Shelf , LP - Low Pass, LP 2 - Low Pass 2, LP 3 - Low Pass 3, LS - Low Shelf, NOT - Notch, PK - Peaking, and SVF - State Variable Filter.
  • Filter Mode - These switches determine filter mode: OFF - filter mode off. x1, x2, x3 are 12, 24 and 36 dB/Octave filters respectively. ALT x2 and ALT x3 provide alternative algorithms for the 24/36 dB filter modes.
  • ENV - Sets the cut-off envelope / LFO / IEF (Input Envelope Follower) amount.
  • CUT - Sets the cut-off frequency.
  • RES - Adjusts resonance / bandwidth.
  • DRIVE - L (Low / gain / drive) - Adjusts the gain of the low band. B (Band) - Adjusts the gain of the bandpass band. H (High) - Adjusts the gain of the high band.

WS (WaveShaper)

A WaveShaper is a wave distortion effect which re-maps input amplitude (horizontal axis) to output amplitude (vertical axis) values using a flexible spline-based graph.

  • ON - Enables the WaveShaper.
  • +/- - Switches between unipolar and bipolar modes. Unipolar mode - the bottom of the graph corresponds to 0db input and the top corresponds to the maximum amplitude; Bipolar mode - the plugin process is aware of the position of the sample (above or below 0 dB), so the middle is mapped to 0db (DC) and up and down correspond to the offsets in both directions.
  • AMP - Adjusts the WaveShaper pre-amplitude amount.
  • MIX - Sets the WaveShaper mix amount. This allows you to mix the input signal with the processed signal in the final output.

OUT

In the Output Section each filter can pass its output to the following bank or to the main outputs.

  • NEXT - Changes the level sent to the next filter in the chain (not available for filter 8 as there is no next filter). Negative values, (turning the knob to the left) invert the phase of the filter output. Use this to create phase-cancellation effects.
  • PAN - Changes the panning of the output from the filter.
  • VOL - Controls the final filter output level for the selected bank.

ENVELOPES

Associated with each bank are a number of articulators/envelopes. There are two rows of tabs, the top row is used to select the articulator/modulator target and the bottom row the articulator modulation source. In other words, for each of the targets in the top row there are a range of sources affecting how that target is modulated in the bottom row.

Articulators / Modulators

Modulation target types include:

  • PAN - Affects the stereo panning of the bank.
  • VOL - Affects the volume output of the bank.
  • CUT (Filter Cut) - Affects the filter cut-off frequency of the bank. This interacts with the CUT parameter (above) and the filter type switches.
  • RES - Affects the resonance of the filter selected.
  • LOW / BAND / HIGH - These select the Lowpass, Bandpass and Highpass filter modes.
  • WS (Wave Shaper) - The curve defines how the signal is distorted by the waveshaper. Input is on the X axis and output on the Y axis, allowing you to define your own distortion curve.
  • WMIX (Wave Shaper Mix) - Wet/dry ratio for the WaveShaper effect.

Articulator parts

For each of the articulators above you can decide how each of the following modulator sources influence that parameter. The modulator can be a pattern (10 user definable pattern slots are available), LFO, Mod X/Y or the envelope of an input sound (IEF).

  • PAT 1 to 10 - Left-click and move the mouse up/down to cycle through 10 unique pattern slots. A pattern is simply a user-definable shape.
  • PAT - This envelope cycles through the 10 patterns selected to the left of it.
  • LFO - An LFO envelope.
  • MOD X - Determines how the X parameter of integrated X/Y controller responds to X position changes.
  • MOD Y - Determines how the Y parameter of integrated X/Y controller responds to Y position changes.
  • IEF (Input Envelope Follower) - Smooths the input/output relationship of the IEF. The tighter the envelope (fast attack/release times) the more variability of the IEF response.

Common Envelopes Controls

  • Envelope Menu >

    Right facing arrow to the left of the Freeze button (see screenshot above).

    • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
    • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open plugins.
    • Undo - Undoes the last envelope edit.
    • Undo history - Shows the editing history since the last reset.
    • Flip vertically - Inverts the current envelope.
    • Scale levels - Opens the Scale Level tool.
    • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
    • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
    • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
    • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
    • Smooth up abrupt changes - Quick removal of 'spikey' or sudden changes in the envelope.
    • Create sequence - Opens the Envelope Sequencer tool.
    • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.
    • Background gradient - Flips the background gradient shading vertically.
  • FREEZE - Enable this switch to lock the envelope curve to its current setup. This feature is helpful if you've finished changing the spline structure of an envelope and want to protect it from accidental edits (it also hides the handles, providing a clear view of the shape).
  • STEP - Enable this option to set the editor in step editing mode - drag in the editor to create a "free hand" curve where a new control point is defined for every step in the timeline. Hold SHIFT key while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • SNAP - Enable this option if you want the control points to snap to the nearest step in the timeline while dragging.
  • SLIDE - Enable this option to preserve the relative distance between a dragged control point and all control points following it (this option is enabled by default).

MODULATION

This section allows X-Y modulation.

  • SMOOTH - When enabled, smooths modulation.
  • X - Modulation X setting.
  • Y - Modulation Y setting.

INPUT ENVELOPE FOLLOWER (IEF)

This section allows you to set up the Input Envelope Follower. The IEF acts as a modulation source and is based on the amplitude of the input waveform.

  • USE1 - When enabled, the output from filter bank 1 is used as the input for the IEF. When disabled, the input to the plugin is used and the source for the IEF.
  • ATT - Sets the amount of envelope follower attack.
  • REL - Adjusts the amount of envelope follower release.

Understanding the IEF - Think of the IEF window as a dB/peak meter rotated on its side, increasing in volume from left to right (this is indicated by the increasing vertical ticks along the bottom of the IEF window). As the volume peaks of the input signal move across the window (there is no visual feedback, by the way), the IEF returns modulation values so that envelopes above the mid-line of the graph area are positive and envelopes below the mid-line are a negative. These values act on the currently selected 'Editor Target' tabs in the row above the modulation source tabs (the row the IEF tab is on). In this way there is a unique IEF envelope for each modulation target tab in the row above. Use the 'Env Amount' knob to define the maximum and minimum modulation values passed to the target controls. Finally, pay careful attention to the Attack (ATT) and Release (REL) knobs to the right side of the plugin (this section) in order to achieve the correct modulation effect. These controls act to control the peak dynamics (hold and fade) and determine how quickly the output peak is reached and held after the input peak has passed.

Other Parameters

In the top right corner you will find -

  • Options - Including the following sub-options:
    • Copy preset - Copies the preset to the Windows clipboard.
    • Paste preset - Pastes the preset from the Windows clipboard.
    • Sync pattern changes - Envelopes are synced to song/pattern position when selected.
  • Show Info - Shows plugin information.

Three slider controls are located above the IEF section:

  • (Triangular symbol) - Adjusts the master level.
  • LFO - Adjusts the master LFO level.
  • IEF - Adjusts the envelope follower level.

Three controls are situated below the Modulation Section:

  • CENTER - When enabled, removes global DC offset.
  • HQ ENVELOPES - When selected, enables greater envelope accuracy.
  • OVERSAMPLING - Sets the amount of oversampling as none, 2x, 4x, 8x or 16x (select by holding left mouse button and moving up/down within the small rectangular box).

Plugin Credits: Didier Dambrin


Fruity Limiter - Effect Plugin

MIXING & EFFECTS

Fruity Limiter (Compressor & Gate)

The Fruity Limiter is a powerful single band Compressor (with sidechain), Limiter & Gate. To access the relevant limiter and compressor controls, switch between LIMIT and COMP tabs on the plugin interface (as shown below).

When to use: Fruity Limiter is ideal for maximizing & limiting complete mixes, compressing & limiting individual sounds or doing basic 'noise gate' duty. Closely related alternatives are Maximus (multiband compressor/limiter/maximizer), the Fruity Compressor and Fruity Multiband Compressor.

Overview

Click on the following links to jump to the section of interest:

  • COMP (Compressor Controls)
  • LIMIT (Limiter Controls)
  • Analysis Display
  • Noise Gate
  • Comparison Bank

Signal Flow

The signal flow goes from the input to the Compressor (COMP), Gain, Limiter (with integrated Noise Gate), Saturation (SAT) and finally to the plugin output.

NOTE: You can use the compressor or limiter function in isolation by turning the threshold knob on either stage to the maximum dB value.

Compressor Controls

Compression [image] is a form of automated gain control that reduces the dynamic range of sounds. When the input signal exceeds a predetermined threshold the rate of increase is slowed (or even stopped) beyond that point. The art of setting a compressor is mainly in fine-tuning the magnitude, speed and timing of the automated gain changes so that the compression process does not introduce artifacts. How can reducing the amplitude peaks make the sound seem louder? To understand this we need to consider the way our hearing interprets the start (attack) and body (sustain) portion of sounds. It transpires that the attack (first ~10 ms) is used mainly to form impressions of timbre, clarity, crispness and punch, while the sustain contributes most to the perception of loudness [image]. The sustain is most important because loudness perception comes from an integration (averaging) of the preceding 600-1000 ms to any given moment. Attack transients (of very short duration) simply don?t have as much weight (due to their short duration) as the sustain portion of the sound. Lowering the amplitude of the peak transients, frees up headroom to raise the gain of the sustained portions of the signal (after compression), it is this step that increases loudness. However, as we alluded to earlier, compression represents a trade-off between dynamics and loudness, welcome to the loudness wars!

Loudness

These controls affect the input and compression thresholds for Fruity Limiter.

  • GAIN (Purple) - Post compression output (makeup) gain. NOTE: this gain is post-Compressor and pre-Limiter.
  • THRESH (Blue) - Compressor threshold. Sets the level above which the signal will be compressed. To disable the compressor stage set the threshold level to the maximum (0 dB) level.
  • RATIO (Blue) - Compression ratio. Sets the amount of compression to be applied once the threshold is exceeded.
  • KNEE (Blue) - Compression rate. Sets the transition between no and full compression. The compression ratio can be set to increase gradually (soft knee [image]) or rapidly (hard knee [image]). The compression envelope will display while the knob is held.
  • SAT (Saturation) - Controls the level over which saturation will be applied. The Lower the threshold (turn left) the more saturation will be applied to the signal. Set by ear.

NOTE: For the compression stage to become active you must lower the THRESH (Threshold) below the input peaks and increase the RATIO and optionally KNEE controls.

Envelope

  • ATT (Attack time) - Adjusts how quickly the envelope responds to the start of the signal (in ms).
  • CURVE (Attack & Release curve) - Select from curve 1 (steep slope) to 8 (low slope). This control sets both the Attack and Release curves.
  • Sidechain - This selector works in conjunction with the Mixer Sidechain (Track Send) routing. Sidechain options will not be available until one or more sidechain tracks are set in the Mixer (except if Fruity Limiter is on the Master mixer track, when all tracks will be available). The Sidechain is sent FROM the Sidechain source mixer track TO the Fruity Limiter mixer track:
    • 1. Select the Mixer track that carries the signal to be used as a Sidechain source.
    • 2. Right-click the Track Send / Sidechain Enable Switch on the mixer track that carries Fruity Limiter (Sidechain destination).
    • 3. Select Sidechain to this track from the pop-up menu. NOTE: Multiple side-chain sources can be sent to the Fruity Limiter mixer track if needed.
    • 4. Right-click the Sidechain selector on Fruity limiter and choose, from the pop-up menu, the mixer source track you want a sidechain input from. NOTE: Fruity limiter's compression envelope will now be controlled by the sidechain mixer track rather than the audio passing through the Fruity Limiter host track.
    • 5. Lower the Threshold below the input peaks and increase the Ratio and optionally Knee controls to engage the compression stage.
  • REL - Release time (in ms), this is the main influence for the compression envelope release time. Set this too low and the sound may become distorted.
  • AHEAD - Compressor envelope sustain time (in ms). This prevents the compression envelope from releasing too early. NOTE: AHEAD is not a 'look-ahead' function and has no effect on the signal throughput delay (plugin delay).

NOTE: You don't need to be overly concerned about compressor transients peaking over 0 dB since the limiter section can catch these.

Limiter Controls

Limiting [image] is a form of heavy compression (generally used to describe compression ratios greater than 10:1). The purpose is usually to 'limit' the output level to a set maximum level, usually 0 dB, to avoid clipping [image] in a final mix down. The Limiter can be used to maximise the level of a track dramatically, without introducing noticeable distortion and so limiting is a favorite effect used in mastering. While louder often sounds better, we draw your attention to the excellent Wikipedia article on loudness wars!

NOTE: The limiter section can be effectively bypassed by turning the ceiling (CEIL) control to max.

Loudness

These controls affect the input and limit thresholds for Fruity Limiter.

  • GAIN (Purple) - Limiter input gain. NOTE: this gain is post-Compressor and pre-Limiter.
  • CEIL (Ceiling) - Limiter ceiling. Sets the level above which the signal will be limited. While it is not possible to disable the limiter stage completely, setting the ceiling level to the maximum (+12 dB) should effectively prevent limiter engaging.
  • SAT (Saturation) - Controls the threshold level, signals reaching into the red region will be saturated. To lower the threshold, and so increase the saturation turn SAT left. Set by ear.

NOTE: For the Limiter to work the input signal must exceed the limiter threshold. The options are lowering the CEIL level, increasing the GAIN level or increasing the signal level entering the plugin. Saturation (pleasing to some) is a type of amplitude distortion [image], usually associated with Valve / Tube Amplifiers [image], tape or analog circuitry. Generally, as a waveform exceeds the maximum amplitude that an analog system can carry, its shape is rounded or bent. This bending is a mild distortion that progressively increases as the input approaches the maximum (0 dB). TIP: For an alternative saturation sound allow the input to peak over the limit threshold, then blend in some 'Soft-clipping ' [image] from the saturator. Over-limiting adds its own kind of saturation effect that interacts nicely with the formal saturation process.

Envelope

  • ATT (Attack time) - Adjusts how quickly the envelope responds to the start of the signal (in ms). The attack time also sets the 'look-ahead' time for the limiter. Look-ahead adds a delay to the plugin input so that the envelope algorithm can anticipate peaks before they arrive. In summary, the Limiter delay = ATT time.
  • CURVE (Attack & Release curves) - Select from curve 1 (steep slope) to 8 (low slope).
  • REL - Release time (in ms). There are two release controls, this is the main influence for the compression envelope release time. Set this too low and the sound may become distorted.
  • AHEAD - Limiter envelope sustain time (in ms). This prevents the limiter envelope from releasing too early. NOTE: This is not a 'look-ahead' function and has no effect on the signal throughput delay (plugin delay).

NOTE: In order to trap transient signals before they pass through the Limiter a look-ahead time greater than 0 is needed. If 0 latency is desired then you can set the limiter's attack to zero and then adjust the compressor's attack to achieve the same effect (or as close as possible).

Analysis Display

The analysis display is a valuable analysis tool to observe how the various plugin settings interact with the input / output sounds. Click on the display to Pause the display.

Display Controls & Options

Options - Displays plugin information.

Show input peaks - Display the input level graph.

Show output peaks - Display the output level graph. Where the input (purple) and output (green) peaks overlap the color is gray.

Show analysis & gain envelopes - Displays the analysis and gain envelopes applied to the selected band (compression envelope).

Show level markers - Displays the GAIN (purple), CEIL (green) & THRESH (blue) level settings. In the default position the lines overlap at 0 dB and show as a single white line.

Speed - Scroll speed slider (up is faster, down is slower).

To PAUSE the display, click on the display area. Once paused, you can continue to change display modes to examine data of interest.

NOTE: The limiter works on peak levels and the compressor on RMS (average) levels. The blue signal trace is the RMS signal with the compressor envelope applied.

Noise Gate

These controls affect the gating function in Fruity Limiter.

Controls

  • GAIN (Noise gain) - Adjusts the signal level passing through the gate in the closed condition (the default 100%, i.e. no gating). Turn to the left for more gating effect.
  • THRESH (Noise threshold) - Gate threshold. When the input level passes the Noise threshold the gate opens (immediately). The gate release is triggered when the signal falls below this same threshold to stop the signal.
  • REL - (Noise release time). Longer release times cause the gate to close slowly, short release times cause abrupt closures. This acts in the same way as the release in an ADSR envelope.

NOTE: The Gate is useful to suppress the noise that sometimes becomes audible on the tail-end of heavily compressed sounds where high levels of make-up (post compression) gain are used. It can also be put to creative uses, such as the classic 'gated snare' sound. Place a long heavy reverb on a snare, then set the gate Gain to minimum, the Release high and the Threshold to open on the initial snare hit. Tune release length to match the BPM of the track.

Comparison Bank

In the bottom right corner of the plugin you will find:

  • Store in spare state (Down arrow symbol) - Saves the current state to the comparison bank. Lock spare state, under the General options, allows this state to be protected from overwriting.
  • Flip with spare state (A/B compare) - Selecting this control will allow you to make A/B comparisons between the stored and current settings. Useful for hearing the effect of a tweak more clearly.

Plugin Credits

Didier Dambrin: Plugin & Interface.

Frederic Vanmol: VST Port.

Laurent de Soras: Saturation algorithm.

Robert Bristow-Johnson: Filter algorithm.

Thanks to: The music-dsp [image] mailing list.


Maximus

MIXING & EFFECTS

Maximus Multiband Maximizer This plugin must be purchased separately

DEMO ONLY: Maximus comes as a demo version in FL Studio and needs to be purchased separately so you can use Maximus without the demo limitations. Related plugins are the Fruity Limiter and Multi Band Compressor.

When to use: Put Maximus as the last effect in the Master Mixer Track when creating a final master. If you need to compress individual Kick or Bass sounds (for example) we recommend the closely related Fruity Limiter or Fruity Compressor.

Compression envelope Analysis display Band process controls Band frequency controls

NOTE: Cick on the screenshot above to jump to the help for the selected control section.

Introducing Maximus

Maximus is much more than a pristine quality Mastering Maximizer, it's also a Compressor, Limiter, Noise Gate, Expander, Ducker and De-esser. Maximus excels equally well as a final-stage mastering plugin or as a per-track effect, Maximus indeed!

Maximus features at a glance:

    • 3 independent user-definable High Mid Low (HML) frequency bands.
    • Custom look-ahead for the HML bands and Master compression envelopes.
    • 4 limiter/compressors: One per HML band plus a Master wide band limiter/compressor.
    • Each compressor has an infinitely variable compression curve. Create any shaped knee or special effects (limiting, compression, gating or expansion).
    • Fully configurable. Any of the HML or Master compressors can be bypassed to configure Maximus to suit any limiting, compression or maximization task.
    • Two saturation types per HML & Master bands, with independent gain.
    • Phase-free mixing between the frequency dependent compressors and the master, perfect for parallel & NY-style compression.
    • Per-band stereo separation controls.
    • Optional IIR or Linear-phase band-split filtering.

Maximization

Maximus will quickly become one of the most rewarding tools in your recording and mixing arsenal. Maximus applies level maximization via compression and/or limiting across three frequency bands, to enhance and improve the final track. Used sparingly, Maximus raises the volume of the track without introducing unwanted distortion and ensures that the quieter parts, often lost in the mix, are more easily heard. Bass can be increased and higher frequencies sharpened. Selected elements of a mix, instruments or vocals for example, or complete tracks are given a professionally mastered 'presence'.

NOTE: A word or two from The Society for Responsible use of Maximization: Perfect mixes are just a few mouse-clicks away, right? If you want to achieve truly professional (quality) tracks we encourage you to view the YouTube video Louder! and read the Loudness wars [image] Wikipedia entry.

Maximus Controls

All interface controls are discussed on the Maximus Controls Page. Cick on the screenshot above to jump to the help for the selected control.

Tutorials

The following sections of the manual explain how to use Maximus in more detail, including -

    • Compression
    • Limiting
    • Parallel / NY Compression
    • Sidechain Compression
    • Noise Gating
    • Ducking
    • De-essing
    • Decibels (dB)

Useful Internet Links

Louder! - How much is too much YouTube video? Loudness wars [image] - The story continues.

Compression [image] - Explained in Wikipedia.

Image-Line Store [image] - Buy Maximus and other Image-Line Software.


Maximus Controls

MIXING & EFFECTS

Maximus Controls & Options

DEMO ONLY: Maximus comes as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Maximus effects.

Compression envelope Analysis display Band process controls Band frequency controls

NOTE: Cick on the screenshot above to jump to the help for the selected control section.

Overview

Maximus takes the input signal, passes it through a variable high-pass filter and then splits the signal into three user-defined frequency bands. Each frequency band can be treated independently with either saturation, compression, limiting or band level (EQ). The bands are then recombined and sent to the Master compressor. The controls for Maximus are explained in detail below.

    • Compression Envelopes
    • Analysis Display
    • Band Process Controls
    • Band Frequency Controls
    • General Options

Compression Envelopes

There are 4 independent compression envelopes in Maximus, one for each of the three user-definable frequency bands and one for the Master band. It is important to note that the compression envelope interacts closely with the PRE & POST GAIN, ATT & REL controls.

Compression Envelopes Controls

If you are familiar with regular compressors you will notice that Maximus does not have a threshold level control. More flexibly, the compression threshold and curve are set by a user-definable envelope (see below). There are 4 independent envelopes, three are assigned to frequency bands - Low, Mid, and High, and one to a Master envelope on the final output of the plugin. Input levels are represented by the horizontal axis and output levels by the vertical axis.

In the example (above) the point at which the compression curve deviates from the 1:1 input/output line (45 degree line), is the point where compression starts (in this case approximately -3 dB). This is also an example of a 'Soft Knee [image] ' curve to a maximum output level of +3 dB.

  • Move control points - Left-click the control point and drag to the desired position (the point will snap to the background grid unless SNAP is off, see below). Hold SHIFT while dragging to lock the vertical position, or Ctrl to lock the horizontal position.
  • Change envelope curve - Left-click the desired tension handle and move up/down. Holding the Ctrl key will allow fine adjustment (tension handles automatically appear between control points). Right-click to reset curve tension.
  • Change curve type - There are 5 curve types available to join control points, to select from a menu, right-click a control point:
    • Single Curve - Default mode for creating linear, or ease-in and ease-out curves (depending on the tension).
    • Double Curve - Smooth 'S' curves.
    • Hold - Single steps between points, handy for creating abrupt value changes in the envelope.
    • Stairs - Multiple steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency.
    • Smooth stairs - Multiple smooth steps between the control points. Left-click on the tension handle and move your mouse up/down to change the step frequency.
  • Add control points - Right-click at the point where you want a new control point to appear.
  • Delete control points - Right-click the point to be deleted and select 'Delete' from menu. Alternatively, hold ALT and left-click.

Compression Envelope Options

Located along the bottom of the graph window, from left to right, are:

Compression Mapping Envelope Options Menu -

    • Open state file / Save state file - Opens/saves envelope states. Several different pre-defined state files are available.
    • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open Edison’s.
    • Undo - Undoes the last envelope edit.
    • Undo history / Last reset - Shows the editing history since the last reset.
    • Flip vertically - Inverts the current envelope.
    • Scale levels - Opens the Scale Level tool.
    • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
    • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
    • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
    • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
    • Smooth up abrupt changes - Quick removal of 'spikey' or sudden changes in the envelope.
    • Create sequence - Opens the Envelope Sequencer tool.
    • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis.
  • FREEZE - Freezes envelope editing so that changes can't be made.
  • SNAP - Snaps the envelope points to a grid.

General Options

Options Menu - Contains some general options for Maximus:

    • Lock spare state - Prevents the alternate (spare) patch settings from being overwritten. This option is particularly useful when changing patches, since saved patches have their own spare state. For example, send your settings to the spare state (down-arrow button at the bottom right of the interface). Lock the spare state and switch to other presets. The spare state will contain your settings, rather than being stored in presets.
    • Oversample - Oversampling is applied to the internal processing to achieve the highest audio quality. NOTE: Oversampling consumes more CPU power and is most likely to benefit solo instruments that are exposed in the mix. It is less likely to benefit complex or dense mixes.
    • Master Mid mode - Uses the MID frequency band to drive the MASTER compression envelope. The LOW and HIGH compression envelopes are OFF. This is useful for internal EQ sidechain type compression. Use the MID band to select the frequencies that control the MASTER (all bands) compression. For example, isolate the kick frequencies with the MID band, and cause those to pump all frequencies. It can also be used for Gating and De-Essing control, see the Tutorial section.
    • Linear-phase filters - Alternative Linear-phase [image] band-split filters. The default filters are IIR [image]. The linear-phase filters preserve the phase relationships in the signal, but come at the cost of greater CPU usage and approximately 2 ms more plugin delay, relative to the IIR filters. The band-split filter type you choose is entirely dependent on the material being processed and what sounds most pleasing to your ear.
    • About - Shows plugin credits and software information.

Analysis Display

There are two display modes accessed by selecting the BANDS or MONITOR tabs to the lower right of the display area. When the BAND cutoff or level values are adjusted while the display is in MONITOR mode it will momentarily snap to BANDS mode while the adjustment is made.

The MONITOR display is a valuable analysis tool to observe how the various compression and envelope settings are interacting with the input / output sounds. The example above shows a kick drum being analysed with a long release setting on the compression envelope. NOTES: Many of the display options work in combination with the selected frequency band and only show data for that band. Clicking on the display area will Pause the display.

The BANDS display shows the LOW, MID and HIGH frequency bands. It is possible to adjust the band cutoff and band level by clicking on the boundaries between bands and dragging with the mouse. The band cut-offs are used to feed the LOW, MID and HIGH compression envelopes. The Output Spectrum display option is useful to determine what part of the frequency spectrum the input sounds occupy so that band cutoffs may be most accurately set.

Display Controls & Options

Show main input peaks - Display the main input level graph.

Show band input peaks - Displays the input level graphs for the Low, Mid and High frequency bands, depending on the band selected.

Show band output peaks - Displays the output level graphs for the Low, Mid and High frequency bands, depending on the band seleted.

Show band analysis envelope - Displays the envelope representing the analysis of the level for each band selected. In combination with the Input Peak display, shows how the input signal envelope is being tracked.

Show band gain envelope - Displays the gain envelope applied to the selected band (compression envelope).

Show all gain envelopes - Displays all the gain envelopes applied to the selected bands, color-coded for each band (Red = Low, Orange = Mid, Yellow = High, Green = Master. Apologies to the color-blind).

Show band level markers - Displays the Pre (Purple) and Post (Blue) levels set for the selected band.

Show output spectrogram - Displays a spectrographic analysis of the output frequencies. Only displayed when in BAND mode. Useful for selecting frequency band cut-offs.

  • SPEED - Scrolling speed slider (left slow, right fast). To PAUSE the display, click on the display area. Once paused, you can continue to change display modes to examine data of interest.
  • MONITOR - Graphical analysis display mode.
  • BANDS - Frequency band selection display mode.

Band Process Controls

The input signal is split into three bands, LOW, MID and HIGH before being passed to the MASTER stage. The controls in the light grey panel change to reflect independent settings for the selected band.

NOTE: IIR or Linear-phase band-split filters can be selected to separate the LMH bands, see the General Options menu.

Target Band Settings

Selecting these tabs allows independent control of the 3 frequency bands and the Master controls. The cutoff frequencies for the bands can be adjusted using the LOW and HIGH frequency knobs, or by dragging on the BAND display mode.

  • LOW (Red) - Low frequency band.
  • MID (Orange) - Mid band.
  • HIGH (Yellow) - High band.
  • MASTER (Green) - Master controls.

Mode Settings

A series of controls surrounding the target-band selection controls:

  • ON- Turns the selected band ON.
  • COMP OFF- Turns the compression envelope off, leaving other aspects of the band active.
  • MUTED- Mutes the selected band.
  • OFF- Turns the selected band OFF.
  • SOLO- Solos the selected band.

Stereo Enhancer

  • Stereo Separation - The stereo separation control increases or reduces unique L/R channel stereo information in the signal. In the default position (middle), the stereo separation filter is disabled. To increase stereo separation turn to the left, to decrease the stereo separation, turn to the right. The enhancer works on the differences between the L and R channels and so will have no effect on a mono signal. Uses include narrowing the stereo information in the bass frequencies and add more separation to the high frequencies; a process applied to many master mixes.

Gain Section

These knobs control the input and output levels for each band-compressor.

  • PRE (Purple) - Pre-compression gain. Useful for raising the level of a band into the active compression region.
  • POST (Blue) - Post-compression (make-up) gain.

Saturator Section

The following controls will add saturation effects to the selected band.

  • THRES (Level and Type) - There are two types of Saturation A (turn left) and B (turn right). Sets the threshold by the amount the knob is turned in either direction. Set the type by ear. NOTE: Adjusting type A saturation (left), while Maximus is processing audio, may cause clicking as a look-up table is re-calculated, this is normal.
  • CEIL (Ceiling) - Soft saturation ceiling. Represents the maximum amplitude that the simulated analog device can carry. Lower ceilings create harsher saturation.

NOTES & TIPS: Saturation (pleasing to some) is a type of amplitude distortion [image], usually associated with Valve / Tube Amplifiers [image], tape or analog circuitry. Generally, as a waveform exceeds the maximum amplitude that an analog system can carry, its shape is rounded or bent. This bending is a mild distortion that progressively increases as the input approaches the maximum (0 dB).

We suggest setting any band you wish to saturate to a hard-limiting envelope and allow the input to peak a little over 0 dB, then blend in some 'Soft-clip' [image] from the saturator. Superb results can come from a combination of these two.

Envelope Section

The envelope controls affect the dynamics of the envelope response.

  • ATT (Attack time) - Adjusts how quickly the envelope responds to the start of the signal (in ms). NOTE: The MASTER attack time also sets the 'look-ahead' time for the Master channel. The total look-ahead time for Maximus = MASTER Attack time + LMH Delay (see below).
  • CURVE (Attack & Release 2 curves) - Select from curve 1 (steep slope) to 8 (low slope). This control sets both the Attack and Release 2 curves.
  • REL - Release time (in ms). There are two release controls, this is the main influence for the compression envelope release time.
  • REL2 - Release 2 time (in ms). Release 2 fine-tunes the release envelope shape. When Release 2 = 0 it will be equal to the attack time. It is usually not necessary to adjust this value.
  • AHEAD - Look ahead sustain window. This is a sustain function to prevent the compression envelope from releasing too early.
  • PEAK - Peak detection, best suited for Limiting. This mode tracks the instantaneous peak level of the input signal and will give the fastest detection of transients and therefore the quickest compression response. Peak detection is most appropriate when the compressor is used with a high compression ratio, to prevent clipping.
  • RMS - RMS (Average) detection, best suited for loudness compression. This mode tracks the average input level and is best suited for smoothing out volume changes in an instrument or voice. RMS produces a smoother compression response since transients will not trigger compression.

PEAK vs RMS NOTE: For the master band, a limiter (PEAK mode) is normally used. For the other bands, PEAK or RMS is used depending on the desired results. Most analog compressors work in RMS mode, however peak generally gives better musical results.

Band Frequency Controls

Low, Medium, High Look ahead Delay

  • LMH DEL (Low, Medium, High Delay) - Look-ahead delay, used for the first 3 bands. As the LMH bands operate in parallel, they require the same delay. NOTE: Adjusting the LMH delay while Maximus is processing audio may cause some clicking as the delay is reset, this is normal.
  • LMH MIX (Low, Medium, High Mix) - The mix between plugin input & LOW, MEDIUM, HIGH output, i.e. Turn fully left (counter-clockwise) to pass dry input to the MASTER (0% LMH) and fully right to pass 100% LMH to the MASTER. Used in 'NY Compression' techniques.

NOTES: The LMH delay parameter determines how far ahead Maximus will look into the signal and is useful for allowing fast transients through then limiting. When a LMH delay is set, Maximus will introduce a delay to the output equal to the look-ahead value so that inputs can be pre-analysed. Using long look-ahead times on mixer tracks, other than the master, will require Plugin Delay Compensation (PDC). For the master band, the delay is the attack length. The total delay of Maximus is equal to the LMH delay + Master attack. For effective LMH channel limiting, the LMH delay must be equal to the longest attack of those channels. For compression, other settings are usable since some transients can be allowed to pass uncompressed.

Frequency Control Section

These controls set the Low-Medium and Medium-High band cut-offs.

  • LOW (Low Frequency Cutoff) - Sets the Low band frequency cutoff. You can also select the BANDS view and left-click and drag the level and cutoff frequency.
  • Low Band Slope - Switches between 12dB and 24dB per octave cutoff slopes. A higher value maintains greater separation between the boundary frequencies.
  • HIGH - High Frequency Cutoff) - Sets the High band frequency cutoff. You can also select the BANDS view and left-click and drag the level and cutoff frequency.
  • High Band Slope - Switches between 12dB and 24dB per octave cutoff slopes. A higher value maintains greater separation between the boundary frequencies.
  • LO.CUT - A High-Pass filter on the input of the plugin. The default value is set to filter frequencies below 20 Hz. Improves headroom without affecting the quality and depth of the audible bass.

Comparison Bank

In the bottom right corner you will find:

  • Store in spare state (Down arrow symbol) - Saves the current state to the comparison bank. Lock spare state, under the General options, allows this state to be protected from overwriting.
  • Flip with spare state (A/B compare) - Selecting this control will allow you to make A/B comparisons between the stored and current settings. Useful for hearing the effect of a tweak more clearly.

Arthur: I wonder what will happen if I press this button?

Ford: What happened?

Arthur: A sign lit up saying 'Please do not press this button again'.

The Hitch Hiker's Guide to the Galaxy (1981)


Maximus Tutorials

MIXING & EFFECTS

Maximus Flow Diagram & Tutorials

DEMO ONLY: Maximus comes as a demo version in FL Studio and needs to be purchased separately so you can save projects containing Maximus effects.

This page has two sections, the first section explains signal routing possibilities in Maximus while the second section delivers a series of tutorials spanning the basics through to some of the more advanced processing techniques. If you want to learn how to use Maximus, this is the place to start.

Signal Flow

The input signal may be Lo cut (LO.CUT, Band Frequency Controls) to remove subsonic energy, improving headroom for the remaining 'audible' frequencies. The signal may then be (optionally) up-sampled (General Options [image], lower Analysis Display), to improve the quality of the next stage - band-split filtering, into LOW, MID and HIGH channels. The LOW/MID and MID/HIGH boundaries are user-variable, according to the LOW and HIGH controls (LOW FREQ, HIGH FREQ, Band Frequency Controls) as are the band-split filter types (IIR or Linear-phase, General Options [image]). Each band can then be processed according to -

    • Stereo Separation ( [image], Band Process Controls). Enhances or reduces the stereo content of the signal. If there is no stereo information, it can't be enhanced.
    • Pre compression gain (PRE GAIN, Band Process Controls). May be used to boost the input signal into the active range of the compression envelope.
    • Compression curve (Compression Envelopes).
    • Post compression gain or 'Make-up gain' (POST GAIN, Band Process Controls). If the compression stage has lowered the final output level, this can be used to restore the overall band volume.
    • Saturation (SAT THRES, SAT CEIL, Band Process Controls).

Once processed, the signal is then recombined and (optionally) down-sampled (General Options), as it passes to the final MASTER compression stage. The same processes used on the frequency sub-bands (as described above) may be applied. Finally, the signal is sent to the plugin outputs and onto the operator's ears where it is met with large nods of approval.

Tutorials

The signal flow chart does little to explain how to use Maximus so we have provided some tutorials to help you understand the diverse capabilities afforded by Maximus. This section covers -

    • Compression
    • Limiting
    • Parallel / NY Compression
    • Sidechain Compression
    • Noise Gating
    • Ducking
    • De-essing
    • Decibels (dB)

NOTE: The key parameters to the 'sound' of most compression settings are the PRE and POST gain, compression envelope shape and the RELEASE time. You will need to fine-tune these parameters to suit the timing and dynamics of the sounds you are Maximizing. Please also note that the tutorials are a guide, there are no absolute right and wrong uses for Maximus, if something sounds great it is great. Now, if only we could all agree on what 'great' sounds like.

Compression

Compression [image] is a form of automated volume control, that reduces the dynamic range of sounds. When the input signal exceeds a predetermined threshold the gain is reduced. This does not mean the sound gets quieter, but the rate at which the waveform is increasing in loudness is slowed or stopped altogether. In other words, the volume is held within a narrower range than it originally occupied. The art of setting a compressor is in fine-tuning the magnitude, speed and timing of the automated gain changes so that the compression process does not introduce artifacts.

So, how can reducing the maximum amplitude peaks of an audio waveform make the sound seem louder? To understand we need to consider the way our hearing interprets the start (attack) and body (sustain) portion of sounds. It transpires that the attack (the first ~50 ms) is used mainly to form impressions of timbre, clarity and crispness, while the sustain (the sound that follows) contributes most to the perception of loudness [image], pitch and 'punch'. The sustain has most weight because our perception of loudness comes from an integration (adding/averaging) of the preceding 600-1000 ms to any given moment. Attack transients, simply because they are of very short duration, don't have as much weight as the main body of the sound. It is by lowering (compressing) the maximum amplitude of the transient peaks that we free up headroom to raise the gain of the sustained portions of the signal (post compression 'make-up' gain), as shown below.

1. The uncompressed input is 2. compressd so the transient 'attack' peaks are reduced, then 3. the level of the sound is increased (often by the same amount as the compression reduced the peaks). It is this step that increases the loudness and punchiness of a compressed signal. However, as we alluded to earlier, compression represents a trade-off between dynamics and loudness, welcome to the loudness wars!

Maximus has 4 independent compressors and compression envelopes, one for each of the LOW, MID, HIGH frequency bands and a MASTER applied to the combined output of the three sub-bands. Why 3 sub-bands? When compression is applied to a single band across the whole frequency spectrum, a loud sound (bass-heavy kick drum, for example) will trigger the compressor, decreasing all frequencies, including the bass. This may be heard as a fluctuation of the tracks brightness in time with the kick, and is known as 'pumping' - desirable in certain styles of music, but not generally considered a good thing in a final mix. Isolating frequency bands, such as the bass and treble, and compressing them independently, avoids these pumping effects and allows for either more transparent compression, without artifacts.

So how do you control the compression parameters in Maximus? If you have some experience with traditional compressors you may have noticed that Maximus does not have threshold level or ratio controls. Instead, the threshold and compression ratio are fully customizable using a user-definable envelope. The graph represents the input (horizontal) to output (vertical) relationship and is described in more detail below.

In the left example 'No compression', input levels are passed unchanged to the output, regardless of the level. Note that the middle and right graphs also have input ranges, where no compression is applied, prior to the points marked 'Threshold'. The middle graph, 'Heavy compression' shows modification of the output starting after -3 dB, the point where the curve deviates from the 1:1 (45 degree) line. The deviation point represents the compression threshold, i.e. the level at which compression starts. It is clear that as the input level increases past the threshold point, progressively more compression is applied to the input signal. This compression curve would be typically used with percussion sounds, to cut the peaks, and allow the remaining parts of the signal to be boosted without clipping. The right graph, Hard limiting depicts a special case in which the signal is prevented from increasing once the 0 dB threshold has been passed. Compression limiting is described in more detail in the following section 'Limiting'.

The possibilities are endless! Here we encourage you to think about some of the more creative uses for Maximus? compression envelope. The left panel 'Gating' will cut any input signal below -12 dB. The 'Boost & limit curve will amplify low level signals, then limit them to 0 dB, while the 'Inversion' curve will invert the volume of a sound - loud is quiet and quiet is loud. Indeed, anything is possible when you are using Maximus 'creatively'. It's worthwhile to take some time to experiment with the MASTER compression envelope of the 'Default' Maximus patch, to see how sounds are affected by various compression curves.

Setting the Compressor

In this example we will learn about the MASTER compressor settings, and how to use Maximus as a single-band compressor.

  1. Where to use - Basic compression is likely to be used on individual sounds or sub-tracks of a mix (e.g. percussion or bass sounds).
  2. Source sound - Load a 4/4 percussion track with a kick sound and a bass note on every off-beat (1Kick, Bass, 2Kick, Bass, 3Kick, Bass, 4Kick). Yes, it sounds like techno! Don't like techno? Any percussion track with bass and kick will do.
  3. Patch - Start with the patch labelled 'Default'; it has all the bands set to 'hard-limiting', as shown above. Next, select LOW, MID and HIGH and turn them off using the COMP OFF switch to the right of the band selector tabs (don't use the OFF switch as it will mute the band). The MASTER compressor will now be the only active band.
  4. Set frequency bands - For now, work only with the MASTER band. Later, if desired, set the LOW & HIGH FREQ cutoff bands to match the material. Turning on the Output spectrogram ( [image]) with the Analysis Display in BANDS mode can help to identify the frequency range of the input sound, number of bands to be used and the location of the cut-offs. Remember however, your ears (not your eyes), should be your final guide.
  5. Set the compression curve - Play your sound and adjust the compression curve, similar to the 'Boost & Limit' curve as shown above.
  6. PRE GAIN - The Pre Gain is an important parameter which allows you to set the input level within the desired range of the compression envelope. There is no point setting a compression limiting curve if the input never reaches the compression threshold. Alternatively, you can edit the compression curve to match the input signal.
  7. POST GAIN - Adjust the post gain so that the peak volume is close to 0 dB. You should notice that percussion sounds much louder (particularly the bass).
  8. Attack & Release - For this patch the default attack is close 2.0 ms and should be OK. The release, however, will have a more dramatic effect. As the release time is increased the bass should become quieter. This is because the kick triggers the compression and the long release means the compression envelope is being held over the bass note. In other words, it has the kicks compression applied to it also. Generally, the principle for setting both the attack and release is to avoid any obvious artifacts such as 'pumping' (volume/brightness changes in time with loud sounds) and to achieve the right balance of sounds in the mix.
  9. Visual analysis - Turn off all display options except the Band input peaks ( [image]) and the Band gain envelope ( [image]) should allow you to clearly see the input peaks and the compression envelope applied, along with the effect of adjusting the release envelope.

    In the analysis above, the release time was varied from the minimum (left side of the trace) to a higher value (right side of the trace). In this instance the longer release results in a smoother curve which closely follows the input signal without being affected by the high frequencies, and so is probably a better setting. As usual, your ears should be the final guide for all settings, with the display analysis as a guide.

NOTES & TIPS: For the compressor to work the input signal must exercise those parts of the compression curve that modify the output level. This author has to admit on more than one occasion spending several minutes wondering why the compressor isn't working as expected, only to discover the input level wasn't exceeding the compression threshold (Doh!).

  1. Exercising the compressor - In the 'Heavy compression' example (top middle panel above), there will be no compression at all unless the signal peaks past the 'Threshold' point. There are two ways to achieve this -
      • Modify the PRE GAIN so that the signal sweeps across the compression zone by the desired amount. Modify the POST GAIN by the opposite number of dB the PRE gain was changed (reverse it). This will restore the uncompressed parts of the signal to their original levels.
      • Redraw the curve to sit across the desired parts of the signal.
  2. Rescale the curve - You may find that the signal of interest hardly peaks the compressor curve input, the lowest label marks -18 dB. To rescale the curve by 12 dB, so that the curve starts at -30 dB, increase the PRE gain by 12 dB and decreasing the POST gain by 12 dB, leaving the level of the uncompressed signal unaltered.
  3. Bullet time - If you are having trouble hearing the effect of the compressor increase the RELEASE envelope to around 500 ms. Useful as an audio verification.

Limiting

Limiting [image] is simply heavy compression (generally used to describe compression ratios greater than 10:1). The purpose is usually to 'limit' the output volume at a certain maximum level, usually 0 dB, to avoid clipping [image] in a final track. In this example, we will use an infinite compression above the limiting-threshold, i.e. no increase in output regardless of the input volume. Limiting prevents signal transients (fast peaks) from clipping the final mix. Although limiting may be applied to any channel in Maximus (LOW, MID, HIGH), we will concern ourselves with the complete mix and apply a Limit curve to the MASTER compression envelope and so limit the maximum output to 0 dB.

In the example above, the MASTER compression curve has been set to hard limit the output to 0 dB once the signal exceeds this level. Since the audio analysis takes a finite amount of time, it is possible that the fastest transient peaks will slip through the compressor before the system can react. To solve this problem, a fast attack and look-ahead are used. Look ahead applies a small delay to the plugin so that it can 'look-ahead' into the signal to detect the fast transients and apply the compression 'just in time'. For complete mix limiting it is less critical to keep the LOW, MID and HIGH bands below 0 dB, as the MASTER limiting will prevent clipping.

Setting a Limiter

  1. Where to use - Limiting is usually applied to the Master mixer track as a final mastering effect.
  2. Tutorial source - Load a completed song in your host and put Maximus into the Master Mixer track.
  3. Patch - Start with the patch labelled 'Default'.
  4. Set the compression envelope - The 'Default' patch has all the bands set to 'hard-limiting', as shown above. Select the LOW, MID and HIGH bands and turn them off using the COMP OFF switch to the right of the band selector tabs (don't use the OFF switch as it will mute the band). Only the MASTER band envelope will now be active. Examine the compression curve, prior to the 0 dB point - the input and output ratio has been set at 1:1. That is, there is no change to the output for signal inputs below 0 dB.
  5. Set the compression curve - The 'Default' patch already has a 0 dB 'brick-wall' limiter function set.
  6. Pre gain - Start your host playing from the loudest parts of your track and adjust the Pre Gain so that the input level peaks occasionally into the limit range (above 0 dB). Our example is a little extreme for a final mix, as most of the signal exceeds this level. As always, let your ears rather than eyes be the final judge of what works best. Experiment with various input levels and listen to the results to learn what over-limiting sounds like.
  7. Attack & Release - The attack of the MASTER band is also a 'look-ahead' delay. For limiting duties it is critical that a delay is set so that fast transients don't slip through. The default is set to 2.0 ms; decrease this value to zero and note how the limiter is less effective. The release should be set by ear. The default should sound reasonable. Here again, experimentation is the key. Generally, the principle for setting the attack and release times is to avoid obvious artifacts such as 'pumping' (volume/brightness changes in time with loud sounds) and to achieve a transparent balanced sound for the final mix.
  8. Visual Analysis - In the display analysis the purple trace represents the Band analysis envelope (in this case it also closely represents the input peak levels). It is clear that the output (green peaks) do not exceed 0 dB.

NOTES: Although it may be hard to determine from the peak-display, it is possible that the example used here has too much limiting for a final mix, since most of the input signal exceeds the limit threshold. This could be a problem, since much of the dynamic (volume) information of the track is being 'squashed'. Further, extreme limiting will introduce 'saturation' like effects that you may not want in a final mix. The solution is to turn down the band PRE GAIN inputs, so that the occasional peak is limited rather than most. Finally, spare a thought for others who may be working on your track in future. Are you passing it onto a recording engineer or a mastering house? If so, try to avoid heavy limiting or compressing of the final mix, since it leaves them little scope for applying the 'art' of mastering.

Parallel or NY Compression

Parallel [image], or NY compression, is the term given to the compression technique in which a dry (uncompressed) signal is mixed with an over-compressed copy of the same signal. The purpose of such compression is to increase the average volume of the quieter parts of the signal, while preserving transients that would usually become squashed when heavily compression is applied. NY compression has a distinctive sound and can be achieved as follows:

Setting parallel compression

  1. Where to use - Parallel compression is often used as to 'fatten' percussion tracks.
  2. Tutorial source - Load Maximus into a mixer channel with a percussion track. Ideally it should contain kick and snare sounds.
  3. Default Patch - Start with the patch labelled 'Default'.
  4. BANDS - Turn OFF the LOW and HIGH compression bands, leaving the MID and MASTER compression envelopes active. You will notice that the MID band now covers the full bandwidth automatically (see BANDS display).
  5. Set the compression envelope - Set a heavy compression on the MID band envelope with a 'Soft Knee' curve. This will sustain the lower level signals when used with a long release time. Leave the MASTER on the default setting (hard limit at 0 dB).
  6. Attack & Release - Set a short attack (2-10 ms) and long release time (100-300 ms). It is particularly important to have the release set to sustain and fill the inter-beat interval.
  7. Pre & Post Gain - Increase the MID band PRE GAIN so that the input peaks to the full scale on the compression curve. Leave the POST GAIN at the default setting.
  8. Parallel mix - Turn the LMH MIX control fully counter-clockwise (left) to allow only the uncompressed signal to pass. Turn the LMH MIX to the right until you find the preferred balance between the pumping MID band and the dry input.

If you have the settings correct, your percussion track should be transformed into a huge pumping wall of sound when you turn the LMH Mix control to the right.

Sidechain Compression

Sidechain compression [image] describes the process in which the sound driving the compressor envelope is (usually) unrelated to the sound being compressed. The term 'Sidechain' comes from analog compressors that accepted an audio-input separate to, and unmixed with, the signal chain. In other words, a 'side-chain signal'. The Sidechain was used as the control signal (e.g. kick drum) and the signal-chain was compressed in response to this sound. Side-chaining causes a pumping, ducking or gating effect, as used in the 'Parallel / NY Compression' tutorial above.

Strictly speaking, Maximus does not have a sidechain input, however there is a work-around as Maximus can selectively listen to a narrow slice of the frequency spectrum focused on the signal you want to control the compressor by. In this tutorial we will set Maximus into MID master mode, so that the MID band acts as a single wide-band compressor, and then single out the trigger frequencies in the mix using the LOW and HIGH cut controls on the MID band.

Setting sidechain compression

  1. Where to use - Often used as an effect to add rhythm or 'bounce' to percussion tracks.
  2. Tutorial source - Load Maximus into a mixer channel with a percussion track. Ideally it should contain kick and snare sounds.
  3. MID Master mode - Select MID Master mode from the general options menu ( [image]). MID master disables the LOW and HIGH compressors, leaving the MID band to control the MASTER output.
  4. Set the MID frequency band - Turn on the Output spectrogram ( [image]) and select the BANDS mode on the Analysis Display. Identify the frequency range of the Kick sound and narrow the MID bandwidth around this range.
  5. Set the compression envelope - Set a curve similar to the 'Heavy compression' (mid top panel of the curves above) however drag the last point down to the 0 dB line.
  6. Pre & Post Gain -It's important that the MID band input is peaking to around +9 dB (use the PRE gain).
  7. Attack & Release - Start with a fast attack (2 ms) and a relatively slow release ~300 ms. The release parameter will need to be tuned to the tempo of the track, the aim is to have the compressor release about mid-way between kicks.

Noise Gating

Noise Gating [image] is the process of muting a sound, usually after the signal falls below a certain level. Noise gating is useful to mute low level hum or hiss, often found in recordings made at live gigs. In this example we will set the MASTER Band compressor curve to mute once the input signal falls below a certain level. As you work through this example, bear in mind you can also isolate the sound in one of the LOW, MID or HIGH bands and gate only the troublesome band.

Setting a noise gate

  1. Where to use - On noisy recordings or live inputs.
  2. Tutorial source - No-one admits to making noisy recordings, so to save you embarrassment we have created one for the tutorial 'Maximus NoiseGate Tutorial 44kHz.wav' [image]. This is a short vocal mixed with some power-supply hum. To download the file you will need to create a logon at freesound [image]. The freesound project is an initiative of the Music Technology Group of Pompeu Fabra University [image] to build a library of Creative Commons [image] licensed sounds.
  3. Patch - Select 'Gate'. This preset uses the MASTER compressor envelope as the gate.
  4. Compression envelope - The key to gating is the opposite of compression, that is we want the volume to drop to zero once the signal falls below a certain level. Note that the MASTER compressor envelope does this by falling prematurely to zero at around -18 dB. If you have loaded the 'Maximus NoiseGate Tutorial 44kHz.wav' and play this through the default Gate preset you should notice that the gating threshold is set too high and is chopping the tails from the vocal. Here's one solution -
      • Turn off the 'SNAP' switch below the envelope.
      • Delete the point that is at about -12 dB.
      • Right-click on the point where the curve contacts the bottom of the graph and select hold from the menu. This creates a step function.
      • Drag the point back up to the 1:1 line and slide it down this path to the lower left until you find a better low cutoff point. Look for a point where the hum is gated when the vocals stop but that allows most of the tail of the vocal through.
      • Note that you are probably still having issues?
  5. Attack & Release - One solution to the premature gating issue (above) is to turn up the release so that momentary excursions below the cutoff point don't gate the output. The attack and release parameters are critical in a gate, the attack needs to be fast so the gate opens as soon as a signal is received, however the release needs to be slow enough to hold the gate open so that the tail of sounds can make it through.

Ducking

Ducking [image] is the process of momentarily lowering the volume of one signal in the presence of another and relies on the same principles as used in the side-chain compression tutorial above. Ducking is most commonly used in voice-over applications where a music track needs to be lowered so that the spoken part can be more clearly heard. Radio-announcers, DJ's, PA operators and movie-makers can all benefit from ducking.

Setting Maximus to duck

  1. Where to use - Voice-overs Tutorial source - You will need a music track and a separate spoken vocal part. The track, 'I Am Female.mp3' [image] is an interesting vocal if you don't have one (you may need to convert it to .wav [image] if your DAW does not support .mp3). To download the file you will need to create a logon at freesound [image]. The freesound project is an initiative of the Music Technology Group of Pompeu Fabra University [image] to build a library of Creative Commons [image] licensed sounds.
  2. Patch - Select 'Ducking music behind voice'.
  3. Band compressors - Only the master band is active for this function.
  4. The compression envelope - Note that a hard-limit to 0 dB is set once the input reaches 0 dB. The compression will start once the signal passes this point. Keep this in mind for the next step.
  5. Attack & Release - The attack needs to allow the compressor to start immediately with the vocals, however the release should do so relatively slowly so the music fades back in, this can add some drama to the spoken parts. You will probably find the maximum release works well for most material.
  6. Pre & Post Gain - Note that the compression starts at 0 dB. Set the PRE gain so that the loudest parts of the music peak just below the 0 dB. Once the voice is added set it to drive the compressor well into the +6 dB to + 9 dB range. This will cause the compressor to duck the music track. As the output of Maximus is limited to 0 dB the POST gain can only be decreased.

De-essing

De-essing [image] selectively limits the high frequencies in a sound (usually vocals) from exceeding an acceptable maximum. Often, when recording vocalists, 's' and 't' sounds become overly bright and detract from the quality of the recording. Sibilance, the technical term, can be tamed by 'de-essing' the recording (so called as it affects the 's' sound most noticeably). The novice may simply turn down the high frequencies with an EQ, however this causes the vocal to lose its brightness and clarity. Here we will outline an approach that is based on selectively compressing the problem frequencies, and only when they occur.

Setting Maximus for de-essing

  1. Where to use - Single instrument tracks (usually vocals).
  2. Tutorial source - No-one admits to making noisy recordings, so to save you embarrassment we have created one for the tutorial 'Maximus NoiseGate Tutorial 44kHz.wav' [image]. It is a short vocal mixed with some power-supply hum (no we don't admit to making recordings with noise like this either). To download the file you will need to create a logon at freesound [image]. The freesound project is an initiative of the Music Technology Group of Pompeu Fabra University [image] to build a library of Creative Commons [image] licensed sounds.
  3. Open preset 'De-esser Split Band' - Maximus has some excellent de-esser presets so open 'De-esser Split Band' patch. Note that a good de-esser setup will have a subtle effect on the sound, once your patch is tweaked to the problem frequencies you may need to A/B compare the sound with and without de-essing. Apply only as much de-essing as required.
  4. Band compressors - You will notice the LOW band is 'COMP OFF' the MID band is ON. The MID band is controlling the sibilance, although its frequencies now extend up to 20 kHz as the HIGH band is OFF. The MASTER is also OFF. The difference between OFF and COMP OFF is that OFF completely bypasses the band while COMP OFF still passes signal through the band but without processing it. In summary, the MID band is the only active compressor in this patch. Since sibilance affects the high frequencies, adjust the LOW frequency setting of the MID band to be at the lower limit of the sibilance to be tamed.
  5. The compression envelope - The MID (sibilance) band is heavily compressed holding input signals to around - 6 dB. The high frequencies passing through this band are be allowed to reach -6 dB without modification, however when they exceed this level they are heavily limited. Experiment with variations on this curve with the tutorial sound.
  6. Pre & Post Gain - The idea is to limit the high frequencies, so you may need to adjust the PRE gain so that the sibilance drives into the compression range, otherwise they will pass unmodified. Decrease the POST gain by the same amount that you increased the PRE gain so the uncompressed parts of the sound maintain their original volume.
  7. Attack & Release - The two most common sibilant sounds vary in their duration significantly, T sounds are transient while S sounds can last a second or so. Adjust the attack so that T sounds are caught and the release so that S sounds are held long enough to have a damping effect on their overall brightness. Experimentation will be key.
NOTE: Rather than rely on post-process de-essing, try to avoid sibilance in the original recording.

What is 0 dB?

So you've noticed that the input/output of Maximus is measured in dB (decibels [image]) and wondered what it means? Consider that a signal passing through Maximus without change has a 1:1 input to output ratio (1*input:1*output). Since we are engineers, and therefore quite nerdy, we will decide that all levels are thus to be measured relative to 1 (no change). We also agree among ourselves that values below 1 are negative and values above it positive (think negative and positive change). At this point we also realise that fractions aren't exclusive enough (even our mothers will understand if we say the signal level is half as loud). What to do? Let's choose to work in a logarithmic scale [image] and, since all values are relative, let's use a 'relative' logarithmic scale - the decibel! At this point we (being engineers), look around and realise that no-one knows what we are talking about and nod vigorously at each other in agreement, 0 dB = an unaltered signal. Still confused? The levels are given as a decimal fraction where 0 dB = 1.0.

It turns out that a change in volume of 1 dB approximates the just noticeable difference (jnd [image]) in volume. Thus, sound levels are rarely stated in fractions of a dB, you just don't care. If you want to convert relative volumes (as decimal fractions) to decibels calculate the Log [image] take the 20 * Log of the decimal to return an answer in deci (tenths) of a Bel. 0.5 or 50%, for example = 20 * Log 0.5 = 20 * -0.30 = -6 dB. It certainly sounds cooler to say "turn the vocal down by 6 dB" than to say "turn the vocal down by half" Still confused? Use your ears to set volume levels and don't exceed 0 dB on the MASTER band if the output will be rendered to wave format. My job here is done.


Maximus Credits

EFFECTS

Maximus Credits & Information

About Maximus:

Code and Graphics: Didier Dambrin.

VST Port: Frederic Vanmol.

Manual: Scott Fisher. No one reads the manual!

Thanks to:

Laurent de Soras (saturation algorithm).

Robert Bristow-Johnson (filters).

The music-dsp [image] mailing list.

Where can I buy Maximus?

This link will take you to the Image-Line Store.

Distributed by:

Image Line Software

Kortrijksesteenweg 281

B-9830 Sint-Martens-Latem

Belgium


Fruity Mute 2 - Effect Plugin

MIXING & EFFECTS

Fruity Mute 2

Fruity Mute 2 is a simple plugin for automating mutes in FL Studio mixer chain. It can also be used in combination with the Mixer routing to create L and R channel only sub-mixes.

Parameters

  • Mute - Turns the sound on/off.
  • Channel - Allows you to select both left and right channels for muting, or just one channel.

Plugin Credits: Robert Conde


Fruity Multiband Compressor - Effect Plugin

MIXING & EFFECTS

Fruity Multiband Compressor

Fruity Multiband Compressor is a three band stereo compressor using ButterWorth IIR or LinearPhase FIR filters to separate the incoming signal into three bands for processing. Limiter functionality is also included. A related plugin is Maximus.

Compression is the process of automatically scaling the output volume so that the quiet parts are louder and the loud parts don’t clip. It’s like automatically adjusting a volume knob, keeping the volume level within a set min/max range. Compression is one of the most important effects in modern music. It is used to give kick drums 'thump' and make bass 'fat'. Importantly, it can make a mix sound much louder than it is. In particular, multiband compression is a highly useful tool for mastering applications since the complex sound (wide frequency content) of a complete track can have varying amounts and types of compression applied to different parts of the frequency spectrum.

When to use: Use the Fruity Multiband Compressor in the Master Mixer Track for the final mix while mastering. If you need to compress individual Kick or Bass sounds (for example) we recommend the Fruity Compressor or Fruity Limiter as they are easier to set for individual sounds.

Parameters

The controls for the Fruity Multiband Compressor affect the relationship between input and output volume for (up to) 3 frequency bands selected by the user. The Multiband Compressor is a variable-knee compressor with built-in peak limiting. Functions are discussed from left to right on the plugin:

Input & Filtering

  • IN/OUT (Peak Meter) - Located below the peak meter, this switch ( [image]) displays either the incoming or outgoing signal strength. Hover your mouse pointer over the peak meter and look at the Hint Bar to see exact values.

  • IIR/FIR (Filter type) - Select either an IIR (ButterWorth IIR, 24dB/oct) or a FIR (LinearPhase) filter. FIR is recommended for mastering applications.

  • LIMITER - When selected (ON) the output of the Multiband Compressor will not exceed 0 dB.

  • SPEED - Controls the scroll rate of the peak/filter cutoff display. When the slider is set to 0 (far left) the peak display will be turned off and only the filter cutoff graph will be displayed.

  • Filter cutoff - Four knobs below the Speed slider for selecting the filter cutoff. From left to right: Lowpass upper limit, Midband lower limit, Midband upper limit and Highpass lower cutoff. The frequencies defined by these cutoffs as Low, Mid and High are then fed to the LOW BAND, MID BAND and HIGH BAND compressors.

Low, Mid & High Band Compressors

Each of the three bands (LOW, MID and HIGH) have these same controls:

  • A/M/B - Next to the LOW, MID and HIGH BAND labels, this switch lets you select the state as Active ( [image]): compressor activated, Muted ( [image]): band sound muted, or Bypass ( [image]): band sound passed without alteration.
  • Threshold - Sets the dB level at which the compressor kicks in. Range: 0.0 to -60.0 dB. Should be adjusted according to the relative input level and the type of audio material. Once the threshold is reached, compression will reduce the gain of the input signal according to the current Ratio, Type, Attack and Release settings.
  • Ratio - From 1:1 (max. left) to ∞:1 (max. right). Controls the amount of compression (gain reduction) that will be applied to the signal once the threshold level is reached. Range: 0.4:1 to 30:1. The ratio denotes the difference in dB between input and output levels, i.e. how much the signal above threshold level will be compressed (or expanded, at ratios below 1:1). For example, a ratio of 4:1 means that when the input level increases by 4dB, the output level of the signal above threshold will increase by 1dB.
  • KNEE Left 0%=Soft, Right 100%=Hard. While attack controls how fast a compressor acts, the knee characteristics control the rate at which the full amount of compression is applied. Soft means there is a gradual increase from no to full compression as the input volume increases, while hard means the transition from no to full compression is instant once a predefined input level is exceeded.

  • Attack - 1 to 1000 ms, controls the time it takes to reach full compression once the threshold level has been exceeded. Range: 0.0 to 400.0 ms. Fast attack means that compression will be instantaneous, while slow attack means the compression is increased gradually, allowing for more variations in the signal than the fast setting. Attack should be adjusted according to the type of audio material you are using.
  • Release - 10 ms to 1000 ms, controls the amount of time the compressor takes to stop once the level has fallen below threshold (range: 1 to 4000 ms). Short release times will make the compression more flexible and able to adapt to the input signal, but may cause fast changes in gain that may sound unpleasant. Longer release times produce a more even signal with less distortion, but make it harder to maximize the overall compression because small variations in signal level will be ignored.
  • Gain - From -∞dB to 17 dB, controls the amount of gain to be added or subtracted from the compressed output signal. The gain should be adjusted to normalize the signal amplitude after compression, or to control the amount of limiting. This parameter has an effect during Active and Bypass modes.
  • IN/OUT (Peak Meter) - Below the peak meter, this switch ( [image]) is used to display either the incoming or outgoing signal strength.

  • C (Compression Meter) - Displays the amount of gain reduction. Hover your mouse pointer over the peak meter and look at the Hint Bar to see exact values.

Plugin Credits:

Code: slim slow slider

Interface Design: Didier Dambrin


Fruity NoteBook - Text Effect

MIXING & EFFECTS

Fruity NoteBook

Fruity NoteBook is a 100-page notepad, useful for song information, story, lyrics or personal notes. It supports RTF data.

If you would like to use HTML in your project use the Fruity HTML NoteBook.

Using NoteBook

  • Add notes - Select a page using the page selector along the bottom and click in the Note area and type your notes.
  • Paste notes - You can paste different text formats from rich text editors, such as WordPad, but not pictures.

  • Change pages - The page number selector (showing 1 in the bottom of the picture, left) is automatable, so you can synchronize the pages with a song.
  • To automate the notebook in time with a song - Use an automation clip to turn the pages. Right-click the slider and select 'Create automation clip'. Place the Automation clip in the Playlist. You will need to create steps in the Automation clip where you want the pages to flip. Two things to help you here are:
    • Adjust vertical sensitivity - Use the Automation Clip Channel settings Max/Mix controls to adjust the vertical sensitivity/range of the Automation Clip.
    • Create automation steps - Right-click the first control-point you add to the Automation Clip and select 'Hold' mode. Each point added after this will create a step.

Plugin Credits: Didier Dambrin


Fruity PanOMatic - Effect Plugin

MIXING & EFFECTS

Fruity PanOMatic

Fruity PanOMatic is a panning & volume plugin, especially useful for automation (the plugin uses level ramping to avoid clicks and pops). The plugin includes a handy volume/pan grid (drag the cross with your mouse) and an adjustable LFO unit.

Plugin Credits: Didier Dambrin


Fruity Parametric EQ - Effect Plugin

MIXING & EFFECTS

Fruity Parametric EQ

Fruity Parametric EQ is a CPU friendly 7 band parametric equalizer plugin. Equalizing is the process of increasing or decreasing the loudness of specific frequencies. You can adjust the frequency and width of each band in the EQ. Also, each band can act as high shelf, low shelf, peaking, band pass, notch, high pass or low pass filter. The plugin also contains global gain wheel to adjust the overall volume.

When to use: Fruity Parametric EQ is useful wherever precise control over EQ is required and screen space is limited, otherwise use the, even more, sophistocated Fruity Parametric EQ 2. A more general alternative to either of these Parametric EQ's is EQUO.

Parameters

    1. Filter type (peaking, low shelf, high shelf, etc).
    2. Equalization amount (the level of the band). High pass, low pass, band pass and notch filters don't use that parameter (so the slider is invisible when using them).
    3. Center frequency of the band.
    4. Width of the band (turning the knob to the left makes the band wider).

Notes

Graph area - Left-clicking in the graph area and moving the mouse up and down changes level, left and right movement changes center frequency. For Right-clicking, moving up and down changes level and left and right band-width.

Disabled bands - When the filter type is set to 'off' and peaking/shelf bands that are not amplified do not use CPU resources.

The plugin window - is resizable, allowing you to hide the bottom part of the panel.

Need more bands? - You can stack more than one instance of this plugin in a Mixer track to gain more EQ channels, 2 instances would provide 14 bands of Parametric EQ!

Plugin Credits: Didier Dambrin


Fruity Parametric EQ 2 - Effect Plugin

MIXING & EFFECTS

Fruity Parametric EQ 2

Fruity Parametric EQ 2 is an advanced 7-Band parametric equalizer plugin with spectral analysis. Equalizing is the process of increasing or decreasing the loudness of specific frequencies. The Band type (shape), center frequency and width of each Band are fully adjustable. You can choose from High Shelf, Low Shelf, Peaking, Band Pass, Notch, Low Pass, High Pass or Band Pass filters for each Band independently. There is also a global gain slider to adjust the overall volume.

When to use: Parametric EQ 2 is a good choice whenever precise control over EQ is required (e.g. Mastering and controlling or enhancing specific frequencies at an instrument level). Alternatively, if screen space is tight use Fruity Parametric EQ, or for a graphic EQ, try EQUO. NOTE: If you require even more precise control over EQ, the off-line Equalize Tool in Edison provides the greatest precision of all the EQ plugins.

Parameters

  1. Band Type & Filter Slope Selectors - Note that the upper section shows different shapes (Band Type) with dots below each shape (Filter Slope). Band Type: Left-click and drag up/down to change the filter type between OFF, Low Pass, Band Pass, Notch, Low Shelf, Peaking, High Shelf. Filter Slope: Left-click and drag up/down on the dot/s below each band shape to select filter slope. Down = Steep 4, 6 & 8, Up = Gentle 2, 6 & 8 (the steep filters give more precision in EQ isolation). NOTE: The Band Tokens can also be right-clicked to show menus for both filter and slope types.
  2. EQ Sliders - Adjust the equalization level by sliding up/down. The Band Tokens can also be directly clicked & dragged. Note that Low Pass, Band Pass and Notch filters don't use this parameter (so the slider is disabled).
  3. FREQ / BW - Controls the center frequency and bandwidth of the EQ Band.
  4. Band Token - Most Band EQ manipulations can be made by clicking on a Band Token and dragging with the mouse. Mouse wheel controls band-width.
    • Bandwidth - Several methods. 1. Shift+Click and move mouse left/right on Bands; 2. Click the mouse-wheel and do the same, OR 3. Scroll the mouse-wheel while hovering over the token.
    • Reset Band - Alt+Click a Band to reset a Band.
    • Fine Adjustment - Ctrl+Click a Band to make fine adjustments (same for all knobs and sliders).
    • Main Level - Left-Click outside the Bands to adjust the main level control (the cursor will change from pointer to a cross).
    • Filter Type & Order - Right-Click on the token to open a menu of filter types and filter orders.
  5. Options and Settings - From left to right:
    • Options:
      • High precision monitor - Increases the resolution of the background frequency spectrum monitoring at the expense of display latency (plugin audio latency remains unaffected).
      • About - Shows version details and credits.
    • HQ - Uses oversampling to improve audio quality, particularly in the region above 15 kHz, buy at the expense of CPU usage.
    • View Band tokens - Turns the tokens ON/OFF.
    • Monitor - Turns the spectral monitoring ON/OFF or shows the spectrum of the plugin output.
    • Compare - Click the first down-arrow to save the current EQ settings to a spare bank. Click the up/down arrow control to swap between the saved bank and the main bank. Tweaking any parameter in the spare bank will cause it to become the main bank again. Use this to compare EQ settings. Note that the comparison bank is saved along with the main bank, so keep this in mind if you are creating presets.

Notes

Disabled Bands - When the filter type is set to 'off', peaking/shelf Bands that are not amplified will not use CPU resources.

Need more Bands? - You can stack more than one instance of Parametric EQ 2 in a Mixer track to gain more EQ channels - two instances provide 14 Bands of Parametric EQ!

Plugin Credits

Code & GUI: Didier Dambrin.

Thanks to: Robert Bristow-Johnson for his EQ Cookbook.


Fruity Peak Controller - Effect Generator

MIXING & EFFECTS

Fruity Peak Controller

Fruity Peak Controller generates an automation signal based on the input sound. Its function is similar to a noise gate, but with greater flexibility.

A common use of the Peak Controller is to create 'Sidechain' compression effects by placing the Peak Controller in a percussion mixer track and use the output signal to gate the volume control of another sustained sound, e.g. a synthesizer playing chords. This will chop up the sound in time with the percussion, a classic trance effect. NOTE: Alternatively, Fruity Limiter's compressor section has side-chain functionality.

Setup

Place the Peak Controller in the Mixer Track that has the control signal (audio), i.e. the sound that will control the linked target parameter. If you need to hear the control audio make sure the MUTE switch on the lower-right corner of the Peak Controller plugin is OFF. Once the Peak Controller is loaded it will appear as an 'Internal controller' link option in the 'Link to controller' right-click dialog. To link: Right click the target control and select:

    Peak Ctrl - LFO - This is an LFO controller and not affected by the input signal.

    Peak Ctrl - Peak - The value of this controller is based on the volume peaks of the input audio signal to the plugin.

    Peak Ctrl - Peak+LFO - This controller is the sum of the LFO and Peak controllers.

Parameters

Peak Section

Sets the options for the peak controller.

  • Base wheel (BASE) - Sets the base value (offset) of the peak controller.
  • Volume wheel (VOL) - This wheel sets how the volume peaks affect the peak controller. The value you can set ranges from -200% (maximum to left) to 200% (maximum to right). When using positive values for this setting, higher volume means higher value for the peak controller. Negative values result in the opposite effect.
  • Tension (TNS) - Drag up and down to alter the shape of the curve used to map the volume peaks to peak controller values. You can think for this parameter as peak's "tension".
  • Decay wheel (DEC) - Turn to right for faster decay of the peak. Turn to left for slower decay.

LFO Section

Sets the options for the LFO controller.

  • LFO Shape - On the top of that section you can see a set of radio buttons that allow you to set the shape of the LFO. The available choices are sine, triangle, square, saw and noise (random values).
  • Volume wheel (VOL) - This wheel sets the amplitude of the LFO. The value you can set ranges from -100% (maximum to left) to 100% (maximum to right). When using positive values for this setting, LFO's value is summed with the base value. For negative values, LFO's value is subtracted from the base value.
  • Tension (TNS) - Drag up and down to alter the shape of the curve used to map the LFO values to LFO controller values. You can think for this parameter as LFO's "tension".
  • Speed wheel (SPD) - Sets LFO's speed. Turn to left to speed up the LFO. Turn to right to slow down.
  • Phase wheel (PHS) - This wheel sets the phase offset for the LFO. You can use it to adjust the start position of the LFO.

Additional Options

  • Ramp switch - Prevents abruptly changes in controllers' values. Turn this option on if the parameters you link may cause clicks and pops when changed too fast.
  • Mute switch - When turned off, the signal passes through the Fruity Peak Controller plugin. When turned on, the output of the plugin is muted. Turn this option on when the input signal is used only to generate peaks for the Fruity Peak Controller and you don't want to hear it in the final composition.

Monitor Scales

In the top right corner of the editor window you can see three scales. The input monitor (marked with "I") shows the value of the volume peaks detected in the input signal. The peak output monitor (marked with "P") shows the value of the resulting peak controller. The LFO output monitor (marked with "L") shows the value of the LFO controller.

Plugin Credits: Didier Dambrin


Fruity Phase Inverter - Effect Plugin

MIXING & EFFECTS

Fruity Phase Inverter

Fruity Phase Inverter is a very simple plugin that inverts the phase of either the left or right channel, giving a surround-like effect. Be careful as inverted waves can cancel each other, especially if the output is converted to mono.

This plugin is provided for backwards compatibility since the global surround effect from the earlier releases of FL Studio (Pre FL Studio 3) was removed.

Plugin Credits: Didier Dambrin


Fruity Phaser - Effect Plugin

MIXING & EFFECTS

Fruity Phaser

Fruity Phaser is an FL Studio exclusive plugin based on SupaPhaser, developed by Smart Electronix.

Phasing is closely related to Flanging. Various frequencies in the original signal are delayed by different amounts, causing peaks and troughs in the output signal which are not spaced evenly. Phasing and flanging sound similar, as both come from combining delayed versions of the signal with the original. However, the Phasing effect is significantly more intense, with a greater 'sweeping' effect across the spectrum.

Parameters

  • Sweep Frequency - Sets the frequency of the LFO which controls the phaser. The range of this parameter depends on the Frequency Range parameter. If the value for that parameter is large, Sweep Frequency will change the frequency between 0 and 10Hz. If the range is small, it will change the frequency between 0 and 2Hz.
  • Min and Max Depth - Control the range of the phaser action. The phaser will be swept between these values.
  • Frequency range - Sets the frequency range using for the Sweep Frequency parameter.
  • Stereo - Use this control to widen the stereo image. If it's set to 0, the LFO on the left and right channel will be in perfect synchronization. At 180 degrees the left and right channel will be 100% out of phase. This means that the left channel will reach its maximum when the right channel is at minimum. Range: 0 to 360 degrees. Try setting 10 degrees for subtle stereo enhancement.
  • Stages - Stages controls the number of phasing stages. Old stompbox phasers usually have 4 or 6 stages, but this digital equivalent can have up to 23 stages. As the number of stages rises, the effect becomes more aggressive and more pronounced.
  • Feedback - Determines how much of the signal is sent back into the phaser.
  • Dry-Wet - Sets the mixture of processed and non-processed sound.
  • Out-Gain - Sets the additional gain for the signal at the output of the effect. Use this parameter to boost silent signals.

Plugin Credits: Smart Electron:x


Fruity Reeverb - Effect Plugin

MIXING & EFFECTS

Fruity Reeverb

Fruity Reeverb, short for reverberation, simulates acoustic spaces. If you clap your hands in a bathroom and in a concert hall, the two sounds will be quite different. In enclosed spaces reflections overlap one another to create a ?reverberant? sound. Fruity Reeverb parameters allow you to simulate different types of acoustic spaces. If you want to give your acoustic and electronic instruments a realistic (live) feel, then use of reverb is critical. An alternative to Fruity Reeverb is Fruity Reeverb 2.

NOTE: Reverb is one of those effects that is easy to overdo in a mix, creating a washed out and 'muddy' sound. Reverb works best on isolated or solo instruments. When your track gets busy and has a lot going on it is better to use some light delay on instruments. Rarely should you use reverb on the Master track and affect the whole mix, this tends to muddy the sound also.

Parameters

  • Low Cut - Adjusts the low cutoff frequency. Use this parameter to remove low frequencies from the input signal before reverb is added. For example, when adding reverb to a drum track, you might want to remove some of the 'rumble' from the bass drum by attenuating the bass frequencies. Setting this parameter to the minimum value will bypass the Low Cut filter, displaying OFF in the value field.
  • High Cut - Similar to Low Cut. Adjusts the high cutoff frequency. Use to remove high frequencies from the input signal.
  • Predelay - Controls the delay time between the direct input signal and the first reverb reflection. Set to lower values for small rooms, and increase relative to the room size. Predelay creates a slap-back echo effect that can add atmosphere and muffle the signal, so use it wisely.
  • Room Size - Sets the size of the virtual room where the reverb is created. Adjust according to decay time. The Room Size should be adjusted according to the decay time. Small rooms sound best with a shorter decay times, while large rooms are suited to longer decay times.
  • Diffusion - Controls the density of the reflections bouncing off the walls of the virtual room. A low diffusion setting makes the reflections sound more distinct, like closely spaced echoes. A high diffusion setting creates reflections so close they sound more like noise, in which echoes are indistinguishable.
  • Color - Use to adjust the decay time of the bass frequencies of the signal. Five settings are available: Brighter, Bright, Flat, Warm and Warmer. This parameter allows you to change the overall perceived mood, or 'sound' of the virtual room. A bright room has a low bass response, while a warm room has a high bass response. In a flat room, the response of the bass is equal to the general frequency response.
  • Decay - Controls the decay time of the reverb, i.e. the time it takes for the signal to decay to -60dB (1/1000 of the maximum amplitude). Use low decay times for small rooms or boxes, and long decay times for large rooms, halls or churches. You should also make sure that the Room Size parameter has an appropriate value.
  • High Damping - Allows you to adjust damping of the high frequencies in the reverb signal over time. Damping refers to the high frequencies being attenuated and dying out. This causes the sound to become gradually warmer and more muffled, as if it is being absorbed in the room. Setting this parameter to the maximum value will bypass the High Damping, displaying OFF in the value field.
  • Dry - Sets the relative dry output level.
  • Reverb - Sets the relative reverb (wet) signal level.

Plugin Credits

Algorithms: Ultrafunk.

Translation: Frederic Vanmol.


Fruity Reeverb 2 - Effect Plugin

MIXING & EFFECTS

Fruity Reeverb 2

Fruity Reeverb 2 simulates acoustic spaces. If you clap your hands in a bathroom or concert hall, the sound is quite different. This is due to the fact that in enclosed spaces reflections build up and overlap to create the ?reverberant? sound. Fruity Reeverb parameters allow you to simulate different types of acoustic spaces. If you wish to give your acoustic and electronic instruments a realistic (live) feel, then use of reverb is critical. Fruity Reeverb 2 can create lush and smooth reverberations of up to 20 seconds duration and is the most sophisticated reverb in the FL Studio stable. An alternative to Fruity Reeverb 2 is Fruity Reeverb.

NOTE: Reverb is one of those effects that is easy to overdo in a mix, creating a washed out and 'muddy' sound. Reverb works best on isolated or solo instruments. When your track gets busy and has a lot going on it is better to use some light delay on instruments. Rarely should you use reverb on the Master track and affect the whole mix, this tends to muddy the sound also.

Parameters

  • MID / SIDE - Process the Mid or Side components of the input signal. The default is MID processing, summed mono (Left+Right). The input must have stereo information before SIDE processing will have any effect. See Fruity Stereo Shaper for more details on Mid vs Side signals.
  • H.CUT (High Cut) - Changes the high cut-off frequency. Use this to remove high frequencies from the reverb, or to make the room sound duller.
  • L.CUT (Low Cut) - Adjusts the low cut-off frequency. Use this to remove low frequencies from the reverberations. For example, if you are adding reverb to a drum track, using the L.Cut parameter will reduce the 'rumble' and muddiness from the bass drum by attenuating the bass frequencies before being passed to the reverb engine.
  • DEL (Predelay) - Controls the delay time between the direct input signal and the first reverb reflection. There is a tempo switch ( [image]) below the Delay knob that will select 'tempo based' predelay. Predelay should be set to modest values for small rooms, and can be increased to suit room size. Predelay creates a slap-back echo effect that can add atmosphere and muffle the signal, so use it wisely.
  • SIZE (Room Size) - Use this knob to set the size of the virtual room being simulated (the display will give you feedback). For realistic effects, the Room Size should be adjusted according to the decay time. Small rooms sound better with a short decay time, large rooms sound better with longer reverb times.
  • DIFF (Diffusion) - Controls the density of the reflections bouncing off the walls of the virtual room. A low diffusion setting makes the reflections sound more distinct and sparse, like closely spaced echoes. A high diffusion setting creates a dense series of reflections, so close they sound more like a constant decaying noise.
  • BASS (Bass Multiplier) - Adjusts the decay time of the bass frequencies in the reverberations. The bass level has a b effect on the overall 'mood' or sound of the virtual room. A bright room has less bass response, while warm rooms have a more bass response.
  • CROSS (Bass Crossover) - Determines the point below which bass frequencies will be boosted by the Bass knob.
  • DEC (Decay) - Controls the decay time of the reverb, this is the time it takes for the signal to decay to -60dB (1/1000 of the maximum amplitude). Use low decay times for small rooms (good for fattening drum sounds), and long decay times for large rooms (halls or church-effects).
  • DAMP (High Damping) - Adjusts damping of the high frequencies in the reverb signal. Damping refers to the rate at which the high frequencies decay. This effect causes the sound to become gradually muffled and warmer. Bypass: Setting this parameter to the maximum value will bypass the High Damping, displaying OFF in the value field.
  • DRY (Dry Level) - Sets the relative level of the (dry) input signal passed to the outputs. When using Reeverb 2 in a Send mixer track this should be set to 0% (minimum).
  • ER (Early Reflection) - Sets the relative level of the first reflections in the reverb.
  • WET (Wet Level) - Sets the relative level of the reverberant (wet) signal. When using Reeverb 2 in a Send Channel this should be set to 100% (maximum).
  • SEP (Stereo Separation) - Adjusts the stereo separation of the final output. This affects both the wet and dry components in the signal.

Plugin Credits

Algorithms: Ultrafunk.

GUI: Didier Dambrin.

Translation: Frederic Vanmol.


Fruity Scratcher - Sample Effect

MIXING & EFFECTS

Fruity Scratcher

Fruity Scratcher is a vinyl turntable simulator. You can load any sample that is supported by FL Studio into this plugin to record your performance in real time. You can also adjust the turntable's acceleration (mass) to suit your needs. Two closely related, but more sophisticated plugins are the WaveTraveller instrument and Gross Beat effect. Note, however, that WaveTraveller is a generator rather than an effect and thus needs to be loaded into a Channel.

Parameters

  • Smooth 1/2/3/4 - These four parameters control the 'gradient' generation of the turntable simulator. Adjusting these values may improve the results for certain types of source material.
  • Pan - Sets the stereo panning of the audio output.
  • Vol - Sets the volume of the output.
  • Hold - Stops the turntable playing.
  • Mute - Mutes the sound of the turntable (suitable for automation).
  • Turntable - Left-click and drag up/down to scratch the sample.
  • Play Backwards - Press to play the sample backwards, when not scratching.
  • Pause - Press to pause the turntable, when not scratching.
  • Play Forward - Press to play the sample forward, when not scratching.
  • Speed (SPD) - Adjusts the playback speed (default: 1x).
  • Acceleration (ACC) - Adjusts the motion acceleration of the turntable.
  • Sensitivity (SEN) - Adjusts the turntable's sensitivity to mouse movement. The lower the sensitivity, the slower the rotation from the same mouse movement.
  • Browse for Sample - Click to select a sample as the source material to be 'scratched'.
  • Wave Preview - Displays a preview of the sample. You can also scratch the sample using a horizontal version of the turntable display.

Plugin Credits: Robert Conde


Fruity Send - Effect Plugin

MIXING & EFFECTS

Fruity Send

The Fruity Send plugin allows you ?siphon off? audio from any point in the mixer channel effects stack and send it to one of the four mixer 'Send tracks' . This differs from the Send knob that takes the sound from the end of the FX stack.

NOTE: This plugin can't be inserted in the master track or any of the send tracks.

Plugin Credits: Didier Dambrin


Fruity Soft Clipper - Effect Plugin

MIXING & EFFECTS

Fruity Soft Clipper

Fruity Soft Clipper is a CPU-friendly soft limiter. Soft limiting avoids clipping by applying gentle (soft knee) compression to the input signal. It is worth noting that soft knee compression will cause 'saturation' effects when the signal level exceeds the threshold level. While a little saturation brings 'warmth', too much can sound distorted. Whether or not the soft clipping saturation is audible will depend on the level applied to the signal. A closely related plugin is Fruity Limiter and is probably best used if you need a more transparent clip protection.

The graph on the plugin shows input (horizontal axis) vs output (vertical axis). You can see in the example below, that the output volume per unit of input decreases after the threshold level (brighter horizontal line toward the top of the graph) is exceeded.

Parameters

  • Threshold (THRES) - The volume threshold above which Soft Clipper will compress the audio signal.
  • Post Gain (POST) - Volume level applied after the compression.
  • Output Meter - Displays the output volume levels of the plugin.
  • Levels display - Displays the compression settings (hold your cursor over the display to see input to output levels mapping in the hint bar). Drag the cursor in the display to change the compression threshold.

Plugin Credits: Didier Dambrin


Fruity Spectroman - Visual Tool

MIXING & EFFECTS

Fruity Spectroman

Spectroman is a spectrum analyser plugin. Insert Spectroman into the mixer track you wish to produce a a spectrograph or sonograph from. A spectrograph behaves like a row of peak meters, from low to high frequencies. The louder the frequency, the higher the bar will peak. A sonograph is a rolling display of the intensity plotted as a chart. Low frequencies are plotted on the left through to high frequencies on the right (Edison has a much larger and higher-resolution capability for this type of display on sampled data) or if you want live displays Wavecandy also has a real-time spectrograph. The louder the particular frequency the brighter the trace on the screen. This plugin is useful (when mixing) for checking the frequency distribution of your mix. Be sure to have one running if anyone is watching, it makes you look like you know what you are doing :)

Parameters

  • Change Mode - To change between spectrograph (above left) and sonograph (above right) click on the switches [ [image]] above the main control area.
  • STEREO - Displays both the Left and Right channel data.
  • SHOW PEAKS - Holds the peak values (spectrograph mode only).
  • WINDOWING - Performs windowing before FFT. This improves the accuracy of the display.
  • AMP - Varies the amplitude of the displayed signals.
  • SCALE - Varies the horizontal scaling of the display.
  • Reveal Frequency - To show the frequency at which an event occurs, hover the mouse over that part of the display and read the value from the hint bar.

Plugin Credits: Didier Dambrin, FFT analysis by (FFTW library [image])


Fruity Squeeze - Effect Plugin

MIXING & EFFECTS

Fruity Squeeze

Fruity Squeeze is a bit-reducing, distortion (called 'Puncher' that replaces audio sample data with a fixed, user controlled value) and filtering plugin. Fruity Squeeze will add a gritty tonal character to input sounds and is particularly effective when applied to drum loops.

Parameters

  • Squarize - Reduces the bit-depth of the input sample stream. This has the effect of making the output wave appear blocky/rectangular and the output to sound gritty.
  • Puncher Preserve - The number of samples that are left unaffected by the Puncher section. This can vary between 0 samples (knob fully left) to a 1 second buffer (knob fully right). The maximum value is determined by the sample rate setting of the Mixer (F10 - Audio Settings).
  • Puncher Impact - The number of samples that are forced by the Puncher section to the nominal value. The Preserve and Impact sample variations are alternated (interleaved) in the output sample stream.
  • Puncher Relation - Determines the relationship between the number of Impact and Preserve samples. Possible values are: no relation, equal, double and half.
  • Puncher Amount - The Puncher section replaces 'Puncher Impacted' samples by value between 0% (knob fully left) and 100% (knob fully right) of the maximum amplitude. Best results are obtained with low settings (0% for example).
  • Filter Freq - Low pass Filter cutoff frequency.
  • Filter resonance - Low pass Filter resonance.
  • Pre/Post - The filter can be applied before (pre) or after (post) the Squarize and Puncher sections.
  • Mix - Determines the amount of dry (input) and wet (after processing) signals to be sent to the output.
  • Gain - Determines the final output volume.

Plugin Credits: Frederic Vanmol (programming), Joel Zimmerman (UI)


Fruity Stereo Enhancer - Effect Plugin

MIXING & EFFECTS

Fruity Stereo Enhancer

Fruity Stereo Enhancer contains various filters and processors to alter and enrich the stereo image of the input sound. Related plugins are the Fruity Stereo Shaper and the Mixer Track Properties Stereo separation. Visualize stereo effects with Wavecandy Vectorscope

Parameters

  • Stereo Separation knob (STEREO SEP) - Adjusts the stereo separation of the input signal (does not apply to mono input). Range: 0% (max right) to 200% (max left). At 0% the signal is mono; at 100% the stereo image remains unaltered.
  • Pre/Post switch - Lets you choose whether to have the phase offset effect applied before (PRE) or after (POST) the other filters in that plugin.
  • Phase Offset knob - Changes the phase of the L or R channels. Top dead center is normal phase, turning the knob right will progressively offset the phase of the right channel, while turning the knob to the left will progressively offset the phase of the left channel. The phase offset is achieved by delaying the affected channel by up to 500 ms. Settings of 20 to 40 ms usually produce a realistic stereo effect on mono signals.
  • Invert switch - With this filter you can invert the phase in one of the audio channels. NONE disables the effect, LEFT inverts the left audio channel, RIGHT inverts the right audio channel.
  • Panning knob (PAN) - Sets the panning of the output. When used with small delays, the phase offset effect can make the sound appear panned to left or right. You can use this knob to compensate for this effect.
  • Volume knob (VOL) - Sets the volume of the output. In some cases the stereo separation filter may decrease on increase the volume of the output. You can use this knob to compensate for this effect.

Plugin Credits: Didier Dambrin


Fruity Stereo Shaper - Effect Plugin

EFFECTS

Fruity Stereo Shaper

The Stereo Shaper is a multi-purpose stereo shaping tool, it can:
  • Provide control of individual Left/Right Mixer channels & how they're inter-mixed.
  • Affect panning/balance (with or without Left/Right channel inter-mixing)
  • Phase invert one or both channels.
  • Enhance or reduce stereo information present in the input signal.
  • Isolate a Left or Right channel and fill both Left/Right Mixer channels with the isolated mono signal.
  • 'Stereoize' mono inputs using a L/R delay.

Related effects are the Stereo Enhancer and the Mixer Track Properties Stereo separation ( [image]) filter & Phase ( [image]) switch. You can also visualize your stereo triumphs with Wave Candy Vectorscope.

Presets - As most of the standard uses of the plugin are covered, we recommend using the Fruity Stereo Shaper presets (see the 'Presets' section below).

Parameters

If this is your first time to use a mid/side stereo shaping tool, it is recommended that you read the tutorial section (below), in order to get the most out of the Stereo Shaper. Try using the Presets rather than manually adjusting the Mixer matrix, all the normal MID/SIDE processing options are covered.

Mixer Matrix

The sliders control the mixing, level and phase of the Left and Right audio inputs. The + and - markings to the left of the slider bank indicate that the upper and lower slider positions add (positive phase mix) or subtract (negative phase mix) audio signals. For example, dragging the left-most slider downward subtracts the Right channel from the left (blending a phase-inverted R channel into the L channel), although the overall result of this action will depend entirely on the positions of the other sliders. Use the Hint Bar to make precise settings for the sliders. NOTE: The left and right pair of sliders sum to create the Left and Right channel outputs of the Stereo Shaper.

Sliders from left to right:

  • Right into Left channel volume - The Right-channel into the Left-channel mix, + will be an additive blend, - a phase cancelling mix, that is any common audio information will cancel when the slider reaches the -0dB point.
  • Left channel volume - Normal Left-channel volume slider. To invert the phase move the slider to the -0 dB position.
  • Right channel volume - Normal Right-channel volume slider. To invert the phase move the slider to the -0 dB position.
  • Left into Right channel volume - The Left-channel into the Right-channel mix, + will be an additive blend, - a phase cancelling mix, that is any common audio information will fully cancel when the slider reaches the -0dB position.

Don't panic! Breath slowly and deeply, look carefully at the presets and work your way through the settings in a systematic manner, patience will be rewarded by understanding.

Effects

  • Pre / Post - Determines if the effects are applied, before (pre) or after (post) the stereo-mixer matrix.
  • Delay - Turn right to delay the Right channel up to 500 ms, turn Left to delay the Left channel up to 500 ms. Creates a pseudo-stereo effect on mono signals, try settings between 20 to 40 ms.
  • Phase - Changes the phase of the L or R channels. Top dead center is normal phase (0 deg), turning the knob right will progressively offset the phase of the Right channel, while turning the knob to the left will progressively offset the phase of the Left channel.

NOTE: Automation of Delay and/or Phase will create useful phaser effects.

In / Out Difference (Sidechain) Selector

This control sends a 'difference' signal to a sidechained track. That is, the difference between the plugins main outputs and the original input signal (the difference or remainder). The control displays (right-click it) those Mixer tracks that the Fruity Stereo Shaper's own Mixer track is sidechained TO.

  • In / Out difference - This control sends the parts of the signal that were removed by the operation of the Mixer Matrix to a 'side chained' Mixer track. It is important to set up 'sidechain' routing/s, so only the 'Difference' output is sent to the 'Difference' Mixer track, see below:

    1. Set a sidechain track - Select the Fruity Stereo Shaper's Mixer track and right-click the send knob on the destination Mixer track. Select the 'Sidechain to this track' option from the pop-up menu.

    2. Select a sidechain track - right-click the 'In / Out Difference' control to see the Mixer tracks that the Stereo Shaper's own Mixer track is routed to. Make sure the destination track is set as a Sidechain (in other words, the send volume is at 0).

  • Off - When the difference send control is set to '--' the plugin outputs only those parts of the signal that remain after the Mixer Matrix operation.

NOTE: The selector indexes (counts) available send-to tracks, so the numbers are not Mixer track numbers (right-click the control to see Mixer tracks listed by name). This sidechain output path is important for a number of processes such as 'MID/SIDE processing' as discussed in the Tutorial section.

Presets

Generally the Fruity Stereo Shaper should be controlled using presets, all of the typical uses of the plugin are represented.

  • Effects:
    • Delay - Standard L/R stereo delay caused by a 30 ms delay between the L/R channels (R channel delay). Settings between 20-40 ms usually result in the most pleasing stereoizing of a mono sound.
    • Old / Old 2 / Phaser - Variations on phase + L/R delay to create stereo/ static-phase effects. Automate the Phase or Delay controls to add movement in the phase.
    • Shrinked - Another pseudo-stereo effect using channel feedback and L/R delay.
    • Stereoize... - Various pseudo stereo effects using combinations of inter-channel mixing, phase and L/R delay controls.
  • Mixing:
    • aMid - Side splitter - An 'adapted' (see below) Mid signal remains on the host Mixer track and a Side signal is sent to the IN/OUT Difference track.
    • aSide - An 'adapted' (see below) Side signal is output on both channels.
    • aSide - Mid splitter - An 'adapted' (see below) Side signal remains on the host Mixer track a Mid signal is sent to the IN/OUT Difference track.
    • Invert Left - Invert the phase of the Left channel.
    • Invert Right - Invert the phase of the Right channel.
    • Left - Right splitter - The Left channel remains on the host Mixer track and the Right channel is sent to the IN/OUT Difference track.
    • LR to LL - The Left channel is selected and fills both L and R outputs.
    • LR to MS - Converts a stereo input to M/S Joint stereo signal. That is, the Left contains a MID and Right channel SIDE signals.
    • LR to RL - Swaps Left and Right channels.
    • LR to RR - The Right channel is selected and fills both L and R outputs.
    • Mid - A Mid signal is output on both channels, Mid = (L+R)/2.
    • Mid - aSide splitter - A Mid signal remains on the plugin's Mixer track an 'adapted' (see below) Side signal is sent to the IN/OUT Difference track.
    • MS to LR - Converts a M/S Joint stereo input to Stereo Left/Right signals.
    • Side - The Side signal is output on both channels, Side = (L-R)/2.
    • Side - Residual splitter - A Side signal, (L-R)/2, remains on the plugin's Mixer track, the residual is sent to the IN/OUT Difference track.

Preset NOTES:

Adapted channels - (a) denotes one of the channels has been phase inverted to aid Left/Right stereo reconstruction. For example, aSide has its Right channel inverted so that mixing the aSide's Right channel with either Mid channel (both the left & right Mid channels are identical) will reconstruct a Right channel signal. In other words, while Left = Mid+Side, Right = Mid-Side, so the Right channel of the Side output must be phase inverted or 'adapted' (aSide). If the Right side channel was not phase inverted (adapted) we'd get another Left channel reconstructed on the Right Mixer track. See the section on Mid/Side Stereo processing for more details.

Mixing preset names - The first descriptor of any preset name pairing with splitter in the Mixing preset list describes the signal to leave the plugin on the same Mixer track, while the second descriptor of a pairing will be sent out via the sidechain track. For example, the 'Left - Right splitter' preset outputs the Left channel on the plugin's Mixer track, and the Right channel on the sidechain Mixer track (as selected by the 'In/Out Difference' selector).

Stereo Shaper Tutorials

This section covers some of the functions that Stereo Shaper can perform and how it is achieved. Before we start, let's consider ways Left and Right channels can be combined to create various components of the stereo mix, and their terminology. You will see these terms used in the Fruity Stereo Shaper's presets. The diagrams below depict Left and/or Right channels being intermixed, the signs at the mixing nodes (circles) are operations (adding, subtracting or dividing gain/channels) while the + signs in front of the words (channel content) indicate the phase of the sound, + is original phase, - is phase inverted.

  • MID - Is short for Middle, it is the mono sum of both channels. Formula: Middle = (L+R)/2. While it is called MID (Middle), it is not only the center pan (middle) sounds, as the Left and Right panned sounds are also mixed into the MID signal. It's just both stereo channels combined and divided by 2, bringing the level down to the average of the two channels. Unfortunately you will see MID discussed on the web as if it is only the center pan (Middle) information, that is a misunderstanding stemming from its origins in the Mid/Side recording [image] microphone technique. A MID signal is however dominated by the center pan (middle) sounds. MID is produced when:

    The +1 (0 dB) shows the Right channel is being mixed into the Left channel at +1 (100%) or 0dB change in level (no change). This is a reference to the metrology used on the Fruity Stereo Shaper inter-channel mixing sliders (outer pair). Notice also that only one channel is required to represent the MID signal, and as mentioned above, the MID signal is dominated by the center pan (middle) information from the original stereo source. The middle signal being twice the extreme panned Left and Right channel information.

  • SIDE - Are the sounds panned to the sides, in other words the stereo components of the audio or the signals unique to each speaker. Formula: SIDE = (L-R)/2. As the common mono signals cancel we are left with the side signals, mixed together. A positive 'SIDE' signal indicates that the Left signal is larger than the Right channel, a negative 'SIDE' value indicates that the Right channel is larger than the Left. SIDE is produced when:

    Like the MID signal, the SIDE signal requires only one channel to represent it, see MS Stereo coding (below). Unlike the MID signal the SIDE is indeed only the stereo information, free of any mono signals. This means any processing done on this signal will affect only the stereo (side) components of the mix.

  • Left stereo channel = (L+R)/2 + (L-R)/2. Given L+R/2 = MID & (L-R)/2 = SIDE, this can also be written, Stereo Left = MID + SIDE.
  • Right stereo channel = (L+R)/2 - (L-R)/2. Alternatively, Stereo Right = MID - SIDE.
  • M/S stereo coding - This is a type of Joint Stereo [image], a stereo signal that has been re-processed as a MID and SIDE channel rather than Left and Right. Since MID and SIDE signals are able to be represented in single channels, then a two track audio file (stereo) can contain M/S rather than L/R.

NOTE: Did you know that you can perform all the functions present in the Fruity Stereo Shaper by appropriate routing and phase inversion of standard Mixer tracks? When you are done with these tutorials, why not try to create a MID and SIDE Mixer track from a source Mixer track using only the routing and Mixer track controls.

The physics of mixing sound

One of the main functions of the Stereo Shaper is to cross-mix the Left and Right stereo channels. By varying the phase and level of mixing a variety of useful effects can be achieved, including panning, stereo enhancement and MID/SIDE encoding/decoding. To understand the more complex mixing processes it's useful to have a clear understanding of how sound waves mix according to their phase. For example, when two identical sound-waves are mixed they add together to make a wave twice as loud. However, if one wave is inverted so the phase is exactly opposite, they will cancel to silence. In the case of the stereo mix, we can use this technique to cancel out the middle (center pan) audio as described later in the next section.

Mixing Left/Right stereo channels

It's common to think about a stereo track as a Left and a Right channel, reproduced over a pair of speakers or headphones. However we can also think of it as stereo and mono signals mixed together. The center pan sounds appear to come from the middle of the speakers (i.e. mono-like), don't confuse this with the MID signal since the MID signal (as described above) also has stereo information mixed into it. 'Mono' sounds are generated when both speakers producing the exact same sound at the same level. The stereo audio is produced when the Left and Right speaker make unique sounds, or the same sound at different levels. Consider the following example;

The diagram left shows two tracks, a center panned (Mono) and a 'Stereo' track with 'Left-side' and 'Right-side' hard panned L and R. These two tracks are mix into a single stereo track.

Stereo signal - If we take the words as literaly then 'Left side' is panned hard left and the words 'Right side' are panned hard right. This sounds stereo since the Left and Right channels are making unique sounds.

Mono - The word 'Mono' is panned dead center. This means both Left and Right speakers reproduce the same word 'Mono' at the same volume. This also sounds 'mono' and so panned to the middle.

Combined - When the two tracks are mixed (+) the Left channel will now say 'Left side' & 'Mono' while the Right channel will say 'Right side' & 'Mono'. Consequently, the words 'Left side' and 'Right side' appear to come from the extreme Left and Right sides of the mix while the word 'Mono' appears to come from the Center of the stereo field, the resulting mix will cover the full stereo spread (Left, Right & Center).

Panning

Our stereo track can be later panned Left or Right by one of two methods:

  1. Independent L/R volume changes - By lowering or raising the volume of the L or R channel will cause the apparent position of the sound of the word 'Mono' to move toward the louder side. The independent words 'Right side' & 'Left side' will appear to stay put but will seem quieter. The independent channel loudness method preserves the independence of the L and R channel information at the expense of losing any audio that is unique to the reduced channel at extreme panning. To resolve the problem:
  2. Cross channel mixing - Mixing (adding) the signal from one channel into other and reducing the source channel volume by the same amount. This is similar to 'pouring' the sound from one channel into another, a little like water from one glass to another (the sounds mix). In our pan-to-left example, the Left channel will produce all the words, 'Left', 'Mono' & 'Right', no sounds are lost. NOTE: This is the method used by the FL Studio Mixer pan control.

The Stereo Shaper allows you to pan stereo tracks using either of the methods described above. However, some of the Stereo Shaper's most interesting functions apply to its stereo processing capabilities, as described below.

Stereo Expansion

  1. Start with a new project and load an audio clip with a good stereo spread into the Playlist, this tutorial won't work with a mono sound, if there is no stereo, there is nothing to enhance.
  2. Load a Stereo Shaper on the Master Mixer track. Subtractive cross-mixing works by inverting the phase of a channel and adding it to its stereo partner. Phase is controlled by the direction of the sliders as shown in the Mixer Matrix diagram above, the upper half is a normal mix, the lower half is a negative phase (a subtractive mix if any signals are in common).
  3. The Stereo Shaper opens with the 'Default' patch; note that the Left into right and Right into left channel sliders are set to the middle position (no mixing) and Left channel volume and Right channel volume sliders are at the 100% position (+0 dB). The dB figures, by the way, describe the change made relative to the original signal. 0 dB is no volume change while -0dB means the signal is at the original volume but of the opposite phase (a mirror image).
  4. Set the project playing and drag the Left into right and Right into Left channel sliders down to -6dB (-50%). Notice how something magic happens; the stereo image seems to widen.

The method described above is the same process that the Stereo separation knob on the Mixer uses when turned to the left of the 12 O'clock position. The diagram (above) shows what has happened algebraically, the Left channel = [(Mono + Left) - (0.5 Mono + 0.5 Right)] = [Left - 0.5 Right - 0.5 Mono] and Right channel = [(Mono + Right) - (0.5 Mono + 0.5 Left)] = [Right - 0.5 Left - 0.5 Mono]. Note that the 'Mono' (center pan) sounds are at 0.5 (50%) of their original volume and, more importantly, the L and R (side) signals are still at 100%, now 2x louder than the Mono (center) mix. In other words, we have enhanced the side component (the stereo effect).

Stereo Reduction

Compared to expansion, stereo reduction is relatively simple. Here the L and R channels are simply cross-mixed into each other so that, at the extreme, the Left and Right channels are identical.

  1. Start with the default patch.
  2. Set all the sliders to -6 dB, this is, starting from the left most slider, 50% mix of Right into left, 50% Left level, 50% Right level and 50% Left into Right mix. The L and R channels are reduced to 50% in order to maintain the overall level.

This is how the Stereo separation knob on the Mixer operates when turned to the right of 12 O'clock position. To achieve this using the Stereo Shaper place all the sliders in the 50% (+6 dB) position, or select the 'Mono' preset.

Middle Pan Sound Removal

  1. Starting from the 'Stereo Expansion' tutorial, if the Left into right and Right into left channel sliders are lowered from - 6 dB to -0 dB (that is -100% cross-mix) then any common audio signals between the L and R channels will completely cancel.
  2. This leaves only the information unique to each Left and Right channel PLUS and inverted copy of the unique audio from the opposite channel.
  3. Algebraically, Left channel = (M+L) - (M+R) = L-R and Right channel = (M+R) - (M+L) = R-L. This cross-mixing will still sound 'mono', compressed into the center, but it has removed the sounds that were originally common to both channels (the middle mixed sounds).

You will probably also notice it sounds slightly strange, this is due to the cross-channel phase differences, the sound you are hearing is effectively a center-pan mix of what used to be in the extreme stereo-field. Inverting the phase of either the L or R channel will make the sound less 'strange' (as both channels will then be truly identical) but the sound will be diffuse, low level and not particularly pleasing. To invert the phase of one channel, insert another Stereo Shaper after the first, select the 'Default' patch and set either the Left or Right channel volume to -0 dB.

NOTE: 'Middle Pan Sound Removal' is commonly marketed as 'vocal extraction'. Assuming the vocals are panned to the exact center of the speakers and they contain no stereo effects (reverb, ping-pong delay, etc.) and the music is mostly in stereo, the instruments panned around the stereo field, then theoretically it should be possible to extract the mid (vocal) from the side (music) components of the mix. Sounds great in theory, but almost always fails in practice, as the stereo-effect is removed along with the vocal, and the assumptions we just outlined are never 100% satisfied, just like customers of vocal extraction tools. As Fruity Stereo Shaper can side-chain out the MID and SIDE components into separate channels you can either preserve the MID (mainly vocal, although there will still be L/R panned music at 50%-100% of the original level depending on where it was panned) and SIDE (mainly music) components of the mix.

MID / SIDE Stereo Mastering

The MID/SIDE processing technique has a number of applications including mastering. For example, stereo recordings of instruments such as acoustic guitars can have their stereo components equalized brighter and/or have the stereo field widened. On the other hand, bass sounds (usually panned to center) can be independently compressed and made louder. To aid this process, Fruity Stereo Shaper has the ability to side-chain out the difference output, that is, the difference between the processed output of the plugin and the original input signal. If we cause the plugin to output the MID (middle) signal, then the difference (leaving via the sidechain selector) will be the SIDE (stereo) signal. Using this approach we will set the plugin to split the MID and SIDE signals for independent processing. You will require two Mixer tracks for this technique and your input audio will need a stereo component, otherwise there is no 'side' signal to separate from the MID:

  1. Open a new FL Studio project.
  2. Load your audio to be processed as an Audio clip and put it in the Playlist.
  3. Load Stereo Shaper into a Mixer track.
  4. Rename the Mixer track, holding Stereo Shaper, MID (Middle). This track will output the MID signal to the Master track.
  5. Route your Audio clip (that is the audio to be processed) to the MID Mixer track.
  6. Rename the Mixer track immediately to the right of the Stereo Shaper SIDE (stereo). This track will receive the SIDE signal and forward that to the Master track.
  7. Sidechain routing - Select the MID Mixer track and right-click on the SIDE Mixer track's send switch and select Sidechain to this track. The MID track is now sidechained to the SIDE track.
  8. Right-click the IN / OUT Difference selector and select the SIDE Mixer track from the list. The Stereo Shaper is now sending the SIDE signal to the SIDE track. You need to have sidechained to a track for it to appear in the list (see the step above).
  9. From the Stereo Shaper plugin select the Mid - aSide splitter preset. The MID and SIDE signals from the Audio clip will now appear on the respectively named 'MID' and 'SIDE' tracks (see the 'Presets' section for notes on interpreting preset names).
  10. Press play and listen to your Audio clip. It should sound unchanged, however you should see the MID and SIDE Mixer tracks both contain audio. Normally the SIDE signal is usually quite a bit lower in volume than the MID signal, so the peak-meters will reflect this.
  11. Stereo enhancing - You can raise the SIDE Mixer track by UP TO +6 dB or lower the MID Mixer track by -6 dB (or +3 dB SIDE and -3 dB MID) to maximize the stereo effect. If you go beyond 6 dB relative adjustment, the stereo effect will be progressively diminished (see the section 'Stereo expansion' above to learn why 6 dB is the magic number). If you have been 'fiddling', re-select the 'Mid - aSide splitter' preset.
  12. Soloing MID/SIDE components - Note that if you solo the MID track, it sounds mono (as expected), however if you solo the SIDE track it doesn't sound stereo. Indeed, it sounds 'very weird' mono. This is because the side signals need to be combined with the mid signals before they become a stereo sound. Soloing the side signal results in the same audio as discussed in section 'Middle pan sound removal' above. Rest assured, that the effects processing you apply to this signal will be applied independently to the SIDE components of the input signal, you just can't hear these in isolation and in 'stereo' at the same time.
  13. MID / SIDE Mastering (finally!) - By placing effects such as a Compressor and Parametric EQ after the Stereo Shaper plugin and on the SIDE Mixer track, you can independently reverb/compress/EQ the MID and SIDE components of the signal.

    Keep levels in mind - When compressing and EQing the MID and SIDE signals, make sure you keep an eye on the final level in each of the MID and SIDE Mixer tracks. If the output of either track varies from the unprocessed level (disable the 'mastering' effects to check), you will be modifying the stereo spread along with level changes caused by the effect/s (you may or may not want this). For example, if you compress the SIDE signal and that raises the track output by +4 dB, you may want to reduce the track's volume slider by a few dB to compensate and (generally) preserve the original stereo balance.

NOTE: If you made the project you have access to all the components of the mix, so it's far more effective to make any changes to compression, EQ and panning, etc. at an individual track level. You generally don't really need to be MID/SIDE mastering. The technique is used mainly by mastering engineers who are given a stereo track and don't have access to the complete mix as separate tracks (track 'stems' as they are called).

Plugin Credits: Didier Dambrin


Fruity Vocoder - Effect Plugin

MIXING & EFFECTS

Fruity Vocoder

Fruity Vocoder is an advanced real-time vocoder effect with a wide range of adjustable parameters and zero latency. Vocoding is the process of using the frequency spectrum of one sound to modulate the same in another. The vocoder acts like a series of gates allowing through those frequencies it detects in the modulator. When a human voice is used to modulate a synthesized chord, for example, it can sound like the synthesizer is talking (a classic robot voice from sci-fi).

The vocoded sound is referred to as a carrier. The sound used for vocoding is called a modulator. A classical example is having a voice as a modulator and a synth as a carrier, to create the effect of a 'speaking synth'.

The vocoder works by detecting the levels of certain frequency bands and then filtering the carrier. Thus the carrier takes on the characteristics of the modulator sound.

Related plugin - Vocodex - By your command!

Setup

  1. Load: an instance of Fruity Vocoder in a mixer track effect slot (don't use the master).
  2. Routing: By default, the left channel is the modulator and the right channel is the carrier. This means the vocoder can only process a mono input sound, although the output is stereo. The modulator/carrier channel assignment can be swapped from the MIX section. There are several ways to create a modulator/carrier combination in the L/R channels of a Mixer Track:
    • Use panning - Route the carrier and source Instrument Channels to the Mixer track containing the Fruity Vocoder and pan the Channel Panning knob for the modulator source hard-left and carrier source hard-right.
    • Single channel muting - Use the Fruity Mute 2 plugin to mute the L and R channels of a 2nd and 3rd mixer track carrying the modulator and carrier respectively then route these to the mixer track with Fruity Vocoder.
  3. Carrier sound - The most effective carriers (the sound you hear vocoded) are those covering the whole frequency range. Pad sounds often make a good carriers, you can also try mixing in some white noise if you need to hear speech (s & t sounds) vocoded more clearly. Remember, the vocoder acts like a series of gates allowing through those frequencies it detects in the modulator. If a frequency gate opens and there is no carrier sound in that band, that part of the 'tonal' character in the vocoded sound will be lost when compared to the original.
  4. Modulator sound - Using some compression on the modulator usually helps sound (and speech in particular) to vocode more clearly.

Parameters

FREQ section

  • FORM - Formant slider, changes the pitch relationship between the Modulator and Vocoded bands, up/down for a more feminine/masculine sound.
  • Min/Max - These knobs set the frequency range processed in the vocoder. Cutting off high and low frequency regions that are not present in the modulator sound helps you achieve higher quality result with less bands.
  • Scale - Lets you adjust the scale of the frequency (linear or logarithmic). The best value for this property varies with the type of modulator sound (voice, instrument, noise, etc).
  • Invert (INV) - This switch inverts the modulator frequencies.
  • Bandwidth (BW) - This knob sets the bandwidth of the bandpass filters used to filter the carrier sound. You can think of wider bands as producing softer sound. The best value differs with the different source sounds.

ENV Section

Sets the envelope follower attack and decay. This is the fade in/out times for the envelopes of the frequency bands tracked in the modulator sound.

  • Attack - Sets the "fade in" time.
  • Decay - Sets the "fade out" time.

MIX Section

Mix the source and carrier levels using the sliders. To solo the left (modulator) or right (carrier) channel click the LCD switches.

To swap the left and right channel assignments and change the channel the modulator and carrier are taken from, click the L and R labels at the top.

Bands Display

Displays the bands and their volume levels and the sound plays. You can adjust the volume of the individual bands by dragging up/down the sliders in the view.

  • HOLD - Press this switch to hold the current band levels (i.e. "pause" the vocoder's band volume detection). You can automate this switch.
  • Bands - Allows you to select from 4 to 128 bands to be used for vocoding. The more the bands, the higher the output quality (unless you are looking for some kind of special effect), however, more bands consume more processor power. Also note that unlike the FFT-based the vocoders on the market (which usually use 256, 512 or more bands), Fruity Vocoder uses a more precise detection system, so you can achieve better results with much less bands (and no latency, unlike FFT vocoders!) than usual.
  • Filter - Allows you to set the filter order. Higher order allows for "steeper" frequency band edges.

Plugin Credits: Didier Dambrin


Wave Candy - Visual Effect

EFFECTS

Wave Candy

Wave Candy is a flexible audio analysis and visualization tool which includes an Oscilloscope, Spectrum Analyser and Peak Meter. The display type, colors, frequency range and dynamic range are all fully customizable. Related plugins include Spectroman, dB Meter & Fruity Dance.

How to use

Load Wave Candy into an effects slot on the mixer. A good place to load Wave Candy is on the special 'Selected /s' Mixer track located to the right of the 'Send' tracks. The 'Selected' mixer track receives audio from any selected mixer track (as the name suggests). Audio from any track that Wave Candy is loaded into drives the plugin visualizations.

Parameters

Input

  • Gain - Increases (right) or decreases (left) the display gain. NOTE: if you change this value any dB values shown by Wave Candy will be relative to the input level.
  • Fade out - Sets the delay between input stopping and the display fading from view. This only works if the background is also turned off (see the Appearance controls below).
  • HOLD - Freezes the current display. Click a second time to return to normal operation.

Appearance

  • Title - Click to change the font used for the display title.
  • Visible - Turns the display window on or off.
  • Mini view - Selects an alternative small display.
  • Background - Shows/hides the display window background.
  • Solid - When selected, you can use left-click to move and resize the display (depending on where clicked) and right-click to open the display menu. When deselected, Wave Candy will be transparent to mouse clicks and you can work on applications behind it.
  • Keep in front - Keeps the display window on top of any open application.
  • On desktop - The display window will continue to be visible on the Windows desktop after the host application has been minimized.
  • Blur behind (VISTA) - Blurs the display when behind transparent Windows in Vista & Windows 7.
  • Reflect / bevel - Turn right to change the reflection level, or left to hide the reflection and change the width of the display window bevel (surround).
  • Corners - Corner 'rounding' control.
  • Punches - Displays/hides background decorations, known as 'punches'.

Colors

  • Color target - Drop-down menu provides targets for the color adjustment controls. Once selected, a color can be changed by clicking on the box to the right of the menu, to open the color chooser.
    • Frame - Displays window frame related colors.
    • Bevel - Bevel (outer frame) related colors.
    • Glass - Glass effect related colors.
    • Text - Text related colors.
    • Helpers - Helper related colors.
    • Oscilloscope - Oscilloscope related colors.
    • Spectrum - Spectrum related colors.
    • Peak meter - Peak meter related colors.
    • Eye candy - Special lighting effect colors.
  • OA (Object opacity) - Turn to the right to decrease target variable opacity.
  • CA (Color opacity) - Turn to the right to decrease color transparency.
  • H (Hue) - Cycles through the color spectrum.
  • L (Lightness) - Turn to the right to increase lightness (washes out the color).
  • S (Saturation) - Turn to the right to increase color saturation or density.

Hint: Wave Candy has been designed so that tweaking the color targets will create pleasing effects. This may make it a little difficult (if you are new to the plugin), to see exactly which color you are working with. Turn AO (object opacity), CA (color transparency) and S (saturation) all the way to the right, so that changes to H (hue) will be clearly visible. But its gaudy, so put them back when you are done. We shudder to think what visual disasters you will create once you discover these controls. On second thoughts, perhaps we should hide them.

Oscilloscope

Displays the wave form created by the audio signal.

  • Pinch - Restricts the movement of the ends of the waveform (as if they are being 'pinched').
  • Interpolate - Smooths zoomed waveforms.
  • Update - Turn to the right to see a running trace of the waveform. Turn to the left to see the shape of the waveform.
  • Window - Turn to the left to zoom in on the waveform. Turn to the right to zoom out.

Spectrum

Displays a moving trace of the audio signal. Color hue represents intensity (level), vertical position represents frequency (20 Hz to 20,000 Hz, bottom to top is represented) and horizontal position represents time.

  • Update - Scroll speed, right is slower.
  • Max res - Increases the resolution of the analysis at the expense of CPU load.
  • Scale - Right increases the low frequency detail, left increases the high frequency detail. Piano keyboard - Rotate the knob fully right to see a Piano keyboard to aid in note identification from audio files. When looking at a single note, the fundamental/root pitch [image] (note name) will generally be the lowest horizontal line in the group. The lines above this are likely to be harmonics [image]. With practice you will be able to recognize the root notes in chords and other complex music.
  • dB range - Changes the intensity scaling.

Peak Meter

Displays the audio level as a pair of vertical bars (left and right channels) on a dB scale.

  • Scale - Zooms the scale range.
  • Hold time - Amount of time the peak indicator remains at its peak.
  • Mode - Choose a metering algorithm. Apart from 'Peak' all the other metering algorithms apply some 'average', 'weighted average' or 'secret squirrel mathematics' to the signal to better represent 'loudness' [image] as perceived by humans. The problem is that the ear responds in a complex way to sound pressure level, depending on frequency and duration of the sound, and so various arguments about what method best represents 'loudness' have broken out among audio engineers. Welcome to the 'metering wars' -
    • Peak - Displays the precise and instantaneous level of the audio. Most useful for spotting clipping problems and seeing maximum peak levels.
    • PPM (Peak Program Meter [image]) - Similar to the 'Peak' meter with a slightly slower response time (~5 ms averaging window) so that transient peaks are ignored and levels are easier to read.
    • RMS (Root Mean Square [image]) - Root Mean Square is an averaging (integrating) method used widely in many areas of signal analysis where values can be either positive or negative (as with audio signals). The 'squaring' (S) process in the formula converts negative values to positive and the 'root' (R) process reduces the magnitude expansion caused by the 'squaring' operation. This allows an 'average deviation' (M) from the 0 value (no sound) can be calculated. Without this, a +10 and -10 signal averaged would be 0, with the RMS formula it is 10. The RMS process is performed over a 'time window', in order to provide a moving average that evens out transient peaks, to better represent loudness.
    • Vu (Volume Unit [image]) - Originally developed in 1939 by Bell Labs, CBS and NBC for measuring and standardizing the speech levels in telephone lines, Vu was one of the first methods used to represent percieved loudness of audio signals by metering. Rather than showing peaks Vu has an intentionally slow and logarithmic [image] response to changes in input to better represent loudness [image]. Vu meters The main shortcoming of Vu is that the fluctuations in the metering are greater than the changes in volume the ear perceives. This problem is addressed by the next two methods:
    • Leq(A) - Another attempt to 'more accurately' represent loudness [image]. The Leq(A) metering algorithm is essentially an A-weighted [image] average of the audio signal. The A-weighting takes into account the changing sensitivity of the human ear as a function of audio frequency. Leq(A) is reputed to be useful for matching speech levels across different tracks.
    • ITU-R BS.1770 - Yet another algorithm (developed by the International Telecommunications Union [image], published 2006) to 'more accurately' measure perceived loudness of lengthy sections of program material (particularly for multi-channel 'surround' audio). This algorithm measures a frequency-weighted' [image] average over a long time-window (several seconds) and is probably best suited to the 'Mastering' stage when you need to match the perceived loudness of a number of different songs.

    Advice: Use a Peak meter setting to watch for clipping and your ears to make adjustments to loudness, not so difficult after all. The art of metering is really most important for audio engineers in the broadcast industry, where they need to match the volume of a wide-range of source material so that we don't have to keep adjusting the volume on our TVs & Radios. If only they would agree to use Leq(A) or ITU-R BS.1770 to match the volume of advertising to the surrounding program material! By the way, Leq(A) or ITU-R BS.1770 are not your new weapons in the 'Loudness War' [image], we're watching you!

  • Decay speed - Rate at which the metering bar falls.

Vectorscope

The Vectorscope measures the differences between the Left and Right channels of a stereo input and can provide information about stereo content, panning and phase. The display requires some additional explanation:

The flying spot - traces out the positive and negative amplitude of the Left and Right input waveforms. The stereo channels share the spot by having their amplitude axes orthogonal [image] to each other, so 'vectors' [image] are created between the two channels, hence the name Vectorscope. It sounds a bit complex but is really quite simple, think of the display as an oscilloscope-style graph where one axis (+R/-R) represents the Right channel amplitude and the other axis (+L/-L) is the Left channel amplitude. The technical name for the visual representation on a Vectorscope is a Lissajous figure [image].

Left, Right & Mono signals - When fed a Left or Right channel signal, a single line is generated as the spot bounces up and down along a single axis (the +L/-L or +R/-R axis). For a Left signal the line will slope to the left, while Right signals create a line sloping toward the right. A mono signal panned to center (where the Left and Right channels contain the same audio) will generate a vertical line, this is a 'vector' between the Left and Right channels. By observing the orientation of the line (or general orientation of a 'Lissajous figure [image] ') the display will give a visual indication of the pan position (note the background grid shows 0% pan, 50% pan and 100% pan for Left and Right).

Stereo - Stereo is created by amplitude differences between the Left and Right channels, so stereo signals cause the display to deviate from the vertical line, creating a 'Lissajous figure [image] '. The more 'stereo' content the signal has, the more complex and 'fatter' the Lissajous figure will be. Thin figures mean there is low stereo content (lines mean there is no 'stereo' effect and indicate pan position).

Phase - If a straight line, or Lissajous figure, appears oriented along the horizontal axis this indicates that Left and Right channels are 180° out of phase. Note that the more stereo content the signal has the more difficult it will be to see the orientation of the 'Lissajous figure [image] '.

Options

  • Update - Display update speed, right is slower.
  • Thickness - Thickness of the Lissajous figure's flying-spot.
  • Mode - Menu with several 'flying-spot' options.
  • Add - Additive blending (improves visibility).

NOTE: If you want to use the plugin to create visual effects, try sine-wave sounds (Sytrus 'Default' for example) with phasing or flanging added. Two note chords will add another layer of complexity. Generally, keep the input simple and you will be rewarded with the most coherent and beautiful Lissajous figures [image]. But it's not a toy, get back to work and improve your mix!

Output Display Menu

Right-click any of the above output display to open this menu. Note that the appearance setting 'solid' must be on for the mouse action to be effective.

  • Window
    • Visible - Turns the display window on or off.
    • Mini view - Selects an alternative smaller display.
    • Background - Shows/hides the display window background.
  • Mode
    • Auto - Changes the display type based on the size and shape of the window. For example, making the display tall and narrow will select 'Peak meter' mode while making it short and wide will select 'Oscilloscope" mode.
    • Oscilloscope - Displays the wave form created by the audio signal.
    • Spectrum - Displays a moving trace of the audio signal. Color hue represents intensity (level), vertical position represents frequency (20 Hz to 20,000 Hz, bottom to top is represented) and horizontal position represents time.
    • Peak meter - Displays the audio level as a pair of vertical bars (left and right channels) on a dB scale.
    • Vectorscope - Displays information about the differences between the left and right audio channels (stereo effect).
  • View settings - Opens the Wave Candy control panel.

Hints

Hold your mouse pointer over the display allows you to inspect the levels under the pointer. The middle mouse button freezes the display (same as HOLD). CPU load: In general, CPU increases with increasing display size.

Plugin Credits

Code & GUI: Didier Dambrin.


Fruity WaveShaper - Effect Plugin

MIXING & EFFECTS

Fruity WaveShaper

Fruity WaveShaper is a wave distortion effect which maps input (horizontal axis) to output (vertical axis) values using flexible spline-based graph.

Effect Parameters

  • Unipolar/Bipolar Switch - When you select unipolar mode, the bottom of the graph corresponds to 0db input and the top corresponds to maximum; Bipolar is aware of the exact position of the sample (above or below DC), so the middle is mapped to DC (0db) and up and down correspond to the offsets at both directions.
  • Pre - Preamplifies the input signal (volume).
  • Mix - Let's you mix the input signal with the processed signal in the final output. Turning to right mixes more signal from the processed version.
  • Post - Postamplification of the sound (volume).
  • Oversample - Oversamples the input to the factor specified, applies the distortion and downsamples. Oversampling helps to avoid aliasing artifacts, if any.
  • Center - Turn on to remove DC offset from the final output.

Spline Editing

Spline Editing Parameters

  • Freeze - Enable this switch to lock the map curve to its current setup. This feature is helpful after you finish with the changes to the shape and you want to protect it from accidental edits (it also hides the handles providing a clear view of the shape).
  • Step - Enable this option to set the editor in step editing mode - drag in the editor to create a "free hand" curve where a new control point is defined for every step in the timeline. Hold SHIFT key while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created this way uses the last tension set while adding a segment.
  • Snap - Enable this option if you want the control points to snap to the nearest step in the graph while dragging.

Curve Editing

Here are several basic operations you can perform to edit the envelope/mapping shape:

  • Add a new Control Point - Position your cursor over the line until the add point cursor appears ( [image]). Right-click and a new point will be added.
  • Reposition a Control Point - You can drag the control points with your left mouse button. Hold SHIFT while dragging to lock vertical position or CTRL to lock horizontal position.
  • Delete a Control Point - Right-click a control point and select Delete. Alternatively hold ALT and left-click.
  • Change Segment Type - WaveShaper offers three types of spline segments to select from. Right-click a control point and you will see three spline type options (the affected segment is the one preceding the control point): Single Curve - the default mode which allows you to create linear, ease in and ease out curves (depending on the tension); Double Curve - allows linear, ease in-out and ease out-in curves (depending on the tension); Hold - creates "hold" or "pulse" curves which are handy for creating abruptly value changes in your envelope.
  • Change Segment Tension (Acceleration) - You can drag the tension handle of each spline up/down to change the spline appearance. Right-click the handle to reset to a straight line. Hold CTRL during adjustment to fine tune.

Plugin Credits: Didier Dambrin


Fruity X-Y Controller - Generator

MIXING & EFFECTS

Fruity X-Y Controller

Fruity X-Y Controller is an internal controller plugin which allows you to use your mouse (or joystick) to generate two smooth controller inputs. It has the following inputs:

    • X-Y Ctrl - X - The value of this controller depends on the X (horizontal) position of a target (small circle with a cross) in a 2D grid.
    • X-Y Ctrl - Y - The value of this controller depends on the Y (vertical) position of the target.

To use this plugin, place an instance of it in any effects track. Open the editor window. You will see the target in the middle of a 2D grid. Drag in the grid to change the goal position and the target will follow. The X and Y controller values also change according to the target movement, reaching minimum at the bottom left corner of the grid and maximum at the top right corner.

NOTE: Once this plugin is loaded it will appear as an 'Internal controller' link option in the 'Link to controller' right-click dialog on automatable controls.

You can also control the target using a joystick. You may find Logitech's Wingman Rumblepad (as shown) especially useful, because it has two analog controllers that allows you to adjust two instances of the X-Y Controller.

Parameters:

X/Y Setup Section:

Contains options for the X/Y axis interpretation and goal position.

  • X/Y switch - If you select X, the rest of the controls in that section will control the behavior of the X axis. If you select Y, they will control the behavior of the Y axis.
  • Level wheel (LVL) - Sets the X or Y (depending on the X/Y switch) goal position the target is moving towards.
  • Minimum Value wheel (MIN) - Sets the value of the X or Y (depending on the X/Y switch) controller when the X/Y coordinate of the target is at its minimum.
  • Maximum Value wheel (MAX) - Sets the value of the X or Y (depending on the X/Y switch) controller when the X/Y coordinate of the target is at its maximum.
  • Tension (TNS) - Drag up and down to alter the shape of the curve used to map the coordinate values to the controller values. This parameter is like a controller 'tension' setting.

Additional Options:

  • Speed wheel (SPD) - Turn to the right to speed up the target's movement toward the goal position. Turn to the left to slow the target down.
  • Acceleration wheel (ACC) - Sets the acceleration of the target when the goal position changes. Turn to the right for greater acceleration, or to the left for less acceleration.
  • Enable Joystick Controller - Turn on this switch if you want to use your joystick to control the target.
  • X and Y buttons - Click to launch menus where you can choose which joystick properties will control the X and Y axes.
  • Joystick Speed wheel (SPD) - Sets the speed of the joystick.

Plugin Credits: Didier Dambrin


Soundgoodizer - Effect Plugin

EFFECTS

Soundgoodizer

Soundgooodizer is a stereo 'maximizer-enhancer' plugin based on the Maximus soundprocess engine. Soundgoodizer has been fully endorsed by famous people with really big egos ears - It's shiny, it's good!

Parameters

  • The knob - Blends from left to right from Soungoodizing 0% (bad) to 100% (good). Turn the knob to the level that sounds goodest.
  • Parameters (A, B, C, D) - Click the switches to select one of 4 carefully chosen, hand crafted phase-locked hyper-calibrated bit-polished Maximus presets. Select the preset to match your music by clicking and listening for the good stuff to happen.

To learn more about what makes the Soundgoodizer sound good, open the Maximus presets A, B, C and D and examine the settings associated with them. The Soundgoodizer 'big knob' controls the same parameter as the LMH mix knob on Maximus, that is, the mix between plugin input & LOW, MEDIUM, HIGH compressor output.

Plugin Credits: Didier Dambrin


Vocodex Vocoder

MIXING & EFFECTS

Vocodex This feature is available only in Producer Edition & Signature Bundle

Vocodex is the last word in vocoders, featuring advanced articulation envelopes, integrated Carrier synthesizer and Soundgoodizer maximizer, vocoder envelope control and up to 100 variable-width multi-parameter vocoder bands. Vocodex - By your command!

Related plugin - Fruity Vocoder.
Carrier & Modulator Source Routing Selectors Mixer Options Frequency Bands Envelope Follower Frequency Bands Distribution Articulation Envelopes Internal Carrier Synthesizer Vocodex - by your command!

Vocoding is the process of using the real-time frequency spectrum of one sound (Modulator) to modulate the frequency spectrum of another (Carrier). The vocoder engine consists of a series of bandpass filters that allow through only those frequencies detected in the Modulator source. So, for example, when a human voice is used to modulate a synthesizer chord, it will sound like the synthesizer is talking, the classic robot voice from many sci-fi movies.

Setup Inputs

Parameters

Carrier Synthesizer

Vocoding Tutorials

Plugin Credits: Didier Dambrin

Vocodex sample: Katy Theodossiou.


Vocodex Vocoder

MIXING & EFFECTS

Vocodex This feature is available only in Producer Edition or higher

Vocodex is the last word in vocoders, featuring advanced articulation envelopes, integrated Carrier synthesizer and Soundgoodizer maximizer, vocoder envelope control and up to 100 variable-width multi-parameter vocoder bands. Vocodex - By your command!

Related plugin - Fruity Vocoder.
Carrier & Modulator Source Routing Selectors Mixer Options Frequency Bands Envelope Follower Frequency Bands Distribution Articulation Envelopes Internal Carrier Synthesizer Vocodex - by your command!

Vocoding is the process of using the real-time frequency spectrum of one sound (Modulator) to modulate the frequency spectrum of another (Carrier). The vocoder engine consists of a series of bandpass filters that allow through only those frequencies detected in the Modulator source. So, for example, when a human voice is used to modulate a synthesizer chord, it will sound like the synthesizer is talking, the classic robot voice from many sci-fi movies.

Setup Inputs

A vocoder needs two audio sources to work:

  1. A Carrier - The sound that donates its timbre [image] & pitch. This is the sound you hear. Stereo carriers pass through Vocodex in stereo, mono Carriers will remain mono so a lush stereo Carrier will sound better. NOTE: The internal Carrier synthesizer is provided for live 'demo' purposes, use the external Carrier 'Production Method' (described below) for project work.
  2. A Modulator - The sound that will control the frequency spectrum of the Carrier, usually the spoken voice. The Modulator is not usually heard directly. NOTE: Modulator band analysis is mono (L + R channels are summed). Modulator pass-through, where set, is stereo however.

Vocodex is very flexible with respect to Modulator and Carrier input routing, via the MOD and CAR input selectors. These work with the Mixer sidechain and Track Send Switches.

Immediate Method - External Modulator with Internal Carrier

The 'Immediate' method relies on the internal Carrier (synthesizer) generator built into Vocodex and is intended for live demo use, where you don't need to control the Carrier synthesizer from the Piano roll (see the note at the end of this method), the setup is as follows:

Vocodex Internal Routing
  1. Load - Vocodex in a Mixer track (don't use the Master track).
  2. MOD input - Route the Modulation source to the same track as Vocodex. OR if you plan to use a live mic, then select your microphone as an INPUT on Vocodex's Mixer track.
  3. Select immediate preset - Select one of the 'Immediate' category of presets, these all use the internal Carrier synthesizer. Notice the CAR input changes to '---', this disables external Carrier input. The MOD input will show '0' offset indicating Vocodex's own Mixer track.
  4. CAR input - Use the Carrier Synthesizer menu to select a Carrier sound. On selection of a preset you should hear the word 'Vocodex' expressed according to the Carrier sound. See the Carrier Synthesizer section below for more details.
  5. Keyboard - If Vocodex is focussed it will respond to your MIDI controller, if not, you can use your mouse to lock keys on/off. When using a MIDI controller the keyboard will hold keys/chords until the next note/chord is played.
  6. Operation - Make sure Vocodex is focused (click on it) then play the project or speak into your microphone while manipulating the keyboard (mouse or MIDI controller), and you should sound like a Cylon, Daft Punk or just plain annoying to family members.

NOTE: The internal Carrier mode is aimed at live use since Vocodex does not respond to the Piano roll. See the Carrier Synthesizer section below for more details on how to replicate the internal Carrier sounds with Sytrus.

Production Method - External Modulator & Carrier

The Production method allows an external plugin to provide the Carrier sound under the control of the Piano roll / Step Sequencer. This method is intended for most serious music production and vocoding duties. Vocodex can recieve Modulator and Carrier signals from any of the other Mixer tracks (via sidechain sends) or from sound passing though Vocodex's own track (set the selector to 0). The default input selector setting assumes the Modulator comes from a Mixer track sidechained to Vocodex's track and the Carrier is routed to Vocodex's Mixer track:
Vocodex External Routing
  1. Load - Vocodex in a Mixer track effect slot (don't use the Master if you are planning to add other instruments to the project).
  2. MOD Mixer track - Identify and label a Mixer track as 'MOD'. Use a track other than Vocodex's Mixer track. The MOD Mixer track will contain the Modulation signal (usually speech, vocals, a live microphone input).
  3. MOD input - With the Modulation source Mixer track selected, right-click on the Vocodex mixer track, send switch and select Sidechain to this track, then deselect the, send to master switch to prevent the Modulator audio passing to the Master track.
  4. CAR input - Route the Carrier signal to Vocodex's Mixer track. The Channel Settings FX selector, of the plugin providing the Carrier sound, should match Vocodex's Mixer track number.
  5. Carrier sound - The most effective Carriers (the sound you hear) are those covering the whole frequency range. Thick, lush synth sounds often make a good Carriers. Try mixing in some noise from the NOISE slider if you need to hear speech (s & t sounds) vocoded more clearly. Remember, the vocoder acts like a series of gates allowing through those frequencies it detects in the Modulator sound. If a frequency band gate opens, and there is no frequencies in the Carrier over the same band, that 'tonal' character in the Modulator will be lost as it does not exist in the Carrier sound. NOTE: See the Carrier Synthesizer section below for more details on how to locate Sytrus presets designed specifically for Carrier duties.
  6. Modulator sound - In the case of speech, some compression usually helps with intelligibility of the vocoded sound as it brings up the level of the quieter parts, improving the frequency-band detection process.

NOTE: You can of course, use the MOD and CAR selectors to choose a Modulator and Carrier signal from any number of Mixer tracks sidechained to Vocodex's Mixer track. Giving the source Mixer tracks clear MOD and CAR labels will help you to select the right ones.

Interlaced Method - Replace Fruity Vocoder

If you have projects that use Fruity Vocoder and you would like to replace them with Vocodex use the 'Interlaced' method as follows:
Vocodex Interlaced Routing
  1. Replace - Fruity Vocoder with Vocodex or put Vocodex in the same Mixer track and disable Fruity Vocoder's FX slot.
  2. L-R Encoding - Select the 'L-R ENCODING' switch from the Mixer section of Vocodex. This assumes MOD = Left stereo channel and CAR = Right stereo channel. If you find the L and R inputs to Vocodex are reversed, place a Fruity Stereo Shaper before Vocodex and select the 'LR to RL' preset or swap the panning of the Carrier and Modulator Channels. If you want to set up Vocodex with the L/R method use -
      • Panning - Route the Carrier and source Instrument Channels to the Mixer track containing Vocodex and pan the Channel Panning knob for the Modulator source hard-left and Carrier source hard-right.
      • Single channel muting - Use the Fruity Mute 2 plugin to mute the L and R channels of a 2nd and 3rd mixer track carrying the Modulator and Carrier respectively then route these to the mixer track with Vocodex.
  3. Carrier & Modulator sounds - See points 5 & 6 in the 'Production Method' section.

Parameters

Carrier Synthesizer

Vocoding Tutorials

Plugin Credits: Didier Dambrin

Vocodex sample: Katy Theodossiou.


Vocodex Vocoder

MIXING & EFFECTS

Vocodex This feature is available only in Producer Edition or higher

Vocodex is the last word in vocoders, featuring advanced articulation envelopes, integrated Carrier synthesizer and Soundgoodizer maximizer, vocoder envelope control and up to 100 variable-width multi-parameter vocoder bands. Vocodex - By your command!

Related plugin - Fruity Vocoder.
Carrier & Modulator Source Routing Selectors Mixer Options Frequency Bands Envelope Follower Frequency Bands Distribution Articulation Envelopes Internal Carrier Synthesizer Vocodex - by your command!

Vocoding is the process of using the real-time frequency spectrum of one sound (Modulator) to modulate the frequency spectrum of another (Carrier). The vocoder engine consists of a series of bandpass filters that allow through only those frequencies detected in the Modulator source. So, for example, when a human voice is used to modulate a synthesizer chord, it will sound like the synthesizer is talking, the classic robot voice from many sci-fi movies.

Setup Inputs

Parameters

Mixer

The Mixer section controls Modulator and Carrier levels, input routing and provides controls for fine-tuning input/output signals. From left to right:

  • WET - Vocoder effect level.
  • SG - Soundgoodizing level. Applies Soundgoodizer maximization to the vocoder output. Soundgoodizer is useful to limit the (sometimes) unpredictable output levels from the vocoder process. Setting the slider to 0% (minimum) disables Soundgoodizing.
  • Modulation sidechain input selector - Right-click to display Mixer tracks that have been sidechained to Vocodex's Mixer track. The label simply describes the expected input, all sidechains to Vocodex's track will be visible (Modulator, Carrier and others). Typical Modulation sources include speech, singing & percussion.
  • MOD - Modulation pass-through level & peak meter. Allows the Modulator source to pass through to the output signal. This can be used in conjunction with the HP (high-pass) filter to selectively pass only high frequencies to improve the intelligibility of speech.
  • HP - Modulation pass-through highpass frequency. High-pass cutoff frequency for Modulation pass through signal. Fine-tune the specific frequencies passing through the MOD slider.
  • Carrier sidechain input selector - Right-click to display Mixer tracks that have been sidechained to Vocodex (select '---' to disable external input when using the internal Carrier or the NOISE source as a 'reverb' on a MOD input). The label simply describes the expected input, all sidechains to Vocodex's track will be visible (Modulator, Carrier and others). Good Carrier sources are bright lush synth-pad sounds.
  • L.R Encoding - Uses the Left channel as Modulator and the Right channel as Carrier from a stereo input. This is the same system Fruity Vocoder uses. See the Interlaced method routing method for more details.
  • CAR - Carrier pass-through level & peak meter. Allows the Carrier source to pass through to the output signal. This can be used in conjunction with the LP filter (see below).
  • LP - Carrier pass-through lowpass frequency cutoff. This is useful to selectively pass lower frequencies in the Carrier so some 'tone' is audible but the high-frequencies in the Carrier are not masking the sibilants [image] or just to tone-down the carrier, that are necessarily 'bright'.
  • NOISE - Adds noise to the Carrier input. This can help improve speech intelligibility by preserving sibilants [image].
  • Contour - The Contour control is used to follow the volume envelope of the Carrier and or detect Consonants in the Modulator and then use these to control the MOD pass-through, NOISE level (or both). NOTE: At least one FROM and one TO category switch must be selected for the Contour controls to work.
    • FROM CAR - Contour taken from the Carrier volume envelope.
    • FROM CONSONANTS - Contour taken from the Modulator's sibilant [image] consonants (a filter is used to isolate consonant sibilant frequencies).
    • TO MOD - Any selected 'From' category Contours are applied to Modulator pass-through.
    • TO NOISE - Any selected 'From' category Contours are applied to Carrier added noise pass-through.

    Typical settings for the Contour switches are 'FROM CONSONANTS TO NOISE or MOD' in order to make either respond to consonants only or 'FROM CAR TO MOD' to make the Modulator pass-through follow the Carriers volume envelope.

  • DRAFT - Lowers CPU usage at the expense of some audio quality, glitches or blips when moving some knobs (such as the 'Modulator pitch shift'). Draft mode is automatically disabled during rendering.
  • THREADED - Allows multi-threading for improved multi-core CPU performance.
  • Options (down arrow) - Options include:
    • Detect modulator noise level - Modulator noise reduction process. Analyzes the MOD input source for approximately 2 seconds to generate a Modulator noise level mapping. To use: Select a representative quiet section of your Modulation source audio (loop a shorter section if necessary) OR if you are using a live mic, leave the mic open and record the background noise of your system/room and select this function. This will set a noise level mapping envelope, above which the Modulator level must pass before the bands will open (when 'Subtractive denoising' is deselected).
    • Subtractive denoising - When selected, subtracts the detected Modulator noise level Modulation Mapping from the Modulator input. When deselected the detected noise mapping acts as a threshold, below threshold Carrier level = 0, above threshold Carrier level = Normal level.
    • About - 'About Vocodex' information.
  • VCX - Click to sound 'Vocodex' (Australian accent) and test the current settings.

Envelope Follower

These controls adjust the dynamics of the per-band envelope follower. Note that individual band behavior can be modulated relative to these settings using the Modulation Mappings section (below). From left to right:

  • HOLD - Hold time for the Modulation envelope follower, set by ear. In PEAK mode (see below) the HOLD setting sustains the peak band levels for a defined duration. In RMS mode the HOLD setting changes the integration window length. In this way PEAK produces stepped volume envelope and RMS produces a smoothly changing volume envelope (most evident at the longest HOLD settings). CPU load also increases with HOLD length for PEAK, but not RMS.
  • PEAK/RMS - Select the modulation envelope follower mode to PEAK or RMS. RMS may sound better with some Modulators, so it's worth checking as it also presents a lower CPU load.
  • Freeze (snowflake) - Press this switch to hold the current band levels. This is a good automation target for cool effects.
  • ATT - Band attack time. Faster times (rotate left) will more closely track the Modulator volume envelope.
  • Attack curve - Knob below ATT, fine-tune the band attack envelope curve. Labels show curve shape range.
  • REL - Band release time. Longer times (rotate right) will make the sound more 'laggy' and reverberant.
  • Release curve - Knob below REL, fine-tune the band release envelope curve. Labels show curve shape range.
  • MIN TIMES - Ensures bands remain open for a minimum duration (minimum HOLD length). This reduces audible glitching.

Band Distribution

These controls adjust the number of vocoding bands, their width and input filtering. While technical descriptions are given for each control, we recommend you 'tweak and seek' your desired sound.

  • ORDER - Detection band filter order (1,2,3,4). Lower setting (1) has a lower slope to the input window edges while higher settings (4) have a steeper slope to the input window edges. In other words, the filter order adjusts the roll-off in sensitivity either side of the central detection frequency. The default setting (2) is usually good, when adjusting by ear, sounds good, is good!
  • Bands - Select from 5 to 100 vocoder bands (click on the control and move up/down). Each band is a slice of the Carrier frequency spectrum under the control of the Modulator signal. However, more is not necessarily better or the sound you are after. Many 'classic' vocoder effects from the past use 8-16 bands. NOTE: More bands also equals more CPU usage. Vocodex uses a precise detection system, so it is possible to achieve great results with few bands.
  • Band width (sideways arrows) - Adjusts the width of the vocoder bands. When a modulator sound is active, adjusting this knob will change their apparent width of the bands display. Set by ear, not by sight.
  • Filter flatness - Controls if the bands have pointy (rotate left) or flat (rotate right) peak. This will affect the relative distribution of frequencies within each band. Another control to set by ear, tweak and smile.
  • Modulator bandwidth multiplier (mouth) - Sets the bandwidth of the Modulator detection filters. Lower settings (rotate left) produce a more resonant sound, while higher settings (rotate right) produce a softer more 'breathy/raspy' sound.
  • Modulator pitch shift (gender symbols) - Slew the pitch of the vocoder down for a more masculine sound (rotate left) or up for a more feminine sound (rotate right).
  • Modulator unison shift (people) - Control the pitch shift between unison voices. NOTE: The Modulation unison order must show a number for this control to be active.
  • Modulator unison panning (speakers) - Control the unison voice panning. No panning is the 12'Oclock position, max panning happens at max left/right rotation. Direction changes voice panning mode.
  • Modulation unison order (number display) - Off when set to ' - '. On - '1' to '5' voices. Unison is similar to a 'Chorus' effect where voices (copies) of the output are detuned and panned. Warning: CPU usage scales with order (voice) number.

NOTE: Per-band adjustments to the above controls can be made using the Envelope section, see below.

Modulation Mappings

Displays the vocoder bands, peak-level curve and Mapping Envelopes for the Modulator sound input.

  • Envelope selector
    • Equalizer
      • Band gain multiplier - Band Equalizer. From mute (bottom), 0 dB (middle) to +12 dB (top).
      • Band panning - Set the panning of vocoded bands according to the Mapping Envelope. From 100% Left (bottom), center (middle) to 100% Right (top).
      • Band gain offset - Adds/subtracts to the band gain multiplier. From -infinity dB (bottom) to 0 dB (top).
      • Modulator noise level - Threshold noise Mapping Envelope. When the Modulator signal exceeds the level defined by this envelope, those bands from the NOISE source will be allowed to pass-through to Vocodex's outputs. From -1 (bottom) to + 1 (top). Use the Detect modulator noise level function in the Options menu to create a mapping based on the unwanted low-level noises in your Modulation source. This will improve the quality of vocoded speech.
      • Modulator pass through - Set the parts of the modulator signal to pass through the plugin. From mute (bottom), 0 dB (middle) to +12 dB (top).
    • Envelope follower - All Mapping Envelopes range from x0.125 (bottom), x1 (middle) to x8 (top).
      • Hold - Hold level multiplier. Modifies the per-band response to the HOLD control (see above).
      • Envelope attack - Attack time multiplier Mapping Envelope, modifies the per-band response to the ATT control (see above).
      • Envelope release - Release time multiplier Mapping Envelope, modifies the per-band response to the REL control (see above).
    • Spectral distribution
      • Band distribution - Defines the frequency range of the bands. This envelope mapping will have a dramatic effect on the vocoder process. Bottom scale is 0 Hz (DC), top scale is 20,000 Hz, the curve will map vocoder bands across these frequencies (or a sub-set of them). See the 'Band distribution -' presets under Options > Open state file.
      • Band width - Modifies the per-band Band width from x0.125 (bottom), x1 (middle) to x8 (top).
      • Modulator pitch shift - Pitch shift multiplier Mapping Envelope, modifies the per-band Modulator pitch from -1200 cents (bottom), 0 cents (middle) to +1200 cents (top).
    • Saturation
      • Saturation mix - Per-band Mapping Envelope saturation mix level. That is the vocoder band response Mapping Envelope shape is saturated (given a unique shape). From 0% (bottom) to 50% (middle) and 100% (top).
      • Saturation curve - This is the envelope distortion effect applied to the band-follower Mapping Envelope. It maps input (horizontal axis) to output (vertical axis). The default sloping line matches a 1:input/output. In other words, no change to the input envelope shape.

    NOTE: There are a number of preset states for the Modulation Mapping envelopes under Options > Open state file.

Mapping controls

  • Follows Modulator pitch shift (lips) - Per Mapping Envelope switch, links the Mapping Envelope frequency-scale to the Modulator pitch-shift knob. When selected - the frequencies affected by the Mapping Envelope will follow their original target frequencies in the Modulator as the pitch-shift knob is adjusted. When deselected - the Mapping Envelope remains at the original fixed frequencies while the Modulator pitch moves relative to it (as the Modulator pitch-shift knob is tweaked). It is useful to enable 'Follows Modulator pitch shift' when a particular frequency/sound in it has been identified for modification with the Mapping Envelope. Leaving this off will save some CPU load.
  • Options menu - Opens to show standard envelope options including:
    • Open state file / Save state file - Opens/saves envelope states. Opens a directory containing a number of pre-defined Envelope state files. Files are labeled according to the control they are intended to control.
    • Copy state / Paste state - Use this to copy and paste envelopes, usually between instances of the EQ editor across open plugins.
    • Undo - Undoes the last envelope edit.
    • Undo history - Shows the editing history since the last reset.
    • Flip vertically - Inverts the current envelope.
    • Scale levels - Opens the Scale Level tool.
    • Normalize levels - Scales the envelope so the highest and/or lowest levels reach +/- 100%.
    • Decimate points - Opens a simple tool that allows manipulation of the number of control points in the envelope (useful in conjunction with Analyze audio file).
    • Filter - Opens the Envelope Filter tool (useful in conjunction with Analyze audio file).
    • Smooth up - Opens the Smooth Up tool that allows smoothing of the envelope shape (useful in conjunction with Analyze audio file).
    • Create sequence - Opens the Envelope Sequencer tool. While this feature is common to all native FL Studio envelopes, it has been included as it may be useful with creative uses of Vocodex.
    • Analyze audio file - Open, analyze and replicate the volume envelope of an input sound file. Drag and drop audio files directly on the Envelope editor for automatic analysis. While this feature is common to all native FL Studio envelopes, it has been included as it is particularly useful with creative uses of Vocodex.
  • Freeze (snowflake) - Freeze all envelopes to afford a clearer view of the envelope/mapping. It's also useful to stop your little brother/sister/kids messing with your carefully crafted shapes (or you).
  • Step editing - Sprays control points like drive-by machine-gun fire, allowing you to draw envelope curves.
  • Slide remaining points - When selected, slides all control points after the moved point.

Carrier Synthesizer

Vocoding Tutorials

Plugin Credits: Didier Dambrin

Vocodex sample: Katy Theodossiou.


Vocodex Vocoder

MIXING & EFFECTS

Vocodex This feature is available only in Producer Edition or higher

Vocodex is the last word in vocoders, featuring advanced articulation envelopes, integrated Carrier synthesizer and Soundgoodizer maximizer, vocoder envelope control and up to 100 variable-width multi-parameter vocoder bands. Vocodex - By your command!

Related plugin - Fruity Vocoder.
Carrier & Modulator Source Routing Selectors Mixer Options Frequency Bands Envelope Follower Frequency Bands Distribution Articulation Envelopes Internal Carrier Synthesizer Vocodex - by your command!

Vocoding is the process of using the real-time frequency spectrum of one sound (Modulator) to modulate the frequency spectrum of another (Carrier). The vocoder engine consists of a series of bandpass filters that allow through only those frequencies detected in the Modulator source. So, for example, when a human voice is used to modulate a synthesizer chord, it will sound like the synthesizer is talking, the classic robot voice from many sci-fi movies.

Setup Inputs

Parameters

Carrier Synthesizer

Vocodex includes and internal Carrier generator based on the Sytrus synthesis-engine.
Vocodex Carrier Synth

  • Carrier sounds - Select from the Carrier options using the drop-down menu to the left of the keyboard. To use the internal carrier see the Setup section 'External Modulator with internal Carrier'.
  • Playing the carrier - You can lock keys (to create cords) on/off using mouse clicks. Alternatively when Vocodex is focussed (interface selected) it will steal any MIDI keyboard controller input and can be played manually. When responding to a controller keyboard the note/chord will hold until the next note/chord is played. The first held note will clear all other notes. Any notes played after the first held note will lock on, to clear, release the first held note and play another note.

NOTE: the internal Carrier mode is aimed at live use as it does not respond to the Piano roll or Step Sequencer. However the same Carrier sounds are also available in the 'Vocoder carriers' preset section of Sytrus or from the Browser > Plugin presets > Sytrus > Vocoder carriers folder. Use the Production input method, described above, to use Sytrus an external Carrier source.

Vocoding Tutorials

Plugin Credits: Didier Dambrin

Vocodex sample: Katy Theodossiou.


Vocodex Vocoder

MIXING & EFFECTS

Vocodex This feature is available only in Producer Edition or higher

Vocodex is the last word in vocoders, featuring advanced articulation envelopes, integrated Carrier synthesizer and Soundgoodizer maximizer, vocoder envelope control and up to 100 variable-width multi-parameter vocoder bands. Vocodex - By your command!

Related plugin - Fruity Vocoder.
Carrier & Modulator Source Routing Selectors Mixer Options Frequency Bands Envelope Follower Frequency Bands Distribution Articulation Envelopes Internal Carrier Synthesizer Vocodex - by your command!

Vocoding is the process of using the real-time frequency spectrum of one sound (Modulator) to modulate the frequency spectrum of another (Carrier). The vocoder engine consists of a series of bandpass filters that allow through only those frequencies detected in the Modulator source. So, for example, when a human voice is used to modulate a synthesizer chord, it will sound like the synthesizer is talking, the classic robot voice from many sci-fi movies.

Setup Inputs

Parameters

Carrier Synthesizer

Vocoding Tutorials

Controlling Vocodex will be easier if you clearly understand how vocoding works. This section covers the basics of vocoding then moves onto some more creative uses of Vocodex.

Vocoding in detail

Vocoding is the process of detecting signal levels across a range of narrow frequency-bands in one sound (the modulator, MOD) and filtering another sound (the Carrier, CAR) with the same frequency-band level activity.

Band analysis - In the screenshot left, the vertical colored bands show the modulator frequency-level activity. The bands are in essence automatically controlled levels on a 5 to 100 band graphic equalizer through which the Carrier is trying to pass. When a band opens, that frequency (if present) in the Carrier is allowed through. More precisely, each frequency band's analysis envelope continuously tracks level changes in the Modulator and applies this envelope to the equivalent band in the Carrier's filter bank. It is through this process the Carrier takes on the temporal-frequency characteristics of the modulator sound, and it is the essence of vocoding.

Vocodex allows you to change the number of vocoding bands from 5 to 100 (using the Bands selector). Generally the more bands used, the more like the original (Modulator sound), the vocoded sound will be (within the limits of the Carrier's frequency range and timbre [image], see below). If you are after a more 'robotic' (harsh) sound try using the 16 to 32 band range. You can also achieve a similar effect by turning the Band width knob to the right, and widen the bands. To keep CPU usage down we recommend using the lowest number of bands needed to achieve the sound you want.

Carriers - It should be clear to you that if a frequency band opens, and there is no sound at that same frequency in the Carrier, then that particular 'timbral' [image] character of the modulator sound will be lost. The clarity of speech, in particular, suffers when there is little or no high frequency sound present in the Carrier. This is because sibilant [image] sounds ("s","t", etc.) consist mainly of high frequency noise. In response to this problem Vocodex includes a NOISE control (that injects noise into the Carrier), a Modulation pass-through slider (MOD) on the Mixer section, with high-pass filter to select only the sibalent sounds and a Modulator pass-through envelope (that can also be set to allow through only high frequencies from the Modulator). Use any of these controls to preserve the intelligibility of speech.

NOTE: The Sytrus synthesizer engine is used in Vocodex to generate internal Carrier sounds, see the Carrier Synthesizer section above for more details on how to replicate the internal Carrier sounds with Sytrus as an external source.

Creative uses

Pitch-tracked modulator - One interesting variation on the standard vocoder effect is achieved when the Carrier tracks the pitch of the Modulator (usually the pitch of the Modulator and Carrier are independent), this results in a more 'pure' vocoded voice sound more closely resembling a 'Talk-Box' [image].
Vocodex Pitched Carrier tutorial
  1. Open a new project - Stop complaining about all the steps, it looks more complex than it is. The goal is to convert a Modulation sample to a Piano roll score, use these notes to drive the Carrier synthesizer while the Modulator does its usual Modulation thing in Vocodex. In this way the Carrier is following the pitch of the Modulator.
  2. Modulator vocal - You will need a monophonic, singing vocal (here's a nice one we prepared earlier [image], uploaded to freesound [image]. You will need to have a (free) account there to download the vocal recording).
  3. Convert the vocal to notes - Open the vocal sample in Edison, Right-click on the sample and select Tools > Convert to score and dump to piano roll. This will perform a pitch analysis and save the result to the selected channel as a Piano roll score. This score will be used to drive the Carrier synthesizer.
  4. Load Sytrus on the score Channel - Drag the 'Saw' preset from the 'Browser > Plugin presets > Sytrus > Vocoder carriers' folder and drop it on the Channel containing the 'audio analysis' score from the previous step.
  5. Carrier routing - Route the Sytrus Channel to Mixer track 1.
  6. Create a Modulator vocal Audio Clip - Drag the original audio from Edison, use the drag tool ( [image]) and drop it on the Playlist to create an Audio Clip.
  7. Create a Modulator Mixer track - Route the Modulator Audio Clip to Mixer track 2 and rename the Mixer track 'Modulator'.
  8. Create a Pattern Clip - Select the pattern containing the 'audio analysis' score and place it in the Playlist.
  9. Align Modulator and Carrier sources in the Playlist - Align the 'audio analysis' Pattern Clip with the Audio Clip of the source audio (see image right). Play them together, Sytrus and the Vocal should sound in time and in tune (mostly).
  10. Tidy and align score to audio - If you are using our Modulation source vocal, alignment and pitch should be about right. Generally at this step you may need Play the score and audio together in the Playlist, edit the score to fix any errors or time-alignment issues. It can be useful to align the Carrier score 1/4 of a step before the vocal it was made from. This ensures the Carrier is playing when the Modulator kicks in and you don't lose any of the Modulator's attack.
  11. Sidechain the Modulator Mixer track to track 1 - See the screenshot for routing settings, use the 'Production method' as described in the Setup Inputs section.
  12. Load Vocodex - On Mixer track 1, rename the Mixer track 'Vocodex' (and why not). The Vocodex default is set to receive the Carrier on its own Mixer track and the Modulator from the first Sidechain Mixer track. This means Vocodex should be set up correctly on loading.
  13. Play - Play the project from the Playlist and be impressed. Usually this form of vocoding works best with fewer (rather than more) bands, try the 16 to 40 range. For another variation, drop the Carrier score by 1 octave. Experiment with the various Sytrus 'Vocoder carrier' presets.

Percussion - While vocoders are usually associated with speech, they also make a unique and cool effects when applied to drums and other instruments. When using Vocodex as an effect (on percussion in particular), you may want to allow some of the original Modulator (drum) sound through with the MOD (Modulation pass-through level) slider. Carriers can be the sound being effected or something totally different, as usual, experimentation is rewarded.

Need speech? - If you don't have a mic or are looking for interesting speech recordings, to use as Modulators, check out Librivox [image], a library of out-of-copyright audiobook recordings by volunteers. See the site's Copyright [image] page for details on how they can be used.

Plugin Credits: Didier Dambrin

Vocodex sample: Katy Theodossiou.


Whats New

INSTALLING VST(i)/DX(i) PLUGINS

Installing VST and DX Plugins

This section explains how to install VST and DX plugins

  • Installation Procedure - How it's done.
  • What is VST? - Wikipedia explains the VST standard.
  • What is DX? - Wikipedia explains the DX standard.
  • KVR [image] - is a one-stop resource for plugin reviews, news and links to free/commercial plugins.


Installing Plugins

INSTALLING VST(i)/DX(i) PLUGINS

Installing VST and DX Plugins

This page provides step by step instruction on installing VST or DX instruments and effects. The following topics are covered:

    • The Shared VST Plugin Directory and alternatives.
    • Installing VST Instruments & Effects
    • Installing DX Instruments & Effects.

VST Plugins

VST Plugins usually come in the form of a 'dynamic link library' (.dll) file, containing a program that can be run inside FL Studio to perform the desired function. Installing plugins, instruments and FX, is usually a very simple process including -

  • Copying a few .dll files to a directory (or pointing an installation package to install to that directory). NOTE: If the VST plugin comes with its own installer, then it's usually not a good idea to manually move the .dll about. Use the installer to install the VST in the desired directory.
  • Refreshing the plugin list in FL Studio so that they are available for use.

Your collection of 3rd party plugins will grow large, so we advise keeping them in the 'Shared VST plugin' directory: ..\Program Files\Vstplugins, feel free to create a sub-directory ('My VSTs' or similar) so you can back-up and manage your 3rd party plugins. Suggested steps:

The Shared VST Plugin Directory

During the installation of FL Studio the option is given to set the 'Shared' VST folder. That is a location on your hard-drive where FL Studio and other VST compliant programs can search and find VST plugins. The default location set by FL Studio during installation (assuming one has not already been set) is '..\Program Files\Vstplugins'. If you can't find this directory, another commonly set 'Shared VST' folder is '..\Program Files\Steinberg\Vstplugins'. The shared VST directory is set in the registry by the first program that needed to create one. The following installation procedure assumes that ..\Program Files\Vstplugins has been set.

  1. Browse to your Windows installation drive: ..\Program Files\Vstplugins.
  2. Create a 'My VSTs' plugin Sub-directory where you will save ALL your 3rd party plugins. Optionally create sub-directories for Effects and Instruments (be organized, as later it can be hard to remember what is an effect or plugin just looking at .dlls).
  3. Alternatively If you already have a location where you have been saving VSTs or would like to create one elsewhere add it as the VST search directory. Press F10, then select the File tab. At the bottom of the File window you will see the 'VST plugins extra search directory, click on the folder icon and browse to your external VST directory and click OK. FL studio will now look in this directory for VST plugins (in addition to the shared ..\Program Files\Vstplugins directory).

  4. Installation See the next section:

Installing VST Instruments & Effects

  1. Install the Instrument plugins (.dlls, etc) to the appropriate directory created in the previous section (above). This will usually be a copy procedure. If installation uses an installer, override the default install directory and point it to your VST directory.

  2. Scan for the new VST plugin:
      • Instruments - Click: 1. Channels > 2. More > 3. Refresh (button at the bottom of the list) > 4 . Fast scan. The plugin you have installed should appear in the plugin list in red. If this does not happen, please make sure you have followed the previous steps properly.
      • Effects - In the Mixer window, click down arrow for any of the plugin slots (external effects banks), click the Select item. In the submenu that appears, select More.... You will see a window listing all effect plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  3. Optional - Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  4. Now the plugin is installed and can be used as a standard FL Studio instrument or effect.

Related Instrument Links:

    • Installed instruments - Learn more about instruments (generators) pre-installed in FL Studio.
    • Channel Window - All instruments in the current project are listed in the Channel Window. It also allows pattern sequencing for basslines, drums and other simple melodic parts.
    • Piano roll - The Piano roll is a note recorder/editor, used to play instruments.
    • Playlist - The Playlist is a place to lay out individual patterns to create a full song.
    • Plugin standards - Learn more about the plugin standards supported by FL Studio

Related Effects Links:

    • Installed effects - Learn more about the effects pre-installed in FL Studio.
    • Mixing & Effects - Learn about mixing and effects in FL Studio.
    • Mixer Plugin Slots - Mixer effect slots hold effect plugins in FL Studio.
    • Effect plugin standards - Learn more about the plugin standards supported by FL Studio.

DirectX Plugins

Installing DXi Instruments & Effects

  1. To be able to use DirectX plugins you should have the latest Microsoft [image] DirectX installed.
  2. Install the DirectX plugin by running its setup file. DirectX plugins can be installed in any folder of your preference (for ex. "C:\Program Files\MyPlugin\"). Since those plugins are registered directly in Windows as a part of the DirectX system, FL Studio will detect them and use them no matter where they are installed.
  3. Start FL Studio (if it is not already running).
  4. In the Channels menu, select Add One. In the submenu that opens, select More...
  5. You will see a window listing all instrument plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan.
  6. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  7. Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  8. Now the plugin is installed and can be used as a standard FL Studio instrument/generator. To add an instance of the plugin to the current project, open the Channels menu, select Add One and in the submenu that appears select the name of the plugin. An instance of the plugin appears in the Step Sequencer window.

Related Links:

    • Generators - Learn more about generators (instruments, synths) in FL Studio.
    • Step Sequencer - All instruments in the current project are listed in the Step Sequencer. It also allows pattern sequencing for basslines, drums and other simple melodic parts.
    • Piano roll - The Piano roll is used to create complex melodic parts for the generators.
    • Playlist - The Playlist arranges all patterns in a full song.
    • Generator Plugins - Learn more about the plugin standards supported by FL Studio.

Installing DX Effects

  1. To be able to use DirectX plugins, make sure you have installed the latest DirectXMedia (now part of DirectX) on your machine. The latest DirectX setup can be downloaded for free at www.microsoft.com.
  2. Install the DirectX plugin by running its setup file. DirectX plugins can be installed in any folder of your preference (for ex. "C:\Program Files\MyPlugin\"). Since those plugins are registered directly in Windows as a part of the DirectX system, FL Studio will detect them and use them no matter where they are installed.
  3. Start FL Studio (if it is not already running).
  4. If the Mixer window is not visible, open the View menu and select the Mixer item.
  5. In the Mixer window, click the menu button for any of the plugin slots and click the Select item. In the submenu that appears, select More...
  6. You will see a window listing all effect plugins available in FL Studio. At the bottom of the window, click the Refresh button and select Fast Scan.
  7. The plugin you have installed should appear in the plugin list in red color. If this does not happen, please make sure you have followed the previous steps properly.
  8. Place a checkmark before the plugin name if you want it listed in your favorites and close the window.
  9. Now the plugin is installed and can be used as a standard FL Studio effect. To add an instance of the plugin to the current project, select a slot in the Mixer window, open its menu and pick the plugin from the Select submenu. An instance of the plugin appears in the selected mixer slot.

Related Links:

    • Mixing & Effects - Learn about mixing and effects in FL Studio.
    • Mixer Plugin Slots - the plugin slots host all effect plugins in FL Studio.
    • Effect Plugins - Learn more about the plugin standards supported by FL Studio


RECORDING

Recording Audio, Scores (Notes) & Automation Overview This feature is available only in Fruity Edition and Producer Edition.

FL Studio can record three types of data:

  1. Audio - internal mixer audio from instrument channels and external audio from a microphone or instrument connected to your soundcard inputs.
  2. Scores - note data from a piano keyboard, typing keyboard or similar.
  3. Automation - volume, pan, knob, slider and mouse movements on FL Studio and plugin interface controls.

Choose which data types to record using the Recording filter, accessed by right-clicking the record button on the Main Transport Panel. The following sections focus on recording each data type in detail. Video tutorials are also available on the FL Studio website.

Recording Audio (mixer, line-in, microphone)

FL Studio can record the audio present on any number of Mixer tracks. This audio can come from internal instruments loaded in the Channel Window or from external sources such as a microphone or line-in jack on your soundcard (ASIO drivers must be used). For more information see these pages:

Recording audio - Learn how to prepare and arm a mixer track for recording internal or external audio sources.

Mixer input/output routing - A more detailed discussion of mixer tracks input/output, line-in and microphone input routing.

Recording Scores (notes / keyboard performances)

External MIDI keyboards can be used to play the plugin synthesizers in FL Studio. For more information on recording a note sequence using your MIDI keyboard, see these pages:

Live keyboard recording - Recording a live keyboard performance on the fly.

Step entry editing - Recording notes step by step.

Score logger - A 3 minute buffer saves all note activity from external controllers and 'typing keyboard to piano'.

Recording Automation (controller changes)

Record mouse movements on interface controls or link and record external controller movements of interface controls:

Recording Automation - Learn how to record continuous controller changes from your mouse or external controllers.


Recording USB Microphones

RECORDING

Recording with USB Microphones and Headsets This feature is available only in Producer Edition

This section covers the special issues raised by USB microphones.

The problem: If you use the F10 audio settings to select your USB microphone, then you can't hear sound from FL Studio and if you select your soundcard you can't record your microphone. Most ASIO soundcard drivers only support one audio device, that means you can select either to your USB microphone or soundcard but not both at the same time. You need both!

The solution: ASIO4ALL [image] allows you to select independent input and output audio devices within the same soundcard driver. This section will assist you in setting up ASIO4ALL to work with your soundcard (output) and USB mic (input) simultaneously. After these steps you can review the normal recording procedure here.

Using a USB Microphone or Headset

This procedure is provided for your convenience, we can't guarantee that it will work as not all soundcards are compatible with ASIO4ALL [image], but most are. The aim is to set your USB mic as the ASIO input device and your soundcard as the ASIO output device.

  1. Install ASIO4ALL - The default FL Studio installation includes ASIO4ALL so it should already be on your PC. It not, Download ASIO4ALL here [image].
  2. Select the ASIO4ALL driver - In FL Studio press F10 to open the Settings window and open the audio settings options. Select 'ASIO4ALL v2' in the Output window.
  3. Open the ASIO4ALL driver settings - Click on 'Show ASIO Panel' in the 'ASIO properties' section to open the ASIO4ALL driver window.
    4. ASIO4ALL
  4. Select the 'Advanced' options - ASIO4ALL should open in Advanced mode (as shown below) if not, click on the Spanner in the lower right of the window to change between modes.
    5. ASIO4ALL

    NOTE: If any of the inputs/outputs of the devices in the 'WDM Device List' have [image] against them, it means they are unavailable. means beyond logic. See the ASIO4ALL System Settings page for details on troubleshooting ASIO4ALL input/output issues.

  5. Select the input (ASIO mic) and output devices (your regular soundcard) - In the example above the host PC has an X-Fi Soundcard and a Plantronics USB Headset (with mic), your options will probably differ. Enable the devices you wish to use (at the highest level in the list) and then expand the options for each device by clicking on the [+] tree-view symbol to the left of each device name. You must ensure that the input associated with your USB Microphone/Headset and the output on your soundcard are both enabled. In the picture shown above, the lighted blue buttons and arrows show the active devices and active inputs/outputs. Disabling unused inputs/outputs is not necessary, but it will simplify the number of options that appear in the Mixer IN and OUT menus.
  6. Success? If you have set ASIO4ALL correctly, your USB microphone should appear as an Mixer IN option on any selected Mixer track, while the audio out from the mixer (Master track) should be routed to your soundcard, as usual.
  7. Return here to follow the normal recording procedure.

Note about latency: USB microphones generally only allow you to hear the sound being recorded after it has passed through FL Studio. As the latency of USB microphones depends on the ASIO4ALL latency settings, there may be a troublesome delay between the sound made and it being reproduced from your speakers or headphones. For example, low latency monitoring is particularly important to vocalists as high latencies cause a distracting echo effect. The only solution to this problem is to lower your buffer length settings (there are limits) or obtain a new soundcard with direct-monitoring.


Recording Notes / Scores

RECORDING

Live Score/Note Recording

Setup

For help installing an external keyboard/pad controller see the MIDI Settings Wizard or MIDI Settings page. The Transport Panel Record Button has a recording filter (right-click) which can be selected to record Audio, Score or Automation data. Make sure the Score option is selected. You may want to turn off the Score recording if, for example, you want to play along with a project while you are recording automation data without retaining the score.

NOTE: If you don't have a MIDI keyboard controller you can also use your typing keyboard as a MIDI note keyboard. Simply select the Recording panel 'Typing keyboard to piano keyboard' option. Then follow the steps below:

Recording note data

  1. Select the Pattern - The note data will be recorded into the selected Pattern. You can only record into one instrument/pattern at a time.
  2. Input quantizing - Use the Global Snap selector on the Recording panel to set input quantizing. Input quantizing will align notes to a precise timing, on beats or exact fractions of beats. Set to '(none)' if you don't want input quantizing.
  3. Turn on the Score recording filter - Right-click the Record button and make sure 'Score' is selected as a recording type (all data types with a tick will be recorded).
  4. Arm for recording - Select the Record button in the Transport panel. It will turn red to show it is ready to record.
  5. Select an Instrument Channel - Click on the Channel button of the instrument you want to record with. The selected Instrument Channel will also receive the note data and the instrument will respond to the controller keyboard.
  6. Press the Play button - FL Studio will play the project and record any note events received from your controller keyboard. When recording it's generally a good idea to turn on the Recording Countdown feature so that you have at least one bar lead-in metronome.

Where is my note data stored?

Generally note/score data is saved to a Piano roll. You may need to click on the channel and open the Piano roll to see your data. It is also possible to record the melody into the Step Sequencer (see the MIDI settings page, 'Record to Step Sequencer' option) associated with the instrument channel.

NOTE: If you are in song mode recorded patterns will automatically appear in the Playlist clip-tracks after pressing stop.

Score Logger

Always on: Never lose the perfect performance again. A three minute buffer records all note activity from external controllers and Typing Keyboard to Piano. This can be dumped to the Piano roll at any time with the Dump score log to selected pattern command on the Tools Menu. Perfect for retrieving those inspired improvised performances from the 4th dimension [image].

Automation

For recording mouse or external controller movements, see the section on Automation Recording.

Cancelling a recording session

You can cancel a recording session (so it does not apply the recorded notes and automation events) in two ways. The first one is to choose Cancel Current Recording command from Help menu, but note that you should do this while recording, BEFORE pressing the Stop button. If you press it, you can still undo the whole recording session by choosing Undo from the Edit Menu. If you had recorded mixer tracks during the last session, you will be prompted if you agree that the files are erased (i.e. undone). Be careful, because once you undo audio recording, the files can not be restored and you will have to record them again if needed.


Step Entry (Notes)

RECORDING

Step Entry of Notes

Step editing is a useful mode for entering melodies note by note using your controller keyboard (or computer keyboard if Typing Keyboard to Piano is enabled).

  1. Enable step recording: Access the step recording switch from the Recording panel or Options menu. In the Step Sequencer, select the channel you want to step edit. You don't need to press record to start step-entry.
  2. Enter notes: Each time you press a note-key on your controller keyboard a new note is added to the Piano roll. The cursor position advances to the next step automatically. The note length is equal to the snap size in the Recording panel.

      • Step back: Use the number pad [image] / (forward slash) key. Adding a note in an already filled position erases the old step.

      • Skip forward: Use the number pad [image] * (star key) to jump to the next step. Do this to leave empty spaces between notes. Sustain pedal: If you have a 'sustain pedal', press it to 'jump steps'.

      • Increase note length: Hold a note on your keyboard and press the advance position shortcut ( [image] *) one or more times, then release the MIDI key.

  3. Deselect step entry: Done!

NOTE: - To record into the Step Sequencer in 'step-mode' select the F10> MIDI option 'Record to Step Sequencer'.


Mouse & Controller Recording

Introduction

The following section shows how to record the movement of FL Studio and plugin interface controls. Movements can be made with either your mouse or any linked external hardware controller. Once movements are recorded they will play back as part of the project performance, perfect for automating mixes and synthesizer controls.

Setup

  • Recording automation filter - The Transport Panel Record Button has a recording filter (right-click to view). The options set the data types that will be recorded - Audio, Score and/or Automation data. Make sure the Automation option is selected. You may want to turn off the Automation recording if, for example, you want to tweak project or plugin parameters while you are recording audio/score data and discard those tweaks.
  • Mouse - The mouse needs no special setup, any interface control movements made while FL Studio is recording will be captured.
  • Controller hardware - Before using an external controller it must first be correctly installed (see the MIDI Settings Wizard or MIDI Settings page) and then linked to the target control.
  • What can be automated? - To determine if a native interface control can be automated, position the cursor over it and check the hint bar for the following icons:

    - The control is automatable (events can be recorded and then edited with the Event Editor)

    - The control can be linked to an external controller.

Recording automation

Mouse or external controller movements can be recorded and played back as part of the project. To record the mouse movements simply move the target control while the project is playing in record mode. In order to record an external controller it needs to be linked to an automatable parameter in FL Studio (e.g. knobs, sliders, LCDs, switches).

  1. Select the target control/s: For mouse control you will simply click on any target control/s and move them while FL Studio is recording. External hardware controllers must first be linked to the interface target/s. Any number of links can be made, limited only by the number of unique controls on your hardware.
  2. Select the Pattern: The automation will be recorded into the selected Pattern. If you automate more than one control during the session all automation will be recorded into the same pattern. The Event Editor allows you to independently select and edit the all the automation data associated with the pattern.
  3. Turn on the Automation recording filter: Right-click the Record button and make sure 'Automation' is selected as a recording type (all data types with a tick will be recorded).
  4. Arm for Recording: Click the record button in the Transport Panel, it will turn red to show FL Studio is ready to record.
  5. Press Play. FL Studio will play the project and record any movement of controls animated by your mouse or controller keyboard.

  6. Press stop.

Where is my automation data stored?

Automation data recorded from live mouse or controller movements is recorded into the Event Editor associated with the pattern that was selected during the recording session. You will find all automation in the current project listed in the Current project > Automation folder in the Browser. You have two choices after recording the automation how it should be stored:

  1. Patterns: Automation Event data remains associated with the pattern it was recorded into. This Event data can be further edited using the Event Editor. When you place the pattern in the Block Track or Clip Track area of the Playlist the automation data will remain synced to its pattern. As Event automation data is not visible when Patterns are placed in Block Tracks it's recommended to place Patterns in the upper Clip-track lanes where the Event data shows as a background image in the Pattern Clip. Also note that Event Automation remains active in either Pattern or Song mode.
  2. Automation clips: Event data can be converted into Automation Clips. The conversion is initiated from the Event Editor (Main menu > Turn into Automation Clip). Note that Automation Clips must be placed in the Clip Track area of the Playlist to become active in the song and you may need to manually align them with the correct part of the Project. In other words, the sync between the original Pattern the automation data was recorded into is lost, and the Automation Clip must now be synced to the Playlist time-line. Reestablishing the relationship is not difficult, just start the related Pattern and Automation Clip on the same bar in the Playlist.

Recording score/note data

See the section on score/note recording.

Cancelling a recording session

You can cancel a recording session (so it does not apply the recorded notes and automation events) in two ways. The first one is to choose Cancel Current Recording command from Help menu, but note that you should do this while recording, BEFORE pressing the Stop button. If you press it, you can still undo the whole recording session by choosing Undo from the Edit Menu. If you had recorded mixer tracks during the last session, you will be prompted if you agree that the files are erased (i.e. undone). Be careful, because once you undo audio recording, the files can not be restored and you will have to record them again if needed.


Linking External Controllers

AUTOMATION & RECORDING

Linking & Using External Hardware Controllers

Most features on the FL Studio interface (knobs/sliders, etc.) can be linked to an external controller. Once linked, controller movements can be recorded in real-time (make sure the recording filter is set to accept 'Automation' data). The movements will then be reproduced exactly the next time the project is played. There are two classes of links:

  • Temporary local links - are per-session, per-project links. They have the highest priority and override Global generic links. Use these to link controllers to plugin and/or FL Studio interface targets that will be used infrequently.
  • Permanent global links - persist across Projects and FL Studio sessions. Once made, the links will always be available unless overridden by a Temporary Local Link. Use these to link controllers to your favorite plugin and/or FL Studio interface targets. Next time you open the particular plugin or focus the particular part of the FL Studio interface, a link between your controller and the target will be automatically established.

Connecting a hardware controller to FL Studio

For information on setting up a hardware controller see the section on F10 > MIDI Settings options.

Linking to internal controllers

For information on linking to internal controllers see this page.

Temporary Local Links

The links made with the methods in this section are local and temporary, remembered only for the current session/project. They will temporarily override any Global links, until the project is closed and re-opened, where any Permanent links will be re-established.

FL Studio interface & native plugin 'quick link' procedure:

  1. Right-click the knob/slider you wish to control.
  2. From the pop-up menu select 'Link to Controller' to open the Remote Control Settings dialog.
  3. The remote control settings will open allowing you to modify the nature of the link. These are optional settings (see below).
  4. Move the physical knob/slider on the external controller and the link is automatically made. Alternatively:
    • Multi-link - To link multiple controls in one session, use the Multi-link option on the recording panel. Select the switch, tweak all the target controls, then tweak the same number of knobs on your hardware controller and turn off the switch (most people can remember about 7 links, how good is your memory?).

VST plugin quick link procedure:

  1. Tweak one or two VST interface targets with your mouse (a tweak is a small movement).
  2. Open the Tools Menu and select 'Last tweaked > Link to controller' to link the last tweaked parameter or Before last tweaked > Link to controller to link to the first of a tweaked pair. NOTE: the names of the 'last tweaked' and 'before last tweaked' parameters will show at the top of the Last tweaked parameters sub-menus.
  3. The remote control settings will open allowing you to modify the nature of the link. These are optional settings (see below).
  4. Move the physical knob/slider on the external controller and the link is automatically made. Alternatively:
    • Multi-link - To link multiple controls in one session, use the Multi-link option on the recording panel. Select the switch, tweak all the VST target controls, then tweak the same number of knobs on your hardware controller and turn off the switch (most people can remember about 7 links, how good is your memory?).

Permanent Global Links

Global 'generic' links persist across FL Studio sessions and projects. They are always be available unless a temporary local link supersedes them. Generic links only need to be set once, usually at the initial FL Studio installation or when a new controller is added to your kit. Notes about generic links:

  • Formulas & smoothing - Generic linking does not support mapping formulas & smoothing.
  • Temporary local links have higher priority and will replace the generic links for the current session/project.
  • Controller types - Links made with the multilink function will only work as expected from a controller of the same type. Selecting a new controller may result in unexpected links between the controller, FL Studio & plugins.
  • MIDI channels - Up to 16 separate MIDI controllers can be used simultaneously. To link multiple controllers select unique MIDI channels for each controller prior to initiating the multilink process (don't forget to enable each controller in the MIDI settings). The multilink process remembers both the MIDI CC and MIDI channel that was used to make the link.

Generic permanent linking procedure:

Global generic links are window/plugin-specific, this means the same knobs/sliders/jogs on your controller can be used to control any number of user interface targets throughout FL Studio and plugins. The focused window or plugin controls the global link/s that are active (focusing is the act of clicking on the window with your mouse).

  1. Right-click the Multi-link controllers switch on the Recording panel and select Override generic links.
  2. The Generic Link window will open.
  3. Tweak the software-user interface controls you want to link with your mouse (a tweak is any small movement of the control).
  4. Tweak the hardware - knobs/sliders/jogs you want to link to those software targets. The links will be made in the same order the software targets were tweaked. The process will auto-close once the number of hardware controls tweaked equals the number of software targets.
  5. Next time the same plugin or window is focused, these links will be automatically re-established.

NOTES: You can repeat this process as many times as required, there is no need to link all your software targets and controllers in one session. To use multiple hardware controllers each controller must be set to a unique MIDI channels prior to initiating the multilink process. FL Studio will use this MIDI channel to identify what controller is linked to what target (don't forget to enable each controller in the MIDI settings).

Generic volatile linking procedure:

These links assign a specific controller knob, slider or jog-wheel so that it automatically links to the last user interface parameter moved by the mouse. These links are volatile as they continually change focus to the last touched control on the user interface. Global volatile links are global, that is they will persist across projects and FL Studio sessions. To set up a volatile link:

  1. Tweak the user interface target (FL Studio, Plugin or VST) with your mouse (a tweak is a small movement).
  2. Open the Tools Menu and select 'Last tweaked > Override volatile link' to initiate the volatile-link process.
  3. The Generic link settings window will open, make sure the Auto detect switch is selected.
  4. Move the physical knob/slider/jog on the external controller and the first volatile-link is automatically made.
  5. Tweak a new user interface target with your mouse and the controller will now control that target, and so on...

NOTE: Controller knobs/sliders that have already been linked to specific targets will not respond to volatile linking until the original link is cancelled. Two knobs? By creating a volatile link to one controller knob using the Last tweaked > Override volatile link and then a different controller knob using the Before last tweaked > Override volatile link, you will then have the last two tweaked user interface parameters at your 'volatile' command.

Deleting permanent global links

The simplest method is to reassign offending links. However, if you need to completely delete all global links, they are stored in the FL Studio installation directory:

    • ..\FL Studio\System\Config\Mapping\Generic\(generic controller)\channelsettings.flmapping

You have the option of deleting the 'channelsettings.flmapping' file (deleting recommended) OR editing out the links you don't want in a text editor. Each link is bound by the <link> and </link> identifiers.

WARNING: You realize that mucking about with FL Studio installation files can cause FL Studio instability, global warming and rust. Worse case, you will need to swim to your PC (due to the melted ice-caps) and delete the 'channelsettings.flmapping' file on your now rusting PC to start again. By the way, while you are poking about in the FL Studio installation, don't start editing any other files, we realize that success here may lead you to think you are some kind of coding guru. Don't let it go to your head.

Remote control settings

There are a number of options on the Remote control settings dialog (below) that can modify the linked relationship.

Note that the Wrapper Menu also has several important functions (Link all parameters and Browse parameters) to make links between plugin parameters and internal/external controllers. The Remote control settings dialog options are as follows:

Link Assignment

  • Link menu - Showing 'New Link' above. Use this menu to link several external MIDI controllers to the same internal target. By default the dialog assumes a new link is to be made.

  • Remove Conflicts - When selected, any new link will replace any previous link relationships made to the target controller.

MIDI Controller

These controls allow customization of the MIDI link.

  • Channel - Choose a MIDI channel to link the control to.
  • Controller - Choose a controller number to link the control to.
  • Auto Detect - Very useful option that will detect and set the MIDI controller automatically - all you need to do is just tweak the desired control on your MIDI controller.
  • Omni - Decides if the link is channel specific. OFF - If a MIDI controller knob is linked to a channel volume, the MIDI knob will control only that specific channel volume. ON - The MIDI controller knob will no longer be tightly bound to a specific channel volume, but will control the volume of any channel selected. For example, if you linked to the volume of a 'kick' channel and then selected the 'clap' channel, the MIDI controller knob will also control the clap channel volume.

Omni and VSTi/DXi Control

Use the Omni mode to set your MIDI controller to control the same target in any selected channel. This section describes this process in more detail for 3rd Party plugins and a method for saving controller assignments for future quick recall.

Omni CC Links - If you want to use the Modwheel (CC1, for example) on your controller, so the mod wheel controls the CC1 parameter of any instrument in an active channel and also to save controller assignments for future use -

    1. Create an instance of your desired VSTi/DXi instrument.

    2. Use the Browser to select Current project > Generators > 'Your newly added VSTi will appear here in the list'.

    3. From the control options list, scroll down and right-click "MIDI CC#1" to open the pop-up menu. MIDI CC's are usually toward the bottom.

    4. Select the 'Link controller' option, enable Omni on the Remote control settings and move your Modwheel (or use the selector pad to manually select the number 001). You can do this for all 128 CCs or you can selectively choose which CCs to use. These links will stay active until manually disabled (even if every instance of a VSTi or DXi is deleted), see below.

Saving MIDI/CC control assignments - This method creates a project template with the MIDI assignments saved in the project.

    1. Follow the steps above to create your desired MIDI controller assignments to plugin controls.

    2. Delete the plugin/s.

    3. Save the project as your default.

    4. If you start future projects with this template your favorite MIDI controller assignments will be automatically available when you load compatible plugins.

Internal controller

See the section on Internal controllers for more detail. NOTE: This section of the dialog will only be visible if there are internal controller sources in the project.

Mapping formula - Menu

This menu provides some pre-defined mapping relationships between the controller and the target control.

  • Linear (absolute): For use with standard range-limited controllers.
    • Default - The controller changes the target with a 1:1 relationship.
    • Inverted - Increases in the controller value decreases the target controller and vice versa.
    • Log scale - Sensitive in the low range less sensitive in the upper range of the controller.
    • Inverted log scale - Less sensitive in the low range more sensitive in the upper range of the controller.
    • Switch - Once the input value passes the 50% point the output changes from 0% to 100%.
    • Steppy - Stepped output in the face of smooth input.
    • Steppy (cents to semitones) - When linked to a master pitch control the output is incremented in semitones.
    • First half - Output varies from 0% to 50%.
    • Last half - Output varies from 50% to 100%.
  • Incremental (relative): These settings are to be used with 'Endless controllers' (knobs/wheels that have no end-stops). If an endless knob moves the target too slowly try Input*2 or 1/10. Similarly endless knobs with around 200 steps (usually endless knobs are ticky), each step can be set to output increment unit, try 1/50,1/20,1/10 settings.
    • Default increment - The controller changes the target with a 1:1 relationship.
    • Inverted increment - Increases in the controller value decreases the target controller and vice versa.
    • 4x, 2x smaller increment - Output is divided by 4 and 2 respectively.
    • 4x, 2x bigger increment - Output is multiplied by 4 and 2 respectively.
    • 1/50,1/20,1/10 increment - Output is restricted to 2%, 5% and 10% of the input range.

User Defined Formula

Enter a custom formula to alter the default 1:1 mapping. For example: 'Input*2' multiplies the controller value by 2. After you enter an expression, press Enter. If you see message "Compiled OK" the formula was successfully compiled and you can press the OK button to apply it to the linked control. If a red text appears below, the formula is wrong (usually syntax error or unsupported variable/function was used). Correct the error and press Enter again.

For a full list of supported variables, functions and operators click here.

Smoothing:

This feature allows you to smooth the motion produced by the remote control hardware and/or internal plugin. This reduces the need to manually refine recorded automation after live sessions and ensures proper ramping of the control motion to avoid abrupt changes.

  • Time - The amount of smoothing applied to the remote control input. The longer the time, the smoother the motion.

Action Buttons

  • Reset - Click this button to reset the remote control settings, including mapping formula & smoothing.

  • Accept - Saves the dialog settings.

Generic link settings

This link dialog is associated with 'Generic' and 'Volatile links'. The options are as follows:

MIDI Controller

These controls allow customization of the MIDI link.

  • (generic controller) - Is the default setting for a drop-down menu. Select your controller here if you plan to manually set up a link.
  • Channel - Choose a MIDI channel to link the control to.
  • Controller - Choose a controller number to link the control to.
  • Auto Detect - Very useful option that will detect and set the MIDI controller automatically - all you need to do is tweak (move) the desired control on your MIDI controller.

Action buttons

  • Reset - Click this button to reset the remote control settings, including mapping formula & smoothing.

  • Accept - Saves the dialog settings.


Preconfigured Controllers

AUTOMATION & RECORDING

Controller Devices

USB & MIDI Controllers

General controller support

FL Studio supports all USB/MIDI controller keyboards, keyboard synthesizers with MIDI output and all other similar devices with General MIDI output. To play a synthesizer or other instrument in FL Studio, using an external keyboard, select the Instrument button in the Channel Window and play the controller keyboard. Remember that sliders and knobs can also be linked to virtually any control in FL Studio.

Notes about using multiple controllers

It is possible to use up to 16 MIDI controllers simultaneously, for more details see the Multiple controllers & multiple plugin channels section on the MIDI settings page. Generally, each controller should be set to a unique MIDI channel. When playing instruments, the controllers will be automatically assigned by ascending MIDI channel number, to active instrument channels, from top to bottom in the Channel window. For automation of controls/knobs FL Studio will remember the MIDI channel the controller was set to when links are made to program/plugin target/s, so only the controller that made the link will control the target/s.

Custom controller support

FL Studio is preconfigured to work with a number of custom controllers. Features supported include endless (relative) knobs, switch controls, support for jog and transport controls. To enable the advanced features of your custom controller, select it in the Input list in the MIDI settings window. If the device is not listed, it does not have preconfigured support - this does not mean it won't work, just some of the special (non standard) controls may not function correctly.

Preconfigured devices include:

    • Alesis Photon X25
    • BEHRINGER BCF2000
    • Doepfer DREHBANK
    • Edirol PCR-30/50
    • Frontier Design AlphaTrack
    • Frontier Design TranzPort
    • Hercules DJ Console MK2
    • Hercules DJ Control MP3
    • Keyfax Phat.Boy
    • Korg KONTROL49
    • Korg microKONTROL
    • Korg MS-20 Controller
    • Korg nanoKEY, nanoPAD & nanoKONTROL
    • Mackie Control Universal
    • Novation ReMOTE SL
    • Peavey StudioMix
    • Tascam US-428
    • UF Omnipotent Master Keyboard

Your device, not on the list? It will still probably function correctly, set the Input to USB Audio Device and the Controller type to '(generic controller)' , make sure to select the 'Enable' switch to the left of the Controller type menu.

Other resources

More controllers: For the latest list of supported devices visit the MIDI Controller Reference [image] forum.

Controller templates: There are a number of controller templates in the FL Studio installation directory (\Program Files\Image-Line\FL Studio\System\Hardware specific). These templates are loaded into the editor that came with your controller and will map it to FL Studio. You may then be required to select the controller type in the Input settings (when FL doesn't do it automatically).

Multimedia keyboards

If you have a multimedia keyboard you can use the Play/Pause button to Start/Pause FL Studio, and the Stop button to stop and return the song position marker to the beginning of the Playlist. The FF/RW buttons will jump between Playlist Time Markers, if present.


Internal Controllers

AUTOMATION & RECORDING

Linking & Using Internal Controller Sources This feature is available only in Fruity Edition and Producer Edition.

Internal controller plugins, either effects such as the Fruity Peak Controller or generators such as the Automation Clip, can be used to move knobs and other controls automatically. The Fruity Peak Controller, for example, can follow the volume envelope of an input sound and move a knob or slider in response. Alternatively the Automation Clip moves linked controls according to a user drawn path.

Internal automation sources include:

    • Automation Clips - Draw your own automation curves in the Playlist.

    • Dashboard - Create your own interface, link it to target controls and control them from one 'dashboard'.

    • Event Editor - Draw or record your own automation associated with patterns.

    • Fruity Envelope Controller - Play back user-specified envelopes from the Piano roll/Step Sequencer.

    • Fruity Formula Controller - Define your own controller functions using mathematical formulae.

    • Fruity Keyboard Controller - Use controller keyboard performances as a control source.

    • Fruity Peak Controller - Generates controller data based on audio input and LFO settings.

    • Fruity X-Y Controller - Control two parameters simultaneously with your mouse.

Linking to external controllers

For help linking to external controllers see this page.

Linking a software interface control to an internal controller

Most knobs, sliders and controls that you can change with a mouse in FL Studio can also be automated by one of the above automation sources. NOTE: It is possible to link a single controller to multiple targets (see below).

Native FL Studio interface & plugin controls:

  1. Right-click the knob/slider you wish to control.
  2. To create an internal link select Link to controller option to open the 'Remote control settings' dialog. NOTE: If you move any knob or slider on an external controller at this point it will be automatically linked to the target control. However to create an internal link:
  3. From the Internal controller drop down menu select the desired controller. Before this menu will appear on the dialog one of the automation sources, listed above, must be available in the project.

VST plugin interface controls:

  1. Tweak the VST interface target control with your mouse (a tweak is a small movement).
  2. Open the Tools Menu and select 'Last tweaked > Link to controller'. NOTE: If you move any knob or slider on an external controller at this point it will be automatically linked to the target control. However to create an internal link:
  3. From the Internal controller drop down menu select the desired controller. Before this menu will appear on the dialog one of the automation sources, listed above, must be loaded in the project.

Controls & Options

The following options can be used to modify the linking behavior.

Link Assignment

  • Link menu - Showing 'Link 1' above. Use this menu to link several external MIDI controllers to the same internal target. By default the dialog assumes a new link is to be made.

  • Remove Conflicts - When selected, any new link will replace any previous link relationships made to the target controller.

MIDI Controller:

This section is useful when linking a control to a MIDI controller. For more information see Linking & Using USB/MIDI Controllers section.

Internal Controller:

Here you can link the property to an internal controller that controller plugins provide. Note that this section is NOT VISIBLE when there aren't any controller plugins added in the current FL Studio project.

  • Record Automation - This switch should be usually turned off. When turned on, all events generated by the controller plugin will be recorded during a live recording session, as if you moved the control manually. However, you may turn this switch on if you want to use the controller plugin as a tool (like you use the LFO tool) to record specific set of events that you can then further refine and edit in the Event Editor window. It also makes possible to record events from controller plugins that might use much CPU when used in real-time. Don't forget to unlink the control after you recorded the events you need, not doing so may result in unwanted behavior (due to conflict between the recorded events and those generated in same time by the plugin).

Mapping formula - Menu

This menu provides some pre-defined mapping relationships between the controller and the target control.

  • Linear (absolute): For use with standard range-limited controllers.
    • Default - The controller changes the target with a 1:1 relationship.
    • Inverted - Increases in the controller value decreases the target controller and vice versa.
    • Log scale - Sensitive in the low range less sensitive in the upper range of the controller.
    • Inverted log scale - Less sensitive in the low range more sensitive in the upper range of the controller.
    • Switch - Once the input value passes the 50% point the output changes from 0% to 100%.
    • Steppy - Stepped output in the face of smooth input.
    • Steppy (cents to semitones) - When linked to a master pitch control the output is incremented in semitones.
    • First half - Output varies from 0% to 50%.
    • Last half - Output varies from 50% to 100%.
  • Incremental (relative): These settings are to be used with 'Endless controllers' (knobs/wheels that have no end-stops). If an endless knob moves the target too slowly try Input*2 or 1/10. Similarly endless knobs with around 200 steps (usually endless knobs are ticky), each step can be set to output increment unit, try 1/50,1/20,1/10 settings.
    • Default increment - The controller changes the target with a 1:1 relationship.
    • Inverted increment - Increases in the controller value decreases the target controller and vice versa.
    • 4x, 2x smaller increment - Output is divided by 4 and 2 respectively.
    • 4x, 2x bigger increment - Output is multiplied by 4 and 2 respectively.
    • 1/50,1/20,1/10 increment - Output is restricted to 2%, 5% and 10% of the input range.

User Defined Formula

Enter a custom formula to alter the default 1:1 mapping. For example: 'Input*2' multiplies the controller value by 2. After you enter an expression, press Enter. If you see message "Compiled OK" the formula was successfully compiled and you can press the OK button to apply it to the linked control. If a red text appears below, the formula is wrong (usually syntax error or unsupported variable/function was used). Correct the error and press Enter again.

For a full list of supported variables, functions and operators click here.

Smoothing:

This feature allows you to smooth the motion produced by the remote control hardware and/or internal plugin. This reduces the need to manually refine recorded automation after live sessions and ensures proper ramping of the control motion to avoid abrupt changes.

  • Time - The amount of smoothing applied to the remote control input. The longer the time, the smoother the motion.

Action Buttons

  • Reset - Click this button to reset the remote control settings, including mapping formula & smoothing.

  • Accept - Saves the dialog settings.

Linking DirectX plugins

Unfortunately, there is no way to link DirectX effects to a MIDI controller. This limitation is the result of DirectX specifications rather than FL Studio itself. Some DirectX plugins may have MIDI remote controller functionality, but NOT through the DirectX interface (and so cannot be linked inside FL Studio). To link such effects, follow the help instructions that come with your DirectX plugin.


Automation mapping formula

AUTOMATION & RECORDING

Mapping Formula

Here is a full list of supported variables and functions you may use to author expressions for the mapping formula in the Remote Control Settings Dialog.

+ | addition | a+b
* | multiplication | a*b
- | subtraction | a-b
/ | division | a/b
^ | power | a^b
Sin | sine | Sin(a)
Cos | cosine | Cos(a)
Tg | tangent | Tg(a)
Ctg | cotangent | Ctg(a)
Sec | secant | Sec(a)
CoSec | cosecant | CoSec(a)
ArcSin | antisine | ArcSin(a)
ArcCos | anticosine | ArcCos(a)
ArcTg | antitangent | ArcTg(a)
Exp | exponent | Exp(a)
Sqrt | square root | Sqrt(a)
Ln | logarythm base e | Ln(a)
Log10 | logarythm base 10 | Log10(a)
Log2 | logarythm base 2 | Log2(a)
Neg | negative | Neg(a)
Abs | absolute | Abs(a)
Pi | pi | Pi()
Sum | sum of arguments | Sum(a,b)
Min | minimum | Min(a,b)
Max | maximum | Max(a,b)
Round | round to nearest integer | Round(a)
Int | integral part | Int(a)
Frac | fractional part | Frac(a)
IfE | returns 1 if a=b | IfE(a,b)
IfL | returns 1 if a<b | IfL(a,b)
IfG | returns 1 if a>b | IfG(a,b)
IfLE | returns 1 if a<=b | IfLE(a,b)
IfGE | returns 1 if a>=b | IfGE(a,b)
Case | returns b if a=1, else returns c | Case(a,b,c)
Input | the value sent by the controller you linked (MIDI or internal) | Input
Tension | the same as the tension knobs | Tension(Value,Speed)


Event Editor

AUTOMATION & RECORDING

Event Editor This feature is available only in Fruity Edition and Producer Edition.

The Event Editor holds automation data that moves (automates) linked controls. These controls may be on the FL Studio interface or in plugins (native and external). Some important Event Editor facts:

  1. The Event Editor only shows automation data associated with the currently selected pattern, use the Transport Panel Pattern Selector or Channel Window Pattern Selector to change patterns.
  2. The Event Editor is the destination for all recorded automation. Remember, the pattern selected during the recording holds the Automation Event data.
  3. Event data can be manually edited and drawn.
  4. A single pattern may contain multiple Automation Events, use the drop-down menu (6) to swap between Automation Events.
  5. The same Automation Events can be visualized and/or edited from a number of locations:
    • In the Event Editor, there are several ways of opening the Event Editor:
      • 1. Select the Pattern that will hold the automation event, right-click the control to be automated, then select 'Edit events'. If automation data was recorded for the control, the data will be displayed and it can be edited. If there is no pre-existing automation event then it can be manually drawn and saved (simply close the editor when you are done).
      • 2. Use the Browser > Current project > Automation > 'Pattern name' folder. Left-click on an event automation file to open the Event Editor. NOTE: This will only be possible if 'event' automation data exists somewhere in your project.
    • In the Piano roll - Event data can be displayed and edited in the lower panel of the Piano roll. Select a Pattern containing the automation data, then select the Automation Event from the Target Control menu.
    • In the Playlist - Pattern Blocks do not show their associated Event data, to visualize Event data in the Playlist place the pattern in the Clip Track area. If you would like Event Data to be independent of patterns, use the closely related Automation Clip. Event data can be converted to an Automation Clip using the Edit > Turn into automation clip command in the Event Editor Menu (2).

Linking to Event data: Once Event data is created it will appear as an 'Internal controller' link option in the 'Link to controller' right-click dialog on automatable controls.

  1. Event Editor Menu (see below for options).
  2. Tools [image] Tools Menu; [image] Draw ( [image] P); [image] Paint ( [image] B); [image] Erase ( [image] D); [image] Select ( [image] E); [image] Zoom to selection ( [image] I); [image] Interpolate events ( [image] Z); [image] Snap Selector
  3. Horizontal Zoom
  4. Vertical Zoom
  5. Event Graph Area
  6. Target Control - Select between the Event Data in the currently selected Pattern.

Working with event data

The Event Editor graph shows time on the horizontal axis (measured in bars) and event values on the vertical axis (0 to 100%). The time segments of the Playlist are set by the window's "snap" parameter ( [image]). Alternatively, selecting 'Main' will implement the global snap value as defined in the Recording panel. Events are displayed as vertical lines (height represents the value of the event). The Event Editor window can display only one event data-set at a time. Use the header-bar menu (6) to change.

  • Open an Event Editor - Two alternative methods are:
    • 1. Select a Pattern and right-click the target control, then select 'Edit events'. If automation data was recorded for this target, the data will be displayed and can be edited. If there is no pre-existing automation event then it can be manually drawn and saved.
    • 2. Use the Browser > Current project > Automation > 'Pattern name' folder. Left-click on an automation target to open the Event Editor.

    To switch between displayed events in the currently opened Event Editor (or to open a new one if none are open). You can also select Edit Events in New Window, to open a new Event Editor window. Remember, the Event data visible using menu (6) will depend on the Event data in the selected Pattern.

  • Create an event - In the Event Editor, switch to Draw Mode ( [image]) or Paint Mode ( [image]) and left-click in the Event Graph Area (5). You can also create whole curves of events - just left-click and drag to create the desired shape. To create straight lines of events instead, right-click in the grid and drag. Draw Mode and Paint Mode are identical, however Paint Mode ignores the current snap settings, allowing you to draw smooth curves without changing your snap preferences.

  • Interpolate between events - Use the Interpolate Mode ( [image]). While in this mode, left-click and drag to select the events to be interpolated. The events you select will be marked in blue. When you release the mouse button, all selected events will be refined using linear interpolation. To use spline interpolation, drag using the right mouse button instead.

  • Erase events - Use the Erase Mode ( [image]). While in this mode, left-click and drag to select events to be removed. Selected events will be marked in red and deleted when the button is released.

  • Select events - In any mode (draw, erase, interpolate), double-click or ( [image] Ctrl+click) the time ruler and drag to select a time range. You can also use Select Mode ( [image]) to select with a single left-click and drag. Selections are used when cutting events and using the LFO tool (see the menu commands described below).

  • Tools Menu ( [image]) - This is a shortcut to the window's tools submenu, containing various commands for operating on patterns in the Playlist.

Using the Event Editor with Effects

To open an Event Editor for a property in VST effects which have their own interface, open the FX popup menu (see Mixer window) and select Open Event Editor. From the sub-menu that appears, select the property for which you want to open an Event Editor. Be careful, as many third-party VST effects do not report their settings properly, and may crash when an Event Editor is opened for some of their properties. It is highly recommended that you save your project before trying to use an Event Editor for such effects.

Unfortunately, an Event Editor cannot be opened for DirectX effects due to limitations of DirectX specifications, rather than from FL Studio itself.

Event Editor Menu

The Event Editor menu provides useful commands for editing events. You can access this menu by clicking the Event Editor menu button (2).

File

  • Open Automation - Imports automation data from a score file (*.fsc) into the current Event Editor.
  • Save Automation as - Saves automation data from the current Event Editor to a score file (*.fsc).
  • Import MIDI ( [image] Ctrl+M) - Shows the Import MIDI Data dialog box where you can import controller data (cutoff, resonance, etc.) from a MIDI file to the Event Editor.
  • Paste from MIDI clipboard ( [image] Shift+Ctrl+V) - Same as the Import MIDI command, but uses MIDI clipboard data rather than a MIDI file. You can paste data from several different sequencers that can copy to MIDI clipboard format (e.g. Cakewalk Pro Audio (TM)).

Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected events to the clipboard. Select an area to cut, otherwise this command will be disabled.
  • Copy ( [image] Ctrl+C) - Copies all selected events to the clipboard. Select an area to copy, otherwise this command will be disabled.
  • Paste ( [image] Ctrl+V) - Pastes events from the clipboard to the current Event Editor. If an area is not selected, the events will be pasted in the beginning of the pattern.
  • Delete ( [image] Del) - Deletes all selected events in the Event Editor. Select an area to delete, otherwise this command will be disabled.
  • Delete All( [image] Ctrl+Del) - Deletes all events in the current Event Editor.
  • Select All ( [image] Ctrl+A) - Selects all events in the Event Editor.
  • Select Previous ( [image] Ctrl+Left) - Moves the selection backwards so that the start of the selection matches the new selection end. For example, if you select a bar, this command selects the previous bar.
  • Select Next ( [image] Ctrl+Right) - Moves the selection forward so that the end of the selection matches the new selection start. For example, if you select a bar, this command selects the next bar.
  • Insert Space ( [image] Ctrl+Ins) - Creates "empty" space that matches the current selection by shifting the following events forward.
  • Delete Space ( [image] Ctrl+Del) - Erases all events in the current selection and shifts back the following events to close the gap.
  • Insert Current Controller Value ( [image] Ctrl+I) - Initializes the Event Editor with the current value of the corresponding automated control. If you have selected a time slice in the graph, the current value will be inserted at the beginning of the selection.
  • Turn into Automation Clip - Converts the current event pattern into a new Automation Clip.

Tools

  • Scale Levels - Multiplies/offsets/inverts the events in the event editor or maps the events to a logarithmic/exponential scale. See Scale Levels for more info.
  • LFO ( [image] Ctrl+L) - Shows the LFO dialog, where you can draw LFO shapes in the Event Editor.

View

  • Grid Color - Opens a standard Windows Color dialog box, where you can set a color for the Event Editor grid.
  • Detached - When checked, the window is "detached" from the main environment of FL Studio and can be maximized on a second monitor (in a dual monitor setup).

Zoom

Contains a sub-menu of quick zooming levels: Far ( [image] 1); Medium ( [image] 2); Close ( [image] 3); Best Fit ( [image] 4); On Selection ( [image] 5).

On Selection zooms the timeline to fit the selection (the command will be disabled if no time region is selected in the timeline).

Target control

Each pattern can store a number of Event Data-sets, this menu item opens a list of the Event data-sets in the Pattern. Alternatively use the header-bar menu (6).

Relocate Events

When turned off, the Paste command will overwrite any existing events, and the Cut/Delete commands leave gaps in the area selected to cut/delete. When turned on, the pasted events will be inserted and the Cut/Delete commands will shift back all events after the selected area to fill any gaps.

Auto Smoothing

When checked, the drawn events are automatically interpolated upon mouse button release.

Center ( 0 (zero))

Scrolls the timeline so that the playing position marker appears in the middle. This is a useful option if you want to see the playing position within a long sequence.


LFO Tool

AUTOMATION & RECORDING

LFO Tool This feature is available only in Fruity Edition and Producer Edition.

The LFO tool allows you to draw LFO shapes in the Event Editor or lower Piano roll.

Controls

LFO is drawn only in the selected time range. If nothing is selected, LFO will select automatically the first bar.

Start

  • Value - Sets the value of LFO.
  • Range - Sets the range between the lowest and highest points in LFO.
  • Speed - Sets the frequency of the LFO (i.e. its speed). Right-click for a menu with tempo-based presets.

End

Contains the same parameters as the Start section. When you turn on the LED in the top left corner of this section, LFO's settings will vary from those in the Start section to those in the End section. If LED is turned off, then only the settings from the Start section are used.

Shape

Sets the shape of the LFO - sine, triangle or square (to select a shape click any of the icons at the top left corner of this section). The Phase knob sets the phase of the LFO (basically this moves the LFO shape left and right).

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.


Level Scale Tool

AUTOMATION & RECORDING

Level Scale Tool This feature is available only in Fruity Edition and Producer Edition.

The level scaling tool modifies Event amplitude and/or tension (logarithmic/exponential).

Controls

Options

  • Center- Scales the center of the events (-100 to 100).
  • Tension- Re-scales the event level logarithmically (-100 to 100).
  • Multiply - Multiplies the event level by the value indicated (0% to 200%).
  • Offset - Adds to the event value (-100 to 100).

Action buttons

  • Reset - Reset the tool to the default values (no effect).
  • Accept - Apply the settings. Even after accepting the edit, the manupulation can be undone with Ctrl+Z.


MIDI Import tool

AUTOMATION & RECORDING

Import MIDI Data Dialog (*.mid)

The Import MIDI data dialog appears when you import MIDI files that contain note and/or automation data.

NOTE: MIDI is not audio, it is note and automation data. It needs to be read by an instrument before you can hear it. The reason you can play many .mid files on your computer is that the Windows operating system assigns the MIDI data to the inbuilt synthesizer/samples in your soundcard (see the section on playing General MIDI files below).

How to import MIDI data

The options on the MIDI import dialog will change depending on how the MIDI file is loaded into FL Studio. Options are:

  1. Import a MIDI file from the Main File menu.
  2. Import a MIDI file from the Piano roll menu.
  3. Drag a MIDI file from the Browser and drop on:

    3.1 Channel window.

    3.2 Piano roll.

    3.3 FL Studio desktop.

Options

  • Which Tracks to Import - Click the drop-down menu to select which MIDI tracks to import. A track is usually associated with a MIDI Channel and contains a particular instrument's data ('Piano', 'Melody', 'Drums', etc.), there can be up to 16 MIDI tracks, what you will see depends on the data file to be imported.
  • Which Channels to Import - Select the MIDI Channels to import. Left-click a Channel number (selected channels are marked in red) to include it in the import, right-click to exclude a Channel from the import.
  • Blend with existing data - The MIDI data will be blended with any data already in the pattern/s.
  • Start new project - Opens the MIDI file in a new project. If this option is deselected, any data in the Instrument channels for the selected pattern will be overwritten.
  • Create one channel per track - Imports each MIDI channel (1 to 16 possible) in the MIDI file as a separate Instrument channel and loads a MIDI Out plugin set to the tracks Channel number, on each.
  • Realign events - Removes any empty-space at the start of the file.
  • Accept - Import the MIDI data.

Playing General MIDI Files

For this trick you will need MIDI Out instrument/s, a Fruity LSD effect and a General MIDI file. Each track in the MIDI file will be imported into a separate Instrument channel (holding a MIDI Out plugin), with unique Piano roll 'color group'/MIDI channel data. These will 'General MIDI' instruments from your soundcards inbuilt Synth/Sampler:

  1. Import the MIDI data using the 'Create one channel per track' option (see above). NOTE: the import method will determine if you see the 'Create one channel per track' option, use 1 or 3.3 (above).
  2. A MIDI Out plugin will automatically load on each Instrument channel. The MIDI Channel selectors on each MIDI Out plugin will be set accordingly.
  3. Load a Fruity LSD plugin on the Mixer track Effect slot of your choice.
  4. Set the Fruity LSD to Port 0 (Omni mode) so that it responds to all the MIDI Out Instrument channels.
  5. Press play and enjoy the cheesy world of 'General MIDI'. We recommend replacing the Fruity Outs with regular Plugin instruments before someone catches you!


Rewire

REWIRE SUPPORT

ReWire, Connecting to external software This feature is available only in Fruity Edition and Producer Edition.

ReWire [image] is a communications protocol originally developed by Propellerhead Software & Steinberg. It enables instruments, sequencers and DAWS to connect and share 'sample accurate' audio and transport functions. A [image] Rewire video tutorial is available on the FL Studio website.

FL Studio supports both client and host mode for all ReWire applications. The following pages describe how FL Studio implements ReWire and contain step-by-step guides on how to use ReWire to connect FL Studio with Cubase™ SX, Live™, Sonar™ (client), ReBirth™ and Reason™ (host).

Host & Client Modes

Host Mode

Client Mode

NOTE: FL Studio can also be linked in client mode as a VSTi or DXi synth.


Rewire Client

REWIRE SUPPORT

Client Mode This feature is available only in Fruity Edition and Producer Edition.

FL Studio can function as a ReWire client with ReWire enabled hosts. When functioning as a ReWire client, FL Studio sends all of its audio output to the ReWire host (providing up to 16 individual stereo outputs). FL Studio synchronizes with the host transport controls (playback/stop, song position) and has ability to send and receive MIDI data from the host.

Implementation Characteristics

FL Studio ReWire has the following specific features:

Exported Audio Outputs

Outputs, when used as a ReWire client, FL Studio provides 16 stereo outputs (32 paired mono channels). By default the first output pair is assigned to the Master mixer track, which means the whole project mix is sent to the first output pair. You can change this combination to fit your needs. For example, you can assign each Mixer track to a separate output, thus assigning individual outputs to a maximum of 16 individual mixer tracks in the Rewire host.

Plugins being used in FL Studio with multiple outputs should have these outputs routed to individual mixer tracks, this way they will become individually available through the Mixer outputs to the Rewire host.

MIDI Support

ReWire allows MIDI IN and MIDI OUT via the ReWire connection. The ReWire output bus appears as a regular MIDI output device in the MIDI Settings window of FL Studio.

The ReWire MIDI output is usually linked to port 10, but you can change this assignment to suit your needs (to use it, add a MIDI Out channel set to the same port).

MIDI input works by mapping the first 16 channels (in order) in the Step Sequencer to 16 unique MIDI channels. To control any of these channels, simply send MIDI from the host to the appropriate channel number in the ReWire MIDI bus.

Automatic Launch

FL Studio is launched automatically when a ReWire device is activated within the host (since Cubase™ always activates all existing ReWire devices, FL Studio is launched at the startup of Cubase™). Normally, there is no need to launch FL Studio from the shortcut after launching the host.

If the ReWire device is activated, but not used, FL Studio will use a minimum of additional system resources adding little to the CPU load.

However, if you don't intend to use FL Studio as a ReWire device, you can un-register the device (see below).

Registering/Unregistering the ReWire Device

You can register (enable) the FL Studio ReWire device by launching the Start Menu > Programs > FL Studio > Advanced > Install Plugin Version shortcut. You will be prompted to install the VSTi and DXi plugins first. Click cancel on both boxes and confirm you want to register the ReWire device in the last box.

To unregister (disable) the FL Studio ReWire device, use the Start Menu > Programs > FL Studio > Advanced > Uninstall ReWire Client shortcut.

ReWire Panel

If you?re using a host that supports ReWire devices, and the FL Studio ReWire device is activated, launch FL Studio from the Start Menu shortcut to display the ReWire panel rather than the default interface window. Click the FL Studio logo to toggle the visibility of the FL Studio window inside the host (normally this window is displayed automatically after the ReWire panel is launched).

Not a Standalone Process

FL Studio is launched as a process inside the ReWire host. This means that the FL Studio window is 'linked' to the host application window, with the following consequences:

  • The FL Studio window is 'linked' to the same taskbar button as the host. Although the panel has its own taskbar button, the FL Studio window uses the same one as the host.
  • Minimizing the FL Studio window hides the host window and vice versa. To hide the FL Studio window only, use the close button instead of the minimize button (this will not terminate the current FL Studio session), or click the icon in the FL Studio ReWire panel to toggle visibility.
  • Focusing the host window also focuses the FL Studio window, with the latter window always appearing in front of the host window. If FL Studio obstructs the view of the host, simply move it aside or hide it until it's needed.

General Use

In most cases you'll need to follow these steps to get FL Studio running as a ReWire client in a compatible host:

  1. Make sure the FL Studio device is registered.
  2. Launch the host.
  3. If required by the host, activate the FL Studio ReWire device (some hosts, such as Cubase™, do this automatically).
  4. Launch the FL Studio ReWire panel from the standard FL Studio shortcut in the Start menu. Alternatively, some hosts (such as Sonar) provide a hide/show panel button to toggle FL Studio window visibility.
  5. If the host requires it (such as Cubase™) activate at least one of the available ReWire audio channels to hear the output (FL Studio assigns the master output to the first pair of stereo ReWire channels).

Step By Step Guide

The following sections describe in a more detailed manner how to use FL Studio as a ReWire client in Cubase™, Live™ & Sonar™:

Using FL Studio with Cubase™ SX

Using FL Studio with Live

Using FL Studio with Sonar


Rewire Cubase

REWIRE SUPPORT

Using FL Studio ReWire with Cubase SX™ This feature is available only in Fruity Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Steinberg's Cubase SX™ sequencer.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire client (see Client Mode).

1. Make sure the FL Studio ReWire device is registered

Registering ensures Cubase™ will detect the device at startup and launch FL Studio as a ReWire client. If you have disabled the device earlier or you are not sure if it is registered, repeat the FL Studio ReWire device registration procedure.

2. Launch Cubase SX

Launch Cubase SX™ and start a new project (or open an existing one).

3. Enable the required audio channels

In the Cubase™ window, open the Devices menu and select FL Studio. You will see the configuration for the FL Studio ReWire device that allows you to select the audio channels that are active for the device. By default all channels are inactive.

The default setup of FL Studio links the master mixer track to the first stereo pair of audio channels (as shown lower-right) so the entire FL Studio mix is audible.

4. Launch the FL Studio ReWire panel.

Launch FL Studio from the shortcut on your Desktop or the one in your Start Menu.

Since you have started a ReWire host prior to this (Cubase™), you will see the FL Studio ReWire device panel.

The panel automatically displays the FL Studio window in the host.

5. Toggle the FL Studio window visibility

Clicking the FL Studio icon toggles the visibility of the FL Studio window inside Cubase™.

If you need to hide the FL Studio window, use the close button in the FL Studio window (this will not terminate the current session) or click the icon button on the FL Studio ReWire panel.

To display the window later, click the icon button again.

6. End

FL Studio is now setup to work properly as a ReWire device inside Cubase™.

To test the setup, load an existing project in FL Studio or activate several steps in an existing channel and hit the play button in Cubase™. You will hear FL Studio playing synchronized with Cubase™.


Rewire Sonar

REWIRE SUPPORT

Using FL Studio ReWire with Sonar This feature is available only in Fruity Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Sonar.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire client (see Client Mode).

1. Make sure the FL Studio ReWire device is registered

Registering ensures Sonar will detect the device at startup and launch FL Studio as a ReWire client. If you have disabled the device earlier or you are not sure if it is registered, repeat the FL Studio ReWire device registration procedure.

2. Launch Sonar

Launch Sonar and start a new project (or open an existing one).

3. Activate the FL Studio ReWire device

In the Sonar window, open the Views menu and select Synth Rack from the popup window and activate the FL Studio ReWire panel.

4. Show the FL Studio interface.

Sonar's Synth Rack contains the Properties button which lets you show the FL Studio interface. Click the button once to display the interface.

Alternatively, launch FL Studio from the shortcut on your Desktop or the one in your Start Menu.

Since you have started a ReWire host prior to Sonar, you will see the FL Studio ReWire device panel.

The panel automatically displays the FL Studio window in the host. Clicking the FL Studio icon toggles the visibility of the FL Studio window similar to the Properties button in the Synth Rack.

6. End

FL Studio is now set up to function correctly as a ReWire device inside Sonar.

To test the setup, load an existing project in FL Studio or activate several steps in an existing channel and hit the play button in Sonar. You will hear FL Studio playing synchronized with Sonar.


Rewire Live

REWIRE SUPPORT

Using FL Studio ReWire with Live This feature is available only in Fruity Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Live.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire client (see Client Mode).

1. Make sure the FL Studio ReWire device is registered

Registering ensures Live will detect the device at startup and launch FL Studio as a ReWire client. If you have disabled the device earlier or you are not sure if it is registered, repeat the FL Studio ReWire device registration procedure.

2. Launch Live

Launch Live and start a new project (or open an existing one).

3. Activate the FL Studio ReWire device

In the Live window, open an Audio track and select FL Studio from the popup window in the Audio From menu.

4. Show the FL Studio interface

To open the FL ReWire window, simply start FL Studio. When Live is running, FL will detect it as a ReWire master and will start in ReWire client mode.

6. End

FL Studio is now setup to work properly as a ReWire device inside Live.

To test the setup, load an existing project in FL Studio or activate several steps in an existing channel and hit the play button in Live. You will hear FL Studio playing synchronized with Live.


Rewire Host

REWIRE SUPPORT

Host Mode This feature is available only in Fruity Edition and Producer Edition.

FL Studio can function as a ReWire host for installed ReWire clients. The host functionality is implemented via the ReWired plugin. Each instance of the plugin lets you host one ReWire device (to use multiple devices, simply add multiple instances of the plugin to your project).

The ReWire client sends its audio output to the ReWired plugin. The client will also synchronize with the FL Studio transport controls (playback/stop, song position) and provides ability to transmit MIDI to and from the ReWire client.

Parameters

  • Client - Select the ReWire client to be hosted in FL Studio.
  • Show Panel - After selecting a client, click here to launch the client application. Note that some ReWire clients may not launch from this button (ReBirth for example). In this case simply use their Start Menu shortcut. The ReWire client will detect the FL Studio host automatically at startup.
  • Online Device Information ("?" button) - Click this button to open your default browser and see more information about the ReWire client currently set in the Client menu box. You need to be on-line to use this feature.
  • Multi Outputs - Normally the complete audio from the ReWire client will be sent to the ReWired plugin. If the ReWire client has multiple audio outputs you can enable this option to send each ReWire output to an individual mixer track. For example, if ReWired was linked to track 10, output 1 will be sent to track 10, output 2 to track 11, output 3 to track 12, etc.
  • MIDI Options - This button launches the MIDI output dialog where you can map ReWire MIDI busses (input and output) to standard FL Studio MIDI ports. For more information, see "MIDI Connectivity" below.

General Use

In most cases you need to follow these steps to connect a ReWire client to FL Studio:

  1. Add an instance of the ReWired plugin.
  2. Select a ReWire device from the Client combo box. If the device is not listed, ensure the ReWire client is registered/installed correctly.
  3. Click the Show Panel button to launch the ReWire client. This function may not work properly with some clients, in which case launch the application manually from the Start Menu shortcut (only after you have selected the client in the ReWired plugin).
  4. The client is now connected to FL Studio. The audio output will be streamed into the ReWired plugin and the playback and song position will be synchronized.

After you have completed this setup you can also access the MIDI connectivity features of ReWire (if the client supports it). See MIDI Connectivity below.

MIDI Connectivity

ReWire allows the host (FL Studio) to send and receive MIDI data from the client by mapping the ReWire input/output MIDI busses to regular FL Studio MIDI ports. To adjust the MIDI mapping settings, click the MIDI Options button in the ReWired plugin. For this functionality to work, the client needs to make use of the MIDI connectivity features of ReWire, otherwise the controls in this window will be empty/disabled.
  • Mappings - Displays any existing mappings you have created for this ReWire client.
  • Map - Lets you select Input or Output port to map. Input port sends MIDI data from FL Studio to the client, output port maps MIDI data coming from the client to FL Studio MIDI port.
  • Port - Lets you select the FL Studio MIDI port to map.
  • To - Lets you select the ReWire MIDI bus the port will be mapped to.
  • Add/Change - Adds mapping defined in the Map/Port/To control to the Mappings list.
  • Delete - Deletes the selected mapping from the Mappings list.
  • Always send notes to bus - Notes and other MIDI events on the ReWired channel will be sent to the bus (showing 'Reason') and channel (showing '4') of the currently loaded ReWire device.
  • Channels - The list displays the synths/controls that are linked to each of the channels for the currently selected ReWire MIDI bus (selected by the "To" combo box). The list is informative, you can not edit the assignments.

You can perform several operations with the MIDI connectivity provided by ReWired:

Control the client via MIDI

To control the client and its synths from a MIDI Out channel, you can map an input port to a ReWire MIDI bus. To do this:

  1. Via the MIDI Options of the ReWired plugin, map an input port to a ReWire MIDI bus.
  2. In a MIDI Out channel, set the same port as an output port.
  3. In the MIDI Out channel, select the MIDI channel to use (refer to the Channels list in the Options window for channel assignments).
Control a VSTi/DXi plugin from a client
  1. Via the MIDI Options dialog of the ReWired plugin, map an output port to a ReWire MIDI bus.
  2. Make sure the client is set up properly to send MIDI data to the same ReWire MIDI bus.
  3. In a VSTi/DXi channel, set the same port as an input port.
You can use similar setups to control a ReWire client from another ReWire client or send MIDI data from a VSTi/DXi plugin to a ReWire client.

NOTE: Even if no mapping exists for a ReWired plugin, adding a sequence for it (events, notes, etc.) automatically sends the generated MIDI data to the default ReWire bus. It is recommended to use MIDI Out channels for greater control over the MIDI data mapping.

Step By Step Guide

The following sections describe how to setup and use two popular ReWire clients with FL Studio:

Using FL Studio with ReBirth

Using FL Studio with Reason


Rewire ReBirth

REWIRE SUPPORT

Using FL Studio ReWire with ReBirth This feature is available only in Fruity Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Propellerhead Software's ReBirth.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire host (see Host Mode).

1. Add ReWired to the project

Add an instance of the ReWired plugin to your project.

2. Select a Client

Select ReBirth Audio from the Client combo box of the ReWired channel.

If ReBirth Audio is not present in the list, make sure ReBirth is properly registered/installed. Keep in mind only ReBirth 2.01 and later support ReWire (ReBirth 2.0 and earlier cannot connect with FL Studio).

3. Launch ReBirth

Launch ReBirth from the Start Menu shortcut.

4. End

ReBirth will now operate as a ReWire client for FL Studio. All of the output will stream into the ReWired plugin and the playback and song position will be synchronized.


Rewire Reason

REWIRE SUPPORT

Using FL Studio ReWire with Reason This feature is available only in Fruity Edition and Producer Edition.

The following guide covers the steps required to use the FL Studio ReWire device with Propellerhead Software's Reason.

The guide assumes you have read and understood the general information and guidelines about using FL Studio as a ReWire host (see Host Mode).

General Use

1. Add ReWired to the project

Add an instance of the ReWired plugin to your project.

2. Select a Client

Select Reason from the Client combo box of the ReWired channel. If Reason is not listed, make sure Reason is registered/installed correctly.

3. Launch Reason

Launch Reason from the Start Menu shortcut. Alternatively, use the Show Panel button in the ReWired channel.

4. End

Reason will now operate as a ReWire client for FL Studio. All of the output will be streamed into the ReWired plugin and the playback and song position will be synchronized.

Controlling Reason via MIDI

Reason provides access to many of its controls and synths via the ReWire MIDI busses. To make use of this feature, you need to set a MIDI Out channel in FL Studio to a specific port/channel which is mapped to the ReWire MIDI bus of Reason:

Open the MIDI Options for ReWired

Click the MIDI Options button for the ReWired channel that is linked to Reason.

Map Input Port

To send MIDI data to Reason, you need to map an FL Studio input port to the ReWire bus. Use the following settings to create a new mapping:

  • Map: Input
  • Port: 50 (or any free MIDI port you have)
  • To: Reason

Click Add/Change. The mapping will appear in the Mappings list.

Create a MIDI Out channel

Add an instance of the MIDI Out channel to your project.

Adjust the MIDI Out settings

Set the output port of the MIDI Out channel to 50 (or the port you have selected to map earlier).

The default project in Reason (2.5 or later) contains a controllable synth on channel 2 - MelodyB (for a full list of synths, see the Channels list in the ReWired MIDI Options window). Select channel 2 in MIDI Out. Any notes now played in MIDI Out will be sent to Reason and played by MelodyB. You can also add additional MIDI Out channels to control other available channels.


FL Studio AS A PLUGIN

FL Studio as a Plugin (VSTi/DXi2) This feature is available only in Fruity Edition and Producer Edition.

FL Studio can be loaded and used as a VSTi or DXi2 instrument in a compatible host application. In this mode, the output is sent to the host and the play/stop events and tempo are synchronized. Controlling FL Studio channels and parameters using MIDI messages is also supported. Additionally, you can send each mixer track to a separate output, if the host supports VSTi/DXi plugins with multiple outputs.

Installing VSTi/DXi2 connection plugins

VSTi Connection

Normally, FL Studio will ask you where to copy the VSTi connection to during the installation. However, if you didn't install the plugin at that time, or you want to install it on more than one host, in the Windows Start Menu, select Programs > FL Studio > Advanced > Install Plugin Version. You will see a dialog where you can set the plugin folder of the host where you want the connection installed. You will also be asked also whether to install the DXi2 version of the connection (click Cancel to skip this step).

DXi2 Connection

All DirectX plugins are registered directly in Windows and are available to all compatible hosts, regardless of the plugin location. FL Studio will ask you whether to install the VSTi connection during the installation. However, if you didn't install the plugin at that time, in the Windows Start Menu, select Programs > FL Studio > Advanced > Install Plugin Version. First, you will see a dialog where you can set the plugin folder of the host where you want the VSTi connection installed (click Cancel to skip this step). You will then be asked whether to install the DXi2 version of the connection - click Yes.

You can uninstall the DXi2 connection at any time by selecting Programs > FL Studio > Advanced > Uninstall DXi plugin from the Windows Start menu.

Basic use of VSTi/DXi2 connections

Add an instance of the FL Studio VSTi (FL Studio DXi for DXi hosts) plugin or the Multi FL Studio VSTi (Multi FL Studio DXi for DXi hosts) plugin. Open the editor of the plugin (for more information on how to work with plugins, check the manual that comes with your host application). Click the FL Studio button (as shown) to access the FL Studio interface. Now you can continue to work as usual - load projects, edit instruments and melodies. However, the audio output of FL Studio will be sent to the host application. Also, when you play in the host application, FL Studio will be synchronized. You can select whether FL Studio should follow its own tempo or the host tempo using the Slave tempo option in the Audio Settings.

The Time Offset setting in the plugin editor sets how many bars FL Studio should start playing before the host plays. Select a negative value to have FL Studio start later than the host. Due to issues with VSTi plugins (which are not FL Studio-related), it is always preferable to leave one bar time empty at the start of the song, either using the Time Offset option, or by leaving an empty bar in both the FL Studio Playlist and the host sequence.

NOTE: To hide the FL Studio interface and work in the host, don't use the minimize button as it will also hide the host window. Use the close button so that FL Studio remains active.

Using multiple outputs

FL Studio plugin connections can be either single or multiple output versions. The single output version sends the whole audio output of FL Studio as single pair of channels (left and right channel). The multiple output version allows you to link each mixer track in FL Studio to one of 16 possible stereo outputs. You can then mix each stereo output separately in the host. To select the output for a specific track, in FL Studio, open the Mixer window and use the I/O Routing option.

NOTE: Not all hosts support VSTi or DXi plugins with multiple outputs. In these cases, use the single output version of the plugin.

Controlling FL Studio channels & patterns from the host

All FL Studio channels can be controlled via MIDI messages from the host. To do so, create a MIDI channel in the host, select the FL Studio connection plugin as an output and check the instruments list. If the host supports custom instrument names, all FL Studio channels will be listed. Select the name of the channel to control. Remember to assigne the track a unique MIDI channel number (out of 16 available).

You can also control any automatable FL Studio parameter from the host. This feature works exactly like using MIDI remote control with an external MIDI device. Link the parameters as usual to the corresponding MIDI controller number and MIDI channel. Select whether to record MIDI messages from the host application during recording sessions from the Audio Settings.

To trigger patterns directly from your VSTi host, use the Playlist Live Preview MIDI channel (see MIDI Settings.)

Issues with the VSTi/DXi2 connections

Slide notes, per note, shift, pan, cutoff and resonance are not supported by the MIDI standard; you will need to use FL Studio for sequencing to access these features.

When running the VSTi connection from Cubase™, drag and drop operations in the Browser will not work.


File Formats - Import

FILE FORMATS

Open/Import File Formats

This section contains a description of the file formats that FL Studio can open/import. They are all accessible from Open and Import commands in the File menu.

FL Studio Loop File (*.flp)

Zipped Loop File (*.zip)

BeatCreator/BeatSlicer Grid File (*.zgr)

MIDI File (*.mid)

ReBirth RB-338 Song File (*.rbs)

Beat to Slice (*.wav)


FL Studio - Project File

OPEN/IMPORT FILE FORMATS

FL Studio Project File (*.flp)

This is the native project format of FL Studio. It retains all data that belongs to your project, but note this does not include any wave samples, DrumSynth and SimSynth presets that are included in the project. If you open a project file that doesn't have the required samples or presets, FL Studio performs a search in the folder where the loop file was loaded from, then its sample folder, and all custom folders that are added to the Browser (see Browser File Settings). If you want to skip the check, press and hold ESC key while loading.


Zipped Project Files

OPEN/IMPORT FILE FORMATS

Zipped Project File (*.zip)

FL Studio will open and uncompress standard ZIP files . Then it will search for a FL Studio project file and open it. Any samples included in the ZIP file will be loaded, if they are included in the project. This enables you to create single file where you have both the project file (.flp) and all samples/presets it uses. FL Studio can also automatically create such zipped packages (see Zipped Project File from Save/Export file formats).


BeatCreator/Slicer Files

OPEN/IMPORT FILE FORMATS

BeatCreator/BeatSlicer Grid File (*.zgr)

ZGR files are created by BeatSlicer and BeatCreator programs. They contain the slicing scheme of particular loop - you can edit the slice points visually in either BeatSlicer or BeatCreator and then open grid files in FL Studio - it will slice the loop and map each slice to a separate Sampler channel automatically.


ReBirth Files

OPEN/IMPORT FILE FORMATS

ReBirth RB-338 Song (*.rbs)

FL Studio can import native ReBirth RB-338 (TM) songs, retaining as many parameters of the original as possible. The two 303 instruments are replaced by TS404 channels, and all drums are replaced by Sampler channels.


File Formats - Sliced Beat

OPEN/IMPORT FILE FORMATS

Beat to Slice (*.wav)

Selecting this item (from Import submenu in File menu) lets you import wave file into separate slices, using the BeatSlicer engine by Peter Segerdahl (available at www.flstudio.com).

After you choose a wave to be imported, select the folder where the sliced beat samples placed and this dialog box will appear:

  • Target - Lets you select how the sliced beat is imported to FL Studio. Available targets are: Layered Sampler Channels - each slice is imported to a (zipped) layered Sampler channel and the composition is placed in the Piano Roll of the Layer channel; Sampler Channels - each slice is imported to a Sampler channel and the Step Sequencer's grid is used to hold the beat composition; Slicer Channel - the sliced beat is imported to a single Slicer channel and the composition is placed in the Piano roll.
  • Start New Project - Imports the sliced beat to a new project. When this option is off, the sliced beat is merged with the current project.


Exporting Audio & MIDI

SAVE/EXPORT FILE FORMATS

Export Project Dialog (*.wav; *.mp3, *.ogg, *.mid)

Export options include:

  • Audio - .wav, .mp3, .ogg rendered formats that save the complete audio mix of your project (see the note below on including sounds from external hardware).
  • MIDI - that will save the Step Sequencer / Piano roll note data to standard MIDI files.

Recording External Hardware

NOTE: To include sounds from external hardware such as a synthesizer, drum-machine or sampler in the final render -

  1. Make MIDI connections to the device from your computer AND audio connections from the device to your soundcard inputs.
  2. Record the sound as it is played by FL Studio (using a MIDI Out plugin to drive the hardware).
  3. Place the recorded audio as an Audio Clip in the Playlist.
  4. Render the project to audio as shown here.

Settings

Info

Shows information about the current project.

  • Mode - Displays whether FL Studio will render the whole Song or currently selected Pattern.
  • Total Time - Shows total time length of the song to be exported.
  • Disk Space - Shows the disk space required to hold exported audio file/s. If more than one save format is selected in the Output panel the combined total is reported.
  • Bar# - Reports the current bar being rendered and the total number of bars in the project (current/total).

Looping Mode

Looping mode only applies to audio formats (.wav, .mp3 and .ogg) and determines how any decaying sound after the last bar of your project/loop is rendered. For example, the tail of a reverb of a sound may be important for the impression of smooth continuity when looping, or to prevent the decaying reverb in a 'straight' render being chopped off. If, after rendering the last bar from the song there is still sound decaying, this option sets how FL Studio should proceed. Leave remainder is the default. NOTE: If you are making loop files use .wav format, .mp3 in particular leaves a small silence at the start of the sound that will interfere with looping.

  • Leave remainder - Expands the song length to capture any decaying sounds. If 'Leave remainder' still chops of any trailing audio, the Playlist Repeat marker can be used to define the rendering end-point. While Repeat marker positions are usually ignored, if they are placed after the last Pattern, Audio or Automation Clip in the Playlist, the project will be rendered up to the position of the Repeat marker.
  • Wrap remainder - Wraps any decaying sound at the end of the song onto the beginning (useful when rendering loops with effects).
  • Cut remainder - Cuts the render at the end of the last bar.

Quality

  • Sample Interpolation - Select the waveform interpolation method used for Sampler/Audio-Clip channels. Interpolation [image] is a curve fitting process that computes intermediate sample amplitude data between the known sample points (filling in the gaps). This is only required when samples are transposed from their original pitch and the program calls for a sample value out of sync with the source data-points. Without interpolation quantizing (amplitude) errors can create unwanted high-frequency harmonic artifacts (aliasing [image] & quantizing [image] errors). FL Studio provides several methods of increasing computational complexity and therefore accuracy -
    • Linear interpolation is the fastest method. It provides basic linear averaging between samples, however it can result in aliasing (high frequency noises) if samples are transposed far from their original pitch.
    • 6-point Hermite has been optimized to be a quick curve interpolation method with superior quality to linear interpolation. It is ideal for exporting 'working drafts' of your audio files.
    • 64, 128, 256, 512-point Sinc methods provide increasing quality interpolation, but they are also very slow. We recommended that you use at least 64-point Sinc on your final render, or better still, the maximum Sinc value that you are prepared to wait to finish rendering.

    NOTE: There is an independent 'live' output interpolation set on the F10 > Audio Settings, Mixer section. If different Mixer and Render interpolation options are set, this can cause the live and rendered audio to sound different, specifically in the high frequency regions. Live aliasing tends to create a 'false' high frequency brightness. Settings the live interpolation method to 64-point sinc will minimize this problem, should it arise.

  • Dithering - Applies 32 to 16-bit dithering to 16-bit .wav and .mp3 files. Dither should only be applied once to your final 16 bit render. If you plan to master or post-process your track then don't apply dithering. Dither breaks up the predictability, and so signal-like quality, of quantizing noise (rounding errors in signal amplitude that occur when transposing bit-depths, 32 to 16 for example) making it sound more like background hiss and less like an audio signal that will draw your attention (i.e. less noticeable). Quantizing noise is generally only audible in the quietest parts of a recording, where the music is approaching the limits of the bit-depth. If you are hearing noise artifacts and your track is approaching 0 dB, then it is some other type of noise, probably aliasing (see the interpolation settings) or compression artifacts (mp3/ogg bit-depth).
  • Alias-free TS404 - When enabled, prevents TS404 from "aliasing", but also slows down the rendering process.
  • HQ for all plugins - Sets high quality mode for any plugins (effects and instruments) used in the song.
  • Disable Max Poly - Ignores the max poly setting in Miscellaneous Channel Settings but does NOT ignore Mono option if selected.

Output format/s

Select the output format/s for the project render. To save in more than one format simply select multiple options on this panel.

Wave (Audio)

Wave is a lossless [image] audio format and preferred for handling audio in a production environment (use it to save all your samples, sounds and archive material). The drop-down menu contains bit-depth options for the exported wave file -

    • 16-Bit int wave is the highest-quality audio file compatible with a wide range of playback devices. CD audio format: If you want to create audio files compatible with CD format use 44.1 kHz, 16-bit .wav files. Check that the Mixer sample rate is set to 44.1 kHz in the Audio Settings window. Also note that FL Studio does not burn to CD format, it creates audio files ready for burning. Use any 3rd party CD burning program to create the audio CD.
    • 24-Bit int wave is a common bit-depth used by DAW hardware & some older software DAWs. Use this bit-depth only if 32-Bit float is not supported by the 3rd party software/hardware.
    • 32-Bit float wave is the native format of FL Studio mix engine. Render to 32-Bit floating point format when you intend to continue mixing or editing the file in another application (wave editor or DAW) that supports 32-Bit floating point format. 32-Bit float provides more precision for mathematical operations on the audio and so will ensure the highest quality is preserved in your audio files during post production activities.

MP3/OGG (Audio)

mp3 (Mpeg Layer 3) [image] and ogg (Ogg Vorbis) [image] are both 'lossy [image] ' formats that compact the audio to save space. This means that at lower bit-rate settings you may hear unwanted artifacts often described as 'underwater sounds' or 'bubbling'. The slider sets bit-rate of the mp3/ogg audio file, as bit-rate increases the audio quality improves, but at the expense of file size.

What bit-rate should I use?

    • 64 kb/s (or less) is a good bit-rate for internet demo tracks where you'd like people to hear your music without obtaining a quality copy. Compression artifacts will be noticeable.
    • 128 kb/s is excellent for web streaming and e-mailing music files, although some artifacts will be audible it is about the point where acceptable 'listening' quality for most people starts.
    • 160 kb/s is the rate where it becomes difficult for many listeners to distinguish CD from mp3 and so makes a good setting for most distribution and listening purposes.
    • 224 kb/s (or greater) and mp3/ogg becomes practically indistinguishable from CD under normal listening conditions and so these rates can be handy when collaborating over the Internet and you need to share audio files that may be impractical in .wav format (1400 kb/s).

NOTES: The maximum bit-rate for mp3 is 320 kbps and 450 kbps for ogg. This means if you set the slider to 450 kbps, mp3 files will still render at 320 kbps while ogg files will render at 450 kbps. The relationship between kbps setting and the audibility of artifacts will depend on the material being rendered and the listening environment. You should always check your rendered files with a good pair of headphones prior to release. Where possible use at least 16-bit .wav format when sharing raw audio in a production environment.

MIDI (Data)

MIDI is a standard note & automation data format and will save the contents of the Step Sequencer and Piano roll. As note data is saved along with FL Studio project, only export to MIDI if you intend to import the note data into a 3rd party application. There is a macro Prepare for MIDI export on the main Tools menu that replaces all channels with auto-configured MIDI-out channels that is useful for rendering projects to MIDI in an organized manner.

NOTE: MIDI is not an audio format. If your media player can play MIDI files it is using the synthesizer/sampler built into your soundcard to create audio from the MIDI data.

Options

  • Split Mixer Tracks - When selected, each Mixer track in the project is exported as a separate .wav file. NOTE: this option does not export to mp3/ogg formats.
  • Save ACIDized - Saves additional information in the wave file that is read when using the rendered loop in Sony Acid™.
  • Save Slice Markers - If enabled, each note will create a slice marker in the exported file. This means that FL Studio exports sliced drum loops which are automatically ready for slice re-ordering and high quality time stretching.
  • Delay compensation - Applies only to .wav files. ON: Strips any PDC delay from the rendered .wav. Use this when start/end-timing is critical in the rendered .wav (when making loops for example). OFF: An amount of silence equal to the Master channel PDC will be added to the start of the .wav and the same again removed from the end.

Rendering Buttons

  • Background Rendering - Minimizes and renders in background mode, allowing you to work on other Windows applications.
  • Start - Starts Rendering. The name will change to Abort once rendering is underway.


FL Studio Loop File (*.flp)

SAVE/EXPORT FILE FORMATS

FL Studio Project File (*.flp)

This is the native project format of FL Studio. It retains all data that belongs to your project, but note that this does not include any wave samples (unless there is an Edison Wave Editor loaded with an audio in the project), DrumSynth and SimSynth presets that are included in the project. To export package that includes samples used in the project, save to a Zipped Project Package instead.

NOTE: Demo plugins will not be saved with the project. You will receive a warning about this when you try to save to .flp/.zip that contains a demo plugin. Solution: Replace demo plugins with non-demo ones prior to saving, in order to retain the note/automation data. If you are smart, and we know you are, then you will rename the instrument channel or effect slot with the name of the plugin you were using, and the patch you used...then get bored doing that and buy the plugin :)


Zipped Loop File

SAVE/EXPORT FILE FORMATS

Zipped Project File (*.zip)

Projects can be saved to standard ZIP files. This format will save the FL Project Project file and all samples/presets used by the project. FL Studio can also open ZIP files directly (see Zipped Project file from Open/Import File formats).

NOTE: Demo plugins will not be saved with the project. You will receive a warning about this when you try to save to .flp/.zip that contains a demo plugin. Sad solution - Replace demo plugins with non-demo ones prior to saving. Happy solution - Continue with the save, then buy the plugin, next time you open the project the plugin will be out of demo mode :)


DrumSynth Preset

SAMPLE FILE FORMATS

DrumSynth Preset (*.ds)

The Sampler can use presets from DrumSynth directly - a wave file is generated automatically from any DrumSynth preset loaded into FL Studio. When you load a .ds file rather than a wave file, you gain additional options in the Miscellaneous Channel Settings page.


FastTracker XI format

SAMPLE FILE FORMATS

FastTracker's Extended Instrument (*.xi)

The .xi fomat is an extended instrument file format of FastTracker. The Sampler can ‘extract’ a wave sample from an .xi file directly, but note that some .xi files contain more than one wave sample. Since the Sampler supports only one wave per channel, only one of the available waves is imported. Also, envelope and LFO settings are not imported.


MS Waveform File

SAMPLE FILE FORMATS

MS Waveform File (*.wav)

Sampler can use MS Waveform file format for samples. Supported wave subformats include PCM Waveform and any ACM waveform, as long as you have the required codec properly installed and working.

FL Studio also natively supports 24-bit integer wave files.


ReCycle Loops

SAMPLE FILE FORMATS

ReCycle Loops (*.rex / *.rx2 / *.rcy)

ReCycle loops are the native loop format for the Propellerhead Software Recycle software. These files contain the slicing scheme of particular loop, which will be used for the time-stretching functions in FL Studio. The slices also serve special purposes in the Granulizer and Fruity Slicer plugins.


SimSynth Presets

SAMPLE FILE FORMATS

SimSynth Preset (*.syn)

The Sampler can use presets directly from SimSynth 1 and 2 - a wave file is generated automatically when a SimSynth preset is loaded into FL Studio. SimSynth is a software synthesizer written by David Billen. You can get SimSynth from our download pages at www.flstudio.com (SimSynth 1 is now freeware!). When you load an .syn file rather than a wave file, you gain some additional options in Miscellaneous Channel Settings page.


Speech Presets

SAMPLE FILE FORMATS

Speech Preset (*.SPEECH)

The Speech synthesizer processes text to create computerized or Vocoder-like vocals to your projects. The *.SPEECH presets are supported by all native FL Studio plugins that use custom samples for synthesizing, i.e. Sampler, Granulizer, Fruity Slicer and Fruity Scratcher.

How to open

The speech synth is not a stand-alone instrument so does not appear in the add-plugin list, it is a pop-up dialog that processes text to audio then dumps the result as a sliced Audio Clip. To add speech samples to your project start by dragging any speech preset from the Browser speech directory to an empty channel (or plugin that accepts a .wav file). The settings dialog will open, modify the text to your liking and then click OK to apply the preset to the channel. If you start with an empty channel the audio will be saved into an instance of the Fruity Slicer.

Speech Settings Dialog

1. Text Panel

  • Speech Text box - Enter here the text to be synthesized by the engine.
  • Listen button - Click to preview the sample based on the current settings.

2. Voice Panel

  • Personality combo box - Click this box to select voice personality. The personality changes the timbre of the voice used. The rest of the voice settings are also set to the defaults for the personality selected.
  • Style combo box - Selects intonation style for the voice. Monotone/Sing uses constant pitch for all words. Natural resembles a natural talk intonation. Random select random pitch for each word.
  • Mode - Select the amount of noise mixed in the voice generated. Normal uses natural levels for the noise mixed in the voice. Breathy uses more noise to create 'breathy' voices. Whispered uses only noise for the voice synthesis, thus creating "whispered" voice effect.
  • Rate LCD - Sets the speed of the voice.
  • Pitch Semitone combo box - Select the pitch semitone of the voice.
  • Pitch Octave LCD - Select the pitch octave of the voice.

3. OK button - Applies the speech preset to the generator/effect selected. If you have changed some of the settings in this dialog, you will be prompted to save the preset with a new name.

Speech Text Formatting

1. Pitch shifting of separate words

You can supply a pitch offset for a word. Just place the offset amount (in semitones) after the word as a number, enclosed in parentheses: "Semitone up(1), 2 semitones down(-2)". If in this sample the base pitch is, for example, F#2, the word "up" will have pitch G2 (one semitone higher), the word "down" will have pitch E2 (two semitones lower).

2. Separating words

To get more naturally sounding sentences, you may try replacing intervals " " with underscore "_". So the sentence: "This is example sentence", turns to: "This_is_example_sentence".

Note that underscored sentences are recognized as a single word by Fruity Slicer channels and are not sliced properly (see below).

Fruity Slicer Support

When you open a speech preset in a Fruity Slicer channel, the sentence is automatically sliced so each word resides in a separate slice. Because of this feature, a BeatSlicer grid (*.zgr) file is automatically generated by the Fruity Slicer channel, that contains the sentence.


File Formats - Misc

FILE FORMATS

Other File Formats

This section contains other file formats used by FL Studio.

FL Studio State File (*.fst)

FL Studio Score File (*.fsc)

Humanize Preset File (*.fpr)

MIDI File (*.mid)


FL Studio State File

OTHER FILE FORMATS

FL Studio State File (*.fst)

State files in FL Studio are used to save generator and effects presets. See Save Channel State As in Channel Settings menu and Save Preset As in Mixer menu.


FL Studio Score File (*.fsc)

FL Studio Score files (.fsc) can be used to save melodies from the Piano roll or to store automation data. You can also import note events in a score file by dropping it on the Piano roll view or a channel button.

To save note scores, see Save Score As in the Piano roll menu. To save automation data, see Save Automation As in the Event Editor menu.


Humanize Preset File

OTHER FILE FORMATS

Humanize Preset File (*.fpr)

These files contain humanize presets for note properties in the Step Sequencer, which can be set manually using the Graph Editor). Currently humanize presets cannot be created inside FL Studio - you'll need to use a text editor (such as Notepad) for this purpose.


Download Manager

The Download & Library Manager allows you to download additional content for FL Studio/plugins and to access already downloaded content. To open the Download Manager, click on the download launcher located on the Online Panel, as shown below.

Some plugins such as FPC and Direct Wave can launch the download manager directly. In this case only content compatible with the plugin will be shown.

Browser Window

The Browser Window shows the files available for download in a directory tree structure. The files shown will automatically match the instrument that launched the Download Manager. The directory tree is divided into two main categories:

  • Downloaded - Files that have already been downloaded.
  • Samplefusion - Files on Samplefusion yet to be downloaded.

To open a category click on the + button in front of the name. To start a download, select a file and click on the Download button or double-click directly on the file name. Note that the availability of content is divided into three different color-coded categories:

    • Yellow (free) = Free to all.
    • White = Purchased content / Free to registered users.
    • Gray = Locked. To purchase and unlock this content, note the category to which the file belongs and purchase directly from the Samplefusion website. Your purchase will be tagged to your regcode and next time you use the Download Manager the file will be unlocked.

Menu Icons

From left to right in the menu bar, along the top of the download window:

Options menu

Actions

  • Refresh list - Refreshes the list with the latest database on the server.

View

  • All - Shows all downloadable items on the list.
  • Categories - Shows all folders containing downloadable items. Clicking on a folder will download all the items it contains.
  • CDs - Shows all CDs on the list. Clicking on a CD folder or image will download all the contents of that CD.
  • Root - Collapses the list to the highest level categories.

Item size

  • Compact / Small / Medium / Big / Huge - Changes the font size of entries in the Browser.
  • Remember window size - Remembers the size of the Content Library & Download Manager window.
  • Show downloaded patches - Toggles whether the download list will show patch-level data.
  • Show Samplefusion downloads - Toggles whether the download list will show Samplefusion data.
  • Show only new items - Displays only new items since the last time the Content Library & Download Manager was opened.
  • Default - Selects the default start-up state for the Content Library & Download Manager options are:
    • Show All
    • Categories
    • CDs
    • Last view
    • Root
    • Show downloaded patches
    • Show samplefusion downloads

Options

  • Download locations - Select the location on your hard-drive where files are to be downloaded. This will open a dialog where you can specify custom or default download locations for all file types.
  • Download images when I click on an item - Downloads any images associated with the item selected.
  • Download preview when I click on an item - Plays any previews associated with the item selected.

  • Show CDs - Shows the Browser categories.
  • Show all categories - Shows all categories available for download.
  • Show all items - Shows all categories and files available for download.
  • Options menu - Opens the options menu:

Refresh list

Refreshes the list with the latest database on the server.

Search

Type search terms into the box to the right of the magnifying glass icon to find content with those key-words.

Menu tree icons

The 4 menu-tree icons on the top-right side of the Content library & downloads manager are:

  • Hide all items - Collapses the Browser tree.
  • Show CDs - Shows the Browser categories.
  • Show all categories - Shows all categories available for download.
  • Show all items - Shows all categories and files available for download.

Download Window

Once a file has been set to download, the Download Window will appear (also accessible from Start > Programs > Image-Line > IL Download manager), as shown below. The files will be saved to the default file location for the plugin that activated the Download Manager and be available from the FL Studio Browser. The lower part of the Download Window will display a list of any recently downloaded files in gray. You can queue files for downloading by continuing to select new files in the Browser Window, these will show at the top of the list in black.

Failed downloads - Click on a failed download (ones with an "error" status) to get a description of the error.

Options

  • Clear - Clears the download log.
  • Remove waiting downloads - Removes any queued downloads.
  • Remove temporary files - Clears any partially downloaded files.
  • Add completed items to list - Adds downloaded items to the Downloaded list (first category in the manager directory).
  • Close when downloads are done - Closes the manager when all downloads are complete.
  • Settings - Options for proxy server and port settings, useful if you have trouble with firewalls.
  • Check for updates now - Checks for an updated version of Download Manager.


OPTIONS & SETTINGS

Options & Settings (Press F10)

Press the F10 function key or select the Options Menu to open the System Settings window and Global Project Options. Global settings saved for FL Studio itself, not in FL Studio project files (FLP).

MIDI Settings Audio Settings General Settings File Settings Debug information Project Settings System Settings (F10)

NOTE: If the system settings icons are not visible in the side bar on left of the screen, click the System button in the top-left corner of the window to expand the section.

System Settings

Select the icons down the left side of the window. These are global options and settings, affecting all projects.

  • MIDI Settings - Note & controller Input / Output settings.

  • Audio Settings - Soundcard & FL Studio audio-engine settings.

  • General Setting - FL Studio environmet settings

  • File Settings - Load / Save directory settings.

  • Debug information - Squash bugs.

Project Settings

These are project specific settings and will only apply to the currently loaded project.

  • Project information - Save project information and notes.

  • Project Settings - Project specific options & settings


Controller/MIDI Settings

SYSTEM SETTINGS

System Settings - MIDI

The MIDI Settings page contains settings for MIDI driver input, output and syncing. It also contains options related to MIDI keyboard recording and automation. For a list of supported MIDI devices, see Pre-configured MIDI Devices. NOTE: If you have never connected a MIDI device to FL Studio before, we recommend reading the MIDI Wizard section of the manual first.

MIDI Settings Audio Settings General Settings File Settings Debug information Project Settings System Settings (F10)
NOTE: MIDI does not transmit audio, it is a control-data connection (keyboard notes, knob movements, sound/program changes).

Output - Port Mapping

These options are used to select a MIDI Output interface, so FL Studio can send MIDI signals to outboard gear (Synthesizer, Drum Machine, Sampler, etc). Click on the MIDI output interface to be used, once an interface is selected it will become highlighted. For each interface selected you can make independent 'Send master sync' and 'Port number' settings. While only one MIDI Output interface can be used with FL Studio at a time, you can daisy-chain multiple MIDI devices to the Output interface, see the note below.

To map an output MIDI device -

  • Port number - This is a unique channel over which MIDI data is communicated between MIDI devices inside the computer (255 Ports are available). The option assigns a Port number to your MIDI interface (Port numbers don't apply to external MIDI hardware attached to your MIDI interface). Make sure the MIDI Out plugin/s you use to control external MIDI hardware are set to the same MIDI Port number as selected here. The Port number chosen is not important. Selecting '---' will free the MIDI interface for use by other MIDI software.

    NOTE: Make sure Enable MIDI output is selected in the Options menu, 'MIDI output' will be disabled otherwise.

  • Send master sync - Master sync tells connected MIDI devices to follow FL Studio's start/stop/play commands, etc. FL Studio will send a 'Master sync' signal only if the button is selected (orange).

    NOTE: Make sure Enable MIDI master sync is selected in the Options menu, 'Send master sync' will be disabled otherwise.

  • Synchronization type - Sets the synchronization type. This is the time/code format used for syncing MIDI devices to play/start/stop commands, etc. MIDI clock is normally used. See the manual associated with your external MIDI device/s for details.

NOTE: MIDI allows you to daisy-chain a number of external MIDI devices. Connect the PC to the MIDI Output interface, then connect the first external MIDI device to the MIDI OUT and or MIDI IN of the Output interface. Then connect subsequent MIDI devices to the OUT or THRU ports of the device preceding them in the chain. Make sure to set each MIDI device in the chain to send MIDI data OUT or THRU its own MIDI ports, as this may not be on by default (see the manual/s that came with the device/s).

Input - Connecting External Controller/s

These options are used to select MIDI Input devices. If you have a USB/MIDI keyboard or controller it can be used to control FL Studio. The Input section displays a list of controller devices that have been detected by the Windows operating system.

  • Input - Lists detected devices that can be used for MIDI control of FL Studio, for example MIDI/USB piano-keyboards and external MIDI/USB knob-controllers. To select a device click on the name in the list and select the enable switch below. FL Studio is preconfigured to work with a number of controllers as indicated in the Controller type list.
  • Controller type - FL Studio supports all generic MIDI controllers. If your controller does not have a custom driver, select USB Audio Device (generic controller) in this menu. Don't be concerned about using a 'Generic' driver if your device is working correctly. However, as 'custom drivers' supply the device name and any 'special' functions the controller may have, it's worth checking if your controller is in the list of custom MIDI controllers. These allow support for 'unique' controls such as transport functions, jog wheels, ribbon-strips, relative knobs, motorized faders and custom switch controls. If your device has a custom driver but does not show in this list by name OR nothing is showing, try re-installing the driver that came with the device (check the manufacturers web-site for the latest USB driver, these are usually on the technical support or downloads section).
  • Enable - Enables the selected controller. Each device in the list can be independently enabled/disabled.

To connect a controller -

  1. Make sure Enable MIDI remote control is selected in the Options menu, 'MIDI input' will be disabled otherwise.
  2. Click on the device in the Input list so that it is highlighted. Your controller may not necessarily appear by its real name 'USB Audio Device (generic controller)' is common. This appears when the 'generic Windows USB driver' is used to interface with the controller (see 'Controller type' above for more details).
  3. Select Enable. Each device in the list can be selected/deselected separately.
  4. If you are successful the MIDI activity light on the Main Panel will blink each time controller data is received. NOTE: If the 'Debug log' is open any MIDI data received by FL Studio is displayed and logged, useful for learning the MIDI CC numbers of controls or troubleshooting connections.

NOTES:

  1. To create permanent links between a controller, FL Studio and plugins use the 'Multilink controllers' switch with the 'Override generic links' option.
  2. FL Studio can respond simultaneously to multiple controllers, however, to avoid controller CC conflicts (where more than one controller tries to adjust the same software control on the same MIDI channel) it is wise to assign each controller to transmit on a unique MIDI channel. See the documentation that came with the controller on setting MIDI send/transmit channels. By default, FL Studio listens to MIDI data in OMNI mode (all channels 1 - 16 simultaneously).
  3. Multiple controllers & multiple plugin channels - It is possible to use up to 16 controllers simultaneously. To control 16 separate plugins:
    • First Set each controller to transmit on a different MIDI channel number (1 to 16, see the documentation that came with the controller on setting MIDI send/transmit channels).
    • Then right-click as many channels in the Channel Window as you have active controllers. The controller transmitting on the lowest MIDI channel number will be assigned to the top-most selected Instrument Channel. Selected instrument channels below are assigned by ascending MIDI channel number (i.e. lowest MIDI channel = top selected instrument channel, highest MIDI channel = bottom selected instrument channel). When only one channel is selected then all controllers will play that instrument channel. When more instrument channels are selected than there are active MIDI controllers, then top most instrument channels will be assigned.
    • Changing controller to plugin relationships - The simplest method is to move the target Instrument Channel up/down in the Channel Window stack (select the target instrument channel, hold the Alt key and press the up/down arrows on your keyboard). Remember that instrument channels are assigned to controller MIDI numbers, from top to bottom in the stack.
  4. Supported controllers: For the latest list of supported devices visit the MIDI Controller Reference [image] forum.

  5. Controller templates - There are a number of controller templates in the FL Studio installation directory (\Program Files\Image-Line\FL Studio\System\Hardware specific). These templates are loaded into the editor that came with your controller and will map it to FL Studio. You may then be required to select the controller type in the Input settings (if FL doesn't do so automatically).

Miscellaneous MIDI options

  • Auto accept controller - This option affects the linking of knobs/sliders, etc. on your controller/s to FL Studio and plugin interface targets. When selected, the MIDI Remote Control pop-up will close as soon as you tweak (move) the control on your external MIDI device and the link will be made. If this option is deselected, you will need to click the OK button on MIDI Remote Control pop-up to accept the controller link and then close the box.
  • Support hold and sostenuto - If selected, FL Studio will use foot-pedal messages to sustain notes held on a MIDI keyboard.
  • Record to Step Sequencer - If selected, all recorded notes from your MIDI keyboard will be put in the Step Sequencer, rather than in the Piano roll.
  • Omni Preview MIDI channel - Allows you to set a channel on your MIDI keyboard, where each keyboard key (starting at C5) previews a separate channel in the Step Sequencer. This is particularly useful for percussion/loop-triggering where each channel holds a unique sample/loop in a Channel Sampler.
  • Playlist Live Mode MIDI Channel - Lets you set a channel on your MIDI keyboard, where each keyboard key turns on/off a pattern in the Playlist window (in live mode).
  • Song marker jump MIDI channel - Set the MIDI channel to be used to accept MIDI note data to control Playlist Time Marker jumping. The control keys are:

    • NOTE: Keyboard shortcuts apply to the Number Pad only.

  • Generator muting MIDI channel - Lets you set a channel on your MIDI keyboard, where each keyboard key mutes/unmutes a channel in the Step Sequencer.
  • Toggle on Release - Determines how momentary buttons/switches on the MIDI controller interact with target controls in FL Studio. When enabled, the target control will change state when the button is pressed and revert back to the original state when the button is released. If off, a second click is required to revert the target back to its original state.
  • Link note on velocity to - [none] - If this option is selected, FL Studio will ignore note-on velocities sent by controller input devices (MIDI keyboards, etc.) and assign a fixed velocity to all notes (a MIDI velocity of '100' or 78% is used, 127 = 100%). Velocity enables mapping note velocity from MIDI devices to per-note velocity sensitive plugins in FL Studio. Mod X / Mod Y MIDI key note on velocity is mapped to Mod X or Mod Y and passed to any instruments or effects using these MOD parameters.
    • Curve - Opens the Velocity Mapping Curve editor. This curve sets the relationship between the MIDI controller (note on) velocity and the value passed to FL Studio. Control points can be added with right-mouse clicks and function curves by left-clicking on the tension handle, as with any envelope editor in FL Studio. For the curve to take effect 'Note on' must be linked to one of the options shown above. TIP: If you play your controller while the Velocity Mapping Curve editor is open, the note velocity will be visible as a vertical line. This will help you to tune the curve shape to your playing style.
  • Link release note velocity to - [none] - If this option is selected, FL Studio will ignore release velocities sent by controller input devices (MIDI keyboards, etc.) and assign a fixed release velocity (100) to all notes. Release - Some MIDI keyboards can send the velocity of a note release, if so this enables mapping of note release velocity from MIDI devices to per-note release velocity aware plugins in FL Studio. For the curve to take effect 'Note on' must be linked to 'Release'.
    • Curve - Opens a velocity mapping editor. This allows you to set the relationship between MIDI controller 'note release' velocity and the value passed to FL Studio. Control points can be added with right-mouse clicks and 'between point' curves by left-clicking on the tension handle as with any envelope editor in FL Studio.
  • Rescan MIDI devices - If you install a controller after FL Studio has started, or a controller that appears in the Input list becomes unresponsive, this option will rescan and connect to the device.


Audio/Soundcard Settings

SYSTEM SETTINGS

System Settings - Audio

The Audio Settings page contains options and settings for your soundcard. The settings chosen here can have a big impact on CPU load, so it is worth taking the time to learn what options are available. Note that some options change depending on whether an ASIO or Direct Sound driver is selected in the Output selector. If this is your first time to adjust the Audio Settings you may like to view the audio setup pages from the 'Getting Started' section.
MIDI Settings Audio Settings General Settings File Settings Debug information Project Settings System Settings (F10) MIDI Settings Audio Settings General Settings File Settings Debug information Project Settings System Settings (F10)

Above left shows the Audio Options with the ASIO4ALL 'ASIO' driver selected (your card may have native ASIO drivers, if so use them), above right the less efficient 'DirectSound', standard Windows driver.

Soundcards & Soundcard Drivers

Soundcard: The term 'soundcard' [image] is used rather loosely, you may have a soundcard in your PC, a chip on your motherboard or it may be an external device connected by USB/FireWire/Bluetooth. The soundcard is any device that makes the sound you hear from your PC speakers. Soundcard Driver: The soundcard driver [image] is the software interface between the Windows operating system and the soundcard hardware. The driver tells Windows, and so FL Studio, what inputs/outputs the soundcard has and what sample rates it can support. DirectSound drivers place a layer of 'middle-man' software handling communications between the audio application (FL Studio for example) and the soundcard hardware while ASIO drivers allow direct communication between the audio application and the soundcard. This is why ASIO drivers are faster and more efficient than DirectSound drivers.

NOTE: The default FL Studio installation selects the DirectSound driver to ensure maximum compatibility. Frankly DirectSound sucks the life from your CPU, so switch to your soundcards native ASIO driver, if that does not exist then try ASIO4ALL.

Options

Input / Output

  • Output - is a drop-down menu used to select the soundcard (output/input device) to be used by FL Studio. The list will show installed soundcard drivers, both DirectSound and ASIO driver standards are supported. If you have more than one soundcard installed, the Output menu can be used to switch between them (press F10 to open the settings panel). The soundcard 'driver' is a program that connects Windows (and therefore FL Studio) to your soundcard. The driver tells Windows what the soundcard is called, what it can do and how many inputs/outputs it has, for example.

    Select an ASIO driver if possible, they are usually identified by the word 'ASIO' in the name. ASIO (Audio Stream Input Output) drivers allow the soundcard to communicate with the host computer with lower latency and CPU load when compared to standard audio drivers (e.g. the 'Primary Sound Driver').
  • Auto close device - Allows other applications to share the soundcard when FL Studio loses focus (FL Studio is minimized or another application is selected).

ASIO4ALL

If your soundcard does not natively support ASIO, the FL Studio install includes a 3rd party driver ASIO4ALL [image]. NOTE: that ASIO4ALL is a generic ASIO driver that works with most soundcards, your experience may be different. ASIO4ALL allows you to select inputs and outputs from different soundcards/audio-devices. The help section on ASIO4ALL advanced settings covers the options.

ASIO Properties

Visible only when using ASIO driver.

  • Buffer Length - Shows the buffer latency for the ASIO driver. To change the buffer length, click on the 'Show ASIO panel' button below this readout. The delay between playing a MIDI keyboard or tweaking a control in FL Studio and hearing the result is at least equal to this setting (in ms). The ideal buffer is the smallest your computer can manage without causing the buffer underrun count to increase (techniques for optimizing the buffer are described below).
  • Clock Source - Some audio cards might provide external clock source which can fix sync/output problems. However for most cards work properly with the default "Internal" source selected.
  • Show ASIO Panel - Opens the ASIO driver settings panel, use this to change latency settings. Settings between 1-4 ms without underruns are 'cutting edge', 5-10 ms are excellent and 11-20 ms are good. 10 ms (441 samples) is a good target.
  • Priority - Sets the priority of the audio mixing thread. Higher = more CPU devoted to the audio mixing thread, but increases the risk of lockups/freezing when CPU demands become high. Lower = greater risk of buffer underruns. Adjust this (in combination with the buffer settings) if you have problems with lockups and/or buffer underruns.
  • Safe overloads - Off: The audio mixing thread is given a very high priority, so that the user interface doesn't cause hiccups in the audio engine. When the audio mixing thread is using all the CPU, it may leave nothing to the Graphical User Interface (GUI), which will then appear frozen. On (default): 'Safe overloads' adapts the mixer priority when CPU overloads occur, leaving a little CPU to run the GUI, so that you can sill interact with FL and minimize the CPU usage.
  • Underruns - Shows the total underrun count. An underrun is counted when the temporary store that holds audio prior to output to your soundcard runs out of data (clicking or popping sounds are usually associated with underruns), it means the CPU couldn't process information fast enough and your soundcard ran out of audio data to play. Testing to reduce underruns should be carried out with a typical project (song) playing. There are a number of ways of reducing underruns as described here.

DirectSound Properties

Visible only when using Standard drivers (DirectSound, WDM, Primary, etc).

  • Buffer Length - This slider controls the audio buffer latency. The delay between playing a MIDI keyboard or tweaking a control in FL Studio and hearing the result is at least equal to this setting (in ms). The ideal buffer is the smallest your computer can manage without causing the buffer underrun count to increase (techniques for optimizing the buffer are described below). Setting between 5-10 ms without underruns are 'cutting edge', 11-20 ms are excellent and 21-50 ms are good. 20 ms (882 samples) is a good target.
  • Use Polling - Polling is a technique for managing DirectSound's audio buffer, which usually allows much smaller buffer without underruns. On some PC-s, however, it can have the opposite effect.
  • Use Hardware Buffer - Uses the hardware audio buffer of DirectSound enabled sound cards.
  • Use 32-Bit Buffer - Uses a 32-bit floating-point buffer. Only works with Windows XP or above.
  • Priority - Sets the priority of the audio mixing thread. Higher = more CPU devoted to the audio mixing thread, but increases the risk of lockups/freezing when CPU demands become high. Lower = greater risk of buffer underruns. Adjust this (in combination with the buffer settings) if you have problems with lockups and/or buffer underruns.
  • Safe overloads - Off: The audio mixing thread is given a very high priority, so that the GUI doesn't cause hiccups in the audio engine. When the audio mixing thread is using all the CPU, it may leave nothing to the Graphical User Interface (GUI), which will then appear frozen. On (default): 'Safe overloads' adapts the mixer priority when CPU overloads occur, leaving a little CPU to run the GUI, so that you can sill interact with FL and minimize the CPU usage.
  • Underruns - Shows the total underrun count. An underrun is counted when the temporary store that holds audio prior to output to your soundcard runs out of data (clicking or popping sounds are usually associated with underruns), it means the CPU couldn't process information fast enough and your soundcard ran out of audio data to play. Testing to reduce underruns should be carried out with a typical project (song) playing. There are a number of ways of reducing underruns as described here.

Plugin output

Visible only when using FL Studio with the VSTi/DXi connection plugin or as a ReWire client.
  • Slave Tempo - When turned on, FL Studio will synchronize with the tempo of the host.
  • Record Automation - When turned on, remote control messages (MIDI) from the host will be recorded during recording sessions.

Mixer

  • Sample Rate - Sets the sample play-back rate used by the mixer. Where possible use the default sample rate of 44100Hz. Many Creative brand cards (the Audigy series for example) have a minimum sample rate of 48000Hz. In this case, please be aware that some older plugins may not perform correctly (usually tuning related issues) although the majority of plugins today are multi-rate compatible.
  • Interpolation - is the process of smoothly creating changes in sample data when the system is called to 'invent' intermediate volume levels between any two known sample points. This is necessary when samples are transposed from their original pitch to avoid 'quantizing [image] ' and/or 'aliasing [image] ' noise, so the benefits of higher quality interpolation will only be useful for transposed sounds.

    There are two independent locations where interpolation [image] method can be set. Here in the Audio Settings the interpolation method affects the 'live' audio quality (and CPU load). The other interpolation setting is found on the export dialog and affects audio file quality (and render time). The options are the same for both locations, they are:

    • Linear interpolation provides the lowest CPU hit with basic linear averaging between samples, however this may result in aliasing (high frequency noises) when samples are transposed far from their original pitch. We recommend linear settings for most live mixing situations.
    • 6-point hermite is the fastest interpolation method and so is suitable for 'real-time' playback, providing superior quality to 'linear' interpolation. If you have a fast PC, use this method during critical mixing sessions.
    • 64, 128, 256, 512-point sinc interpolation methods provide, increasingly, the highest quality interpolation, at the expense of CPU load. Anything above 6-point Hermite is not suitable for live-playback (perhaps one day when we have 32-core 10 GHz CPUs). So why are these methods available? So that if someone requires the highest quality live interpolation they can have it...don't believe us?, turn on 512-point sync and watch your PC grind to a stuttering halt next time you transpose a sample...don't say we didn't warn you!

    As noted above, a separate interpolation setting has been provided for the render dialog. This allows you to use the highest quality interpolation when rendering independent of the live setting.

  • Reset Plugins on Transport - Resets all plugins when using the transport functions - start/stop, moving the song position pointer, etc. Uncheck for faster, less glitchy response when changing song position.
  • Use Mixer as Playback Position - Enable this option if you experience unstable position indicators with WDM drivers (usually under Windows 2000/XP). If you don't have any problems leave this option disabled as it reduces position indicators' refresh rate with large audio buffers.
  • Preview Mixer Track - Selects the mixer track that will receive the Metronome, and audio previews from the Browser, Wave Editor, etc. By default, the Master Mixer track is used for preview (default /"--"/ to send to the Master Track).

CPU

These options are intended to reduce CPU load and maximize FL Studio performance on your PC.

  • Multithreaded generator processing - Spreads generator (instrument) load over CPU multiple cores. Issues with plugins? Try off.
  • Multithreaded mixer processing - Spreads effect & mixer load over CPU multiple cores. Issues with plugins? Try off.
  • Smart disable - Globally disables both instruments and effects, when inactive, to reduce CPU load.
  • Align tick lengths - May reduce CPU load and improve the performance of certain 3rd Party plugins that assume aligned tick lengths. A tick is the smallest internal unit of time used for sequencing automation & note events (PPQ [image] counts the number of ticks (pulses) per quarter-note for example). Issues with plugins? Try on.

NOTES:

  1. Some of these options may cause problems with 3rd party plugins. What plugins? It all depends on how closely they conform to the VST design standard, don't look at us, we are not the 'VST police'. What sort of 'problems'? We are not prophets either, but possibly plugin-crashes, audio glitches, out-of-sync playback or CPU spikes.
  2. There are also options on the plugin wrapper 'Settings' and 'Processing' tabs that may help to resolve issues with misbehaving plugins.


Audio/Soundcard Settings ASIO4ALL

SYSTEM SETTINGS

System Settings - Audio (ASIO4ALL)

The FL Studio installation includes a 3rd party ASIO driver ASIO4ALL [image]. There are two advantages:

  • Speed: ASIO drivers (in general) allow lower CPU overhead and lower buffer settings than the standard Windows (DirectSound, WDM Driver). If your audio interface has a native ASIO driver then we recommend you use that.
  • Multiple audio devices: Specific to the ASIO4ALL driver, you to select inputs and outputs from separate soundcards/audio-devices, something that is not possible with standard ASIO drivers. This is how you can use a USB microphone with your regular soundcard (see point 7 below).

NOTE: ASIO4ALL is a generic ASIO driver that works with most soundcards, your experience may be different, including long periods of silence and head-scratching. If ASIO4ALL doesn't produce any sound we recommend that you work through all the steps below including the Troubleshooting section.

Using the ASIO4ALL Advanced Settings

This section explains how to use the ASIO4ALL settings.

  1. Press F10 on your PC keyboard and select the Audio settings by clicking on the speaker icon. Alternatively choose Audio settings from the Options Menu.
  2. Select ASIO4ALL v2 as shown below.
    ASIO4ALL
  3. To open the ASIO4ALL settings - Click on the 'Show ASIO panel' (shown above). The screenshot below shows ASIO4ALL in 'simple mode'. The 'spanner' button, on the lower-right, changes between 'simple' and 'advanced' modes.
    ASIO4ALL
  4. ASIO Buffer Size - As shown above, the ASIO4ALL window allows you to adjust the ASIO Buffer Size (Buffer length) settings to fine-tune Buffer underrun issues. You can adjust the buffer length for each selected device (in this case the Creative SB X-Fi is selected, highlighted dark-blue). It is a good idea to set all devices you plan to use to the same Buffer Size. Select each device by clicking on the name so it becomes highlighted and then change the Buffer Size slider. The Buffer Size is displayed in samples, to convert from samples to milliseconds (ms) divide the Buffer length in samples by 44.1 (if your soundcard is using 44100 Hz) or 48 (if it is at 48,000 Hz). In this case, the soundcard is set to 44100 Hz so the Buffer length of 448 samples = 10 ms (approximately).
  5. WDM Device List - The screenshot also shows 2 devices in the WDM Device List (Creative SB X-Fi and Plantronics Headset). The devices that appear in your list will probably be different and are those audio devices that have soundcard drivers correctly installed and registered with the Windows operating system. If your sound is working correctly under Windows, there should be at least one device listed (something with Realtek or AC97 in the title are common for motherboard-based soundcards). If nothing is showing in this list, re-install the soundcard drivers for your PC, reboot and look here again.
  6. Advanced settings - Make sure you are in Advanced mode as shown below. Click the Spanner (lower-right) to change between 'Simple' and 'Advanced' modes.
    ASIO4ALL
  7. Active devices - Only active devices (and their active Inputs/Outputs) can be used by FL Studio, i.e show in the Mixer IN and OUT menus. This is the step that is required to use a USB microphone with your soundcard. To activate a device click the button in front of the device name, the blue button & arrow will light to indicate the device is active. You must also ensure that the device's Inputs (In:) and Outputs (Out:) are also activated. Click on any [+] squares in front of the device to expand the list of Inputs and Outputs and click on the activate buttons. NOTE: activating a device at the highest level does not necessarily mean it's inputs and outputs are activated. For example, in the screenshot above the Plantronics Headset Output is not activated and so won't be available in FL Studio.
  8. Latency compensation In/Out - sliders. Leave these at the default settings. The ASIO4ALL driver reports to FL Studio the latency it adds to the audio stream, and this is taken into account by the program where appropriate. However, if you have measured the input/output latency of your soundcard using a loop-back cable, and know what you are doing, then set the 'Latency compensation' sliders according to your measured results.
  9. Use hardware Buffer - Can reduce Buffer underruns. Whether or not it helps will depend on the design of your soundcard's design and drivers.
  10. Always resample 44.1 kHz <-> 48 kHz - This option fixes a no sound issue on SigmaTel C-Major Audio devices. If everything else seems to be correct on your soundcard settings and you are not hearing anything you can give this option a try.
  11. Force WDM Driver to 16-Bit - This option fixes a no sound issue on SoundMax Digital Audio devices. If everything else seems to be correct on your soundcard settings and you are not hearing anything you can give this option a try.
  12. When you are done, close the ASIO4ALL options with the [X] window control in the top-right corner.

Troubleshooting

  1. First, make sure you are using the latest version of ASIO4ALL, install it and try again. The latest ASIO4ALL driver will be available at www.asio4all.com [image]. Don't be afraid to try the latest Beta (if there is one).
  2. Unavailable - If any of the inputs/outputs of the devices in the 'WDM Device List' have a RED X through them, it means they are probably being used by another audio application. For example, programs such as 'MSN Messenger', 'Skype', media players etc. can tie up inputs/outputs so, close FL Studio, close any program that may use your soundcard and re-open FL Studio and the ASIO4ALL options.
  3. Nothing shows - If your soundcard or its IN/OUTputs don't show in advanced mode, try downloading the latest driver for your soundcard. This happens when the driver for your soundcard hasn't registered itself correctly with Windows.
  4. No sound - Check the following:
      • Select all Outputs - In 'Advanced view' expand your Soundcard Inputs/Outputs and ensure all Outputs are active. In the example above, the Creative SB X-Fi has its main analog output selected ('Out: 8x 44.1 1-192kHz, 32Bits') but the 'SPDIF' Output and 'Plantronics Head' set Output ('Out: 2x 6 4-48 kHz, 16 bits') are both deselected and so would not be available in the Mixer.
      • Master Mixer track Output - Make sure your ASIO Output is selected in the Master OUT of the Master Mixer.
      • Any sound? - If there is still no sound, make sure you can hear sound from other Windows programs. If not then your problem isn't related to ASIO4ALL (try re-installing your soundcard drivers).
      • Output Errors? - Make sure the Outputs are not showing Unavailable or Beyond logic as described elsewhere in this section.
  5. Beyond Logic - Similar to 'unavailable', if the control panel of your card provides the option to lock the sample rate deselect it, a known cause of 'Beyond Logic' errors. Also try closing and re-opening the control panel, unplugging/re-inserting USB audio devices and/or reinstalling the Windows (WDM) driver for the soundcard.
  6. Check the ASIO4ALL Manual in the installation directory ..:\Program Files\ASIO4ALL v2\ASIO4ALL v2 Instruction Manual.pdf, FAQ at www.asio4all.com [image] or try the ASIO4ALL forums.


SYSTEM SETTINGS

System Settings - General

The General Settings page contains various general settings of the working environment in FL Studio.

MIDI Settings Audio Settings General Settings File Settings Debug information Project Settings System Settings (F10)

System

  • Associate project files with application - Associates FL Studio project files with FL Studio (so that if you double-click on a .flp file in Windows FL Studio will open automatically).

Miscellaneous

  • Show channel activity meters - Animates the activity meters in the Step Sequencer when notes are played.
  • Auto name channels - Automatically assigns a suitable name to the channels. If it's a Sampler, it takes the name of the sample it contains, else the channels take the name of the generator. If a name repeats with the name of another channel, FL Studio will put a number after the name (for example - "Kick", "Kick #1", "Kick #2", etc).
  • Auto zip empty channels - FL Studio will automatically zip all empty channels and unzip all non-empty channels when switching between patterns. Empty is considered a pattern that does not contain active notes and notes in the Piano roll.
  • Auto select linked modules - There are two effects, depending on state:
    • ON, Mixer track auto-focus - The Mixer will select the assigned mixer track as you focus (click on) plugin interfaces (instrument or effects).
    • OFF, Plugins stay open - Normally plugin interfaces close when the next plugin is opened, if 'Auto select linked modules' is off, instrument & effect interfaces stay open until manually closed. If this gets messy, use the Close all unfocussed windows ( [image] Ctrl + F12) function. Another way to open more than one plugin at a time, without using this option, is to close the Channel Settings window associated with the first plugin prior to opening the next plugin.
  • Use both mouse buttons in step sequencer - If switched off the left mouse button both activates and deactivates Step Sequencer steps. If turned on, left-clicks activate steps, while right-click deactivate them.
  • Use tablet PC or digitizing stylus - Changes the way some controls (knobs and sliders in FL Studio) work to improve their usability when working with a stylus/pen based interface on tablet PCs and digitizing tablets.
  • Alternate meter scale - Changes the peak meter scaling. Hovering the mouse over the same part of the scale with this option on/off will yield different Hint Bar values as the meter is rescaled. To read a peak meter value hold the mouse pointer over the peak meter, the value displayed in the Hint Bar will be the level at the position of the pointer. To read an actual peak value place the mouse pointer over the peak position on the meter.
  • Ultrasmooth visual feedback - When selected, FL Studio will update the playing position indicators smoothly.
  • Smooth scrolling - When deselected, disables the movement 'inertia' effect in the Playlist, Piano roll and other windows with scrolling.
  • Start-up splash screen - If deselected, FL Studio will not show its splash screen on start-up.

Advanced

  • Don't limit windows to screen - Allows you to move windows outside of the main screen. This option is useful only for users with multiple-monitor configurations. It should be turned off unless you have a specific need.
  • Fast sample preview - When selected, FL Studio streams rather than preloading sample before playing them in the Browser (useful for big samples).
  • Read sample tempo information - When selected FL Studio will use tempo & tempo-sync meta-data that may be saved in wave files. This affects Browser preview, Playlist and Channel sampler 'Time stretching' behavior. If you find samples are incorrectly stretched or play off pitch, you can turn this option off or correct the tempo/pitch meta-data saved with the sample using the File properties dialog in Edison.
  • Auto keep long audio on disk - When selected, long audio files are streamed from disk rather than loaded into memory. Disk streaming can cause audio glitches when many large files are streamed simultaneously. NOTE: This option speeds load times, it does not bypass the 3 Gb limit set for 32 bit applications. FL Studio will still pre-allocate the memory space required to load the audio, but will stream the audio from disk into that space, avoiding the need to load it all when you first open the project (which can take some time for large amounts of audio).
  • Show legacy precomputed effects - Some of the precomputed effects in the Sampler Channel Settings were deprecated or replaced in FL Studio 4 and up. This option allows you to unhide the deprecated effects, so you can work with older projects.

Undo History

  • Maximum undo levels - Sets the maximum undo steps kept in the history (see Project Browser). Lower number of steps improves performance, whereas more steps ensure greater editing flexibility as you work in FL Studio.
  • Undo knob tweaks - Turn this option on to enable recording of all automatable controls (sliders, knobs and checkboxes) as undo steps in the history. Enabling this option allows the history to record a much wider set of user actions, however it may cause performance problems with certain plugins, like X-Y Controller and Scratcher. The default value of this option is off.

Skin

Choose a skin for FL Studio. FL Studio comes with several preinstalled variations of the default skin.

NOTE: FL Studio is not designed to be user skinnable as many GUI components are embedded in the code so dynamic effects can be applied. But that won't stop you trying right? :)


File Search & Browser Settings

SYSTEM SETTINGS

System Settings - Files

The File Settings page allows you to link additional directories into the Browser, along with a location where your VST/VSTi plugins are saved. You can then directly access these files from the FL Studio Browser. To open: Press F10 and select the File icon. The first time you open this page, the folder slots will be empty, each row represents one 'custom' directory that you can add to the Browser. Directories set here also be searched (and all sub-folders) for samples and sounds when you load a project. It is unwise to select the root of your C: drive for example as FL Studio will search all the folders on your hard-drive when it is looking for a file.

NOTE: At any time you can open a standard Windows Browser (right click on the Windows 'Start' button and select 'Explore') and then drag compatible files from the Windows Browser into FL Studio (FL Studio will behave in the same way as noted in step 1 below).

Add Directories to the Browser

MIDI Settings Audio Settings General Settings File Settings Debug information Song Settings System Settings (F10)

Browser extra search folders

What do they do? The folders set here will appear in the FL Studio Browser in a green font so that they are easily identified. Here are four good reasons to use them:

  1. You can drag sounds/samples/patches from the Browser onto the desired location in FL Studio and they will be loaded automatically (channel sampler, slicer, projects [drag onto the desktop], etc).
  2. External folders keep your data independent from the FL Studio installation.
  3. The extra search folders are (as the name suggests) included in automatic search and load operations.

  4. The Browser contains some useful manual search functions so you can locate your files.

How to set them: 40 custom Browser directories can be set (note the scroll-bar down the right side of the window). To set a new browse directory left-click on the folder icon at the start of a row as indicated above or double-click the text fields to enter paths manually. The Name column determines the name to be shown in the Browser. If this is blank then the name of the target folder will be shown.

VST plugins extra search directory:

What does it do? This directory is a custom search location where you can put your 3rd party VST plugins. FL Studio will add any plugins to the pop-up lists that appear when you add a VST instrument to a Channel or effect to the Mixer. NOTE: The directory set here does not appear in the Browser. See the section on installing VST plugins for more details.

How to set: The first time you open this page, the folder slots will be empty, each row represents one 'custom' directory that you can add to the FL Studio Browser. Click the browse folder-button on the left side of the panel to browse the extra VST plugins folder.


Debug Options

OPTIONS & SETTINGS

System Settings - Debug

This page displays information related to the current installation and operational state of FL Studio.
MIDI Settings Audio Settings General Settings File Settings Debug information Project Settings System Settings (F10)

MIDI data

Open the debug panel when FL Studio is being controlled by an external MIDI controller to see all MIDI data communications. This can be useful to identify MIDI CC numbers when linking specific controller functions etc.

Debugging Information

Nothing to see here, move along! However if you need Technical Support [image] they may ask you to cut and paste the information shown in this panel. By the way, FL Studio doesn't have 'bugs' they are Detrimental Operational Happenings (DOH!). If you do have a DOH! event please make sure that it is reproducible and you can explain to Technical Support [image] what causes the DOH! It is difficult to fix a DOH! if it's not reproducible.


Options Song Information

PROJECT SETTINGS

Project Info

The Project Info page contains fields for the song title and additional information about the project. Author information is automatically saved in rendered audio files and may be useful for establishing copyright. To view your file author information open Windows Explorer, right-mouse click on the file and select Properties > Summary settings.

System Settings Project Information Project Settings Project Settings

NOTE: If the project settings icons are not visible in the side bar on left of the screen, click the Project button to expand the section.

Options

  • Title - In this field you can write the title of your song.
  • Genre - Genre of your song. This parameter is compatible with genres in .mp3 and .wav files and is saved when you export your project to an audio file.
  • Author - Enter the name of the project author (composer) here. This information is saved in .mp3 and .wav files on export.
  • Info - Enter additional information about the song here. This field supports RTF (Rich Text Format) data, preserving font, color and other characteristics of the text you paste from RTF clipboard (or from Word, WordPad, etc).
  • URL - Enter the URL of your homepage or your e-mail address here.
  • Show it on Open - If activated, a small window displaying the title, info and clickable URL will appear when a project is opened.
  • Reset working time - Time is money! The log to the left of the button shows (approximately) how long you have been working on the project by tracking activity. Tip: Glue a wireless mouse to your dog and earn more money!


PROJECT SETTINGS

Project General Settings

The Project General Settings page contains general options for each project, stored locally in each file.

System Settings Project Information Project Settings Project Settings

NOTE: If the project settings icons are not visible in the side bar on left of the screen, click the Project button to expand the section.

Options

Data Folder

  • Folder icon - Opens a browser window to allow a custom project save location to be set.
  • Clear - Clears the custom save location.
  • Auto - Sets the save location to the same folder the project was loaded from.

Time Signature

  • Bar Length - Sets the number of beats (as defined in the next option) that make up one bar. Note that although this is a general setting you can use the Step Sequencer to set a custom number of beats for each pattern.
  • Beat Length - Sets the number of steps that make up one beat. In later versions of FL Studio (FL5 onwards), tempo is synchronized with beats rather than steps.
  • Timebase (PPQ) - Sets the timebase for the current project (Pulses Per Quarter-note). The default setting is 96. Higher PPQ allows for more more refined events and finer processing of slides, envelopes and LFOs. However, it also uses more CPU. The Playlist maximum zoom is limited by the PPQ settings, if you need to zoom Audioclips to a higher level, increase the PPQ setting. The Playlist only zooms to the maximum level supported by the underlying PPQ.

Audio

  • Circular Panning Law - If checked circular panning (green) volume compensation is used, otherwise linear panning (red) volume compensation is used. If a sound is panned hard left or right, only one speaker will be active. This will sound quieter than the center position where both speakers are active, unless steps are taken to counteract this effect. Circular panning maintains a constant apparent volume by progressively lowering the combined volume of the L+R channels by -3dB as the pan passes dead center. Linear panning does not apply this compensation, so the apparent loudness will increase as the sound passes the center position.

Pan volume compensation curves


Whats New

TROUBLESHOOTING & FAQs

Troubleshooting & Other FAQ's

This section covers Trouble Shooting and Frequenty Asked Questions.

  • Troubleshooting FAQ
  • Registration Exclusive Features
  • Underruns & Maximizing Performance
  • Optimizing CPU and Memory Usage
  • Missing Plugins or Files
  • Plugins Behaving Badly
  • Updating & Upgrading Procedure
  • Lost Registration Codes/Login
  • Compatibility with Older Projects
  • Reset Settings
  • Lifetime Free Updates


Questions & Answers

TROUBLESHOOTING

Troubleshooting FAQ

This section contains answers to common questions and problems that may occur while working in FL Studio. Please, read this carefully before posting about problems in the tech-support message board. regardless of the problem, we have found two main things resolve the majority of user issues -

  1. Make sure your settings (F10) are correct. There is a setup wizard in this help-file to guide you through the basic steps if this area of the program is new.
  2. Reset FL Studio settings, this can solve many seemingly impossible problems and works by clearing the Windows registry of erroneous or corrupt setup-data.
Problem | Solution
Some plugins appear as demos. | Some plugins need to be purchased.
I hear a hissing sound. If you hear an intermittent hissing sound (like the ocean) this means that you have used a demo plugin in your project. To disable the hissing sound purchase the plugin.

Plugins appear as demos even though I bought them. Download and run a new regcode, or use the Support Request form if that doesn't work

When I press play, knob X or Y on a VST plugin is set to zero Disable the wrapper option "Send pitch bend range".
Does FL work in Vista or even Vista 64 bit? Yes, as well as Windows 98, 2000 and XP. It should also work in Windows 95 and Me. FYI: FL Studio is developed under Vista 64 bit. Although it is a 32 bit application. Why not try the demo?
Some channels are red when I load a project. Channels turn red when FL Studio can't find the sample. Check that the sample is still there, have you changed your extra search directories? Check that the .ogg and .mp3 codecs are installed.

For further information see the section Missing Audio Files or VST Plugins.

Why does the cpu usage go up to 99% when I go to another application? Check the Auto close device setting in the Audio settings.
When I try to load the FL Studio VSTi plugin, I get the message "Another instance of FL Studio is already opened" You can only open one instance of FL Studio VSTi or FL Studio VSTi (Multi) at the same time. If this happens for the first instance, try to reset the FL Studio settings.

My saved project file is corrupted! Unfortunately sometimes this can happen. You can try the FL Studio diagnostic program here which has a tool that may help. We always highly recommend using "ctrl+n" often while working on any project. "ctrl+n" will save a new version of your song with the same name but new number.
The program reports about missing DirectX, then halts. YOU NEED THE LATEST DIRECTX INSTALLED ON YOUR SYSTEM. The latest DirectX is available at the Microsoft web site. You can find a link to it at the Microsoft Direct X page. You may also find the DirectX installer on CD's that go with many popular magazines.
No audio output. | If you don't get any sound be sure you've selected at least a DirectSound driver (see Audio settings) or a MIDI driver (see MIDI settings). Be sure the DirectSound driver has been initialized & working. If you don't get any MIDI sound from the playing loop you probably forgot to enable the 'Enable MIDI remote control' menu option (see Options menu).
The sound is 'choppy' (crackles and/or pops). | This is probably buffer underruns from the audio driver. You can find a page dedicated to resolving buffer underruns here. If that seems a little too complicated you can also try following the setup wizard that will take you through all the basic setup steps.
A TS404 pattern doesn't play in song mode, but plays in pattern mode. The TS404 is a monophonic synthesizer. That means it can not generate more than one tone at a time. That is why when you trigger several patterns that contain TS404 notes and/or property changes (cutoff and pitch in the Graph Editor) only the topmost pattern is played and the rest are ignored.

Sometimes, you might skip to clear some patterns from TS404 data and they can mute another TS404 sequence placed below in the Playlist. To make sure that the patterns you trigger together with your TS404 sequence do not contain any data for the same TS404, switch to each pattern you want to clear, select the corresponding TS404 channel and press Ctrl+X (or select Cut from the Edit menu). That way all notes and properties in the Step Sequencer are set to default and the pattern is considered free of TS404 sequence data.
The chords menu doesn't pop up in the Randomizer. | This might be caused because of using custom font sizes and/or Windows scheme. To cure the problem, try to switch back Windows to "small fonts" and use Windows Standard scheme (go to Control Panel > Display > Appearance).
FL Studio reports HHCTRL.OCX is missing, then halts. | This problem may occur in computers with older Windows installed (first releases of Windows 95). To cure the problem, install a newer version of Internet Explorer, which includes the necessary files. Note that if you really don't have that file installed, you shouldn't be able to open this help file as well...
FL Studio crashes when trying to open the Piano Roll window. | Some people reported such crashes on systems with ATI Xpert video cards. Download and install the latest drivers available for your video card to fix the problem.
FL Studio' interface looks strange, the colors are distorted. You're probably running Windows in 256 colors (palletized) or less. Please switch to 16-Bit (high color) or 24/32-Bit (true color) display modes. Everything under Windows is ugly in palletized display. Luckily today's computers (even laptops) can easily handle true color modes. For the best quality & smoothness in FL Studio we suggest you switch your display to 24-Bit mode. Now your graphic board might not support 24-Bit display. In this case switch to 32-Bit mode. By the way, remember that FL Studio 1.x & 2.x skins are NOT compatible so don't use any of them.

You should also know that almost every early graphic driver has minor bugs. If you notice things not drawn properly, it might be your graphic driver (which should be updated).
Any of the *.wav files fail to load, but all the *.SS2 presets load fine. | For some reason, some people have all their Windows sound ACM codecs disabled. FL Studio needs them in order to translate compressed *.wav files to PCM. Under Windows, follow Start > Settings > Control Panel > Multimedia > Devices tab > Audio Compression Codecs. For each of the listed codecs, click Properties, then check "Use this audio codec" (if it's disabled).
FL Studio used to work fine, but now it keeps crashing at start-up.

If FL Studio doesn't work anymore, but has worked once then you may try to reset FL Studio settings. NOTE: if you're running under WinNT, the shortcut switch might not work correctly, you might have to use regedit.exe. Take care not to delete any other registry entry! You can still use the Microsoft System Information tool to backup your registry if you're not sure (Important: don't use regedit.exe if you are not familiar with editing the registry, since this may damage your Windows installation!).

FL Studio crashes at start-up.

Some people have reported a crash when Windows is in 16-Bit display. There's no reason for FL Studio not to work in 16-Bit display mode but you can try to switch to 24-Bit (True Color) & see if it corrects your problem. According to the same people a problem may occur because of network cards. Again there's no reason for not to work when a network card is installed...

We've also had reports that old display drivers for the Diamond Viper v330 were causing a crash while FL Studio is running. Updating those drivers appears to fix this.
DirectX plugins disappeared from the plugin list. | Re-install the latest Microsoft Direct X version.
Loop points in the sample view can't be added or moved. | Loop points can't be set inside FL Studio. They are part of the sample itself, and they can be set using external wave editor. Further, if your looped wave sample pops and clicks, this means that the loop points need to be moved. Well matched loop start and end points should have the same sample offsets (amplitudes) and the slopes of the end-point waveform should run into the start-point waveform (that is have a slope of the same direction and phase in the waveform). If the sample volume varies over time, try setting loop points so that the volume level is equal or close to equal in the start and end loop points. Finally, unless you're making a sample to be used as an oscillator shape, avoid creating short loops (less than ~50ms), because they will sound pitch shifted, and so, not matching the pitch of the rest of the sample.
The sound becomes strange when you move Windows or sliders. | This happens with some graphic boards (for example older versions of Matrox Mystique) which lock the bus when they shouldn't. Be sure you've got the latest drivers for your graphic card, it may correct the problem.
Can FL Studio have several instances running at the same time? Yes, just make sure not to pass any command line parameter. If you specify a project file by the command line, the same instance will load it (for convenience). If you don't, then another instance will be opened.
Please note that Windows 9x graphics resources are very limited (due to compatibility problems), so opening several (4 or over) instances of FL Studio (which is graphically intensive) could crash your whole system!
I can't render files to mp3, but it used to work. Tell me more about the LAME mp3 encoder used in FL Studio to export mp3 files. | Sometimes installations of other programs may interfere with the mp3 encoder Windows registration. Re-installing the LAME mp3 codec should restore mp3 functionality. You can download the latest Windows LAME encoder at http://www.free-codecs.com/Lame_Encoder_download.htm. To find out more about the LAME codec, visit The LAME Project. LAME is distributed under the GNU General Public License (see Texts\LGPL.txt for details). LAME was written by Mike Cheng & Mark Taylor.
The loop sample always overlaps when it's retriggered. You want it to cut itself. | Select the 'cut itself' option in the channel settings menu.
Some plugins suddenly start eating a large amount of CPU capacity, while they performed fine for a while. It sometimes happens that a plugin starts eating a huge amount of CPU when not fed for a while. It looks strange but it's not. Floating points numbers are stored as a base & exponent. It works well, except for very small numbers (those are called tiny numbers, or denormalized numbers). Those tiny numbers are stored differently, & the math coprocessor actually eats much more CPU in that 'denormalization' process (that can also trigger an exception on demand).

There are workarounds, but they can only apply in the DSP functions themselves. FL Studio can't do much about it, it's up to the plugin (& most of the ones that come with FL Studio do it) to check if the values are very close to zero & snap them to zero instead.
Your song uses too much processing power and you can't play it in real-time without underruns even with maximum audio buffer. | Use the tips in the Optimizing CPU and Memory Usage page.
How to sync FL Studio to a MIDI sequencer. As with any other music app running under Windows, you need a virtual MIDI cable to achieve sync with FL Studio. FL Studio can act as a MASTER CLOCK. Just set your sequencer (or any other app) to be the slave & be sure it uses the correct virtual MIDI device.
WARNING:
Don't use Hubi's LoopBack device as the virtual MIDI cable. For some unknown reason, can lose clock messages and so the timing will be off when you start moving Windows. Instead, try MIDI Yoke. http://www.midiox.com/.
Does FL Studio work under Windows 2000? | Yes, normally.

Online knowledge base

If your answer is not above then we have extensive online web help:

  1. This manual - can be searched on several levels, check the INDEX and SEARCH tabs to the left of the text window.
  2. The Knowledge Base [image]. This contains a searchable database of common problems with the forums, registration and FL Studio.
  3. Search FL Studio community forums [image]. It's possible that your problem has already been discussed. Try searching the forums.
  4. The Tech Support Forum [image]. Please be patient if you post there, we work through the posts several times per day. Staff are based in Europe and the USA.
  5. Back-office Technical Support Team [image]. Here you can create a create a traceable support-ticket. This link is primarily for registration and purchase problems.

Known bugs & limitations:

  • 3rd party VST plugins crash. Some will crash randomly after being loaded. Some crash because a field full of cows at the Campazu Dairy have aligned and are all facing North West. You will probably get even more crashes from the 3rd Party DirectX plugins (that are not known for stability). If 3rd party plugins crash your computer, we're not responsible, although there may be Wrapper & FL Studio settings that can improve stability. We are also willing to investigate common failures (report it in Loop Talk [image]). Also note that plugins are .dll's, small independent programs with their own code, meaning they can also contain viruses or malicious code, not to scare you or anything. It's all care and no responsibility here at Image-Line with respect to 3rd party software you run inside FL Studio :)
  • The TS404 delay line is reset on tempo changes. Unfortunately nothing can be done to fix that (dry your eyes, it's not so bad, use Fruity Delay instead?).


Version Features

TROUBLESHOOTING

Registration exclusive features

The Image-Line philosophy is that you should only pay for the features you use. We ship FL Studio in four versions, each with more features [image] than the next. The product hierarchy below notes some key features:

    • FL Studio Express Edition: Entry level to FL Studio. Step Sequencer only editing. Great for percussion programming and simple melodies (bass-lines, riffs, loop-creation etc).
    • FL Studio Fruity Edition: Is aimed at those people who need Piano roll for sequencing functions but don't need Audio Recording, Slicex, Edison or Automation Clips (although Automation is still possible with the Event Editor).
    • FL Studio Producer Edition: Provides the highest level of functions in FL Studio. It gives you access to Audio Recording, Automation Clips, Slicex, Edison and more!
    • FL Studio Signature Bundle: Signature Bundle is a 'bundle' including Producer Edition + a collection of our 'signature' (most advanced) plugins. It's the cost effective way to get your hands on our best gear. If you already own some of the plugins in the Signature Bundle, the Image-Line store [image] will automatically deduct these from the upgrade price.

NOTE: Please see the feature comparison list [image] on the FL Studio website for a detailed comparison of each edition. You may upgrade from one edition to the next at any time (check the shop for upgrade pricing).

Version Icons

When one of the following icons appears next to the page title it means the feature or plugin is exclusive to a certain FL Studio version or must be purchased separately. You can learn more about the versions here in the manual, or for a complete comparison of the FL Studio versions visit the Feature Comparison page [image].
- The feature is available in FL Studio: Fruity Edition, Producer Edition & Signature Bundle.
- The feature is available in FL Studio: Producer Edition & Signature Bundle.
- The plugin is may be a demo, depending on your FL Studio version. If a project is saved, and it contains plugins that are in demo mode, the demo plugins will be replaced by empty channels/slots next time the project is opened. Each demo plugin that is subsequently purchased and registered will load as it was originally saved next time the project is opened.

Warning: Don't open and re-save projects that were originally saved with demo plugins (opening is ok, just not saving them again). Saving a project that has opened with demo plugins will overwrite the demo-plugin data. To unlock the demo plugins you need to purchase them, visit the Image-Line store [image]. When you open the project and you have registered all the demo plugins used, it will open as it was originally saved and you can continue working on it.


Improving FL Studio Performance

TROUBLESHOOTING

Buffer underruns & maximizing FL Studio performance

If your CPU or disk usage climbs too high you are likely to experience audio 'buffer underruns' as clicks or pops in the live sound from FL Studio. The good news is that CPU and disk usage can be lowered considerably if you take the time to make some adjustments to the FL Studio Audio settings. The Audio Buffer is a temporary store of audio waiting to be sent to the soundcard, allowing FL Studio to even out momentary spikes in CPU load. If the Audio Buffer runs dry, because your CPU or hard-drive can't keep up with the 'real-time' audio stream, then your Soundcard will make rude pop, click or stutter noises. It is worth noting that underruns can ONLY occur in real-time playback, they will not happen while exporting to wave or mp3 file. If you do hear that sort of thing in an exported audio file, then it is likely a plugin behaving badly, check the plugin settings in that case.

Underrun Optimization

Underrun minimization may require some trial-and-error and should be conducted with a project 'typical' of your style playing. Your task is to find the shortest Buffer length setting that your PC can support with few (or no) new underruns added to the count. Note that you will almost always see some underruns (1-5 is typical), these mostly happen at startup. Similarly, the occasional underrun during a project is not really a problem, but may indicate you are close to the minimum buffer size your PC can sustain with the current settings. Remember, underruns are only a problem if you notice them and they have become distracting.

ASIO Soundcard Drivers (ASIO will appear in the name)

Open the Audio settings panel. Try the following steps, after each change, if the underrun count stops increasing, try to reduce the Buffer length setting further. Your goal is to get the Buffer length as close to 10 ms (441 samples) as you can, with no, or few new underruns.

  1. Choose an ASIO soundcard driver if possible from the Input / output menu. Start with any native ASIO drivers for your soundcard or use ASIO4ALL if they are not available.
  2. Click the Show ASIO panel button and adjust the Buffer length. Remember that as the Buffer length is increased, underruns decrease, but the delay between playing a MIDI keyboard, tweaking a knob and the response of FL Studio also increases. The aim is to minimize the buffer size without causing buffer underruns. For ASIO drivers, settings of 1-4 ms (44-176 samples) are 'cutting edge' and unnecessary, 5-10 ms (220-440 samples) are 'excellent' and 11-20 ms (485-882 samples) are 'very good'. We recommend a 10 ms minimum setting.
  3. Make sure the Mixer Interpolation is set to Linear and the sample rate is 48,000 Hz or less.
  4. Make sure the CPU options, Multithreaded generator processing, Multithreaded mixer processing and Smart disable are on. Be aware, that some plugins (3rd party of course) don't like multi-core CPUs so these options can cause issues. Try all combinations of the switches if you have trouble.
  5. Increase the audio thread 'Priority' setting to 'Highest'.
  6. Turn the 'Safe overloads' switch off. Safe overloads leaves some CPU over for the graphical display, we will sacrifice display smoothness for audio smoothness.
  7. Download the latest ASIO drivers from your soundcard manufacturer. We recommend sticking with the native ASIO drivers and only trying alternatives if you experience problems with them.

  8. In some cases the 3rd party www.asio4all.com [image] drivers outperform native ASIO drivers and may resolve underrun issues. NOTE: While ASIO4ALL works with most soundcards, it is a 'generic' ASIO driver, and so your experience may be different.

  9. Disable inactive plugins, turn on Tools > Macros > Switch smart disable for all plugins. This turns off effects & instruments when they are not in use and so decreases CPU usage significantly.
  10. Decrease polyphony of the instrument channels.

  11. Turn off 'Keep on disk' for Sampler and Audio Clip channels. This loads samples into memory which is faster.

  12. Record mixer channels to audio and disable the instruments feeding those mixer channels.

  13. Make sure your processor is running at full speed, do you have some energy saving/CPU throttling mode engaged, stop being a wimp, music production requires some global warming.
  14. NOTE: If your Buffer length setting is greater than 50 ms and your CPU usage meter peaks over 80%, it may be simply be your computer is not fast enough to play the project. Welcome to the never ending cycle of PC upgrades!

Standard Soundcard Drivers (if ASIO drivers don't work)

Open the Audio settings panel. Try the following steps, after each change, if the underrun count stops increasing, try to reduce the Buffer length setting further. Your goal is to get the Buffer length as close to 10 ms (441 samples) as you can, with no, or few new underruns.

  1. Adjust the Buffer length setting. Remember that as the Buffer length is increased, underruns decrease, but the delay between playing a MIDI keyboard, tweaking a knob and the response of FL Studio also increases. The aim is to minimize the buffer size without causing buffer underruns. For standard drivers, settings of 5-10 ms (220-441 samples) are 'cutting edge', 11-20 ms (485-882 samples) are 'excellent' and 21-50 ms (926-2205 samples) are 'very good'.
  2. Make sure the Mixer Interpolation is set to Linear and the sample rate is 48000 Hz or less.
  3. Make sure the CPU options, Multithreaded generator processing, Multithreaded mixer processing and Smart disable are on. Be aware, that some plugins (3rd party of course) don't like multi-core CPUs so these options can cause issues. Try all combinations of the switches if you have trouble.
  4. Increase the audio thread 'Priority' setting to 'Highest'.
  5. Turn the 'Safe overloads' switch off.
  6. Try each of the 4 possible combinations of the 'Use polling' and 'Use hardware buffer' switches. 4 combinations? Two switches with two states (on/off) mean 4 possible combinations, try them all.
  7. Switch to ASIO mode (if supported by your soundcard). There is also 3rd party 'work-around' at a www.asio4all.com [image] that allows many non native ASIO soundcards to operate in ASIO mode. NOTE: While ASIO4ALL works with most soundcards, it is a 'generic' ASIO driver, and so your experience may be different.

  8. Disable inactive plugins, turn on Tools > Macros > Switch smart disable for all plugins. This turns off effects & instruments when they are not in use and so decreases CPU usage significantly.
  9. Decrease polyphony of the instrument channels.

  10. Turn off 'Keep on disk' for Sampler and Audio Clip channels. This loads samples into memory which is faster.

  11. Record mixer channels to audio and disable the instruments feeding those mixer channels.

  12. Make sure your processor is running at full speed, do you have some energy saving/CPU throttling mode engaged, stop being a wimp, music production requires some global warming.
  13. NOTE: If your Buffer length setting is greater than 100 ms and your CPU usage meter peaks over 80%, it may be simply be your computer is not fast enough to play the project. Welcome to the never ending cycle of PC upgrades!

Reality Check

Obtaining the absolute lowest Buffer length settings is not a competition. If you are happy with 20 or 30 ms then that's great. Remember, the lower the buffer length setting, the higher the CPU load. We recommend 10 ms (ASIO mode) as a good minimum setting, below this most people don't experience improved 'responsiveness' and the CPU load climbs rapidly. To put 10 ms in context, the delay between pressing a key on a real piano and the hammer hitting the strings is in the order of 80 ms and the time taken for that sound to reach your ears is a further 3 ms, something to ponder.


Optimizing FL Studio performance

This section contains tips that will help you reduce CPU and memory usage in your projects.

  • Audio settings - Make sure you are using an ASIO soundcard driver (ASIO4ALL is the general purpose ASIO driver that comes with FL Studio) with a Buffer length setting not less than 10 ms. Buffer lengths below 10 ms will eat significant CPU power with little or no perceived change in program responsiveness.
  • Increase the audio buffer length - The Buffer length setting is found on the Audio settings page. You will need to click the 'Show ASIO panel' button there, to see the settings if you are using an ASIO driver (like you should be!). Keep adding 5 ms increments until you notice a drop in CPU usage. Buffer lengths over 50 ms make live playing difficult but should be OK for mixing CPU intensive tracks where you are making simple adjustments to controls rather than recording a performance.
  • Smart Disable - Whenever possible enable Tools > Macros > Switch smart disable for all plugins and also Smart disable on the Audio Settings. These options disable effects & instruments when they are not making any sound and can decrease CPU usage significantly.
  • Multithread support - Make sure Multithreaded generator processing and Multithreaded mixer processing are selected on the Audio Settings panel.
  • Reduce the plugin count - Try to reduce the number of iplugins (instrument and FX). These are the most CPU hungry parts of the program.
  • Freeze mixer tracks - Render some Channels to audio and then mute the instruments in the Channel Window or delete them. Remember that FL Studio records mixer tracks so you will select several mixer tracks to record, then mute or remove the Channels feeding those mixer tracks.
  • Limit Polyphony - Use the maximum polyphony setting to reduce the maximum polyphony of channels (see Miscellaneous Channel Settings). This often reduces dramatically CPU usage in complex melodies. You can still set FL Studio to ignore the maximum polyphony settings when exporting to wave/mp3 file (see Exporting to .wav/.mp3/.mid).
  • Disable MIDI - Disable all the 'Enable MIDI...' options using the Options menu as MIDI processing uses CPU resources even when not in use.
  • See also - Buffer underruns & maximizing FL Studio performance.


Missing audio files or VST plugins

If you open a project and some, or all, Channel buttons are red or a plugin instrument is replaced with an empty channel (and you are sure it's not a 'demo' plugin), this means the samples or instruments nominated for those channels can't be found. You will have been shown a pop-up message about missing data when the project was loaded.

Recovering missing files

FL Studio searches its own installation directory for samples/plugins and then the Browser extra search folders for audio & VST plugins extra search folder for VST plugins. If you have no idea where the samples or plugins are, while your hard-drive is still spinning there is hope:

  • Audio files -
  1. Set the root directory of each hard-drive on your system (e.g. C:, D:, E:, etc.) as Browser extra search folders folders.
  2. Reload the project. FL Studio will now search the entire contents of each hard-drive set. This will take some time.
  3. If the samples were found, select the Channel, click on the waveform display of the Audio Clip or Sampler channel and drag it onto the Browser. The Browser will open at the location from where the file was loaded. Note the directory and or move them to a known location OR
  4. Set the directory where the samples are located as a Browser extra search folder.
  5. Remove any root search location/s (e.g. C:, D:, E:, etc.) from the extra search folder/s, as they will make future file searches very slow.

    TIP: It's a good idea to create a directory where you save all your audio files (using any number of sub-folders is OK), then you only need to set one 'Browser extra search folder' location.

  • VST Plugins -
  1. Identify the exact name of one or more of the missing plugins. Let's say the missing plugin is 'plugin name' for example.
  2. Use Windows Explorer to search your installation drive (e.g. C:) and any other drives you have installed for 'plugin name.dll'. All VST plugins end in '.dll'. You are simply adding .dll onto the name of the missing plugin in the Windows Explorer search window.
  3. If the plugin is found, set the path to the directory where the 'plugin name.dll' file is located as the VST plugins extra search folder, or the directory above it if the plugin is a sub-directory of a folder containing other plugins.


Plugin Madness

TROUBLESHOOTING

Plugins behaving badly?

This section contains information to help bring wayward plugins back into line. There are three main places you can try making changes to settings and options to resolve issues with misbehaving plugins, they are:

Options and Settings

  • Open the Audio Settings and try the following:
    • CPU options - 'Multithreaded generator processing' (try off), 'Multithreaded mixer processing' (try off) & 'Align tick lengths' (try on/off).
    • Mixer options - 'Reset plugins on transport' (try turning off, if start/stop and moving around the Playlist is glitchy/slow).
  • The plugin wrapper 'Settings' tab. Try these settings to fix problems with MIDI, automation, GUI & patch-changing.
  • The plugin wrapper 'Processing' tab. Try these settings to fix problems with no sound, rendering quality, loop-playback behavior and rendering sync (timing issues).
NOTE: It's also worth checking the FL Studio knowledge base section [image] for more information as the data-base is updated with plugin specific information from time to time. Finally, if it's a 3rd party plugin and it's not working correctly in FL Studio, contact the developer, it's all care (that's why we offer so many options) and no responsibility here


Updating

TROUBLESHOOTING

Update, upgrade or reinstall FL Studio & plugins.

The upgrade/update process is as follows, please check that you have completed all steps. You will be in one of the following groups:

New Customers

  • Download customers - If you have just purchased an upgrade to FL Studio or a plugin then you will receive an email when your order has been processed. This means the item will now appear on your personal account page [image] down the right-hand side as a download. You may want to check your personal account page [image] the day after you purchase as it may be updated before you get your email.
  • Boxed customers - If you have not registered your Boxed software yet, register the boxed serial number -
    • 1. Visit the boxed registration [image] page.
    • 2. Enter your serial number, follow the links.
    • 3. Create a user account, if you don't have one yet.
    • 4. Download the update item from your personal account page [image].
    • 5. Download a new regkey from the same location. Run and install the regkey (double-click on it) then install updated software (if any).

Existing Customers

Updating previously registered software - If we have updated/upgraded a plugin and you have lifetime free updates for it, then the latest version will always be accessible the right-hand side of your personal account page [image] alternatively the demo downloads at www.image-line.com are the latest released versions (but you will still need to download a regkey/code from your account). If you cant log into your account, try these steps first.
  1. Log into your personal page - personal account page [image]. Can't get into your page? You will have received an email from us with your login details when you originally purchased or registered the item. Try these steps to recover your password & login details. Contact the back-office Technical Support Team [image] if these fail.
  2. Download and install the item - Almost all of the software installers on your personal account page [image] are the same installers downloadable from www.image-line.com. The demo version is unlocked to the full version with a registration key (see step 3). Download & install the component you want to update/install from personal account page [image] or www.image-line.com.
  3. Unlocking - If you have an online account Clicking this link should initiate a 'FLRegkey.Reg' download.
    • Windows plugins and software - Download a new FLRegkey.Reg. You can find the download link on your personal page down the right-hand side. All products you own will have the link (it's the same one), click on any item and it will open to show 'click here to unlock this product'. Click on the link, accept the file and save to your computer. Install the FLRegkey.Reg - Double-click the reg-key to install it (accept any warning messages and proceed). Your registration key will contain the codes for ALL products you own, so only one key is required.
    • Mac plugins and software - If you are a Mac user, copy the reg-codes manually and type/paste them into the appropriate place on your plugins registration window.
  4. Use FL Studio & or Plugins. - Next time you open FL Studio & or Plugins you should find that it is now unlocked and working without any limitations, no additional downloads are required.

Problems?

If you have been through the above steps and are still experiencing difficulties with your personal page or reg.key please -

  • See the Knowledge base article Step-by-Step Installation Guide [image] complete with pictures of the steps outlined above.
  • Contact the back-office Registration Support Team [image] where you can create a traceable support-ticket.


Lost Registration Codes

TROUBLESHOOTING

Lost login details, can't log into your on-line account?

This section assumes you have previously registered your Image-Line product/s at the Image-Line website [image] If you have lost your registration details and can't log into the 'Account' section of the Image-Line website [image]:

Steps to obtain login details

  1. Try this direct link to your account [image], to see if you can 'auto-login' to your personal page. This will require your browsers cookies have remembered your login details.
  2. Try the Online Password Recovery Feature [image]. On this page you enter the email address you used to originally register, if you have registered using the email address you enter, a new login link will be sent to you at that email address.
  3. Still having trouble? Create a support ticket HERE [image].

Note: When you retrieve your login details please save them in at least 2 safe places, one safe place should include a paper copy of the information.

Obtain a new regcode

Clicking this link [image] should initiate a regcode download (FLRegkey.Reg file). It requires that your browser remembers your login details at the Image-Line website [image]. Save the file and run it by double-clicking on it. Allow the data to be written to your Registry. FL Studio and any purchased plugins should now be unlocked.


Backward Compatibility

TROUBLESHOOTING

Compatibility with older projects

In order to improve FL Studio, for better usability and feature set, some changes have been introduced that may be incompatible with projects created in earlier versions of FL Studio & FruityLoops.

NOTE: The name "FruityLoops" was changed to FL Studio.

Compatibility with Projects Before FL Studio 5

Corrected tempo calculation

In earlier releases the tempo was improperly computed based on the number of steps per beat (4 steps would always make a beat for the timer). This was fixed in FL Studio 5, by preserving the beats-per-minute value regardless of the number of steps the beat has.

This may affect older projects with number of steps different than 4 per beat, and may result in slower or faster tempo than expected. FL Studio will not attempt to correct the tempo of old projects so manual correction is needed.

The new tempo that should be set can be computed using this simple formula:

4 * (old project tempo) / (number of steps per beat) = (new tempo)

For example if you have an FL Studio 4.5 project with tempo 150 and 6 steps per beat, the proper FL Studio 5 tempo to achieve the same effect is:

4steps * 150bpm / 6steps = 100bpm

Compatibility with FL Studio 4.5 and Earlier

Altered Mono Mode Behavior

In earlier release the mono mode worked in this way:

1. If a key is pressed and second is pressed the synth glides (portamento) to the second tone.

2. If the second key is released, the sound stops.

In the current release this behavior changes to:

1. If a key is pressed and second is pressed the synth glides (portamento) to the second tone.

2. If the second key is released, the synth pitch glides back to the previous key.

This can result in some changes to the behavior of synths in mono mode authored in older releases.

Compatibility with FL Studio 4.1 and Earlier

Different Pitch Bend Range

In earlier releases, the range of the pitch bend control was +-72 semitones (12 octaves). This overly wide range was rarely used and was causing problems with automation. In FL Studio 4.12 and later, the range is decreased to +-48 semitones (8 octaves). Older projects will import properly into FL Studio 4.12 and their pitch bend events and settings will be remapped properly to the new range. The only exceptions are:

  1. Pitch bend using a wider range than the now supported +-48 semitones.
  2. Using internal controllers to automate the pitch bend control. In this case, the internal controllers have no knowledge of the altered property range, so the effect of the controller automation is "scaled down". To fix this issue, you can increase the controller strength, range, or use the following mapping formula for the pitch bend: 1.5*(Input-0.1666666667).

Cut/Reso Filter Samplerate Independence

The cutoff/resonance filter available in all Sampler channels and Sampler (hybrid) plugins (such as Beepmap, 3xOSC, etc.) produced different results when used in different sample rates. FL Studio 4.12 fixes this problem, however this means that older projects might sound different due to the fix.

Note that none of the projects authored in 44100Hz samplerate will experience a difference in their sound, but only some projects authored in other sample rates - 22050Hz, 48000Hz, 96000Hz, etc.

Adjusting the cutoff/resonance settings in such projects can restore the original sound.

Compatibility with FruityLoops 3.56 and Earlier

Empty Playlist Functionality

In earlier releases, the lack of sequence in the Playlist caused FruityLoops to play all patterns in the song in sequential order. FL Studio doesn't have that feature anymore. You need to order the patterns manually in the Playlist window to achieve the same effect.

Legacy Precomputed Effects

Some of the precomputed effects in the Sampler Channel Settings tab are deprecated in FL Studio and were hidden or replaced by better alternatives. However, for compatibility reasons, FL Studio still supports those legacy effects. To see them, turn on Show Legacy Precomputed Effects in your General Settings window.

Non-standard time Signature

In earlier releases, the project's time signature was defined as a number of steps per bar and number of steps per beat. This allowed for wrong time signatures, for example, ending a bar with half the steps from a new beat.

The current release defines time signature as a number of steps per beat and number of beats per bar. For compatibility with older projects that use non-standard time signatures, the beat steps are set to 1 to preserve the song structure.

Linear/Logarithmic Volume

Earlier releases had an option to turn off the logarithmic volume mapping and use linear mapping instead. The current release has logarithmic levels as a hard coded characteristic of the mixing engine.

Older projects that use linear volume mapping switch to logarithmic levels when opened in the new version of FL Studio.

Compatibility with FruityLoops 3.1 and Earlier

Rebuilt TS404 Generator

  • The enhanced TS404 generator in FruityLoops 3.5 and later supports Piano roll sequencing (no compatibility issues)
  • Additional note properties supported include: velocity, pan and shift (no compatibility issues)
  • The off notes in the Step Sequencer are not used anymore by the TS404 generator. This won't affect most older projects, but if the TS404 melody sounds different when opened in FL Studio 3.5, you can replace the inactive notes with active ones with lower velocity (volume).
  • Slides work differently in TS404. Now the slides work the same way like in a Sampler channel. Previously, slide on a note in TS404 meant "slide the current note to the next one". Now it means "slide from the previous note to the current one". You can fix compatibility with older projects to a degree if you place all slides one step later in the sequence (without moving the actual notes). Also, you can now set the slide length with the portamento length property in the Misc Channel Settings.
  • The TS404 doesn't have its own gate anymore. It uses the generic gate in the Function Channel Settings page. FL Studio uses the generic gate when loading older projects.
  • The global TS404 delay was removed. You can easily fix older projects by using Fruity Delay 2 effect in a send FX track and use it to delay the insert track the TS404 channel is linked to.

Gate Knob Behavior Changed

  • The values of the generic gate knob for all channels was remapped for better usability (now it's easier to fine tune short lengths for the gate). FL Studio will remap the gate values in older projects to the proper value.
  • Automation in older projects is also translated to sound properly with the changed gate knob behavior.
  • Possible differences might occur for older projects that use internal controller to automate the gate setting for a channel.

Channel Name Colors Removed

FL Studio no longer supports custom channel name color. Channel name colors in older projects are ignored. However, you can change the color of a channel button from the Channel Settings window.

NOTE: FL Studio will load and play older projects without problems no matter if they include or not incompatible features.

Running FL Studio with an Older FruityLoops Release

You can upgrade to the latest FL Studio and still work with an older release to finish old projects, to avoid any compatibility issues. The registration information of FL Studio will not overwrite registration information of older releases.

To do that, before upgrading to FL Studio, ensure you have your earlier release installed properly with all plugins you need to have (don't install the plugins released with FL Studio on earlier FruityLoops release, because they might not be compatible). Then install FL Studio and its plugins in another folder. Your earlier FruityLoops release will retain its own registration and settings independently of FL Studio.


Reset FL Studio

TROUBLESHOOTING

Reset Settings

You can reset the FL Studio settings to their default state from the Windows Start menu, as shown below. This action can be useful if you are experiencing problems with the set-up of FL Studio. This can include - audio drivers not behaving correctly, graphical glitches, installed components not showing or other problematic behavior of the program that seems hard to resolve. Reset settings acts by restoring all the registry values to their default state.

Things to check after you reset settings

Once you run this function FL Studio will return to the default installation configuration. This means that you will lose any custom -

  • MIDI Settings
  • Audio Settings
  • General Setting
  • File Settings

You will need to manually set these to your preferred configuration. In particular, don't forget the Audio Settings.


Lifetime Free Updates

TROUBLESHOOTING

Lifetime Free Updates!

If you purchased FL Studio as a download from the Internet then we call you a 'Download customer' or if you purchased FL Studio in a store and it came on a CD in a box then we call you a 'Boxed customer '.

  • Download customers - You are entitled to all new updates released, FL Studio N + 1, 2, 3... etc, free. Where N is the version number of the FL Studio edition you purchased. If you are entitled to a free update, click here to see the section on updating.
  • Boxed customers - You are entitled to one free update of the FL Studio edition you purchased. That is from FL Studio N to FL Studio N + 1, i.e FL Studio 9 to FL Studio 10. You will receive all the minor version updates for the version you upgrade to for free also. That is FL Studio N.1 to N.9, where N is the major version number (please note we usually don't get above N.5 before the next release). You can upgrade to lifetime, free (downloaded) updates for USD $39(*) [image]. This will convert your registration to 'Download customer' status (see above). To make use of your 1 free update, click here to see the section on updating.

Free for life?

So, does this mean you will get everything we develop for free from now on? No, most new stuff that is built into FL Studio is included free to improve the application and make it more competitive with other software on the market. When we develop something new, such as a synthesizer or other module, we may build it into FL Studio and include it free in the next update, or offer it as an optional purchase. But don't worry, there is always lots of bug fixes, new features, synths, effects, etc., provided free with each FL Studio major version release.

How does Image-Line stay in business? That's kind of you to ask. We have two overriding philosophies that help us. First, we believe you shouldn't have to pay for bug fixes. All those companies charging for new versions are in effect 'burning customers' as fuel in the engine of corporate greed. Over time, the cost of yearly updates, for what amounts to mainly bug-fixes, wears thin and customers move on to other products. Our lifetime free updates policy does attract a lot of new customers, FL Studio is possibly the world's most popular DAW [image]. However, we keep nearly all of our customers, and so today there are well over 200,000 registered (active) FL Studio users (and counting).

Our second philosophy is that you should only pay for features you use. In this way, we include a number of optional (demo) synthesizers, effects and sounds. Since our loyal customer base is so large (thanks to all of you), the combined new and additional sales pay for the free updates to the existing customer base. This model has been working for us for over 10 years and we are continuing to grow. So, please purchase FL Studio and add-ons, support the entire FL Studio community...lifetime free updates are powered by you.

(*) This amount was correct at the time of publication but is subject to change. Please check at the Image-Line Shop.


ACM Waveform

A.C.M stands for Audio Compression Manager. Microsoft ACM is part of the Windows OS. It enables third-party applications to read and compress wave files in many compression formats, such as TrueSpeech and GSM 6.10. For a specific compression to be accessible in audio application, its codec (COmpressor DECompressor) needs to be installed and enabled. To see what codecs do you have installed, go to Control Panel > Multimedia > Advanced > Audio Compression.


Cutoff and Resonance Explained

GLOSSARY

Cutoff and Resonance Filter

Cutoff is used to block certain frequencies from a sound. In a standard LP (Low Pass) cut/reso filter, cutoff determines the range of high frequencies to be cut. However, in modern software and hardware synthesizers (and in FL Studio itself) you will notice that cut/reso filter comes in many "flavors", such as HP (High Pass), which cuts the low frequencies of the sound instead.

Resonance effect originates from an artifact in the original cutoff filter used in old hardware synthesizers. It is narrow band of frequencies, near the cutoff level, where the sound is amplified. Today this artifact can be easily avoided, but it is still available though, because it can be used as a special effect. Changes in the cutoff level together with high resonance produces interesting phaser-like effect, which is one of the reasons for the popularity of the TB-303 synthesizer.


Envelopes Explained

GLOSSARY

Envelope

The envelope is a form of automation (automatic movement) built into synthesizers to control the value of a parameter (usually volume or filter cutoff frequency) over time. Envelopes are critical for giving synthesizers a more natural and interesting sound, as they can be used to simulate the volume envelopes of a real instrument. However, envelopes are also great for creating special effects. The most common type of envelope is called ADSR (Attack, Decay, Sustain, Release), referring to the different functions of each part of the envelope. You will see in FL Studio some envelopes are enhanced with additional elements, to suit some particular requirements for the specific instrument, however the principle remains the same.

ADSR Envelope elements:

  • Attack - Attack determines the time it takes for the note to get to the maximum level.
  • Decay - Decay determines the time it takes for the note to go from the maximum level to the sustain level (controlled by Sustain).
  • Sustain - Sustain determines level the sound is played at while the note is held (after the other envelope states, Attack and Decay, have been completed).
  • Release - Release determines the time it takes for the note to fall from the sustain level to zero (silence) level when it is released.


Gates Explained

GLOSSARY

Gate

The gate is an audio processor that cuts the sound if its volume falls below given threshold. Gate processors are used for variety of purposes, such as eliminating noise during speech pauses, or for special effects, as in the TS404 generator (see TS404 Channel Settings), where gate can be used for creating shorter, staccato sounds.


LFO Explained

GLOSSARY

LFO

L.F.O. stands for Low Frequency Oscillator. Such oscillators are used to modulate a property in a synthesizer or effect. It can be used to simulate natural instrument effects, such as vibrato (by applying LFO to pitch) and tremolo (LFO applied to volume), or can be used to change gradually a setting to create special effects, such as applying a LFO to the cutoff value, thus creating phaser-like effect (as this can be done using the LFO in TS404 Channel Settings).


ACKNOWLEDGEMENTS

Help File Acknowledgements

Help Version: 9

Editor: Scott Fisher.

Main contributors: Didier Dambrin, Frederic Vanmol, Stan Vassilev.

Thanks to: All the beta-testers on Loop-Talk [image] who provided feedback.

Nobody reads the manual!

Copyright © Image-Line Software BVBA

Image-Line Software BVBA

Kortrijksesteenweg 281

B-9830 Sint-Martens-Latem

Belgium

B&W Photography

Photographs: Getting Started [Digital reproduction#LC-DIG-fsa-8e11088], Introduction to FL Studio [Digital reproduction#LC-DIG-fsa-8e11083], Installing VST and DX Plugins[Digital reproduction#LC-DIG-fsa-8e11141], Trouble Shooting & FAQs [Digital reproduction#LC-DIG-fsac-1a34456] & Theodolite [Digital reproduction#LC-DIG-fsa-8e11087] courtesy US Library of Congress, Prints & Photographs Div, Washington, DC 20540: FSA-OWI Collection [image]. Photography: No known restrictions on publication.


FILE FORMATS

File Formats

This section contains a description of all file formats supported by FL Studio.

Open and import file formats

Save and export file formats

Sample file formats

Other file formats


File Formats

OTHER FILE FORMATS

MIDI File (*.mid)

FL Studio can import note and controller events from standard MIDI files. To import notes or controller data, select the Import MIDI File command in the Piano roll or Event Editor menus, respectively. You can also drag and drop MIDI files from the Browser onto the Piano roll/Event Editor views.


Sample File Formats

This section contains a description of the file formats that can be used to "feed" the sample bank in Sampler channels (see Sampler Channel Settings).

MS Waveform File (*.wav)

ReCycle Loops (*.rex / *.rx2 / *.rcy)

Speech presets (*.speech)

SimSynth Preset (*.syn)

DrumSynth Preset (*.ds)

FastTracker's Extended Instrument (*.xi)


Save/Export File Formats

This section contains a description of the file formats to which FL Studio can save/export a project. They are all accessible from the Save and Export commands in the File menu.

Audio and MIDI - Wave (*.wav), MPEG Layer 3 (*.mp3) and MIDI (*.mid)

Raw project files - FL Studio Loop File (*.flp)

Complete project files - Zipped Loop File (*.zip)


TS404 Instrument

INSTRUMENTS / GENERATORS

TS404

TS404 is unique bass-line synthesizer that can resemble the sound of many classic synthesizers, such as TB-303, but can also create many distinctive, TS404-specific sounds as well. Contains two oscillators, cut/res filter, envelope, LFO and a distortion unit. For more information, see TS404 Channel Settings.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

The arpeggios panel can create fast 'trance-like' patterns or slower note changes depending on selections.

Controls

This step can be excluded from the Riff Generator by deactivating the switch.

  • Reset - Reset to default settings for the panel.
  • Random - Randomly select values for the panel.
  • Show details - Show / hide the details of the panel.

Pattern

Select predefined arpeggiations (click on the folder icon to load).

Options

  • Pattern mode menu - Transposition.
    • Normal - uses original pattern.
    • Flip - inverts the pattern
    • Alternate - Alternate flipping.
  • Pattern Time mul - Pattern time multiplier knob, changes the note duration.
  • Range Number selector - Octave range.
  • Range mode menu - Arpeggiator direction.
    • Normal - Up.
    • Flip - Down
    • Alternate - Up/Down.
  • Sync - Arpeggiator synchronization mode.
    • Time - Never restart, the pattern keeps repeating.
    • Block - Restart on new block. Pattern restarts at the end of the pattern (Piano roll length).
    • Chord - Restart on new chord.
  • Gate - Trims the length of notes to create a 'gating' effect.

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Controls

Options

  • Multiply - Note length multiplier.
  • Variation - Random note length variation.
  • Seed - Changes randomization seed.
  • Use lengths - Use original note lengths.

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

This section transforms a series of single notes into chords.

Controls

This step can be excluded from the Riff Generator by deactivating the switch.

  • Reset - Reset to default settings for the panel.
  • Random - Randomly select values for the panel.
  • Show details - Show / hide the details of the panel.

Pattern

Select predefined chords (click on the folder icon to load).

Options

These controls augment/modify the selected progression. Note that some controls will only have an effect if the original progression includes some variation in that parameter (PAN for example).

  • Time mul - Time multiplier, change the length of the notes.
  • PAN - Note panning multiplier.
  • VOL (Volume) - Note velocity multiplier.
  • MODX - Modulation X multiplier.
  • MODY - Modulation Y multiplier.
  • PITCH - Note pitch multiplier.
  • Absolute Pattern - On: any note slicing is based on the Piano roll grid. Off: Each note is sliced relative to its own start time.
  • Group notes - Groups any chopped-up notes, use the grouping function on the Recording panel to activate note grouping.

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Use this page to control how high and low the riff will extend and the key signature it will use.

Controls

Key / Scale restriction

  • Key / Scale - First menu controls Key, the second menu Scale.
  • Snap - Determine how notes will be transposed.
    • Above - Snap to the octave above the base key.
    • Under - Snap to the octave below the base key.
    • Alternate - Alternate above and below the base key.

Keyboard range / offset

  • Wrap to bottom - If notes fall above the set range, wrap them back to the bottom octave of the range.
  • Keyboard - To set the note offset left-click on the keyboard. To define a note range left-click on the bar above the keyboard and drag on the ruler to define the key region. Once created, edit the region limits by dragging the end points.

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Groove template

Select predefined 'groove' templates (click on the Pattern folder icon to load).

Controls

Strength

  • Start time - Lets you mix the original start times of the notes (turn left) with the quantized start times (turn right).
  • Sensitivity - Lets you set the snap sensitivity: how close to the grid should be a note feature (start time, end time) to be quantized. Turn the knob to right to increase the sensitivity.
  • Duration - Lets you mix the original duration of the notes (turn left) with the quantized duration (turn right). In Quantize end time mode (see below), this knob mixes the end time position instead.
  • Quantize mode menu - Selects the quantize mode. The start time is quantized in all modes.
    • Leave duration - Do not vary note duration.
    • Leave end time - Do not vary note end position.
    • Quantize duration - Quantize (align with snap setting grid) note start and end positions.
    • Quantize end time - Quantize (align with snap setting grid) note end positions.
  • Levels -
    • PAN - Note panning multiplier.
    • VOL - Note velocity multiplier.
    • MODX - Modulation X multiplier.
    • MODY - Modulation Y multiplier.
    • PITCH - Note pitch multiplier.

Step 8. Fit (note range)

Use this page to control how high and low the riff will extend and what key signature it will use.

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

This section can be used to add variation to note properties levels:

Controls

Options

  • PAN - Note panning multiplier.
  • VEL - Note velocity multiplier.
  • REL - Note release velocity multiplier.
  • MODX - Modulation X multiplier.
  • MODY - Modulation Y multiplier.
  • PITCH - Note pitch multiplier.
  • Reset before processing - Reset values to default levels prior to randomizing (that adds an offset to starting values).
  • Bipolar - Levels will be randomized both higher and lower than the original note values (as opposed to shifting them only higher or only lower depending on the starting values).
  • Seed - Changes randomization seed.

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

This section flips and mirrors notes.

Controls

Options

  • Flip horizontally - Reverses note pattern
  • Preserve start times - Keeps the note start times in their relative location.
  • Flip vertically - Inverts the note pattern.

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Riff Machine

PIANO ROLL

Riff Machine This feature is available only in Fruity Edition and Producer Edition.

Progression Chord Arpeggiation Mirror notes Levels Articulation Groove Fit / Note range

Riff Machine The Riff Machine generates melodies in the Piano roll (depending on the settings made in the tabs).

Building a riff consists maximally of the following steps:

1. Progression - A series of long notes are selected according to the general mood you desire.

2. Chords - The note series is transformed into chords ready for the Arpeggiator step.

3. Arpeggiation - The chord is chopped up and arpeggiated to creat a basic 'riff'.

4. Mirror - Vertical and horizontal transformations of the arpeggio are made to add interest.

5. Levels - Note parameter levels are randomized (to a user specified degree) to add variation.

6. Articulation - Note lengths/transitions are varied to change playing 'style'.

7. Groove - Note quantization is varied to add rhythmic feeling.

8. Fit - Note range and key is specified.

NOTES:

      Notes created by the Riff Machine have the length of the current Piano roll snap. The Length and Variation controls won't work if SNAP is set to '(none)'.

      Any or all tabs can be selected or deselected to play a part in the final 'riff'. Some settings on some tabs will defeat those on others (setting a compatible combination is up to the user).

Step 1. Note Progression

A progression of long notes over at least 8 bars will ensure subsequent steps have maximum effect. To specify your own progression, enter the notes into the Piano roll prior to opening the Riff Machine and select Work on existing score at the bottom of the window.

Controls

This step can be excluded from the Riff Generator by deactivating the switch.

  • Reset - Reset to default settings for the panel.
  • Random - Randomly select values for the panel.
  • Show details - Show / hide the details of the panel.

Pattern

Select predefined note progression patterns (click on the Pattern folder icon to load).

Options

These controls augment/modify the selected progression. Note that some controls will only have an effect if the original progression includes some variation in that parameter (PAN for example).

  • Time mul - Time multiplier, change the length of the notes.
  • PAN - Note panning multiplier.
  • VOL (Volume) - Note velocity multiplier.
  • MODX - Modulation X multiplier.
  • MODY - Modulation Y multiplier.
  • PITCH - Note pitch multiplier.
  • Absolute Pattern - On: any note slicing is based on the Piano roll grid. Off: Each note is sliced relative to its own start time.
  • Group notes - Groups any chopped-up notes, use the grouping function on the Recording panel to activate note grouping.

Step 2. Chord Progression

Step 3. Arpeggiation

Step 4. Mirroring Notes

Step 5. Levels & Panning

Step 6. Articulation (note length)

Step 7. Groove (note timing)

Step 8. Fit (note range)

Process controls

  • Preview up to current step - Play the riff generated by the settings up to, and including, the current tab.
  • Work on existing score - Apply the settings to the score in the Piano roll before the Riff generator was launched.
  • Length - Number of bars the riff should cover.
  • Start over - Number of bars the riff should cover.
  • Throw dice - Generate a new riff with new random seed settings.
  • Accept - Accept the current riff.


Options Song Settings

PROJECT SETTINGS

Project Settings

Project Settings window contains settings that are local for each project. All of these settings are not saved in FL Studio itself, but in the FL Studio project file (.flp), where they are set.

Project General Settings

Project Info

NOTE: If the project settings icons are not visible in the side bar on left of the screen, click the Project button to expand the section.


Plugins

  • SAMPLES AND LOOPS
  • TOOLS AND APPLICATIONS

This tab provides information on the plugin instruments and tools that Image-Line distribute. Click the title to explore the options. Click the tabs above to switch between the different product categories.

To price or buy a plugin, click its image or the links below, to go to the online store.

SYNTHESIZERS (click here to open / close)

SYTRUS

Have it all! Sytrus is Image-Line's most versatile synthesizer - combining Frequency Modulation (FM), Ring Modulation (RM), plucked string modelling and subtracting synthesis, and featuring a powerful envelope editor. Sytrus includes a powerful editable unison mode and a comprehensive effects section. Buy_Sytrus_now.

OGUN

Ogun can produce exceptionally rich metallic and shimmering timbres, although it's not limited to this genre. Ogun’s distinctive synthesis engine can generate more than 32,000 harmonics, modulated by high-level ‘harmonic mapping’ functions, that hand tonal control directly to the user. Try the VSTi demo and experience Ogun in your favorite host. Click_here_to_buy_Ogun_now.

MORPHINE

Morphine is a powerful Additive Synthesizer with an architecture that allows voices to be mixed and morphed under user control. Sound is generated in Morphine by interpolating a series of spectral 'snapshots'. These Spectra can be created from any input sample or manually drawn. Click_here_to_buy_Morphine_now.

TOXIC BIOHAZARD

Toxic Biohazard is a FL, VSTi & AU format synthesizer for PC, designed to give you professional quality results, while maintaining an amateur learning curve that won’t hinder your creativity. Toxic III features a hybrid synthesis engine, combining the best of FM and Subtractive synthesis. Buy_Toxic_Bio_now.

SAWER

Sawer is a vintage modelling synthesizer, that cuts through the mix to deliver precisely articulated and punchy sounds. Sawer was developed with meticulous attention to the filter and envelope designs, this ensures that Sawer delivers a unique sonic character reminiscent of analog hardware. Buy_Sawer_now.

POIZONE

PoiZone is a subtractive software synthesizer designed to provide professional quality results, without a learning curve that hinders your creativity. PoiZone's concept is to provide the most flexible sound design from the smallest number of controls. Non-essential controls were ruthlessly removed, so that what remains is a user interface where every knob counts. Once you have spent some time auditioning the preset patches, we are sure you will agree that PoiZone packs a lot of punch in what appears to be a simple package. Enjoy! Buy_PoiZone_now.

DRUMSYNTH LIVE

DrumSynth Live gives you the power of live drums in your FL Studio productions. Tweak your drums until they are just perfect! Buy_Drumsynth_Live_now.

WASP

WASP & WASP XT (both plugins included) are FL Studio-native plugins featuring complex subtractive synthesis from a two oscillator engine. You get both an FL Studio-native and a VSTi version. Buy_Wasp_now.

DX10

Simple FM, flat-out. DX10 FM synth is an FL Studio add-on that recreates the classic FM sound using an harmonically rich modulating oscillator. An intuitive interface, the perfect introduction to FM synthesis! Buy_DX10_now.

SIMSYNTH LIVE

SimSynth Live is the FL Studio generator version of SimSynth, a flexible and user-friendly plugin, great for those learning synthesis techniques. Buy_Simsynth_Live_now.

SAMPLE MANIPULATION / SAMPLERS / SLICERS (click here to open / close)

DIRECTWAVE

DirectWave FULL adds full program editing capabilities to the DirectWave (player only) version that ships with FL Studio. DirectWave is the most powerful and versatile sampler from Image-Line, featuring a fully programmable synthesis section, inbuilt FX, velocity layering, looping, automatic sampling of VSTi plugins and the ability to sample when loaded into a mixer track on an effect slot. Buy_DirectWave_now.

SLICEX

Slicex is only available in FL Studio producer & the Signature Bundle. Slicex is a powerhouse sample, beat and loop slicer. Using advanced beat detection algorithms to slice song/percussion samples into pieces, Slicex makes them independently playable from the Piano roll or controller. By upgrading to FL Studio Producer or the Signature Bundle you will gain access to Slicex. Upgrade_to_Slicex_now.

SOUNDFONT PLAYER

Fruity Soundfont Player is an FL Studio add-on that gives you the power to load, play and render SoundFonts (.sf2 files). Buy_Soundfont_Player_now.

EFFECTS (click here to open / close)

MAXIMUS MULTIBAND MAXIMIZER

Maximus is much more than a pristine quality Mastering Maximizer, it's also a Compressor, Limiter, Noise Gate, Expander, Ducker and De-esser. Maximus excels equally well as a final-stage mastering plugin or as a per-track effect, Maximus indeed!. Buy_Maximus_now.

JUICE PACK

Juice Pack For your mixing and mastering pleasure, Image-Line brings you the best and most popular plugin effects from FL Studio as VST plugins, we call it the 'Juice Pack'. Inside this pack you will find a collection of plugins designed to give your tracks that 'professional' polish. Buy_Juice_Pack_now.

GROSS BEAT

Play with time! Gross Beat is a time manipulation effect designed for repetition and scratching effects. Gross Beat is perfect for real-time or rendered gating, glitch, repeat, scratching and stutter performances. Gross Beat stores audio in a 2-bar rolling buffer under the control of 36 user definable time and volume envelopes, giving you unlimited creative control. Buy_Gross_Beat_now.

HARDCORE

Playing guitar is cool, but the steep learning curve to make your DAW sound like your old amp and stomp-boxes definitely isn't. Welcome to Hardcore , a collection of 10 classic effects designed with Guitarists in mind. Buy_Hardcore_now.

WAVE CANDY

Wave Candy is a flexible audio analysis and visualization tool which includes an Oscilloscope, Spectrum Analyser, Peak Meter and Vectorscope. The display type, colors, frequency range and dynamic range are all fully customizable. Buy_Wave_Candy_now.

EDISON WAVE EDITOR (click here to open / close)

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any VST compatible DAW) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. Buy_Edison_VST_now.

VIDEO (click here to open / close)

Video Player streams videos in sync with the FL Studio playlist, allowing you to create music in precise time with your video track. Buy_Video_Player_now.

DJ TOOLS (click here to open / close)

DeckaDance (Club or House edition) is a professional DJ mixing tool that can run either as a standalone program OR as a VSTi plugin (e.g. inside FL Studio, Live, Cubase, Sonar etc), incorporating the features/FX of your favourite host. DeckaDance comes with an 8-slot integrated sampler, a ReLooper to create your own patterns and can also host VSTi/VST plugins. To spice things up even further, we have added 'Taiko' a VSTi sampler (based on DirectWave) and included some of our best multi-sampled drumkits and instruments (over 2000 MIDI loops). You will be composing, mixing or triggering loops in no time! Visit the DeckaDance website OR Buy_DeckaDance_now.

This page was created with [image] EZGenerator Copyright© 2003-2009, Image-Line Software


Samples & Loops

  • SAMPLES AND LOOPS
  • TOOLS AND APPLICATIONS
SAMPLES & LOOPS

As a registered user, you will have access to Gigabytes of samples and sounds as shown below. To price or buy a sample CD click the button at the bottom of the page and you will be taken to the online store.

LOOPS

Harvey&Muscle

Deep_House Producer

Their collection is packed with all the essential Deep House ingredients.

Marshall_Jefferson

House_Generation

The 'Godfather' of house music. A truly unique collection of rare and previously unreleased loops.

Aquasky_-_Electro

House & Breaks

This awesome release from Aquasky and Loopmasters, its full to the brim with useful & inspiring Electro House sounds.

Airwave - Triloops Dance Breaks

An exclusively produced and superb collection of breaks & beats designed firmly for producers of electronic music.

Elektro House Producer

Make fresh and exciting Electro House music, with Elektro House Producer.

Davide_Carbone's

Drum_and_Bass

Masterclass

Drum and Bass Masterclass is an unparalleled collection of pure drum and bass samples.

All loops are royalty-free, which means you can use the samples in your own compositions and songs without paying any further royalties. You are not allowed, however, to resell or redistribute any or all of the samples as a sample pack or sample CD.

SAMPLES, SOUNDS & EFFECTS

Varazdin Orchestral

contains 4800 HQ

samples of

+30 instruments

Sounds of India

contains +835

samples of

36 Indian instruments

Bass Balls

contains +1400 samples of 36 Bass Guitars

Our best selling generic sample CD contains +4400 HQ samples.

Laurie Webb contains 590 HQ vocal samples | World Samples contains +1600 samples of Arabic & Indian instruments | SuperDrums 8000 contains +8000 HQ drum samples | Orchestral contains +1700 Orchestral samples
SFX contains over 1.4 Gigabytes of sounds | Sliced beats contains +270 pre-sliced loops (in ZGR & REX format) | Our Real Drumkit sample CD contains +1500 HQ percussion samples | Killer Tweaks II contains +1200 HQ electronic samples
AMPED contains +1800 guitar samples | DreamPads contains +320 of the most incredible pads | TouchPads contains+370 pads | Bass Case contains +2000 HQ bass samples
Poly-Mono contains +1000 Lo-Fi samples | Contagious Audio contains +670 wavs & noises | Vocal Sample CD contains +1800 HQ samples | The Lo-Fi Box contains +3100 Lo-Fi samples & noises

All samples are royalty-free, which means you can use the samples in your own compositions and songs without paying any further royalties. You are not allowed, however, to resell or redistribute any or all of the samples as a sample pack or sample CD.

This page was created with [image] EZGenerator Copyright© 2003-2009, Image-Line Software


Tools and Applications

  • SAMPLES AND LOOPS
  • TOOLS AND APPLICATIONS
TOOLS AND APPLICATIONS

Image-Line distribute a range of music and internet related applications. If you do not own a product, you can price or buy it by clicking the purchase link in the product description to connect to our website (you'll need to be on-line to see the purchase page).

EDISON WAVE EDITOR/RECORDER (click here to open / close)

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any VST compatible DAW) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. Buy_Edison_VST_now.

EZGENERATOR (click here to open / close )

A super easy (yes, really) and powerful website building tool. We have built all our own websites with this tool! EZGenerator gives you free access to +3000 customizable web template variations and to our Stock Images Library. Visit the EZGenerator site OR buy_EZGenerator_now. FYI: This tabbed-page you are viewing now was made in EZGenerator by a member of staff after ONLY 1 day of experience with the program.

DECKADANCE (click here to open / close )

DeckaDance (Club or House edition) is a professional DJ mixing tool that can run either as a standalone program OR as a VSTi plugin (e.g. inside FL Studio, Live, Cubase, Sonar etc), incorporating the features/FX of your favourite host. DeckaDance comes with an 8-slot integrated sampler, a ReLooper to create your own patterns and can also host VSTi/VST plugins. To spice things up even further, we have added 'Taiko' a VSTi sampler (based on DirectWave) and included some of our best multi-sampled drum kits and instruments (over 2000 MIDI loops). You will be composing, mixing or triggering loops in no time! Visit the DeckaDance website OR Buy_DeckaDance_now.

This page was created with [image] EZGenerator Copyright© 2003-2009, Image-Line Software


Edison - Transport controls

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

In the top-left section of the Edison window are several controls for the recording setup.

  • Loop - Turns on loop playback.
  • Play - Press to play/stop the sample playback. The space bar will also start/stop playback when Edison is the active window (focused).
  • Record - Selects audio recording mode (turns red when armed).

    NOTE: Edison records audio from the effect slot position that it is loaded into. This arrangement provides excellent flexibility for recording wet and/or dry signals. For example, place an instance of Edison before and after any effects in the mixer chain and obtain both dry and wet recordings of the audio entering the mixer track. Don't forget to disable the mixer track effects following Edison if you need to listen to the recordings without the effects that are (still) being added by the mixer track.

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Recording options

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any Mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into Mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

These options take effect when Record (1) is selected from the Edison transport controls. Load Edison into one (or more) effects slot/s in any number of Mixer tracks and each instance will then record from that position. Alternatively it is possible to record directly into the Playlist.

  • Now - Audio recording begins when the option is selected. To stop recording, de-select record mode (1).
  • On input - Recording begins when an audio signal is received. To set the trigger level, left-click on the Peak Meter (6) and move the mouse up/down. NOTE: Edison uses a pre-record buffer so that transients will not be lost when a signal is received. In other words, you do not need to make a 'triggering' sound to guarantee early transients that may be below the trigger threshold.
  • Input - Recording automatically pauses during silence and resumes on audio input. To set the trigger level, left-click on the Peak Meter (6) and move the mouse up/down.
  • On play - Recording starts when playback is started from the main transport controls. 'On play' mode will also place accurate song start markers when Play starts/stops or the Playlist loops back to the start of the song. This is useful for recording multiple takes so that you can easily select the region/s you wish to export to wave files and include in your song.
  • In new project - Each new recording will replace, rather than append to, existing audio in the Edison project. NOTE: Undo can be used to recover overwritten data.
  • Max - Sets the maximum recording time (in minutes). When the time is exceeded, Edison will wrap and overwrite the previously recorded sample. NOTE: The Max feature is useful for continuous background recording (in conjunction with the RAM-sparing Input mode) so that you don't miss stellar performances while jamming. However, be aware that recordings longer than 5 minutes use progressively more CPU during the wrap phase, slowing the user interface considerably.

Note on Bit-depth: Edison records audio using 32-bit float quantization and preserves the full quality of soundcard quantizations above 16-bit. FL Studio receives audio from the soundcard as a pre-digitized stream. Bit-depths set in Edison have no effect on the original bit-depth of the recording (set in the soundcard options) and affect only the stored and saved bit-depth of the sample.

Note on Memory: Edison operates exclusively in RAM (memory) and so is designed for working on samples or small songs, not recording hours of audio. With RAM in mind, edit functions can require 4X the original sample space, so we recommend limiting samples to approximately 1/4 of free memory. If you don't heed this warning your PC may explode, injuring bystanders, don't say we didn't warn you. Editing operations that require sample processing convert the source sample/s into 32-Bit float and at the samplerate of the highest wave in any group processed. This means that processed wave files are unlikely to be in the same format as the source samples, although you can set the sample format after you have edited the sample (as described below).

Exporting recorded audio to the Playlist

Three alternatives for exporting audio from Edison to FL Studio are:

  1. Tools > Sequencing
    • Send to Playlist as audio clip ( [image] Shift+C) - Dumps the selection to the Playlist as an Audio clip.
    • Send to selected Channel - Dumps the selection to the selected Channel.
  2. Drag / copy sample / move selection - Left-click on the button and drag to the desired location. The selected region in the Sample Edit Window (or whole sample if no selection is made) will be copied and moved to any compatible location in FL Studio, e.g. Sampler channels, Fruity Slicer, DirectWave, the Playlist, etc. Right-click to copy the selection to the clipboard.

  3. Save and load - Save the audio/selection to a file and re-import it through the Browser.

NOTES: Prior to exporting your audio to the Playlist use the Edit properties ( [image] F2) dialog so that Audio clips behave as expected:

    • Clip auto-naming - Edison will use a default naming system, unless the audio clip is named in the sample properties dialog.
    • Tempo sync - To set the Audio clip so that it will be automatically stretched if the project tempo is changed (useful to keep rhythmic samples in time), click the 'default' button in the tempo settings panel. If the file is not set as 'tempo-sync' or has no tempo (0), it will not be stretched.
    • 16 or 32-Bit? - If your soundcard was set to record at 16-Bit then it is reasonable to convert the file to 16-Bit prior to saving to disk, otherwise leave the file at 32-Bit float.

Loop Recording

While it is possible to Loop Record in the Playlist, the best method is to use Edison as follows -

  1. Load Edison in a Mixer track that will receive the audio - Select a Mixer track and press ( [image] Shift+E). This loads Edison in the first empty FX slot ready to record with 'Slave playback to host' and Record 'On play' enabled.
  2. Select your input - Select your live audio input from the Mixer INPUT menu.
  3. Make a Playlist selection - If you only want to record a section of the song, highlight the section of time in the Playlist, hold ( [image] Ctrl) and then click and drag along the bar-count at the top of the Playlist. If you don't make a selection then the whole song will loop-record.
  4. Start recording - Press Play in FL Studio and record as many takes as you need into Edison. Each time Edison loops section Markers ('Song jump') will be placed in the recording (these are useful for later).
  5. Stop recording - Press stop on the main FL Studio transport panel and click on the record button in Edison to disable it.
  6. Start playback - Press Play in FL Studio and the first take in Edison will play in sync with the Playlist (slave mode is on), looping when the Playlist does.
  7. Audition takes - With Edison focused use the left and right arrow keys on your keyboard to select a different takes in Edison. Each left/right click will jump to the next/previous section.
  8. Send the perfect take to the Playlist - Press ( [image] Shift+C) to send the current selection in Edison to Playlist. You can also use Drag/drop to the Playlist using the [image] drag-sample button. NOTE: Edison will automatically set the sample properties to the current project tempo so that the recording will stretch as the project tempo is changed.

Memory Considerations

Edison operates exclusively in RAM (memory) and is designed for working with samples or small songs, not for recording hours of audio. 44.1 kHz, 32-bit samples consume RAM at the rate of approximately 20 Meg per minute (1.2 Gig per hour) and edit operations can easily consume 4x the original sample size while processing the sample.

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Menu buttons

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

File

  • Open/Save options
    • New - Opens a new (empty) editor window.
    • Load sample ( [image] Ctrl+O) - Opens a file browser dialog in 'load' mode.
    • Save sample as ( [image] Ctrl+S) - Opens a file browser dialog in 'save' mode. The pop-up dialog has two options under the 'Save as type' field.
      • Microsoft wave file (*.wav) - Standard .wav file of the bit-depth and sample rate set in the Sample Properties dialog.
      • Microsoft compressed wave file (*.wav) - Opens a dialog to save the sample in compressed format. Once you press 'Save' a new dialog will open allowing you to choose from Ogg Vorbis, PCM and Windows Media Audio compressed formats.
    • Export regions -
      • For common use - Exports any regions as clean wave files. The names of the markers at the start of each region are used as file names.
      • For sampler use - Exports any regions as wave files including 'middle note' data. Where set, the names of the markers at the start of each region are used as file names.
    • Export display as - Exports the wave display as a .png or .jpg image.
  • Settings - Opens a transport and MIDI settings dialog.
    • Piano keyboard preview - While Edison is focused notes will be trapped and not passed onto the currently selected channel.
      • Link key to - Note preview (plays the whole sample), Slice preview (plays slices), Auto (plays slices or the whole sample depending on the note range and the presence of slices).
    • Slave playback to host - Determines how Edison responds to host Playlist selections.
      • Ignore host selection - Edison will play back the equivalent region (based on time), as selected in the host. For example, if you record your whole song into Edison you can select a part of the song in FL Studio and Edison will play the same selected part.
      • Ignore own selection - The region selected in Edison controls the region (based on time) of the Playlist played.
  • Recent projects - Lists the 10 most recently opened projects.

Format

  • Edit properties ( [image] F2) - Opens the Sample Properties dialog where you can set the file properties.
  • Resolution
    • 16-Bit int - Sets the file to 16-Bit integer format. This is CD audio standard.
    • 32-Bit float - Sets the file to 32-Bit floating point format. This is the native format for FL Studio audio processing.
  • Channels
    • Mono - Sets the file to Mono.
    • Stereo - Sets the file to Stereo. Mono files will be saved with L and R channels containing the same data.

Edit

Many of the actions in this menu work on a selected region. To select a region, left-click in the sample window and drag horizontally. To move the start point, left-click near the start of the region and drag to a new point. To move the end point, left-click near the end of the region and drag to a new point. At any time you can zoom the window using the mouse-wheel.

  • Undo (item) ( [image] Ctrl+Z) - The first item in this menu indicates the last action performed.
  • Undo history - Displays the last 10 actions.
  • Undo using mix (envelope) - Uses the All-Purpose envelope to guide the undo process. A number of options will be shown based on the actions recently made.
  • Undo using mix (spectral) - Uses the All-Purpose envelope to apply the EQ curve set in the EQ tool. Apply an EQ, tweak the all-purpose envelope, use the 'Undo mix envelope' option.
  • Disable undo for large samples - Turns off the undo feature. This is useful for saving memory and CPU when working on very large samples.
  • Cut ( [image] Ctrl+X) - Cuts the selected region.
  • Copy ( [image] Ctrl+C) - Copies the selected region.
  • Paste insert ( [image] Ctrl+V) - Inserts the copied sample at the start of the selected region.
  • Paste replace ( [image] Alt+V) - Replaces the selected region with the copied sample. The duration of the copied sample determines how much of the region will be replaced.
  • Paste mix ( [image] Shift+V) - Mixes the copied sample with the selected region. The duration of the copied sample determines how much of the region will be mixed.
  • Paste mix (envelope) ( [image] Shift+Ctrl+V) - Uses the All-Purpose envelope to decide how the sample in the clipboard buffer is mixed with the sample in the editor. The envelope controls the mix level (0 to 100%). The duration of the copied sample determines how much of the region will be mixed.
  • Paste mix (spectral) - ( [image] Ctrl+Alt+V) - Paste-mixes the sample from the clipboard into the edit window according to the EQ curve set in the EQ tool. Apply an EQ, use the 'Paste mix (spectral) option.
  • Paste stretch ( [image] Shift+Ctrl+T) - Pastes the copied sample via the Time Stretch / Pitch Shift Tool.
  • Paste replace (drum) ( [image] Shift+T) - Opens the Paste replace drum tool. This tool reconstructs the decay portions of drum beats that may have been cropped during the slicing process and replaces the selection to the original location.
  • Clear ( [image] Shift+Del) - Clears the selected region, leaving the rest of the sample unchanged. Consider this a mute function.
  • Delete ( [image] Del) - Deletes the selected region. This function will change the overall length of the sample.
  • Trim ( [image] Ctrl+Del) - Deletes the region outside the selection.
  • Delete part after loop ( [image] Alt+Del) - Deletes sample data after the loop end point.
  • Insert silence ( [image] Ins) - Inserts silence from the region start point of a length equal to the selected region.
  • Click-free (smooth) editing ( [image] C) - Switch, prevents audio clicks/pops in samples caused by edit functions. This option avoids the clicks caused by discontinuities in the sample amplitude at cut/splice points by fading, or crossfading, edit points by a few samples.

Tools

  • Envelope
    • Cancel all envelopes ( [image] Alt+E) - Cancels all envelopes.
    • Add points at selection ( [image] P) - Automatically adds points at the start, middle and end of a selected region for the currently selected envelope type (10).
    • Add points at regions - Adds control points at the boundary of the selected region and/or where region markers are located.
    • Flip vertically - Inverts the envelope points.
  • Amp
    • Mixdown amp envelopes ( [image] Ctrl+E) - Applies custom envelope/s to the sound.
    • Amp ( [image] Alt+A) - Opens the Amplitude Tool that allows you to modify L/R channel volume, Panning and Stereo Separation.
    • Reverse polarity - Inverts the phase of the waveform.
    • Normalize ( [image] Ctrl+N) - increases the amplitude of the waveform so that the loudest sample is at 100% maximum possible level. The process works by determining the multiplication factor that will make the loudest sample reach 100%, then multiplies all samples by this value, rescaling them.
    • Lossy normalize - Similar to the standard Normalize, the amplitude of the waveform is increased so that the loudest sample is at 100% maximum possible level. There is an additional manipulation of the waveform phase that can sometimes eek out a few more dB gain. The process is considered 'lossy' as it changes the waveform phase, although it should sound identical to the standard Normalization.
    • Fade in ( [image] Ctrl+F) - Ramps up the volume from 0% to 100% using a logarithmic curve. If a region is selected the fade function will apply to that, if not, the entire sample will fade in.
    • Fade out ( [image] Alt+F) - Ramps down the volume from 100% to 0% using a logarithmic curve. If a region is selected the fade function will apply to that, if not, the entire sample will fade out.
    • Declick in - Smooths clicks at the beginning of a selection.
    • Declick out - Smooths clicks at the end of a selection.
  • Waveform
    • Center - Removes DC offset. The average amplitude of the waveform is shifted to be at the zero crossing.
  • Time
    • Reverse ( [image] Alt+Left) - Reverses the entire wave or selection.
    • Time stretch / pitch shift ( [image] Alt+T) - Opens the Time Stretch / Pitch Shift Tool to independently manipulate pitch, time and formants.
    • Drum(loop) stretch ( [image] Ctrl+T) - Opens the Drum (loop) stretch tool, which restores decay portions of drum beats that may have been cropped during the slicing process.
    • Claw machine ( [image] Alt+W) - Opens the Claw machine tool, that works on a tempo-sliced sample, removing beats, adding beats and/or shifting beats to create interesting new rhythms. NOTE: The sample must have a tempo set (or beatmarkers set) for the option to be available.
    • Scratch (envelope) - Uses the All-Purpose Envelope to apply 'scratching' effects to the sample, i.e. automate the playback direction and speed.
  • Channels
    • Swap channels - Swaps the left and right channels.
    • Convert left channel to mono - Converts the sample to a mono file based on the left channel.
    • Convert right channel to mono - Converts the sample to a mono file based on the right channel.
    • Convert mono signal to mono format - Converts the file to a mono format if both left and right channels are equal.
  • Synthesis
    • Generate noise - Generates white noise in the selected region or whole sample if a region is not selected.
  • Scripting
    • Run script - Opens a menu containing the list of available scripts. You can write your own scripts using Visual Basic or Pascal, which will be compiled by the paxCompiler [image] and run when you select the script from the menu. The paxCompiler is a true Pascal compiler that allows you to write code to perform complex DSP on your samples. Save scripts - as .pas files in the FL Studio installation directory under ..\Plugins\Fruity\Effects\Edison\Data\Scripts. Files saved here will be visible the next time you use the 'run script' command. Dialogs - Note that while some of the demo scripts show a dialog, it isn't necessary to use them. Errors - If a script has an error, a dialog is shown explaining the error with options to 'edit' the script or 'run' it again. Writing scripts - Examine the contents of the existing scripts and read the Reference.txt file in the script directory to learn more about writing them and the functions available. You can learn more about Pascal HERE [image].
    • Run last script - Repeats the last script run.
  • Noise
    • Acquire noise threshold ( [image] Alt+N) - Uses the peak of the selection as the noise/gate threshold. To use: select a region of the sample containing only noise and click this button.
    • Gate noise - Forces the sections of the sample below the noise threshold (shown in green) to silence.
    • Trim side noise - Trims any parts of the sample that are below the threshold volume. Set gate threshold - Left click the peak meter (6) and move the mouse up/down to change the threshold. A green band will display (as shown in the Edison screen shot above) in the sample view window.
    • Trim all noise & slice up - Trims any parts of the sample that are below the threshold volume and slices the regions defined by the resulting gaps. Set gate threshold - Left click the peak meter (6) and move the mouse up/down to change the threshold. A green band will display (as shown in the Edison screen shot above) in the sample view window.
  • Spectral
    • Convolution reverb ( [image] Ctrl+R) - Opens the Convolution/Reverb Tool.
    • Blur ( [image] Ctrl+B) - Opens the Blur Tool.
    • Equalize ( [image] Ctrl+Q) - Opens the Equalize Tool.
    • Clean up (denoise) ( [image] Ctrl+U) - Opens the Noise Removal Tool.
  • Regions
    • Normalize all regions - Normalizes the amplitude on a per-region basis. Normalization increases the volume of the waveform so that the loudest sample is at 100% of the available amplitude.
    • Declick in all regions - Remove clicks from the start of regions (works by creating a very fast fade-in).
    • Declick out all regions - Remove clicks from the end of regions (works by creating a very fast fade-out).
    • Perfect all regions - Declicks the start and end of all regions (as described above).
    • Tune loop ( [image] Ctrl+L)- Opens the Tune Loop Tool dialog that allows you access to the main loop controls for a region.
  • Analysis
    • Convert to score and dump to piano roll - Slices the sample, pitch-detects each slice and creates a note-score to match, dumping it to the Piano roll.
  • Sequencing
    • Send to Playlist as audio clip ( [image] Shift+C) - Dumps the selection to the Playlist as an Audio clip.
    • Send to selected channel - Dumps the selection to the selected Channel.

      • NOTE: An alternative method for exporting audio is to use the [image] Drag / copy sample / move selection button on the Sample Edit Functions shortcut toolbar.

Regions

  • Regions
    • Add region ( [image] Alt+M) - Adds region start and end markers at the boundaries of the defined region.
    • Add marker ( [image] M) - Adds a single marker at the start of the selected region. This can be dragged to a new position by the square handle at the top of the marker.
    • Set loop ( [image] Alt+L) - Defines the selected region as a loop. Special red loop markers will appear.
    • Set first downbeat - Adds a Downbeat marker at the start of the selected region. The marker is used to align Audio Clips to the Playlist grid. The marker can be dragged to a new position by the square handle at the top of the marker. Quick method:
      • Manual Downbeat & Grid alignment - [image] Right-Ctrl + Right-Shift + Click on the location in the sample where the first downbeat marker is to be set, hold and drag horizontally to fine-tune the position if needed. Then, release the mouse button and click again with the [image] Right-Ctrl + Right-Shift keys still held (drag left/right) to adjust the grid spacing to align the grid to the beat.
    • Delete ( [image] Shift+Ctrl+Del) - Deletes the selected region, loop or marker.
    • Rename all ( [image] Ctrl+F2) - Steps though the regions in the editor allowing them to be named.
    • Quick rename all ( [image] Alt+F2)- Steps though the regions in the editor providing quick name options, allowing all regions to be named.
    • Assign trigger notes to all - Automatically steps through the regions/slices allowing you to assign trigger notes to each region. Trigger notes are the MIDI note numbers that will plat the specific region.
    • Assign to all - Choose to automatically assign regions to: Whole Keyboard, White Notes, Black Notes or None.
  • Detection
    • Auto slice
      • Dull auto-slicing - Fewer slices/regions.
      • Medium auto-slicing ( [image] Alt+S) - Average slices/regions.
      • Sharp auto-slicing - Many slices/regions.
      • Small grid-slicing - Slices the sample according to the small grid lines.
      • Medium grid-slicing - Slices the sample according to the medium grid lines.
      • Large grid-slicing - Slices the sample according to the large grid lines.
    • Detect beats - Detects beats and slices according to regions assigning downbeat and regular beat markers.
    • Detect pitch regions - Detects and slices according to regions of constant pitch.
    • Zero-cross check all regions - Moves the region markers to the nearest zero-crossing. Removes clicks at the start and end of the regions.
    • Freeze all (switch) - Prevents region editing.

View

  • Audio
    • Spectrum ( [image] S) - Selects spectrum view. This display mode shows time on the horizontal axis and frequency on the vertical axis. Brighter or more saturated colors (depending on the spectrum gradient options) represent louder frequencies.
    • Dual view - Shows both the spectrum and waveform views superimposed.
    • Display settings - Change the appearance of the spectrum display mode.
      • Fancy mode - Smoothed waveform view.
      • Waveform channels - Note that in stereo mode L and R channels are superimposed with slightly different colors (zoom to view more clearly).
        • Mono - Display a single (L/R averaged) waveform.
        • Multichannel - Display all channels (superimposed).
        • Left - Display Left channel.
        • Right - Display Right channel.
      • Spectrum max resolution - 32, 64, 128, 256, 512 1024, 2048, 4096 and 8192 bands. This is the number of vertical slices the frequency domain is divided into, higher numbers provide more detailed analysis. Resize Edison to obtain an overall larger view.
      • Natural scale - Sets the vertical scale to reflect the musical 'octave' relationship of frequencies (a logarithmic scale). This will stretch the lower frequencies to occupy a greater area and so is particularly useful when working with frequencies below 500 Hz.
      • Natural weighting - Sets the color intensity gradient to better represent the way we hear frequencies. Specifically, it changes the brightness weighting from white noise [image], a linear relationship between frequency and display brightness to pink noise [image]. Pink noise decreases the intensity by 3dB/Octave, making it more suitable for musical uses as the higher frequencies no longer dominate the spectral display brightness.
      • Draft quality - Less visibility of details in favor of quicker graphics responsiveness.
      • Medium quality - Balanced tradeoff between detail visibility and graphics responsiveness.
      • High quality - Maximum visibility of details at the expense of higher CPU load.
      • Spectrum gradient - 12 dB steps, Charcoal, Furnace, Deeper furnace, Glacier, Temperature, The Matrix. Choose the theme that reveals the most detail in the sound or that appeals to you.
  • Regions
    • Regions - Turns region markers on/off.
    • Loop - Turns loop markers on/off.
  • Time
    • Time in samples - Displays the time-base in samples. This information is displayed to the bottom left of the peak meter (13). Right-clicking the time display (13) opens a context menu showing -
      • Deselect ( [image] Up arrow) - Deselects the current selection.
      • Select before current selection - Selects the area before the current selection.
      • Select after current selection - Selects the area after the current selection.
      • Select zoomed part ( [image] Ctrl+A) - Selects the region defined by the visible sample.
      • Select previous region ( [image] Left arrow) - Selects the previous region.
      • Select next region ( [image] Right arrow) - Selects the next region.
  • Misc
    • Scroller above - Places the Zoom / Scroll bar (12) above the sample.
    • Background gradient - Applies a 3D background effect to the sample edit window (7)

Snap

  • Snap to grid ( [image] 1) - Envelope points and selections snap to the background grid.
  • Snap to regions ( [image] 2) - Envelope points and selections snap to the region markers.
  • Snap to samples ( [image] 3) - Envelope points and selections snap to samples.
  • Snap to zero-crossing ( [image] 4) - Envelope points and selections snap to zero crossings. This is the point where the waveform crosses the 0 amplitude line and is useful to avoid clicks.
  • Snap to pitch period ( [image] 5) - Envelope points and selections snap to the period of any pitch detected at the selection point.

Select

  • Deselect ( [image] Up arrow) - Deselects the current selection.
  • Select before current selection - Selects the area before the current selection.
  • Select after current selection - Selects the area after the current selection.
  • Select zoomed part ( [image] Ctrl+A) - Selects the region defined by the visible sample.
  • Select previous region ( [image] Left arrow) - Selects the previous region.
  • Select next region ( [image] Right arrow) - Selects the next region.

Zoom

  • Zoom in 2x ( [image] PgUp) - Zooms in 2 times.
  • Zoom out 2x ( [image] PgDn) - Zooms out 2 times.
  • Zoom out full ( [image] Home) - Displays the full sample.
  • Zoom on selection ( [image] End) - Zooms the selection to fill the Sample Edit Window.
  • Zoom on left of selection ( [image] Ctrl+Left) - Centers the Sample Edit Window on the right edge of the selection at maximum zoom.
  • Zoom on right of selection ( [image] Ctrl+Right) - Centers the Sample Edit Window on the left edge of the selection at maximum zoom.

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison Edit buttons

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

From left to right:

Undo/undo history - Left-click to undo the last action. Right-click to display the last 10 actions (left-click the point in the history you wish to return to).

Trim side noise/gate noise - Left-click to trim noise outside the selected region. Right-click to gate noise below threshold.

Normalize/normalize regions - Left-click to normalize the current selection. Right-click to normalize on a per-region basis.

Fade in/declick in - Left-click to fade in. Right-click to smooth in (removes clicks).

Fade out/declick out - Left-click to fade out. Right-click to smooth out (removes clicks).

Run script - The Script Tool compiles and runs scripts written in Pascal or Visual Basic, to process the wave file. Right-click to use the Run last script option. See the Tools Menu (Scripting) 'Run Script' option (above) for more details.

Time stretch / paste stretch - Opens the Time Stretch / Pitch Shift Tool to independently manipulate pitch, time and formants.

Convolution Reverb - Opens the Convolution Reverb Tool to apply reverb or convolution effects to the sample.

Blur - Opens the Blur Tool to smooth/blend the sample data.

Equalize - Opens the Equalize Tool to apply an EQ curve to the sample data.

Clean up (Denoise / Declip / Declick) - Opens the Noise Removal Tool to repair noisy, clipped or clicking samples.

Add / remove marker / region - Left-click to add/remove a new marker at the start of the selected region. Right-click to add region markers bounding the selected region. Shift + left-click on a marker to invoke temporary zoom for precise positioning.

Auto-slice - Auto-slices the sample.

Tune loop.../set loop - Left-click opens the Tune Loop Tool to access to the loop smoothing controls. Right-click sets loop points bounding the current selection.

Save as.... / save as compressed... - Opens a save file dialog with the options of .wav and compressed .wav (ogg format).

Drag / copy sample / move selection - Left-click and drag the button (yes the button) to the desired location. The selected region in the Sample Edit Window (or whole sample if no selection is made) will be copied and moved to any compatible location in FL Studio, e.g. Sampler channels, Fruity Slicer, DirectWave, the Playlist, etc. Right-click to copy the selection to the clipboard.

    NOTE: Other ways to export audio can be found under the Tools menu - [image] Tools > Sequencing

    • Send to Playlist as audio clip ( [image] Shift+C) - Dumps the selection to the Playlist as an Audio clip.
    • Send to selected channel - Dumps the selection to the selected Channel.

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Special controls

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

In the top-right section of the Edison window are six special controls (from left to right):

  • Scrub wheel - Left-click and hold the mouse button, and move left or right to play the sample under mouse control.
  • Slave transport - Slaves the Edison transport controls to the FL Studio transport panel.
  • Display mode - Swap between waveform and spectrum display. Note there is a dual view option.
  • Click free editing - Performs a short fade-in / fade-out on selected and cut regions to reduce clicks.
  • Disable auto scrolling - When the sample is zoomed this disables the auto scrolling function.
  • Mute input - Mutes the input from the mixer track.

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Peak meter

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

The peak meter has some special features.

  • Read value - Hover at the point of interest (peaks for example) to show the value in the Hint Bar.
  • Set gate threshold - Left-click and move the mouse up/down to change the threshold for noise gating functions. A green band will display (as shown above) in the Sample View Window. Parts of the wave that cross above or below the green band are trigger events. These level triggers are used for both the 'Recording on input' feature (2) and the 'Trim/Gate' functions (4).

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Sample edit window

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

Depending on the settings 9 and 10, you can edit the sample, set markers/loop-points, or apply envelopes to the sound. Generally Sample Edit Functions will only apply to the selected region of the sample in the Edit Window.

How to:

  • Maximize Edison - Click on Edison to focus it, then press enter on your keyboard.
  • Edit a sample - Make sure 'Waveform Edit Mode' (9) is selected.
  • Make a selection - Left-click and drag horizontally over the region to be selected. The selection will turn red.
  • Modify the start and end points of a selection - Left-click outside the selection and the start or end point will jump to the new location (depending if you click before or after the selection).
  • Select a region defined by markers - Hold ( [image] Ctrl) and left-click on the square tag at the top of a region marker OR double-click on a region marker. A selected region will turn red.
  • Deselect selection / region - Press the ( [image] down-arrow) on your keyboard OR double-click outside the selection/selected region.
  • Cut/Copy - To Cut a selection press ( [image] Ctrl+X). To Copy a selection press ( [image] Ctrl+C). These functions can also be accessed from the Edit menu button.
  • Paste insert - First make a small selection (length does not matter) starting at the precise location where you want the paste insert to start and press ( [image] Ctrl+V). NOTE: The pasted data will be inserted from the start point of the selected region. All sample data after this point, including the selected region will be moved after the pasted data. This function can also be accessed from the Edit menu button.
  • Paste replace - First make a small selection starting at the precise location where you want the paste replace to start and press ( [image] Alt+V). NOTE: The pasted data will be inserted from the start point of the selected region over any sample data after this point, including the selected region. This function can also be accessed from the Edit menu button.
  • Clear selection - Hold ( [image] Shift + Del) on your keyboard. The selection will be cleared without changing the sample length. This function can also be accessed from the Edit menu button.
  • Delete selected - Press the ( [image] Del) key on your keyboard. The selection will be deleted and the sample length reduced. This function can also be accessed from the Edit menu button.
  • Apply Envelopes (Pan/Volume/Stereo Separation) - Select the envelope type (10) and right-click to add points, left-click to move points and tension markers. To apply the envelope/s press ( [image] Ctrl+E) or select Tools > Amp > Mixdown amp envelopes. The undo function can be used to reverse any unwanted changes.
  • Zoom - Hover over the window and scroll the mouse-wheel or left-click an edge of the Zoom/Scroll Bar (a double-headed arrow will appear), then drag horizontally.
  • Horizontal Scroll - Hold the shift key and then scroll the mouse-wheel or left-click in the middle of the highlighted section of the Zoom/Scroll Bar, then drag horizontally.
  • Zoom/Scroll - Click the mouse-wheel or middle mouse button and move up/down (zoom) and left/right (scroll).
  • Manual tempo setting using a selection - The manual tempo detection technique is to highlight a part of the audio that you know to be an exact # of beats, then the properties dialog [image] (F2) will show 'Selection (beats)' instead of 'Length (beats)'. If 4 beats were highlighted (for example), enter 4, and the tempo of the song should be detected.
  • Manual grid/tempo alignment using downbeat - [image] Right-Ctrl + Right-Shift + Click on the location in the sample where the first downbeat marker is to be set, hold and drag horizontally to fine-tune the position if needed. Then, release the mouse button and click again with the [image] Right-Ctrl + Right-Shift keys still held (drag left/right) to adjust the grid spacing to align the grid to the beat.

Waveform View

To swap between Waveform and Spectral view use the Display Mode switch. There is also a 'Dual view' option under the View Menu Button (3).

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Main menu

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

This menu replicates all the features accessed through the buttons, as described in section 3, above.

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Edit sample

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

Selects waveform edit mode as opposed to Envelope Mode. The undo function can be used to reverse any unwanted changes.

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Envelopes

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

Left click the symbols to apply, from left to right -

  • Pan - To edit the Pan envelope.
  • Volume - To edit the Volume envelope.
  • Stereo Separation - To edit the Stereo Separation envelope.
  • All-purpose Envelope - Some tools in Edison will use this envelope as an input. The horizontal axis represents time while the vertical axis is the modulation value, generally 0% at the bottom to 100% at the top. There are three ways to use the envelope -
    • 1. Copy the sample, apply an effect, tweak the all-purpose envelope (100% = original sound, 0% = effected sound), use the 'Paste mix (envelope)' option from the Edit menu.
    • 2. Apply an effect, tweak the all-purpose envelope, use the 'Paste mix (envelope)' option from the Edit menu.
    • 3. Scratching - Select 'Scratch using envelope' from the Tools menu. In scratching, the horizontal axis represents time while the vertical axis is the sample playback position from the sample start (bottom) to the sample end (top).

Preview - As there is no 'live' preview for the 'All-purpose' envelope in Edison, you will need to process the wave to hear envelope changes. To hear your envelopes, select the 'Tools' option and then Mixdown envelope or ( [image] Ctrl+E) to process the wave. The undo function can be used to reverse any unwanted changes.

Editing envelopes - After selecting the desired envelope type, right-click in the 'Sample Editor Window' (7) to add points, and left-click to move points and tension markers. Right-click points to open a context menu that will allow you to delete points or change the curve type

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Feature switches

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

These switches vary, depending on the Edit mode (9, 10), from left to right:

  • Freeze - Prevents any changes to the sample. Note the cursor is a + in freeze mode.
  • Noise T. - Enables/disables the threshold display (green horizontal band). The level can be adjusted by left-clicking on the Peak Meter (6) and moving the mouse up and down.
  • Regions - Enables/disables the region marker display.
  • Step - Enables the step editing mode. As a left-clicked cursor is dragged over the window a new control point is added at each step in the timeline. Hold SHIFT while dragging to draw "pulse" lines (straight vertical/horizontal lines only). Note that each new segment created will have the most recent tension setting applied.
  • Snap - Enables/disables snapping. This applies to envelopes and sample edit functions.
  • Slide - Slides the selected control point, without affecting the relative positions of any following points.

Note how the cursor changes depending on whether you are in Freeze or Edit mode. In Freeze mode you won't be able to make any changes, only hover and read the sample amplitude and position values of the wave display in the main Hint Bar.

12. Zoom/Scroll Bar

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Zoom / Scroll

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

The Zoom/ Scroll bar is useful when working on long sounds.

  • Zoom - Left-click the right or left edge of the highlighted section of the bar (a double-headed arrow will appear), then drag horizontally.
  • Scroll - Left-click in the middle of the highlighted section of the bar, then drag horizontally.
  • Zoom/Scroll - Click the mouse-wheel or middle mouse button and move up/down (zoom) and left/right (scroll).

13. Time/Sample Display

14. Sample Properties ( F2)


Edison - Time / Sample

WAVE EDITOR / RECORDER

Edison This feature is available only in Producer Edition or higher

Edison is a fully integrated audio editing and recording tool. Edison loads into an effect slot (in any mixer track) and will then record or play audio from that position. You may load as many instances of Edison as you require in any number of Mixer Tracks or Effects slots. To open Edison press Ctrl+E in a Sampler Channel, or load from the effects menu into mixer track/s.

Transport Controls Recording Options Menu Buttons Sample Edit Functions Special Controls Peak Meter Sample Edit Window Main Menu Edit Sample Envelope Selector Feature Switches Zoom/Scroll Bar Time/Sample Display Sample Properties Edison

1. Transport Controls

2. Recording Options

3. Menu Buttons

4. Sample Edit Functions

5. Special Controls

6. Peak Meter

7. Sample Edit Window

8. Main Menu

9. Edit Sample

10. Envelope Selector

11. Feature Switches

12. Zoom/Scroll Bar

13. Time/Sample Display

The time display shows the time-base in either samples or seconds. To change between the two types, left-click on the Sample Edit Window (7) and select View > Time in samples. Some useful editing features can be accessed by right-clicking on the number readout (13):

  • Deselect ( [image] Up arrow) - Deselects the current selection.
  • Select before current selection - Selects the area before the current selection.
  • Select after current selection - Selects the area after the current selection.
  • Select zoomed part ( [image] Ctrl+A) - Selects the region defined by the visible sample.
  • Select previous region ( [image] Left arrow) - Selects the previous region.
  • Select next region ( [image] Right arrow) - Selects the next region.

14. Sample Properties ( F2)


Envelope Filter Tool

The Filter Tool modifies the envelope by filtering it according to the Impulse curve. its main purpose is to smooth complex envelope shapes. The filter Impulse is a numerical function that is multiplied across each point in the original envelope and values distributed to surrounding envelope points according to the Impulse shape. More technically, the Impulse is applied as a moving window (convolved [image]) over the original envelope according to the Width and Impulse settings.

Controls

Options

  • Width - Change the width of the envelope's smoothing window. High settings (right) smooth the envelope. The minimum setting (fully left) should return the original envelope's shape.
  • Offset - Horizontal offset of the envelope.
  • Decimation - Change the density of the filtered points, turn left for more points or right for less.

Impulse

The Impulse envelope can be edited like any multi-point envelope.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.

Mini Tutorial

A good way to learn the effects of the Filter Width and Impulse controls is to apply it to a well defined envelope, such as a simple rectangle (as shown below).


Envelope Sequencer

The Envelope Sequencer provides a convenient tool for create repetitive arpeggiator patterns OR sequences.

To open

Select the envelope Options menu and select 'Create sequence'.

Overview

  • Adding control points - The top row squares in the window defines 'steps' equal to the grid spacing of the parent envelope. Left click to step forward, right click to step backward through 4 states:
    • Off.
    • normal step.
    • step without gate.
    • Step merged with next.
  • Arpeggiator controls - The next row of symbols control the arpeggiation and looping behavior of the envelope. The are (from top to bottom, as shown in the first 6 squares):
    • Loop start - Loop start.
    • Next, Arp UP - At the break-point sound the next note above the previous note played.
    • Same, REPEAT - Sound the same note as at the last break-point.
    • Previous, Arp DOWN - At the break-point sound the next note below the previous note played.
    • Loop end - Loop end.
    • Off - Use this to clear an unwanted break point.
  • Target levels - There are 4 target level controls selected by clicking on the buttons below the control/breakpoint area.
    • Attack level - Controls the height of the leading control points in a step.
    • Decay slope - Controls the release curve (tension).
    • Sustain level - Controls the sustain level.
    • Release slope - Controls the release slope.

Parameters

  • Mode Menu - Normal (loop), Ping-pong (repeat envelope once backwards).
  • Time mul(tiplier) - Changes the envelope time-base.
  • Swing - Swing creates a 'swing' rhythm where the first note is held a little longer at the expense of the second note in the bar.
  • Attack - Changes the attack of all notes.
  • Decay - Changes the decay of all notes.
  • Sustain - Changes the sustain of all notes.
  • Gate - Changes the length of notes.
  • Reset - Resets the Envelope sequencer to the default state.
  • Randomize - Adds random variation to all parameters.
  • Accept - Accept the changes and apply the envelope settings.

Action buttons

  • Reset - Reset the tool to the default state.
  • Accept - Accept changes and close the tool. Note, these changes can be subsequently undone using the Current project History or Ctrl+Z.

Plugin Credits: Didier Dambrin


Gross Beat Hint

MIXING & EFFECTS

Gross Beat

Play with time! Gross Beat is a real-time, audio-stream playback, pitch, position and volume manipulation effect. Gross Beat stores audio in a 2-bar rolling buffer controlled by 36 time and 36 volume mapping envelopes for easy beat-synced glitch, stutter, repeat, scratching and gating effects. Welcome to Gallifrey [image] Time Lord!

Main Options Time Settings Volume Settings Envelope Panel Lower Panel Controls Envelope Controls Gross Beat

VST Hint Bar

The Hint Bar is common along the bottom of all Image-Line VST plugins and displays the values of knobs and sliders as they are changed on the plugin interface. Hints will also be shown if the mouse pointer is hovered above plugin features, this is a quick way to learn how plugins work. Two other useful features of the Hint Bar are the Plugin Options Menu (1) and the preset controls, (3 & 4).

NOTE: The VST version of Gross Beat must be purchased separately through the Image-line store [image]. Download and test the demo version of Gross Beat VST from the Gross Beat page [image] on the Image-Line website.

Controls & Features
  1. Plugin options menu:
      • Help - Opens this document.
      • Load VST preset/bank - Opens a browser dialog to load .fst/.fxp (preset) and .fxb (bank) files.
      • Save VST preset - Opens a browser dialog to save the current program settings as an .fxp file.
      • Save VST bank - Opens a browser dialog to save all presets as a .fxb (bank) file.
      • Resize - The VST version can only be resized using these menu options:
        • Full - Full size Gross Beat showing the Mapping Envelope area.
        • Compact - Hides the Mapping Envelope area. If the Scratching Clock is hidden in compact mode, a mini Mapping Envelope display will replace the clock.
      • Global MIDI learn - When selected, links made with external controllers are remembered for the current session. That is, until the plugin is closed.
      • Rendering mode - Forces the plugin to use the highest quality, select when rendering/bouncing.
      • Use MIDI modulation as X - By default, Modulation = Y, Breath = X. Selecting this option swaps these relationships so Modulation = X and Breath = Y. X & Y refer to the X/Y modulation pad controls.
      • Image-Line website - Opens a browser page with Image Line Software [image] selected.
  2. Hint - Hints will also be shown if the mouse pointer is hovered above plugin features. Values are shown when the control is changed.
  3. Preset menu - Opens a menu of the presets loaded in the current bank.
  4. Preset selector - Step forward/backward through the preset list.

Main Options

Time Settings

Volume Settings

Envelope Mapping Panel

Plugin Credits

Code & Graphics: Didier Dambrin.

VSTi Port: Frederic Vanmol.

...watch out for falling satellites!


VST hint bar

INSTRUMENTS / GENERATORS

The Hint Bar

The Hint Bar is common along the bottom of all Image-Line VST plugins and displays the values of knobs and sliders as they are changed on the plugin interface. Hints will also be shown if the mouse pointer is hovered above plugin features, this is a quick way to learn how plugins work. Two other useful features of the Hint Bar are the Plugin Options Menu (1) and the preset controls, (3 & 4).

Controls & Features
  1. Plugin options menu:
      • Help - Opens this document.
      • Load VST preset/bank - Opens a browser dialog to load .fst/.fxp (preset) and .fxb (bank) files.
      • Save VST preset - Opens a browser dialog to save the curent program settings as an .fxp file.
      • Save VST bank - Opens a browser dialog to save all presets as a .fxb (bank) file.
      • Global MIDI learn - When selected, links made with external controllers are remembered for the current session. That is, until the plugin is closed.
      • Rendering mode - Forces the plugin to use the highest quality, select when rendering/bouncing.
      • Use MIDI modulation as X - By default, Modulation = Y, Breath = X. Selecting this option swaps these relationships so Modulation = X and Breath = Y. X & Y refer to the X/Y modulation pad controls.
      • Image-Line website - Opens a browser page with Image Line Software [image] selected.
  2. Hint - Hints will also be shown if the mouse pointer is hovered above plugin features. Values are shown when the control is changed.
  3. Preset menu - Opens a menu of the presets loaded in the current bank.
  4. Preset selector - Step forward/backward through the preset list.


Morphine Synthesizer Effects

INSTRUMENTS / GENERATORS

Envelopes & Effects Panels

Morphine Envelopes & Effects

The following are Global controls and affect all Generators.

    • GLIDE - Glide-time. Slide between notes. NOTE: There are Glide Mode options on the General Settings panel.
    • VEL CRV (Velocity Curve) - Left (0%) decreases velocity sensitivity, right (100%) increases velocity sensitivity.

MASTER ENVELOPE

The Master ADSR controls are imposed over the Generator volume dynamics.

    • ATTACK - Note onset attack time.
    • DECAY - Decay time from peak (Sustain) level.
    • SUSTAIN - Peak Sustain level.
    • RELEASE - Decay time after the note is released.

NOTE: If the Generators already have slow attacks then adjusting the Master attack to minimum cant create a fast attack sound. To change the volume dynamics of the Generators adjust the shape of the Spectrum for each Generator (see the tutorial on ADSR at the bottom of the Generator Page).

MASTER (Amp)

    • DRIVE - Distortion sound.
    • LEVEL - Master volume level.

Effects

Each Effect has a switch so that it can be turned ON/OFF. In the screen-shot above the Chorus and Equalizer are on, all other effects are off.

CHORUS

    • DEPTH - Chorus depth/intensity.
    • RATE - Chorus speed.
    • MIX - Chorus mix level (0% to 100%).

DELAY

    • TIME - Delay time (2 ms to 999 ms).
    • STEREO - Creates a stereo ping-pong effect. First ping direction (Left or Right) is controlled by the direction of the knob.
    • FDBK (Feedback) - Delay feedback level. More feedback creates a greater number of echoes.
    • MOD DEPTH (Modulation Depth) - Adds a modulation offset to the delay time to create more complex echoes.
    • MIX - Delay mix level (0% to 100%).

REVERB

    • DECAY - Decay time. Turn the knob to the right to simulate a larger space, left smaller.
    • HI-CUT - Amount of high-frequency damping to the reverb. Turning to the right simulates a 'brighter' space, left 'dull'.
    • MIX - Reverb mix level (0% to 100%).

EQUALIZER

8 band Graphic Equalizer with +/- 12 dB of boost/cut.

NOTE: If you need to EQ, rather than boosting the parts of the spectrum you want louder, cut the parts of the spectrum you don't want instead. While these two options sound the same in isolation, cutting unwanted frequencies ensures the sound will sit better in a mix. This works because the frequency energy from the unwanted (cut) parts no longer interferes with neighbouring sounds in the mix. The result is better clarity and more headroom.


Sawer History

INSTRUMENTS / GENERATORS

Polivoks

Sawer's filters and envelopes were modeled on the Polivoks, a 1980s 'Soviet era' analog synthesizer.

To learn more visit the Polivoks site on Wikipedia [image].


Pretty Flowers

INSTRUMENTS / GENERATORS

Slicex - Keyboard This feature is available only in Producer Edition or higher

Slicex uses advanced beat detection algorithms to slice song/percussion samples into pieces and make them independently playable from the Piano roll or controller. If the wave file contains slice/region data this will be automatically used instead of the beat-detection algorithm. Slicex offers playback, reordering of slices and time-stretching capabilities optimized for drum loops. Related plugins are the Fruity Slicer and Edison.
Master panel Articulation panel Wave editor Keyboard Slicex

Master Panel

Articulation Panel

Wave Editor

Keyboard & Piano roll Controls

Keyboard controls

Use the keyboard to preview & assign sliced regions to notes. This display simulates a Piano keyboard using stepsequencer-like pads in the place of keys. The region to key assignments set here affect how Slicex will respond to external note input also. NOTE: While the keyboard may look like the stepsequencer, it does not function as one, it is a preview keyboard only.

  • Range selectors - Down the left side are a series of switches starting at C0 to F3.
  • Using keys - Left click a key to sound the associated region. Right-click a key to open an assign options:
    • Assign current region to this key - Assigns the selected region to the key right-clicked.
    • Select region assigned to this key - Selects the region assigned to the key right-clicked.
  • Assigning keys & layers

    The assigned keys display in...ummm...well I'd like to say some 'manly' color like red, but there is no way around this...the active range displays in 'pink'. Apologies to our female users who believe it's 'tea rose'. The author (being male) sees only in 'real colors' [image].

    To create layers assign more than one slice region to the same note. Assignments may be made from within or between decks A and B. There are a number of crossfade curve and layer options on the Master panel.

Piano roll deck control

The Piano roll note colors can be used to control Decks 1 & 2 independently. As shown below even note colors play Deck 1 and odd note colors play Deck 2. Colors 15 & 16 are special 'reverse playback' colors. Remember that note colors represent MIDI channels 1 to 16 so you can access the same functionality from a properly configured MIDI controller.


Slicex - Amp tool

INSTRUMENTS / GENERATORS

Amp Tool

The Slicex Amp Tool works in a similar way to the mixer track controls, including stereo separation, panning, linked and independent L and R channel volume.

To Open the Amp Tool

To open the tool press (Alt+A) inside Slicex, or use the Tools > Amp > Amp option.

Options

  • Sep - Stereo separation.
  • Pan - Panning.
  • LR - Volume, left and right channels linked.
  • L - Left channel volume.
  • R - Right channel volume.
  • Circular panning law - When selected Edison will use circular panning to maintain a constant 'perceived' loudness as sound is panned L to R, otherwise linear panning is used.

Action buttons

  • Reset - Restore default settings.
  • Accept - Process and paste (replace) the original selection.


Slicex - Blur tool

INSTRUMENTS / GENERATORS

Blur Tool

The Slicex Blur Tool works in a similar way to the Convolution Reverb, by multiplying an impulse sound (in this case, noise), with the waveform. The impulse function is cross-multiplied with the source in a moving average, to smear or 'blur' the sound. The multiplier function is determined by a user-selectable envelope. To retain a sound closer to the original, use narrower shaped envelopes.

To Open the Blur Tool

To open the tool [image], press ( [image] Ctrl+B) inside Slicex, or use the Tools > Spectral > Blur option.

Options

  • Amount - Adjusts the width of the convolution window; a greater amount means more blurring.
  • Delay - Adjusts the offset between the source wave and the blurred section.
  • Mix - Adjusts the level of the dry to wet signal.
  • Use data outside selection - Only applies when a selection is made in the Edison sample edit window. This includes sample data immediately outside and adjacent to the selected region to improve the blend between the selection and surrounding sample data.
  • Accept - Applies the settings to the wave. To undo the blur, press [image] Ctrl+Z.
  • Envelope - Change the shape of the envelope to adjust the convolution function. The default 'Gaussian' function creates a smooth blur. A wider function generally creates more blurring and a narrower function less blurring. Experiment with different shapes to alter the blur texture.

Action button

  • Accept - Process and paste (replace) the original selection.


Slicex - Drum tool

INSTRUMENTS / GENERATORS

Drum Tool

The Slicex Drum Tool allows you to reconstruct the decay portions of sliced drum beats that are often abruptly cut short in the slicing process. The Drum Tool works by detecting attack and decay portions of each region in a drumloop (or the selected beat) and then reconstructs more natural sounding decay/s. The options provide the opportunity to fine-tune the decay section to match the source material.

To open the Drum Tool

To open: Left-click the Drumloop button [image] or select Tools > Time > Drum(loop) stretch ( [image] Ctrl+T).

Time

  • Pitch coarse - Changes the base pitch in semitones.
  • fine - Changes the base pitch in cents.
  • mul - Pitch range multiplier.
  • Time mul - Changes the sample duration in %. In 'Stretch' mode this value is automatically calculated.
  • length (ms) - Changes the sample duration by specifying length in milliseconds(ms). In 'Stretch' mode this value is automatically calculated.
  • tempo - Specifies the tempo of the stretched sample. The original loop must have embedded tempo information for this option to show.
  • Insert tails - Fills gaps by reconstructing missing tails from drum beats.

Filling

  • Method - Fill gap method.
    • None - The whole slice (beat) is stretched.
    • Echo grains - Granular-based stretching method. Waveform cycles are sliced (grains) and repeated.
    • Stretch - Time stretching (constant pitch).
  • Blur - A convolution blur function is used to smooth tails.
  • Random presence - Adds more stereo randomness on the tail blurring.

Tail envelope

  • Method - Decay method.
    • None - The whole beat is stretched.
    • Smooth fade - The attack transient is detected and left untouched. The tail is used for the gap-reconstruction and smoothly blended with the attack transient. Using this method, the original drum sound will be modified.
    • Append - Uses the same process as the 'Smooth fade' option but with the reconstructed tail appended. The transition between the original sound and the reconstructed tail will be more obvious, but the original drum will be left mostly intact.
  • Transient - Transient detection factor. The engine uses this factor to detect which part of the slice is the attack portion of the beat.
  • Tail slope - Slope of the reconstructed tail.
  • smoothing - Smoothing factor for the reconstructed tail slope.

Action buttons

  • Reset - Click to restore the default settings.
  • Accept - Click to process and paste/replace the original selection.


Slicex - EQ tool

INSTRUMENTS / GENERATORS

Equalize Tool

The Equalize Tool boosts or cuts frequencies according to a user defined EQ envelope. The example below shows the effect of the selected EQ curve on a white noise sample. Frequency is displayed on the horizontal axis, time on the vertical axis (sample start is at the top, sample end is at the bottom) while intensity/saturation of color represents frequency amplitude.

To Open the Equalization Tool

To open the tool press ( [image] Ctrl+E) inside Slicex, or use the Tools > Spectral > EQ option.

Options

Editing envelopes - Right-click in the 'Envelope Editor Window' to add points, and left-click to move points and tension markers. Right-click points to open a context menu that will allow you to delete points or change the curve type. The default mid-line is 'no change'. Boost/Cut values appear in the FL Studio Hint Bar as the nodes and tension handles are moved.

Time is represented on the vertical axis and Frequency on the horizontal axis.

  • Freq scale - Zooms the frequency scale for more or less precise EQ editing.
  • Mix - Adjusts the level of the dry to wet signal.
  • Smooth - Smooths the EQ envelope to reduce unwanted artifacts such as 'ringing'.
  • Phases - Allows the envelope to change the phase of the sample, top of scale is 180 degrees, bottom -180 degrees.
  • Reset - Resets the EQ envelope to the default state.
  • Accept - Applies the EQ curve to the sample.

Action buttons

  • Reset - Restore default settings.
  • Accept - Process and paste (replace) the original selection.


Slicex - Loop tuner tool

WAVE EDITOR / RECORDER

Tune Loop Tool

The Slicex Loop Tuner allows you to remove clicks, pops or beating sounds from a loop. The Loop Tuner is not an automatic loop finding tool, it is intended for smoothing loops that have already been selected. Be aware that to accommodate the loop smoothing process, some settings will move the loop-start point automatically. To preserve your loop-start point, set the Crossfade and Snap settings to minimum.

To Open the Loop Tuner Tool

To open the tool press ( [image] Ctrl+L) inside Slicex, or use the Tools > Regions > Tune loop option.

Options

  • Crossfade - Changes the amount of crossfading. The end of the sample loop is crossfaded (blended) with the region before the loop start so that the end of the loop blends smoothly with the beginning of the loop. Consequently, the loop start point will be adjusted automatically as the Crossfade value is changed, to bring in more or less of the pre-loop sample data into the loop.
  • Snap - The Crossfade and Smear processes take advantage of the detected pitch of the sample (set it in the sample settings, click [image] F2 inside Slicex). In order to minimize phase cancellation, the Smear echoes are snapped to the pitch period. The snap setting changes the multiple of the pitch period (shown in the title bar) that the Smear tool works to.
  • Smear order - A 'smoothing/blurring' tool that works by smearing together multiple 'echoes' of the waveform. The higher the value of this parameter the more closely spaced the echoes (delay taps). Works best on sustained sounds (e.g. pads/strings) and is designed to minimize the 'beating' sound sometimes heard in bad loops.
  • Scale - Similar to a 'tension' parameter. Controls the peak of the smear function. Higher values create a sharper cut-off at the blur boundaries.
  • Amp - Changes the amplitude (volume) of the loop.
  • Accept - Applies the changes to the loop.

Using Loop Tuner

When you open the tool the selected region or loop will play continually, allowing you to process the loop with the options above. Technical explanations have been provided here for your edification, however experimentation and 'setting by ear' are the best way to use this tool (if it sounds good, it is good).

Selecting the loop - Loop Tuner will work on the selected loop or active region when opened. If you have no selections the whole sample will be used.

Loop start position - Some settings will move the loop-start point automatically, to accommodate the loop smoothing process. To preserve your loop-start point set the Crossfade and Snap settings to minimum.

Settings - Loop Tuner remembers the last settings used and applies them the next time it is opened.

Action button

  • Accept - Process and paste (replace) the original selection.


Slicex - Reverb tool

WAVE EDITOR / RECORDER

Convolution Reverb

The Convolution Reverb engine in Slicex works by multiplying two audio signals in the frequency domain (in a sort of moving average). A reverb effect is obtained when an 'impulse' file is convolved with the original wave file. Reverb impulse files are created by recording short, sharp sounds in real spaces or through a reverb/effects unit. The recorded 'reverberance' is an acoustic fingerprint of the real space. This technique is equivalent to sampling an acoustic instrument and allows us to 'borrow' impulses from very expensive hardware or real spaces that we would never have the chance to record in. Naturally, the internet is brimming with free impulses for your downloading pleasure (see 'Impulse Resources' below).

NOTE: While called the Convolution Reverb, any audio file can serve as a source for the impulse making this a general convolution tool. As always, experimentation will reward you with unique and interesting sounds.

To Open the Convolution Dialog

To open the dialog press ( [image] Ctrl+R) inside Slicex, or use the Tools > Spectral > Convolution Reverb option.

Once an impulse is loaded you can perform any of Slicex's editing functions in the spectral preview window. Right-click on the spectral preview to open the editing options.

Options

  • Delay - Adjusts the delay between the onset of the reverb and the source wave.
  • Dry - Adjusts the level of the dry signal.
  • Wet - Adjusts the level of the wet signal.
  • Use data outside selection - The reverb can operate on a selection of a wave. When selected data from outside the selection is used to create the reverberant sounds. When no selection is made the whole sample is effected and this option is greyed out.
  • Add tail - Adds new reverberant data beyond the end of the original file.
  • Accept - Applies the impulse to the wave. To undo the reverb press [image] Ctrl+Z.

Impulse

This section displays a spectral view of the impulse function. The vertical axis represents frequency 0 Hz (bottom) to 20 kHz (top) and the horizontal axis represents time. You can zoom and scroll through this display by left-clicking in the scroll bar above the display (as shown by the double arrow cursor in the screenshot above).

  • Load Impulse - Left-click on the 'Impulse:' tab above the spectral display and a standard 'Load File' dialog will open.
  • Envelopes - There are several standard envelope controls along the bottom of the window that act on the reverberant sound. These envelopes provide enormous creative potential.

    • Left click the symbols to apply, from left to right -

    • Pan - To edit the Pan envelope.
    • Volume - To edit the Volume envelope.
    • Stereo Separation - To edit the Stereo Separation envelope.
    • Scratching - To edit the playback velocity/direction.

    Editing envelopes - After selecting the desired envelope type, right-click in the 'Impulse Editor Window' to add points, and left-click to move points and tension markers. Right-click points to open a context menu that will allow you to delete points or change the curve type.

Impulse Resources

Slicex comes with many impulses, however the addictive nature of these files will mean that you will soon be looking for more. Below are several links to get you started. To load a new impulse from outside FL Studio, left-click on the 'Impulse:' tab above the spectral display to open the standard 'Load File' dialog and browse to the location of the new impulses.

  • Noise Vault - Nice resource for public domain reverb impulse files.
  • Fokke van Saane's impulses - Many of the impulses here are .aif format and so are not suitable for Slicex (uses .wav format impulses), however you can convert them to .wav format using the generous demo version of GoldWave. We have included Fokke's site mainly because he clearly explains how the impulse\ files were created and posts lots of great pictures of the spaces in which the impulses were made, be inspired!
  • Google for 'Reverb Impulse' - Be brave, find your own!

Action button

  • Accept - Process and paste (replace) the original selection.


Slicex - Time Stretch / Pitch Shift Tool

INSTRUMENTS / GENERATORS

Time Stretch / Pitch Shift Tool

The Time Stretch / Pitch Shift tool allows you to alter the duration, pitch and formant of a sample independently. Slicex, Edison and more generally the Sampler Channels & Slicer tool, use the élastique Pro, zplane algorithms to deliver advanced time stretching / pitch shifting that meets the standards of professional production and broadcast applications.

To Open the Time Stretch / Pitch Shift Tool

To open the Timestretch tool right-click the Drumloop button [image] or press ( [image] Alt+T) inside Slicex, or use the Tools > Time > Time stretch / Pitch shift option.

Options

  • Pitch coarse - Change the base pitch in semitones.
  • Fine - Change the base pitch in cents.
  • Mul - Pitch range multiplier (in %).
  • Time mul - Change sample duration in %. In 'paste-stretch' mode this value is automatically calculated.
  • Length (ms) - Change sample duration by specifying length in milliseconds(ms). In 'paste-stretch' mode this value is automatically calculated.
  • Method - Select from the following pitch shifting/preservation methods. NOTE: Certain methods may disable or automatically adjust the 'Formant preservation' settings. Affected settings appear in a lower contrast and tweaking the control has no effect.
    • Resample - Standard pitch shifting that varies sample length to change pitch.
    • Pro default - The 'Default' mode is designed to work with a wide range of input signals, try the other modes only if 'Default' fails to give the result you need.
    • Pro transient - In certain sounds the transients are crucial for the overall sound (percussion for example), this mode attempts to preserve the transients in the input signal.
    • Transient - This is a lower CPU usage transient preserving stretch methods, and corresponds to the élastique time stretching default mode. It is provided as an alternative to the 'Pro Transient' mode.
    • Tonal - Provides higher quality for input signals with a focus on tonal (pitched) parts.
    • Monophonic - Is specialized for monophonic input signals (such as vocals or solo instruments) and should give the best results for these type of signals. The tonal quality is achieved through formant-preservation (see the section below for more on formants).
    • Speech - This mode is optimized for speech (use 'Monophonic' mode for singing).
  • Insert - If this switch is on the effected audio will be inserted, if it is off the sample will be mixed with the original.

Formant preservation

Using the formant section - In order to manually preserve the natural tonal quality of the sound select 'Pro Default' method and set the Factor crs setting to the same value of the Pitch coarse in the 'Options' section above. For example, if the 'Options' Pitch coarse setting is +5 then set the Formant envelope Pitch crs to +5.

Formants are peaks in the frequency spectrum caused by resonances, natural frequencies of vibration, of an instrument. Trumpets, guitars, violins, drums and the human voice all have formants. The human voice is an excellent case study for the importance of formant preservation as we are particularly sensitive to vocal formants. Resonances of the voice stem from mouth, sinuses and throat cavities and convey information about the size, age and sex of the vocalist. Normally, as the pitch of the vocal chords are raised or lowered, formants change intensity while the peak frequencies stay relatively fixed. A problem with 'traditional' pitch shifting of vocal recordings is that the formants transpose with pitch (itself an unnatural phenomenon) or fall outside the expected range; the 'chipmunk' effect is a classic example of formants shifted too high. Formant preservation algorithms work by detecting the pitch of the formants in the original sound and then apply the same frequency resonances to the pitch-shifted sound, preserving the 'natural' quality of the voice or instrument. The formant controls in Slicex are -

  • Factor crs - Moves the base pitch of the formants, in semitones.
  • Fine - Changes the base pitch of the formants in cents.
  • Mul - Formant pitch range multiplier in %.
  • Order - The default setting works for most material. If the input audio is high pitched the order should be lowered if the input audio is low pitched the value should be raised.
  • Copy from pitch - Copies the pitch value from the 'Options' section above. If you select this after setting the desired pitch shift in the 'Options' section, then the formants should be automatically preserved.

NOTE: If these controls appear to be lower contrast or 'grayed-out', compared to normal, it means that they are disabled for the selected Pitch Shift/Time Stretch method in the 'Options' section.

Action buttons

  • Reset - Restore default settings.
  • Accept - Process and paste (replace) the original selection.